"""Fluent solver TUI commands"""
#
# This is an auto-generated file.  DO NOT EDIT!
#
# pylint: disable=line-too-long

from ansys.fluent.core.services.datamodel_tui import PyMenu, TUIMenu, TUIMethod



class main_menu(TUIMenu):
    """
    Fluent solver main menu.
    """
    def __init__(self, service, version, mode, path):
        self.views = self.__class__.views(service, version, mode, path + ["views"])
        self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
        self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
        self.report = self.__class__.report(service, version, mode, path + ["report"])
        self.turbo_post = self.__class__.turbo_post(service, version, mode, path + ["turbo_post"])
        self.solve = self.__class__.solve(service, version, mode, path + ["solve"])
        self.parameters__and__customization = self.__class__.parameters__and__customization(service, version, mode, path + ["parameters__and__customization"])
        self.define = self.__class__.define(service, version, mode, path + ["define"])
        self.setup = self.__class__.setup(service, version, mode, path + ["setup"])
        self.results = self.__class__.results(service, version, mode, path + ["results"])
        self.solution = self.__class__.solution(service, version, mode, path + ["solution"])
        self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
        self.parallel = self.__class__.parallel(service, version, mode, path + ["parallel"])
        self.server = self.__class__.server(service, version, mode, path + ["server"])
        self.file = self.__class__.file(service, version, mode, path + ["file"])
        self.icing = self.__class__.icing(service, version, mode, path + ["icing"])
        self.parametric_study = self.__class__.parametric_study(service, version, mode, path + ["parametric_study"])
        self.display = self.__class__.display(service, version, mode, path + ["display"])
        self.adjoint = self.__class__.adjoint(service, version, mode, path + ["adjoint"])
        self.preferences = self.__class__.preferences(service, version, mode, path + ["preferences"])
        self.turbo_workflow = self.__class__.turbo_workflow(service, version, mode, path + ["turbo_workflow"])
        self.simulation_reports = self.__class__.simulation_reports(service, version, mode, path + ["simulation_reports"])
        self.print_license_usage = self.__class__.print_license_usage(service, version, mode, path + ["print_license_usage"])
        self.switch_to_meshing_mode = self.__class__.switch_to_meshing_mode(service, version, mode, path + ["switch_to_meshing_mode"])
        self.exit = self.__class__.exit(service, version, mode, path + ["exit"])
        self.close_fluent = self.__class__.close_fluent(service, version, mode, path + ["close_fluent"])
        super().__init__(service, version, mode, path)
    class print_license_usage(TUIMethod):
        """
        Print license usage information.
        """
    class switch_to_meshing_mode(TUIMethod):
        """
        Switches from the solution mode to the meshing mode. This text command is only available if you have not yet read a mesh or a case file.
        """
    class exit(TUIMethod):
        """
        Exit program.
        """
    class close_fluent(TUIMethod):
        """
        Exit program.
        """

    class views(TUIMenu):
        """
        Enter the view manipulation menu.
        """
        def __init__(self, service, version, mode, path):
            self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
            self.camera = self.__class__.camera(service, version, mode, path + ["camera"])
            self.read_views = self.__class__.read_views(service, version, mode, path + ["read_views"])
            self.restore_view = self.__class__.restore_view(service, version, mode, path + ["restore_view"])
            self.save_view = self.__class__.save_view(service, version, mode, path + ["save_view"])
            self.last_view = self.__class__.last_view(service, version, mode, path + ["last_view"])
            self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
            self.default_view = self.__class__.default_view(service, version, mode, path + ["default_view"])
            self.delete_view = self.__class__.delete_view(service, version, mode, path + ["delete_view"])
            self.write_views = self.__class__.write_views(service, version, mode, path + ["write_views"])
            self.list_views = self.__class__.list_views(service, version, mode, path + ["list_views"])
            self.next_view = self.__class__.next_view(service, version, mode, path + ["next_view"])
            super().__init__(service, version, mode, path)
        class read_views(TUIMethod):
            """
            Reads views from a view file.
            """
        class restore_view(TUIMethod):
            """
            Uses a saved view.
            """
        class save_view(TUIMethod):
            """
            Saves the current view to the view list.
            """
        class last_view(TUIMethod):
            """
            Returns to the camera position before the last manipulation.
            """
        class auto_scale(TUIMethod):
            """
            Scales and centers the current scene without changing its orientation.
            """
        class default_view(TUIMethod):
            """
            Resets view to front and center.
            """
        class delete_view(TUIMethod):
            """
            Removes a view from the list.
            """
        class write_views(TUIMethod):
            """
            Writes selected views to a view file.
            """
        class list_views(TUIMethod):
            """
            Lists predefined and saved views.
            """
        class next_view(TUIMethod):
            """
            .
            """

        class display_states(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.restore_state = self.__class__.restore_state(service, version, mode, path + ["restore_state"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.new = self.__class__.new(service, version, mode, path + ["new"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.write = self.__class__.write(service, version, mode, path + ["write"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.read = self.__class__.read(service, version, mode, path + ["read"])
                super().__init__(service, version, mode, path)
            class restore_state(TUIMethod):
                """
                .
                """
            class delete(TUIMethod):
                """
                Delete object.
                """
            class new(TUIMethod):
                """
                Create a new display-states object.
                """
            class rename(TUIMethod):
                """
                Rename object.
                """
            class write(TUIMethod):
                """
                .
                """
            class copy(TUIMethod):
                """
                .
                """
            class list(TUIMethod):
                """
                .
                """
            class use_active(TUIMethod):
                """
                .
                """
            class edit(TUIMethod):
                """
                Edit display-states object.
                """
            class read(TUIMethod):
                """
                .
                """

        class camera(TUIMenu):
            """
            Enters the camera menu to modify the current viewing parameters.
            """
            def __init__(self, service, version, mode, path):
                self.zoom_camera = self.__class__.zoom_camera(service, version, mode, path + ["zoom_camera"])
                self.up_vector = self.__class__.up_vector(service, version, mode, path + ["up_vector"])
                self.roll_camera = self.__class__.roll_camera(service, version, mode, path + ["roll_camera"])
                self.orbit_camera = self.__class__.orbit_camera(service, version, mode, path + ["orbit_camera"])
                self.field = self.__class__.field(service, version, mode, path + ["field"])
                self.projection = self.__class__.projection(service, version, mode, path + ["projection"])
                self.position = self.__class__.position(service, version, mode, path + ["position"])
                self.target = self.__class__.target(service, version, mode, path + ["target"])
                self.pan_camera = self.__class__.pan_camera(service, version, mode, path + ["pan_camera"])
                self.dolly_camera = self.__class__.dolly_camera(service, version, mode, path + ["dolly_camera"])
                super().__init__(service, version, mode, path)
            class zoom_camera(TUIMethod):
                """
                Adjusts the camera’s field of view. This operation is similar to dollying the camera in or out of the scene. Dollying causes objects in front to move past you. Zooming changes the perspective effect in the scene (and can be disconcerting).
                """
            class up_vector(TUIMethod):
                """
                Sets the camera up-vector.
                """
            class roll_camera(TUIMethod):
                """
                Adjusts the camera up-vector.
                """
            class orbit_camera(TUIMethod):
                """
                Adjusts the camera position without modifying the target.
                """
            class field(TUIMethod):
                """
                Sets the field of view (width and height).
                """
            class projection(TUIMethod):
                """
                .
                """
            class position(TUIMethod):
                """
                Sets the camera position.
                """
            class target(TUIMethod):
                """
                Sets the point to be the center of the camera view.
                """
            class pan_camera(TUIMethod):
                """
                Adjusts the camera target without modifying the position.
                """
            class dolly_camera(TUIMethod):
                """
                Adjusts the camera position and target.
                """

    class surface(TUIMenu):
        """
        Enter the data surface manipulation menu.
        """
        def __init__(self, service, version, mode, path):
            self.post_processing_volume = self.__class__.post_processing_volume(service, version, mode, path + ["post_processing_volume"])
            self.query = self.__class__.query(service, version, mode, path + ["query"])
            self.rename_surface = self.__class__.rename_surface(service, version, mode, path + ["rename_surface"])
            self.circle_slice = self.__class__.circle_slice(service, version, mode, path + ["circle_slice"])
            self.iso_clip = self.__class__.iso_clip(service, version, mode, path + ["iso_clip"])
            self.ellipsoid_slice = self.__class__.ellipsoid_slice(service, version, mode, path + ["ellipsoid_slice"])
            self.partition_surface = self.__class__.partition_surface(service, version, mode, path + ["partition_surface"])
            self.closest_point_search = self.__class__.closest_point_search(service, version, mode, path + ["closest_point_search"])
            self.delete_surface = self.__class__.delete_surface(service, version, mode, path + ["delete_surface"])
            self.iso_surface = self.__class__.iso_surface(service, version, mode, path + ["iso_surface"])
            self.edit_surface = self.__class__.edit_surface(service, version, mode, path + ["edit_surface"])
            self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
            self.quadric_slice = self.__class__.quadric_slice(service, version, mode, path + ["quadric_slice"])
            self.create_imprint_surface = self.__class__.create_imprint_surface(service, version, mode, path + ["create_imprint_surface"])
            self.multiple_plane_surfaces = self.__class__.multiple_plane_surfaces(service, version, mode, path + ["multiple_plane_surfaces"])
            self.mouse_rake = self.__class__.mouse_rake(service, version, mode, path + ["mouse_rake"])
            self.structural_point_surface = self.__class__.structural_point_surface(service, version, mode, path + ["structural_point_surface"])
            self.plane_surface = self.__class__.plane_surface(service, version, mode, path + ["plane_surface"])
            self.point_surface = self.__class__.point_surface(service, version, mode, path + ["point_surface"])
            self.plane_slice = self.__class__.plane_slice(service, version, mode, path + ["plane_slice"])
            self.mouse_plane = self.__class__.mouse_plane(service, version, mode, path + ["mouse_plane"])
            self.zone_surface = self.__class__.zone_surface(service, version, mode, path + ["zone_surface"])
            self.expression_volume = self.__class__.expression_volume(service, version, mode, path + ["expression_volume"])
            self.multiple_zone_surfaces = self.__class__.multiple_zone_surfaces(service, version, mode, path + ["multiple_zone_surfaces"])
            self.multiple_iso_surfaces = self.__class__.multiple_iso_surfaces(service, version, mode, path + ["multiple_iso_surfaces"])
            self.point_array = self.__class__.point_array(service, version, mode, path + ["point_array"])
            self.sphere_slice = self.__class__.sphere_slice(service, version, mode, path + ["sphere_slice"])
            self.group_surfaces = self.__class__.group_surfaces(service, version, mode, path + ["group_surfaces"])
            self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
            self.line_slice = self.__class__.line_slice(service, version, mode, path + ["line_slice"])
            self.transform_surface = self.__class__.transform_surface(service, version, mode, path + ["transform_surface"])
            self.mouse_line = self.__class__.mouse_line(service, version, mode, path + ["mouse_line"])
            self.cone_slice = self.__class__.cone_slice(service, version, mode, path + ["cone_slice"])
            self.line_surface = self.__class__.line_surface(service, version, mode, path + ["line_surface"])
            self.plane = self.__class__.plane(service, version, mode, path + ["plane"])
            self.rake_surface = self.__class__.rake_surface(service, version, mode, path + ["rake_surface"])
            self.ungroup_surface = self.__class__.ungroup_surface(service, version, mode, path + ["ungroup_surface"])
            self.reset_zone_surfaces = self.__class__.reset_zone_surfaces(service, version, mode, path + ["reset_zone_surfaces"])
            super().__init__(service, version, mode, path)
        class rename_surface(TUIMethod):
            """
            Renames a defined data surface.
            """
        class circle_slice(TUIMethod):
            """
            Extracts a circular slice.
            """
        class iso_clip(TUIMethod):
            """
            Clips a data surface (surface, curve, or point) between two isovalues.
            """
        class ellipsoid_slice(TUIMethod):
            """
            Extract a ellipsoid slice.
            """
        class partition_surface(TUIMethod):
            """
            Defines a data surface consisting of mesh faces on the partition boundary.
            """
        class closest_point_search(TUIMethod):
            """
            Enable the point surface algorithm to look for the nearest point instead of reporting a creation failure.
            """
        class delete_surface(TUIMethod):
            """
            Removes a defined data surface.
            """
        class iso_surface(TUIMethod):
            """
            Extracts an iso-surface (surface, curve, or point) from the current data field.
            """
        class edit_surface(TUIMethod):
            """
            Allows you to edit any of the listed available surfaces.
            """
        class list_surfaces(TUIMethod):
            """
            Displays the ID and name, and the number of point, curve, and surface facets of the current surfaces.
            """
        class quadric_slice(TUIMethod):
            """
            Extracts a quadric slice.
            """
        class create_imprint_surface(TUIMethod):
            """
            Imprint surface.
            """
        class multiple_plane_surfaces(TUIMethod):
            """
            Creates multiple planes at once. Accepts zone names, lists of zone ID’s, and wildcards.
            """
        class mouse_rake(TUIMethod):
            """
            Extracts a “rake" surface that you define by using the mouse to select the endpoints.
            """
        class structural_point_surface(TUIMethod):
            """
            Defines a structural “point" surface by specifying the coordinates.
            """
        class plane_surface(TUIMethod):
            """
            Create a plane from a coordinate plane, point and normal, or three points.
            """
        class point_surface(TUIMethod):
            """
            Defines a “point" surface by specifying the coordinates.
            """
        class plane_slice(TUIMethod):
            """
            Extracts a planar slice.
            """
        class mouse_plane(TUIMethod):
            """
            Extracts a planar surface defined by selecting three points with the mouse.
            """
        class zone_surface(TUIMethod):
            """
            Creates a surface of a designated zone and gives it a specified name.
            """
        class expression_volume(TUIMethod):
            """
            Create volume with boolean expression.
            """
        class multiple_zone_surfaces(TUIMethod):
            """
            Creates multiple data surfaces at one time. Accepts zone names, lists of zone ID’s, and wildcards.
            """
        class multiple_iso_surfaces(TUIMethod):
            """
            Creates multiple iso-surfaces at once. Accepts zone names, lists of zone ID’s, and wildcards.
            """
        class point_array(TUIMethod):
            """
            Extracts a rectangular array of data points.
            """
        class sphere_slice(TUIMethod):
            """
            Extracts a spherical slice.
            """
        class group_surfaces(TUIMethod):
            """
            Group a set of surfaces.
            """
        class surface_cells(TUIMethod):
            """
            Extracts all cells intersected by a data surface.
            """
        class line_slice(TUIMethod):
            """
            Extracts a linear slice in 2D, given the normal to the line and a distance from the origin.
            """
        class transform_surface(TUIMethod):
            """
            Transforms surface.
            """
        class mouse_line(TUIMethod):
            """
            Extracts a line surface that you define by using the mouse to select the endpoints.
            """
        class cone_slice(TUIMethod):
            """
            Extract a cone slice.
            """
        class line_surface(TUIMethod):
            """
            Defines a “line" surface by specifying the two endpoint coordinates.
            """
        class plane(TUIMethod):
            """
            Create a plane given 3 points bounded by the domain.
            """
        class rake_surface(TUIMethod):
            """
            Extracts a “rake" surface, given the coordinates of the endpoints.
            """
        class ungroup_surface(TUIMethod):
            """
            Ungroup the surface(if grouped).
            """
        class reset_zone_surfaces(TUIMethod):
            """
            Recreates missing surface zones by resetting the case surface list.
            """

        class post_processing_volume(TUIMenu):
            """
            Enter post-processing volume menu.
            """
            def __init__(self, service, version, mode, path):
                self.create_from_file = self.__class__.create_from_file(service, version, mode, path + ["create_from_file"])
                self.create_octree = self.__class__.create_octree(service, version, mode, path + ["create_octree"])
                super().__init__(service, version, mode, path)
            class create_from_file(TUIMethod):
                """
                Read post-processing mesh from file.
                """
            class create_octree(TUIMethod):
                """
                Create post-processing octree mesh based on current case.
                """

        class query(TUIMenu):
            """
            Enter surface query menu.
            """
            def __init__(self, service, version, mode, path):
                self.named_surface_list = self.__class__.named_surface_list(service, version, mode, path + ["named_surface_list"])
                self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
                self.list_named_selection = self.__class__.list_named_selection(service, version, mode, path + ["list_named_selection"])
                self.delete_query = self.__class__.delete_query(service, version, mode, path + ["delete_query"])
                self.list_queries = self.__class__.list_queries(service, version, mode, path + ["list_queries"])
                super().__init__(service, version, mode, path)
            class named_surface_list(TUIMethod):
                """
                Create named list of surfaces.
                """
            class list_surfaces(TUIMethod):
                """
                List surfaces.
                """
            class list_named_selection(TUIMethod):
                """
                List named selection of surface type.
                """
            class delete_query(TUIMethod):
                """
                Delete saved query.
                """
            class list_queries(TUIMethod):
                """
                List all saved queries.
                """

    class plot(TUIMenu):
        """
        Enter the XY plot menu.
        """
        def __init__(self, service, version, mode, path):
            self.cumulative_plot = self.__class__.cumulative_plot(service, version, mode, path + ["cumulative_plot"])
            self.ansys_sound_analysis = self.__class__.ansys_sound_analysis(service, version, mode, path + ["ansys_sound_analysis"])
            self.flamelet_curves = self.__class__.flamelet_curves(service, version, mode, path + ["flamelet_curves"])
            self.histogram_set = self.__class__.histogram_set(service, version, mode, path + ["histogram_set"])
            self.set_boundary_val_off = self.__class__.set_boundary_val_off(service, version, mode, path + ["set_boundary_val_off"])
            self.residuals_set = self.__class__.residuals_set(service, version, mode, path + ["residuals_set"])
            self.circum_avg_radial = self.__class__.circum_avg_radial(service, version, mode, path + ["circum_avg_radial"])
            self.fft = self.__class__.fft(service, version, mode, path + ["fft"])
            self.file_set = self.__class__.file_set(service, version, mode, path + ["file_set"])
            self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
            self.histogram = self.__class__.histogram(service, version, mode, path + ["histogram"])
            self.solution = self.__class__.solution(service, version, mode, path + ["solution"])
            self.circum_avg_axial = self.__class__.circum_avg_axial(service, version, mode, path + ["circum_avg_axial"])
            self.solution_set = self.__class__.solution_set(service, version, mode, path + ["solution_set"])
            self.residuals = self.__class__.residuals(service, version, mode, path + ["residuals"])
            self.file_list = self.__class__.file_list(service, version, mode, path + ["file_list"])
            self.change_fft_ref_pressure = self.__class__.change_fft_ref_pressure(service, version, mode, path + ["change_fft_ref_pressure"])
            self.datasources = self.__class__.datasources(service, version, mode, path + ["datasources"])
            self.file = self.__class__.file(service, version, mode, path + ["file"])
            self.display_profile_data = self.__class__.display_profile_data(service, version, mode, path + ["display_profile_data"])
            self.label_alignment = self.__class__.label_alignment(service, version, mode, path + ["label_alignment"])
            self.plot_direction = self.__class__.plot_direction(service, version, mode, path + ["plot_direction"])
            self.fft_set = self.__class__.fft_set(service, version, mode, path + ["fft_set"])
            super().__init__(service, version, mode, path)
        class histogram_set(TUIMethod):
            """
            Sets histogram plot parameters. Sub-menu items are the same as file-set/ above.
            """
        class set_boundary_val_off(TUIMethod):
            """
            Disables the use of boundary face values when node values are disabled in solution XY plots. This option is disabled by default, that is, boundary face values are used when node values are disabled.
            """
        class residuals_set(TUIMethod):
            """
            Sets residual plot parameters. Sub-menu items are the same as file-set/ above.
            """
        class circum_avg_radial(TUIMethod):
            """
            Computes iso-radial band surfaces and plots data vs. radius on them.
            """
        class fft(TUIMethod):
            """
            Plots fast Fourier transform (FFT) of file data. If you respond yes to Acoustic Analysis?, then additional Y axis functions are made available.
            """
        class file_set(TUIMethod):
            """
            Sets file plot parameters.
            """
        class plot(TUIMethod):
            """
            Plots solution on surfaces.
            """
        class histogram(TUIMethod):
            """
            Plots a histogram of the specified solution variable using the defined range and number of intervals.
            """
        class solution(TUIMethod):
            """
            Plots solution on surfaces and/or zones. Zone and surface names can be indicated using a  wildcard (\\*).
            """
        class circum_avg_axial(TUIMethod):
            """
            Computes iso-axial band surfaces and plots data vs. axial coordinate on them.
            """
        class solution_set(TUIMethod):
            """
            Sets solution plot parameters. Sub-menu items are the same as file-set/ above.
            """
        class residuals(TUIMethod):
            """
            Contains commands that allow you to select the variables for which you want to display XY plots of residual histories in the active graphics window.
            """
        class file_list(TUIMethod):
            """
            Plots data from multiple external files.
            """
        class change_fft_ref_pressure(TUIMethod):
            """
            Changes reference acoustic pressure.
            """
        class datasources(TUIMethod):
            """
            Enters the menu for creating and modifying plots containing multiple data sources.
            """
        class file(TUIMethod):
            """
            Plots data from an external file.
            """
        class display_profile_data(TUIMethod):
            """
            Plots profile data.
            """
        class label_alignment(TUIMethod):
            """
            Set the orientation of XY plot axis labels as either horizontal or axis-aligned.
            """
        class plot_direction(TUIMethod):
            """
            Sets plot direction for XY plot.
            """
        class fft_set(TUIMethod):
            """
            Enter the menu to set histogram plot parameters.
            """

        class cumulative_plot(TUIMenu):
            """
            Plot the development of force, force coefficient, moment, or moment coefficient across the specified wall zones.
            """
            def __init__(self, service, version, mode, path):
                self.write = self.__class__.write(service, version, mode, path + ["write"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.print = self.__class__.print(service, version, mode, path + ["print"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                super().__init__(service, version, mode, path)
            class write(TUIMethod):
                """
                Write a cumulative plot to a file.
                """
            class list(TUIMethod):
                """
                Print the names of the existing cumulative plot objects to the console.
                """
            class curves(TUIMethod):
                """
                Set curves options of an object.
                """
            class plot(TUIMethod):
                """
                Plot a cumulative plot in the graphics window.
                """
            class add(TUIMethod):
                """
                Create a new cumulative plot.
                """
            class print(TUIMethod):
                """
                Print the value of a cumulative plot to the console.
                """
            class list_properties(TUIMethod):
                """
                Print the properties of the specified cumulative plot object to the console.
                """
            class delete(TUIMethod):
                """
                Delete an existing cumulative plot object.
                """
            class edit(TUIMethod):
                """
                Edit an existing cumulative plot object.
                """
            class axes(TUIMethod):
                """
                Set axes options of an object.
                """

        class ansys_sound_analysis(TUIMenu):
            """
            Enter the Ansys sound analysis menu.
            """
            def __init__(self, service, version, mode, path):
                self.print_indicators = self.__class__.print_indicators(service, version, mode, path + ["print_indicators"])
                self.write_files = self.__class__.write_files(service, version, mode, path + ["write_files"])
                super().__init__(service, version, mode, path)
            class print_indicators(TUIMethod):
                """
                Read in a pressure signal or spectrum file, then optionally read in a frequency response function (FRF) or transfer function file, before printing the acoustics indicators.
                """
            class write_files(TUIMethod):
                """
                Read in a pressure signal or spectrum file, then optionally read in a frequency response function (FRF) or transfer function file, before writing a WAV, output pressure, and/or acoustic indicators file.
                """

        class flamelet_curves(TUIMenu):
            """
            Enters the flamelet curves menu.
            """
            def __init__(self, service, version, mode, path):
                self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                self.plot_curves = self.__class__.plot_curves(service, version, mode, path + ["plot_curves"])
                super().__init__(service, version, mode, path)
            class write_to_file(TUIMethod):
                """
                Writes curve to a file instead of plot.
                """
            class plot_curves(TUIMethod):
                """
                Plots of a curve property.
                """

    class report(TUIMenu):
        """
        Enter the report menu.
        """
        def __init__(self, service, version, mode, path):
            self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
            self.fluxes = self.__class__.fluxes(service, version, mode, path + ["fluxes"])
            self.population_balance = self.__class__.population_balance(service, version, mode, path + ["population_balance"])
            self.forces = self.__class__.forces(service, version, mode, path + ["forces"])
            self.modified_setting = self.__class__.modified_setting(service, version, mode, path + ["modified_setting"])
            self.system = self.__class__.system(service, version, mode, path + ["system"])
            self.simulation_reports = self.__class__.simulation_reports(service, version, mode, path + ["simulation_reports"])
            self.icing = self.__class__.icing(service, version, mode, path + ["icing"])
            self.dpm_histogram = self.__class__.dpm_histogram(service, version, mode, path + ["dpm_histogram"])
            self.reference_values = self.__class__.reference_values(service, version, mode, path + ["reference_values"])
            self.species_mass_flow = self.__class__.species_mass_flow(service, version, mode, path + ["species_mass_flow"])
            self.dpm_extended_summary = self.__class__.dpm_extended_summary(service, version, mode, path + ["dpm_extended_summary"])
            self.aero_optical_distortions = self.__class__.aero_optical_distortions(service, version, mode, path + ["aero_optical_distortions"])
            self.particle_summary = self.__class__.particle_summary(service, version, mode, path + ["particle_summary"])
            self.projected_surface_area = self.__class__.projected_surface_area(service, version, mode, path + ["projected_surface_area"])
            self.uds_flow = self.__class__.uds_flow(service, version, mode, path + ["uds_flow"])
            self.volume_integrals = self.__class__.volume_integrals(service, version, mode, path + ["volume_integrals"])
            self.print_histogram = self.__class__.print_histogram(service, version, mode, path + ["print_histogram"])
            self.surface_integrals = self.__class__.surface_integrals(service, version, mode, path + ["surface_integrals"])
            self.dpm_sample = self.__class__.dpm_sample(service, version, mode, path + ["dpm_sample"])
            self.element_mass_flow = self.__class__.element_mass_flow(service, version, mode, path + ["element_mass_flow"])
            self.mphase_summary = self.__class__.mphase_summary(service, version, mode, path + ["mphase_summary"])
            self.path_line_summary = self.__class__.path_line_summary(service, version, mode, path + ["path_line_summary"])
            self.dpm_sample_output_udf = self.__class__.dpm_sample_output_udf(service, version, mode, path + ["dpm_sample_output_udf"])
            self.dpm_zone_summaries_per_injection = self.__class__.dpm_zone_summaries_per_injection(service, version, mode, path + ["dpm_zone_summaries_per_injection"])
            self.dpm_sample_sort_file = self.__class__.dpm_sample_sort_file(service, version, mode, path + ["dpm_sample_sort_file"])
            self.dpm_summary = self.__class__.dpm_summary(service, version, mode, path + ["dpm_summary"])
            self.summary = self.__class__.summary(service, version, mode, path + ["summary"])
            self.write_histogram = self.__class__.write_histogram(service, version, mode, path + ["write_histogram"])
            super().__init__(service, version, mode, path)
        class species_mass_flow(TUIMethod):
            """
            Prints list of species mass flow rate at inlets and outlets. This reports the mass flow rates of all species (in kg/s) flowing through the simulation boundaries.
            """
        class dpm_extended_summary(TUIMethod):
            """
            Create an extended discrete phase summary report of the discrete phase injection(s). You can choose whether you want to save the extended report to a file or print it in the console window. For unsteady tracking, you will be asked whether you want to include in-domain particle/tracks in the report. You will be also prompted whether you want to select a single injection for the summary report. By default, all injections are included. The output depends on whether you have enabled the report/dpm-zone-summaries-per-injection? text command, in which case additional information is printed for escaped particles, such as per-injection data. Note that, for unsteady particle tracking, it is necessary to enable the report/dpm-zone-summaries-per-injection? text command before any particle parcels are injected into the domain.
            """
        class aero_optical_distortions(TUIMethod):
            """
            Optics report menu.
            """
        class particle_summary(TUIMethod):
            """
            Prints summary report for all current particles.
            """
        class projected_surface_area(TUIMethod):
            """
            Computes the area of the projection of selected surfaces along the  ,  , or   axis.
            """
        class uds_flow(TUIMethod):
            """
            Prints list of user-defined scalar flow rate at boundaries.
            """
        class volume_integrals(TUIMethod):
            """
            Enters the volume integral menu.
            """
        class print_histogram(TUIMethod):
            """
            Prints a histogram of a scalar quantity.
            """
        class surface_integrals(TUIMethod):
            """
            Enters the surface integral menu.
            """
        class dpm_sample(TUIMethod):
            """
            Samples trajectories at boundaries and lines/planes.
            """
        class element_mass_flow(TUIMethod):
            """
            Prints list of element flow rate at inlets and outlets. This reports the mass flow rates of all chemical elements (in kg/s) flowing through the simulation boundaries.
            """
        class mphase_summary(TUIMethod):
            """
            Prints summary report for a multiphase case setup.
            """
        class path_line_summary(TUIMethod):
            """
            Prints pathline summary report.
            """
        class dpm_sample_output_udf(TUIMethod):
            """
            Allows you to hook a previously loaded DEFINE_DPM_OUTPUT UDF for file format specification for sampling of trajectories and VOF-to-DPM lump conversion transcripts.
            """
        class dpm_zone_summaries_per_injection(TUIMethod):
            """
            Enables/disables calculation of the escaped mass per injection. Note that for unsteady particle tracking, if you want to report the mass of escaped particles per injection, this text command must be enabled before any particles are injected into the domain.
            """
        class dpm_sample_sort_file(TUIMethod):
            """
            Enables/disables writing of sorted DPM sample files.
            """
        class dpm_summary(TUIMethod):
            """
            Prints discrete phase summary report.
            """
        class summary(TUIMethod):
            """
            Prints the current settings for physical models, boundary conditions, material properties, and solution parameters.
            """
        class write_histogram(TUIMethod):
            """
            Write a histogram of a scalar quantity to a file.
            """

        class heat_exchanger(TUIMenu):
            """
            Enters the heat exchanger menu.
            """
            def __init__(self, service, version, mode, path):
                self.mass_flow_rate = self.__class__.mass_flow_rate(service, version, mode, path + ["mass_flow_rate"])
                self.specific_heat = self.__class__.specific_heat(service, version, mode, path + ["specific_heat"])
                self.outlet_temperature = self.__class__.outlet_temperature(service, version, mode, path + ["outlet_temperature"])
                self.computed_heat_rejection = self.__class__.computed_heat_rejection(service, version, mode, path + ["computed_heat_rejection"])
                self.inlet_temperature = self.__class__.inlet_temperature(service, version, mode, path + ["inlet_temperature"])
                super().__init__(service, version, mode, path)
            class mass_flow_rate(TUIMethod):
                """
                Prints mass flow rate.
                """
            class specific_heat(TUIMethod):
                """
                Prints fluid’s specific heat.
                """
            class outlet_temperature(TUIMethod):
                """
                Prints outlet temperature.
                """
            class computed_heat_rejection(TUIMethod):
                """
                Prints total heat rejection.
                """
            class inlet_temperature(TUIMethod):
                """
                Prints inlet temperature.
                """

        class fluxes(TUIMenu):
            """
            Enters the fluxes menu.
            """
            def __init__(self, service, version, mode, path):
                self.film_heat_transfer = self.__class__.film_heat_transfer(service, version, mode, path + ["film_heat_transfer"])
                self.viscous_work = self.__class__.viscous_work(service, version, mode, path + ["viscous_work"])
                self.film_mass_flow = self.__class__.film_mass_flow(service, version, mode, path + ["film_mass_flow"])
                self.pressure_work = self.__class__.pressure_work(service, version, mode, path + ["pressure_work"])
                self.rad_heat_trans = self.__class__.rad_heat_trans(service, version, mode, path + ["rad_heat_trans"])
                self.heat_transfer_sensible = self.__class__.heat_transfer_sensible(service, version, mode, path + ["heat_transfer_sensible"])
                self.heat_transfer = self.__class__.heat_transfer(service, version, mode, path + ["heat_transfer"])
                self.mass_flow = self.__class__.mass_flow(service, version, mode, path + ["mass_flow"])
                super().__init__(service, version, mode, path)
            class film_heat_transfer(TUIMethod):
                """
                Prints wall film heat transfer rate at boundaries. This text command is only available when you enable the Eulerian wall film model.
                """
            class viscous_work(TUIMethod):
                """
                Prints the viscous work rate at the boundaries. This text command is only available when the energy equation is enabled and the pressure-based solver is selected.
                """
            class film_mass_flow(TUIMethod):
                """
                Prints wall film mass flow rate at boundaries. This text command is only available when you enable the Eulerian wall film model.
                """
            class pressure_work(TUIMethod):
                """
                Prints the pressure work rate at the boundaries. This text command is only available when the energy equation is enabled, the absolute velocity formulation is selected, and zone motion is enabled for a fluid cell zone.
                """
            class rad_heat_trans(TUIMethod):
                """
                Prints radiation heat transfer rate at boundaries.
                """
            class heat_transfer_sensible(TUIMethod):
                """
                Prints the sensible heat transfer rate at the boundaries.
                """
            class heat_transfer(TUIMethod):
                """
                Prints heat transfer rate at boundaries.
                """
            class mass_flow(TUIMethod):
                """
                Prints mass flow rate at inlets and outlets.
                """

        class population_balance(TUIMenu):
            """
            Population Balance menu.
            """
            def __init__(self, service, version, mode, path):
                self.moments = self.__class__.moments(service, version, mode, path + ["moments"])
                self.number_density = self.__class__.number_density(service, version, mode, path + ["number_density"])
                super().__init__(service, version, mode, path)
            class moments(TUIMethod):
                """
                Set moments for population balance.
                """
            class number_density(TUIMethod):
                """
                Set number density functions.
                """

        class forces(TUIMenu):
            """
            Enters the forces menu.
            """
            def __init__(self, service, version, mode, path):
                self.wall_moments = self.__class__.wall_moments(service, version, mode, path + ["wall_moments"])
                self.wall_forces = self.__class__.wall_forces(service, version, mode, path + ["wall_forces"])
                self.pressure_center = self.__class__.pressure_center(service, version, mode, path + ["pressure_center"])
                super().__init__(service, version, mode, path)
            class wall_moments(TUIMethod):
                """
                Computes the moments about the specified moment center for all wall zones.
                """
            class wall_forces(TUIMethod):
                """
                Computes the forces along the specified force vector for all wall zones.
                """
            class pressure_center(TUIMethod):
                """
                Prints the center of pressure on wall zones.
                """

        class modified_setting(TUIMenu):
            """
            Enter the modified settings menu.
            """
            def __init__(self, service, version, mode, path):
                self.modified_setting = self.__class__.modified_setting(service, version, mode, path + ["modified_setting"])
                self.write_user_setting = self.__class__.write_user_setting(service, version, mode, path + ["write_user_setting"])
                super().__init__(service, version, mode, path)
            class modified_setting(TUIMethod):
                """
                Specify which areas of setup will be checked for non-default settings for generating the Modified Settings Summary table. The table is displayed tabbed with the graphics window.
                """
            class write_user_setting(TUIMethod):
                """
                Write the contents of the Modified Settings Summary table to a file.
                """

        class system(TUIMenu):
            """
            Enters the system menu.
            """
            def __init__(self, service, version, mode, path):
                self.time_stats = self.__class__.time_stats(service, version, mode, path + ["time_stats"])
                self.proc_stats = self.__class__.proc_stats(service, version, mode, path + ["proc_stats"])
                self.sys_stats = self.__class__.sys_stats(service, version, mode, path + ["sys_stats"])
                self.gpgpu_stats = self.__class__.gpgpu_stats(service, version, mode, path + ["gpgpu_stats"])
                super().__init__(service, version, mode, path)
            class time_stats(TUIMethod):
                """
                Timer information. This is used to report CPU timings for user and kernel processes and detailed solver timings.
                """
            class proc_stats(TUIMethod):
                """
                Prints ANSYS Fluent process information. This is used to report the memory usage of each of the ANSYS Fluent processes.
                """
            class sys_stats(TUIMethod):
                """
                System information. This is used to report the CPU configuration of the machines where ANSYS Fluent processes have been spawned.
                """
            class gpgpu_stats(TUIMethod):
                """
                Prints information about installed general purpose graphical processing units.
                """

        class simulation_reports(TUIMenu):
            """
            Enter the simulation reports menu.
            """
            def __init__(self, service, version, mode, path):
                self.parametric_study = self.__class__.parametric_study(service, version, mode, path + ["parametric_study"])
                self.read_simulation_report_template_file = self.__class__.read_simulation_report_template_file(service, version, mode, path + ["read_simulation_report_template_file"])
                self.view_simulation_report = self.__class__.view_simulation_report(service, version, mode, path + ["view_simulation_report"])
                self.write_simulation_report_template_file = self.__class__.write_simulation_report_template_file(service, version, mode, path + ["write_simulation_report_template_file"])
                self.export_simulation_report_as_html = self.__class__.export_simulation_report_as_html(service, version, mode, path + ["export_simulation_report_as_html"])
                self.delete_simulation_report = self.__class__.delete_simulation_report(service, version, mode, path + ["delete_simulation_report"])
                self.export_simulation_report_as_pptx = self.__class__.export_simulation_report_as_pptx(service, version, mode, path + ["export_simulation_report_as_pptx"])
                self.duplicate_simulation_report = self.__class__.duplicate_simulation_report(service, version, mode, path + ["duplicate_simulation_report"])
                self.rename_simulation_report = self.__class__.rename_simulation_report(service, version, mode, path + ["rename_simulation_report"])
                self.reset_report_to_defaults = self.__class__.reset_report_to_defaults(service, version, mode, path + ["reset_report_to_defaults"])
                self.export_simulation_report_as_pdf = self.__class__.export_simulation_report_as_pdf(service, version, mode, path + ["export_simulation_report_as_pdf"])
                self.generate_simulation_report = self.__class__.generate_simulation_report(service, version, mode, path + ["generate_simulation_report"])
                self.list_simulation_reports = self.__class__.list_simulation_reports(service, version, mode, path + ["list_simulation_reports"])
                self.write_report_names_to_file = self.__class__.write_report_names_to_file(service, version, mode, path + ["write_report_names_to_file"])
                super().__init__(service, version, mode, path)
            class read_simulation_report_template_file(TUIMethod):
                """
                Read a JSON template file with existing Simulation Report settings.
                """
            class view_simulation_report(TUIMethod):
                """
                View a simulation report that has already been generated. In batch mode this will print the report's URL.
                """
            class write_simulation_report_template_file(TUIMethod):
                """
                Write a JSON template file with this case's Simulation Report settings.
                """
            class export_simulation_report_as_html(TUIMethod):
                """
                Export the provided simulation report as HTML.
                """
            class delete_simulation_report(TUIMethod):
                """
                Delete the provided simulation report.
                """
            class export_simulation_report_as_pptx(TUIMethod):
                """
                Export the provided simulation report as a PPT file.
                """
            class duplicate_simulation_report(TUIMethod):
                """
                Duplicate a report and all of its settings to a new report.
                """
            class rename_simulation_report(TUIMethod):
                """
                Rename a report which has already been generated.
                """
            class reset_report_to_defaults(TUIMethod):
                """
                Reset all report settings to default for the provided simulation report.
                """
            class export_simulation_report_as_pdf(TUIMethod):
                """
                Export the provided simulation report as a PDF file.
                """
            class generate_simulation_report(TUIMethod):
                """
                Generate a new simulation report or regenerate an existing simulation report with the provided name.
                """
            class list_simulation_reports(TUIMethod):
                """
                List all report names.
                """
            class write_report_names_to_file(TUIMethod):
                """
                Write the list of currently generated report names to a txt file.
                """

            class parametric_study(TUIMenu):
                """
                Enter the parametric study menu.
                """
                def __init__(self, service, version, mode, path):
                    self.generate_parametric_report = self.__class__.generate_parametric_report(service, version, mode, path + ["generate_parametric_report"])
                    self.generate_design_point_report = self.__class__.generate_design_point_report(service, version, mode, path + ["generate_design_point_report"])
                    super().__init__(service, version, mode, path)
                class generate_parametric_report(TUIMethod):
                    """
                    Generate a parametric report for your study.
                    """
                class generate_design_point_report(TUIMethod):
                    """
                    Generate a simulation report for an updated design point.
                    """

        class icing(TUIMenu):
            """
            Icing reports menu.
            """
            def __init__(self, service, version, mode, path):
                self.particles_droplets_collection_eff = self.__class__.particles_droplets_collection_eff(service, version, mode, path + ["particles_droplets_collection_eff"])
                self.energy_of_ice_formation = self.__class__.energy_of_ice_formation(service, version, mode, path + ["energy_of_ice_formation"])
                self.icing_energy_of_conduction = self.__class__.icing_energy_of_conduction(service, version, mode, path + ["icing_energy_of_conduction"])
                self.mass_of_ice = self.__class__.mass_of_ice(service, version, mode, path + ["mass_of_ice"])
                self.energy_of_water_impinged = self.__class__.energy_of_water_impinged(service, version, mode, path + ["energy_of_water_impinged"])
                self.mass_of_water_impinged = self.__class__.mass_of_water_impinged(service, version, mode, path + ["mass_of_water_impinged"])
                self.particles_crystals_collection_eff = self.__class__.particles_crystals_collection_eff(service, version, mode, path + ["particles_crystals_collection_eff"])
                super().__init__(service, version, mode, path)
            class particles_droplets_collection_eff(TUIMethod):
                """
                Print Droplets Collection Efficiency.
                """
            class energy_of_ice_formation(TUIMethod):
                """
                Print Energy of Ice Formation.
                """
            class icing_energy_of_conduction(TUIMethod):
                """
                Print Energy of Conduction.
                """
            class mass_of_ice(TUIMethod):
                """
                Print Mass of Ice Accretion.
                """
            class energy_of_water_impinged(TUIMethod):
                """
                Print Energy of Water Impingement.
                """
            class mass_of_water_impinged(TUIMethod):
                """
                Print Mass of Water Impingement.
                """
            class particles_crystals_collection_eff(TUIMethod):
                """
                Print Crystals Collection Efficiency.
                """

        class dpm_histogram(TUIMenu):
            """
            Enters the DPM histogram menu.
            """
            def __init__(self, service, version, mode, path):
                self.setup_reduction = self.__class__.setup_reduction(service, version, mode, path + ["setup_reduction"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.pick_sample_to_reduce = self.__class__.pick_sample_to_reduce(service, version, mode, path + ["pick_sample_to_reduce"])
                self.prep_dpm_sample_cont_plot_exprs = self.__class__.prep_dpm_sample_cont_plot_exprs(service, version, mode, path + ["prep_dpm_sample_cont_plot_exprs"])
                self.write_sample = self.__class__.write_sample(service, version, mode, path + ["write_sample"])
                self.delete_sample = self.__class__.delete_sample(service, version, mode, path + ["delete_sample"])
                self.plot_sample = self.__class__.plot_sample(service, version, mode, path + ["plot_sample"])
                self.compute_sample = self.__class__.compute_sample(service, version, mode, path + ["compute_sample"])
                self.reduce_picked_sample = self.__class__.reduce_picked_sample(service, version, mode, path + ["reduce_picked_sample"])
                self.read_sample = self.__class__.read_sample(service, version, mode, path + ["read_sample"])
                self.list_samples = self.__class__.list_samples(service, version, mode, path + ["list_samples"])
                super().__init__(service, version, mode, path)
            class pick_sample_to_reduce(TUIMethod):
                """
                Select a sample to be reduced.
                """
            class prep_dpm_sample_cont_plot_exprs(TUIMethod):
                """
                Prepare named expressions from data in a DPM sample file (collected at a cut plane surface) for contour plotting.
                """
            class write_sample(TUIMethod):
                """
                Write a histogram of a loaded sample into a file.
                """
            class delete_sample(TUIMethod):
                """
                Deletes a sample from the loaded sample list.
                """
            class plot_sample(TUIMethod):
                """
                Plots a histogram of a loaded sample.
                """
            class compute_sample(TUIMethod):
                """
                Computes the minimum/maximum of a sample variable.
                """
            class reduce_picked_sample(TUIMethod):
                """
                Reduce a sample as specified by the data reduction parameters. This command is available only after you selected the sample using the pick-sample-to-reduce text command.
                """
            class read_sample(TUIMethod):
                """
                Reads a sample file and adds it to the sample list.
                """
            class list_samples(TUIMethod):
                """
                Shows all samples in a loaded sample list.
                """

            class setup_reduction(TUIMenu):
                """
                Set up the sample data reduction by specifying all relevant options and setting parameters as desired.
                """
                def __init__(self, service, version, mode, path):
                    self.make_steady_from_unsteady_file = self.__class__.make_steady_from_unsteady_file(service, version, mode, path + ["make_steady_from_unsteady_file"])
                    self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                    self.reset_min_and_max = self.__class__.reset_min_and_max(service, version, mode, path + ["reset_min_and_max"])
                    self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                    self.number_of_bins = self.__class__.number_of_bins(service, version, mode, path + ["number_of_bins"])
                    self.use_weighting = self.__class__.use_weighting(service, version, mode, path + ["use_weighting"])
                    self.logarithmic = self.__class__.logarithmic(service, version, mode, path + ["logarithmic"])
                    self.all_variables_number_of_bins = self.__class__.all_variables_number_of_bins(service, version, mode, path + ["all_variables_number_of_bins"])
                    self.list_settings = self.__class__.list_settings(service, version, mode, path + ["list_settings"])
                    self.weighting_variable = self.__class__.weighting_variable(service, version, mode, path + ["weighting_variable"])
                    super().__init__(service, version, mode, path)
                class make_steady_from_unsteady_file(TUIMethod):
                    """
                    Specify whether the unsteady sample is to be reduced into a steady-state injection file.
                    """
                class maximum(TUIMethod):
                    """
                    Set the maximum value of the range to be considered for a specific variable in the data reduction.
                    """
                class reset_min_and_max(TUIMethod):
                    """
                    Reset the min and max values of the range to be considered for a specific variable in the data reduction.
                    """
                class minimum(TUIMethod):
                    """
                    Set the minimum value of the range to be considered for a specific variable in the data reduction.
                    """
                class number_of_bins(TUIMethod):
                    """
                    Set the number of bins to be used for a specific variable in the data reduction.
                    """
                class use_weighting(TUIMethod):
                    """
                    Specify whether to use any weighting in the averaging that is done in each bin in the data reduction.
                    """
                class logarithmic(TUIMethod):
                    """
                    Switch on or off logarithmic scaling to be used for a specific variable in the data reduction.
                    """
                class all_variables_number_of_bins(TUIMethod):
                    """
                    Set the number of bins to be used for ALL variables in the data reduction.
                    """
                class list_settings(TUIMethod):
                    """
                    List all user inputs for the sample picked for data reduction.
                    """
                class weighting_variable(TUIMethod):
                    """
                    Choose the weighting variable for the averaging in each bin in the data reduction.
                    """

            class set(TUIMenu):
                """
                Enters the settings menu for the histogram.
                """
                def __init__(self, service, version, mode, path):
                    self.logarithmic = self.__class__.logarithmic(service, version, mode, path + ["logarithmic"])
                    self.number_of_bins = self.__class__.number_of_bins(service, version, mode, path + ["number_of_bins"])
                    self.cumulation_curve = self.__class__.cumulation_curve(service, version, mode, path + ["cumulation_curve"])
                    self.correlation = self.__class__.correlation(service, version, mode, path + ["correlation"])
                    self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                    self.weighting = self.__class__.weighting(service, version, mode, path + ["weighting"])
                    self.histogram_mode = self.__class__.histogram_mode(service, version, mode, path + ["histogram_mode"])
                    self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                    self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                    self.variable_power_3 = self.__class__.variable_power_3(service, version, mode, path + ["variable_power_3"])
                    self.diameter_statistics = self.__class__.diameter_statistics(service, version, mode, path + ["diameter_statistics"])
                    self.percentage = self.__class__.percentage(service, version, mode, path + ["percentage"])
                    super().__init__(service, version, mode, path)
                class logarithmic(TUIMethod):
                    """
                    Enables/disables the use of logarithmic scaling on the abscissa of the histogram.
                    """
                class number_of_bins(TUIMethod):
                    """
                    Specifies the number of bins.
                    """
                class cumulation_curve(TUIMethod):
                    """
                    Computes a cumulative curve for the sampling variable or correlation variable when correlation? is specified.
                    """
                class correlation(TUIMethod):
                    """
                    Computes the correlation of the sampling variable with another variable.
                    """
                class maximum(TUIMethod):
                    """
                    Specifies the maximum value of the x-axis variable for histogram plots.
                    """
                class weighting(TUIMethod):
                    """
                    Uses weighting with additional variables when sorting data into samples.
                    """
                class histogram_mode(TUIMethod):
                    """
                    Uses bars for the histogram plot or xy-style.
                    """
                class auto_range(TUIMethod):
                    """
                    Automatically computes the range of the sampling variable for histogram plots.
                    """
                class minimum(TUIMethod):
                    """
                    Specifies the minimum value of the x-axis variable for histogram plots.
                    """
                class variable_power_3(TUIMethod):
                    """
                    Use the cubic of the cumulation variable during computation of the cumulative curve.
                    When the particle mass was not sampled, the diameter can be used instead.
                    """
                class diameter_statistics(TUIMethod):
                    """
                    Computes the Rosin Rammler parameters, Sauter, and other mean diameters.
                    """
                class percentage(TUIMethod):
                    """
                    Uses percentages of bins to be computed.
                    """

        class reference_values(TUIMenu):
            """
            Enters the reference value menu.
            """
            def __init__(self, service, version, mode, path):
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.enthalpy = self.__class__.enthalpy(service, version, mode, path + ["enthalpy"])
                self.velocity = self.__class__.velocity(service, version, mode, path + ["velocity"])
                self.area = self.__class__.area(service, version, mode, path + ["area"])
                self.pressure = self.__class__.pressure(service, version, mode, path + ["pressure"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.temperature = self.__class__.temperature(service, version, mode, path + ["temperature"])
                self.density = self.__class__.density(service, version, mode, path + ["density"])
                self.length = self.__class__.length(service, version, mode, path + ["length"])
                self.yplus = self.__class__.yplus(service, version, mode, path + ["yplus"])
                self.zone = self.__class__.zone(service, version, mode, path + ["zone"])
                self.depth = self.__class__.depth(service, version, mode, path + ["depth"])
                self.viscosity = self.__class__.viscosity(service, version, mode, path + ["viscosity"])
                super().__init__(service, version, mode, path)
            class enthalpy(TUIMethod):
                """
                Sets reference enthalpy for enthalpy damping and normalization.
                """
            class velocity(TUIMethod):
                """
                Sets reference velocity for normalization.
                """
            class area(TUIMethod):
                """
                Sets reference area for normalization.
                """
            class pressure(TUIMethod):
                """
                Sets reference pressure for normalization.
                """
            class list(TUIMethod):
                """
                Lists current reference values.
                """
            class temperature(TUIMethod):
                """
                Sets reference temperature for normalization.
                """
            class density(TUIMethod):
                """
                Sets reference density for normalization.
                """
            class length(TUIMethod):
                """
                Sets reference length for normalization.
                """
            class yplus(TUIMethod):
                """
                Sets reference yplus for calculation of Yplus Based Heat Transfer Coefficient.
                """
            class zone(TUIMethod):
                """
                Sets reference zone.
                """
            class depth(TUIMethod):
                """
                Sets reference depth for volume calculation.
                """
            class viscosity(TUIMethod):
                """
                Sets reference viscosity for normalization.
                """

            class compute(TUIMenu):
                """
                Computes reference values from zone boundary conditions.
                """
                def __init__(self, service, version, mode, path):
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.dummy_entry = self.__class__.dummy_entry(service, version, mode, path + ["dummy_entry"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    super().__init__(service, version, mode, path)
                class overset(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class porous_jump(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class wall(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class interior(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class axis(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class solid(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class network(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class dummy_entry(TUIMethod):
                    """
                    .
                    """
                class interface(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """

    class turbo_post(TUIMenu):
        """
        Enter the turbo menu.
        """
        def __init__(self, service, version, mode, path):
            self.avg_contours = self.__class__.avg_contours(service, version, mode, path + ["avg_contours"])
            self.compute_report = self.__class__.compute_report(service, version, mode, path + ["compute_report"])
            self.write_report = self.__class__.write_report(service, version, mode, path + ["write_report"])
            self.current_topology = self.__class__.current_topology(service, version, mode, path + ["current_topology"])
            self.xy_plot_avg = self.__class__.xy_plot_avg(service, version, mode, path + ["xy_plot_avg"])
            self.two_d_contours = self.__class__.two_d_contours(service, version, mode, path + ["two_d_contours"])
            super().__init__(service, version, mode, path)
        class avg_contours(TUIMethod):
            """
            Displays average contours.
            """
        class compute_report(TUIMethod):
            """
            Computes turbomachinery quantities.
            """
        class write_report(TUIMethod):
            """
            Writes the turbo report to file.
            """
        class current_topology(TUIMethod):
            """
            Sets the current turbo topology for global use.
            """
        class xy_plot_avg(TUIMethod):
            """
            Displays average XY plots.
            """
        class two_d_contours(TUIMethod):
            """
            Display 2d contours.
            """

    class solve(TUIMenu):
        """
        Enter the solve menu.
        """
        def __init__(self, service, version, mode, path):
            self.cell_register_operations = self.__class__.cell_register_operations(service, version, mode, path + ["cell_register_operations"])
            self.set = self.__class__.set(service, version, mode, path + ["set"])
            self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
            self.monitors = self.__class__.monitors(service, version, mode, path + ["monitors"])
            self.animate = self.__class__.animate(service, version, mode, path + ["animate"])
            self.cell_registers = self.__class__.cell_registers(service, version, mode, path + ["cell_registers"])
            self.execute_commands = self.__class__.execute_commands(service, version, mode, path + ["execute_commands"])
            self.report_files = self.__class__.report_files(service, version, mode, path + ["report_files"])
            self.report_plots = self.__class__.report_plots(service, version, mode, path + ["report_plots"])
            self.report_definitions = self.__class__.report_definitions(service, version, mode, path + ["report_definitions"])
            self.convergence_conditions = self.__class__.convergence_conditions(service, version, mode, path + ["convergence_conditions"])
            self.dpm_update = self.__class__.dpm_update(service, version, mode, path + ["dpm_update"])
            self.multistage_time_iterate = self.__class__.multistage_time_iterate(service, version, mode, path + ["multistage_time_iterate"])
            self.update_physical_time = self.__class__.update_physical_time(service, version, mode, path + ["update_physical_time"])
            self.iterate = self.__class__.iterate(service, version, mode, path + ["iterate"])
            self.dual_time_iterate = self.__class__.dual_time_iterate(service, version, mode, path + ["dual_time_iterate"])
            self.mesh_motion = self.__class__.mesh_motion(service, version, mode, path + ["mesh_motion"])
            self.patch = self.__class__.patch(service, version, mode, path + ["patch"])
            self.iterate_steady_2way_fsi = self.__class__.iterate_steady_2way_fsi(service, version, mode, path + ["iterate_steady_2way_fsi"])
            super().__init__(service, version, mode, path)
        class convergence_conditions(TUIMethod):
            """
            Enters the convergence conditions menu.
            """
        class dpm_update(TUIMethod):
            """
            Updates discrete phase source terms.
            """
        class multistage_time_iterate(TUIMethod):
            """
            Perform unsteady iterations.
            """
        class update_physical_time(TUIMethod):
            """
            Advances the unsteady solution to the next physical time level. Using this command in conjunction with theiterate command allows you to manually advance the solution in time (rather than doing it automatically with the dual-time-iterate command).
            """
        class iterate(TUIMethod):
            """
            Performs a specified number of iterations.  This option is still available during transient simulations, since it can be used to add more iterations to the same time step after interrupting iterations within a time step.
            """
        class dual_time_iterate(TUIMethod):
            """
            Performs unsteady iterations for a specified number of time steps.
            """
        class mesh_motion(TUIMethod):
            """
            Performs mesh motion.
            """
        class patch(TUIMethod):
            """
            Patches a value for a flow variable in the domain. You can either provide a numerical value, which you can enter directly, or you can enter an expression, which must be entered within quotation marks.
            """
        class iterate_steady_2way_fsi(TUIMethod):
            """
            Perform a specified number of steps.
            """

        class cell_register_operations(TUIMenu):
            """
            Enters the cell register operations menu.
            """
            def __init__(self, service, version, mode, path):
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class edit(TUIMethod):
                """
                Edits an existing cell register operation.
                """
            class list(TUIMethod):
                """
                Lists the currently defined cell register operations.
                """
            class add(TUIMethod):
                """
                Creates a new cell register operation.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a report register operation.
                """
            class delete(TUIMethod):
                """
                Deletes a cell register operation.
                """

        class set(TUIMenu):
            """
            Enters the set solution parameters menu.
            """
            def __init__(self, service, version, mode, path):
                self.warped_face_gradient_correction = self.__class__.warped_face_gradient_correction(service, version, mode, path + ["warped_face_gradient_correction"])
                self.data_sampling_options = self.__class__.data_sampling_options(service, version, mode, path + ["data_sampling_options"])
                self.poor_mesh_numerics = self.__class__.poor_mesh_numerics(service, version, mode, path + ["poor_mesh_numerics"])
                self.contact_solution_controls = self.__class__.contact_solution_controls(service, version, mode, path + ["contact_solution_controls"])
                self.nita_expert_controls = self.__class__.nita_expert_controls(service, version, mode, path + ["nita_expert_controls"])
                self.advanced = self.__class__.advanced(service, version, mode, path + ["advanced"])
                self.open_channel_wave_options = self.__class__.open_channel_wave_options(service, version, mode, path + ["open_channel_wave_options"])
                self.pseudo_time_method = self.__class__.pseudo_time_method(service, version, mode, path + ["pseudo_time_method"])
                self.acoustics_wave_equation_controls = self.__class__.acoustics_wave_equation_controls(service, version, mode, path + ["acoustics_wave_equation_controls"])
                self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                self.high_order_term_relaxation = self.__class__.high_order_term_relaxation(service, version, mode, path + ["high_order_term_relaxation"])
                self.previous_defaults = self.__class__.previous_defaults(service, version, mode, path + ["previous_defaults"])
                self.high_speed_numerics = self.__class__.high_speed_numerics(service, version, mode, path + ["high_speed_numerics"])
                self.transient_controls = self.__class__.transient_controls(service, version, mode, path + ["transient_controls"])
                self.divergence_prevention = self.__class__.divergence_prevention(service, version, mode, path + ["divergence_prevention"])
                self.multiphase_numerics = self.__class__.multiphase_numerics(service, version, mode, path + ["multiphase_numerics"])
                self.amg_options = self.__class__.amg_options(service, version, mode, path + ["amg_options"])
                self.enhanced_les_numerics = self.__class__.enhanced_les_numerics(service, version, mode, path + ["enhanced_les_numerics"])
                self.fast_transient_settings = self.__class__.fast_transient_settings(service, version, mode, path + ["fast_transient_settings"])
                self.reporting_interval = self.__class__.reporting_interval(service, version, mode, path + ["reporting_interval"])
                self.bc_pressure_extrapolations = self.__class__.bc_pressure_extrapolations(service, version, mode, path + ["bc_pressure_extrapolations"])
                self.slope_limiter_set = self.__class__.slope_limiter_set(service, version, mode, path + ["slope_limiter_set"])
                self.correction_tolerance = self.__class__.correction_tolerance(service, version, mode, path + ["correction_tolerance"])
                self.cfl_based_adaptive_time_stepping = self.__class__.cfl_based_adaptive_time_stepping(service, version, mode, path + ["cfl_based_adaptive_time_stepping"])
                self.multi_grid_amg = self.__class__.multi_grid_amg(service, version, mode, path + ["multi_grid_amg"])
                self.mp_reference_density = self.__class__.mp_reference_density(service, version, mode, path + ["mp_reference_density"])
                self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                self.solution_steering = self.__class__.solution_steering(service, version, mode, path + ["solution_steering"])
                self.accelerated_non_iterative_time_marching = self.__class__.accelerated_non_iterative_time_marching(service, version, mode, path + ["accelerated_non_iterative_time_marching"])
                self.data_sampling = self.__class__.data_sampling(service, version, mode, path + ["data_sampling"])
                self.second_order_time_options = self.__class__.second_order_time_options(service, version, mode, path + ["second_order_time_options"])
                self.open_channel_controls = self.__class__.open_channel_controls(service, version, mode, path + ["open_channel_controls"])
                self.nb_gradient_boundary_option = self.__class__.nb_gradient_boundary_option(service, version, mode, path + ["nb_gradient_boundary_option"])
                self.adaptive_time_stepping = self.__class__.adaptive_time_stepping(service, version, mode, path + ["adaptive_time_stepping"])
                self.reduced_rank_extrapolation = self.__class__.reduced_rank_extrapolation(service, version, mode, path + ["reduced_rank_extrapolation"])
                self.p_v_controls = self.__class__.p_v_controls(service, version, mode, path + ["p_v_controls"])
                self.reduced_rank_extrapolation_options = self.__class__.reduced_rank_extrapolation_options(service, version, mode, path + ["reduced_rank_extrapolation_options"])
                self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                self.flow_warnings = self.__class__.flow_warnings(service, version, mode, path + ["flow_warnings"])
                self.courant_number = self.__class__.courant_number(service, version, mode, path + ["courant_number"])
                self.discretization_scheme = self.__class__.discretization_scheme(service, version, mode, path + ["discretization_scheme"])
                self.set_solution_methods_to_default = self.__class__.set_solution_methods_to_default(service, version, mode, path + ["set_solution_methods_to_default"])
                self.numerical_beach_controls = self.__class__.numerical_beach_controls(service, version, mode, path + ["numerical_beach_controls"])
                self.vof_explicit_controls = self.__class__.vof_explicit_controls(service, version, mode, path + ["vof_explicit_controls"])
                self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                self.stiff_chemistry = self.__class__.stiff_chemistry(service, version, mode, path + ["stiff_chemistry"])
                self.equations = self.__class__.equations(service, version, mode, path + ["equations"])
                self.limits = self.__class__.limits(service, version, mode, path + ["limits"])
                self.residual_smoothing = self.__class__.residual_smoothing(service, version, mode, path + ["residual_smoothing"])
                self.material_property_warnings = self.__class__.material_property_warnings(service, version, mode, path + ["material_property_warnings"])
                self.number_of_iterations = self.__class__.number_of_iterations(service, version, mode, path + ["number_of_iterations"])
                self.residual_verbosity = self.__class__.residual_verbosity(service, version, mode, path + ["residual_verbosity"])
                self.set_solution_steering = self.__class__.set_solution_steering(service, version, mode, path + ["set_solution_steering"])
                self.multi_grid_controls = self.__class__.multi_grid_controls(service, version, mode, path + ["multi_grid_controls"])
                self.multi_grid_fas = self.__class__.multi_grid_fas(service, version, mode, path + ["multi_grid_fas"])
                self.enable_output_dp_dt = self.__class__.enable_output_dp_dt(service, version, mode, path + ["enable_output_dp_dt"])
                self.flux_type = self.__class__.flux_type(service, version, mode, path + ["flux_type"])
                self.lock_solid_temperature = self.__class__.lock_solid_temperature(service, version, mode, path + ["lock_solid_temperature"])
                self.time_step = self.__class__.time_step(service, version, mode, path + ["time_step"])
                self.moving_mesh_numerics = self.__class__.moving_mesh_numerics(service, version, mode, path + ["moving_mesh_numerics"])
                self.disable_reconstruction = self.__class__.disable_reconstruction(service, version, mode, path + ["disable_reconstruction"])
                self.gradient_scheme = self.__class__.gradient_scheme(service, version, mode, path + ["gradient_scheme"])
                self.mp_mfluid_aniso_drag = self.__class__.mp_mfluid_aniso_drag(service, version, mode, path + ["mp_mfluid_aniso_drag"])
                self.vof_numerics = self.__class__.vof_numerics(service, version, mode, path + ["vof_numerics"])
                self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                self.p_v_controls_advanced = self.__class__.p_v_controls_advanced(service, version, mode, path + ["p_v_controls_advanced"])
                self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                self.phase_based_vof_discretization = self.__class__.phase_based_vof_discretization(service, version, mode, path + ["phase_based_vof_discretization"])
                self.set_all_species_together = self.__class__.set_all_species_together(service, version, mode, path + ["set_all_species_together"])
                self.max_corrections = self.__class__.max_corrections(service, version, mode, path + ["max_corrections"])
                self.limiter_warnings = self.__class__.limiter_warnings(service, version, mode, path + ["limiter_warnings"])
                self.variable_time_stepping = self.__class__.variable_time_stepping(service, version, mode, path + ["variable_time_stepping"])
                self.residual_tolerance = self.__class__.residual_tolerance(service, version, mode, path + ["residual_tolerance"])
                self.multi_stage = self.__class__.multi_stage(service, version, mode, path + ["multi_stage"])
                self.surface_tension_expert = self.__class__.surface_tension_expert(service, version, mode, path + ["surface_tension_expert"])
                self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                self.convergence_acceleration_for_stretched_meshes = self.__class__.convergence_acceleration_for_stretched_meshes(service, version, mode, path + ["convergence_acceleration_for_stretched_meshes"])
                self.set_controls_to_default = self.__class__.set_controls_to_default(service, version, mode, path + ["set_controls_to_default"])
                self.equation_ordering = self.__class__.equation_ordering(service, version, mode, path + ["equation_ordering"])
                self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                self.heterogeneous_stiff_chemistry = self.__class__.heterogeneous_stiff_chemistry(service, version, mode, path + ["heterogeneous_stiff_chemistry"])
                super().__init__(service, version, mode, path)
            class reporting_interval(TUIMethod):
                """
                Sets the number of iterations for which convergence monitors are reported. The default is 1 (after every iteration).
                """
            class bc_pressure_extrapolations(TUIMethod):
                """
                Sets pressure extrapolations schemes on boundaries.
                """
            class slope_limiter_set(TUIMethod):
                """
                Selects a new Fluent solver slope limiter.
                """
            class correction_tolerance(TUIMethod):
                """
                Enters the correction tolerance menu.
                """
            class cfl_based_adaptive_time_stepping(TUIMethod):
                """
                Set CFL-based adaptive time-stepping parameters.
                """
            class multi_grid_amg(TUIMethod):
                """
                Sets the parameters that govern the algebraic multigrid procedure.
                """
            class mp_reference_density(TUIMethod):
                """
                Sets the reference density method for the Eulerian multiphase model. The following options are available:
                0 (default): Averaged density of the phase
                1: Cell density of the phase
                1: Constant value of 1
                1: Cell density of the phase
                See  for more information.
                """
            class under_relaxation(TUIMethod):
                """
                Enters the under-relaxation menu, which allows you to set the under-relaxation factor for each equation that is being solved in a segregated manner.
                """
            class solution_steering(TUIMethod):
                """
                Enables solution steering for the density-based solver.
                """
            class accelerated_non_iterative_time_marching(TUIMethod):
                """
                Enables a modified NITA scheme and other setting changes that can speed up the simulation. This option is only available with the Large Eddy Simulation (LES) turbulence model, and is intended for unreacting flow simulations that use a constant-density fluid.
                """
            class data_sampling(TUIMethod):
                """
                Enables data sampling for steady or unsteady flow statistics.
                """
            class second_order_time_options(TUIMethod):
                """
                Enables / disables the variable time step size formulation for second-order implicit transient formulations. If you disable the variable time step size formulation, note that any change in the time step size will introduce an error proportional to the change in the time step size ratio.
                """
            class open_channel_controls(TUIMethod):
                """
                For flows that do not transition from sub-critical to super-critical, or vice-versa, you can speed-up the solution calculation by updating the frequency of Froude number during run time.
                """
            class nb_gradient_boundary_option(TUIMethod):
                """
                Switches between the modified treatment of node-based gradients at boundary cells and the legacy treatment (R14.5.7 and earlier). If using the density-based solver, you can also specify the extended treatment. For details, see .
                """
            class adaptive_time_stepping(TUIMethod):
                """
                Set Error-based adaptive time-stepping parameters.
                """
            class reduced_rank_extrapolation(TUIMethod):
                """
                Enable Reduced Rank Extrapolation method to accelerate solution time.
                """
            class p_v_controls(TUIMethod):
                """
                Sets pressure-velocity controls.
                """
            class reduced_rank_extrapolation_options(TUIMethod):
                """
                Reduced Rank Extrapolation options.
                """
            class surface_tension(TUIMethod):
                """
                Sets surface-tension calculation options.
                """
            class flow_warnings(TUIMethod):
                """
                Specifies whether or not to print warning messages when reversed flow occurs at inlets and outlets, and when mass-flow inlets develop supersonic regions. By default, flow warnings are printed.
                """
            class courant_number(TUIMethod):
                """
                Sets the fine-grid Courant number (time step factor). This command is available only for the coupled solvers.
                """
            class discretization_scheme(TUIMethod):
                """
                Enters the discretization scheme menu. This allows you to select the discretization scheme for the convection terms in the solution equations. The following text commands can make a selection from a subset of the models in the following table:.
                """
            class set_solution_methods_to_default(TUIMethod):
                """
                Sets the solution methods to the default settings.
                """
            class numerical_beach_controls(TUIMethod):
                """
                Sets damping function in flow direction. This command appears only when the VOF model is enabled. Select the damping function to be used:
                Index
                Damping Function
                0
                Linear
                1
                Quadratic
                2
                Cubic
                3
                Cosine.
                """
            class vof_explicit_controls(TUIMethod):
                """
                Sets the sub time step calculation method for VOF calculations.
                """
            class p_v_coupling(TUIMethod):
                """
                Selects which pressure-velocity coupling scheme is to be used. Five schemes are available:.
                """
            class stiff_chemistry(TUIMethod):
                """
                Sets solver options for stiff chemistry solutions.
                """
            class equations(TUIMethod):
                """
                Selects the equations to be solved.
                """
            class limits(TUIMethod):
                """
                Sets solver limits for various solution variables, in order to improve the stability of the solution.
                """
            class residual_smoothing(TUIMethod):
                """
                Sets the implicit residual smoothing parameters. This command is available only for the explicit coupled solver.
                """
            class material_property_warnings(TUIMethod):
                """
                Control the display of material property warning diagnostics:
                0 - off (no messages)
                1 - messages per material
                2 - messages per material and per property.
                """
            class number_of_iterations(TUIMethod):
                """
                Sets the number of iterations for a steady-state simulation without starting the calculation.
                """
            class residual_verbosity(TUIMethod):
                """
                Sets the amount of residual information to be printed. A value of 0 (the default) prints residuals at the end of each fine grid iteration. A value of 1 prints residuals after every stage of the fine grid iteration. A value of 2 prints residuals after every stage on every grid level.
                """
            class set_solution_steering(TUIMethod):
                """
                Sets solution steering parameters.
                """
            class multi_grid_controls(TUIMethod):
                """
                Sets multigrid parameters and termination criteria.
                """
            class multi_grid_fas(TUIMethod):
                """
                Sets the parameters that control the FAS multigrid solver. This command appears only when the explicit coupled solver is used.
                """
            class enable_output_dp_dt(TUIMethod):
                """
                Controls whether the output field variabledp-dt will be available for transient simulation postprocessing. If you select no, pressure fields at the previous time steps will not be stored in memory which reduces memory usage.
                """
            class flux_type(TUIMethod):
                """
                Enter the flux type.
                """
            class lock_solid_temperature(TUIMethod):
                """
                Specifies whether you want to lock (or “freeze”) the temperature values for all the cells in solid zones (including those to which you have a hooked an energy source through a UDF) and in walls that have shell conduction enabled, so that the values do not change during further solver iterations.
                """
            class time_step(TUIMethod):
                """
                Set the time step.
                """
            class moving_mesh_numerics(TUIMethod):
                """
                Transient options for sliding, moving, and/or dynamic mesh.
                """
            class disable_reconstruction(TUIMethod):
                """
                Completely disables reconstruction, resulting in totally first-order accuracy.
                """
            class gradient_scheme(TUIMethod):
                """
                Sets gradient options.
                """
            class mp_mfluid_aniso_drag(TUIMethod):
                """
                Sets anisotropic drag parameters for the Eulerian multiphase model.
                """
            class vof_numerics(TUIMethod):
                """
                Sets VOF numeric options.
                """
            class expert(TUIMethod):
                """
                Sets expert options.
                """
            class p_v_controls_advanced(TUIMethod):
                """
                Set advanced pressure-velocity coupling controls.
                """
            class relaxation_factor(TUIMethod):
                """
                Enters the relaxation-factor menu.
                """
            class numerics(TUIMethod):
                """
                Sets numerics options.
                """
            class phase_based_vof_discretization(TUIMethod):
                """
                Sets phase based slope limiter for VOF compressive scheme.
                """
            class set_all_species_together(TUIMethod):
                """
                Sets all species discretizations and URFs together.
                """
            class max_corrections(TUIMethod):
                """
                Enters the max-corrections menu.
                """
            class limiter_warnings(TUIMethod):
                """
                Specifies whether or not to print warning messages when quantities are being limited. By default, limiter warnings are printed.
                """
            class variable_time_stepping(TUIMethod):
                """
                Set Multiphase-Specific Adaptive time stepping parameters.
                """
            class residual_tolerance(TUIMethod):
                """
                Enters the residual tolerance menu.
                """
            class multi_stage(TUIMethod):
                """
                Sets the multi-stage coefficients and the dissipation and viscous evaluation stages. This command appears only when the explicit coupled solver is used.
                """
            class surface_tension_expert(TUIMethod):
                """
                Set surface-tension expert options.
                """
            class relaxation_method(TUIMethod):
                """
                Sets the solver relaxation method.
                """
            class convergence_acceleration_for_stretched_meshes(TUIMethod):
                """
                Enables convergence acceleration for stretched meshes to improve the convergence of the implicit density based solver on meshes with high cell stretching.
                """
            class set_controls_to_default(TUIMethod):
                """
                Sets controls to default values.
                """
            class equation_ordering(TUIMethod):
                """
                Sets the order in which the model equations are solved, which can affect the convergence speed when you are using the pressure-based solver. The standard method is enabled by default and corresponds to the ordering shown in  and  in the Theory Guide; alternatively, you can select theoptimized-for-volumetric-expansion method, which is recommended for flows in which the density is strongly dependent on thermal effects, chemical composition, and so on (such as combustion simulations). This text command is not available for steady simulations and/or when a multiphase model is enabled.
                """
            class reactions(TUIMethod):
                """
                Enables the species reaction sources and sets relaxation factor.
                """
            class heterogeneous_stiff_chemistry(TUIMethod):
                """
                Sets the heterogeneous stiff-chemistry solver.
                """

            class warped_face_gradient_correction(TUIMenu):
                """
                Enters the warped-face gradient correction menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.turbulence_options = self.__class__.turbulence_options(service, version, mode, path + ["turbulence_options"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables/disables gradient enhancement computations and specifies whether Fluent uses fast or memory saving mode.
                    """
                class turbulence_options(TUIMethod):
                    """
                    Set turbulence Warped Face Gradient Correction.
                    """

            class data_sampling_options(TUIMenu):
                """
                Enter the menu for specifying quantities and zones for steady and unsteady flow statistics.
                """
                def __init__(self, service, version, mode, path):
                    self.dft_datasets = self.__class__.dft_datasets(service, version, mode, path + ["dft_datasets"])
                    self.list_datasets = self.__class__.list_datasets(service, version, mode, path + ["list_datasets"])
                    self.add_datasets = self.__class__.add_datasets(service, version, mode, path + ["add_datasets"])
                    self.add_rtdft_datasets = self.__class__.add_rtdft_datasets(service, version, mode, path + ["add_rtdft_datasets"])
                    self.remove_dataset = self.__class__.remove_dataset(service, version, mode, path + ["remove_dataset"])
                    super().__init__(service, version, mode, path)
                class list_datasets(TUIMethod):
                    """
                    Lists the combinations of zones and quantities that are defined for sampling steady and unsteady flow statistics.
                    """
                class add_datasets(TUIMethod):
                    """
                    Add a dataset. After providing the zones for a dataset, press [Enter] to move onto selecting quantities. Enter () to complete the quantity selection for this dataset.
                    """
                class add_rtdft_datasets(TUIMethod):
                    """
                    Specify zone and quantity combinations for sampling Fourier coefficients of unsteady flows.
                    """
                class remove_dataset(TUIMethod):
                    """
                    Remove dataset.
                    """

                class dft_datasets(TUIMenu):
                    """
                    Data sampling options for runtime discrete Fourier transform.
                    """
                    def __init__(self, service, version, mode, path):
                        self.add_datasets = self.__class__.add_datasets(service, version, mode, path + ["add_datasets"])
                        self.freq_min_max = self.__class__.freq_min_max(service, version, mode, path + ["freq_min_max"])
                        self.band_or_tone = self.__class__.band_or_tone(service, version, mode, path + ["band_or_tone"])
                        self.zones = self.__class__.zones(service, version, mode, path + ["zones"])
                        self.freq_tone_and_sampling = self.__class__.freq_tone_and_sampling(service, version, mode, path + ["freq_tone_and_sampling"])
                        self.quantities = self.__class__.quantities(service, version, mode, path + ["quantities"])
                        self.freq_step_and_sampling = self.__class__.freq_step_and_sampling(service, version, mode, path + ["freq_step_and_sampling"])
                        super().__init__(service, version, mode, path)
                    class add_datasets(TUIMethod):
                        """
                        Add DFT datasets.
                        """
                    class freq_min_max(TUIMethod):
                        """
                        Specify the minimum and the maximum frequency for a band.
                        """
                    class band_or_tone(TUIMethod):
                        """
                        Specify, whether a new dataset is for DFT in a frequency band resolved by many harmonics or for a single tone.
                        """
                    class zones(TUIMethod):
                        """
                        Select zones for a new DFT dataset.
                        """
                    class freq_tone_and_sampling(TUIMethod):
                        """
                        Specify single tone frequency and sampling duration as the number of tone periods.
                        """
                    class quantities(TUIMethod):
                        """
                        Select quantities for a new DFT dataset. Enter () to complete the quantity selection.
                        """
                    class freq_step_and_sampling(TUIMethod):
                        """
                        Specify either the band resolution or the sampling timesteps number. The other value will be computed consistently.
                        """

            class poor_mesh_numerics(TUIMenu):
                """
                Enters the poor mesh numerics menu.
                """
                def __init__(self, service, version, mode, path):
                    self.solution_based_pmn = self.__class__.solution_based_pmn(service, version, mode, path + ["solution_based_pmn"])
                    self.reset_poor_elements = self.__class__.reset_poor_elements(service, version, mode, path + ["reset_poor_elements"])
                    self.print_poor_elements_count = self.__class__.print_poor_elements_count(service, version, mode, path + ["print_poor_elements_count"])
                    self.gradient_quality_based = self.__class__.gradient_quality_based(service, version, mode, path + ["gradient_quality_based"])
                    self.user_defined_on_register = self.__class__.user_defined_on_register(service, version, mode, path + ["user_defined_on_register"])
                    self.enhanced_pmn = self.__class__.enhanced_pmn(service, version, mode, path + ["enhanced_pmn"])
                    self.solution_and_quality_based = self.__class__.solution_and_quality_based(service, version, mode, path + ["solution_and_quality_based"])
                    self.set_quality_threshold = self.__class__.set_quality_threshold(service, version, mode, path + ["set_quality_threshold"])
                    self.user_defined_on_register_auto = self.__class__.user_defined_on_register_auto(service, version, mode, path + ["user_defined_on_register_auto"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.cell_quality_based = self.__class__.cell_quality_based(service, version, mode, path + ["cell_quality_based"])
                    self.orthogonality_enhancing_cell_centroids = self.__class__.orthogonality_enhancing_cell_centroids(service, version, mode, path + ["orthogonality_enhancing_cell_centroids"])
                    super().__init__(service, version, mode, path)
                class reset_poor_elements(TUIMethod):
                    """
                    Resets the list of poor cells included by the default, cell quality, user-defined, cell gradient quality, and solution and cell quality criteria.
                    """
                class print_poor_elements_count(TUIMethod):
                    """
                    Prints out a listing of the poor cells for each criterion: default, cell quality, and user-defined, and (if enabled) cell gradient quality and solution and cell quality.
                    """
                class gradient_quality_based(TUIMethod):
                    """
                    Enables/disables the detection and treatment of poor cells using a criterion based on the cell gradient quality. Poor mesh numerics are applied when the criterion value is equal to or less than a threshold value defined as part of this text command. This criterion is only available with the pressure-based solver, and is not supported for cases that have periodic boundaries.
                    """
                class user_defined_on_register(TUIMethod):
                    """
                    Includes a register for the poor mesh numerics or not.
                    """
                class enhanced_pmn(TUIMethod):
                    """
                    This option is available with the density-based solver. When enabled, it will apply quality-based poor-mesh-numerics order=1 on any cells with a quality-measure below 0.2. In addition, their CFL number is limited to 1.0.
                    """
                class solution_and_quality_based(TUIMethod):
                    """
                    Enables/disables the detection and treatment of poor cells using a criterion based on the solution and cell quality. Poor mesh numerics are applied when the criterion value is equal to or less than a threshold value defined as part of this text command, and at a specified frequency (of iterations or time steps). This criterion is only available with the pressure-based solver.
                    """
                class set_quality_threshold(TUIMethod):
                    """
                    Sets the orthogonal quality threshold used for applying poor mesh numerics when the solve/set/poor-mesh-numerics/cell-quality-based? text command is enabled. By default, cells with an orthogonal quality of 0.05 or lower are corrected.
                    """
                class user_defined_on_register_auto(TUIMethod):
                    """
                    Set up the application of poor mesh numerics to cells in a register during the calculation at a specified frequency.
                    """
                class enable(TUIMethod):
                    """
                    Enables/disables the application of poor mesh numerics on cells (those with an orthogonal quality of 0, as well as those identified by other enabled criteria), and defines whether the local solution correction is 0th, 1st, or 2nd order.
                    """
                class cell_quality_based(TUIMethod):
                    """
                    Enables/disables the application of poor mesh numerics on cells with an orthogonal quality that is equal to or less than the threshold defined by the solve/set/poor-mesh-numerics/set-quality-threshold text command (which by default is set to 0.05).
                    """
                class orthogonality_enhancing_cell_centroids(TUIMethod):
                    """
                    Enables/disables the relocation of select cell centroids, to improve the orthogonality metrics and solution stability. It is applied to cells when the criterion value is equal to or less than a threshold value defined as part of the text command. Note that the enhanced metrics are only apparent when reporting the quality in the solution mode of Fluent, and not in the meshing mode.
                    """

                class solution_based_pmn(TUIMenu):
                    """
                    Solution based poor-mesh numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mark_primary_solution_limits = self.__class__.mark_primary_solution_limits(service, version, mode, path + ["mark_primary_solution_limits"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        self.mark_cfl_jump = self.__class__.mark_cfl_jump(service, version, mode, path + ["mark_cfl_jump"])
                        self.mark_velocity_limit = self.__class__.mark_velocity_limit(service, version, mode, path + ["mark_velocity_limit"])
                        self.mark_cfl_limit = self.__class__.mark_cfl_limit(service, version, mode, path + ["mark_cfl_limit"])
                        super().__init__(service, version, mode, path)
                    class mark_primary_solution_limits(TUIMethod):
                        """
                        Mark cells violating solution limits.
                        """
                    class enable(TUIMethod):
                        """
                        Enable solution based treatment.
                        """
                    class mark_cfl_jump(TUIMethod):
                        """
                        Mark cells exceeding cfl jump in neighborhood.
                        """
                    class mark_velocity_limit(TUIMethod):
                        """
                        Mark cells exceeding velocity limit.
                        """
                    class mark_cfl_limit(TUIMethod):
                        """
                        Mark cells exceeding cfl limit.
                        """

            class contact_solution_controls(TUIMenu):
                """
                Solver controls for contact marks method.
                """
                def __init__(self, service, version, mode, path):
                    self.methods = self.__class__.methods(service, version, mode, path + ["methods"])
                    self.transient = self.__class__.transient(service, version, mode, path + ["transient"])
                    self.miscellaneous = self.__class__.miscellaneous(service, version, mode, path + ["miscellaneous"])
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    self.amg = self.__class__.amg(service, version, mode, path + ["amg"])
                    self.models = self.__class__.models(service, version, mode, path + ["models"])
                    self.spatial = self.__class__.spatial(service, version, mode, path + ["spatial"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.set_settings_to_default = self.__class__.set_settings_to_default(service, version, mode, path + ["set_settings_to_default"])
                    super().__init__(service, version, mode, path)
                class verbosity(TUIMethod):
                    """
                    Specify verbosity level for contact solution controls.
                    """
                class solution_stabilization(TUIMethod):
                    """
                    Automatic solver settings adjustment for solution stabilization during contact process.
                    """
                class set_settings_to_default(TUIMethod):
                    """
                    Set contact solution stabilization to default.
                    """

                class methods(TUIMenu):
                    """
                    Methods control options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.pressure_velocity_coupling_controls = self.__class__.pressure_velocity_coupling_controls(service, version, mode, path + ["pressure_velocity_coupling_controls"])
                        self.specify_gradient_method = self.__class__.specify_gradient_method(service, version, mode, path + ["specify_gradient_method"])
                        self.pressure_velocity_coupling_method = self.__class__.pressure_velocity_coupling_method(service, version, mode, path + ["pressure_velocity_coupling_method"])
                        self.gradient_controls = self.__class__.gradient_controls(service, version, mode, path + ["gradient_controls"])
                        super().__init__(service, version, mode, path)
                    class pressure_velocity_coupling_controls(TUIMethod):
                        """
                        Enable pressure-velocity coupling method change for solver stability and accuracy.
                        """
                    class specify_gradient_method(TUIMethod):
                        """
                        Specify gradient method for solver stability and accuracy.
                        """
                    class pressure_velocity_coupling_method(TUIMethod):
                        """
                        Specify pressure-velocity coupling method change for solver stability and accuracy.
                        """
                    class gradient_controls(TUIMethod):
                        """
                        Modify gradient method for solver stability and accuracy.
                        """

                class transient(TUIMenu):
                    """
                    Transient discretization control options .
                    """
                    def __init__(self, service, version, mode, path):
                        self.transient_scheme = self.__class__.transient_scheme(service, version, mode, path + ["transient_scheme"])
                        self.time_scale_modification_method = self.__class__.time_scale_modification_method(service, version, mode, path + ["time_scale_modification_method"])
                        self.transient_parameters_specify = self.__class__.transient_parameters_specify(service, version, mode, path + ["transient_parameters_specify"])
                        self.time_scale_modification_factor = self.__class__.time_scale_modification_factor(service, version, mode, path + ["time_scale_modification_factor"])
                        super().__init__(service, version, mode, path)
                    class transient_scheme(TUIMethod):
                        """
                        Specify temporal scheme to be used.
                        """
                    class time_scale_modification_method(TUIMethod):
                        """
                        Enter time scale modification method.
                        """
                    class transient_parameters_specify(TUIMethod):
                        """
                        Allow transient parameter specification.
                        """
                    class time_scale_modification_factor(TUIMethod):
                        """
                        Specify time-scale modification factor.
                        """

                class miscellaneous(TUIMenu):
                    """
                    Miscellaneous.
                    """
                    def __init__(self, service, version, mode, path):
                        self.statistics_level = self.__class__.statistics_level(service, version, mode, path + ["statistics_level"])
                        self.compute_statistics = self.__class__.compute_statistics(service, version, mode, path + ["compute_statistics"])
                        super().__init__(service, version, mode, path)
                    class statistics_level(TUIMethod):
                        """
                        Solution statistics level for contact updates.
                        """
                    class compute_statistics(TUIMethod):
                        """
                        Compute solution statistics for contact updates.
                        """

                class parameters(TUIMenu):
                    """
                    Parameters used in stabilization strategy.
                    """
                    def __init__(self, service, version, mode, path):
                        self.iterations = self.__class__.iterations(service, version, mode, path + ["iterations"])
                        self.solution_stabilization_persistence = self.__class__.solution_stabilization_persistence(service, version, mode, path + ["solution_stabilization_persistence"])
                        self.extrapolation_method = self.__class__.extrapolation_method(service, version, mode, path + ["extrapolation_method"])
                        self.persistence_fixed_time_steps = self.__class__.persistence_fixed_time_steps(service, version, mode, path + ["persistence_fixed_time_steps"])
                        self.persistence_fixed_duration = self.__class__.persistence_fixed_duration(service, version, mode, path + ["persistence_fixed_duration"])
                        super().__init__(service, version, mode, path)
                    class iterations(TUIMethod):
                        """
                        Specify additional iterations to accomodate contact solution stabilization.
                        """
                    class solution_stabilization_persistence(TUIMethod):
                        """
                        Persistence of the solution stabilization based on events [0-contact based, 1-always on].
                        """
                    class extrapolation_method(TUIMethod):
                        """
                        Solution extrapolation method for cells changing status from contact to non-contact [0-none, 1-local extrapolation].
                        """
                    class persistence_fixed_time_steps(TUIMethod):
                        """
                        Specify fixed time-steps for solution stabilization persistence after trigger.
                        """
                    class persistence_fixed_duration(TUIMethod):
                        """
                        Specify fixed time for solution stabilization persistence after trigger.
                        """

                class amg(TUIMenu):
                    """
                    AMG control options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.pre_sweeps = self.__class__.pre_sweeps(service, version, mode, path + ["pre_sweeps"])
                        self.specify_coarsening_rate = self.__class__.specify_coarsening_rate(service, version, mode, path + ["specify_coarsening_rate"])
                        self.coarsen_rate = self.__class__.coarsen_rate(service, version, mode, path + ["coarsen_rate"])
                        self.enforce_laplace_coarsening = self.__class__.enforce_laplace_coarsening(service, version, mode, path + ["enforce_laplace_coarsening"])
                        self.increase_pre_sweeps = self.__class__.increase_pre_sweeps(service, version, mode, path + ["increase_pre_sweeps"])
                        super().__init__(service, version, mode, path)
                    class pre_sweeps(TUIMethod):
                        """
                        Specify the number of AMG pre-sweeps.
                        """
                    class specify_coarsening_rate(TUIMethod):
                        """
                        Modify AMG coarsening rate.
                        """
                    class coarsen_rate(TUIMethod):
                        """
                        Specify AMG coarsening rate.
                        """
                    class enforce_laplace_coarsening(TUIMethod):
                        """
                        Enforce the use of laplace coarsening in AMG.
                        """
                    class increase_pre_sweeps(TUIMethod):
                        """
                        Allow increase in AMG pre-sweep.
                        """

                class models(TUIMenu):
                    """
                    Model control options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.ramp_flow = self.__class__.ramp_flow(service, version, mode, path + ["ramp_flow"])
                        self.ramp_turbulence = self.__class__.ramp_turbulence(service, version, mode, path + ["ramp_turbulence"])
                        self.model_ramping = self.__class__.model_ramping(service, version, mode, path + ["model_ramping"])
                        self.ramp_scalars = self.__class__.ramp_scalars(service, version, mode, path + ["ramp_scalars"])
                        super().__init__(service, version, mode, path)
                    class ramp_flow(TUIMethod):
                        """
                        Ramp flow for solver stability and accuracy.
                        """
                    class ramp_turbulence(TUIMethod):
                        """
                        Ramp turbulence for solver stability and accuracy.
                        """
                    class model_ramping(TUIMethod):
                        """
                        Activate model ramping for solver stability and accuracy.
                        """
                    class ramp_scalars(TUIMethod):
                        """
                        Ramp all scalar transport equations for solver stability and accuracy.
                        """

                class spatial(TUIMenu):
                    """
                    Spatial discretization control options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.first_to_second_order_blending = self.__class__.first_to_second_order_blending(service, version, mode, path + ["first_to_second_order_blending"])
                        self.rhie_chow_flux_specify = self.__class__.rhie_chow_flux_specify(service, version, mode, path + ["rhie_chow_flux_specify"])
                        self.first_to_second_order_blending_list = self.__class__.first_to_second_order_blending_list(service, version, mode, path + ["first_to_second_order_blending_list"])
                        self.scalars_skew_diffusion_exclude = self.__class__.scalars_skew_diffusion_exclude(service, version, mode, path + ["scalars_skew_diffusion_exclude"])
                        self.scheme = self.__class__.scheme(service, version, mode, path + ["scheme"])
                        self.rhie_chow_method = self.__class__.rhie_chow_method(service, version, mode, path + ["rhie_chow_method"])
                        self.flow_skew_diffusion_exclude = self.__class__.flow_skew_diffusion_exclude(service, version, mode, path + ["flow_skew_diffusion_exclude"])
                        super().__init__(service, version, mode, path)
                    class first_to_second_order_blending(TUIMethod):
                        """
                        Set factor to control first order to second order blending.
                        """
                    class rhie_chow_flux_specify(TUIMethod):
                        """
                        Allow specification of the the rhie-chow flux method.
                        """
                    class first_to_second_order_blending_list(TUIMethod):
                        """
                        List set factor to control first order to second order blending.
                        """
                    class scalars_skew_diffusion_exclude(TUIMethod):
                        """
                        Exclude skew diffusion discretization contribution for scalars.
                        """
                    class scheme(TUIMethod):
                        """
                        Set advection scheme for contact event stability.
                        """
                    class rhie_chow_method(TUIMethod):
                        """
                        Enter the rhie-chow flux method.
                        """
                    class flow_skew_diffusion_exclude(TUIMethod):
                        """
                        Exclude skew diffusion discretization contribution for momentum.
                        """

            class nita_expert_controls(TUIMenu):
                """
                Enters the NITA expert control menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set_verbosity = self.__class__.set_verbosity(service, version, mode, path + ["set_verbosity"])
                    self.hybrid_nita_settings = self.__class__.hybrid_nita_settings(service, version, mode, path + ["hybrid_nita_settings"])
                    self.skewness_neighbor_coupling = self.__class__.skewness_neighbor_coupling(service, version, mode, path + ["skewness_neighbor_coupling"])
                    super().__init__(service, version, mode, path)
                class set_verbosity(TUIMethod):
                    """
                    Setting this to 1, enables the verbosity for NITA diagnostics. The default value of 0 disables verbosity output for NITA diagnostics.
                    """
                class hybrid_nita_settings(TUIMethod):
                    """
                    Enables and sets hybrid NITA options. For more details, see .
                    """
                class skewness_neighbor_coupling(TUIMethod):
                    """
                    Enables/disables coupling of the neighbor and skewness corrections.
                    """

            class advanced(TUIMenu):
                """
                Enters the advanced settings menu.
                """
                def __init__(self, service, version, mode, path):
                    self.turbomachinery_specific_numerics = self.__class__.turbomachinery_specific_numerics(service, version, mode, path + ["turbomachinery_specific_numerics"])
                    self.secondary_gradient_limiting = self.__class__.secondary_gradient_limiting(service, version, mode, path + ["secondary_gradient_limiting"])
                    self.non_reflecting_boundary_treatment = self.__class__.non_reflecting_boundary_treatment(service, version, mode, path + ["non_reflecting_boundary_treatment"])
                    self.retain_temporary_solver_mem = self.__class__.retain_temporary_solver_mem(service, version, mode, path + ["retain_temporary_solver_mem"])
                    self.explicit_under_relaxation_value = self.__class__.explicit_under_relaxation_value(service, version, mode, path + ["explicit_under_relaxation_value"])
                    self.bcd_boundedness = self.__class__.bcd_boundedness(service, version, mode, path + ["bcd_boundedness"])
                    self.energy_numerical_noise_filter = self.__class__.energy_numerical_noise_filter(service, version, mode, path + ["energy_numerical_noise_filter"])
                    self.correction_form = self.__class__.correction_form(service, version, mode, path + ["correction_form"])
                    self.retain_cell_residuals = self.__class__.retain_cell_residuals(service, version, mode, path + ["retain_cell_residuals"])
                    self.show_all_discretization_schemes = self.__class__.show_all_discretization_schemes(service, version, mode, path + ["show_all_discretization_schemes"])
                    self.skewness_correction_enhanced = self.__class__.skewness_correction_enhanced(service, version, mode, path + ["skewness_correction_enhanced"])
                    self.anisotropic_solid_heat_transfer = self.__class__.anisotropic_solid_heat_transfer(service, version, mode, path + ["anisotropic_solid_heat_transfer"])
                    self.singhal_et_al_cavitation_model = self.__class__.singhal_et_al_cavitation_model(service, version, mode, path + ["singhal_et_al_cavitation_model"])
                    self.linearized_mass_transfer_udf = self.__class__.linearized_mass_transfer_udf(service, version, mode, path + ["linearized_mass_transfer_udf"])
                    self.bcd_weights_freeze = self.__class__.bcd_weights_freeze(service, version, mode, path + ["bcd_weights_freeze"])
                    self.alternate_wall_temp_formulation = self.__class__.alternate_wall_temp_formulation(service, version, mode, path + ["alternate_wall_temp_formulation"])
                    self.energy_reconstruction_gradient_limiting = self.__class__.energy_reconstruction_gradient_limiting(service, version, mode, path + ["energy_reconstruction_gradient_limiting"])
                    super().__init__(service, version, mode, path)
                class retain_temporary_solver_mem(TUIMethod):
                    """
                    Enables/disables the retention of temporary solver memory, which retains gradient data and makes some advanced options available for postprocessing.
                    """
                class explicit_under_relaxation_value(TUIMethod):
                    """
                    Explicit under-relaxation value.
                    """
                class bcd_boundedness(TUIMethod):
                    """
                    Specifies the BCD scheme parameter, which controls the boundedness strength of the BCD scheme in the pressure-based solver, as described in .
                    """
                class energy_numerical_noise_filter(TUIMethod):
                    """
                    Enables/disables a filter to eliminate non-physical numerical noise in the energy field. Numerical noise can appear in solution fields where large variations in specific heat or combustion with phase change are present. Using the energy equation numerical noise filter increases robustness, but may make the solution slightly more diffusive. This text command is only available with the pressure-based solver.
                    """
                class correction_form(TUIMethod):
                    """
                    S.
                    """
                class retain_cell_residuals(TUIMethod):
                    """
                    Enables/disables the retention of cell residuals for postprocessing.
                    """
                class show_all_discretization_schemes(TUIMethod):
                    """
                    Enables/disables the availability of all applicable discretization schemes.
                    """
                class skewness_correction_enhanced(TUIMethod):
                    """
                    Enable enhanced skewness correction scheme.
                    """
                class anisotropic_solid_heat_transfer(TUIMethod):
                    """
                    Set up the heat transfer for anisotropic solid zones.
                    """
                class singhal_et_al_cavitation_model(TUIMethod):
                    """
                    Enables/disables the availability of the Singhal et al. cavitation model option, which can then be enabled in the Multiphase Model dialog box or by using the following text command: define/phases/set-domain-properties/interaction-domain/heat-mass-reaction/cavitation/cavitation?.
                    """
                class linearized_mass_transfer_udf(TUIMethod):
                    """
                    Enables/disables the use of a linearized mass transfer user-defined function (that is, the DEFINE_LINEARIZED_MASS_TRANSFER macro), as opposed to a mass transfer user-defined function (that is, the DEFINE_MASS_TRANSFER macro).
                    """
                class bcd_weights_freeze(TUIMethod):
                    """
                    Enables/disables freezing of weighting coefficients of the central differencing and the upwind components of the BCD scheme. This dialog command requires the iteration number, after which the BCD scheme weights are to be frozen at each timestep. Freezing the BCD weighting coefficients may help to improve convergence of the timestep iterations as described in .
                    """
                class alternate_wall_temp_formulation(TUIMethod):
                    """
                    Enables/disables an alternate formulation for wall temperatures.
                    """
                class energy_reconstruction_gradient_limiting(TUIMethod):
                    """
                    Enable limiting of reconstruction gradient for the energy equation.
                    """

                class turbomachinery_specific_numerics(TUIMenu):
                    """
                    Enter turbomachinery specific numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
                        super().__init__(service, version, mode, path)
                    class enable(TUIMethod):
                        """
                        Activate/deactivate turbomachinery specific numerics.
                        """
                    class settings(TUIMethod):
                        """
                        Adjust settings for turbomachinery specific numerics.
                        """

                class secondary_gradient_limiting(TUIMenu):
                    """
                    Enters the secondary gradient limiting menu. This menu is only available when the define/models/solver/pressure-based text command is enabled.
                    """
                    def __init__(self, service, version, mode, path):
                        self.energy = self.__class__.energy(service, version, mode, path + ["energy"])
                        self.uds = self.__class__.uds(service, version, mode, path + ["uds"])
                        self.mesh_quality_limits = self.__class__.mesh_quality_limits(service, version, mode, path + ["mesh_quality_limits"])
                        super().__init__(service, version, mode, path)
                    class energy(TUIMethod):
                        """
                        Enables/disables secondary gradient limiting for the energy  calculations on coupled two-sided walls. This limiting can help prevent  divergence when the cells on such walls have poor orthogonality.
                        """
                    class uds(TUIMethod):
                        """
                        Enables/disables secondary gradient limiting for the user-defined  scalar (UDS) calculations on coupled two-sided walls. This limiting can  help prevent divergence when the cells on such walls have poor  orthogonality.
                        """
                    class mesh_quality_limits(TUIMethod):
                        """
                        Defines the mesh quality limits used when applying secondary  gradient limiting to faces on coupled two-sided walls. Shifting this  range closer to 1 will decrease the risk of divergence, but at the cost  of accuracy.
                        """

                class non_reflecting_boundary_treatment(TUIMenu):
                    """
                    Enter non reflecting boundary treatment using minimal pressure reflection approach menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                        self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                        self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                        super().__init__(service, version, mode, path)
                    class pressure_inlet(TUIMethod):
                        """
                        Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                        """
                    class velocity_inlet(TUIMethod):
                        """
                        Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                        """
                    class pressure_outlet(TUIMethod):
                        """
                        Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                        """

            class open_channel_wave_options(TUIMenu):
                """
                Sets buffer layer height, verbosity, and open channel wave theory formulation.
                """
                def __init__(self, service, version, mode, path):
                    self.set_verbosity = self.__class__.set_verbosity(service, version, mode, path + ["set_verbosity"])
                    self.set_buffer_layer_ht = self.__class__.set_buffer_layer_ht(service, version, mode, path + ["set_buffer_layer_ht"])
                    self.stokes_wave_variants = self.__class__.stokes_wave_variants(service, version, mode, path + ["stokes_wave_variants"])
                    super().__init__(service, version, mode, path)
                class set_verbosity(TUIMethod):
                    """
                    Sets the open channel wave verbosity.
                    """
                class set_buffer_layer_ht(TUIMethod):
                    """
                    Sets the buffer layer height.
                    """
                class stokes_wave_variants(TUIMethod):
                    """
                    Specifies which open channel wave theory formulation Fluent uses.
                    """

            class pseudo_time_method(TUIMenu):
                """
                Enters the pseudo time method menu. This menu is only available for cases that use a pressure-based segregated solver (SIMPLE, SIMPLEC, or PISO) or for steady-state cases that use the pressure-based coupled solver or the density-based implicit solver.
                """
                def __init__(self, service, version, mode, path):
                    self.global_time_step_settings = self.__class__.global_time_step_settings(service, version, mode, path + ["global_time_step_settings"])
                    self.relaxation_factors = self.__class__.relaxation_factors(service, version, mode, path + ["relaxation_factors"])
                    self.local_time_step_settings = self.__class__.local_time_step_settings(service, version, mode, path + ["local_time_step_settings"])
                    self.relaxation_bounds = self.__class__.relaxation_bounds(service, version, mode, path + ["relaxation_bounds"])
                    self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.formulation = self.__class__.formulation(service, version, mode, path + ["formulation"])
                    self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                    self.convergence_acceleration_for_stretched_meshes = self.__class__.convergence_acceleration_for_stretched_meshes(service, version, mode, path + ["convergence_acceleration_for_stretched_meshes"])
                    super().__init__(service, version, mode, path)
                class global_time_step_settings(TUIMethod):
                    """
                    Defines the pseudo time settings for the calculation when the global time step formulation is selected.
                    """
                class relaxation_factors(TUIMethod):
                    """
                    Enters the relaxation factors menu, where you can set the pseudo time explicit relaxation factors for individual equations. These factors only apply when the global time step formulation is selected.
                    """
                class local_time_step_settings(TUIMethod):
                    """
                    Defines the pseudo time Courant number when the local time step formulation is selected.
                    """
                class relaxation_bounds(TUIMethod):
                    """
                    Select relaxation bounding scheme for pseudo time method.
                    """
                class relaxation_method(TUIMethod):
                    """
                    Select relaxation definition for pseudo time method.
                    """
                class verbosity(TUIMethod):
                    """
                    Sets the verbosity of the messages related to the pseudo time method.
                    """
                class formulation(TUIMethod):
                    """
                    Enables and sets the pseudo time step size formulation or disables the pseudo time method option.
                    """
                class advanced_options(TUIMethod):
                    """
                    Enters the advanced options menu, which allows you to enable / disable the pseudo time method for individual equations and define their pseudo time scale factors or under-relaxation factors, respectively. These settings only apply when the global time step formulation is selected.
                    """
                class convergence_acceleration_for_stretched_meshes(TUIMethod):
                    """
                    Enable convergence acceleration for stretched meshes to improve the convergence of the implicit pressure based solver on meshes with high cell stretching.
                    """

            class acoustics_wave_equation_controls(TUIMenu):
                """
                Enters the menu to specify parameters of the acoustics wave equation solver.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.max_iterations_per_timestep = self.__class__.max_iterations_per_timestep(service, version, mode, path + ["max_iterations_per_timestep"])
                    self.relative_convergence_criterion = self.__class__.relative_convergence_criterion(service, version, mode, path + ["relative_convergence_criterion"])
                    super().__init__(service, version, mode, path)
                class max_iterations_per_timestep(TUIMethod):
                    """
                    Specify maximum number of iterations per timestep.
                    """
                class relative_convergence_criterion(TUIMethod):
                    """
                    Specify convergence tolerance for the timestep iterations
                    as the target residual reduction factor.
                    """

                class expert(TUIMenu):
                    """
                    Enters the menu to specify the expert parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.explicit_relaxation_factor = self.__class__.explicit_relaxation_factor(service, version, mode, path + ["explicit_relaxation_factor"])
                        self.under_relaxation_factor = self.__class__.under_relaxation_factor(service, version, mode, path + ["under_relaxation_factor"])
                        super().__init__(service, version, mode, path)
                    class explicit_relaxation_factor(TUIMethod):
                        """
                        Specifies the explicit relaxation factor. Should be used only with  bad meshes, when iterations do not converge.
                        """
                    class under_relaxation_factor(TUIMethod):
                        """
                        Specifies the implicit under-relaxation factor. Should be used only  with bad meshes, when the AMG linear solver does not converge.
                        """

            class overset(TUIMenu):
                """
                Specifies overset meshing solver options.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.high_order_pressure = self.__class__.high_order_pressure(service, version, mode, path + ["high_order_pressure"])
                    self.orphan_cell_treatment = self.__class__.orphan_cell_treatment(service, version, mode, path + ["orphan_cell_treatment"])
                    self.interpolation_method = self.__class__.interpolation_method(service, version, mode, path + ["interpolation_method"])
                    super().__init__(service, version, mode, path)
                class high_order_pressure(TUIMethod):
                    """
                    Uses the pressure gradient of the donor cell in the interpolation of pressure for its receptor cell.
                    """
                class orphan_cell_treatment(TUIMethod):
                    """
                    Enables/disables a numerical treatment that attempts to assign reasonable data values to orphan cells.
                    """
                class interpolation_method(TUIMethod):
                    """
                    Selects the interpolation method for overset interfaces. Note that the least squares method is recommended for sliding mesh cases.
                    """

                class expert(TUIMenu):
                    """
                    Enter overset expert solver options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.hybrid_mode_selection = self.__class__.hybrid_mode_selection(service, version, mode, path + ["hybrid_mode_selection"])
                        self.mass_flux_correction_method = self.__class__.mass_flux_correction_method(service, version, mode, path + ["mass_flux_correction_method"])
                        super().__init__(service, version, mode, path)
                    class hybrid_mode_selection(TUIMethod):
                        """
                        Mode for hybrid interpolation.
                        """
                    class mass_flux_correction_method(TUIMethod):
                        """
                        Enter mass flux correction option at overset interfaces.
                        """

            class high_order_term_relaxation(TUIMenu):
                """
                Enter High Order Relaxation Menu.
                """
                def __init__(self, service, version, mode, path):
                    self.options = self.__class__.options(service, version, mode, path + ["options"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables/disables High Order Term Relaxation.
                    """

                class options(TUIMenu):
                    """
                    High Order Term Relaxation Options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.variables = self.__class__.variables(service, version, mode, path + ["variables"])
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                        super().__init__(service, version, mode, path)
                    class expert(TUIMethod):
                        """
                        Enter high order relaxation option with respect to diffusion gradient.
                        """
                    class relaxation_factor(TUIMethod):
                        """
                        Sets the relaxation factor.
                        """

                    class variables(TUIMenu):
                        """
                        Selects the variables.
                        """
                        def __init__(self, service, version, mode, path):
                            self.select = self.__class__.select(service, version, mode, path + ["select"])
                            super().__init__(service, version, mode, path)
                        class select(TUIMethod):
                            """
                            Select variables for high order term relaxation.
                            """

            class previous_defaults(TUIMenu):
                """
                Provides text commands that allow you to undo enhancements to the default solver behavior.
                """
                def __init__(self, service, version, mode, path):
                    self.undo_r19_point_0_default_changes = self.__class__.undo_r19_point_0_default_changes(service, version, mode, path + ["undo_r19_point_0_default_changes"])
                    self.undo_2019r3_default_changes = self.__class__.undo_2019r3_default_changes(service, version, mode, path + ["undo_2019r3_default_changes"])
                    self.undo_2019r1_default_changes = self.__class__.undo_2019r1_default_changes(service, version, mode, path + ["undo_2019r1_default_changes"])
                    self.undo_2022r1_default_changes = self.__class__.undo_2022r1_default_changes(service, version, mode, path + ["undo_2022r1_default_changes"])
                    self.undo_2021r1_default_changes = self.__class__.undo_2021r1_default_changes(service, version, mode, path + ["undo_2021r1_default_changes"])
                    self.undo_2023r1_default_changes = self.__class__.undo_2023r1_default_changes(service, version, mode, path + ["undo_2023r1_default_changes"])
                    self.undo_2021r2_default_changes = self.__class__.undo_2021r2_default_changes(service, version, mode, path + ["undo_2021r2_default_changes"])
                    super().__init__(service, version, mode, path)
                class undo_r19_point_0_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in R19.0.
                    """
                class undo_2019r3_default_changes(TUIMethod):
                    """
                    Allows you to undo enhancements introduced in version 2019 R3 of ANSYS Fluent, including:.
                    """
                class undo_2019r1_default_changes(TUIMethod):
                    """
                    Allows you to undo enhancements introduced in version 2019 R1 of ANSYS Fluent, including:.
                    """
                class undo_2022r1_default_changes(TUIMethod):
                    """
                    Allows you to undo the following enhancements introduced in version 2022 R1 of ANSYS Fluent:.
                    """
                class undo_2021r1_default_changes(TUIMethod):
                    """
                    Allows you to undo enhancements introduced in version 2021 R1 of ANSYS Fluent, including:.
                    """
                class undo_2023r1_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2023R1.
                    """
                class undo_2021r2_default_changes(TUIMethod):
                    """
                    Allows you to undo the following enhancements introduced in version 2021 R2 of ANSYS Fluent:.
                    """

            class high_speed_numerics(TUIMenu):
                """
                Enter high-speed-numerics menu.
                """
                def __init__(self, service, version, mode, path):
                    self.visualize_pressure_discontinuity_sensor = self.__class__.visualize_pressure_discontinuity_sensor(service, version, mode, path + ["visualize_pressure_discontinuity_sensor"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    super().__init__(service, version, mode, path)
                class visualize_pressure_discontinuity_sensor(TUIMethod):
                    """
                    Makes available the Pressure Discontinuity Sensor which is a binary identifier equal to 1 if a cell is in proximity of a pressure discontinuity.
                    """
                class enable(TUIMethod):
                    """
                    Enables/disables High Speed Numerics.
                    """
                class expert(TUIMethod):
                    """
                    Sets the level of stabilization used to achieve fast convergence. Enter a number 0-5 corresponding to the Mach number range that best characterizes the flow.
                    """

            class transient_controls(TUIMenu):
                """
                Enters the transient controls menu, which allows you to define settings related to time advancement for transient flow calculations.
                """
                def __init__(self, service, version, mode, path):
                    self.multiphase_specific_time_constraints = self.__class__.multiphase_specific_time_constraints(service, version, mode, path + ["multiphase_specific_time_constraints"])
                    self.predict_next_time = self.__class__.predict_next_time(service, version, mode, path + ["predict_next_time"])
                    self.max_iterations_per_time_step = self.__class__.max_iterations_per_time_step(service, version, mode, path + ["max_iterations_per_time_step"])
                    self.fixed_user_specified = self.__class__.fixed_user_specified(service, version, mode, path + ["fixed_user_specified"])
                    self.udf_based_time_stepping = self.__class__.udf_based_time_stepping(service, version, mode, path + ["udf_based_time_stepping"])
                    self.total_time = self.__class__.total_time(service, version, mode, path + ["total_time"])
                    self.cfl_based_time_stepping = self.__class__.cfl_based_time_stepping(service, version, mode, path + ["cfl_based_time_stepping"])
                    self.specified_time_step = self.__class__.specified_time_step(service, version, mode, path + ["specified_time_step"])
                    self.time_step_size_for_acoustic_export = self.__class__.time_step_size_for_acoustic_export(service, version, mode, path + ["time_step_size_for_acoustic_export"])
                    self.total_number_of_time_steps = self.__class__.total_number_of_time_steps(service, version, mode, path + ["total_number_of_time_steps"])
                    self.number_of_time_steps = self.__class__.number_of_time_steps(service, version, mode, path + ["number_of_time_steps"])
                    self.solid_time_step_size = self.__class__.solid_time_step_size(service, version, mode, path + ["solid_time_step_size"])
                    self.error_based_time_stepping = self.__class__.error_based_time_stepping(service, version, mode, path + ["error_based_time_stepping"])
                    self.extrapolate_eqn_vars = self.__class__.extrapolate_eqn_vars(service, version, mode, path + ["extrapolate_eqn_vars"])
                    self.duration_specification_method = self.__class__.duration_specification_method(service, version, mode, path + ["duration_specification_method"])
                    self.rotating_mesh_flow_predictor = self.__class__.rotating_mesh_flow_predictor(service, version, mode, path + ["rotating_mesh_flow_predictor"])
                    self.solution_status = self.__class__.solution_status(service, version, mode, path + ["solution_status"])
                    self.cfl_based_time_stepping_advanced_options = self.__class__.cfl_based_time_stepping_advanced_options(service, version, mode, path + ["cfl_based_time_stepping_advanced_options"])
                    self.time_step_size = self.__class__.time_step_size(service, version, mode, path + ["time_step_size"])
                    self.multiphase_specific_time_stepping = self.__class__.multiphase_specific_time_stepping(service, version, mode, path + ["multiphase_specific_time_stepping"])
                    self.max_flow_time = self.__class__.max_flow_time(service, version, mode, path + ["max_flow_time"])
                    self.extrapolate_vars = self.__class__.extrapolate_vars(service, version, mode, path + ["extrapolate_vars"])
                    self.undo_timestep = self.__class__.undo_timestep(service, version, mode, path + ["undo_timestep"])
                    self.fixed_periodic = self.__class__.fixed_periodic(service, version, mode, path + ["fixed_periodic"])
                    self.incremental_time = self.__class__.incremental_time(service, version, mode, path + ["incremental_time"])
                    super().__init__(service, version, mode, path)
                class predict_next_time(TUIMethod):
                    """
                    Applies a predictor algorithm for computing the next time step. The predictor algorithm is a computation that sets a better initial condition for the time step. It uses the rate of change between the prediction and the correction as an indicator for whether the next time step should be larger, smaller, or the same as the current one.
                    """
                class max_iterations_per_time_step(TUIMethod):
                    """
                    Sets the number of time steps for a transient simulation.  This option is available when automatic initialization and case modification is enabled.
                    """
                class fixed_user_specified(TUIMethod):
                    """
                    Allows you to specify that a fixed time stepping method is used in which you directly specify the time step size and number of time steps.
                    """
                class udf_based_time_stepping(TUIMethod):
                    """
                    Allows you to specify that the time step size is defined by a user-defined function (UDF) that uses theDEFINE_DELTAT macro.
                    """
                class total_time(TUIMethod):
                    """
                    Sets the total amount of time that the simulation will be run (which includes any time that has already been run in previous calculations). This text command is only available when the solve/set/transient-controls/duration-specification-method is set to2.
                    """
                class cfl_based_time_stepping(TUIMethod):
                    """
                    Allows you to specify that an adaptive time stepping method is used in which the time step gets modified by ANSYS Fluent as the calculation proceeds such that the Courant–Friedrichs–Lewy (CFL) condition is satisfied, using the specified Courant number.
                    """
                class specified_time_step(TUIMethod):
                    """
                    Specifies whether to define the transient advancement either directly by entering a time step size / period / frequency (using the text commands available in thesolve/set/transient-controls menu) or indirectly by entering a Courant number value (using the solve/set/courant-number text command). This text command is only available for the density-based solver when both the explicit formulation and explicit transient formulation are used.
                    """
                class time_step_size_for_acoustic_export(TUIMethod):
                    """
                    Specifies the time interval for acoustic data sampling. This text command is only available when both the Ffowcs Williams and Hawkings model is selected and the density-based solver is used with the explicit formulation and explicit transient formulation.
                    """
                class total_number_of_time_steps(TUIMethod):
                    """
                    Sets the total number of time steps that the simulation will run (which includes any time steps that have already been run in previous calculations). This text command is only available when the solve/set/transient-controls/duration-specification-method is set to1.
                    """
                class number_of_time_steps(TUIMethod):
                    """
                    Sets the number of time steps for a transient simulation without starting the calculation.
                    """
                class solid_time_step_size(TUIMethod):
                    """
                    Allows you to specify that the time step size used for solid zones is independent from that used for fluid zones. This text command is only available when both a solid zone exists and energy is enabled.
                    """
                class error_based_time_stepping(TUIMethod):
                    """
                    Allows you to specify that an adaptive time stepping method is used in which the time step gets modified by ANSYS Fluent  based on the specified truncation error tolerance.
                    """
                class extrapolate_eqn_vars(TUIMethod):
                    """
                    Enters the extrapolation menu.
                    """
                class duration_specification_method(TUIMethod):
                    """
                    Sets the method by which you will specify the duration of the calculation. The duration can be defined by the total time, the total number of time steps, the incremental time, or the number of incremental time steps. In this context, "total" indicates that Fluent will consider the amount of time / steps that have already been solved and stop appropriately, whereas "incremental" indicates that the solution will proceed for a specified amount of time / steps regardless of what has previously been calculated. This text command is only available when the time stepping is adaptive or based on a user-defined function.
                    """
                class rotating_mesh_flow_predictor(TUIMethod):
                    """
                    Enables / disables an option that allows for better prediction of the flow field in rotating fluid zones at every time step, in order to speed up the calculation. This text command is only available for transient simulations.
                    """
                class solution_status(TUIMethod):
                    """
                    Allows you to open theSimulation Status dialog box, which reports details about the simulation.
                    """
                class cfl_based_time_stepping_advanced_options(TUIMethod):
                    """
                    Set CFL-based adaptive time-stepping advanced parameters.
                    """
                class time_step_size(TUIMethod):
                    """
                    Sets the magnitude of the (physical) time step . This text command is only available when the solve/set/transient-controls/fixed-user-specified text command is set toyes.
                    """
                class multiphase_specific_time_stepping(TUIMethod):
                    """
                    Allows you to specify that an adaptive time stepping method is used in which the time step gets modified by ANSYS Fluent  based on the convective time scale (global Courant number): the time-step-size calculation depends on the mesh density and velocity in interfacial cells. This method is available for all multiphase models using the implicit or explicit volume fraction formulation, except for the wet steam model.
                    """
                class max_flow_time(TUIMethod):
                    """
                    Sets the maximum flow time.
                    """
                class extrapolate_vars(TUIMethod):
                    """
                    Applies a predictor algorithm for computing initial conditions at time step n+1. The predictor algorithm is a computation that sets a better initial condition for the time step.
                    """
                class undo_timestep(TUIMethod):
                    """
                    When enabled, if the truncation error within a time step exceeds the specified tolerance Fluent will automatically undo the current calculation and make another attempt with the time step reduced by 1/2. This will be attempted up to 5 times after which Fluent will accept the result and proceed to the next time step.
                    """
                class fixed_periodic(TUIMethod):
                    """
                    Allows you to specify that a fixed time stepping method is used in which a specified period or frequency is the basis for determining the time step size and number of time steps.
                    """
                class incremental_time(TUIMethod):
                    """
                    Sets the amount of incremental (that is, additional) time to run the simulation, regardless of how much time has already been run in previous calculations. This text command is only available when the solve/set/transient-controls/duration-specification-method is set to3.
                    """

                class multiphase_specific_time_constraints(TUIMenu):
                    """
                    Enters the menu for setting multiphase-specific time constraints.
                    """
                    def __init__(self, service, version, mode, path):
                        self.time_scale_options = self.__class__.time_scale_options(service, version, mode, path + ["time_scale_options"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.moving_mesh_cfl_constraint = self.__class__.moving_mesh_cfl_constraint(service, version, mode, path + ["moving_mesh_cfl_constraint"])
                        self.physics_based_constraint = self.__class__.physics_based_constraint(service, version, mode, path + ["physics_based_constraint"])
                        super().__init__(service, version, mode, path)
                    class verbosity(TUIMethod):
                        """
                        When enabled, various time scales (depending on the selection) are  printed to the console window at every time step. This text command is  available with the moving mesh CFL constraint and with the physics-based  constraint.
                        """
                    class moving_mesh_cfl_constraint(TUIMethod):
                        """
                        Enable time step size constraints based on moving mesh courant number.
                        """
                    class physics_based_constraint(TUIMethod):
                        """
                        Enables/disables the physics-driven time-step constraints.
                        """

                    class time_scale_options(TUIMenu):
                        """
                        Enters the menu for choosing the time-scale options. This menu  becomes available after you enable the physics-driven time-step  constraints using the solve/set/transient-controls/multiphase-specific-time-constraints/physics-based-constraint?  text command.
                        """
                        def __init__(self, service, version, mode, path):
                            self.gravity_scale = self.__class__.gravity_scale(service, version, mode, path + ["gravity_scale"])
                            self.viscous_scale = self.__class__.viscous_scale(service, version, mode, path + ["viscous_scale"])
                            self.surface_tension_scale = self.__class__.surface_tension_scale(service, version, mode, path + ["surface_tension_scale"])
                            self.acoustic_scale = self.__class__.acoustic_scale(service, version, mode, path + ["acoustic_scale"])
                            super().__init__(service, version, mode, path)
                        class gravity_scale(TUIMethod):
                            """
                            Allows you to Include the gravitational time scale. This option is available only if gravity is enabled.
                            """
                        class viscous_scale(TUIMethod):
                            """
                            Allows you to Include the viscous time scale. This option is disabled by default. This command is not available with inviscid flows.
                            """
                        class surface_tension_scale(TUIMethod):
                            """
                            Allows you to Include the surface-tension-driven time scale. This option is available only if the surface tension force modeling is enabled.
                            """
                        class acoustic_scale(TUIMethod):
                            """
                            Allows you to Include the acoustic time scale. This option is available only for compressible flows.
                            """

            class divergence_prevention(TUIMenu):
                """
                Enters the divergence prevention menu. This menu is only available for the density-based solver.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables a divergence prevention option so that Fluent applies under-relaxation to the variables in select cells where the temperature and/or pressure values are approaching the minimum and/or maximum limits.
                    """

            class multiphase_numerics(TUIMenu):
                """
                Sets multiphase numerics options.
                """
                def __init__(self, service, version, mode, path):
                    self.face_pressure_controls = self.__class__.face_pressure_controls(service, version, mode, path + ["face_pressure_controls"])
                    self.viscous_flow = self.__class__.viscous_flow(service, version, mode, path + ["viscous_flow"])
                    self.heat_mass_transfer = self.__class__.heat_mass_transfer(service, version, mode, path + ["heat_mass_transfer"])
                    self.default_controls = self.__class__.default_controls(service, version, mode, path + ["default_controls"])
                    self.boiling_parameters = self.__class__.boiling_parameters(service, version, mode, path + ["boiling_parameters"])
                    self.compressible_flow = self.__class__.compressible_flow(service, version, mode, path + ["compressible_flow"])
                    self.porous_media = self.__class__.porous_media(service, version, mode, path + ["porous_media"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.advanced_stability_controls = self.__class__.advanced_stability_controls(service, version, mode, path + ["advanced_stability_controls"])
                    super().__init__(service, version, mode, path)

                class face_pressure_controls(TUIMenu):
                    """
                    Enter the face pressure expert controls menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.face_pressure_options = self.__class__.face_pressure_options(service, version, mode, path + ["face_pressure_options"])
                        super().__init__(service, version, mode, path)
                    class face_pressure_options(TUIMethod):
                        """
                        Set face pressure options.
                        """

                class viscous_flow(TUIMenu):
                    """
                    Enters the viscous multiphase flow numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.turb_visc_based_damping = self.__class__.turb_visc_based_damping(service, version, mode, path + ["turb_visc_based_damping"])
                        self.interfacial_artificial_viscosity = self.__class__.interfacial_artificial_viscosity(service, version, mode, path + ["interfacial_artificial_viscosity"])
                        self.viscosity_averaging = self.__class__.viscosity_averaging(service, version, mode, path + ["viscosity_averaging"])
                        super().__init__(service, version, mode, path)
                    class turb_visc_based_damping(TUIMethod):
                        """
                        Turbulence viscosity based damping controls.
                        """
                    class interfacial_artificial_viscosity(TUIMethod):
                        """
                        Interfacial artifical viscosity controls.
                        """
                    class viscosity_averaging(TUIMethod):
                        """
                        Forces harmonic averaging of cell viscosities to calculate face  viscosity used in momentum equation. This can improve convergence for  highly viscous flow applications (the VOF model only).
                        """

                class heat_mass_transfer(TUIMenu):
                    """
                    Enters the menu for the multiphase heat mass transfer parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.area_density = self.__class__.area_density(service, version, mode, path + ["area_density"])
                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                        self.boiling = self.__class__.boiling(service, version, mode, path + ["boiling"])
                        self.evaporation_condensation = self.__class__.evaporation_condensation(service, version, mode, path + ["evaporation_condensation"])
                        self.alternative_energy_treatment = self.__class__.alternative_energy_treatment(service, version, mode, path + ["alternative_energy_treatment"])
                        super().__init__(service, version, mode, path)
                    class alternative_energy_treatment(TUIMethod):
                        """
                        Enables the alternative treatment of the energy sources. For more  information, see .
                        """

                    class area_density(TUIMenu):
                        """
                        Enters the menu for the area density.
                        """
                        def __init__(self, service, version, mode, path):
                            self.ia_grad_sym = self.__class__.ia_grad_sym(service, version, mode, path + ["ia_grad_sym"])
                            self.vof_min_seeding = self.__class__.vof_min_seeding(service, version, mode, path + ["vof_min_seeding"])
                            super().__init__(service, version, mode, path)
                        class ia_grad_sym(TUIMethod):
                            """
                            Enables/disables the interfacial area density Gradient-Symmetric model. For more information about this model, see .
                            """
                        class vof_min_seeding(TUIMethod):
                            """
                            Sets the minimum volume fraction for the area density and cavitation. This may be useful, for example, in cases when a species mass transfer model (such as the Symmetric model or Particle model) do not consider evaporation or condensation if the volume fraction of one of the phases is zero. The seeding allows for a phase change to occur in the fluid flow. The default value is 1e-6.
                            """

                    class cavitation(TUIMenu):
                        """
                        Enters the cavitation heat mass transfer menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.schnerr_cond_coeff = self.__class__.schnerr_cond_coeff(service, version, mode, path + ["schnerr_cond_coeff"])
                            self.max_vapor_pressure_ratio = self.__class__.max_vapor_pressure_ratio(service, version, mode, path + ["max_vapor_pressure_ratio"])
                            self.display_clipped_pressure = self.__class__.display_clipped_pressure(service, version, mode, path + ["display_clipped_pressure"])
                            self.turbulent_diffusion = self.__class__.turbulent_diffusion(service, version, mode, path + ["turbulent_diffusion"])
                            self.schnerr_evap_coeff = self.__class__.schnerr_evap_coeff(service, version, mode, path + ["schnerr_evap_coeff"])
                            self.min_vapor_pressure = self.__class__.min_vapor_pressure(service, version, mode, path + ["min_vapor_pressure"])
                            super().__init__(service, version, mode, path)
                        class schnerr_cond_coeff(TUIMethod):
                            """
                            Sets the condensation coefficient for the Schnerr-Sauer model (  in ). The default and recommended value of 0.2.
                            """
                        class max_vapor_pressure_ratio(TUIMethod):
                            """
                            Sets the maximum limit on the vapor pressure after the turbulence and thermal correction. The default value is five times the vapor pressure, with consideration of turbulent and thermal effects for each cell and phase.
                            """
                        class display_clipped_pressure(TUIMethod):
                            """
                            Clipped pressure is just used for the properties evaluation. Mass Transfer Rate uses unclipped pressure.
                            """
                        class turbulent_diffusion(TUIMethod):
                            """
                            Enables/disables the turbulent diffusion treatment for a cavitating turbulent flow. See  for details.
                            """
                        class schnerr_evap_coeff(TUIMethod):
                            """
                            Sets the evaporation coefficient for the Schnerr-Sauer model (  in ). The default and recommended value of 1.
                            """
                        class min_vapor_pressure(TUIMethod):
                            """
                            Sets the minimum vapor pressure limit for the cavitation mass-transfer model. The default value is 1 Pa.
                            """

                    class boiling(TUIMenu):
                        """
                        Enters the menu for the advanced boiling options for the  semi-mechanistic boiling model.
                        """
                        def __init__(self, service, version, mode, path):
                            self.heat_flux_relaxation_factor = self.__class__.heat_flux_relaxation_factor(service, version, mode, path + ["heat_flux_relaxation_factor"])
                            self.two_resistance_boiling_framework = self.__class__.two_resistance_boiling_framework(service, version, mode, path + ["two_resistance_boiling_framework"])
                            self.show_expert_options = self.__class__.show_expert_options(service, version, mode, path + ["show_expert_options"])
                            super().__init__(service, version, mode, path)
                        class heat_flux_relaxation_factor(TUIMethod):
                            """
                            Sets the under-relaxation factor for boiling heat flux. See  for details.
                            """
                        class two_resistance_boiling_framework(TUIMethod):
                            """
                            Enables/disables the two-resistance boiling framework to improve the robustness and accuracy of the solution of cases with multiple boiling mechanisms. For more information about this item, see .
                            """
                        class show_expert_options(TUIMethod):
                            """
                            Exposes the expert options for the semi-mechanistic boiling model. For more information about these options, see .
                            """

                    class evaporation_condensation(TUIMenu):
                        """
                        Evaporation-condensation advanced options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.max_rel_humidity = self.__class__.max_rel_humidity(service, version, mode, path + ["max_rel_humidity"])
                            self.vof_to_max_limit = self.__class__.vof_to_max_limit(service, version, mode, path + ["vof_to_max_limit"])
                            self.vof_from_max_limit = self.__class__.vof_from_max_limit(service, version, mode, path + ["vof_from_max_limit"])
                            self.ia_norm_min_limit = self.__class__.ia_norm_min_limit(service, version, mode, path + ["ia_norm_min_limit"])
                            self.vof_to_min_limit = self.__class__.vof_to_min_limit(service, version, mode, path + ["vof_to_min_limit"])
                            self.vof_from_min_limit = self.__class__.vof_from_min_limit(service, version, mode, path + ["vof_from_min_limit"])
                            super().__init__(service, version, mode, path)
                        class max_rel_humidity(TUIMethod):
                            """
                            Maximum value of relative humidity to limit condensation rate.
                            """
                        class vof_to_max_limit(TUIMethod):
                            """
                            Maximum volume fraction above which mass transfer rate is set to zero.
                            """
                        class vof_from_max_limit(TUIMethod):
                            """
                            Maximum volume fraction above which mass transfer rate is set to zero.
                            """
                        class ia_norm_min_limit(TUIMethod):
                            """
                            Minimum normalized area density below which mass transfer rate is set to zero.
                            """
                        class vof_to_min_limit(TUIMethod):
                            """
                            Minimum volume fraction below which mass transfer rate is set to zero.
                            """
                        class vof_from_min_limit(TUIMethod):
                            """
                            Minimum volume fraction below which mass transfer rate is set to zero.
                            """

                class default_controls(TUIMenu):
                    """
                    Enters the default controls menu. This menu is available only for multiphase flows.
                    """
                    def __init__(self, service, version, mode, path):
                        self.recommended_defaults_for_existing_cases = self.__class__.recommended_defaults_for_existing_cases(service, version, mode, path + ["recommended_defaults_for_existing_cases"])
                        self.revert_to_pre_r20_point_1_default_settings = self.__class__.revert_to_pre_r20_point_1_default_settings(service, version, mode, path + ["revert_to_pre_r20_point_1_default_settings"])
                        super().__init__(service, version, mode, path)
                    class recommended_defaults_for_existing_cases(TUIMethod):
                        """
                        Applies the multiphase defaults (version 2020 R1) to the loaded case  file.
                        """
                    class revert_to_pre_r20_point_1_default_settings(TUIMethod):
                        """
                        Revert to pre-R20.1 multiphase flow default settings.
                        """

                class boiling_parameters(TUIMenu):
                    """
                    Enters the menu for the multiphase boiling model parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.thin_film = self.__class__.thin_film(service, version, mode, path + ["thin_film"])
                        self.liquid_vof_factor = self.__class__.liquid_vof_factor(service, version, mode, path + ["liquid_vof_factor"])
                        super().__init__(service, version, mode, path)
                    class thin_film(TUIMethod):
                        """
                        When enabled, includes multiphase boiling thin film effects using .
                        """
                    class liquid_vof_factor(TUIMethod):
                        """
                        When enabled, considers liquid volume fraction effects by multiplying the heat transfer coefficients by the local liquid volume fraction.
                        """

                class compressible_flow(TUIMenu):
                    """
                    Enters the compressible multiphase flow numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enhanced_numerics = self.__class__.enhanced_numerics(service, version, mode, path + ["enhanced_numerics"])
                        self.alternate_bc_formulation = self.__class__.alternate_bc_formulation(service, version, mode, path + ["alternate_bc_formulation"])
                        super().__init__(service, version, mode, path)
                    class enhanced_numerics(TUIMethod):
                        """
                        Enables an enhanced numerical treatment that provides better  stability at startup and during calculation of compressible  flows.
                        """
                    class alternate_bc_formulation(TUIMethod):
                        """
                        Enables an alternative formulation for compressible phases at an  inlet boundary. This formulation calculates static temperature and  pressure using an iterative method based on fundamental thermodynamic  relations.
                        """

                class porous_media(TUIMenu):
                    """
                    Enters the porous media numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.relative_permeability = self.__class__.relative_permeability(service, version, mode, path + ["relative_permeability"])
                        self.capillary_pressure_as_diffusion = self.__class__.capillary_pressure_as_diffusion(service, version, mode, path + ["capillary_pressure_as_diffusion"])
                        super().__init__(service, version, mode, path)
                    class relative_permeability(TUIMethod):
                        """
                        Allows you to fix the saturation (volume fraction) of the phase at  its user-specified residual saturation value.
                        """
                    class capillary_pressure_as_diffusion(TUIMethod):
                        """
                        Model capillary pressure as diffusion.
                        """

                class solution_stabilization(TUIMenu):
                    """
                    Enters the solution-stabilization numerics menu. This item is available only for the VOF model.
                    """
                    def __init__(self, service, version, mode, path):
                        self.velocity_limiting_treatment = self.__class__.velocity_limiting_treatment(service, version, mode, path + ["velocity_limiting_treatment"])
                        self.additional_stabilization_controls = self.__class__.additional_stabilization_controls(service, version, mode, path + ["additional_stabilization_controls"])
                        self.execute_advanced_stabilization = self.__class__.execute_advanced_stabilization(service, version, mode, path + ["execute_advanced_stabilization"])
                        self.execute_settings_optimization = self.__class__.execute_settings_optimization(service, version, mode, path + ["execute_settings_optimization"])
                        self.execute_additional_stability_controls = self.__class__.execute_additional_stability_controls(service, version, mode, path + ["execute_additional_stability_controls"])
                        super().__init__(service, version, mode, path)
                    class execute_advanced_stabilization(TUIMethod):
                        """
                        When enabled, modifies solver settings for improved solution  stability.
                        """
                    class execute_settings_optimization(TUIMethod):
                        """
                        Execute optimized settings for VOF.
                        """
                    class execute_additional_stability_controls(TUIMethod):
                        """
                        When enabled, uses additional controls for improved solution  stability.
                        """

                    class velocity_limiting_treatment(TUIMenu):
                        """
                        Enters the menu for the velocity-limiting-treatment.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_velocity_and_vof_cutoffs = self.__class__.set_velocity_and_vof_cutoffs(service, version, mode, path + ["set_velocity_and_vof_cutoffs"])
                            self.set_damping_strength = self.__class__.set_damping_strength(service, version, mode, path + ["set_damping_strength"])
                            self.set_damping_strengths = self.__class__.set_damping_strengths(service, version, mode, path + ["set_damping_strengths"])
                            self.set_velocity_cutoff = self.__class__.set_velocity_cutoff(service, version, mode, path + ["set_velocity_cutoff"])
                            self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                            self.enable_velocity_limiting = self.__class__.enable_velocity_limiting(service, version, mode, path + ["enable_velocity_limiting"])
                            super().__init__(service, version, mode, path)
                        class set_velocity_and_vof_cutoffs(TUIMethod):
                            """
                            Set phase based velocity limiting controls.
                            """
                        class set_damping_strength(TUIMethod):
                            """
                            Enter damping strength.
                            """
                        class set_damping_strengths(TUIMethod):
                            """
                            Set phase based damping strength.
                            """
                        class set_velocity_cutoff(TUIMethod):
                            """
                            Specifies the maximum velocity magnitude.
                            """
                        class verbosity(TUIMethod):
                            """
                            When enabled, the solver prints the number of velocity limited cells at each iteration.
                            """
                        class enable_velocity_limiting(TUIMethod):
                            """
                            Enables/disables the velocity limiting treatment.
                            """

                    class additional_stabilization_controls(TUIMenu):
                        """
                        Enters the menu for additional advanced stability controls.
                        """
                        def __init__(self, service, version, mode, path):
                            self.blended_compressive_scheme = self.__class__.blended_compressive_scheme(service, version, mode, path + ["blended_compressive_scheme"])
                            self.pseudo_time_stabilization = self.__class__.pseudo_time_stabilization(service, version, mode, path + ["pseudo_time_stabilization"])
                            super().__init__(service, version, mode, path)
                        class blended_compressive_scheme(TUIMethod):
                            """
                            Enables/disables the blended compressive discretization scheme.
                            """
                        class pseudo_time_stabilization(TUIMethod):
                            """
                            Pseudo-Time Momentum stabilization and False Time Step Linearization methods for VOF.
                            """

                class advanced_stability_controls(TUIMenu):
                    """
                    Enters the menu for the stability controls for multiphase flows. For more information about the below option, see  and .
                    """
                    def __init__(self, service, version, mode, path):
                        self.equation_order = self.__class__.equation_order(service, version, mode, path + ["equation_order"])
                        self.hybrid_nita = self.__class__.hybrid_nita(service, version, mode, path + ["hybrid_nita"])
                        self.anti_diffusion = self.__class__.anti_diffusion(service, version, mode, path + ["anti_diffusion"])
                        self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                        self.pseudo_time = self.__class__.pseudo_time(service, version, mode, path + ["pseudo_time"])
                        self.num_ventilation = self.__class__.num_ventilation(service, version, mode, path + ["num_ventilation"])
                        super().__init__(service, version, mode, path)

                    class equation_order(TUIMenu):
                        """
                        Enters the equation order menu for homogeneous multiphase flow  models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.solve_exp_vof_at_end = self.__class__.solve_exp_vof_at_end(service, version, mode, path + ["solve_exp_vof_at_end"])
                            self.solve_flow_last = self.__class__.solve_flow_last(service, version, mode, path + ["solve_flow_last"])
                            super().__init__(service, version, mode, path)
                        class solve_exp_vof_at_end(TUIMethod):
                            """
                            Solve Explicit VOF at the end of time-step as an alternative.
                            """
                        class solve_flow_last(TUIMethod):
                            """
                            When enabled, solves the flow equation at the end of the iteration. This improves the behavior at the start of new time-step if the solution does not converge properly.
                            """

                    class hybrid_nita(TUIMenu):
                        """
                        Enters the equation order menu for homogeneous multiphase flow  models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.instability_detector = self.__class__.instability_detector(service, version, mode, path + ["instability_detector"])
                            self.outer_iterations = self.__class__.outer_iterations(service, version, mode, path + ["outer_iterations"])
                            self.initial_outer_iterations = self.__class__.initial_outer_iterations(service, version, mode, path + ["initial_outer_iterations"])
                            super().__init__(service, version, mode, path)
                        class outer_iterations(TUIMethod):
                            """
                            Sets the number of outer iterations.
                            """
                        class initial_outer_iterations(TUIMethod):
                            """
                            Allows you to change the number of initial time-steps and the number of initial outer iterations to control solution stability.
                            """

                        class instability_detector(TUIMenu):
                            """
                            Enters the menu for the instability detector controls.
                            """
                            def __init__(self, service, version, mode, path):
                                self.set_cfl_type = self.__class__.set_cfl_type(service, version, mode, path + ["set_cfl_type"])
                                self.set_cfl_limit = self.__class__.set_cfl_limit(service, version, mode, path + ["set_cfl_limit"])
                                self.unstable_event_outer_iterations = self.__class__.unstable_event_outer_iterations(service, version, mode, path + ["unstable_event_outer_iterations"])
                                self.enable_instability_detector = self.__class__.enable_instability_detector(service, version, mode, path + ["enable_instability_detector"])
                                self.set_velocity_limit = self.__class__.set_velocity_limit(service, version, mode, path + ["set_velocity_limit"])
                                super().__init__(service, version, mode, path)
                            class set_cfl_type(TUIMethod):
                                """
                                Selects the CFL number type for detection of an unstable  event. This command becomes available once the enable-instability-detector? text  option has been enabled.
                                """
                            class set_cfl_limit(TUIMethod):
                                """
                                Sets the Courant number limit for detecting unstable  events. This command becomes available once the enable-instability-detector? text  option has been enabled.
                                """
                            class unstable_event_outer_iterations(TUIMethod):
                                """
                                Sets the number of outer iterations for an unstable  event.
                                """
                            class enable_instability_detector(TUIMethod):
                                """
                                Enables/disables the instability detector to deal with  possible instability problems. Once this option is enabled,  additional instability detection options become  available.
                                """
                            class set_velocity_limit(TUIMethod):
                                """
                                Sets the velocity limit for detecting unstable events.  This command becomes available once the enable-instability-detector? text  option has been enabled.
                                """

                    class anti_diffusion(TUIMenu):
                        """
                        Enters the anti-diffusion menu. This item is available for VOF cases  with the Interfacial Anti-Diffusion option  enabled.
                        """
                        def __init__(self, service, version, mode, path):
                            self.enable_dynamic_strength = self.__class__.enable_dynamic_strength(service, version, mode, path + ["enable_dynamic_strength"])
                            self.set_maximum_dynamic_strength = self.__class__.set_maximum_dynamic_strength(service, version, mode, path + ["set_maximum_dynamic_strength"])
                            self.set_dynamic_strength_exponent = self.__class__.set_dynamic_strength_exponent(service, version, mode, path + ["set_dynamic_strength_exponent"])
                            super().__init__(service, version, mode, path)
                        class enable_dynamic_strength(TUIMethod):
                            """
                            Enables dynamic strength to reduce compression in the direction tangential to the interface.
                            """
                        class set_maximum_dynamic_strength(TUIMethod):
                            """
                            Sets the maximum value of dynamic anti-diffusion strength in ).
                            """
                        class set_dynamic_strength_exponent(TUIMethod):
                            """
                            Sets the cosine exponent in the dynamic strength treatment in ).
                            """

                    class p_v_coupling(TUIMenu):
                        """
                        Enters the menu for the pressure-velocity coupling controls.
                        """
                        def __init__(self, service, version, mode, path):
                            self.coupled_vof = self.__class__.coupled_vof(service, version, mode, path + ["coupled_vof"])
                            self.skewness_correction = self.__class__.skewness_correction(service, version, mode, path + ["skewness_correction"])
                            self.rhie_chow_flux = self.__class__.rhie_chow_flux(service, version, mode, path + ["rhie_chow_flux"])
                            super().__init__(service, version, mode, path)

                        class coupled_vof(TUIMenu):
                            """
                            Enters the stability control menu for VOF cases that involve the Coupled pressure-velocity coupling scheme.
                            """
                            def __init__(self, service, version, mode, path):
                                self.buoyancy_force_linearization = self.__class__.buoyancy_force_linearization(service, version, mode, path + ["buoyancy_force_linearization"])
                                super().__init__(service, version, mode, path)
                            class buoyancy_force_linearization(TUIMethod):
                                """
                                Allows you to use the linearized buoyancy force and the  blended treatment for the buoyancy force.
                                """

                        class skewness_correction(TUIMenu):
                            """
                            Enters the skewness correction menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.limit_pressure_correction_gradient = self.__class__.limit_pressure_correction_gradient(service, version, mode, path + ["limit_pressure_correction_gradient"])
                                super().__init__(service, version, mode, path)
                            class limit_pressure_correction_gradient(TUIMethod):
                                """
                                Enables/disables the limited pressure correction  gradient in skewness terms for the PISO, SIMPLEC, or  fractional step pressure-coupling schemes.
                                """

                        class rhie_chow_flux(TUIMenu):
                            """
                            Enters the stability controls menu for the Rhie-Chow interpolation.
                            """
                            def __init__(self, service, version, mode, path):
                                self.low_order_rhie_chow = self.__class__.low_order_rhie_chow(service, version, mode, path + ["low_order_rhie_chow"])
                                super().__init__(service, version, mode, path)
                            class low_order_rhie_chow(TUIMethod):
                                """
                                Enables/disables the low-order velocity interpolation in  the flux calculation.
                                """

                    class pseudo_time(TUIMenu):
                        """
                        Pseudo-Time stability controls for multiphase flow.
                        """
                        def __init__(self, service, version, mode, path):
                            self.auto_dt_advanced_controls = self.__class__.auto_dt_advanced_controls(service, version, mode, path + ["auto_dt_advanced_controls"])
                            self.smoothed_density_stabilization_method = self.__class__.smoothed_density_stabilization_method(service, version, mode, path + ["smoothed_density_stabilization_method"])
                            self.false_time_step_linearization = self.__class__.false_time_step_linearization(service, version, mode, path + ["false_time_step_linearization"])
                            super().__init__(service, version, mode, path)
                        class smoothed_density_stabilization_method(TUIMethod):
                            """
                            Set smoothed density stabilization method.
                            """
                        class false_time_step_linearization(TUIMethod):
                            """
                            Set false time-step linearization for added stability.
                            """

                        class auto_dt_advanced_controls(TUIMenu):
                            """
                            Set automatic time-stepping controls for better solution stability.
                            """
                            def __init__(self, service, version, mode, path):
                                self.dt_init_limit = self.__class__.dt_init_limit(service, version, mode, path + ["dt_init_limit"])
                                self.dt_factor_min = self.__class__.dt_factor_min(service, version, mode, path + ["dt_factor_min"])
                                self.max_velocity_ratio = self.__class__.max_velocity_ratio(service, version, mode, path + ["max_velocity_ratio"])
                                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                                self.dt_max = self.__class__.dt_max(service, version, mode, path + ["dt_max"])
                                self.dt_factor_max = self.__class__.dt_factor_max(service, version, mode, path + ["dt_factor_max"])
                                super().__init__(service, version, mode, path)
                            class dt_init_limit(TUIMethod):
                                """
                                Set maximum value for pseudo time step size during first iteration.
                                """
                            class dt_factor_min(TUIMethod):
                                """
                                Set minimum limit for reduction in pseudo time step size.
                                """
                            class max_velocity_ratio(TUIMethod):
                                """
                                Set velocity ratio to freeze the time step size for better solution stability.
                                """
                            class enable(TUIMethod):
                                """
                                Enable advanced automatic time stepping for better stability.
                                """
                            class dt_max(TUIMethod):
                                """
                                Set maximum value for pseudo time step size.
                                """
                            class dt_factor_max(TUIMethod):
                                """
                                Set maximum limit for increase in pseudo time step size.
                                """

                    class num_ventilation(TUIMenu):
                        """
                        Numerical Ventilation Menu for VOF Model.
                        """
                        def __init__(self, service, version, mode, path):
                            self.trapped_phase_vof_min = self.__class__.trapped_phase_vof_min(service, version, mode, path + ["trapped_phase_vof_min"])
                            self.tau_estimation_options = self.__class__.tau_estimation_options(service, version, mode, path + ["tau_estimation_options"])
                            self.near_wall_treatment_options = self.__class__.near_wall_treatment_options(service, version, mode, path + ["near_wall_treatment_options"])
                            self.trapped_phase_vof_max = self.__class__.trapped_phase_vof_max(service, version, mode, path + ["trapped_phase_vof_max"])
                            self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                            super().__init__(service, version, mode, path)
                        class trapped_phase_vof_min(TUIMethod):
                            """
                            Set trapped phase minimum volume fraction to activate numerical ventilation treatment for trapped phase.
                            """
                        class tau_estimation_options(TUIMethod):
                            """
                            Set time step size option for numerical ventilation treatment.
                            """
                        class near_wall_treatment_options(TUIMethod):
                            """
                            Set near wall treatment options.
                            """
                        class trapped_phase_vof_max(TUIMethod):
                            """
                            Set trapped phase maximum volume fraction to activate numerical ventilation treatment for non-trapped phases.
                            """
                        class enable(TUIMethod):
                            """
                            Enable numerical ventilation treatment to remove trapped phase adjacent to wall.
                            """

            class amg_options(TUIMenu):
                """
                Enters the AMG options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.amg_gpgpu_options = self.__class__.amg_gpgpu_options(service, version, mode, path + ["amg_gpgpu_options"])
                    self.conservative_amg_coarsening = self.__class__.conservative_amg_coarsening(service, version, mode, path + ["conservative_amg_coarsening"])
                    self.aggressive_amg_coarsening = self.__class__.aggressive_amg_coarsening(service, version, mode, path + ["aggressive_amg_coarsening"])
                    self.laplace_coarsening = self.__class__.laplace_coarsening(service, version, mode, path + ["laplace_coarsening"])
                    super().__init__(service, version, mode, path)
                class amg_gpgpu_options(TUIMethod):
                    """
                    Set GPGPU AMG solver options.
                    """
                class conservative_amg_coarsening(TUIMethod):
                    """
                    Enables / disables the use of conservative coarsening techniques for scalar and/or coupled equations that can improve parallel performance and/or convergence for some difficult cases.
                    """
                class aggressive_amg_coarsening(TUIMethod):
                    """
                    Enables / disables the use of a version of the AMG solver that is optimized for high coarsening rates. This option is recommended if the AMG solver diverges with the default settings.
                    """
                class laplace_coarsening(TUIMethod):
                    """
                    Enables / disables Laplace coarsening for scalar and/or coupled equations.
                    """

            class enhanced_les_numerics(TUIMenu):
                """
                Enter enhanced LES options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.optimized_cd = self.__class__.optimized_cd(service, version, mode, path + ["optimized_cd"])
                    self.optimized_algorithm = self.__class__.optimized_algorithm(service, version, mode, path + ["optimized_algorithm"])
                    self.optimized_advection = self.__class__.optimized_advection(service, version, mode, path + ["optimized_advection"])
                    super().__init__(service, version, mode, path)
                class optimized_cd(TUIMethod):
                    """
                    Use optimized central difference discretization.
                    """
                class optimized_algorithm(TUIMethod):
                    """
                    Use solver algorithm optimized for LES.
                    """
                class optimized_advection(TUIMethod):
                    """
                    Use advection scheme optimized for LES.
                    """

            class fast_transient_settings(TUIMenu):
                """
                Enters the fast transient settings menu. This menu is only available for transient cases that use the density-based solver.
                """
                def __init__(self, service, version, mode, path):
                    self.rk2 = self.__class__.rk2(service, version, mode, path + ["rk2"])
                    super().__init__(service, version, mode, path)
                class rk2(TUIMethod):
                    """
                    Allows you to enable the use of a two-stage Runge-Kutta scheme for time integration, or revert to the default multi-stage Runge-Kutta scheme. This text command is only available for transient cases that use the density-based explicit formulation.
                    """

        class initialize(TUIMenu):
            """
            Enters the flow initialization menu.
            """
            def __init__(self, service, version, mode, path):
                self.compute_defaults = self.__class__.compute_defaults(service, version, mode, path + ["compute_defaults"])
                self.set_fmg_options = self.__class__.set_fmg_options(service, version, mode, path + ["set_fmg_options"])
                self.mp_localized_turb_init = self.__class__.mp_localized_turb_init(service, version, mode, path + ["mp_localized_turb_init"])
                self.vof_patch_smooth_options = self.__class__.vof_patch_smooth_options(service, version, mode, path + ["vof_patch_smooth_options"])
                self.set_fmg_initialization = self.__class__.set_fmg_initialization(service, version, mode, path + ["set_fmg_initialization"])
                self.repair_wall_distance = self.__class__.repair_wall_distance(service, version, mode, path + ["repair_wall_distance"])
                self.lwf_initialization = self.__class__.lwf_initialization(service, version, mode, path + ["lwf_initialization"])
                self.levelset_auto_init = self.__class__.levelset_auto_init(service, version, mode, path + ["levelset_auto_init"])
                self.show_time_sampled = self.__class__.show_time_sampled(service, version, mode, path + ["show_time_sampled"])
                self.dpm_reset = self.__class__.dpm_reset(service, version, mode, path + ["dpm_reset"])
                self.initialize_flow = self.__class__.initialize_flow(service, version, mode, path + ["initialize_flow"])
                self.init_flow_statistics = self.__class__.init_flow_statistics(service, version, mode, path + ["init_flow_statistics"])
                self.reference_frame = self.__class__.reference_frame(service, version, mode, path + ["reference_frame"])
                self.patch = self.__class__.patch(service, version, mode, path + ["patch"])
                self.set_defaults = self.__class__.set_defaults(service, version, mode, path + ["set_defaults"])
                self.set_hyb_initialization = self.__class__.set_hyb_initialization(service, version, mode, path + ["set_hyb_initialization"])
                self.hyb_initialization = self.__class__.hyb_initialization(service, version, mode, path + ["hyb_initialization"])
                self.show_iterations_sampled = self.__class__.show_iterations_sampled(service, version, mode, path + ["show_iterations_sampled"])
                self.fmg_initialization = self.__class__.fmg_initialization(service, version, mode, path + ["fmg_initialization"])
                self.list_defaults = self.__class__.list_defaults(service, version, mode, path + ["list_defaults"])
                self.open_channel_auto_init = self.__class__.open_channel_auto_init(service, version, mode, path + ["open_channel_auto_init"])
                self.init_acoustics_options = self.__class__.init_acoustics_options(service, version, mode, path + ["init_acoustics_options"])
                self.init_turb_vel_fluctuations = self.__class__.init_turb_vel_fluctuations(service, version, mode, path + ["init_turb_vel_fluctuations"])
                super().__init__(service, version, mode, path)
            class set_fmg_initialization(TUIMethod):
                """
                Enters the set full-multigrid for initialization menu. Initial values for each variable can be set within this menu.
                """
            class repair_wall_distance(TUIMethod):
                """
                Corrects wall distance at very high aspect ratio hexahedral/polyhedral cells.
                """
            class lwf_initialization(TUIMethod):
                """
                Deletes wall film particles and initializes wall film variables to zero. This option is available only with the wall-film DPM boundary condition.
                """
            class levelset_auto_init(TUIMethod):
                """
                Levelset function automatic initialization.
                """
            class show_time_sampled(TUIMethod):
                """
                Displays the amount of simulated time covered by the data sampled for unsteady statistics.
                """
            class dpm_reset(TUIMethod):
                """
                Resets discrete phase source terms to zero.
                """
            class initialize_flow(TUIMethod):
                """
                Initializes the flow field with the current default values.
                """
            class init_flow_statistics(TUIMethod):
                """
                Initializes unsteady statistics.
                """
            class reference_frame(TUIMethod):
                """
                Sets reference frame to absolute or relative.
                """
            class patch(TUIMethod):
                """
                Patch a value for a flow variable in the domain.
                """
            class set_defaults(TUIMethod):
                """
                Sets default initial values.
                """
            class set_hyb_initialization(TUIMethod):
                """
                Enters the hybrid initialization menu.
                """
            class hyb_initialization(TUIMethod):
                """
                Initializes using the hybrid initialization method.
                """
            class show_iterations_sampled(TUIMethod):
                """
                Displays the number of iterations covered by the data sampled for steady statistics.
                """
            class fmg_initialization(TUIMethod):
                """
                Initializes using the full-multigrid initialization (FMG).
                """
            class list_defaults(TUIMethod):
                """
                Lists default values.
                """
            class open_channel_auto_init(TUIMethod):
                """
                Opens channel automatic initialization.
                """
            class init_acoustics_options(TUIMethod):
                """
                Specifies the number of timesteps for ramping of sound sources and re-initializes the acoustics wave equation solution. For the initialized acoustics solution, Fluent reports the current state of the sound sources ramping.
                """
            class init_turb_vel_fluctuations(TUIMethod):
                """
                Initializes instantaneous velocity field out of steady state RANS results, for use before enabling a scale resolving simulation such as LES.
                """

            class compute_defaults(TUIMenu):
                """
                Enters the compute default values menu.
                """
                def __init__(self, service, version, mode, path):
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.all_zones = self.__class__.all_zones(service, version, mode, path + ["all_zones"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.dummy_entry = self.__class__.dummy_entry(service, version, mode, path + ["dummy_entry"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    super().__init__(service, version, mode, path)
                class rans_les_interface(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class interface(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class network(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class wall(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class axis(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class pressure_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class overset(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class solid(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class all_zones(TUIMethod):
                    """
                    Initializes the flow field with the default values.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class interior(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class dummy_entry(TUIMethod):
                    """
                    .
                    """
                class porous_jump(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """

            class set_fmg_options(TUIMenu):
                """
                Enter the full-multigrid option menu.
                """
                def __init__(self, service, version, mode, path):
                    self.species_reactions = self.__class__.species_reactions(service, version, mode, path + ["species_reactions"])
                    self.set_turbulent_viscosity_ratio = self.__class__.set_turbulent_viscosity_ratio(service, version, mode, path + ["set_turbulent_viscosity_ratio"])
                    self.viscous_terms = self.__class__.viscous_terms(service, version, mode, path + ["viscous_terms"])
                    super().__init__(service, version, mode, path)
                class species_reactions(TUIMethod):
                    """
                    Enable/disable species volumetric reactions during FMG initialization.
                    """
                class set_turbulent_viscosity_ratio(TUIMethod):
                    """
                    Set turbulent viscosity ratio used during FMG initialization.
                    """
                class viscous_terms(TUIMethod):
                    """
                    Enable/disable viscous terms during FMG initialization.
                    """

            class mp_localized_turb_init(TUIMenu):
                """
                Enters the menu for localized turbulent flow initialization.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.turb_init_parameters = self.__class__.turb_init_parameters(service, version, mode, path + ["turb_init_parameters"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables/disables localized initialization of turbulent flow variables.
                    """
                class turb_init_parameters(TUIMethod):
                    """
                    Sets values for the turbulent intensity and turbulent viscosity ratio for localized initialization.
                    """

            class vof_patch_smooth_options(TUIMenu):
                """
                Enters the vof patch/smooth options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.execute_smoothing = self.__class__.execute_smoothing(service, version, mode, path + ["execute_smoothing"])
                    self.set_options = self.__class__.set_options(service, version, mode, path + ["set_options"])
                    super().__init__(service, version, mode, path)
                class execute_smoothing(TUIMethod):
                    """
                    Execute volumetric smoothing for volume fraction.
                    """
                class set_options(TUIMethod):
                    """
                    Sets options for patching and smoothing volume fraction.
                    """

        class monitors(TUIMenu):
            """
            Sets solution monitors.
            """
            def __init__(self, service, version, mode, path):
                self.report_plots = self.__class__.report_plots(service, version, mode, path + ["report_plots"])
                self.report_files = self.__class__.report_files(service, version, mode, path + ["report_files"])
                self.residual = self.__class__.residual(service, version, mode, path + ["residual"])
                self.convergence_conditions = self.__class__.convergence_conditions(service, version, mode, path + ["convergence_conditions"])
                self.set_average_over = self.__class__.set_average_over(service, version, mode, path + ["set_average_over"])
                super().__init__(service, version, mode, path)
            class convergence_conditions(TUIMethod):
                """
                Manage convergence report.
                """
            class set_average_over(TUIMethod):
                """
                Set the average over input for monitors.
                """

            class report_plots(TUIMenu):
                """
                Manage report plots.
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit an object.
                    """
                class clear_data(TUIMethod):
                    """
                    Clear report plot data.
                    """
                class delete(TUIMethod):
                    """
                    Delete an object.
                    """
                class curves(TUIMethod):
                    """
                    Set curves options of an object.
                    """
                class list_properties(TUIMethod):
                    """
                    List properties of an object.
                    """
                class add(TUIMethod):
                    """
                    Add a new object.
                    """
                class list(TUIMethod):
                    """
                    List objects.
                    """
                class axes(TUIMethod):
                    """
                    Set axes options of an object.
                    """
                class plot(TUIMethod):
                    """
                    Plot.
                    """
                class delete_all(TUIMethod):
                    """
                    Delete all plot objects.
                    """

            class report_files(TUIMenu):
                """
                Manage report files.
                """
                def __init__(self, service, version, mode, path):
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                    self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class add(TUIMethod):
                    """
                    Add a new object.
                    """
                class delete(TUIMethod):
                    """
                    Delete an object.
                    """
                class list_properties(TUIMethod):
                    """
                    List properties of an object.
                    """
                class edit(TUIMethod):
                    """
                    Edit an object.
                    """
                class delete_all(TUIMethod):
                    """
                    Delete all report file objects.
                    """
                class clear_data(TUIMethod):
                    """
                    Delete the report file from the system.
                    """
                class list(TUIMethod):
                    """
                    List objects.
                    """

            class residual(TUIMenu):
                """
                Enters the residual monitors menu.
                """
                def __init__(self, service, version, mode, path):
                    self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                    self.re_normalize = self.__class__.re_normalize(service, version, mode, path + ["re_normalize"])
                    self.print = self.__class__.print(service, version, mode, path + ["print"])
                    self.normalization_factors = self.__class__.normalization_factors(service, version, mode, path + ["normalization_factors"])
                    self.monitor = self.__class__.monitor(service, version, mode, path + ["monitor"])
                    self.relative_conv_criteria = self.__class__.relative_conv_criteria(service, version, mode, path + ["relative_conv_criteria"])
                    self.scale_by_coefficient = self.__class__.scale_by_coefficient(service, version, mode, path + ["scale_by_coefficient"])
                    self.convergence_criteria = self.__class__.convergence_criteria(service, version, mode, path + ["convergence_criteria"])
                    self.n_display = self.__class__.n_display(service, version, mode, path + ["n_display"])
                    self.n_save = self.__class__.n_save(service, version, mode, path + ["n_save"])
                    self.check_convergence = self.__class__.check_convergence(service, version, mode, path + ["check_convergence"])
                    self.criterion_type = self.__class__.criterion_type(service, version, mode, path + ["criterion_type"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    self.normalize = self.__class__.normalize(service, version, mode, path + ["normalize"])
                    self.enhanced_continuity_residual = self.__class__.enhanced_continuity_residual(service, version, mode, path + ["enhanced_continuity_residual"])
                    self.n_maximize_norms = self.__class__.n_maximize_norms(service, version, mode, path + ["n_maximize_norms"])
                    super().__init__(service, version, mode, path)
                class reset(TUIMethod):
                    """
                    Chooses whether to delete the residual history and reset iteration counter to 1.
                    """
                class re_normalize(TUIMethod):
                    """
                    Re-normalize residuals by maximum values.
                    """
                class print(TUIMethod):
                    """
                    Chooses whether residuals will be printed during iteration.
                    """
                class normalization_factors(TUIMethod):
                    """
                    Sets normalization factors for currently monitored residuals (if normalize? is set to yes).
                    """
                class monitor(TUIMethod):
                    """
                    Chooses which residuals to monitor as printed and/or plotted output.
                    """
                class relative_conv_criteria(TUIMethod):
                    """
                    Sets relative convergence criteria for residuals that are currently being both monitored and checked.
                    """
                class scale_by_coefficient(TUIMethod):
                    """
                    Chooses whether to scale residuals by coefficient sum in printed and plotted output.
                    """
                class convergence_criteria(TUIMethod):
                    """
                    Sets convergence criteria for residuals that are currently being both monitored and checked.
                    """
                class n_display(TUIMethod):
                    """
                    Sets the number of most recent residuals to display in plots.
                    """
                class n_save(TUIMethod):
                    """
                    Sets number of residuals to be saved with data. History is automatically compacted when buffer becomes full.
                    """
                class check_convergence(TUIMethod):
                    """
                    Chooses which currently monitored residuals should be checked for convergence.
                    """
                class criterion_type(TUIMethod):
                    """
                    Sets convergence criterion type.
                    """
                class plot(TUIMethod):
                    """
                    Chooses whether residuals will be plotted during iteration.
                    """
                class normalize(TUIMethod):
                    """
                    Chooses whether to normalize residuals in printed and plotted output.
                    """
                class enhanced_continuity_residual(TUIMethod):
                    """
                    Enables/disables an enhanced formulation for the local scaling of the continuity residuals with the pressure-based solver, so that the absolute mass flow rate at each cell is used. This text command is only available when the computing of the local scale is enabled through the solve/monitors/residual/scale-by-coefficient? text command.
                    """
                class n_maximize_norms(TUIMethod):
                    """
                    Sets the number of iterations through which normalization factors will be maximized.
                    """

        class animate(TUIMenu):
            """
            Enters the animation menu.
            """
            def __init__(self, service, version, mode, path):
                self.define = self.__class__.define(service, version, mode, path + ["define"])
                self.pulse = self.__class__.pulse(service, version, mode, path + ["pulse"])
                self.playback = self.__class__.playback(service, version, mode, path + ["playback"])
                self.objects = self.__class__.objects(service, version, mode, path + ["objects"])
                super().__init__(service, version, mode, path)

            class define(TUIMenu):
                """
                Enters the animation definition menu.
                """
                def __init__(self, service, version, mode, path):
                    self.define_monitor = self.__class__.define_monitor(service, version, mode, path + ["define_monitor"])
                    self.edit_monitor = self.__class__.edit_monitor(service, version, mode, path + ["edit_monitor"])
                    super().__init__(service, version, mode, path)
                class define_monitor(TUIMethod):
                    """
                    Defines new animation.
                    """
                class edit_monitor(TUIMethod):
                    """
                    Changes animation monitor attributes.
                    """

            class pulse(TUIMenu):
                """
                Enter the pulse animation menu (only available when one or more particle track or pathline graphics objects are defined).
                """
                def __init__(self, service, version, mode, path):
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.hardcopy = self.__class__.hardcopy(service, version, mode, path + ["hardcopy"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    self.pulse_mode = self.__class__.pulse_mode(service, version, mode, path + ["pulse_mode"])
                    super().__init__(service, version, mode, path)
                class write(TUIMethod):
                    """
                    Select a pathline or particle track graphics object, specify whether you want to write a video file or picture files, and enter the destination directory for the files. Continuous pulse animations result in a 5 second video. Single pulse animations run for a full cycle.
                    """
                class pulse_mode(TUIMethod):
                    """
                    Set whether the pulse is a single pulse or continuous.
                    """

                class video(TUIMenu):
                    """
                    Enter the video window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.advance_quality = self.__class__.advance_quality(service, version, mode, path + ["advance_quality"])
                        self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
                        self.name = self.__class__.name(service, version, mode, path + ["name"])
                        self.fps = self.__class__.fps(service, version, mode, path + ["fps"])
                        self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                        self.width = self.__class__.width(service, version, mode, path + ["width"])
                        self.use_original_resolution = self.__class__.use_original_resolution(service, version, mode, path + ["use_original_resolution"])
                        self.height = self.__class__.height(service, version, mode, path + ["height"])
                        self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        super().__init__(service, version, mode, path)
                    class quality(TUIMethod):
                        """
                        Set quality for exporting video file.
                        """
                    class name(TUIMethod):
                        """
                        Exporting video file name.
                        """
                    class fps(TUIMethod):
                        """
                        Set the Frame Per Sec(FPS) for exporting video file.
                        """
                    class scale(TUIMethod):
                        """
                        Set scale by which video resolution will expand.
                        """
                    class width(TUIMethod):
                        """
                        Set the width for exporting video file.
                        """
                    class use_original_resolution(TUIMethod):
                        """
                        Enable original resolution.
                        """
                    class height(TUIMethod):
                        """
                        Set the height for exporting video file.
                        """
                    class set_standard_resolution(TUIMethod):
                        """
                        Select from pre-defined resolution list.
                        """
                    class format(TUIMethod):
                        """
                        Set format for exporting video file.
                        """

                    class advance_quality(TUIMenu):
                        """
                        Advance Quality setting.
                        """
                        def __init__(self, service, version, mode, path):
                            self.bitrate = self.__class__.bitrate(service, version, mode, path + ["bitrate"])
                            self.compression_method = self.__class__.compression_method(service, version, mode, path + ["compression_method"])
                            self.bitrate_scale = self.__class__.bitrate_scale(service, version, mode, path + ["bitrate_scale"])
                            self.enable_h264 = self.__class__.enable_h264(service, version, mode, path + ["enable_h264"])
                            super().__init__(service, version, mode, path)
                        class bitrate(TUIMethod):
                            """
                            Set video bitrate(kbits/sec) for exporting video file.
                            """
                        class compression_method(TUIMethod):
                            """
                            Compression methode for Microsoft AVI movie.
                            """
                        class bitrate_scale(TUIMethod):
                            """
                            Mp4 bitrate scale - Best-64000 High-32000 Medium-16000 Low-8000.
                            """
                        class enable_h264(TUIMethod):
                            """
                            H264 encoding flag.
                            """

                class hardcopy(TUIMenu):
                    """
                    Hardcopy options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                        self.color_mode = self.__class__.color_mode(service, version, mode, path + ["color_mode"])
                        self.preview = self.__class__.preview(service, version, mode, path + ["preview"])
                        self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                        self.landscape = self.__class__.landscape(service, version, mode, path + ["landscape"])
                        self.jpeg_hardcopy_quality = self.__class__.jpeg_hardcopy_quality(service, version, mode, path + ["jpeg_hardcopy_quality"])
                        self.invert_background = self.__class__.invert_background(service, version, mode, path + ["invert_background"])
                        self.use_window_resolution = self.__class__.use_window_resolution(service, version, mode, path + ["use_window_resolution"])
                        self.x_resolution = self.__class__.x_resolution(service, version, mode, path + ["x_resolution"])
                        self.dpi = self.__class__.dpi(service, version, mode, path + ["dpi"])
                        self.y_resolution = self.__class__.y_resolution(service, version, mode, path + ["y_resolution"])
                        super().__init__(service, version, mode, path)
                    class preview(TUIMethod):
                        """
                        Display a preview image of a hardcopy.
                        """
                    class set_standard_resolution(TUIMethod):
                        """
                        Select from pre-defined resolution list.
                        """
                    class landscape(TUIMethod):
                        """
                        Plot hardcopies in landscape or portrait orientation.
                        """
                    class jpeg_hardcopy_quality(TUIMethod):
                        """
                        To set jpeg hardcopy quality.
                        """
                    class invert_background(TUIMethod):
                        """
                        Use a white background when the picture is saved.
                        """
                    class use_window_resolution(TUIMethod):
                        """
                        Use the currently active window's resolution for hardcopy (ignores the x-resolution and y-resolution in this case).
                        """
                    class x_resolution(TUIMethod):
                        """
                        Set the width of raster-formatted images in pixels (0 implies current window size).
                        """
                    class dpi(TUIMethod):
                        """
                        Set the DPI for EPS and Postscript files, specifies the resolution in dots per inch (DPI) instead of setting the width and height.
                        """
                    class y_resolution(TUIMethod):
                        """
                        Set the height of raster-formatted images in pixels (0 implies current window size).
                        """

                    class driver(TUIMenu):
                        """
                        Enter the set hardcopy driver menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.post_format = self.__class__.post_format(service, version, mode, path + ["post_format"])
                            self.ppm = self.__class__.ppm(service, version, mode, path + ["ppm"])
                            self.jpeg = self.__class__.jpeg(service, version, mode, path + ["jpeg"])
                            self.tiff = self.__class__.tiff(service, version, mode, path + ["tiff"])
                            self.png = self.__class__.png(service, version, mode, path + ["png"])
                            self.vrml = self.__class__.vrml(service, version, mode, path + ["vrml"])
                            self.avz = self.__class__.avz(service, version, mode, path + ["avz"])
                            self.glb = self.__class__.glb(service, version, mode, path + ["glb"])
                            self.post_script = self.__class__.post_script(service, version, mode, path + ["post_script"])
                            self.dump_window = self.__class__.dump_window(service, version, mode, path + ["dump_window"])
                            self.options = self.__class__.options(service, version, mode, path + ["options"])
                            self.eps = self.__class__.eps(service, version, mode, path + ["eps"])
                            self.hsf = self.__class__.hsf(service, version, mode, path + ["hsf"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            super().__init__(service, version, mode, path)
                        class ppm(TUIMethod):
                            """
                            Produce PPM output for hardcopies.
                            """
                        class jpeg(TUIMethod):
                            """
                            Produce JPEG output for hardcopies.
                            """
                        class tiff(TUIMethod):
                            """
                            Use TIFF output for hardcopies.
                            """
                        class png(TUIMethod):
                            """
                            Use PNG output for hardcopies.
                            """
                        class vrml(TUIMethod):
                            """
                            Use VRML output for hardcopies.
                            """
                        class avz(TUIMethod):
                            """
                            Use AVZ output for hardcopies.
                            """
                        class glb(TUIMethod):
                            """
                            Use GLB output for hardcopies.
                            """
                        class post_script(TUIMethod):
                            """
                            Produce PostScript output for hardcopies.
                            """
                        class dump_window(TUIMethod):
                            """
                            Set the command used to dump the graphics window to a file.
                            """
                        class options(TUIMethod):
                            """
                            Set the hardcopy options. Available options are:
                            "no gamma correction", disables gamma correction of colors,
                            "physical size = (width,height)", where width and height
                            are the actual measurements of the printable area of the page
                            in centimeters.
                            "subscreen = (left,right,bottom,top)", where left,right,
                            bottom, and top are numbers in [-1,1] describing a subwindow on
                            the page in which to place the hardcopy.
                            The options may be combined by separating them with commas.
                            """
                        class eps(TUIMethod):
                            """
                            Produce encapsulated PostScript (EPS) output for hardcopies.
                            """
                        class hsf(TUIMethod):
                            """
                            Use HSF output for hardcopies.
                            """
                        class list(TUIMethod):
                            """
                            List the current hardcopy driver.
                            """

                        class post_format(TUIMenu):
                            """
                            Enter the PostScript driver format menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
                                self.fast_raster = self.__class__.fast_raster(service, version, mode, path + ["fast_raster"])
                                self.rle_raster = self.__class__.rle_raster(service, version, mode, path + ["rle_raster"])
                                self.raster = self.__class__.raster(service, version, mode, path + ["raster"])
                                super().__init__(service, version, mode, path)
                            class vector(TUIMethod):
                                """
                                Use vector format.
                                """
                            class fast_raster(TUIMethod):
                                """
                                Use the new raster format.
                                """
                            class rle_raster(TUIMethod):
                                """
                                Use the run-length encoded raster format.
                                """
                            class raster(TUIMethod):
                                """
                                Use the original raster format.
                                """

                    class color_mode(TUIMenu):
                        """
                        Enter the hardcopy color mode menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.mono_chrome = self.__class__.mono_chrome(service, version, mode, path + ["mono_chrome"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.gray_scale = self.__class__.gray_scale(service, version, mode, path + ["gray_scale"])
                            self.color = self.__class__.color(service, version, mode, path + ["color"])
                            super().__init__(service, version, mode, path)
                        class mono_chrome(TUIMethod):
                            """
                            Convert color to monochrome (black and white) for hardcopy.
                            """
                        class list(TUIMethod):
                            """
                            Display the current hardcopy color mode.
                            """
                        class gray_scale(TUIMethod):
                            """
                            Convert color to grayscale for hardcopy.
                            """
                        class color(TUIMethod):
                            """
                            Plot hardcopies in color.
                            """

            class playback(TUIMenu):
                """
                Enters the animation playback menu.
                """
                def __init__(self, service, version, mode, path):
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.stored_view = self.__class__.stored_view(service, version, mode, path + ["stored_view"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.read = self.__class__.read(service, version, mode, path + ["read"])
                    self.set_custom_frames = self.__class__.set_custom_frames(service, version, mode, path + ["set_custom_frames"])
                    self.play = self.__class__.play(service, version, mode, path + ["play"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    super().__init__(service, version, mode, path)
                class stored_view(TUIMethod):
                    """
                    Plays the 3D animation sequence using the view stored in the sequence.
                    """
                class delete(TUIMethod):
                    """
                    Deletes animation sequence.
                    """
                class read(TUIMethod):
                    """
                    Reads new animation from file or already defined animations.
                    """
                class set_custom_frames(TUIMethod):
                    """
                    Specify a custom start frame, increment, and end frame for video export.
                    """
                class play(TUIMethod):
                    """
                    Plays the selected animation.
                    """
                class write(TUIMethod):
                    """
                    Writes animation sequence to the file.
                    """

                class video(TUIMenu):
                    """
                    Enters the video menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.advance_quality = self.__class__.advance_quality(service, version, mode, path + ["advance_quality"])
                        self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                        self.width = self.__class__.width(service, version, mode, path + ["width"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        self.use_original_resolution = self.__class__.use_original_resolution(service, version, mode, path + ["use_original_resolution"])
                        self.name = self.__class__.name(service, version, mode, path + ["name"])
                        self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
                        self.fps = self.__class__.fps(service, version, mode, path + ["fps"])
                        self.height = self.__class__.height(service, version, mode, path + ["height"])
                        self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                        super().__init__(service, version, mode, path)
                    class scale(TUIMethod):
                        """
                        Expands or collapses the resolution based on this scaling  factor.
                        """
                    class width(TUIMethod):
                        """
                        Set the width for exporting video file.
                        """
                    class format(TUIMethod):
                        """
                        Specifies what format the video file will be written in (MP4 | AVI |  FLV | MOV | MPEG).
                        """
                    class use_original_resolution(TUIMethod):
                        """
                        Controls whether the resolution of the saved video file matches that  of the images used to create it.
                        """
                    class name(TUIMethod):
                        """
                        Sets the name of the saved video file.
                        """
                    class quality(TUIMethod):
                        """
                        Set quality for exporting video file.
                        """
                    class fps(TUIMethod):
                        """
                        Sets the target frames per second (FPS) for the saved video  file.
                        """
                    class height(TUIMethod):
                        """
                        Set the height for exporting video file.
                        """
                    class set_standard_resolution(TUIMethod):
                        """
                        Select from pre-defined resolution list.
                        """

                    class advance_quality(TUIMenu):
                        """
                        Advance Quality setting.
                        """
                        def __init__(self, service, version, mode, path):
                            self.compression_method = self.__class__.compression_method(service, version, mode, path + ["compression_method"])
                            self.bitrate = self.__class__.bitrate(service, version, mode, path + ["bitrate"])
                            self.bitrate_scale = self.__class__.bitrate_scale(service, version, mode, path + ["bitrate_scale"])
                            self.enable_h264 = self.__class__.enable_h264(service, version, mode, path + ["enable_h264"])
                            super().__init__(service, version, mode, path)
                        class compression_method(TUIMethod):
                            """
                            Compression methode for Microsoft AVI movie.
                            """
                        class bitrate(TUIMethod):
                            """
                            Set video bitrate(kbits/sec) for exporting video file.
                            """
                        class bitrate_scale(TUIMethod):
                            """
                            Mp4 bitrate scale - Best-64000 High-32000 Medium-16000 Low-8000.
                            """
                        class enable_h264(TUIMethod):
                            """
                            H264 encoding flag.
                            """

            class objects(TUIMenu):
                """
                Enters the object manipulation menu.
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edits solution animation object.
                    """
                class clear_history(TUIMethod):
                    """
                    Clears solution animation object history.
                    """
                class copy(TUIMethod):
                    """
                    Copies solution animation object.
                    """
                class delete(TUIMethod):
                    """
                    Deletes solution animation object.
                    """
                class create(TUIMethod):
                    """
                    Creates new solution animation object.
                    """

        class cell_registers(TUIMenu):
            """
            Enters the cell registers menu.
            """
            def __init__(self, service, version, mode, path):
                self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
                self.apply_poor_mesh_numerics = self.__class__.apply_poor_mesh_numerics(service, version, mode, path + ["apply_poor_mesh_numerics"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.refine = self.__class__.refine(service, version, mode, path + ["refine"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.coarsen = self.__class__.coarsen(service, version, mode, path + ["coarsen"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                super().__init__(service, version, mode, path)
            class adapt(TUIMethod):
                """
                Adapt cell register objects.
                """
            class apply_poor_mesh_numerics(TUIMethod):
                """
                Applies poor mesh numerics to the mesh of a cell register.
                """
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class list(TUIMethod):
                """
                Lists all of the currently defined cell registers.
                """
            class refine(TUIMethod):
                """
                Refine the mesh based on a cell register.
                """
            class delete(TUIMethod):
                """
                Deletes a cell register.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class coarsen(TUIMethod):
                """
                Coarsen the mesh based on a cell register.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a cell register.
                """
            class display(TUIMethod):
                """
                Displays a cell register.
                """

        class execute_commands(TUIMenu):
            """
            Enters the execute commands menu.
            """
            def __init__(self, service, version, mode, path):
                self.import_ = self.__class__.import_(service, version, mode, path + ["import"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                self.add_edit = self.__class__.add_edit(service, version, mode, path + ["add_edit"])
                self.disable = self.__class__.disable(service, version, mode, path + ["disable"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.export = self.__class__.export(service, version, mode, path + ["export"])
                super().__init__(service, version, mode, path)
            class import_(TUIMethod):
                """
                Import execute-commands from a TSV file.
                """
            class copy(TUIMethod):
                """
                Copy an execute-command.
                """
            class enable(TUIMethod):
                """
                Enables an execute command.
                """
            class add_edit(TUIMethod):
                """
                Adds or edits execute commands.
                """
            class disable(TUIMethod):
                """
                Disables an execute command.
                """
            class delete(TUIMethod):
                """
                Delete an execute-command.
                """
            class export(TUIMethod):
                """
                Export execute-commands to a TSV file.
                """

        class report_files(TUIMenu):
            """
            Enters the report files menu.
            """
            def __init__(self, service, version, mode, path):
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                super().__init__(service, version, mode, path)
            class edit(TUIMethod):
                """
                Edits a report file.
                """
            class clear_data(TUIMethod):
                """
                Clears the data associated with a report file.
                """
            class list(TUIMethod):
                """
                Lists all defined report files.
                """
            class delete_all(TUIMethod):
                """
                Deletes all of the report file objects.
                """
            class delete(TUIMethod):
                """
                Deletes a report file object.
                """
            class add(TUIMethod):
                """
                Creates a report file.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a report file.
                """

        class report_plots(TUIMenu):
            """
            Enters the report plots menu.
            """
            def __init__(self, service, version, mode, path):
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                super().__init__(service, version, mode, path)
            class add(TUIMethod):
                """
                Creates a report plot.
                """
            class plot(TUIMethod):
                """
                Plots the specified report plot.
                """
            class list(TUIMethod):
                """
                Lists all defined report plots.
                """
            class delete(TUIMethod):
                """
                Deletes a report plot object.
                """
            class curves(TUIMethod):
                """
                Defines the curves for a report plot.
                """
            class delete_all(TUIMethod):
                """
                Deletes all of the report plot objects.
                """
            class edit(TUIMethod):
                """
                Edits a report plot.
                """
            class axes(TUIMethod):
                """
                Defines the axes for a report plot.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a report plot.
                """
            class clear_data(TUIMethod):
                """
                Clears the data associated with a report plot.
                """

        class report_definitions(TUIMenu):
            """
            Enters the report definitions menu.
            """
            def __init__(self, service, version, mode, path):
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                super().__init__(service, version, mode, path)
            class compute(TUIMethod):
                """
                Computes selected report definition.
                """
            class copy(TUIMethod):
                """
                Creates a copy of a report definition.
                """
            class delete(TUIMethod):
                """
                Deletes a report definition.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a report definition.
                """
            class delete_all(TUIMethod):
                """
                Deletes all of the report definition objects.
                """
            class edit(TUIMethod):
                """
                Edits a report definition.
                """
            class rename(TUIMethod):
                """
                Renames a report definition.
                """
            class list(TUIMethod):
                """
                Lists all defined report definitions.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """

    class parameters__and__customization(TUIMenu):
        """
        Enter Parameters and custom menu.
        """
        def __init__(self, service, version, mode, path):
            self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
            self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
            super().__init__(service, version, mode, path)

        class user_defined(TUIMenu):
            """
            Enter the user-defined functions and scalars menu.
            """
            def __init__(self, service, version, mode, path):
                self.real_gas_models = self.__class__.real_gas_models(service, version, mode, path + ["real_gas_models"])
                self.enable_udf_on_gpu = self.__class__.enable_udf_on_gpu(service, version, mode, path + ["enable_udf_on_gpu"])
                self.one_D_coupling = self.__class__.one_D_coupling(service, version, mode, path + ["one_D_coupling"])
                self.use_built_in_compiler = self.__class__.use_built_in_compiler(service, version, mode, path + ["use_built_in_compiler"])
                self.interpreted_functions = self.__class__.interpreted_functions(service, version, mode, path + ["interpreted_functions"])
                self.auto_compile_compiled_udfs = self.__class__.auto_compile_compiled_udfs(service, version, mode, path + ["auto_compile_compiled_udfs"])
                self.user_defined_node_memory = self.__class__.user_defined_node_memory(service, version, mode, path + ["user_defined_node_memory"])
                self.use_contributed_cpp = self.__class__.use_contributed_cpp(service, version, mode, path + ["use_contributed_cpp"])
                self.compile_customized_addon_module = self.__class__.compile_customized_addon_module(service, version, mode, path + ["compile_customized_addon_module"])
                self.fan_model = self.__class__.fan_model(service, version, mode, path + ["fan_model"])
                self.compiled_functions = self.__class__.compiled_functions(service, version, mode, path + ["compiled_functions"])
                self.user_defined_memory = self.__class__.user_defined_memory(service, version, mode, path + ["user_defined_memory"])
                self.function_hooks = self.__class__.function_hooks(service, version, mode, path + ["function_hooks"])
                self.execute_on_demand = self.__class__.execute_on_demand(service, version, mode, path + ["execute_on_demand"])
                self.user_defined_scalars = self.__class__.user_defined_scalars(service, version, mode, path + ["user_defined_scalars"])
                super().__init__(service, version, mode, path)
            class enable_udf_on_gpu(TUIMethod):
                """
                Compile UDFs with OpenCL support.
                """
            class one_D_coupling(TUIMethod):
                """
                Load 1D library.
                """
            class use_built_in_compiler(TUIMethod):
                """
                Enable/disable the use of the built-in compiler.
                """
            class interpreted_functions(TUIMethod):
                """
                Load interpreted user-defined functions.
                """
            class auto_compile_compiled_udfs(TUIMethod):
                """
                For this Fluent session, specify whether to allow auto-compilation of compiled UDF when a case file (or settings file) is read.
                """
            class user_defined_node_memory(TUIMethod):
                """
                Allocate user-defined node memory.
                """
            class use_contributed_cpp(TUIMethod):
                """
                Enable/disable use of cpp from the Fluent.Inc/contrib directory.
                """
            class compile_customized_addon_module(TUIMethod):
                """
                Compile customized addon module?.
                """
            class fan_model(TUIMethod):
                """
                Configure user-defined fan model.
                """
            class compiled_functions(TUIMethod):
                """
                Open user-defined function library.
                """
            class user_defined_memory(TUIMethod):
                """
                Allocate user-defined memory.
                """
            class function_hooks(TUIMethod):
                """
                Hook up user-defined functions.
                """
            class execute_on_demand(TUIMethod):
                """
                Execute UDFs on demand.
                """
            class user_defined_scalars(TUIMethod):
                """
                Define user-defined scalars.
                """

            class real_gas_models(TUIMenu):
                """
                Enable/configure real gas model.
                """
                def __init__(self, service, version, mode, path):
                    self.user_defined_real_gas_model = self.__class__.user_defined_real_gas_model(service, version, mode, path + ["user_defined_real_gas_model"])
                    self.set_state = self.__class__.set_state(service, version, mode, path + ["set_state"])
                    self.nist_real_gas_model = self.__class__.nist_real_gas_model(service, version, mode, path + ["nist_real_gas_model"])
                    self.nist_multispecies_real_gas_model = self.__class__.nist_multispecies_real_gas_model(service, version, mode, path + ["nist_multispecies_real_gas_model"])
                    self.nist_settings = self.__class__.nist_settings(service, version, mode, path + ["nist_settings"])
                    self.user_defined_multispecies_real_gas_model = self.__class__.user_defined_multispecies_real_gas_model(service, version, mode, path + ["user_defined_multispecies_real_gas_model"])
                    super().__init__(service, version, mode, path)
                class user_defined_real_gas_model(TUIMethod):
                    """
                    Load user-defined real gas library.
                    """
                class set_state(TUIMethod):
                    """
                    Select state for NIST real gas model.
                    """
                class nist_real_gas_model(TUIMethod):
                    """
                    Load NIST real gas library.
                    """
                class nist_multispecies_real_gas_model(TUIMethod):
                    """
                    Load NIST real gas library.
                    """
                class nist_settings(TUIMethod):
                    """
                    Select refprop library.
                    """
                class user_defined_multispecies_real_gas_model(TUIMethod):
                    """
                    Load user-defined multispecies real gas library.
                    """

        class parameters(TUIMenu):
            """
            Enter the parameters menu.
            """
            def __init__(self, service, version, mode, path):
                self.input_parameters = self.__class__.input_parameters(service, version, mode, path + ["input_parameters"])
                self.list_parameters = self.__class__.list_parameters(service, version, mode, path + ["list_parameters"])
                self.output_parameters = self.__class__.output_parameters(service, version, mode, path + ["output_parameters"])
                self.enable_in_TUI = self.__class__.enable_in_TUI(service, version, mode, path + ["enable_in_TUI"])
                super().__init__(service, version, mode, path)
            class enable_in_TUI(TUIMethod):
                """
                Enable/disable parameters in the text user interface.
                """

            class input_parameters(TUIMenu):
                """
                Enter the input-parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.advance = self.__class__.advance(service, version, mode, path + ["advance"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit an input parameter.
                    """
                class delete(TUIMethod):
                    """
                    Delete an input parameter.
                    """

                class advance(TUIMenu):
                    """
                    Define custom variable to use input parameter.
                    """
                    def __init__(self, service, version, mode, path):
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.use_in = self.__class__.use_in(service, version, mode, path + ["use_in"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        super().__init__(service, version, mode, path)
                    class delete(TUIMethod):
                        """
                        Delete selected custom-input-parameters.
                        """
                    class use_in(TUIMethod):
                        """
                        Use input parameter in solver-udf or in scheme-procedure.
                        """
                    class list(TUIMethod):
                        """
                        List of custom-input-parameters.
                        """

            class list_parameters(TUIMenu):
                """
                Enter list-param menu.
                """
                def __init__(self, service, version, mode, path):
                    self.output_parameters = self.__class__.output_parameters(service, version, mode, path + ["output_parameters"])
                    self.input_parameters = self.__class__.input_parameters(service, version, mode, path + ["input_parameters"])
                    super().__init__(service, version, mode, path)
                class output_parameters(TUIMethod):
                    """
                    List all output parameters.
                    """
                class input_parameters(TUIMethod):
                    """
                    List all input parameters.
                    """

            class output_parameters(TUIMenu):
                """
                Enter the output-parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.write_all_to_file = self.__class__.write_all_to_file(service, version, mode, path + ["write_all_to_file"])
                    self.print_all_to_console = self.__class__.print_all_to_console(service, version, mode, path + ["print_all_to_console"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                    super().__init__(service, version, mode, path)
                class write_all_to_file(TUIMethod):
                    """
                    Write all parameter values to file.
                    """
                class print_all_to_console(TUIMethod):
                    """
                    Print all parameter values to console.
                    """
                class create(TUIMethod):
                    """
                    Create an output parameter.
                    """
                class delete(TUIMethod):
                    """
                    Delete an output parameter.
                    """
                class write_to_file(TUIMethod):
                    """
                    Write parameter value to file.
                    """
                class rename(TUIMethod):
                    """
                    Rename an output parameter.
                    """
                class edit(TUIMethod):
                    """
                    Edit an output parameter.
                    """
                class print_to_console(TUIMethod):
                    """
                    Print parameter value to console.
                    """

    class define(TUIMenu):
        """
        Enter the define menu.
        """
        def __init__(self, service, version, mode, path):
            self.dynamic_mesh = self.__class__.dynamic_mesh(service, version, mode, path + ["dynamic_mesh"])
            self.mixing_planes = self.__class__.mixing_planes(service, version, mode, path + ["mixing_planes"])
            self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
            self.boundary_conditions = self.__class__.boundary_conditions(service, version, mode, path + ["boundary_conditions"])
            self.custom_field_functions = self.__class__.custom_field_functions(service, version, mode, path + ["custom_field_functions"])
            self.named_expressions = self.__class__.named_expressions(service, version, mode, path + ["named_expressions"])
            self.periodic_conditions = self.__class__.periodic_conditions(service, version, mode, path + ["periodic_conditions"])
            self.phases = self.__class__.phases(service, version, mode, path + ["phases"])
            self.materials = self.__class__.materials(service, version, mode, path + ["materials"])
            self.gap_model = self.__class__.gap_model(service, version, mode, path + ["gap_model"])
            self.spectral = self.__class__.spectral(service, version, mode, path + ["spectral"])
            self.overset_interfaces = self.__class__.overset_interfaces(service, version, mode, path + ["overset_interfaces"])
            self.reference_frames = self.__class__.reference_frames(service, version, mode, path + ["reference_frames"])
            self.virtual_boundary = self.__class__.virtual_boundary(service, version, mode, path + ["virtual_boundary"])
            self.profiles = self.__class__.profiles(service, version, mode, path + ["profiles"])
            self.mesh_interfaces = self.__class__.mesh_interfaces(service, version, mode, path + ["mesh_interfaces"])
            self.models = self.__class__.models(service, version, mode, path + ["models"])
            self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
            self.solution_strategy = self.__class__.solution_strategy(service, version, mode, path + ["solution_strategy"])
            self.operating_conditions = self.__class__.operating_conditions(service, version, mode, path + ["operating_conditions"])
            self.turbo_model = self.__class__.turbo_model(service, version, mode, path + ["turbo_model"])
            self.curvilinear_coordinate_system = self.__class__.curvilinear_coordinate_system(service, version, mode, path + ["curvilinear_coordinate_system"])
            self.injections = self.__class__.injections(service, version, mode, path + ["injections"])
            self.physics = self.__class__.physics(service, version, mode, path + ["physics"])
            self.beta_feature_access = self.__class__.beta_feature_access(service, version, mode, path + ["beta_feature_access"])
            self.set_unit_system = self.__class__.set_unit_system(service, version, mode, path + ["set_unit_system"])
            self.enable_mesh_morpher_optimizer = self.__class__.enable_mesh_morpher_optimizer(service, version, mode, path + ["enable_mesh_morpher_optimizer"])
            self.units = self.__class__.units(service, version, mode, path + ["units"])
            super().__init__(service, version, mode, path)
        class injections(TUIMethod):
            """
            Enters the injections menu.  For a description of the items in this menu, see define/models/dpm/injections.
            """
        class physics(TUIMethod):
            """
            Manage Physics-regions.
            """
        class beta_feature_access(TUIMethod):
            """
            Enable access to beta features in the interface.
            """
        class set_unit_system(TUIMethod):
            """
            Applies a standard set of units to all quantities. The options include default,si, british, andcgs.
            """
        class enable_mesh_morpher_optimizer(TUIMethod):
            """
            Enables the mesh morpher/optimizer. When the mesh morpher/optimizer is enabled, the define/mesh-morpher-optimizer text command becomes available.
            """
        class units(TUIMethod):
            """
            Sets unit conversion factors.
            """

        class dynamic_mesh(TUIMenu):
            """
            Enters the dynamic mesh menu.
            """
            def __init__(self, service, version, mode, path):
                self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                self.events = self.__class__.events(service, version, mode, path + ["events"])
                self.transient_settings = self.__class__.transient_settings(service, version, mode, path + ["transient_settings"])
                self.zones = self.__class__.zones(service, version, mode, path + ["zones"])
                self.actions = self.__class__.actions(service, version, mode, path + ["actions"])
                self.dynamic_mesh = self.__class__.dynamic_mesh(service, version, mode, path + ["dynamic_mesh"])
                super().__init__(service, version, mode, path)
            class dynamic_mesh(TUIMethod):
                """
                Enables/disables the dynamic mesh solver.
                """

            class controls(TUIMenu):
                """
                Enters the dynamic mesh controls menu. This text command is only available when the define/dynamic-mesh/dynamic-mesh? text command is enabled.
                """
                def __init__(self, service, version, mode, path):
                    self.implicit_update_parameters = self.__class__.implicit_update_parameters(service, version, mode, path + ["implicit_update_parameters"])
                    self.periodic_displacement_parameters = self.__class__.periodic_displacement_parameters(service, version, mode, path + ["periodic_displacement_parameters"])
                    self.remeshing_parameters = self.__class__.remeshing_parameters(service, version, mode, path + ["remeshing_parameters"])
                    self.in_cylinder_parameters = self.__class__.in_cylinder_parameters(service, version, mode, path + ["in_cylinder_parameters"])
                    self.smoothing_parameters = self.__class__.smoothing_parameters(service, version, mode, path + ["smoothing_parameters"])
                    self.layering_parameters = self.__class__.layering_parameters(service, version, mode, path + ["layering_parameters"])
                    self.contact_parameters = self.__class__.contact_parameters(service, version, mode, path + ["contact_parameters"])
                    self.six_dof_parameters = self.__class__.six_dof_parameters(service, version, mode, path + ["six_dof_parameters"])
                    self.in_cylinder_output = self.__class__.in_cylinder_output(service, version, mode, path + ["in_cylinder_output"])
                    self.layering = self.__class__.layering(service, version, mode, path + ["layering"])
                    self.remeshing = self.__class__.remeshing(service, version, mode, path + ["remeshing"])
                    self.steady_pseudo_time_control = self.__class__.steady_pseudo_time_control(service, version, mode, path + ["steady_pseudo_time_control"])
                    self.smoothing = self.__class__.smoothing(service, version, mode, path + ["smoothing"])
                    super().__init__(service, version, mode, path)
                class in_cylinder_output(TUIMethod):
                    """
                    Enables/disables in-cylinder output.
                    """
                class layering(TUIMethod):
                    """
                    Enables/disables dynamic-layering in quad/hex cell zones.
                    """
                class remeshing(TUIMethod):
                    """
                    Enables/disables local remeshing in tri/tet and mixed cell zones.
                    """
                class steady_pseudo_time_control(TUIMethod):
                    """
                    Enables/disables the pseudo time step control in the 	graphical user interface.
                    """
                class smoothing(TUIMethod):
                    """
                    Enables/disables smoothing in cell zones.
                    """

                class implicit_update_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh implicit update menu. This text command is only available 	when you enable implicit mesh updating using the prompts 	of the define/dynamic-mesh/dynamic-mesh? 	text command.
                    """
                    def __init__(self, service, version, mode, path):
                        self.motion_relaxation = self.__class__.motion_relaxation(service, version, mode, path + ["motion_relaxation"])
                        self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                        self.residual_criteria = self.__class__.residual_criteria(service, version, mode, path + ["residual_criteria"])
                        super().__init__(service, version, mode, path)
                    class motion_relaxation(TUIMethod):
                        """
                        Specifies a value (within the range of 0 to 1) for the motion relaxation, which is applied during the implicit mesh update.
                        """
                    class update_interval(TUIMethod):
                        """
                        Specifies the update interval (that is, the frequency in iterations) at which the mesh is updated within a time step.
                        """
                    class residual_criteria(TUIMethod):
                        """
                        Specifies the relative residual threshold that is used to check the motion convergence during the implicit mesh update.
                        """

                class periodic_displacement_parameters(TUIMenu):
                    """
                    Enters the periodic displacement parameters 	menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.delete_displacement = self.__class__.delete_displacement(service, version, mode, path + ["delete_displacement"])
                        self.edit_displacement = self.__class__.edit_displacement(service, version, mode, path + ["edit_displacement"])
                        self.delete_all_groups = self.__class__.delete_all_groups(service, version, mode, path + ["delete_all_groups"])
                        self.create_displacement = self.__class__.create_displacement(service, version, mode, path + ["create_displacement"])
                        self.delete_all_displacements = self.__class__.delete_all_displacements(service, version, mode, path + ["delete_all_displacements"])
                        self.set_active_displacement = self.__class__.set_active_displacement(service, version, mode, path + ["set_active_displacement"])
                        self.list_groups = self.__class__.list_groups(service, version, mode, path + ["list_groups"])
                        self.edit_group = self.__class__.edit_group(service, version, mode, path + ["edit_group"])
                        self.create_group = self.__class__.create_group(service, version, mode, path + ["create_group"])
                        self.list_displacements = self.__class__.list_displacements(service, version, mode, path + ["list_displacements"])
                        self.delete_group = self.__class__.delete_group(service, version, mode, path + ["delete_group"])
                        self.copy_displacement = self.__class__.copy_displacement(service, version, mode, path + ["copy_displacement"])
                        super().__init__(service, version, mode, path)
                    class delete_displacement(TUIMethod):
                        """
                        Delete Periodic Displacement.
                        """
                    class edit_displacement(TUIMethod):
                        """
                        Edit Periodic Displacement.
                        """
                    class delete_all_groups(TUIMethod):
                        """
                        Delete All Periodic Displacement Groups.
                        """
                    class create_displacement(TUIMethod):
                        """
                        Create Periodic Displacement.
                        """
                    class delete_all_displacements(TUIMethod):
                        """
                        Delete All Periodic Displacements.
                        """
                    class set_active_displacement(TUIMethod):
                        """
                        Set Active Periodic Displacement in Group.
                        """
                    class list_groups(TUIMethod):
                        """
                        List Periodic Displacement Groups.
                        """
                    class edit_group(TUIMethod):
                        """
                        Edit Periodic Displacement Group.
                        """
                    class create_group(TUIMethod):
                        """
                        Create Periodic Displacement Group.
                        """
                    class list_displacements(TUIMethod):
                        """
                        List Periodic Displacements.
                        """
                    class delete_group(TUIMethod):
                        """
                        Delete Periodic Displacement Group.
                        """
                    class copy_displacement(TUIMethod):
                        """
                        Copy Periodic Displacement.
                        """

                class remeshing_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh remeshing menu to set 	parameters for all remeshing methods.
                    """
                    def __init__(self, service, version, mode, path):
                        self.sizing_controls = self.__class__.sizing_controls(service, version, mode, path + ["sizing_controls"])
                        self.prism_layer_parameters = self.__class__.prism_layer_parameters(service, version, mode, path + ["prism_layer_parameters"])
                        self.prism_controls = self.__class__.prism_controls(service, version, mode, path + ["prism_controls"])
                        self.poly_remeshing = self.__class__.poly_remeshing(service, version, mode, path + ["poly_remeshing"])
                        self.sizing_funct_variation = self.__class__.sizing_funct_variation(service, version, mode, path + ["sizing_funct_variation"])
                        self.zone_remeshing = self.__class__.zone_remeshing(service, version, mode, path + ["zone_remeshing"])
                        self.parallel_remeshing = self.__class__.parallel_remeshing(service, version, mode, path + ["parallel_remeshing"])
                        self.sizing_function = self.__class__.sizing_function(service, version, mode, path + ["sizing_function"])
                        self.face_skew_max = self.__class__.face_skew_max(service, version, mode, path + ["face_skew_max"])
                        self.retain_size_distribution = self.__class__.retain_size_distribution(service, version, mode, path + ["retain_size_distribution"])
                        self.remeshing_methods = self.__class__.remeshing_methods(service, version, mode, path + ["remeshing_methods"])
                        self.size_remesh_interval = self.__class__.size_remesh_interval(service, version, mode, path + ["size_remesh_interval"])
                        self.sizing_funct_defaults = self.__class__.sizing_funct_defaults(service, version, mode, path + ["sizing_funct_defaults"])
                        self.length_max = self.__class__.length_max(service, version, mode, path + ["length_max"])
                        self.sizing_funct_rate = self.__class__.sizing_funct_rate(service, version, mode, path + ["sizing_funct_rate"])
                        self.cell_skew_max = self.__class__.cell_skew_max(service, version, mode, path + ["cell_skew_max"])
                        self.unified_remeshing = self.__class__.unified_remeshing(service, version, mode, path + ["unified_remeshing"])
                        self.remeshing_after_moving = self.__class__.remeshing_after_moving(service, version, mode, path + ["remeshing_after_moving"])
                        self.sizing_funct_resolution = self.__class__.sizing_funct_resolution(service, version, mode, path + ["sizing_funct_resolution"])
                        self.length_min = self.__class__.length_min(service, version, mode, path + ["length_min"])
                        super().__init__(service, version, mode, path)
                    class poly_remeshing(TUIMethod):
                        """
                        Enable/disable poly remeshing.
                        """
                    class sizing_funct_variation(TUIMethod):
                        """
                        Sets the maximum sizing function increase/decrease in the interior.
                        """
                    class zone_remeshing(TUIMethod):
                        """
                        Enables/disables the cell zone remeshing method as part of methods-based remeshing.
                        """
                    class parallel_remeshing(TUIMethod):
                        """
                        Disables/enables parallel remeshing as part of methods-based remeshing..
                        """
                    class sizing_function(TUIMethod):
                        """
                        Enables/disables the sizing function as part of methods-based remeshing.
                        """
                    class face_skew_max(TUIMethod):
                        """
                        Sets the face skewness threshold above which faces will be remeshed.
                        """
                    class retain_size_distribution(TUIMethod):
                        """
                        Enables/disables the use of local size criteria when marking cells for unified remeshing (in an attempt to maintain the initial mesh size distribution even as the mesh moves), rather than marking cells based on the minimum and maximum length scale values of the cell zone in the initial mesh. Either marking can be overridden if more restrictive values are specified using the define/dynamic-mesh/controls/remeshing-parameters/length-min and define/dynamic-mesh/controls/remeshing-parameters/length-max text commands.
                        """
                    class remeshing_methods(TUIMethod):
                        """
                        Enables/disables individual remeshing options as part of methods-based remeshing.
                        """
                    class size_remesh_interval(TUIMethod):
                        """
                        Sets the interval (in time steps) when remeshing based on size is done for methods-based remeshing.
                        """
                    class sizing_funct_defaults(TUIMethod):
                        """
                        Sets sizing function defaults.
                        """
                    class length_max(TUIMethod):
                        """
                        Sets the length threshold above which cells will be remeshed.
                        """
                    class sizing_funct_rate(TUIMethod):
                        """
                        Determines how far from the boundary the increase/decrease happens.
                        """
                    class cell_skew_max(TUIMethod):
                        """
                        Sets the cell skewness threshold above which cells will be remeshed.
                        """
                    class unified_remeshing(TUIMethod):
                        """
                        Enables/disables unified remeshing, which specifies that an algorithm is used that combines aspects of a variety of remeshing methods. It is applied to triangular or tetrahedral cells and can produce wedge cells in 3D boundary layer meshes. Unified remeshing simplifies the remeshing setup and can provide increased robustness compared to methods-based remeshing, especially for parallel simulations.
                        """
                    class remeshing_after_moving(TUIMethod):
                        """
                        Enables a second round of remeshing based on the skewness parameters after the boundary has moved as part of methods-based remeshing.
                        """
                    class sizing_funct_resolution(TUIMethod):
                        """
                        Sets the sizing function resolution with respect to shortest boundary.
                        """
                    class length_min(TUIMethod):
                        """
                        Sets the length threshold below which cells will be remeshed.
                        """

                    class sizing_controls(TUIMenu):
                        """
                        Enters the dynamic mesh sizing controls menu, which provides text commands that can be useful when you want to modify the algorithm that attempts to retain the size distribution during unified remeshing. Each sizing control definition is applied to one or more boundary zones, and then affects the size of the cells throughout the mesh based on their distance from those boundary zone(s) and your settings in the definition.
                        """
                        def __init__(self, service, version, mode, path):
                            self.add = self.__class__.add(service, version, mode, path + ["add"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            super().__init__(service, version, mode, path)
                        class add(TUIMethod):
                            """
                            Adds a new sizing controls definition.   After being prompted for a name, you can enter the following to complete the definition:
                            growth-rate  Sets the growth rate of the sizing controls definition.
                            max-length  Sets a maximum length threshold that is used when the type is set to auto or soft.
                            min-length  Sets a maximum length threshold that is used when the type is set to auto.
                            motion  Determines whether the size control definition affects the remeshing based on whether the mesh undergoes motion: auto specifies that it is applied whether or not there is motion; and static specifies that it is only applied if there is no motion.
                            name  Specifies the name of the sizing controls definition.
                            type  Specifies how the sizing is affected by the selected boundary zones: auto specifies that the default size distribution (rather than the initial size distribution in your selected boundary zones) is used, along with your specified max-length and min-length values; soft specifies that the maximum length scale of your selected boundary zones is used, along with your specified min-length value; and meshed specifies that the maximum and minimum length scales of your selected boundary zones are used, in order to respect their initial size distribution. This setting is only relevant if you have more than one sizing controls definition.
                            zones  Specifies all of the boundary zones on which the sizing controls definition is applied.
                            Enter q when the definition is complete to return to the text command menu.
                            """
                        class delete(TUIMethod):
                            """
                            Deletes an existing sizing controls definition.
                            """
                        class list(TUIMethod):
                            """
                            Prints a list of the existing sizing controls definitions in the console.
                            """
                        class list_properties(TUIMethod):
                            """
                            Prints the properties of an existing sizing controls definition of your choice in the console.
                            """
                        class edit(TUIMethod):
                            """
                            Edits an existing sizing controls definition. You can revise the fields listed previously for the define/dynamic-mesh/controls/remeshing-parameters/sizing-controls/add text command.
                            """

                    class prism_layer_parameters(TUIMenu):
                        """
                        Enters the dynamic mesh prism layer parameters menu, where you can define the parameters of the prism layers as part of methods-based remeshing.
                        """
                        def __init__(self, service, version, mode, path):
                            self.first_height = self.__class__.first_height(service, version, mode, path + ["first_height"])
                            self.number_of_layers = self.__class__.number_of_layers(service, version, mode, path + ["number_of_layers"])
                            self.growth_rate = self.__class__.growth_rate(service, version, mode, path + ["growth_rate"])
                            super().__init__(service, version, mode, path)
                        class first_height(TUIMethod):
                            """
                            Sets the first cell height in the prism layer.
                            """
                        class number_of_layers(TUIMethod):
                            """
                            Sets the number of elements in the prism layer.
                            """
                        class growth_rate(TUIMethod):
                            """
                            Sets the geometric growth rate of the prism layer.
                            """

                    class prism_controls(TUIMenu):
                        """
                        Enters the dynamic mesh prism controls menu, which provides text commands that can be useful when you want to modify the algorithm that attempts to retain the size distribution during unified remeshing. Each prism control definition is applied to one or more boundary zones, and then affects the height distribution and number of layers of the wedge cells in the adjacent boundary layers.
                        """
                        def __init__(self, service, version, mode, path):
                            self.add = self.__class__.add(service, version, mode, path + ["add"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            super().__init__(service, version, mode, path)
                        class add(TUIMethod):
                            """
                            Adds a new prism controls definition.   After being prompted for a name, you can enter the following to complete the definition:
                            first-height  Sets the height of the first layer of wedge cells in the boundary layer adjacent to the specified zones.
                            growth-method  Specifies the method used to determine the increase in height of the wedge cell layers beyond the first layer. The only available option is geometric, so that the height of each layer is the height of the previous layer multiplied by the rate.
                            name  Specifies the name of the prism controls definition.
                            nlayers  Sets the number of layers of wedge cells in the boundary layer adjacent to the specified zones.
                            rate  Sets the coefficient for the growth-method used to determine the increase in height of the wedge cell layers beyond the first layer.
                            zones  Specifies all of the boundary zones on which this prism controls definition is applied.
                            Enter q when the definition is complete to return to the text command menu.
                            """
                        class delete(TUIMethod):
                            """
                            Deletes an existing prism controls definition.
                            """
                        class list(TUIMethod):
                            """
                            Prints a list of the existing prism controls definitions in the console.
                            """
                        class edit(TUIMethod):
                            """
                            Edits an existing prism controls definition. You can revise the fields listed previously for the define/dynamic-mesh/controls/remeshing-parameters/prism-controls/add text command.
                            """
                        class list_properties(TUIMethod):
                            """
                            Prints the properties of an existing prism controls definition of your choice in the console.
                            """

                class in_cylinder_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh in-cylinder menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.modify_lift = self.__class__.modify_lift(service, version, mode, path + ["modify_lift"])
                        self.crank_period = self.__class__.crank_period(service, version, mode, path + ["crank_period"])
                        self.starting_crank_angle = self.__class__.starting_crank_angle(service, version, mode, path + ["starting_crank_angle"])
                        self.position_starting_mesh = self.__class__.position_starting_mesh(service, version, mode, path + ["position_starting_mesh"])
                        self.piston_stroke_cutoff = self.__class__.piston_stroke_cutoff(service, version, mode, path + ["piston_stroke_cutoff"])
                        self.minimum_lift = self.__class__.minimum_lift(service, version, mode, path + ["minimum_lift"])
                        self.piston_data = self.__class__.piston_data(service, version, mode, path + ["piston_data"])
                        self.print_plot_lift = self.__class__.print_plot_lift(service, version, mode, path + ["print_plot_lift"])
                        self.max_crank_angle_step = self.__class__.max_crank_angle_step(service, version, mode, path + ["max_crank_angle_step"])
                        self.crank_angle_step = self.__class__.crank_angle_step(service, version, mode, path + ["crank_angle_step"])
                        super().__init__(service, version, mode, path)
                    class modify_lift(TUIMethod):
                        """
                        Modifies lift curve (shift or scale).
                        """
                    class crank_period(TUIMethod):
                        """
                        Specifies the crank period.
                        """
                    class starting_crank_angle(TUIMethod):
                        """
                        Specifies the initial value for the crank angle.
                        """
                    class position_starting_mesh(TUIMethod):
                        """
                        Moves mesh from top dead center to starting crank angle.
                        """
                    class piston_stroke_cutoff(TUIMethod):
                        """
                        Specifies the cut off point for in-cylinder piston.
                        """
                    class minimum_lift(TUIMethod):
                        """
                        Specifies minimum lift for in-cylinder valves.
                        """
                    class piston_data(TUIMethod):
                        """
                        Specifies the crank radius and connecting rod length.
                        """
                    class print_plot_lift(TUIMethod):
                        """
                        Prints or plot valve lift curve.
                        """
                    class max_crank_angle_step(TUIMethod):
                        """
                        Specifies maximum crank angle step size.
                        """
                    class crank_angle_step(TUIMethod):
                        """
                        Specifies crank angle step size.
                        """

                class smoothing_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh smoothing-parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.poisson_ratio = self.__class__.poisson_ratio(service, version, mode, path + ["poisson_ratio"])
                        self.constant_factor = self.__class__.constant_factor(service, version, mode, path + ["constant_factor"])
                        self.skew_smooth_niter = self.__class__.skew_smooth_niter(service, version, mode, path + ["skew_smooth_niter"])
                        self.max_iter = self.__class__.max_iter(service, version, mode, path + ["max_iter"])
                        self.smooth_from_reference_position = self.__class__.smooth_from_reference_position(service, version, mode, path + ["smooth_from_reference_position"])
                        self.skew_smooth_all_deforming_boundaries = self.__class__.skew_smooth_all_deforming_boundaries(service, version, mode, path + ["skew_smooth_all_deforming_boundaries"])
                        self.laplace_node_relaxation = self.__class__.laplace_node_relaxation(service, version, mode, path + ["laplace_node_relaxation"])
                        self.skew_smooth_face_skew_max = self.__class__.skew_smooth_face_skew_max(service, version, mode, path + ["skew_smooth_face_skew_max"])
                        self.skew_smooth_cell_skew_max = self.__class__.skew_smooth_cell_skew_max(service, version, mode, path + ["skew_smooth_cell_skew_max"])
                        self.amg_stabilization = self.__class__.amg_stabilization(service, version, mode, path + ["amg_stabilization"])
                        self.smoothing_method = self.__class__.smoothing_method(service, version, mode, path + ["smoothing_method"])
                        self.diffusion_coeff_parameter = self.__class__.diffusion_coeff_parameter(service, version, mode, path + ["diffusion_coeff_parameter"])
                        self.diffusion_coeff_function = self.__class__.diffusion_coeff_function(service, version, mode, path + ["diffusion_coeff_function"])
                        self.spring_on_all_elements = self.__class__.spring_on_all_elements(service, version, mode, path + ["spring_on_all_elements"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.boundary_distance_method = self.__class__.boundary_distance_method(service, version, mode, path + ["boundary_distance_method"])
                        self.spring_on_simplex_elements = self.__class__.spring_on_simplex_elements(service, version, mode, path + ["spring_on_simplex_elements"])
                        self.bnd_stiffness_factor = self.__class__.bnd_stiffness_factor(service, version, mode, path + ["bnd_stiffness_factor"])
                        self.relative_convergence_tolerance = self.__class__.relative_convergence_tolerance(service, version, mode, path + ["relative_convergence_tolerance"])
                        self.diffusion_fvm = self.__class__.diffusion_fvm(service, version, mode, path + ["diffusion_fvm"])
                        self.bnd_node_relaxation = self.__class__.bnd_node_relaxation(service, version, mode, path + ["bnd_node_relaxation"])
                        self.convergence_tolerance = self.__class__.convergence_tolerance(service, version, mode, path + ["convergence_tolerance"])
                        super().__init__(service, version, mode, path)
                    class poisson_ratio(TUIMethod):
                        """
                        Sets the Poisson’s ratio used for smoothing based on the linearly elastic solid model.
                        """
                    class constant_factor(TUIMethod):
                        """
                        Sets the spring constant relaxation factor.
                        """
                    class skew_smooth_niter(TUIMethod):
                        """
                        Sets the number of skewness-based smoothing cycles.
                        """
                    class max_iter(TUIMethod):
                        """
                        Set the maximum number of iterations for spring-based solver.
                        """
                    class smooth_from_reference_position(TUIMethod):
                        """
                        Enables/disables smoothing from a reference position. Such smoothing may produce greater mesh quality consistency for stationary or moving meshes with periodic or quasi-periodic motion, and is only available when the smoothing method is based on diffusion or the linearly elastic solid model.
                        """
                    class skew_smooth_all_deforming_boundaries(TUIMethod):
                        """
                        Enables/disables skewness smoothing for all deforming dynamic boundary zones. This is enabled by default. If disabled, skewness smoothing is only applied to the deforming dynamic boundary zones that have smoothing explicitly enabled or use local face remeshing.
                        """
                    class laplace_node_relaxation(TUIMethod):
                        """
                        Set the Laplace boundary node relaxation factor.
                        """
                    class skew_smooth_face_skew_max(TUIMethod):
                        """
                        Sets the skewness threshold, above which faces will be smoothed using the skewness method.
                        """
                    class skew_smooth_cell_skew_max(TUIMethod):
                        """
                        Sets the skewness threshold, above which cells will be smoothed using the skewness method.
                        """
                    class amg_stabilization(TUIMethod):
                        """
                        Set the AMG stabilization method for mesh smoothing (FEM).
                        """
                    class smoothing_method(TUIMethod):
                        """
                        Specify the smoothing method used by the dynamic mesh model.
                        """
                    class diffusion_coeff_parameter(TUIMethod):
                        """
                        Sets the diffusion coefficient parameter used for diffusion-based smoothing.
                        """
                    class diffusion_coeff_function(TUIMethod):
                        """
                        Specifies whether the diffusion coefficient for diffusion-based smoothing is based on the boundary distance or the cell volume.
                        """
                    class spring_on_all_elements(TUIMethod):
                        """
                        Enables/disables spring-based smoothing for all cell shapes; if disabled, the spring-based smoothing is applied based on the setting of the define/dynamic-mesh/controls/smoothing-parameters/spring-on-simplex-shapes? text command.
                        """
                    class verbosity(TUIMethod):
                        """
                        Set the verbosity for spring smoothing.
                        """
                    class boundary_distance_method(TUIMethod):
                        """
                        Sets the method used to evaluate the boundary distance for the diffusion coefficient calculation, when diffusion-based smoothing is enabled.
                        """
                    class spring_on_simplex_elements(TUIMethod):
                        """
                        Enable/disable spring-based smoothing for tri/tet elements in mixed element zones.
                        """
                    class bnd_stiffness_factor(TUIMethod):
                        """
                        Sets the stiffness factor for springs connected to boundary nodes.
                        """
                    class relative_convergence_tolerance(TUIMethod):
                        """
                        Sets the relative residual convergence tolerance for smoothing based on diffusion or the linearly elastic solid model.
                        """
                    class diffusion_fvm(TUIMethod):
                        """
                        Answering yes at the prompt changes the diffusion-based smoothing method to the cell-based finite volume approach that was the default in releases prior to Fluent 15.0. Answering no at the prompt changes the diffusion-based smoothing method to the default node-based finite element method.
                        """
                    class bnd_node_relaxation(TUIMethod):
                        """
                        The boundary node relaxation is used by spring smoothing. The boundary node relaxation allows you to relax the update of the node positions at deforming boundaries. A value of 0 prevents deforming boundary nodes from moving and a value of 1 indicates no under-relaxation.
                        """
                    class convergence_tolerance(TUIMethod):
                        """
                        Sets the convergence tolerance for spring-based solver.
                        """

                class layering_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh layering menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.collapse_factor = self.__class__.collapse_factor(service, version, mode, path + ["collapse_factor"])
                        self.split_factor = self.__class__.split_factor(service, version, mode, path + ["split_factor"])
                        self.constant_height = self.__class__.constant_height(service, version, mode, path + ["constant_height"])
                        super().__init__(service, version, mode, path)
                    class collapse_factor(TUIMethod):
                        """
                        Sets the factor determining when to collapse dynamic layers.
                        """
                    class split_factor(TUIMethod):
                        """
                        Sets the factor determining when to split dynamic layers.
                        """
                    class constant_height(TUIMethod):
                        """
                        Enables/disables layering based on constant height, else layering based on constant ratio.
                        """

                class contact_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh contact-parameters menu. This text command is only available 	when you enable contact detection using the prompts of 	the define/dynamic-mesh/dynamic-mesh? 	text command.
                    """
                    def __init__(self, service, version, mode, path):
                        self.flow_control_parameters = self.__class__.flow_control_parameters(service, version, mode, path + ["flow_control_parameters"])
                        self.contact_threshold = self.__class__.contact_threshold(service, version, mode, path + ["contact_threshold"])
                        self.flow_control = self.__class__.flow_control(service, version, mode, path + ["flow_control"])
                        self.contact_udf = self.__class__.contact_udf(service, version, mode, path + ["contact_udf"])
                        self.update_contact_marks = self.__class__.update_contact_marks(service, version, mode, path + ["update_contact_marks"])
                        self.contact_face_zones = self.__class__.contact_face_zones(service, version, mode, path + ["contact_face_zones"])
                        self.render_contact_cells = self.__class__.render_contact_cells(service, version, mode, path + ["render_contact_cells"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.contact_method = self.__class__.contact_method(service, version, mode, path + ["contact_method"])
                        super().__init__(service, version, mode, path)
                    class contact_threshold(TUIMethod):
                        """
                        Specifies threshold distance for contact detection.
                        """
                    class flow_control(TUIMethod):
                        """
                        Enables/disables flow control in the contact region.
                        """
                    class contact_udf(TUIMethod):
                        """
                        Selects the UDF to be invoked when contact is detected.
                        """
                    class update_contact_marks(TUIMethod):
                        """
                        Updates which cells are marked in order to block flow in the contact region as part of the contact marks method.
                        """
                    class contact_face_zones(TUIMethod):
                        """
                        Selects face zones involved in contact detection.
                        """
                    class render_contact_cells(TUIMethod):
                        """
                        Enables/disables the availability of a field variable (contact-cell-mark) that can be used to display contours of cells marked for flow blocking as part of the contact marks method, and allows you to postprocess other field variables on those cells.
                        """
                    class verbosity(TUIMethod):
                        """
                        Sets the level of detail printed in the console regarding contact detection.
                        """
                    class contact_method(TUIMethod):
                        """
                        Selects the method used for flow control in the contact region. Enter 0 for the contact zones method (which restricts the flow using additional cell zones with porous zone properties) or 1 for the contact marks method (which blocks the flow using zero-mass-flux boundaries).
                        """

                    class flow_control_parameters(TUIMenu):
                        """
                        Enters the flow control parameters menu, which provides settings related to controlling the flow in the contact region.
                        """
                        def __init__(self, service, version, mode, path):
                            self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                            self.create_flow_control_zone = self.__class__.create_flow_control_zone(service, version, mode, path + ["create_flow_control_zone"])
                            self.delete_flow_control_zone = self.__class__.delete_flow_control_zone(service, version, mode, path + ["delete_flow_control_zone"])
                            super().__init__(service, version, mode, path)
                        class solution_stabilization(TUIMethod):
                            """
                            Enables/disables the performance of additional iterations per time step and the application of solution controls to improve the stability of the solver as part of the contact marks method.
                            """
                        class create_flow_control_zone(TUIMethod):
                            """
                            Creates a flow control zone as part of the contact zones method.
                            """
                        class delete_flow_control_zone(TUIMethod):
                            """
                            Deletes a flow control zone as part of the contact zones method.
                            """

                class six_dof_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh six degrees of freedom (DOF) solver menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.second_order = self.__class__.second_order(service, version, mode, path + ["second_order"])
                        self.x_component_of_gravity = self.__class__.x_component_of_gravity(service, version, mode, path + ["x_component_of_gravity"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.y_component_of_gravity = self.__class__.y_component_of_gravity(service, version, mode, path + ["y_component_of_gravity"])
                        self.motion_history = self.__class__.motion_history(service, version, mode, path + ["motion_history"])
                        self.delete_properties = self.__class__.delete_properties(service, version, mode, path + ["delete_properties"])
                        self.motion_history_file_name = self.__class__.motion_history_file_name(service, version, mode, path + ["motion_history_file_name"])
                        self.create_properties = self.__class__.create_properties(service, version, mode, path + ["create_properties"])
                        self.z_component_of_gravity = self.__class__.z_component_of_gravity(service, version, mode, path + ["z_component_of_gravity"])
                        super().__init__(service, version, mode, path)
                    class second_order(TUIMethod):
                        """
                        Enables/disables the second order six degrees of freedom solver.
                        """
                    class x_component_of_gravity(TUIMethod):
                        """
                        Specifies x-component of gravity.
                        """
                    class list_properties(TUIMethod):
                        """
                        Prints summaries of the existing sets of six DOF properties for rigid body motion.
                        """
                    class y_component_of_gravity(TUIMethod):
                        """
                        Specifies y-component of gravity.
                        """
                    class motion_history(TUIMethod):
                        """
                        Enables/disables writing position/orientation of six DOF zones to file.
                        """
                    class delete_properties(TUIMethod):
                        """
                        Deletes a set of six DOF properties for rigid body motion.
                        """
                    class motion_history_file_name(TUIMethod):
                        """
                        Specifies the name and location of the six DOF motion history file.
                        """
                    class create_properties(TUIMethod):
                        """
                        Creates/edits a set of six DOF properties for rigid body motion.
                        """
                    class z_component_of_gravity(TUIMethod):
                        """
                        Specifies z-component of gravity.
                        """

            class events(TUIMenu):
                """
                Enters the dynamic mesh events menu.
                """
                def __init__(self, service, version, mode, path):
                    self.import_event_file = self.__class__.import_event_file(service, version, mode, path + ["import_event_file"])
                    self.export_event_file = self.__class__.export_event_file(service, version, mode, path + ["export_event_file"])
                    super().__init__(service, version, mode, path)
                class import_event_file(TUIMethod):
                    """
                    Imports dynamic mesh event file.
                    """
                class export_event_file(TUIMethod):
                    """
                    Exports dynamic mesh events to file.
                    """

            class transient_settings(TUIMenu):
                """
                Enters the transient dynamic mesh settings menu. This text command is only available when you enable dynamic mesh using the prompts of the define/dynamic-mesh/dynamic-mesh? text command. Solver time must also be set to Transient.
                """
                def __init__(self, service, version, mode, path):
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.allow_second_order = self.__class__.allow_second_order(service, version, mode, path + ["allow_second_order"])
                    super().__init__(service, version, mode, path)
                class verbosity(TUIMethod):
                    """
                    Enables/disables transient scheme verbosity for dynamic mesh cases.
                    """
                class allow_second_order(TUIMethod):
                    """
                    Enables/disables second order transient scheme for dynamic mesh cases.
                    """

            class zones(TUIMenu):
                """
                Enters the dynamic mesh zones menu.
                """
                def __init__(self, service, version, mode, path):
                    self.insert_boundary_layer = self.__class__.insert_boundary_layer(service, version, mode, path + ["insert_boundary_layer"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.remove_interior_layer = self.__class__.remove_interior_layer(service, version, mode, path + ["remove_interior_layer"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.insert_interior_layer = self.__class__.insert_interior_layer(service, version, mode, path + ["insert_interior_layer"])
                    self.remove_boundary_layer = self.__class__.remove_boundary_layer(service, version, mode, path + ["remove_boundary_layer"])
                    super().__init__(service, version, mode, path)
                class insert_boundary_layer(TUIMethod):
                    """
                    Inserts a new cell zone.
                    """
                class delete(TUIMethod):
                    """
                    Deletes a dynamic zone.
                    """
                class remove_interior_layer(TUIMethod):
                    """
                    Removes an interior layer cell zone.
                    """
                class create(TUIMethod):
                    """
                    Create dynamic zone.
                    """
                class list(TUIMethod):
                    """
                    Lists the dynamic zones.
                    """
                class insert_interior_layer(TUIMethod):
                    """
                    Inserts a new layer cell zone at a specified location.
                    """
                class remove_boundary_layer(TUIMethod):
                    """
                    Removes a cell zone.
                    """

            class actions(TUIMenu):
                """
                Enters the dynamic mesh action menu, where you can initiate manual remeshing (that is, remeshing without running a calculation).
                """
                def __init__(self, service, version, mode, path):
                    self.remesh_cell_zone = self.__class__.remesh_cell_zone(service, version, mode, path + ["remesh_cell_zone"])
                    super().__init__(service, version, mode, path)
                class remesh_cell_zone(TUIMethod):
                    """
                    Manually remeshes a cell zone with option to remesh adjacent dynamic face 	zones.
                    """

        class mixing_planes(TUIMenu):
            """
            Enters the mixing planes menu.
            """
            def __init__(self, service, version, mode, path):
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Deletes a mixing plane.
                """
            class list(TUIMethod):
                """
                Lists defined mixing plane(s).
                """
            class create(TUIMethod):
                """
                Creates a mixing plane.
                """

            class set(TUIMenu):
                """
                Sets global parameters relevant to mixing planes.
                """
                def __init__(self, service, version, mode, path):
                    self.conserve_swirl = self.__class__.conserve_swirl(service, version, mode, path + ["conserve_swirl"])
                    self.conserve_total_enthalpy = self.__class__.conserve_total_enthalpy(service, version, mode, path + ["conserve_total_enthalpy"])
                    self.averaging_method = self.__class__.averaging_method(service, version, mode, path + ["averaging_method"])
                    self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                    self.fix_pressure_level = self.__class__.fix_pressure_level(service, version, mode, path + ["fix_pressure_level"])
                    super().__init__(service, version, mode, path)
                class averaging_method(TUIMethod):
                    """
                    Sets the mixing plane profile averaging method.
                    """
                class under_relaxation(TUIMethod):
                    """
                    Sets mixing plane under-relaxation factor.
                    """
                class fix_pressure_level(TUIMethod):
                    """
                    Sets fixed pressure level using value based on define/reference-pressure-location.
                    """

                class conserve_swirl(TUIMenu):
                    """
                    Enters the menu to set swirl conservation in mixing plane menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        self.report_swirl_integration = self.__class__.report_swirl_integration(service, version, mode, path + ["report_swirl_integration"])
                        super().__init__(service, version, mode, path)
                    class verbosity(TUIMethod):
                        """
                        Enables/disables verbosity in swirl conservation calculations.
                        """
                    class enable(TUIMethod):
                        """
                        Enables/disables swirl conservation in mixing plane.
                        """
                    class report_swirl_integration(TUIMethod):
                        """
                        Reports swirl integration (Torque) on inflow and outflow zones.
                        """

                class conserve_total_enthalpy(TUIMenu):
                    """
                    Enters the menu to set total enthalpy conservation in mixing plane menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        super().__init__(service, version, mode, path)
                    class enable(TUIMethod):
                        """
                        Enables/disables total enthalpy conservation in mixing plane.
                        """
                    class verbosity(TUIMethod):
                        """
                        Enables/disables verbosity in total-enthalpy conservation calculations.
                        """

        class user_defined(TUIMenu):
            """
            Enters the user-defined functions and scalars menu.
            """
            def __init__(self, service, version, mode, path):
                self.real_gas_models = self.__class__.real_gas_models(service, version, mode, path + ["real_gas_models"])
                self.use_contributed_cpp = self.__class__.use_contributed_cpp(service, version, mode, path + ["use_contributed_cpp"])
                self.fan_model = self.__class__.fan_model(service, version, mode, path + ["fan_model"])
                self.user_defined_memory = self.__class__.user_defined_memory(service, version, mode, path + ["user_defined_memory"])
                self.user_defined_node_memory = self.__class__.user_defined_node_memory(service, version, mode, path + ["user_defined_node_memory"])
                self.user_defined_scalars = self.__class__.user_defined_scalars(service, version, mode, path + ["user_defined_scalars"])
                self.interpreted_functions = self.__class__.interpreted_functions(service, version, mode, path + ["interpreted_functions"])
                self.use_built_in_compiler = self.__class__.use_built_in_compiler(service, version, mode, path + ["use_built_in_compiler"])
                self.function_hooks = self.__class__.function_hooks(service, version, mode, path + ["function_hooks"])
                self.execute_on_demand = self.__class__.execute_on_demand(service, version, mode, path + ["execute_on_demand"])
                self.one_D_coupling = self.__class__.one_D_coupling(service, version, mode, path + ["one_D_coupling"])
                self.compile_customized_addon_module = self.__class__.compile_customized_addon_module(service, version, mode, path + ["compile_customized_addon_module"])
                self.compiled_functions = self.__class__.compiled_functions(service, version, mode, path + ["compiled_functions"])
                self.enable_udf_on_gpu = self.__class__.enable_udf_on_gpu(service, version, mode, path + ["enable_udf_on_gpu"])
                self.auto_compile_compiled_udfs = self.__class__.auto_compile_compiled_udfs(service, version, mode, path + ["auto_compile_compiled_udfs"])
                super().__init__(service, version, mode, path)
            class use_contributed_cpp(TUIMethod):
                """
                Enable/disable use of cpp from the Fluent.Inc/contrib directory.
                """
            class fan_model(TUIMethod):
                """
                Configures user-defined fan model.
                """
            class user_defined_memory(TUIMethod):
                """
                Allocates user-defined memory.
                """
            class user_defined_node_memory(TUIMethod):
                """
                Allocate user-defined node memory.
                """
            class user_defined_scalars(TUIMethod):
                """
                Defines user-defined scalars.
                """
            class interpreted_functions(TUIMethod):
                """
                Loads interpreted user-defined functions.
                """
            class use_built_in_compiler(TUIMethod):
                """
                Enables/disables the use of a built-in compiler (Clang) when the define/user-defined/compiled-functions text command is used. This text command / compiler is available for Windows only, and is provided as part of the ANSYS Fluent installation. It is recommended that you enable this text command when the compiler you installed on your machine is an older version that is no longer supported. Note that the built-in compiler is used automatically if Fluent determines that you have not installed Microsoft Visual Studio or Clang on your computer, whether this text command is enabled or not.
                """
            class function_hooks(TUIMethod):
                """
                Hooks up user-defined functions.
                """
            class execute_on_demand(TUIMethod):
                """
                Executes UDFs on demand.
                """
            class one_D_coupling(TUIMethod):
                """
                Load 1D library.
                """
            class compile_customized_addon_module(TUIMethod):
                """
                Compile customized addon module?.
                """
            class compiled_functions(TUIMethod):
                """
                Opens user-defined function library.
                """
            class enable_udf_on_gpu(TUIMethod):
                """
                Compile UDFs with OpenCL support.
                """
            class auto_compile_compiled_udfs(TUIMethod):
                """
                For this Fluent session, specify whether to allow auto-compilation of compiled UDF when a case file (or settings file) is read.
                """

            class real_gas_models(TUIMenu):
                """
                Enters the real-gas menu to enable/configure real gas model.
                """
                def __init__(self, service, version, mode, path):
                    self.set_state = self.__class__.set_state(service, version, mode, path + ["set_state"])
                    self.nist_settings = self.__class__.nist_settings(service, version, mode, path + ["nist_settings"])
                    self.user_defined_real_gas_model = self.__class__.user_defined_real_gas_model(service, version, mode, path + ["user_defined_real_gas_model"])
                    self.nist_real_gas_model = self.__class__.nist_real_gas_model(service, version, mode, path + ["nist_real_gas_model"])
                    self.nist_multispecies_real_gas_model = self.__class__.nist_multispecies_real_gas_model(service, version, mode, path + ["nist_multispecies_real_gas_model"])
                    self.user_defined_multispecies_real_gas_model = self.__class__.user_defined_multispecies_real_gas_model(service, version, mode, path + ["user_defined_multispecies_real_gas_model"])
                    super().__init__(service, version, mode, path)
                class set_state(TUIMethod):
                    """
                    Selects the state for NIST real gas model.
                    """
                class nist_settings(TUIMethod):
                    """
                    Specifies the name and the location for the REFPROP library and fluid files.
                    """
                class user_defined_real_gas_model(TUIMethod):
                    """
                    Loads the user-defined real-gas library.
                    """
                class nist_real_gas_model(TUIMethod):
                    """
                    Loads the NIST real-gas library.
                    """
                class nist_multispecies_real_gas_model(TUIMethod):
                    """
                    Loads the NIST real-gas library.
                    """
                class user_defined_multispecies_real_gas_model(TUIMethod):
                    """
                    Loads a user-defined multispecies real-gas library.
                    """

        class boundary_conditions(TUIMenu):
            """
            Enters the boundary conditions menu.
            """
            def __init__(self, service, version, mode, path):
                self.rename_zone = self.__class__.rename_zone(service, version, mode, path + ["rename_zone"])
                self.advanced = self.__class__.advanced(service, version, mode, path + ["advanced"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.non_reflecting_bc = self.__class__.non_reflecting_bc(service, version, mode, path + ["non_reflecting_bc"])
                self.perforated_walls = self.__class__.perforated_walls(service, version, mode, path + ["perforated_walls"])
                self.modify_zones = self.__class__.modify_zones(service, version, mode, path + ["modify_zones"])
                self.bc_settings = self.__class__.bc_settings(service, version, mode, path + ["bc_settings"])
                self.impedance_data_fitting = self.__class__.impedance_data_fitting(service, version, mode, path + ["impedance_data_fitting"])
                self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                self.network = self.__class__.network(service, version, mode, path + ["network"])
                self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                self.knudsen_number_calculator = self.__class__.knudsen_number_calculator(service, version, mode, path + ["knudsen_number_calculator"])
                self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                self.open_channel_wave_settings = self.__class__.open_channel_wave_settings(service, version, mode, path + ["open_channel_wave_settings"])
                self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                self.openchannel_threads = self.__class__.openchannel_threads(service, version, mode, path + ["openchannel_threads"])
                self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                self.non_overlapping_zone_name = self.__class__.non_overlapping_zone_name(service, version, mode, path + ["non_overlapping_zone_name"])
                self.copy_bc = self.__class__.copy_bc(service, version, mode, path + ["copy_bc"])
                self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                self.target_mass_flow_rate_settings = self.__class__.target_mass_flow_rate_settings(service, version, mode, path + ["target_mass_flow_rate_settings"])
                self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                self.zone_type = self.__class__.zone_type(service, version, mode, path + ["zone_type"])
                self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                self.list_zones = self.__class__.list_zones(service, version, mode, path + ["list_zones"])
                self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                self.zone_name = self.__class__.zone_name(service, version, mode, path + ["zone_name"])
                self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                super().__init__(service, version, mode, path)
            class mass_flow_inlet(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class network(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class intake_fan(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class knudsen_number_calculator(TUIMethod):
                """
                Computes the Knudsen number based on a characteristic physical length and the area-averaged flow quantities along an incoming-flow boundary. You can use this information to determine flow regime for selecting the appropriate wall boundary treatment. For details, see .
                """
            class overset(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class open_channel_wave_settings(TUIMethod):
                """
                Opens channel wave input analysis.
                """
            class symmetry(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class openchannel_threads(TUIMethod):
                """
                Lists open channel group IDs, names, types and variables.
                """
            class exhaust_fan(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class interior(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class recirculation_outlet(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class periodic(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class non_overlapping_zone_name(TUIMethod):
                """
                Displays the name of the non-overlapping zone associated with a specified interface zone. This text command is only available after a mesh interface has been created.
                """
            class copy_bc(TUIMethod):
                """
                Copies boundary conditions to other zones.
                """
            class recirculation_inlet(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class degassing(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class pressure_inlet(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class fluid(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class target_mass_flow_rate_settings(TUIMethod):
                """
                Enters the targeted mass flow rate settings menu.
                """
            class solid(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class pressure_far_field(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class outlet_vent(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class interface(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class rans_les_interface(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class zone_type(TUIMethod):
                """
                Sets the type for a zone or multiple zones of the same category. You will be prompted for the name / ID of the zone to be changed and the new type for that zone. To change multiple zones, you can enter a list (separated by spaces and contained within a pair of parentheses) or use asterisks (\\*) as wildcards.
                """
            class radiator(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class inlet_vent(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class wall(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class fan(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class axis(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class porous_jump(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class network_end(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class mass_flow_outlet(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class list_zones(TUIMethod):
                """
                Prints out the types and IDs of all zones in the console window. You can use your mouse to check a zone ID, following the instructions listed under Zone in the
                Boundary Conditions Task Page
                section of the User’s Guide.
                """
            class velocity_inlet(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class pressure_outlet(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class zone_name(TUIMethod):
                """
                Gives a zone a new name.
                """
            class geometry(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class shadow(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """
            class outflow(TUIMethod):
                """
                Sets boundary conditions for a zone of this type.
                """

            class rename_zone(TUIMenu):
                """
                Enter the menu for renaming cell and face zones based on adjacency, adding suffixes or prefixes to names, and renaming zones based on the Fluent naming conventions.
                """
                def __init__(self, service, version, mode, path):
                    self.rename_to_default = self.__class__.rename_to_default(service, version, mode, path + ["rename_to_default"])
                    self.add_suffix_or_prefix = self.__class__.add_suffix_or_prefix(service, version, mode, path + ["add_suffix_or_prefix"])
                    self.rename_by_adjacency = self.__class__.rename_by_adjacency(service, version, mode, path + ["rename_by_adjacency"])
                    super().__init__(service, version, mode, path)
                class rename_to_default(TUIMethod):
                    """
                    Rename a zone to use the Fluent naming 	convention.
                    """
                class add_suffix_or_prefix(TUIMethod):
                    """
                    Add a suffix or prefix to one or more zones.
                    """
                class rename_by_adjacency(TUIMethod):
                    """
                    Append the name of the adjacent cell zone to the 	specified face zone. For example, if fluid is the adjacent cell 	zone, and you select a face zone named interior, the resulting name of 	the face zone would be interior-fluid.
                    """

            class advanced(TUIMenu):
                """
                Control settings while doing BC setup.
                """
                def __init__(self, service, version, mode, path):
                    self.delay_model_change_update = self.__class__.delay_model_change_update(service, version, mode, path + ["delay_model_change_update"])
                    self.batch_thread_update = self.__class__.batch_thread_update(service, version, mode, path + ["batch_thread_update"])
                    super().__init__(service, version, mode, path)
                class delay_model_change_update(TUIMethod):
                    """
                    Set model change call update.
                    """
                class batch_thread_update(TUIMethod):
                    """
                    Set batch thread update option.
                    """

            class set(TUIMenu):
                """
                Allows you to define one or more settings at single or multiple boundaries/cell zones of a given type at once. Enter q to exit the define/boundary-conditions/set/<type> command.  For a description of the items in this menu, see corresponding define/boundary-conditions/<type>.
                """
                def __init__(self, service, version, mode, path):
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    super().__init__(service, version, mode, path)
                class outflow(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class overset(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class solid(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class fan(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class porous_jump(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class axis(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class interface(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class interior(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class network(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class pressure_inlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class wall(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """

            class non_reflecting_bc(TUIMenu):
                """
                Enters the non-reflecting boundary condition menu.
                """
                def __init__(self, service, version, mode, path):
                    self.general_nrbc = self.__class__.general_nrbc(service, version, mode, path + ["general_nrbc"])
                    self.turbo_specific_nrbc = self.__class__.turbo_specific_nrbc(service, version, mode, path + ["turbo_specific_nrbc"])
                    super().__init__(service, version, mode, path)

                class general_nrbc(TUIMenu):
                    """
                    Setting for general non-reflecting b.c.
                    """
                    def __init__(self, service, version, mode, path):
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        super().__init__(service, version, mode, path)

                    class set(TUIMenu):
                        """
                        Enters the setup menu for general non-reflecting b.c.’s.
                        """
                        def __init__(self, service, version, mode, path):
                            self.tangential_source = self.__class__.tangential_source(service, version, mode, path + ["tangential_source"])
                            self.sigma = self.__class__.sigma(service, version, mode, path + ["sigma"])
                            self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                            self.relax = self.__class__.relax(service, version, mode, path + ["relax"])
                            self.sigma2 = self.__class__.sigma2(service, version, mode, path + ["sigma2"])
                            super().__init__(service, version, mode, path)
                        class tangential_source(TUIMethod):
                            """
                            Include or not NRBC tangential source (default value #t).
                            """
                        class sigma(TUIMethod):
                            """
                            Sets NRBC sigma factor (default value 0.15).
                            """
                        class verbosity(TUIMethod):
                            """
                            Enables/disables nrbc verbosity scheme output.
                            """
                        class relax(TUIMethod):
                            """
                            Set NRBC relaxation factor (default value 0.5).
                            """
                        class sigma2(TUIMethod):
                            """
                            Sets NRBC sigma2 factor (default value 5.0).
                            """

                class turbo_specific_nrbc(TUIMenu):
                    """
                    Enters the turbo specific nrbc menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
                        self.show_status = self.__class__.show_status(service, version, mode, path + ["show_status"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class initialize(TUIMethod):
                        """
                        Initializes non-reflecting b.c.’s.
                        """
                    class show_status(TUIMethod):
                        """
                        Shows current status of non-reflecting b.c.’s.
                        """
                    class enable(TUIMethod):
                        """
                        Enables/disables non-reflecting b.c.’s.
                        """

                    class set(TUIMenu):
                        """
                        Enters the set menu for non-reflecting b.c. parameters.
                        """
                        def __init__(self, service, version, mode, path):
                            self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                            self.discretization = self.__class__.discretization(service, version, mode, path + ["discretization"])
                            self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                            super().__init__(service, version, mode, path)
                        class verbosity(TUIMethod):
                            """
                            Sets non-reflecting b.c. verbosity level. 0 : silent, 1 : basic information (default), 2 : detailed information for debugging.
                            """
                        class discretization(TUIMethod):
                            """
                            Enables use of higher-order reconstruction at boundaries if available.
                            """
                        class under_relaxation(TUIMethod):
                            """
                            Sets non-reflecting b.c. under-relaxation factor.
                            """

            class perforated_walls(TUIMenu):
                """
                Enters the perforated walls menu.
                """
                def __init__(self, service, version, mode, path):
                    self.model_setup = self.__class__.model_setup(service, version, mode, path + ["model_setup"])
                    self.read_input_file = self.__class__.read_input_file(service, version, mode, path + ["read_input_file"])
                    super().__init__(service, version, mode, path)
                class model_setup(TUIMethod):
                    """
                    Sets up the perforated wall model for each effusion 	surface.
                    """
                class read_input_file(TUIMethod):
                    """
                    Reads an input file for perforated walls.
                    """

            class modify_zones(TUIMenu):
                """
                Enters the modify zones menu.
                """
                def __init__(self, service, version, mode, path):
                    self.activate_cell_zone = self.__class__.activate_cell_zone(service, version, mode, path + ["activate_cell_zone"])
                    self.extrude_face_zone_delta = self.__class__.extrude_face_zone_delta(service, version, mode, path + ["extrude_face_zone_delta"])
                    self.rotate_zone = self.__class__.rotate_zone(service, version, mode, path + ["rotate_zone"])
                    self.replace_zone = self.__class__.replace_zone(service, version, mode, path + ["replace_zone"])
                    self.sep_face_zone_angle = self.__class__.sep_face_zone_angle(service, version, mode, path + ["sep_face_zone_angle"])
                    self.make_periodic = self.__class__.make_periodic(service, version, mode, path + ["make_periodic"])
                    self.sep_cell_zone_mark = self.__class__.sep_cell_zone_mark(service, version, mode, path + ["sep_cell_zone_mark"])
                    self.slit_periodic = self.__class__.slit_periodic(service, version, mode, path + ["slit_periodic"])
                    self.slit_face_zone = self.__class__.slit_face_zone(service, version, mode, path + ["slit_face_zone"])
                    self.append_mesh = self.__class__.append_mesh(service, version, mode, path + ["append_mesh"])
                    self.zone_name = self.__class__.zone_name(service, version, mode, path + ["zone_name"])
                    self.create_all_shell_threads = self.__class__.create_all_shell_threads(service, version, mode, path + ["create_all_shell_threads"])
                    self.sep_face_zone_region = self.__class__.sep_face_zone_region(service, version, mode, path + ["sep_face_zone_region"])
                    self.list_zones = self.__class__.list_zones(service, version, mode, path + ["list_zones"])
                    self.convert_all_solid_mrf_to_solid_motion = self.__class__.convert_all_solid_mrf_to_solid_motion(service, version, mode, path + ["convert_all_solid_mrf_to_solid_motion"])
                    self.sep_face_zone_face = self.__class__.sep_face_zone_face(service, version, mode, path + ["sep_face_zone_face"])
                    self.matching_tolerance = self.__class__.matching_tolerance(service, version, mode, path + ["matching_tolerance"])
                    self.scale_zone = self.__class__.scale_zone(service, version, mode, path + ["scale_zone"])
                    self.change_zone_phase = self.__class__.change_zone_phase(service, version, mode, path + ["change_zone_phase"])
                    self.append_mesh_data = self.__class__.append_mesh_data(service, version, mode, path + ["append_mesh_data"])
                    self.copy_mesh_to_mrf_motion = self.__class__.copy_mesh_to_mrf_motion(service, version, mode, path + ["copy_mesh_to_mrf_motion"])
                    self.slit_interior_between_diff_solids = self.__class__.slit_interior_between_diff_solids(service, version, mode, path + ["slit_interior_between_diff_solids"])
                    self.sep_cell_zone_region = self.__class__.sep_cell_zone_region(service, version, mode, path + ["sep_cell_zone_region"])
                    self.delete_cell_zone = self.__class__.delete_cell_zone(service, version, mode, path + ["delete_cell_zone"])
                    self.copy_mrf_to_mesh_motion = self.__class__.copy_mrf_to_mesh_motion(service, version, mode, path + ["copy_mrf_to_mesh_motion"])
                    self.sep_face_zone_mark = self.__class__.sep_face_zone_mark(service, version, mode, path + ["sep_face_zone_mark"])
                    self.zone_type = self.__class__.zone_type(service, version, mode, path + ["zone_type"])
                    self.create_periodic_interface = self.__class__.create_periodic_interface(service, version, mode, path + ["create_periodic_interface"])
                    self.copy_move_cell_zone = self.__class__.copy_move_cell_zone(service, version, mode, path + ["copy_move_cell_zone"])
                    self.mrf_to_sliding_mesh = self.__class__.mrf_to_sliding_mesh(service, version, mode, path + ["mrf_to_sliding_mesh"])
                    self.fuse_face_zones = self.__class__.fuse_face_zones(service, version, mode, path + ["fuse_face_zones"])
                    self.recreate_all_shells = self.__class__.recreate_all_shells(service, version, mode, path + ["recreate_all_shells"])
                    self.deactivate_cell_zone = self.__class__.deactivate_cell_zone(service, version, mode, path + ["deactivate_cell_zone"])
                    self.translate_zone = self.__class__.translate_zone(service, version, mode, path + ["translate_zone"])
                    self.orient_face_zone = self.__class__.orient_face_zone(service, version, mode, path + ["orient_face_zone"])
                    self.change_zone_state = self.__class__.change_zone_state(service, version, mode, path + ["change_zone_state"])
                    self.delete_all_shells = self.__class__.delete_all_shells(service, version, mode, path + ["delete_all_shells"])
                    self.merge_zones = self.__class__.merge_zones(service, version, mode, path + ["merge_zones"])
                    self.extrude_face_zone_para = self.__class__.extrude_face_zone_para(service, version, mode, path + ["extrude_face_zone_para"])
                    super().__init__(service, version, mode, path)
                class activate_cell_zone(TUIMethod):
                    """
                    Activates cell thread.
                    """
                class extrude_face_zone_delta(TUIMethod):
                    """
                    Extrudes a face thread a specified distance based on a list of deltas.
                    """
                class rotate_zone(TUIMethod):
                    """
                    Rotates individual cell zones.
                    """
                class replace_zone(TUIMethod):
                    """
                    Replaces cell zone.
                    """
                class sep_face_zone_angle(TUIMethod):
                    """
                    Separates face zone based on significant angle.
                    """
                class make_periodic(TUIMethod):
                    """
                    Attempts to establish periodic/shadow face zone connectivity.
                    """
                class sep_cell_zone_mark(TUIMethod):
                    """
                    Separates cell zone based on cell marking.
                    """
                class slit_periodic(TUIMethod):
                    """
                    Slits periodic zone into two symmetry zones.
                    """
                class slit_face_zone(TUIMethod):
                    """
                    Slits two-sided wall into two connected wall zones.
                    """
                class append_mesh(TUIMethod):
                    """
                    Appends new mesh.
                    """
                class zone_name(TUIMethod):
                    """
                    Gives a zone a new name.
                    """
                class create_all_shell_threads(TUIMethod):
                    """
                    Marks all finite thickness walls for shell creation. Shell zones will be created at 	the start of the iterations.
                    """
                class sep_face_zone_region(TUIMethod):
                    """
                    Separates face zone based on contiguous regions.
                    """
                class list_zones(TUIMethod):
                    """
                    Lists zone IDs, types, kinds, and names.
                    """
                class convert_all_solid_mrf_to_solid_motion(TUIMethod):
                    """
                    Converts all solid zones using frame motion to instead 	use solid motion, copying the motion variable values for 	origin, axis, and velocities.
                    """
                class sep_face_zone_face(TUIMethod):
                    """
                    Separates each face in zone into unique zone.
                    """
                class matching_tolerance(TUIMethod):
                    """
                    Sets normalized tolerance used for finding coincident nodes.
                    """
                class scale_zone(TUIMethod):
                    """
                    Scales individual cell zones.
                    """
                class change_zone_phase(TUIMethod):
                    """
                    Change the realgas phase for a zone.
                    """
                class append_mesh_data(TUIMethod):
                    """
                    Appends new mesh with data.
                    """
                class copy_mesh_to_mrf_motion(TUIMethod):
                    """
                    Copies motion variable values for origin, axis, and velocities from Mesh Motion to 	Frame Motion.
                    """
                class slit_interior_between_diff_solids(TUIMethod):
                    """
                    Slits the interior zone between solid zones of differing materials to create a 	coupled wall. You will generally be prompted by Fluent 	if this is necessary.
                    """
                class sep_cell_zone_region(TUIMethod):
                    """
                    Separates cell zone based on contiguous regions.
                    """
                class delete_cell_zone(TUIMethod):
                    """
                    Deletes a cell thread.
                    """
                class copy_mrf_to_mesh_motion(TUIMethod):
                    """
                    Copies motion variable values for origin, axis, and velocities from Frame Motion to 	Mesh Motion.
                    """
                class sep_face_zone_mark(TUIMethod):
                    """
                    Separates face zone based on cell marking.
                    """
                class zone_type(TUIMethod):
                    """
                    Sets the type for a zone or multiple zones of the same 	category. You will be prompted for the name / ID of the 	zone to be changed and the new type for that zone. To 	change multiple zones, you can enter a list (separated 	by spaces and contained within a pair of parentheses) or 	use asterisks (\\*) as wildcards.
                    """
                class create_periodic_interface(TUIMethod):
                    """
                    Creates a conformal or non-conformal periodic 	interface.
                    """
                class copy_move_cell_zone(TUIMethod):
                    """
                    Creates a copy of a cell zone that is offset from the original either by a translational 	distance or a rotational angle. In the copied zone, the 	bounding face zones are all converted to walls, any 	existing cell data is initialized to a constant value, 	and non-conformal interfaces and dynamic zones are not 	copied; otherwise, the model settings are the same as in 	the original zone. Note that if you want the copied zone 	to be connected to existing zones, you must either fuse 	the boundaries (see ) or set up a 	non-conformal interface (see ).
                    """
                class mrf_to_sliding_mesh(TUIMethod):
                    """
                    Changes the motion specification from MRF to moving mesh.
                    """
                class fuse_face_zones(TUIMethod):
                    """
                    Attempts to fuse zones by removing duplicate faces and nodes.
                    """
                class recreate_all_shells(TUIMethod):
                    """
                    Recreates shells on all the walls that were deleted using the command delete-all-shells.
                    """
                class deactivate_cell_zone(TUIMethod):
                    """
                    Deactivates cell thread.
                    """
                class translate_zone(TUIMethod):
                    """
                    Translates individual cell zones.
                    """
                class orient_face_zone(TUIMethod):
                    """
                    Orients the face zone.
                    """
                class change_zone_state(TUIMethod):
                    """
                    Sets the state (liquid or vapor) for a specific fluid zone.
                    """
                class delete_all_shells(TUIMethod):
                    """
                    Deletes all shell zones and switches off shell conduction on all the walls. These 	zones can be recreated using the command recreate-all-shells.
                    """
                class merge_zones(TUIMethod):
                    """
                    Merges zones of same type and condition into one.
                    """
                class extrude_face_zone_para(TUIMethod):
                    """
                    Extrudes a face thread a specified distance based on a distance and a list of 	parametric locations between 0 and 1, for example, 0 0.2 	0.4 0.8 1.0.
                    """

            class bc_settings(TUIMenu):
                """
                Enters the boundary conditions settings menu.
                """
                def __init__(self, service, version, mode, path):
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.mass_flow = self.__class__.mass_flow(service, version, mode, path + ["mass_flow"])
                    super().__init__(service, version, mode, path)
                class pressure_outlet(TUIMethod):
                    """
                    Sets advanced options for pressure outlet boundaries.
                    """
                class mass_flow(TUIMethod):
                    """
                    Selects method for setting the mass flow rate.
                    """

                class pressure_far_field(TUIMenu):
                    """
                    Sets advanced options for pressure far field 	boundaries.
                    """
                    def __init__(self, service, version, mode, path):
                        self.type = self.__class__.type(service, version, mode, path + ["type?"])
                        self.riemann_invariants_tangency_correction = self.__class__.riemann_invariants_tangency_correction(service, version, mode, path + ["riemann_invariants_tangency_correction"])
                        super().__init__(service, version, mode, path)
                    class type(TUIMethod):
                        """
                        Choose pressure-far-field boundary-condition type.
                        """
                    class riemann_invariants_tangency_correction(TUIMethod):
                        """
                        Enables/disables the Riemann-invariant tangency correction as described in .
                        """

            class impedance_data_fitting(TUIMenu):
                """
                Enters the impedance data fitting menu, which provides text commands that can be helpful when you are using the impedance boundary condition (IBC).
                """
                def __init__(self, service, version, mode, path):
                    self.absorption_data = self.__class__.absorption_data(service, version, mode, path + ["absorption_data"])
                    self.impedance_data = self.__class__.impedance_data(service, version, mode, path + ["impedance_data"])
                    self.reflection_data = self.__class__.reflection_data(service, version, mode, path + ["reflection_data"])
                    self.convergence_tolerance = self.__class__.convergence_tolerance(service, version, mode, path + ["convergence_tolerance"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.import_parameters = self.__class__.import_parameters(service, version, mode, path + ["import_parameters"])
                    self.residue_tolerance = self.__class__.residue_tolerance(service, version, mode, path + ["residue_tolerance"])
                    self.iterations = self.__class__.iterations(service, version, mode, path + ["iterations"])
                    super().__init__(service, version, mode, path)
                class absorption_data(TUIMethod):
                    """
                    Reads an input file with experimental absorption coefficient data in the frequency 	domain and then computes the terms needed for an 	approximation of the reflection coefficient as a series 	of poles / residues in the time domain. The resulting 	terms are printed in the console, and can be written to 	a pole / residue file (which can be imported and the 	impedance parameters applied to a boundary condition 	using the define/boundary-conditions/impedance-data-fitting/import-parameters 	text command). You can also write a file with fitted 	frequency / impedance data, which can be compared to the 	input data to evaluate how well it fits.
                    """
                class impedance_data(TUIMethod):
                    """
                    Reads an input file with experimental specific 	impedance data in the frequency domain and then computes 	the terms needed for an approximation of the reflection 	coefficient as a series of poles / residues in the time 	domain. The resulting terms are printed in the console, 	and can be written to a pole / residue file (which can 	be imported and the impedance parameters applied to a 	boundary condition using the define/boundary-conditions/impedance-data-fitting/import-parameters 	text command). You can also write a file with fitted 	frequency / impedance data, which can be compared to the 	input data to evaluate how well it fits.
                    """
                class reflection_data(TUIMethod):
                    """
                    Reads an input file with experimental reflection coefficient data in the frequency 	domain and then computes the terms needed for an 	approximation of the reflection coefficient as a series 	of poles / residues in the time domain. The resulting 	terms are printed in the console, and can be written to 	a pole / residue file (which can be imported and the 	impedance parameters applied to a boundary condition 	using the define/boundary-conditions/impedance-data-fitting/import-parameters 	text command). You can also write a file with fitted 	frequency / impedance data, which can be compared to the 	input data to evaluate how well it fits.
                    """
                class convergence_tolerance(TUIMethod):
                    """
                    Sets the convergence tolerance, which is an accuracy 	that is used for completing the iterative fitting 	procedure in the calculations performed from the define/boundary-conditions/impedance-data-fitting/ 	text command menu. By default, the tolerance is set to 	1e-6.
                    """
                class verbosity(TUIMethod):
                    """
                    Sets the verbosity of the progress messages during the fitting performed from the define/boundary-conditions/impedance-data-fitting/ 	text command menu. Setting this to 1 results in messages being 	printed in the console as the fitting calculation 	progresses. The default value of 0 suppresses this 	output.
                    """
                class import_parameters(TUIMethod):
                    """
                    Reads a pole / residue file with impedance parameters 	in the time domain and applies them to a specified 	boundary condition.
                    """
                class residue_tolerance(TUIMethod):
                    """
                    Sets the residue tolerance, which is the minimum value of residues that are kept in 	the fitting performed from the define/boundary-conditions/impedance-data-fitting/ 	text command menu. This residue check helps to eliminate 	parasitic poles. By default, the tolerance is set to 	1e-6.
                    """
                class iterations(TUIMethod):
                    """
                    Sets the number of internal iterations used for the calculations performed from the define/boundary-conditions/impedance-data-fitting/ 	text command menu. By default, the number of iterations 	is set to 20.
                    """

        class custom_field_functions(TUIMenu):
            """
            Enters the custom field functions menu.
            """
            def __init__(self, service, version, mode, path):
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.load = self.__class__.load(service, version, mode, path + ["load"])
                self.list_valid_cell_function_names = self.__class__.list_valid_cell_function_names(service, version, mode, path + ["list_valid_cell_function_names"])
                self.example_cff_definitions = self.__class__.example_cff_definitions(service, version, mode, path + ["example_cff_definitions"])
                self.save = self.__class__.save(service, version, mode, path + ["save"])
                self.define = self.__class__.define(service, version, mode, path + ["define"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Deletes a custom field function.
                """
            class load(TUIMethod):
                """
                Loads a custom field function.
                """
            class list_valid_cell_function_names(TUIMethod):
                """
                Lists the names of cell functions that can be used in a custom field function.
                """
            class example_cff_definitions(TUIMethod):
                """
                Lists example custom field functions.
                """
            class save(TUIMethod):
                """
                Saves a custom field function.
                """
            class define(TUIMethod):
                """
                Defines a custom field function.
                """

        class named_expressions(TUIMenu):
            """
            Enters the named expressions menu.
            """
            def __init__(self, service, version, mode, path):
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.export_to_tsv = self.__class__.export_to_tsv(service, version, mode, path + ["export_to_tsv"])
                self.import_from_tsv = self.__class__.import_from_tsv(service, version, mode, path + ["import_from_tsv"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Allows you to delete a named expression, as long as it is not in use.
                """
            class list(TUIMethod):
                """
                Lists all of the currently defined named expressions.
                """
            class edit(TUIMethod):
                """
                Allows you to edit the definition of a named expression.
                """
            class list_properties(TUIMethod):
                """
                Lists the definition of a named expression.
                """
            class copy(TUIMethod):
                """
                Allows you to copy an existing named expression.
                """
            class add(TUIMethod):
                """
                Creates a new named expression.
                """
            class compute(TUIMethod):
                """
                Computes and prints the value of an expression. This is only available for expressions that evaluate to a single value.
                """
            class export_to_tsv(TUIMethod):
                """
                Export one or more named expressions to a file in TSV format.
                """
            class import_from_tsv(TUIMethod):
                """
                Import one or more named expressions saved in TSV format.
                """

        class periodic_conditions(TUIMenu):
            """
            Enters the periodic conditions menu.
            """
            def __init__(self, service, version, mode, path):
                self.pressure_gradient_specification = self.__class__.pressure_gradient_specification(service, version, mode, path + ["pressure_gradient_specification"])
                self.massflow_rate_specification = self.__class__.massflow_rate_specification(service, version, mode, path + ["massflow_rate_specification"])
                super().__init__(service, version, mode, path)
            class pressure_gradient_specification(TUIMethod):
                """
                Enables/disables specification of pressure gradient at the periodic boundary.
                """
            class massflow_rate_specification(TUIMethod):
                """
                Enables/disables specification of mass flow rate at the periodic boundary.
                """

        class phases(TUIMenu):
            """
            Enters the phases menu.
            """
            def __init__(self, service, version, mode, path):
                self.iac_expert = self.__class__.iac_expert(service, version, mode, path + ["iac_expert"])
                self.set_domain_properties = self.__class__.set_domain_properties(service, version, mode, path + ["set_domain_properties"])
                super().__init__(service, version, mode, path)

            class iac_expert(TUIMenu):
                """
                Enters the IAC expert setting menu.
                """
                def __init__(self, service, version, mode, path):
                    self.ishii_kim_model = self.__class__.ishii_kim_model(service, version, mode, path + ["ishii_kim_model"])
                    self.iac_pseudo_time_step = self.__class__.iac_pseudo_time_step(service, version, mode, path + ["iac_pseudo_time_step"])
                    self.yao_morel_model = self.__class__.yao_morel_model(service, version, mode, path + ["yao_morel_model"])
                    self.hibiki_ishii_model = self.__class__.hibiki_ishii_model(service, version, mode, path + ["hibiki_ishii_model"])
                    super().__init__(service, version, mode, path)
                class ishii_kim_model(TUIMethod):
                    """
                    Sets Ishii-Kim model coefficients.
                    """
                class iac_pseudo_time_step(TUIMethod):
                    """
                    Set iac pseudo-time.
                    """
                class yao_morel_model(TUIMethod):
                    """
                    Sets Yao-Morel model coefficients.
                    """
                class hibiki_ishii_model(TUIMethod):
                    """
                    Sets Hibiki-Ishii model coefficients.
                    """

            class set_domain_properties(TUIMenu):
                """
                Enters the menu to set phase domain properties.
                """
                def __init__(self, service, version, mode, path):
                    self.interaction_domain = self.__class__.interaction_domain(service, version, mode, path + ["interaction_domain"])
                    self.phase_domains = self.__class__.phase_domains(service, version, mode, path + ["phase_domains"])
                    self.change_phases_names = self.__class__.change_phases_names(service, version, mode, path + ["change_phases_names"])
                    super().__init__(service, version, mode, path)
                class phase_domains(TUIMethod):
                    """
                    Enters the menu to select a specific phase.
                    """
                class change_phases_names(TUIMethod):
                    """
                    Allows you to change the names of all the phases in your simulation.
                    """

                class interaction_domain(TUIMenu):
                    """
                    Enters the menu to set the interaction domain 	properties.
                    """
                    def __init__(self, service, version, mode, path):
                        self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                        self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                        self.forces = self.__class__.forces(service, version, mode, path + ["forces"])
                        self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                        self.heat_mass_reactions = self.__class__.heat_mass_reactions(service, version, mode, path + ["heat_mass_reactions"])
                        super().__init__(service, version, mode, path)

                    class model_transition(TUIMenu):
                        """
                        Enters the menu to set model transition mechanisms.
                        """
                        def __init__(self, service, version, mode, path):
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            super().__init__(service, version, mode, path)
                        class model_transition(TUIMethod):
                            """
                            Sets the VOF-to-DPM model transition mechanism.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Set the interfacial area parameters for each pair of phases.
                            """
                        class reactions(TUIMethod):
                            """
                            Define multiple heterogeneous reactions and stoichiometry.
                            """
                        class drag(TUIMethod):
                            """
                            Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specify the slip velocity function for each secondary phase with respect to the primary phase.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specify the wall lubrication model for each primary-secondary phase pair.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class restitution(TUIMethod):
                            """
                            Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specify the turbulence interaction model for each primary-secondary phase pair.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Specify the heat transfer coefficient function between each pair of phases.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specify the turbulent dispersion model for each primary-secondary phase pair.
                            """

                        class cavitation(TUIMenu):
                            """
                            Enter the menu to set cavitation models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                super().__init__(service, version, mode, path)
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enter the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                super().__init__(service, version, mode, path)
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enter the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                super().__init__(service, version, mode, path)
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """

                        class lift(TUIMenu):
                            """
                            Enter the menu to set lift models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                super().__init__(service, version, mode, path)
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """

                        class virtual_mass(TUIMenu):
                            """
                            Enter the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                super().__init__(service, version, mode, path)
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                super().__init__(service, version, mode, path)
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """

                    class interfacial_area(TUIMenu):
                        """
                        Enters the menu to set interfacial area models. This menu is available only for the Mixture and Eulerian multiphase models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            super().__init__(service, version, mode, path)
                        class model_transition(TUIMethod):
                            """
                            Set the model transition mechanism.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specify the turbulence interaction model for each primary-secondary phase pair.
                            """
                        class reactions(TUIMethod):
                            """
                            Define multiple heterogeneous reactions and stoichiometry.
                            """
                        class restitution(TUIMethod):
                            """
                            Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specify the wall lubrication model for each primary-secondary phase pair.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Specifies the interfacial area model for each pair of phases.
                            """
                        class drag(TUIMethod):
                            """
                            Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Specify the heat transfer coefficient function between each pair of phases.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specify the slip velocity function for each secondary phase with respect to the primary phase.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specify the turbulent dispersion model for each primary-secondary phase pair.
                            """

                        class virtual_mass(TUIMenu):
                            """
                            Enter the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                super().__init__(service, version, mode, path)
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enter the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                super().__init__(service, version, mode, path)
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                super().__init__(service, version, mode, path)
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """

                        class cavitation(TUIMenu):
                            """
                            Enter the menu to set cavitation models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                super().__init__(service, version, mode, path)
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enter the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                super().__init__(service, version, mode, path)
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """

                        class lift(TUIMenu):
                            """
                            Enter the menu to set lift models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                super().__init__(service, version, mode, path)
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """

                    class forces(TUIMenu):
                        """
                        Enters the menu to set interfacial forces models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            super().__init__(service, version, mode, path)
                        class reactions(TUIMethod):
                            """
                            Define multiple heterogeneous reactions and stoichiometry.
                            """
                        class model_transition(TUIMethod):
                            """
                            Set the model transition mechanism.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specifies the slip velocity function for each secondary phase with respect to the primary phase. This command is available only for the Mixture multiphase model.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specifies the turbulent dispersion model for each primary-secondary phase pair. This command is available only with the Eulerian multiphase model.
                            """
                        class drag(TUIMethod):
                            """
                            Specifies the drag function, drag modification, and drag factor for each pair of phases. This command is available only with the Eulerian and Mixture multiphase models.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Specify the heat transfer coefficient function between each pair of phases.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specifies the wall lubrication model for each primary-secondary phase pair. This command is available only with the Eulerian multiphase model.
                            """
                        class restitution(TUIMethod):
                            """
                            Specifies the restitution coefficient for collisions between each pair of granular phases, and for collisions between particles of the same granular phase. This command is available only for multiphase flows with two or more granular phases.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specifies the turbulence interaction model for each primary-secondary phase pair. This command is available only with the Eulerian multiphase model.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Set the interfacial area parameters for each pair of phases.
                            """

                        class cavitation(TUIMenu):
                            """
                            Enter the menu to set cavitation models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                super().__init__(service, version, mode, path)
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enter the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                super().__init__(service, version, mode, path)
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """

                        class virtual_mass(TUIMenu):
                            """
                            Enters the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                super().__init__(service, version, mode, path)
                            class vmass_implicit_options(TUIMethod):
                                """
                                Specifies what form of the implicit method to use (default, option-2, or option-3). default models the entire virtual mass force while option-2 and option-3 model truncated expressions which may further improve convergence. This option is available only if vmass-implicit? is enabled.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Allows you to include the virtual mass force effect that occurs when a secondary phase accelerates relative to the primary phase. This command is available only with the Eulerian multiphase model.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specifies the virtual mass coefficient for each pair of phases. This option is available only ifvirtual-mass? is enabled.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enables/disables the implicit method for the virtual mass force. This option can improve convergence in some cases. This option is available only if virtual-mass? is enabled.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enters the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                super().__init__(service, version, mode, path)
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enables/disables the specification for a wall adhesion angle. This item is available only whensfc-modeling? is enabled.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Allows you to include the effects of surface tension along the fluid-fluid interface. This option is only available for the VOF and Eulerian multiphase models.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Selects the surface tension model. You can choose between the continuum surface force and continuum surface stress methods. This item is available only when sfc-modeling? is enabled.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enables/disables the treatment of the contact angle specification at the porous jump boundary. This command is available only for the VOF multiphase model with the continuum surface stress model option and when sfc-modeling? is enabled.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specifies the surface tension coefficient for each pair of phases.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                super().__init__(service, version, mode, path)
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """

                        class lift(TUIMenu):
                            """
                            Enters the menu to set the lift force. This item is available only with the Eulerian multiphase model.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                super().__init__(service, version, mode, path)
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class lift(TUIMethod):
                                """
                                Specifies the lift function for each pair of phases.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Enables/disables the Shaver-Podowski lift correction.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """

                    class numerics(TUIMenu):
                        """
                        Enters the menu to set numerics models. This menu is available for multiphase models with the sharp-dispersed and phase localized discretization interface modeling options (set in define/models/multiphase/interface-modeling-options).
                        """
                        def __init__(self, service, version, mode, path):
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            super().__init__(service, version, mode, path)
                        class restitution(TUIMethod):
                            """
                            Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Specify the heat transfer coefficient function between each pair of phases.
                            """
                        class model_transition(TUIMethod):
                            """
                            Set the model transition mechanism.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specify the turbulence interaction model for each primary-secondary phase pair.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specify the slip velocity function for each secondary phase with respect to the primary phase.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Set the interfacial area parameters for each pair of phases.
                            """
                        class reactions(TUIMethod):
                            """
                            Define multiple heterogeneous reactions and stoichiometry.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specify the wall lubrication model for each primary-secondary phase pair.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specify the turbulent dispersion model for each primary-secondary phase pair.
                            """
                        class drag(TUIMethod):
                            """
                            Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """

                        class virtual_mass(TUIMenu):
                            """
                            Enter the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                super().__init__(service, version, mode, path)
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """

                        class cavitation(TUIMenu):
                            """
                            Enter the menu to set cavitation models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                super().__init__(service, version, mode, path)
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """

                        class lift(TUIMenu):
                            """
                            Enter the menu to set lift models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                super().__init__(service, version, mode, path)
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enter the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                super().__init__(service, version, mode, path)
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                super().__init__(service, version, mode, path)
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enters the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                super().__init__(service, version, mode, path)
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enables/disables phase localized compressive scheme.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specifies the slope limiter to set a specific discretization scheme for each phase pair. A value of 0 corresponds to first order upwind, a value of 1 corresponds to second order upwind, a value of 2 applies the compressive scheme, and a value between 0 and 2 corresponds to a blended scheme. This option is available only wheninterphase-discr? is enabled.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """

                    class heat_mass_reactions(TUIMenu):
                        """
                        Enters the menu to set heat, mass-transfer, and reaction models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            super().__init__(service, version, mode, path)
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specify the turbulent dispersion model for each primary-secondary phase pair.
                            """
                        class drag(TUIMethod):
                            """
                            Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specify the wall lubrication model for each primary-secondary phase pair.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Set the interfacial area parameters for each pair of phases.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Species the heat transfer coefficient function between each pair of phases (constant-htc, nusselt-number, ranz-marshall, hughmark, tomiyama, fixed-to-sat-temp, two-resistance, or user-defined). This command is enable only with the Eulerian multiphase model.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specify the turbulence interaction model for each primary-secondary phase pair.
                            """
                        class model_transition(TUIMethod):
                            """
                            Set the model transition mechanism.
                            """
                        class reactions(TUIMethod):
                            """
                            Allows you to define multiple heterogeneous reactions and stoichiometry. This option is available only with the species model.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specify the slip velocity function for each secondary phase with respect to the primary phase.
                            """
                        class restitution(TUIMethod):
                            """
                            Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                            """

                        class virtual_mass(TUIMenu):
                            """
                            Enter the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                super().__init__(service, version, mode, path)
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """

                        class lift(TUIMenu):
                            """
                            Enter the menu to set lift models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                super().__init__(service, version, mode, path)
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                super().__init__(service, version, mode, path)
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enter the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                super().__init__(service, version, mode, path)
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enter the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                super().__init__(service, version, mode, path)
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """

                        class cavitation(TUIMenu):
                            """
                            Enters the menu to set cavitation models. This option is available only for the Mixture multiphase model with the Singhal-et-al cavitation model enabled via solve/set/advanced/singhal-et-al-cavitation-model.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                super().__init__(service, version, mode, path)
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class cavitation(TUIMethod):
                                """
                                Sets the vaporization pressure, surface tension coefficient, and non-condensable gas mass fraction. This command is available only when cavitation? is enabled.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """

        class materials(TUIMenu):
            """
            Enters the materials menu.
            """
            def __init__(self, service, version, mode, path):
                self.data_base = self.__class__.data_base(service, version, mode, path + ["data_base"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.copy_by_formula = self.__class__.copy_by_formula(service, version, mode, path + ["copy_by_formula"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.change_create = self.__class__.change_create(service, version, mode, path + ["change_create"])
                self.list_materials = self.__class__.list_materials(service, version, mode, path + ["list_materials"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Deletes a material from local storage.
                """
            class copy_by_formula(TUIMethod):
                """
                Copies a material from the database by formula.
                """
            class copy(TUIMethod):
                """
                Copies a material from the database.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a locally-stored material.
                """
            class change_create(TUIMethod):
                """
                Changes the properties of a locally-stored material or create a new material.   Generally, the properties you enter at the prompts will be filtered according to your case and model settings. However, some of the listed properties may not match the selection choice in the Graphics User Interface. Typically, those excessive properties in the Text User Interface will not be used in your simulation.
                """
            class list_materials(TUIMethod):
                """
                Lists all locally-stored materials.
                """

            class data_base(TUIMenu):
                """
                Enters the material database menu.
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.save = self.__class__.save(service, version, mode, path + ["save"])
                    self.new = self.__class__.new(service, version, mode, path + ["new"])
                    self.database_type = self.__class__.database_type(service, version, mode, path + ["database_type"])
                    self.list_materials = self.__class__.list_materials(service, version, mode, path + ["list_materials"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edits material.
                    """
                class list_properties(TUIMethod):
                    """
                    Lists the properties of a material in the database.
                    """
                class save(TUIMethod):
                    """
                    Saves user-defined database.
                    """
                class new(TUIMethod):
                    """
                    Defines new material.
                    """
                class database_type(TUIMethod):
                    """
                    Sets the database type 	(fluent-database, 	granta-mds, or 	user-defined).
                    """
                class list_materials(TUIMethod):
                    """
                    Lists all materials in the database.
                    """

        class gap_model(TUIMenu):
            """
            Enters the gap model menu, where you can define one or more gap regions where the flow is blocked or decelerated when face zones move within a specified proximity threshold of each other.
            """
            def __init__(self, service, version, mode, path):
                self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                self.list_gap_face_zones = self.__class__.list_gap_face_zones(service, version, mode, path + ["list_gap_face_zones"])
                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                self.list_gap_regions = self.__class__.list_gap_regions(service, version, mode, path + ["list_gap_regions"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.render_gap_regions = self.__class__.render_gap_regions(service, version, mode, path + ["render_gap_regions"])
                self.list_gap_cell_zones = self.__class__.list_gap_cell_zones(service, version, mode, path + ["list_gap_cell_zones"])
                super().__init__(service, version, mode, path)
            class list_gap_face_zones(TUIMethod):
                """
                Lists the names of the face zones that can be used for creating gap regions.
                """
            class enable(TUIMethod):
                """
                Enables/disables the gap model.
                """
            class list_gap_regions(TUIMethod):
                """
                Lists the properties of the gap regions.
                """
            class create(TUIMethod):
                """
                Creates a single gap region, so that when selected face zones move within a specified proximity threshold of each other, flow blockage / deceleration is applied to the cells that lie within the threshold.
                """
            class delete(TUIMethod):
                """
                Deletes an existing gap region.
                """
            class delete_all(TUIMethod):
                """
                Deletes all of the existing gap regions.
                """
            class edit(TUIMethod):
                """
                Edits an existing gap region.
                """
            class render_gap_regions(TUIMethod):
                """
                Update gap regions for postprocessing.
                """
            class list_gap_cell_zones(TUIMethod):
                """
                Lists the names of the cell zones that can be excluded for individual gap regions (so that such cells are not marked for flow blockage / deceleration).
                """

            class advanced_options(TUIMenu):
                """
                Enters the advanced options menu for the gap model.
                """
                def __init__(self, service, version, mode, path):
                    self.sponge_layer = self.__class__.sponge_layer(service, version, mode, path + ["sponge_layer"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.reduce_gap_regions = self.__class__.reduce_gap_regions(service, version, mode, path + ["reduce_gap_regions"])
                    self.update_gap_regions = self.__class__.update_gap_regions(service, version, mode, path + ["update_gap_regions"])
                    self.extend_gap_regions = self.__class__.extend_gap_regions(service, version, mode, path + ["extend_gap_regions"])
                    self.enhanced_data_interpolation = self.__class__.enhanced_data_interpolation(service, version, mode, path + ["enhanced_data_interpolation"])
                    self.precise_gap_marking = self.__class__.precise_gap_marking(service, version, mode, path + ["precise_gap_marking"])
                    self.fill_data_in_gap_regions = self.__class__.fill_data_in_gap_regions(service, version, mode, path + ["fill_data_in_gap_regions"])
                    self.revert_controls_to_default = self.__class__.revert_controls_to_default(service, version, mode, path + ["revert_controls_to_default"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.clear_gap_regions = self.__class__.clear_gap_regions(service, version, mode, path + ["clear_gap_regions"])
                    self.check_cfl_condition = self.__class__.check_cfl_condition(service, version, mode, path + ["check_cfl_condition"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.flow_blocking_stabilization_parameters = self.__class__.flow_blocking_stabilization_parameters(service, version, mode, path + ["flow_blocking_stabilization_parameters"])
                    self.render_gap_interface = self.__class__.render_gap_interface(service, version, mode, path + ["render_gap_interface"])
                    self.render_flow_modeling_gaps = self.__class__.render_flow_modeling_gaps(service, version, mode, path + ["render_flow_modeling_gaps"])
                    self.alternative_marking = self.__class__.alternative_marking(service, version, mode, path + ["alternative_marking"])
                    self.cell_check_distance_factor = self.__class__.cell_check_distance_factor(service, version, mode, path + ["cell_check_distance_factor"])
                    self.include_coupled_walls = self.__class__.include_coupled_walls(service, version, mode, path + ["include_coupled_walls"])
                    super().__init__(service, version, mode, path)
                class sponge_layer(TUIMethod):
                    """
                    Allows you to edit the solution stabilization settings for flow-modeling gap regions 	that have sponge-layer local stabilization 	enabled.
                    """
                class expert(TUIMethod):
                    """
                    Enables/disables access to expert-level text commands 	for the gap model.
                    """
                class reduce_gap_regions(TUIMethod):
                    """
                    Enables/disables a more restrictive algorithm for marking cells in gap regions. This 	text command is only available if you have enabled the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class update_gap_regions(TUIMethod):
                    """
                    Update gap regions and gap model solution information.
                    """
                class extend_gap_regions(TUIMethod):
                    """
                    Enables/disables the extending of the gap regions by including additional cells in 	the vicinity of the gap interfaces during marking. This 	is useful when the default shape of the marked cells is 	negatively affecting solution stability or convergence 	behavior.
                    """
                class enhanced_data_interpolation(TUIMethod):
                    """
                    Enables/disables the use of enhanced data 	interpolation when updating information in gap regions. 	This text command is only available if you have enabled 	the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class precise_gap_marking(TUIMethod):
                    """
                    Enables/disables the use of a more accurate search algorithm for marking cells in 	gap regions. Note that it can be costly, particularly 	for 3D cases or those with a large number of cells 	inside the gap regions. This text command is only 	available if you have enabled the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class fill_data_in_gap_regions(TUIMethod):
                    """
                    Enables/disables the interpolation of solution data throughout the gap regions. This 	text command is only available if you have enabled the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class revert_controls_to_default(TUIMethod):
                    """
                    Reverts the global gap stabilization level and any related 	solver settings to the default.
                    """
                class verbosity(TUIMethod):
                    """
                    Sets the verbosity for messages printed in the console 	related to the gap model.
                    """
                class clear_gap_regions(TUIMethod):
                    """
                    Clear gap model solution information and marks.
                    """
                class check_cfl_condition(TUIMethod):
                    """
                    Enables/disables the printing of warnings if the time 	step size is too large based on a Courant (CFL) number 	automatically determined for your specified solution 	stability level.
                    """
                class solution_stabilization(TUIMethod):
                    """
                    Sets the global solution stabilization level for the gap 	regions.
                    """
                class flow_blocking_stabilization_parameters(TUIMethod):
                    """
                    Adjust stabilization settings for the sponge layer used for blocked gap regions.
                    """
                class render_gap_interface(TUIMethod):
                    """
                    Enables/disables the rendering of the mesh surfaces inside the gap regions when 	displaying the mesh with contours. Note that the 	solution is still not rendered inside the flow-blocking 	gap regions.
                    """
                class render_flow_modeling_gaps(TUIMethod):
                    """
                    Enables/disables the rendering of the solution in the cells of flow-modeling gap 	regions during postprocessing. This text command is only 	available if you have enabled the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class alternative_marking(TUIMethod):
                    """
                    Mark gap regions using an alternative marking algorithm.
                    """
                class cell_check_distance_factor(TUIMethod):
                    """
                    Enter value of the cell distance factor.
                    """
                class include_coupled_walls(TUIMethod):
                    """
                    Include coupled walls in gap face zones.
                    """

        class spectral(TUIMenu):
            """
            Enter the Spectral menu.
            """
            def __init__(self, service, version, mode, path):
                self.delete_harmonic_exports = self.__class__.delete_harmonic_exports(service, version, mode, path + ["delete_harmonic_exports"])
                self.delete_fourier_coefficients = self.__class__.delete_fourier_coefficients(service, version, mode, path + ["delete_fourier_coefficients"])
                self.calculate_fourier_coefficients = self.__class__.calculate_fourier_coefficients(service, version, mode, path + ["calculate_fourier_coefficients"])
                self.calculate_harmonic_exports = self.__class__.calculate_harmonic_exports(service, version, mode, path + ["calculate_harmonic_exports"])
                super().__init__(service, version, mode, path)
            class delete_harmonic_exports(TUIMethod):
                """
                Deletes Harmonic Export data.
                """
            class delete_fourier_coefficients(TUIMethod):
                """
                Deletes Fourier coefficient data.
                """
            class calculate_fourier_coefficients(TUIMethod):
                """
                Calculates Fourier coefficient data.
                """
            class calculate_harmonic_exports(TUIMethod):
                """
                Calculates Harmonic Export data.
                """

        class overset_interfaces(TUIMenu):
            """
            Enters the overset interfaces menu.
            """
            def __init__(self, service, version, mode, path):
                self.options = self.__class__.options(service, version, mode, path + ["options"])
                self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
                self.cut_control = self.__class__.cut_control(service, version, mode, path + ["cut_control"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.read_dci_from_case = self.__class__.read_dci_from_case(service, version, mode, path + ["read_dci_from_case"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.grid_priorities = self.__class__.grid_priorities(service, version, mode, path + ["grid_priorities"])
                self.clear_all = self.__class__.clear_all(service, version, mode, path + ["clear_all"])
                self.free_dci = self.__class__.free_dci(service, version, mode, path + ["free_dci"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.write_dci = self.__class__.write_dci(service, version, mode, path + ["write_dci"])
                self.update_from_dci = self.__class__.update_from_dci(service, version, mode, path + ["update_from_dci"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.write_dci_to_case = self.__class__.write_dci_to_case(service, version, mode, path + ["write_dci_to_case"])
                self.check = self.__class__.check(service, version, mode, path + ["check"])
                self.fill_dci = self.__class__.fill_dci(service, version, mode, path + ["fill_dci"])
                self.debug_hole_cut = self.__class__.debug_hole_cut(service, version, mode, path + ["debug_hole_cut"])
                self.write_cell_types = self.__class__.write_cell_types(service, version, mode, path + ["write_cell_types"])
                self.intersect = self.__class__.intersect(service, version, mode, path + ["intersect"])
                self.find_bounding_cell = self.__class__.find_bounding_cell(service, version, mode, path + ["find_bounding_cell"])
                self.find_all_bounding_cells = self.__class__.find_all_bounding_cells(service, version, mode, path + ["find_all_bounding_cells"])
                self.display_cells = self.__class__.display_cells(service, version, mode, path + ["display_cells"])
                self.mark_cells = self.__class__.mark_cells(service, version, mode, path + ["mark_cells"])
                self.mark_cell_change = self.__class__.mark_cell_change(service, version, mode, path + ["mark_cell_change"])
                self.set_mark_bounds = self.__class__.set_mark_bounds(service, version, mode, path + ["set_mark_bounds"])
                self.intersect_all = self.__class__.intersect_all(service, version, mode, path + ["intersect_all"])
                self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                super().__init__(service, version, mode, path)
            class create(TUIMethod):
                """
                Creates an overset interface.
                """
            class read_dci_from_case(TUIMethod):
                """
                Read domain connectivity information (DCI) from case file.
                """
            class delete(TUIMethod):
                """
                Deletes an overset interface.
                """
            class grid_priorities(TUIMethod):
                """
                Allows you to specify grid priorities on background and component meshes, used in the overlap minimization of an overset interface.
                """
            class clear_all(TUIMethod):
                """
                Clears the domain connectivity of all overset interfaces. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class free_dci(TUIMethod):
                """
                Free overset domain connectivity information (DCI).
                """
            class delete_all(TUIMethod):
                """
                Deletes all overset interfaces in the domain.
                """
            class write_dci(TUIMethod):
                """
                Save domain connectivity information (DCI) to a text file.
                """
            class update_from_dci(TUIMethod):
                """
                Update all overset intrfaces from stored domain connectivity information (DCI).
                """
            class list(TUIMethod):
                """
                Lists information about the overset interfaces. The output depends on the overset verbosity setting.
                """
            class write_dci_to_case(TUIMethod):
                """
                Save domain connectivity information (DCI) to case file.
                """
            class check(TUIMethod):
                """
                Checks the integrity of the overset interfaces. Reports orphan cells and errors in the domain connectivity.
                """
            class fill_dci(TUIMethod):
                """
                Fill overset domain connectivity information (DCI).
                """
            class debug_hole_cut(TUIMethod):
                """
                Debugging tool to troubleshoot hole cutting of overset interfaces. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class write_cell_types(TUIMethod):
                """
                Write overset cell types into file.
                """
            class intersect(TUIMethod):
                """
                Executes the hole cutting of an overset interface and establishes the domain connectivity. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class find_bounding_cell(TUIMethod):
                """
                Find bounding cell for given cell or search point.
                """
            class find_all_bounding_cells(TUIMethod):
                """
                Find bounding cells for all cell centroids.
                """
            class display_cells(TUIMethod):
                """
                Displays the overset cells marked using the text command define/overset-interfaces/mark-cells.
                """
            class mark_cells(TUIMethod):
                """
                Marks the specified overset cells (solve, receptor, donor, orphan, or dead) and fills registers based on the markings. Display the marked cells via the text command define/overset-interfaces/display-cells.
                """
            class mark_cell_change(TUIMethod):
                """
                Marks cells that have undergone a specified overset cell type change (from solve,receptor, or dead to any other type) in the last time step. Adaption registers are automatically filled based on these markings. This text command is only available for unsteady simulations and if define/overset-interfaces/options/expert? is set to yes.
                """
            class set_mark_bounds(TUIMethod):
                """
                Allows you to set bounds so that any marking of cells is performed within a spherical region based on a specified origin and radius. This can be useful when diagnosing a local problem on a large mesh. This text command is only available if define/overset-interfaces/options/expert? is set to yes. After defining the bounds, you can then mark the cells using the define/overset-interfaces/mark-cell-change or define/overset-interfaces/mark-cells text command. To disable the bounds, enter a radius of 0.
                """
            class intersect_all(TUIMethod):
                """
                Executes hole cutting for all overset interfaces in the domain. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class clear(TUIMethod):
                """
                Clears the domain connectivity of an overset interface. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """

            class options(TUIMenu):
                """
                Enters the overset interface options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.mesh_interfaces = self.__class__.mesh_interfaces(service, version, mode, path + ["mesh_interfaces"])
                    self.auto_create = self.__class__.auto_create(service, version, mode, path + ["auto_create"])
                    self.modified_hole_cutting = self.__class__.modified_hole_cutting(service, version, mode, path + ["modified_hole_cutting"])
                    self.transient_caching = self.__class__.transient_caching(service, version, mode, path + ["transient_caching"])
                    self.solve_island_removal = self.__class__.solve_island_removal(service, version, mode, path + ["solve_island_removal"])
                    self.modified_donor_search = self.__class__.modified_donor_search(service, version, mode, path + ["modified_donor_search"])
                    self.update_before_case_write = self.__class__.update_before_case_write(service, version, mode, path + ["update_before_case_write"])
                    self.dead_cell_update = self.__class__.dead_cell_update(service, version, mode, path + ["dead_cell_update"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.node_connected_donors = self.__class__.node_connected_donors(service, version, mode, path + ["node_connected_donors"])
                    self.donor_priority_method = self.__class__.donor_priority_method(service, version, mode, path + ["donor_priority_method"])
                    self.parallel = self.__class__.parallel(service, version, mode, path + ["parallel"])
                    self.partial_cut_faces = self.__class__.partial_cut_faces(service, version, mode, path + ["partial_cut_faces"])
                    self.minimize_overlap = self.__class__.minimize_overlap(service, version, mode, path + ["minimize_overlap"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.overlap_boundaries = self.__class__.overlap_boundaries(service, version, mode, path + ["overlap_boundaries"])
                    self.render_receptor_cells = self.__class__.render_receptor_cells(service, version, mode, path + ["render_receptor_cells"])
                    super().__init__(service, version, mode, path)
                class mesh_interfaces(TUIMethod):
                    """
                    Allows the inclusion of non-conformal mesh interfaces 	inside overset cell zones, as long as the mesh 	interfaces do not spatially overlap with the cells where 	the overset interfaces lie.
                    """
                class auto_create(TUIMethod):
                    """
                    Enables the automatic creation of a default overset interface during 	initialization or mesh motion update.
                    """
                class modified_hole_cutting(TUIMethod):
                    """
                    Enables / disables modified hole cutting parameters. When enabled, the parameters used can 	help avoid dead cell zones that result from a hole 	cutting failure. This text command is only available 	when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class transient_caching(TUIMethod):
                    """
                    Sets the options to control caching of entities in transient overset simulations. This text 	command is only available when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class solve_island_removal(TUIMethod):
                    """
                    Sets the method used to control the removal of isolated patches of solve cells. This text 	command is only available when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class modified_donor_search(TUIMethod):
                    """
                    Enables / disables modified donor search parameters. When enabled, these parameters result in 	a more extended donor search, which can be helpful for 	meshes with orphans. This text command is only available 	when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class update_before_case_write(TUIMethod):
                    """
                    Enables/disables the updating of the overset interfaces before writing a case file in the 	Common Fluids Format (CFF). This text command is only 	available when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class dead_cell_update(TUIMethod):
                    """
                    Enables/disables the updating of dead cells during the solution process, which may 	be helpful for some moving and dynamic mesh simulations 	(though at the cost of solver performance). You can 	enter the number of layers of dead cells adjacent to the 	receptor cells that you want updated, or enter -1 to request that all dead 	cells are updated. This text command is only available 	for transient simulations when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class verbosity(TUIMethod):
                    """
                    Specifies the level of detail printed in the console about overset 	interfaces.
                    """
                class node_connected_donors(TUIMethod):
                    """
                    Allows you to switch between face or node connected donor cells. This text command is only 	available when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class donor_priority_method(TUIMethod):
                    """
                    Allows you to specify whether the cell donor priority used in the overlap 	minimization of an overset interface is inversely proportional to either the 	cell size or the distance to the nearest boundary.
                    """
                class parallel(TUIMethod):
                    """
                    Allows you to select the algorithm used for overset parallel processing. You can 	select from the default cell exchange model or the local 	cell zone replication model; the cell exchange model 	should require less memory and may result in faster 	calculations.
                    """
                class partial_cut_faces(TUIMethod):
                    """
                    Enables/disables enhanced hole cutting, where partially overlapping cut faces are 	decomposed into overlapping and non-overlapping 	fractions, and only the non-overlapping fractions 	participate in the hole cutting. This can help avoid the 	situation where a region or cell zone is erroneously 	identified as dead because of leakage during flood 	filling, even though it has overlapping boundaries that 	match well. When this text command is disabled, the 	partially overlapping faces are entirely protected from 	cutting.
                    """
                class minimize_overlap(TUIMethod):
                    """
                    Allows you to disable overlap minimization during hole cutting.
                    """
                class expert(TUIMethod):
                    """
                    Enables / disables overset-related expert tools.
                    """
                class overlap_boundaries(TUIMethod):
                    """
                    Allows you to disable the detection of overlapping boundaries during hole cutting, 	in order to reduce the computational expense for cases 	that do not include such boundaries. When enabled, this 	text command also allows you to specify which boundary 	zones should be considered when detecting overlapping 	boundaries; this can be helpful when the default hole 	cutting process fails.
                    """
                class render_receptor_cells(TUIMethod):
                    """
                    Allows you to enable visualization of receptor cells in contour and mesh 	displays.
                    """

            class adapt(TUIMenu):
                """
                Enters the overset adaption menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    self.adapt_mesh = self.__class__.adapt_mesh(service, version, mode, path + ["adapt_mesh"])
                    self.mark_adaption = self.__class__.mark_adaption(service, version, mode, path + ["mark_adaption"])
                    super().__init__(service, version, mode, path)
                class adapt_mesh(TUIMethod):
                    """
                    Marks and adapts the mesh to improve your overset 	mesh.
                    """
                class mark_adaption(TUIMethod):
                    """
                    Marks cells to identify those that can be adapted in 	order to improve your overset mesh.
                    """

                class set(TUIMenu):
                    """
                    Enters the overset adaption set menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mark_size = self.__class__.mark_size(service, version, mode, path + ["mark_size"])
                        self.buffer_layers = self.__class__.buffer_layers(service, version, mode, path + ["buffer_layers"])
                        self.anisotropic = self.__class__.anisotropic(service, version, mode, path + ["anisotropic"])
                        self.mark_orphans = self.__class__.mark_orphans(service, version, mode, path + ["mark_orphans"])
                        self.adaption_sweeps = self.__class__.adaption_sweeps(service, version, mode, path + ["adaption_sweeps"])
                        self.mark_coarsening = self.__class__.mark_coarsening(service, version, mode, path + ["mark_coarsening"])
                        self.automatic = self.__class__.automatic(service, version, mode, path + ["automatic"])
                        self.maximum_refinement_level = self.__class__.maximum_refinement_level(service, version, mode, path + ["maximum_refinement_level"])
                        self.mark_fixed_orphans = self.__class__.mark_fixed_orphans(service, version, mode, path + ["mark_fixed_orphans"])
                        self.mark_gaps = self.__class__.mark_gaps(service, version, mode, path + ["mark_gaps"])
                        self.gap_resolution = self.__class__.gap_resolution(service, version, mode, path + ["gap_resolution"])
                        self.length_ratio_max = self.__class__.length_ratio_max(service, version, mode, path + ["length_ratio_max"])
                        super().__init__(service, version, mode, path)
                    class mark_size(TUIMethod):
                        """
                        Enables/disables the option to adapt based on donor-receptor cell size differences.
                        """
                    class buffer_layers(TUIMethod):
                        """
                        Sets the number of cell layers marked in addition to the cells marked for orphan adaption.
                        """
                    class anisotropic(TUIMethod):
                        """
                        Enable the option to use anisotropic adaption in prismatic cells.
                        """
                    class mark_orphans(TUIMethod):
                        """
                        Enables/disables the option to adapt for orphan reduction.
                        """
                    class adaption_sweeps(TUIMethod):
                        """
                        Sets the number of rounds of adaption applied during each adaption cycle.
                        """
                    class mark_coarsening(TUIMethod):
                        """
                        Enables/disables the option to coarsen the mesh if mesh refinement is no longer needed. This option is enabled by default.
                        """
                    class automatic(TUIMethod):
                        """
                        Enable the option to automatically adapt overset meshes during solution update.
                        """
                    class maximum_refinement_level(TUIMethod):
                        """
                        Sets the maximum level of refinement during overset adaption, in conjunction with the value set using the mesh/adapt/set/maximum-refinement-level text command (the larger of the two values is used).
                        """
                    class mark_fixed_orphans(TUIMethod):
                        """
                        Enables/disables the option to also adapt based on cells that are not actual orphans because they were fixed by accepting neighbor donors. This option is only applied if define/overset-interfaces/adapt/set/mark-orphans? is enabled.
                        """
                    class mark_gaps(TUIMethod):
                        """
                        Enable the option to adapt underresolved gaps.
                        """
                    class gap_resolution(TUIMethod):
                        """
                        Set the target (minimum) gap resolution used when marking cells for gap adaption.
                        """
                    class length_ratio_max(TUIMethod):
                        """
                        Sets the length scale ratio threshold used to determine which cells are marked for adaption based on donor-receptor cell size differences.
                        """

            class cut_control(TUIMenu):
                """
                Enters the overset hole cut control menu.
                """
                def __init__(self, service, version, mode, path):
                    self.cut_seeds = self.__class__.cut_seeds(service, version, mode, path + ["cut_seeds"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    Deletes the hole cut control for a boundary 	zone.
                    """
                class delete_all(TUIMethod):
                    """
                    Deletes the hole cut controls for all boundary 	zones.
                    """
                class add(TUIMethod):
                    """
                    Adds a hole cut control, so that a boundary zone does 	not cut specified cell zones.
                    """
                class list(TUIMethod):
                    """
                    Lists the defined hole cut controls.
                    """

                class cut_seeds(TUIMenu):
                    """
                    Enters the overset hole cut seeds menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                        self.cut_seeds_for_all_component_zones = self.__class__.cut_seeds_for_all_component_zones(service, version, mode, path + ["cut_seeds_for_all_component_zones"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        super().__init__(service, version, mode, path)
                    class list(TUIMethod):
                        """
                        List the defined hole cut seeds.
                        """
                    class delete(TUIMethod):
                        """
                        Delete a hole cut seed.
                        """
                    class delete_all(TUIMethod):
                        """
                        Delete all hole cut seeds.
                        """
                    class cut_seeds_for_all_component_zones(TUIMethod):
                        """
                        Specifies whether all component zones get cut seeds, which cut pilot holes into the overlapping meshes that will then be enlarged during overlap minimization.
                        """
                    class add(TUIMethod):
                        """
                        Add a hole cut seed.
                        """

        class reference_frames(TUIMenu):
            """
            Enters the reference frames menu.
            """
            def __init__(self, service, version, mode, path):
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.hide = self.__class__.hide(service, version, mode, path + ["hide"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.display_edit = self.__class__.display_edit(service, version, mode, path + ["display_edit"])
                super().__init__(service, version, mode, path)
            class add(TUIMethod):
                """
                Creates a new reference frame.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of the reference frame you specify.
                """
            class edit(TUIMethod):
                """
                Allows you to edit a reference frame.
                """
            class list(TUIMethod):
                """
                Lists all of the reference frames.
                """
            class display(TUIMethod):
                """
                Displays the reference frame you specify.
                """
            class hide(TUIMethod):
                """
                Removes the specified reference frame from the graphics window.
                """
            class delete(TUIMethod):
                """
                Deletes the reference frame you specify.
                """
            class display_edit(TUIMethod):
                """
                Display and edit reference frame from graphics.
                """

        class virtual_boundary(TUIMenu):
            """
            Manage Virtual Boundaries.
            """
            def __init__(self, service, version, mode, path):
                self.hole_geometry = self.__class__.hole_geometry(service, version, mode, path + ["hole_geometry"])
                self.boundary_interface = self.__class__.boundary_interface(service, version, mode, path + ["boundary_interface"])
                super().__init__(service, version, mode, path)
            class hole_geometry(TUIMethod):
                """
                Create a Hole Geometry template.
                """
            class boundary_interface(TUIMethod):
                """
                Create a Boundary Interface.
                """

        class profiles(TUIMenu):
            """
            Enters the boundary profiles menu.
            """
            def __init__(self, service, version, mode, path):
                self.set_preference_profile_point_cloud_data = self.__class__.set_preference_profile_point_cloud_data(service, version, mode, path + ["set_preference_profile_point_cloud_data"])
                self.display_profile_surface = self.__class__.display_profile_surface(service, version, mode, path + ["display_profile_surface"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.replicate_profile = self.__class__.replicate_profile(service, version, mode, path + ["replicate_profile"])
                self.orient_profile = self.__class__.orient_profile(service, version, mode, path + ["orient_profile"])
                self.list_profile_fields = self.__class__.list_profile_fields(service, version, mode, path + ["list_profile_fields"])
                self.display_profile_point_cloud_data = self.__class__.display_profile_point_cloud_data(service, version, mode, path + ["display_profile_point_cloud_data"])
                self.overlay_profile_surface = self.__class__.overlay_profile_surface(service, version, mode, path + ["overlay_profile_surface"])
                self.overlay_profile_point_cloud_data = self.__class__.overlay_profile_point_cloud_data(service, version, mode, path + ["overlay_profile_point_cloud_data"])
                self.list_profiles = self.__class__.list_profiles(service, version, mode, path + ["list_profiles"])
                self.morphing = self.__class__.morphing(service, version, mode, path + ["morphing"])
                self.link_profile_to_reference_frame = self.__class__.link_profile_to_reference_frame(service, version, mode, path + ["link_profile_to_reference_frame"])
                self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                self.list_profile_parameters = self.__class__.list_profile_parameters(service, version, mode, path + ["list_profile_parameters"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.interpolation_method = self.__class__.interpolation_method(service, version, mode, path + ["interpolation_method"])
                super().__init__(service, version, mode, path)
            class set_preference_profile_point_cloud_data(TUIMethod):
                """
                Set Preference Profile Point Cloud Data e.g., Point marker symbol,size,color.
                """
            class display_profile_surface(TUIMethod):
                """
                Display the profile as a surface (this option is only available if the specified profile contains node-connectivity data).
                """
            class delete(TUIMethod):
                """
                Deletes a profile.
                """
            class replicate_profile(TUIMethod):
                """
                Replicate Profile.
                """
            class orient_profile(TUIMethod):
                """
                Re-orient an existing profile.
                """
            class list_profile_fields(TUIMethod):
                """
                Lists the fields of a particular profile.
                """
            class display_profile_point_cloud_data(TUIMethod):
                """
                Display Profile Point Cloud Data.
                """
            class overlay_profile_surface(TUIMethod):
                """
                Overlay Profile Surface.
                """
            class overlay_profile_point_cloud_data(TUIMethod):
                """
                Overlay Profile Point Cloud Data.
                """
            class list_profiles(TUIMethod):
                """
                Lists all profiles.
                """
            class morphing(TUIMethod):
                """
                Enables/disables profile morphing options in Orient Profile panel.
                """
            class link_profile_to_reference_frame(TUIMethod):
                """
                Attaches a profile to a reference frame so that the profile will rotate according to the reference frame.
                """
            class update_interval(TUIMethod):
                """
                Sets interval between updates of dynamic profiles.
                """
            class list_profile_parameters(TUIMethod):
                """
                List the parameters of a particular profile.
                """
            class delete_all(TUIMethod):
                """
                Deletes all boundary-profiles.
                """
            class interpolation_method(TUIMethod):
                """
                Chooses the method for interpolation of profiles.
                """

        class mesh_interfaces(TUIMenu):
            """
            Enters the mesh-interfaces menu.
            """
            def __init__(self, service, version, mode, path):
                self.auto_options = self.__class__.auto_options(service, version, mode, path + ["auto_options"])
                self.non_conformal_interface_numerics = self.__class__.non_conformal_interface_numerics(service, version, mode, path + ["non_conformal_interface_numerics"])
                self.mapped_interface_options = self.__class__.mapped_interface_options(service, version, mode, path + ["mapped_interface_options"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.non_overlapping_zone_name = self.__class__.non_overlapping_zone_name(service, version, mode, path + ["non_overlapping_zone_name"])
                self.enforce_continuity_after_bc = self.__class__.enforce_continuity_after_bc(service, version, mode, path + ["enforce_continuity_after_bc"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.one_to_one_pairing = self.__class__.one_to_one_pairing(service, version, mode, path + ["one_to_one_pairing"])
                self.enable_si_with_nodes = self.__class__.enable_si_with_nodes(service, version, mode, path + ["enable_si_with_nodes"])
                self.auto_pairing = self.__class__.auto_pairing(service, version, mode, path + ["auto_pairing"])
                self.enforce_coupled_wall_between_solids = self.__class__.enforce_coupled_wall_between_solids(service, version, mode, path + ["enforce_coupled_wall_between_solids"])
                self.make_periodic = self.__class__.make_periodic(service, version, mode, path + ["make_periodic"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                self.improve_quality = self.__class__.improve_quality(service, version, mode, path + ["improve_quality"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.make_phaselag_from_periodic = self.__class__.make_phaselag_from_periodic(service, version, mode, path + ["make_phaselag_from_periodic"])
                self.transfer_motion_across_interfaces = self.__class__.transfer_motion_across_interfaces(service, version, mode, path + ["transfer_motion_across_interfaces"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.turbo_create = self.__class__.turbo_create(service, version, mode, path + ["turbo_create"])
                self.enable_visualization_of_interfaces = self.__class__.enable_visualization_of_interfaces(service, version, mode, path + ["enable_visualization_of_interfaces"])
                self.remove_left_handed_interface_faces = self.__class__.remove_left_handed_interface_faces(service, version, mode, path + ["remove_left_handed_interface_faces"])
                self.make_phaselag_from_boundaries = self.__class__.make_phaselag_from_boundaries(service, version, mode, path + ["make_phaselag_from_boundaries"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Deletes a mesh interface.
                """
            class non_overlapping_zone_name(TUIMethod):
                """
                Get non-overlapping zone name from the associated interface zone.
                """
            class enforce_continuity_after_bc(TUIMethod):
                """
                Enables/disables continuity across the boundary condition interface for contour plots in postprocessing.
                """
            class list(TUIMethod):
                """
                Lists all mesh interfaces.
                """
            class display(TUIMethod):
                """
                Displays the specified mesh interface zone.
                """
            class one_to_one_pairing(TUIMethod):
                """
                Use the default one-to-one interface creation method?.
                """
            class enable_si_with_nodes(TUIMethod):
                """
                Enable sliding interfaces with nodes.
                """
            class auto_pairing(TUIMethod):
                """
                Automatically "pairs" some or all of the interface zones, in order to create mesh interfaces. This text command is only available when the define/mesh-interfaces/one-to-one-pairing? text command is disabled.
                """
            class enforce_coupled_wall_between_solids(TUIMethod):
                """
                Enables/disables automatic definition of solid-solid interfaces as coupled walls. By default this option is disabled and ANSYS Fluent creates interior boundaries at solid-solid interfaces.
                """
            class make_periodic(TUIMethod):
                """
                Make interface zones periodic.
                """
            class create(TUIMethod):
                """
                Creates mesh interfaces.
                """
            class verbosity(TUIMethod):
                """
                Sets the mesh interface verbosity.
                """
            class improve_quality(TUIMethod):
                """
                Checks the quality of all mapped interfaces. If Fluent finds any mapped interfaces that require improvement it will list them and ask you if you would like to increase the tolerance to improve the interfaces.
                """
            class delete_all(TUIMethod):
                """
                Deletes all mesh interfaces.
                """
            class make_phaselag_from_periodic(TUIMethod):
                """
                Convert periodic interface to phase lagged.
                """
            class transfer_motion_across_interfaces(TUIMethod):
                """
                Enables/disables the automatic transfer of motion across a mesh interface when only one side is moving as a result of user-defined or system coupling motion. You can specify the method by which the motion is transferred: transfer-displacements (the default) interpolates nodal displacement from the active side of the interface to the passive side, and is recommended when there are gaps and/or penetrations in the mesh interface that must be maintained; project-nodes projects the passive nodes onto the faces of active side, and is recommended when the active side includes significant tangential motion (as only the normal displacement is effectively transferred in this method).
                """
            class edit(TUIMethod):
                """
                Edits attributes of existing mesh interfaces. For one-to-one interfaces, you can edit the name; for many-to-many interfaces, you can edit the interface options and (for a single interface) the name and the list of interface zones assigned to the interface.
                """
            class turbo_create(TUIMethod):
                """
                Creates a general turbo interface. This text command is only available if the define/turbo-model/enable-turbo-model? text command is enabled.
                """
            class enable_visualization_of_interfaces(TUIMethod):
                """
                Enables/disables the filling of node coordinates on the zones of mesh interfaces, so that they can be displayed in the graphics window.
                """
            class remove_left_handed_interface_faces(TUIMethod):
                """
                Removes left-handed faces (which can cause the mesh to be invalid) during mesh interface creation.
                """
            class make_phaselag_from_boundaries(TUIMethod):
                """
                Make interface zones phase lagged.
                """

            class auto_options(TUIMenu):
                """
                Enters the auto-options menu. This menu is only available when the define/mesh-interfaces/one-to-one-pairing? text command is enabled.
                """
                def __init__(self, service, version, mode, path):
                    self.set_one_to_one_pairing_tolerance = self.__class__.set_one_to_one_pairing_tolerance(service, version, mode, path + ["set_one_to_one_pairing_tolerance"])
                    self.pairing_between_interface_zones_only = self.__class__.pairing_between_interface_zones_only(service, version, mode, path + ["pairing_between_interface_zones_only"])
                    self.set_default_name_prefix = self.__class__.set_default_name_prefix(service, version, mode, path + ["set_default_name_prefix"])
                    self.keep_empty_interface = self.__class__.keep_empty_interface(service, version, mode, path + ["keep_empty_interface"])
                    self.pairing_between_different_cell_zones_only = self.__class__.pairing_between_different_cell_zones_only(service, version, mode, path + ["pairing_between_different_cell_zones_only"])
                    self.proximity_tolerance = self.__class__.proximity_tolerance(service, version, mode, path + ["proximity_tolerance"])
                    self.naming_option = self.__class__.naming_option(service, version, mode, path + ["naming_option"])
                    super().__init__(service, version, mode, path)
                class set_one_to_one_pairing_tolerance(TUIMethod):
                    """
                    Enables/disables the use of adjustable tolerances to 	determine which of the selected boundary zones can be 	paired up to make the mesh interfaces, in order to 	account for gaps, thin layers, and/or complex 	geometries.
                    """
                class pairing_between_interface_zones_only(TUIMethod):
                    """
                    Pairing between interface zones only.
                    """
                class set_default_name_prefix(TUIMethod):
                    """
                    Specifies the default interface 	name prefix used for one-to-one mesh interfaces.
                    """
                class keep_empty_interface(TUIMethod):
                    """
                    Keep empty interfaces during one-to-one mesh interface creation.
                    """
                class pairing_between_different_cell_zones_only(TUIMethod):
                    """
                    Specifies whether the 	one-to-one mesh interfaces are only created between 	different cell zones.
                    """
                class proximity_tolerance(TUIMethod):
                    """
                    Sets the tolerance used as part 	of the automatic grouping of zones to create mesh 	interfaces when the define/mesh-interfaces/one-to-one-pairing? 	text command is disabled. The proximity tolerance is 	defined relative to the edge lengths in the interface 	zones, and can range from 0 to 1 (representing the minimum 	and maximum edge lengths, respectively).
                    """
                class naming_option(TUIMethod):
                    """
                    Specifies whether the name of each new one-to-one mesh 	interface (as well as existing mesh interfaces, if you 	so desire) has no additional suffix, or a suffix that 	includes the names of the associated boundary zones, the 	IDs of the associated boundary zones, or the names of 	the adjacent cell zones.
                    """

            class non_conformal_interface_numerics(TUIMenu):
                """
                Setting non-conformal numerics options.
                """
                def __init__(self, service, version, mode, path):
                    self.change_numerics = self.__class__.change_numerics(service, version, mode, path + ["change_numerics"])
                    super().__init__(service, version, mode, path)
                class change_numerics(TUIMethod):
                    """
                    Enable modified non-conformal interface numerics.
                    """

            class mapped_interface_options(TUIMenu):
                """
                Enter the mapped-interface-options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.convert_to_mapped_interface = self.__class__.convert_to_mapped_interface(service, version, mode, path + ["convert_to_mapped_interface"])
                    self.tolerance = self.__class__.tolerance(service, version, mode, path + ["tolerance"])
                    self.solution_controls = self.__class__.solution_controls(service, version, mode, path + ["solution_controls"])
                    super().__init__(service, version, mode, path)
                class convert_to_mapped_interface(TUIMethod):
                    """
                    Convert non-conformal mesh interface to mapped mesh interfaces.
                    """
                class tolerance(TUIMethod):
                    """
                    Specification of mapped interface tolerance.
                    """
                class solution_controls(TUIMethod):
                    """
                    Specification of mapped frequency and under-relaxation factor for mapped interfaces.
                    """

        class models(TUIMenu):
            """
            Enters the models menu to configure the solver.
            """
            def __init__(self, service, version, mode, path):
                self.nox_parameters = self.__class__.nox_parameters(service, version, mode, path + ["nox_parameters"])
                self.two_temperature = self.__class__.two_temperature(service, version, mode, path + ["two_temperature"])
                self.species = self.__class__.species(service, version, mode, path + ["species"])
                self.radiation = self.__class__.radiation(service, version, mode, path + ["radiation"])
                self.eulerian_wallfilm = self.__class__.eulerian_wallfilm(service, version, mode, path + ["eulerian_wallfilm"])
                self.cht = self.__class__.cht(service, version, mode, path + ["cht"])
                self.dpm = self.__class__.dpm(service, version, mode, path + ["dpm"])
                self.system_coupling_settings = self.__class__.system_coupling_settings(service, version, mode, path + ["system_coupling_settings"])
                self.shell_conduction = self.__class__.shell_conduction(service, version, mode, path + ["shell_conduction"])
                self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                self.optics = self.__class__.optics(service, version, mode, path + ["optics"])
                self.acoustics = self.__class__.acoustics(service, version, mode, path + ["acoustics"])
                self.multiphase = self.__class__.multiphase(service, version, mode, path + ["multiphase"])
                self.electrolysis = self.__class__.electrolysis(service, version, mode, path + ["electrolysis"])
                self.structure = self.__class__.structure(service, version, mode, path + ["structure"])
                self.viscous = self.__class__.viscous(service, version, mode, path + ["viscous"])
                self.solver = self.__class__.solver(service, version, mode, path + ["solver"])
                self.soot_parameters = self.__class__.soot_parameters(service, version, mode, path + ["soot_parameters"])
                self.unsteady_2nd_order_bounded = self.__class__.unsteady_2nd_order_bounded(service, version, mode, path + ["unsteady_2nd_order_bounded"])
                self.battery_model = self.__class__.battery_model(service, version, mode, path + ["battery_model"])
                self.ablation = self.__class__.ablation(service, version, mode, path + ["ablation"])
                self.unsteady_global_time = self.__class__.unsteady_global_time(service, version, mode, path + ["unsteady_global_time"])
                self.nox = self.__class__.nox(service, version, mode, path + ["nox"])
                self.noniterative_time_advance = self.__class__.noniterative_time_advance(service, version, mode, path + ["noniterative_time_advance"])
                self.unsteady_2nd_order = self.__class__.unsteady_2nd_order(service, version, mode, path + ["unsteady_2nd_order"])
                self.vbm = self.__class__.vbm(service, version, mode, path + ["vbm"])
                self.energy = self.__class__.energy(service, version, mode, path + ["energy"])
                self.steady = self.__class__.steady(service, version, mode, path + ["steady"])
                self.virtual_blade_model = self.__class__.virtual_blade_model(service, version, mode, path + ["virtual_blade_model"])
                self.unsteady_structure_newmark = self.__class__.unsteady_structure_newmark(service, version, mode, path + ["unsteady_structure_newmark"])
                self.soot = self.__class__.soot(service, version, mode, path + ["soot"])
                self.unsteady_1st_order = self.__class__.unsteady_1st_order(service, version, mode, path + ["unsteady_1st_order"])
                self.frozen_flux = self.__class__.frozen_flux(service, version, mode, path + ["frozen_flux"])
                self.addon_module = self.__class__.addon_module(service, version, mode, path + ["addon_module"])
                self.crevice_model_controls = self.__class__.crevice_model_controls(service, version, mode, path + ["crevice_model_controls"])
                self.swirl = self.__class__.swirl(service, version, mode, path + ["swirl"])
                self.unsteady_structure_euler = self.__class__.unsteady_structure_euler(service, version, mode, path + ["unsteady_structure_euler"])
                self.potential_and_li_ion_battery = self.__class__.potential_and_li_ion_battery(service, version, mode, path + ["potential_and_li_ion_battery"])
                self.solidification_melting = self.__class__.solidification_melting(service, version, mode, path + ["solidification_melting"])
                self.crevice_model = self.__class__.crevice_model(service, version, mode, path + ["crevice_model"])
                self.axisymmetric = self.__class__.axisymmetric(service, version, mode, path + ["axisymmetric"])
                super().__init__(service, version, mode, path)
            class unsteady_2nd_order_bounded(TUIMethod):
                """
                Selects the bounded second-order implicit formulation for transient simulations.
                """
            class battery_model(TUIMethod):
                """
                Enables the dual potential MSMD battery model. For text commands that become available when the battery model is enabled, refer to Battery Model Text Commands.
                """
            class ablation(TUIMethod):
                """
                Enables/disables the ablation model.
                """
            class unsteady_global_time(TUIMethod):
                """
                Selects the explicit transient formulation. This text command is only available for unsteady cases that use the density-based solver with the explicit formulation.
                """
            class nox(TUIMethod):
                """
                Enables/disables the NOx model.
                """
            class noniterative_time_advance(TUIMethod):
                """
                Enables/disables noniterative time advancement scheme.
                """
            class unsteady_2nd_order(TUIMethod):
                """
                Selects the second-order implicit formulation for transient simulations.
                """
            class vbm(TUIMethod):
                """
                Enable/disable Virtual Blade Model.
                """
            class energy(TUIMethod):
                """
                Enable/disable the energy model.
                """
            class steady(TUIMethod):
                """
                Enables/disables the steady solution model.
                """
            class virtual_blade_model(TUIMethod):
                """
                Enter VBM model menu.
                """
            class unsteady_structure_newmark(TUIMethod):
                """
                Selects the Newmark method for the direct time integration of the finite element semi-discrete equation of motion. This text command is only available for transient simulations that use the structural model.
                """
            class soot(TUIMethod):
                """
                Enables/disables the soot model.
                """
            class unsteady_1st_order(TUIMethod):
                """
                Selects the first-order implicit formulation for transient simulations.
                """
            class frozen_flux(TUIMethod):
                """
                Enables/disables frozen flux formulation for transient flows.
                """
            class addon_module(TUIMethod):
                """
                Loads addon module.
                """
            class crevice_model_controls(TUIMethod):
                """
                Enters the crevice model controls menu.
                """
            class swirl(TUIMethod):
                """
                Enables/disables axisymmetric swirl velocity.
                """
            class unsteady_structure_euler(TUIMethod):
                """
                Selects the backward Euler method for the direct time integration of the finite element semi-discrete equation of motion. This text command is only available for transient simulations that use the structural model.
                """
            class potential_and_li_ion_battery(TUIMethod):
                """
                Enables/disables the electric-potential model.
                """
            class solidification_melting(TUIMethod):
                """
                Enables/disables the solidification and melting model.
                """
            class crevice_model(TUIMethod):
                """
                Enables/disables the crevice model.
                """
            class axisymmetric(TUIMethod):
                """
                Specifies whether or not the domain is axisymmetric.
                """

            class nox_parameters(TUIMenu):
                """
                Enters the NOx parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.nox_turbulence_interaction = self.__class__.nox_turbulence_interaction(service, version, mode, path + ["nox_turbulence_interaction"])
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    self.nox_chemistry = self.__class__.nox_chemistry(service, version, mode, path + ["nox_chemistry"])
                    self.nox_expert = self.__class__.nox_expert(service, version, mode, path + ["nox_expert"])
                    super().__init__(service, version, mode, path)
                class nox_turbulence_interaction(TUIMethod):
                    """
                    Sets NOx turbulence interaction model.
                    """
                class inlet_diffusion(TUIMethod):
                    """
                    Enables/disables inclusion of diffusion at inlets.
                    """
                class nox_chemistry(TUIMethod):
                    """
                    Selects NOx chemistry model.
                    """
                class nox_expert(TUIMethod):
                    """
                    Selects additional NOx equations.
                    """

            class two_temperature(TUIMenu):
                """
                Enters the Two-Temperature model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.robustness_enhancement = self.__class__.robustness_enhancement(service, version, mode, path + ["robustness_enhancement"])
                    self.weak_ionization = self.__class__.weak_ionization(service, version, mode, path + ["weak_ionization"])
                    self.nasa9_enhancement = self.__class__.nasa9_enhancement(service, version, mode, path + ["nasa9_enhancement"])
                    self.set_verbosity = self.__class__.set_verbosity(service, version, mode, path + ["set_verbosity"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class robustness_enhancement(TUIMethod):
                    """
                    Enables/disables the robustness enhancement, which is 	on by default.
                    """
                class weak_ionization(TUIMethod):
                    """
                    Apply weak ionization in the two-temperature model.
                    """
                class nasa9_enhancement(TUIMethod):
                    """
                    Apply nasa9 robustness enhancements in the two-temperature model.
                    """
                class set_verbosity(TUIMethod):
                    """
                    Specifies the level of detail printed in the console 	about the Two-Temperature model. For a verbosity of one, 	Fluent will print the number of cells that reach the 	temperature limit, have an excessive temperature change, 	or get a negative temperature.
                    """
                class enable(TUIMethod):
                    """
                    Enables/disables the Two-Temperature model.
                    """

            class species(TUIMenu):
                """
                Enters the species models menu.
                """
                def __init__(self, service, version, mode, path):
                    self.CHEMKIN_CFD_parameters = self.__class__.CHEMKIN_CFD_parameters(service, version, mode, path + ["CHEMKIN_CFD_parameters"])
                    self.CHEMKIN_CFD = self.__class__.CHEMKIN_CFD(service, version, mode, path + ["CHEMKIN_CFD"])
                    self.partially_premixed_combustion_grids = self.__class__.partially_premixed_combustion_grids(service, version, mode, path + ["partially_premixed_combustion_grids"])
                    self.re_calc_par_premix_props = self.__class__.re_calc_par_premix_props(service, version, mode, path + ["re_calc_par_premix_props"])
                    self.reacting_channel_model = self.__class__.reacting_channel_model(service, version, mode, path + ["reacting_channel_model"])
                    self.non_premixed_combustion_expert = self.__class__.non_premixed_combustion_expert(service, version, mode, path + ["non_premixed_combustion_expert"])
                    self.reactor_network_model = self.__class__.reactor_network_model(service, version, mode, path + ["reactor_network_model"])
                    self.liquid_micro_mixing = self.__class__.liquid_micro_mixing(service, version, mode, path + ["liquid_micro_mixing"])
                    self.partially_premixed_combustion_expert = self.__class__.partially_premixed_combustion_expert(service, version, mode, path + ["partially_premixed_combustion_expert"])
                    self.coal_calculator = self.__class__.coal_calculator(service, version, mode, path + ["coal_calculator"])
                    self.stiff_chemistry = self.__class__.stiff_chemistry(service, version, mode, path + ["stiff_chemistry"])
                    self.multicomponent_diffusion = self.__class__.multicomponent_diffusion(service, version, mode, path + ["multicomponent_diffusion"])
                    self.relax_to_equil = self.__class__.relax_to_equil(service, version, mode, path + ["relax_to_equil"])
                    self.non_premixed_combustion = self.__class__.non_premixed_combustion(service, version, mode, path + ["non_premixed_combustion"])
                    self.premixed_model = self.__class__.premixed_model(service, version, mode, path + ["premixed_model"])
                    self.integration_parameters = self.__class__.integration_parameters(service, version, mode, path + ["integration_parameters"])
                    self.combustion_expert = self.__class__.combustion_expert(service, version, mode, path + ["combustion_expert"])
                    self.species_transport = self.__class__.species_transport(service, version, mode, path + ["species_transport"])
                    self.surf_reaction_aggressiveness_factor = self.__class__.surf_reaction_aggressiveness_factor(service, version, mode, path + ["surf_reaction_aggressiveness_factor"])
                    self.init_unsteady_flamelet_prob = self.__class__.init_unsteady_flamelet_prob(service, version, mode, path + ["init_unsteady_flamelet_prob"])
                    self.non_premixed_combustion_parameters = self.__class__.non_premixed_combustion_parameters(service, version, mode, path + ["non_premixed_combustion_parameters"])
                    self.full_tabulation = self.__class__.full_tabulation(service, version, mode, path + ["full_tabulation"])
                    self.mixing_model = self.__class__.mixing_model(service, version, mode, path + ["mixing_model"])
                    self.premixed_combustion = self.__class__.premixed_combustion(service, version, mode, path + ["premixed_combustion"])
                    self.save_gradients = self.__class__.save_gradients(service, version, mode, path + ["save_gradients"])
                    self.reaction_diffusion_balance = self.__class__.reaction_diffusion_balance(service, version, mode, path + ["reaction_diffusion_balance"])
                    self.species_transport_expert = self.__class__.species_transport_expert(service, version, mode, path + ["species_transport_expert"])
                    self.epdf_energy = self.__class__.epdf_energy(service, version, mode, path + ["epdf_energy"])
                    self.partially_premixed_combustion_parameters = self.__class__.partially_premixed_combustion_parameters(service, version, mode, path + ["partially_premixed_combustion_parameters"])
                    self.off = self.__class__.off(service, version, mode, path + ["off"])
                    self.particle_surface_reactions = self.__class__.particle_surface_reactions(service, version, mode, path + ["particle_surface_reactions"])
                    self.clear_isat_table = self.__class__.clear_isat_table(service, version, mode, path + ["clear_isat_table"])
                    self.combustion_numerics = self.__class__.combustion_numerics(service, version, mode, path + ["combustion_numerics"])
                    self.partially_premixed_properties = self.__class__.partially_premixed_properties(service, version, mode, path + ["partially_premixed_properties"])
                    self.heat_of_surface_reactions = self.__class__.heat_of_surface_reactions(service, version, mode, path + ["heat_of_surface_reactions"])
                    self.wall_surface_reactions = self.__class__.wall_surface_reactions(service, version, mode, path + ["wall_surface_reactions"])
                    self.ignition_model = self.__class__.ignition_model(service, version, mode, path + ["ignition_model"])
                    self.partially_premixed_combustion = self.__class__.partially_premixed_combustion(service, version, mode, path + ["partially_premixed_combustion"])
                    self.reacting_channel_model_options = self.__class__.reacting_channel_model_options(service, version, mode, path + ["reacting_channel_model_options"])
                    self.inert_transport_controls = self.__class__.inert_transport_controls(service, version, mode, path + ["inert_transport_controls"])
                    self.liquid_energy_diffusion = self.__class__.liquid_energy_diffusion(service, version, mode, path + ["liquid_energy_diffusion"])
                    self.electro_chemical_surface_reactions = self.__class__.electro_chemical_surface_reactions(service, version, mode, path + ["electro_chemical_surface_reactions"])
                    self.pdf_transport = self.__class__.pdf_transport(service, version, mode, path + ["pdf_transport"])
                    self.inert_transport_model = self.__class__.inert_transport_model(service, version, mode, path + ["inert_transport_model"])
                    self.volumetric_reactions = self.__class__.volumetric_reactions(service, version, mode, path + ["volumetric_reactions"])
                    self.diffusion_energy_source = self.__class__.diffusion_energy_source(service, version, mode, path + ["diffusion_energy_source"])
                    self.decoupled_detailed_chemistry = self.__class__.decoupled_detailed_chemistry(service, version, mode, path + ["decoupled_detailed_chemistry"])
                    self.import_flamelet_for_restart = self.__class__.import_flamelet_for_restart(service, version, mode, path + ["import_flamelet_for_restart"])
                    self.pdf_transport_expert = self.__class__.pdf_transport_expert(service, version, mode, path + ["pdf_transport_expert"])
                    self.ignition_model_controls = self.__class__.ignition_model_controls(service, version, mode, path + ["ignition_model_controls"])
                    self.thermal_diffusion = self.__class__.thermal_diffusion(service, version, mode, path + ["thermal_diffusion"])
                    self.surf_reaction_netm_params = self.__class__.surf_reaction_netm_params(service, version, mode, path + ["surf_reaction_netm_params"])
                    self.set_multi_regime_fgm = self.__class__.set_multi_regime_fgm(service, version, mode, path + ["set_multi_regime_fgm"])
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    self.species_migration = self.__class__.species_migration(service, version, mode, path + ["species_migration"])
                    self.thickened_flame_model = self.__class__.thickened_flame_model(service, version, mode, path + ["thickened_flame_model"])
                    self.mass_deposition_source = self.__class__.mass_deposition_source(service, version, mode, path + ["mass_deposition_source"])
                    self.set_turb_chem_interaction = self.__class__.set_turb_chem_interaction(service, version, mode, path + ["set_turb_chem_interaction"])
                    self.set_premixed_combustion = self.__class__.set_premixed_combustion(service, version, mode, path + ["set_premixed_combustion"])
                    self.flamelet_expert = self.__class__.flamelet_expert(service, version, mode, path + ["flamelet_expert"])
                    self.spark_model = self.__class__.spark_model(service, version, mode, path + ["spark_model"])
                    super().__init__(service, version, mode, path)
                class CHEMKIN_CFD(TUIMethod):
                    """
                    Enables/disables the Ansys CHEMKIN-CFD solver.
                    """
                class partially_premixed_combustion_grids(TUIMethod):
                    """
                    Sets values for the grid distribution for PDF table or 	flamelet parameter. This text command is available only 	for partially premixed combustion cases with FGM.
                    """
                class re_calc_par_premix_props(TUIMethod):
                    """
                    Re-calculate partially-premixed properties.
                    """
                class reacting_channel_model(TUIMethod):
                    """
                    Enables/disables the Reacting Channel Model.
                    """
                class non_premixed_combustion_expert(TUIMethod):
                    """
                    Sets PDF expert parameters.
                    """
                class reactor_network_model(TUIMethod):
                    """
                    Enables/disables the Reactor Network Model.
                    """
                class liquid_micro_mixing(TUIMethod):
                    """
                    Enables/disables liquid micro mixing.
                    """
                class partially_premixed_combustion_expert(TUIMethod):
                    """
                    Sets PDF expert parameters.
                    """
                class coal_calculator(TUIMethod):
                    """
                    Sets up coal modeling inputs.
                    """
                class stiff_chemistry(TUIMethod):
                    """
                    Enables/disables stiff chemistry option.
                    """
                class multicomponent_diffusion(TUIMethod):
                    """
                    Enables/disables multicomponent diffusion.
                    """
                class relax_to_equil(TUIMethod):
                    """
                    Enables/disables the Relaxation to Chemical Equilibrium model.
                    """
                class non_premixed_combustion(TUIMethod):
                    """
                    Enables/disables non-premixed combustion model.
                    """
                class premixed_model(TUIMethod):
                    """
                    Sets premixed combustion model.
                    """
                class integration_parameters(TUIMethod):
                    """
                    Sets chemistry ODE integrator parameters. Enables/disables stiff chemistry 	acceleration methods and set their parameters.
                    """
                class combustion_expert(TUIMethod):
                    """
                    Enables import of the CHEMKIN mechanism transport 	data. When this option is enabled, you will be prompted 	for importing CHEMKIN transport property database when 	setting your combustion case.
                    """
                class species_transport(TUIMethod):
                    """
                    Enables/disables the species transport model.
                    """
                class surf_reaction_aggressiveness_factor(TUIMethod):
                    """
                    Sets the surface reaction aggressiveness factor.
                    """
                class init_unsteady_flamelet_prob(TUIMethod):
                    """
                    Initializes Unsteady Flamelet Probability.
                    """
                class non_premixed_combustion_parameters(TUIMethod):
                    """
                    Sets PDF parameters.
                    """
                class full_tabulation(TUIMethod):
                    """
                    Enables/disables building of a full 2-mixture fraction table.
                    """
                class mixing_model(TUIMethod):
                    """
                    Sets PDF Transport mixing model.
                    """
                class premixed_combustion(TUIMethod):
                    """
                    Enables/disables premixed combustion model.
                    """
                class save_gradients(TUIMethod):
                    """
                    Enables/disables storage of species mass fraction gradients.
                    """
                class reaction_diffusion_balance(TUIMethod):
                    """
                    Enables/disables reaction diffusion balance at reacting surface for surface 	reactions.
                    """
                class species_transport_expert(TUIMethod):
                    """
                    Sets the convergence acceleration expert parameters. This command is only available 	when the species transport model is enabled.
                    """
                class epdf_energy(TUIMethod):
                    """
                    Enables/disables EPDF energy option.
                    """
                class partially_premixed_combustion_parameters(TUIMethod):
                    """
                    Sets PDF parameters.
                    """
                class off(TUIMethod):
                    """
                    Enables/disables solution of species models.
                    """
                class particle_surface_reactions(TUIMethod):
                    """
                    Enables/disables particle surface reactions.
                    """
                class clear_isat_table(TUIMethod):
                    """
                    Clears ISAT table.
                    """
                class combustion_numerics(TUIMethod):
                    """
                    Applies optimal solver settings automatically to provide a faster solution time. 	This command is available only for transient 	non-premixed and partially premixed combustion 	models.
                    """
                class partially_premixed_properties(TUIMethod):
                    """
                    Sets/changes partially-premixed mixture properties. 	This command is only available when partially-premixed-combustion? 	is enabled.
                    """
                class heat_of_surface_reactions(TUIMethod):
                    """
                    Enables/disables heat of surface reactions.
                    """
                class wall_surface_reactions(TUIMethod):
                    """
                    Enables/disables wall surface reactions.
                    """
                class ignition_model(TUIMethod):
                    """
                    Enables/disables the ignition model.
                    """
                class partially_premixed_combustion(TUIMethod):
                    """
                    Enables/disables partially premixed combustion model.
                    """
                class reacting_channel_model_options(TUIMethod):
                    """
                    Sets Reacting Channel Model parameters.
                    """
                class inert_transport_controls(TUIMethod):
                    """
                    Sets inert transport model parameters.
                    """
                class liquid_energy_diffusion(TUIMethod):
                    """
                    Enable/disable energy diffusion for liquid regime.
                    """
                class electro_chemical_surface_reactions(TUIMethod):
                    """
                    Enables/disables electrochemical surface reactions.
                    """
                class pdf_transport(TUIMethod):
                    """
                    Enables/disables the composition PDF transport combustion model.
                    """
                class inert_transport_model(TUIMethod):
                    """
                    Enables/disables the inert transport model.
                    """
                class volumetric_reactions(TUIMethod):
                    """
                    Enables/disables volumetric reactions.
                    """
                class diffusion_energy_source(TUIMethod):
                    """
                    Enables/disables diffusion energy source.
                    """
                class decoupled_detailed_chemistry(TUIMethod):
                    """
                    Enables/disables the Decoupled Detailed Chemistry model.
                    """
                class import_flamelet_for_restart(TUIMethod):
                    """
                    Imports Flamelet File for Restart.
                    """
                class pdf_transport_expert(TUIMethod):
                    """
                    Enables/disables PDF Transport expert user.
                    """
                class ignition_model_controls(TUIMethod):
                    """
                    Sets ignition model parameters.
                    """
                class thermal_diffusion(TUIMethod):
                    """
                    Enables/disables thermal diffusion.
                    """
                class surf_reaction_netm_params(TUIMethod):
                    """
                    Sets the surface reaction parameters for the Non-Equilibrium Thermal Model.
                    """
                class set_multi_regime_fgm(TUIMethod):
                    """
                    Set-multi-regim-fgm-parameters.
                    """
                class inlet_diffusion(TUIMethod):
                    """
                    Enables/disables inclusion of diffusion at inlets.
                    """
                class species_migration(TUIMethod):
                    """
                    Includes species migration in electric field. This command is available only when 	the electrochemical surface reactions are 	enabled.
                    """
                class thickened_flame_model(TUIMethod):
                    """
                    Enables/disables the Relaxation to Chemical Equilibrium model.
                    """
                class mass_deposition_source(TUIMethod):
                    """
                    Enables/disables mass deposition source due to surface reactions.
                    """
                class set_turb_chem_interaction(TUIMethod):
                    """
                    Sets EDC model constants.
                    """
                class set_premixed_combustion(TUIMethod):
                    """
                    Sets premixed combustion parameters.
                    """
                class flamelet_expert(TUIMethod):
                    """
                    Sets flamelet expert parameters.
                    """
                class spark_model(TUIMethod):
                    """
                    Switches between the R15 and R14.5 spark models and sets spark model 	parameters.
                    """

                class CHEMKIN_CFD_parameters(TUIMenu):
                    """
                    Enters the expert CHEMKIN-CFD parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.delete_cell_monitors = self.__class__.delete_cell_monitors(service, version, mode, path + ["delete_cell_monitors"])
                        self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                        self.basic_options = self.__class__.basic_options(service, version, mode, path + ["basic_options"])
                        self.add_cell_monitor = self.__class__.add_cell_monitor(service, version, mode, path + ["add_cell_monitor"])
                        self.list_cell_monitors = self.__class__.list_cell_monitors(service, version, mode, path + ["list_cell_monitors"])
                        super().__init__(service, version, mode, path)
                    class delete_cell_monitors(TUIMethod):
                        """
                        Deletes cell monitors.
                        """
                    class advanced_options(TUIMethod):
                        """
                        Sets advanced parameter options.
                        """
                    class basic_options(TUIMethod):
                        """
                        Sets basic parameter options.
                        """
                    class add_cell_monitor(TUIMethod):
                        """
                        Monitors cell for debug output.
                        """
                    class list_cell_monitors(TUIMethod):
                        """
                        Lists cell monitors.
                        """

            class radiation(TUIMenu):
                """
                Enters the radiation models menu.
                """
                def __init__(self, service, version, mode, path):
                    self.s2s_parameters = self.__class__.s2s_parameters(service, version, mode, path + ["s2s_parameters"])
                    self.solar_parameters = self.__class__.solar_parameters(service, version, mode, path + ["solar_parameters"])
                    self.dtrm_parameters = self.__class__.dtrm_parameters(service, version, mode, path + ["dtrm_parameters"])
                    self.solar = self.__class__.solar(service, version, mode, path + ["solar"])
                    self.discrete_transfer = self.__class__.discrete_transfer(service, version, mode, path + ["discrete_transfer"])
                    self.mc_model_parameters = self.__class__.mc_model_parameters(service, version, mode, path + ["mc_model_parameters"])
                    self.montecarlo = self.__class__.montecarlo(service, version, mode, path + ["montecarlo"])
                    self.radiation_iteration_parameters = self.__class__.radiation_iteration_parameters(service, version, mode, path + ["radiation_iteration_parameters"])
                    self.solar_calculator = self.__class__.solar_calculator(service, version, mode, path + ["solar_calculator"])
                    self.apply_full_solar_irradiation = self.__class__.apply_full_solar_irradiation(service, version, mode, path + ["apply_full_solar_irradiation"])
                    self.p1 = self.__class__.p1(service, version, mode, path + ["p1"])
                    self.do_coupling = self.__class__.do_coupling(service, version, mode, path + ["do_coupling"])
                    self.beta_radiation_features = self.__class__.beta_radiation_features(service, version, mode, path + ["beta_radiation_features"])
                    self.target_cells_per_volume_cluster = self.__class__.target_cells_per_volume_cluster(service, version, mode, path + ["target_cells_per_volume_cluster"])
                    self.s2s = self.__class__.s2s(service, version, mode, path + ["s2s"])
                    self.rosseland = self.__class__.rosseland(service, version, mode, path + ["rosseland"])
                    self.blending_factor = self.__class__.blending_factor(service, version, mode, path + ["blending_factor"])
                    self.solar_irradiation = self.__class__.solar_irradiation(service, version, mode, path + ["solar_irradiation"])
                    self.radiation_model_parameters = self.__class__.radiation_model_parameters(service, version, mode, path + ["radiation_model_parameters"])
                    self.discrete_ordinates = self.__class__.discrete_ordinates(service, version, mode, path + ["discrete_ordinates"])
                    self.mc_under_relaxation = self.__class__.mc_under_relaxation(service, version, mode, path + ["mc_under_relaxation"])
                    self.non_gray_model_parameters = self.__class__.non_gray_model_parameters(service, version, mode, path + ["non_gray_model_parameters"])
                    self.fast_second_order_discrete_ordinate = self.__class__.fast_second_order_discrete_ordinate(service, version, mode, path + ["fast_second_order_discrete_ordinate"])
                    self.method_partially_specular_wall = self.__class__.method_partially_specular_wall(service, version, mode, path + ["method_partially_specular_wall"])
                    self.wsggm_cell_based = self.__class__.wsggm_cell_based(service, version, mode, path + ["wsggm_cell_based"])
                    self.solution_method_for_do_coupling = self.__class__.solution_method_for_do_coupling(service, version, mode, path + ["solution_method_for_do_coupling"])
                    self.do_acceleration = self.__class__.do_acceleration(service, version, mode, path + ["do_acceleration"])
                    super().__init__(service, version, mode, path)
                class solar(TUIMethod):
                    """
                    Enables/disables solar model.
                    """
                class discrete_transfer(TUIMethod):
                    """
                    Enables/disables discrete transfer radiation model.
                    """
                class mc_model_parameters(TUIMethod):
                    """
                    Specifies Monte Carlo model parameters. This text command is available only when the 	Monte Carlo model is enabled.
                    """
                class montecarlo(TUIMethod):
                    """
                    Enables/disables the Monte Carlo radiation model.
                    """
                class radiation_iteration_parameters(TUIMethod):
                    """
                    Sets iteration parameters for radiation models.
                    """
                class solar_calculator(TUIMethod):
                    """
                    Calculates sun direction and intensity.
                    """
                class apply_full_solar_irradiation(TUIMethod):
                    """
                    Enables/disables the application of the complete solar load to the first wavelength 	band only, reverting to the pre-2019 R1 behavior of the 	Solar Load and Discrete Ordinates models.
                    """
                class p1(TUIMethod):
                    """
                    Enables/disables P1 radiation model.
                    """
                class do_coupling(TUIMethod):
                    """
                    Enables/disables DO/energy coupling.
                    """
                class beta_radiation_features(TUIMethod):
                    """
                    Enable Radiation Models with Non-Iterative Time Advancement (NITA) as Beta features in FL12.0.
                    """
                class target_cells_per_volume_cluster(TUIMethod):
                    """
                    Sets the amount of coarsening of the radiation mesh 	for the Monte Carlo radiation model. A number greater 	than one implies coarsening, whereas equal to one 	implies no coarsening.
                    """
                class s2s(TUIMethod):
                    """
                    Enables/disables S2S radiation model.
                    """
                class rosseland(TUIMethod):
                    """
                    Enables/disables Rosseland radiation model.
                    """
                class blending_factor(TUIMethod):
                    """
                    Sets numeric option for Discrete Ordinate model. Make sure thatSecond Order Upwind is selected for the Discrete Ordinates spatial 	discretization for the blending-factor option to 	appear in the text command list.
                    """
                class solar_irradiation(TUIMethod):
                    """
                    Enables/disables the solar irradiation model.
                    """
                class radiation_model_parameters(TUIMethod):
                    """
                    Set parameters for radiation models.
                    """
                class discrete_ordinates(TUIMethod):
                    """
                    Enables/disables discrete ordinates radiation model.
                    """
                class mc_under_relaxation(TUIMethod):
                    """
                    Sets the under-relaxation factor for Monte Carlo radiation sources used in the 	energy equation.
                    """
                class non_gray_model_parameters(TUIMethod):
                    """
                    Sets parameters for non-gray model.
                    """
                class fast_second_order_discrete_ordinate(TUIMethod):
                    """
                    Enables/disables the fast-second-order option for Discrete Ordinate Model.
                    """
                class method_partially_specular_wall(TUIMethod):
                    """
                    Sets the method for partially specular wall with discrete ordinate model.
                    """
                class wsggm_cell_based(TUIMethod):
                    """
                    Enables/disables WSGGM cell based method. Note that when enabled, the wsggm-cell-based option will 	become available in theAbsorption Coefficient drop-down list in the Create/Edit Materials dialog 	box.
                    """
                class solution_method_for_do_coupling(TUIMethod):
                    """
                    Enables/disables the solution method for DO/energy coupling.
                    """
                class do_acceleration(TUIMethod):
                    """
                    Enables/disables the acceleration of the discrete 	ordinates (DO) radiation model calculations. Note that 	this text command is only available when running on 	Linux in parallel.
                    """

                class s2s_parameters(TUIMenu):
                    """
                    Enters the S2S parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.print_zonewise_radiation = self.__class__.print_zonewise_radiation(service, version, mode, path + ["print_zonewise_radiation"])
                        self.compute_vf_only = self.__class__.compute_vf_only(service, version, mode, path + ["compute_vf_only"])
                        self.compute_write_vf = self.__class__.compute_write_vf(service, version, mode, path + ["compute_write_vf"])
                        self.use_old_cluster_algorithm = self.__class__.use_old_cluster_algorithm(service, version, mode, path + ["use_old_cluster_algorithm"])
                        self.set_vf_parameters = self.__class__.set_vf_parameters(service, version, mode, path + ["set_vf_parameters"])
                        self.compute_fpsc_values = self.__class__.compute_fpsc_values(service, version, mode, path + ["compute_fpsc_values"])
                        self.compute_clusters_and_vf_accelerated = self.__class__.compute_clusters_and_vf_accelerated(service, version, mode, path + ["compute_clusters_and_vf_accelerated"])
                        self.set_global_faces_per_surface_cluster = self.__class__.set_global_faces_per_surface_cluster(service, version, mode, path + ["set_global_faces_per_surface_cluster"])
                        self.print_thread_clusters = self.__class__.print_thread_clusters(service, version, mode, path + ["print_thread_clusters"])
                        self.compute_vf_accelerated = self.__class__.compute_vf_accelerated(service, version, mode, path + ["compute_vf_accelerated"])
                        self.non_participating_boundary_zones_temperature = self.__class__.non_participating_boundary_zones_temperature(service, version, mode, path + ["non_participating_boundary_zones_temperature"])
                        self.enable_mesh_interface_clustering = self.__class__.enable_mesh_interface_clustering(service, version, mode, path + ["enable_mesh_interface_clustering"])
                        self.split_angle = self.__class__.split_angle(service, version, mode, path + ["split_angle"])
                        self.read_vf_file = self.__class__.read_vf_file(service, version, mode, path + ["read_vf_file"])
                        self.use_new_cluster_algorithm = self.__class__.use_new_cluster_algorithm(service, version, mode, path + ["use_new_cluster_algorithm"])
                        super().__init__(service, version, mode, path)
                    class print_zonewise_radiation(TUIMethod):
                        """
                        Prints the zonewise incoming radiation, viewfactors, and average temperature.
                        """
                    class compute_vf_only(TUIMethod):
                        """
                        Computes/writes view factors only.
                        """
                    class compute_write_vf(TUIMethod):
                        """
                        Computes/writes surface clusters and view factors for S2S radiation model.
                        """
                    class use_old_cluster_algorithm(TUIMethod):
                        """
                        Uses the old surface clustering algorithm.
                        """
                    class set_vf_parameters(TUIMethod):
                        """
                        Sets the parameters needed for the viewfactor calculations.
                        """
                    class compute_fpsc_values(TUIMethod):
                        """
                        Computes only fpsc values based on current settings.
                        """
                    class compute_clusters_and_vf_accelerated(TUIMethod):
                        """
                        Compute/Write surface cluster first and then view factors.
                        """
                    class set_global_faces_per_surface_cluster(TUIMethod):
                        """
                        Sets global value of faces per surface cluster for all boundary zones.
                        """
                    class print_thread_clusters(TUIMethod):
                        """
                        Prints the following for all boundary threads: thread-id, number of faces, faces per surface cluster, and the number of surface clusters.
                        """
                    class compute_vf_accelerated(TUIMethod):
                        """
                        Compute/Write view factors from existing surface clusters.
                        """
                    class non_participating_boundary_zones_temperature(TUIMethod):
                        """
                        Sets temperature for the non-participating boundary zones.
                        """
                    class enable_mesh_interface_clustering(TUIMethod):
                        """
                        Enables surface clusters on mesh interfaces.
                        """
                    class split_angle(TUIMethod):
                        """
                        Sets split angle for the clustering algorithm.
                        """
                    class read_vf_file(TUIMethod):
                        """
                        Reads S2S file.
                        """
                    class use_new_cluster_algorithm(TUIMethod):
                        """
                        Uses the new surface clustering algorithm.
                        """

                class solar_parameters(TUIMenu):
                    """
                    Enters the solar parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.autoread_solar_data = self.__class__.autoread_solar_data(service, version, mode, path + ["autoread_solar_data"])
                        self.sun_direction_vector = self.__class__.sun_direction_vector(service, version, mode, path + ["sun_direction_vector"])
                        self.autosave_solar_data = self.__class__.autosave_solar_data(service, version, mode, path + ["autosave_solar_data"])
                        self.iteration_parameters = self.__class__.iteration_parameters(service, version, mode, path + ["iteration_parameters"])
                        self.scattering_fraction = self.__class__.scattering_fraction(service, version, mode, path + ["scattering_fraction"])
                        self.sol_adjacent_fluidcells = self.__class__.sol_adjacent_fluidcells(service, version, mode, path + ["sol_adjacent_fluidcells"])
                        self.sol_camera_pos = self.__class__.sol_camera_pos(service, version, mode, path + ["sol_camera_pos"])
                        self.ground_reflectivity = self.__class__.ground_reflectivity(service, version, mode, path + ["ground_reflectivity"])
                        self.sol_on_demand = self.__class__.sol_on_demand(service, version, mode, path + ["sol_on_demand"])
                        self.illumination_parameters = self.__class__.illumination_parameters(service, version, mode, path + ["illumination_parameters"])
                        self.solar_thread_control = self.__class__.solar_thread_control(service, version, mode, path + ["solar_thread_control"])
                        self.use_direction_from_sol_calc = self.__class__.use_direction_from_sol_calc(service, version, mode, path + ["use_direction_from_sol_calc"])
                        self.quad_tree_parameters = self.__class__.quad_tree_parameters(service, version, mode, path + ["quad_tree_parameters"])
                        super().__init__(service, version, mode, path)
                    class autoread_solar_data(TUIMethod):
                        """
                        Sets autoread solar data parameters.
                        """
                    class sun_direction_vector(TUIMethod):
                        """
                        Sets sun direction vector.
                        """
                    class autosave_solar_data(TUIMethod):
                        """
                        Sets autosave solar data parameters.
                        """
                    class iteration_parameters(TUIMethod):
                        """
                        Sets update parameters.
                        """
                    class scattering_fraction(TUIMethod):
                        """
                        Sets scattering fraction parameters.
                        """
                    class sol_adjacent_fluidcells(TUIMethod):
                        """
                        Sets solar load on for adjacent fluid cells.
                        """
                    class sol_camera_pos(TUIMethod):
                        """
                        Sets camera position based on sun direction vector.
                        """
                    class ground_reflectivity(TUIMethod):
                        """
                        Sets ground reflectivity parameters.
                        """
                    class sol_on_demand(TUIMethod):
                        """
                        Sets solar load on demand.
                        """
                    class illumination_parameters(TUIMethod):
                        """
                        Sets illumination parameters.
                        """
                    class solar_thread_control(TUIMethod):
                        """
                        Sets the number of threads to run the solar flux calculation. This item appears only when running in parallel with nodes located on a separate machine from the one running the host process andSolar Ray Tracing is enabled.
                        """
                    class use_direction_from_sol_calc(TUIMethod):
                        """
                        Sets direction computed from solar calculator.
                        """
                    class quad_tree_parameters(TUIMethod):
                        """
                        Sets quad-tree refinement parameters.
                        """

                class dtrm_parameters(TUIMenu):
                    """
                    Enters the dtrm parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.make_globs = self.__class__.make_globs(service, version, mode, path + ["make_globs"])
                        self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                        self.check_ray_file = self.__class__.check_ray_file(service, version, mode, path + ["check_ray_file"])
                        self.ray_trace = self.__class__.ray_trace(service, version, mode, path + ["ray_trace"])
                        super().__init__(service, version, mode, path)
                    class make_globs(TUIMethod):
                        """
                        Makes globs (coarser mesh) for radiation.
                        """
                    class controls(TUIMethod):
                        """
                        Sets dtrm solution controls.
                        """
                    class check_ray_file(TUIMethod):
                        """
                        Reads DTRM rays file.
                        """
                    class ray_trace(TUIMethod):
                        """
                        Creates DTRM rays for radiation.
                        """

            class eulerian_wallfilm(TUIMenu):
                """
                Enters the Eulerian wall film model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.coupled_solution = self.__class__.coupled_solution(service, version, mode, path + ["coupled_solution"])
                    self.implicit_options = self.__class__.implicit_options(service, version, mode, path + ["implicit_options"])
                    self.solution_options = self.__class__.solution_options(service, version, mode, path + ["solution_options"])
                    self.film_material = self.__class__.film_material(service, version, mode, path + ["film_material"])
                    self.model_options = self.__class__.model_options(service, version, mode, path + ["model_options"])
                    self.list_film_walls = self.__class__.list_film_walls(service, version, mode, path + ["list_film_walls"])
                    self.enable_wallfilm_model = self.__class__.enable_wallfilm_model(service, version, mode, path + ["enable_wallfilm_model"])
                    self.solve_wallfilm_equation = self.__class__.solve_wallfilm_equation(service, version, mode, path + ["solve_wallfilm_equation"])
                    self.enable_film_vof_transition_message = self.__class__.enable_film_vof_transition_message(service, version, mode, path + ["enable_film_vof_transition_message"])
                    self.initialize_wallfilm_model = self.__class__.initialize_wallfilm_model(service, version, mode, path + ["initialize_wallfilm_model"])
                    super().__init__(service, version, mode, path)
                class solution_options(TUIMethod):
                    """
                    Sets Eulerian Wall Film Model Solution Options.
                    """
                class film_material(TUIMethod):
                    """
                    Sets Film Material and Properties.
                    """
                class model_options(TUIMethod):
                    """
                    Set Eulerian wall film model options.
                    """
                class list_film_walls(TUIMethod):
                    """
                    List film walls.
                    """
                class enable_wallfilm_model(TUIMethod):
                    """
                    Enables/disables Eulerian Wall Film Model.
                    """
                class solve_wallfilm_equation(TUIMethod):
                    """
                    Activates Eulerian Wall Film Equations.
                    """
                class enable_film_vof_transition_message(TUIMethod):
                    """
                    Enable film-VOF transition message.
                    """
                class initialize_wallfilm_model(TUIMethod):
                    """
                    Initializes Eulerian Wall Film Model.
                    """

                class coupled_solution(TUIMenu):
                    """
                    Enters the Coupled-Solution menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enable_coupled_solution = self.__class__.enable_coupled_solution(service, version, mode, path + ["enable_coupled_solution"])
                        self.enable_curvature_smoothing = self.__class__.enable_curvature_smoothing(service, version, mode, path + ["enable_curvature_smoothing"])
                        super().__init__(service, version, mode, path)
                    class enable_coupled_solution(TUIMethod):
                        """
                        Enables/disables the coupled solution method.
                        """
                    class enable_curvature_smoothing(TUIMethod):
                        """
                        Enables/disables the film curvature smoothing option and sets the smoothing parameters.
                        """

                class implicit_options(TUIMenu):
                    """
                    Enter Implicit Scheme Option (beta).
                    """
                    def __init__(self, service, version, mode, path):
                        self.new_implicit_scheme = self.__class__.new_implicit_scheme(service, version, mode, path + ["new_implicit_scheme"])
                        self.relative_error_residual = self.__class__.relative_error_residual(service, version, mode, path + ["relative_error_residual"])
                        super().__init__(service, version, mode, path)
                    class new_implicit_scheme(TUIMethod):
                        """
                        Enable alternative implicit scheme.
                        """
                    class relative_error_residual(TUIMethod):
                        """
                        Enable relative error residual.
                        """

            class cht(TUIMenu):
                """
                Enters the cht (conjugate heat transfer) menu.
                """
                def __init__(self, service, version, mode, path):
                    self.explicit_time_averaged_coupling = self.__class__.explicit_time_averaged_coupling(service, version, mode, path + ["explicit_time_averaged_coupling"])
                    self.implicit_coupling = self.__class__.implicit_coupling(service, version, mode, path + ["implicit_coupling"])
                    self.read_mi_type_wall = self.__class__.read_mi_type_wall(service, version, mode, path + ["read_mi_type_wall"])
                    self.write_mi_type_wall = self.__class__.write_mi_type_wall(service, version, mode, path + ["write_mi_type_wall"])
                    super().__init__(service, version, mode, path)
                class implicit_coupling(TUIMethod):
                    """
                    Enables the implicit mapping scheme for any 	fluid-solid pair with a mapped mesh interface (only 	required for cases set up in version 19.2 or 	earlier).
                    """
                class read_mi_type_wall(TUIMethod):
                    """
                    Read mapped interface data settings from a csv file.
                    """
                class write_mi_type_wall(TUIMethod):
                    """
                    Write mapped interface settings to a scv file.
                    """

                class explicit_time_averaged_coupling(TUIMenu):
                    """
                    Enters the explicit time averaged thermal coupling 	menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.coupling_controls = self.__class__.coupling_controls(service, version, mode, path + ["coupling_controls"])
                        self.fuse_explicit_cht_zones = self.__class__.fuse_explicit_cht_zones(service, version, mode, path + ["fuse_explicit_cht_zones"])
                        self.mapped_interfaces = self.__class__.mapped_interfaces(service, version, mode, path + ["mapped_interfaces"])
                        self.conformal_coupled_walls = self.__class__.conformal_coupled_walls(service, version, mode, path + ["conformal_coupled_walls"])
                        super().__init__(service, version, mode, path)
                    class coupling_controls(TUIMethod):
                        """
                        Specify explcit coupling controls.
                        """
                    class fuse_explicit_cht_zones(TUIMethod):
                        """
                        Fuse slitted conformal coupled walls marked for transient explicit thermal coupling.
                        """
                    class mapped_interfaces(TUIMethod):
                        """
                        Select fluid-solid mapped interfaces for explicit coupling using time averaged thermal variables.
                        """
                    class conformal_coupled_walls(TUIMethod):
                        """
                        Select fluid-solid coupled walls (without shell) for explicit coupling using time averaged thermal variables.
                        """

            class dpm(TUIMenu):
                """
                Enters the dispersed phase model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.erosion_dynamic_mesh = self.__class__.erosion_dynamic_mesh(service, version, mode, path + ["erosion_dynamic_mesh"])
                    self.options = self.__class__.options(service, version, mode, path + ["options"])
                    self.splash_options = self.__class__.splash_options(service, version, mode, path + ["splash_options"])
                    self.collisions = self.__class__.collisions(service, version, mode, path + ["collisions"])
                    self.stripping_options = self.__class__.stripping_options(service, version, mode, path + ["stripping_options"])
                    self.interaction = self.__class__.interaction(service, version, mode, path + ["interaction"])
                    self.parallel = self.__class__.parallel(service, version, mode, path + ["parallel"])
                    self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                    self.injections = self.__class__.injections(service, version, mode, path + ["injections"])
                    self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
                    self.unsteady_tracking = self.__class__.unsteady_tracking(service, version, mode, path + ["unsteady_tracking"])
                    self.fill_injection_material_sources = self.__class__.fill_injection_material_sources(service, version, mode, path + ["fill_injection_material_sources"])
                    self.spray_model = self.__class__.spray_model(service, version, mode, path + ["spray_model"])
                    self.clear_particles_from_domain = self.__class__.clear_particles_from_domain(service, version, mode, path + ["clear_particles_from_domain"])
                    super().__init__(service, version, mode, path)
                class injections(TUIMethod):
                    """
                    Enters the injections menu.
                    """
                class user_defined(TUIMethod):
                    """
                    Sets DPM user-defined functions.
                    """
                class unsteady_tracking(TUIMethod):
                    """
                    Enables/disables unsteady particle tracking.
                    """
                class fill_injection_material_sources(TUIMethod):
                    """
                    Initialize the DPM sources corresponding to each material.
                    """
                class spray_model(TUIMethod):
                    """
                    Enters the spray model menu. This command is available only if the breakup model 	enabled globally.
                    """
                class clear_particles_from_domain(TUIMethod):
                    """
                    Removes/keeps all particles currently in the domain.
                    """

                class erosion_dynamic_mesh(TUIMenu):
                    """
                    Enters the menu to enable/configure/run the erosion-dynamic mesh interaction.
                    """
                    def __init__(self, service, version, mode, path):
                        self.general_parameters = self.__class__.general_parameters(service, version, mode, path + ["general_parameters"])
                        self.run_parameters = self.__class__.run_parameters(service, version, mode, path + ["run_parameters"])
                        self.run_simulation = self.__class__.run_simulation(service, version, mode, path + ["run_simulation"])
                        self.enable_erosion_dynamic_mesh_coupling = self.__class__.enable_erosion_dynamic_mesh_coupling(service, version, mode, path + ["enable_erosion_dynamic_mesh_coupling"])
                        super().__init__(service, version, mode, path)
                    class run_simulation(TUIMethod):
                        """
                        Performs a coupled erosion-dynamic mesh simulation.
                        """
                    class enable_erosion_dynamic_mesh_coupling(TUIMethod):
                        """
                        Enables mesh deformation due to wall erosion.
                        """

                    class general_parameters(TUIMenu):
                        """
                        Enters the menu for setting erosion coupling with dynamic mesh.
                        """
                        def __init__(self, service, version, mode, path):
                            self.erosion_settings = self.__class__.erosion_settings(service, version, mode, path + ["erosion_settings"])
                            self.participating_walls = self.__class__.participating_walls(service, version, mode, path + ["participating_walls"])
                            self.dynamic_mesh_settings = self.__class__.dynamic_mesh_settings(service, version, mode, path + ["dynamic_mesh_settings"])
                            super().__init__(service, version, mode, path)
                        class erosion_settings(TUIMethod):
                            """
                            Sets parameters for erosion calculations.
                            """
                        class participating_walls(TUIMethod):
                            """
                            Specifies all participating walls.
                            """
                        class dynamic_mesh_settings(TUIMethod):
                            """
                            Sets parameters for dynamic mesh calculations.
                            """

                    class run_parameters(TUIMenu):
                        """
                        Manages erosion-dynamic mesh run settings.
                        """
                        def __init__(self, service, version, mode, path):
                            self.simulation_termination = self.__class__.simulation_termination(service, version, mode, path + ["simulation_termination"])
                            self.flow_simulation_control = self.__class__.flow_simulation_control(service, version, mode, path + ["flow_simulation_control"])
                            self.mesh_motion_time_step = self.__class__.mesh_motion_time_step(service, version, mode, path + ["mesh_motion_time_step"])
                            self.autosave_graphics = self.__class__.autosave_graphics(service, version, mode, path + ["autosave_graphics"])
                            self.autosave_files = self.__class__.autosave_files(service, version, mode, path + ["autosave_files"])
                            super().__init__(service, version, mode, path)
                        class simulation_termination(TUIMethod):
                            """
                            Sets the total time of erosion.
                            """
                        class flow_simulation_control(TUIMethod):
                            """
                            Sets the number of iterations per flow simulation step.
                            """
                        class mesh_motion_time_step(TUIMethod):
                            """
                            Sets the mesh motion time stepping parameters and method.
                            """
                        class autosave_graphics(TUIMethod):
                            """
                            Sets the iteration increment to save graphics files.
                            """
                        class autosave_files(TUIMethod):
                            """
                            Sets the iteration increment and filename to save data files.
                            """

                class options(TUIMenu):
                    """
                    Enters the options menu to set optional models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.convective_film_heat_transfer = self.__class__.convective_film_heat_transfer(service, version, mode, path + ["convective_film_heat_transfer"])
                        self.ensemble_average = self.__class__.ensemble_average(service, version, mode, path + ["ensemble_average"])
                        self.pressure_gradient_force = self.__class__.pressure_gradient_force(service, version, mode, path + ["pressure_gradient_force"])
                        self.stagger_spatially_standard_injections = self.__class__.stagger_spatially_standard_injections(service, version, mode, path + ["stagger_spatially_standard_injections"])
                        self.init_erosion_accretion_rate = self.__class__.init_erosion_accretion_rate(service, version, mode, path + ["init_erosion_accretion_rate"])
                        self.scr_urea_deposition_risk_analysis = self.__class__.scr_urea_deposition_risk_analysis(service, version, mode, path + ["scr_urea_deposition_risk_analysis"])
                        self.stagger_temporally = self.__class__.stagger_temporally(service, version, mode, path + ["stagger_temporally"])
                        self.set_minimum_particle_diameter = self.__class__.set_minimum_particle_diameter(service, version, mode, path + ["set_minimum_particle_diameter"])
                        self.remove_wall_film_temperature_limiter = self.__class__.remove_wall_film_temperature_limiter(service, version, mode, path + ["remove_wall_film_temperature_limiter"])
                        self.brownian_motion = self.__class__.brownian_motion(service, version, mode, path + ["brownian_motion"])
                        self.use_absolute_pressure_for_vaporization = self.__class__.use_absolute_pressure_for_vaporization(service, version, mode, path + ["use_absolute_pressure_for_vaporization"])
                        self.virtual_mass_force = self.__class__.virtual_mass_force(service, version, mode, path + ["virtual_mass_force"])
                        self.vaporization_options = self.__class__.vaporization_options(service, version, mode, path + ["vaporization_options"])
                        self.track_in_absolute_frame = self.__class__.track_in_absolute_frame(service, version, mode, path + ["track_in_absolute_frame"])
                        self.lowest_volatiles_mass_fraction = self.__class__.lowest_volatiles_mass_fraction(service, version, mode, path + ["lowest_volatiles_mass_fraction"])
                        self.current_positions_in_sample_file_format = self.__class__.current_positions_in_sample_file_format(service, version, mode, path + ["current_positions_in_sample_file_format"])
                        self.two_way_coupling = self.__class__.two_way_coupling(service, version, mode, path + ["two_way_coupling"])
                        self.saffman_lift_force = self.__class__.saffman_lift_force(service, version, mode, path + ["saffman_lift_force"])
                        self.treat_multicomponent_saturation_temperature_failure = self.__class__.treat_multicomponent_saturation_temperature_failure(service, version, mode, path + ["treat_multicomponent_saturation_temperature_failure"])
                        self.set_thermolysis_limit = self.__class__.set_thermolysis_limit(service, version, mode, path + ["set_thermolysis_limit"])
                        self.erosion_accretion = self.__class__.erosion_accretion(service, version, mode, path + ["erosion_accretion"])
                        self.staggering_factor = self.__class__.staggering_factor(service, version, mode, path + ["staggering_factor"])
                        self.vaporization_heat_transfer_averaging = self.__class__.vaporization_heat_transfer_averaging(service, version, mode, path + ["vaporization_heat_transfer_averaging"])
                        self.stagger_spatially_atomizer_injections = self.__class__.stagger_spatially_atomizer_injections(service, version, mode, path + ["stagger_spatially_atomizer_injections"])
                        self.allow_supercritical_pressure_vaporization = self.__class__.allow_supercritical_pressure_vaporization(service, version, mode, path + ["allow_supercritical_pressure_vaporization"])
                        self.stagger_radius = self.__class__.stagger_radius(service, version, mode, path + ["stagger_radius"])
                        self.enable_contour_plots = self.__class__.enable_contour_plots(service, version, mode, path + ["enable_contour_plots"])
                        self.uniform_mass_distribution_for_injections = self.__class__.uniform_mass_distribution_for_injections(service, version, mode, path + ["uniform_mass_distribution_for_injections"])
                        self.particle_radiation = self.__class__.particle_radiation(service, version, mode, path + ["particle_radiation"])
                        self.include_lwf_particles_in_dpm_concentration = self.__class__.include_lwf_particles_in_dpm_concentration(service, version, mode, path + ["include_lwf_particles_in_dpm_concentration"])
                        self.maximum_udf_species = self.__class__.maximum_udf_species(service, version, mode, path + ["maximum_udf_species"])
                        self.thermophoretic_force = self.__class__.thermophoretic_force(service, version, mode, path + ["thermophoretic_force"])
                        self.step_report_sig_figures = self.__class__.step_report_sig_figures(service, version, mode, path + ["step_report_sig_figures"])
                        super().__init__(service, version, mode, path)
                    class convective_film_heat_transfer(TUIMethod):
                        """
                        Enable/disable convection/conduction film to wall heat transfer model.
                        """
                    class ensemble_average(TUIMethod):
                        """
                        Ensembles average cloud properties.
                        """
                    class pressure_gradient_force(TUIMethod):
                        """
                        Enables/disables inclusion of pressure gradient effects in the particle force balance.
                        """
                    class stagger_spatially_standard_injections(TUIMethod):
                        """
                        Enables/disables spatial staggering for standard (non-atomizer and non-solid-cone) injections.
                        """
                    class init_erosion_accretion_rate(TUIMethod):
                        """
                        Initializes the erosion/accretion rates with zero.
                        """
                    class scr_urea_deposition_risk_analysis(TUIMethod):
                        """
                        Enters the menu for setting up the risk for solids deposit formation for the Selective Catalytic Reduction (SCR) process. For more information, see .
                        """
                    class stagger_temporally(TUIMethod):
                        """
                        Enables/disables temporal staggering.
                        """
                    class set_minimum_particle_diameter(TUIMethod):
                        """
                        Set the minimum particle diameter.
                        """
                    class remove_wall_film_temperature_limiter(TUIMethod):
                        """
                        Answering yes at the prompt removes the wall temperature limiter for Lagrangian wall-film walls. If you enter no (default), two additional prompts will appear in the console allowing you to define the temperature difference above the boiling point and to enable/disable the reporting of the Leidenfrost temperature on the wall faces.
                        """
                    class brownian_motion(TUIMethod):
                        """
                        Enables/disables Brownian motion of particles.
                        """
                    class use_absolute_pressure_for_vaporization(TUIMethod):
                        """
                        Determines whether the absolute pressure or constant operating pressure (specified in define/operating-conditions/operating-pressure) will be used in vaporization rates calculations.
                        """
                    class virtual_mass_force(TUIMethod):
                        """
                        Enables/disables inclusion of the virtual mass force in the particle force balance.
                        """
                    class vaporization_options(TUIMethod):
                        """
                        Sets Vaporization options.
                        """
                    class track_in_absolute_frame(TUIMethod):
                        """
                        Enables/disables tracking in absolute frame.
                        """
                    class lowest_volatiles_mass_fraction(TUIMethod):
                        """
                        Set the lowest volatiles mass fraction.
                        """
                    class current_positions_in_sample_file_format(TUIMethod):
                        """
                        When enabled, generates a file containing particle current positions (step-by-step history report for unsteady tracking) in the sampling file format.
                        """
                    class two_way_coupling(TUIMethod):
                        """
                        Enables/disables calculation of DPM sources in TKE equation.
                        """
                    class saffman_lift_force(TUIMethod):
                        """
                        Enables/disables Saffman lift force.
                        """
                    class treat_multicomponent_saturation_temperature_failure(TUIMethod):
                        """
                        Enables/disables dumping multicomponent particle mass into the continuous phase if the saturation temperature calculation fails.
                        """
                    class set_thermolysis_limit(TUIMethod):
                        """
                        Sets the limit for the thermolysis model.
                        """
                    class erosion_accretion(TUIMethod):
                        """
                        Enables/disables erosion/accretion.
                        """
                    class staggering_factor(TUIMethod):
                        """
                        S.
                        """
                    class vaporization_heat_transfer_averaging(TUIMethod):
                        """
                        Enables averaging of the Spalding heat transfer term for the convection/diffusion-controlled model.
                        """
                    class stagger_spatially_atomizer_injections(TUIMethod):
                        """
                        Enables/disables spatial staggering for atomizer and solid-cone injections.
                        """
                    class allow_supercritical_pressure_vaporization(TUIMethod):
                        """
                        Enforces the switching from vaporization to boiling even if the boiling point is not calculated from the vapor pressure data. If the pressure in your model is above critical you must retain the default setting (yes). This options is available only if whenPressure Dependent Boiling is enabled in the Physical Models tab of the Discrete Phase Models dialog box. For more details, see .
                        """
                    class stagger_radius(TUIMethod):
                        """
                        Specifies the region over which to spatially stagger particles when particle-staggering is enabled for non-atomizer injections.
                        """
                    class enable_contour_plots(TUIMethod):
                        """
                        Enables computation of mean and/or RMS values of additional discrete phase variables for postprocessing.
                        """
                    class uniform_mass_distribution_for_injections(TUIMethod):
                        """
                        Specifies a uniform distribution of mass over the cross-section of solid cone and atomizer injections. This can become important when the mesh is smaller than the diameter (or another characteristic size) of the injection.
                        """
                    class particle_radiation(TUIMethod):
                        """
                        Enables/disables particle radiation.
                        """
                    class include_lwf_particles_in_dpm_concentration(TUIMethod):
                        """
                        Include LWF particle mass in DPM Concentration.
                        """
                    class maximum_udf_species(TUIMethod):
                        """
                        Specifies the maximum number of species that will be accessible from discrete phase model UDFs. Only species with indices up to this value are accessible in discrete phase model UDFs.
                        """
                    class thermophoretic_force(TUIMethod):
                        """
                        Enables/disables thermophoretic force.
                        """
                    class step_report_sig_figures(TUIMethod):
                        """
                        Sets significant figures in the step-by-step report.
                        """

                class splash_options(TUIMenu):
                    """
                    Enters the splash option menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.orourke_splash_fraction = self.__class__.orourke_splash_fraction(service, version, mode, path + ["orourke_splash_fraction"])
                        self.splash_pdf_limiting = self.__class__.splash_pdf_limiting(service, version, mode, path + ["splash_pdf_limiting"])
                        super().__init__(service, version, mode, path)
                    class orourke_splash_fraction(TUIMethod):
                        """
                        Enables/disables the O’Rourke formulation (default for the Lagrangian Wall Film (LWF) model). If the O’Rourke formulation is disabled, the Stanton formulation (default for the Eulerian Wall Film (EWF) model) is used in a simulation.
                        """
                    class splash_pdf_limiting(TUIMethod):
                        """
                        Sets the splash pdf limiting method. Available methods are: the splash pdf tail limiting (default for the LWF model) and the splash pdf peak limiting (default for the EWF model). For the splash pdf peak limiting, you will be prompted to specify the peak limiting value.
                        """

                class collisions(TUIMenu):
                    """
                    Enters the DEM collisions menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.collision_partners = self.__class__.collision_partners(service, version, mode, path + ["collision_partners"])
                        self.list_all_pair_settings = self.__class__.list_all_pair_settings(service, version, mode, path + ["list_all_pair_settings"])
                        self.max_particle_velocity = self.__class__.max_particle_velocity(service, version, mode, path + ["max_particle_velocity"])
                        self.dem_collisions = self.__class__.dem_collisions(service, version, mode, path + ["dem_collisions"])
                        self.collision_pair_settings = self.__class__.collision_pair_settings(service, version, mode, path + ["collision_pair_settings"])
                        self.collision_mesh = self.__class__.collision_mesh(service, version, mode, path + ["collision_mesh"])
                        super().__init__(service, version, mode, path)
                    class list_all_pair_settings(TUIMethod):
                        """
                        For each pair of collision partners, lists the collision laws and their parameters.
                        """
                    class max_particle_velocity(TUIMethod):
                        """
                        Sets the maximum particle velocity that may arise from collisions.
                        """
                    class dem_collisions(TUIMethod):
                        """
                        Enables/disables the DEM collision model.
                        """
                    class collision_pair_settings(TUIMethod):
                        """
                        Supplies settings for collisions to a pair of collision partners. You will be prompted to specify theImpact collision partner and the Target collision partner.
                        """
                    class collision_mesh(TUIMethod):
                        """
                        Input for the collision mesh.
                        """

                    class collision_partners(TUIMenu):
                        """
                        Manages collision partners.
                        """
                        def __init__(self, service, version, mode, path):
                            self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                            self.create = self.__class__.create(service, version, mode, path + ["create"])
                            self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            super().__init__(service, version, mode, path)
                        class rename(TUIMethod):
                            """
                            Renames a collision partner.
                            """
                        class create(TUIMethod):
                            """
                            Creates a collision partner.
                            """
                        class copy(TUIMethod):
                            """
                            Copies a collision partner.
                            """
                        class list(TUIMethod):
                            """
                            Lists all known collision partners.
                            """
                        class delete(TUIMethod):
                            """
                            Deletes a collision partner.
                            """

                class stripping_options(TUIMenu):
                    """
                    Enters the stripping options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mass_coefficient = self.__class__.mass_coefficient(service, version, mode, path + ["mass_coefficient"])
                        self.diameter_coefficient = self.__class__.diameter_coefficient(service, version, mode, path + ["diameter_coefficient"])
                        super().__init__(service, version, mode, path)
                    class mass_coefficient(TUIMethod):
                        """
                        Sets the mass coefficient (  in  in the Theory Guide).
                        """
                    class diameter_coefficient(TUIMethod):
                        """
                        Sets the diameter coefficient (  in  in the Theory Guide).
                        """

                class interaction(TUIMenu):
                    """
                    Sets parameters for coupled discrete phase calculations.
                    """
                    def __init__(self, service, version, mode, path):
                        self.linearized_dpm_source_terms = self.__class__.linearized_dpm_source_terms(service, version, mode, path + ["linearized_dpm_source_terms"])
                        self.implicit_source_term_coupling = self.__class__.implicit_source_term_coupling(service, version, mode, path + ["implicit_source_term_coupling"])
                        self.reset_sources_at_timestep = self.__class__.reset_sources_at_timestep(service, version, mode, path + ["reset_sources_at_timestep"])
                        self.dpm_iteration_interval = self.__class__.dpm_iteration_interval(service, version, mode, path + ["dpm_iteration_interval"])
                        self.enable_source_scaling_due_to_flow_blocking = self.__class__.enable_source_scaling_due_to_flow_blocking(service, version, mode, path + ["enable_source_scaling_due_to_flow_blocking"])
                        self.linear_growth_of_dpm_source_term = self.__class__.linear_growth_of_dpm_source_term(service, version, mode, path + ["linear_growth_of_dpm_source_term"])
                        self.ddpm_enhanced_inter_phase_exchange = self.__class__.ddpm_enhanced_inter_phase_exchange(service, version, mode, path + ["ddpm_enhanced_inter_phase_exchange"])
                        self.choice_of_eulerian_phase_for_interaction = self.__class__.choice_of_eulerian_phase_for_interaction(service, version, mode, path + ["choice_of_eulerian_phase_for_interaction"])
                        self.update_dpm_sources_every_flow_iteration = self.__class__.update_dpm_sources_every_flow_iteration(service, version, mode, path + ["update_dpm_sources_every_flow_iteration"])
                        self.linearized_dpm_mixture_fraction_source_terms = self.__class__.linearized_dpm_mixture_fraction_source_terms(service, version, mode, path + ["linearized_dpm_mixture_fraction_source_terms"])
                        self.min_vf_threshold_for_dpm_src_scaling = self.__class__.min_vf_threshold_for_dpm_src_scaling(service, version, mode, path + ["min_vf_threshold_for_dpm_src_scaling"])
                        self.ddpm_energy_coupling_via_source_term = self.__class__.ddpm_energy_coupling_via_source_term(service, version, mode, path + ["ddpm_energy_coupling_via_source_term"])
                        self.ddpm_iad_particle = self.__class__.ddpm_iad_particle(service, version, mode, path + ["ddpm_iad_particle"])
                        self.linearized_dpm_source_terms_limiter = self.__class__.linearized_dpm_source_terms_limiter(service, version, mode, path + ["linearized_dpm_source_terms_limiter"])
                        self.underrelaxation_factor = self.__class__.underrelaxation_factor(service, version, mode, path + ["underrelaxation_factor"])
                        self.keep_linearized_dpm_source_terms_constant = self.__class__.keep_linearized_dpm_source_terms_constant(service, version, mode, path + ["keep_linearized_dpm_source_terms_constant"])
                        self.implicit_momentum_coupling = self.__class__.implicit_momentum_coupling(service, version, mode, path + ["implicit_momentum_coupling"])
                        self.enable_flow_blocking_by_particles = self.__class__.enable_flow_blocking_by_particles(service, version, mode, path + ["enable_flow_blocking_by_particles"])
                        self.linearized_dpm_species_source_terms = self.__class__.linearized_dpm_species_source_terms(service, version, mode, path + ["linearized_dpm_species_source_terms"])
                        self.enable_drag_scaling_due_to_flow_blocking = self.__class__.enable_drag_scaling_due_to_flow_blocking(service, version, mode, path + ["enable_drag_scaling_due_to_flow_blocking"])
                        self.max_vf_allowed_for_blocking = self.__class__.max_vf_allowed_for_blocking(service, version, mode, path + ["max_vf_allowed_for_blocking"])
                        self.coupled_calculations = self.__class__.coupled_calculations(service, version, mode, path + ["coupled_calculations"])
                        self.replace_dpm_mass_source_by_mixture_fraction = self.__class__.replace_dpm_mass_source_by_mixture_fraction(service, version, mode, path + ["replace_dpm_mass_source_by_mixture_fraction"])
                        super().__init__(service, version, mode, path)
                    class linearized_dpm_source_terms(TUIMethod):
                        """
                        Enables/disables linearization of source terms for the discrete phase.
                        """
                    class implicit_source_term_coupling(TUIMethod):
                        """
                        Enables/disables implicit treatment for all DPM source terms.
                        """
                    class reset_sources_at_timestep(TUIMethod):
                        """
                        Enables/disables flush of DPM source terms at beginning of every time step.
                        """
                    class dpm_iteration_interval(TUIMethod):
                        """
                        Sets the frequency with which the particle trajectory calculations are introduced.
                        """
                    class enable_source_scaling_due_to_flow_blocking(TUIMethod):
                        """
                        Enable/disable scaling of DPM source terms due to inclusion of DPM volume fraction in continuous flow.
                        """
                    class linear_growth_of_dpm_source_term(TUIMethod):
                        """
                        Enables/disables the linear ramping up of the DPM source terms at every DPM iteration.
                        """
                    class ddpm_enhanced_inter_phase_exchange(TUIMethod):
                        """
                        Enhanced Eulerian inter-phase exchange.
                        """
                    class choice_of_eulerian_phase_for_interaction(TUIMethod):
                        """
                        Enable/disable the option to choose for every injection the Eulerian phase for the DPM continuous phase interaction.
                        """
                    class update_dpm_sources_every_flow_iteration(TUIMethod):
                        """
                        Enables/disables the update of DPM source terms every flow iteration (if this option is not enabled, the terms will be updated every DPM iteration).
                        """
                    class linearized_dpm_mixture_fraction_source_terms(TUIMethod):
                        """
                        Enables/disables linearization of mixture fraction source terms. This command is available only for non- or partially-premixed combustion cases.
                        """
                    class min_vf_threshold_for_dpm_src_scaling(TUIMethod):
                        """
                        Minimum DPM volume fraction below which no DPM source scaling is applied.
                        """
                    class ddpm_energy_coupling_via_source_term(TUIMethod):
                        """
                        Energy coupling in DDPM established via source term.
                        """
                    class ddpm_iad_particle(TUIMethod):
                        """
                        Enable/disable the non-default interfacial area method IA-particle.
                        """
                    class linearized_dpm_source_terms_limiter(TUIMethod):
                        """
                        Relative limit for DPM source linear coefficient with respect to fluid linear Ap coefficient.
                        """
                    class underrelaxation_factor(TUIMethod):
                        """
                        Sets the under-relaxation factor for the discrete phase sources.
                        """
                    class keep_linearized_dpm_source_terms_constant(TUIMethod):
                        """
                        Keep linearized DPM source terms constant until the next DPM Update.
                        """
                    class implicit_momentum_coupling(TUIMethod):
                        """
                        Enables/disables implicit treatment for the DPM momentum source terms.
                        """
                    class enable_flow_blocking_by_particles(TUIMethod):
                        """
                        Enable/disable inclusion of DPM volume fraction in continuous flow.
                        """
                    class linearized_dpm_species_source_terms(TUIMethod):
                        """
                        Perform linearization of species source terms.
                        """
                    class enable_drag_scaling_due_to_flow_blocking(TUIMethod):
                        """
                        Enable/disable scaling of DPM drag coefficient due to inclusion of DPM volume fraction in continuous flow.
                        """
                    class max_vf_allowed_for_blocking(TUIMethod):
                        """
                        Maximum DPM volume fraction used in continuous flow.
                        """
                    class coupled_calculations(TUIMethod):
                        """
                        Selects whether or not to couple continuous and discrete phase calculations.
                        """
                    class replace_dpm_mass_source_by_mixture_fraction(TUIMethod):
                        """
                        When enabled, recalculates the mixture fraction source terms as a function of the primary mixture fraction. This command is available for non- or partially-premixed combustion cases only.
                        """

                class parallel(TUIMenu):
                    """
                    Enters the parallel menu to set parameters for parallel DPM calculations.
                    """
                    def __init__(self, service, version, mode, path):
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.enable_workpile = self.__class__.enable_workpile(service, version, mode, path + ["enable_workpile"])
                        self.hybrid_collision_model = self.__class__.hybrid_collision_model(service, version, mode, path + ["hybrid_collision_model"])
                        self.use_shared_memory = self.__class__.use_shared_memory(service, version, mode, path + ["use_shared_memory"])
                        self.n_threads = self.__class__.n_threads(service, version, mode, path + ["n_threads"])
                        self.use_hybrid = self.__class__.use_hybrid(service, version, mode, path + ["use_hybrid"])
                        self.hybrid_collision_variant = self.__class__.hybrid_collision_variant(service, version, mode, path + ["hybrid_collision_variant"])
                        self.hybrid_2domain = self.__class__.hybrid_2domain(service, version, mode, path + ["hybrid_2domain"])
                        self.report = self.__class__.report(service, version, mode, path + ["report"])
                        self.hybrid_workpile = self.__class__.hybrid_workpile(service, version, mode, path + ["hybrid_workpile"])
                        self.use_message_passing = self.__class__.use_message_passing(service, version, mode, path + ["use_message_passing"])
                        self.fix_source_term_accumulation_order = self.__class__.fix_source_term_accumulation_order(service, version, mode, path + ["fix_source_term_accumulation_order"])
                        self.hybrid_collision_unidirectional = self.__class__.hybrid_collision_unidirectional(service, version, mode, path + ["hybrid_collision_unidirectional"])
                        super().__init__(service, version, mode, path)
                    class enable_workpile(TUIMethod):
                        """
                        Turns on/off particle workpile algorithm. This option is only available when the define/models/dpm/parallel/use-shared-memory option is selected.
                        """
                    class hybrid_collision_model(TUIMethod):
                        """
                        An EXPERIMENTAL feature to allow 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """
                    class use_shared_memory(TUIMethod):
                        """
                        Specifies that the calculations are performed on shared-memory multiprocessor machines.
                        """
                    class n_threads(TUIMethod):
                        """
                        Sets the number of processors to use for DPM. This option is only available when the define/models/dpm/parallel/enable-workpile? option is enabled.
                        """
                    class use_hybrid(TUIMethod):
                        """
                        Specifies that the calculations are performed using multicore cluster computing or shared-memory machines. This option works in conjunction withopenmpi for a dynamic load balancing without migration of cells.
                        """
                    class hybrid_collision_variant(TUIMethod):
                        """
                        Further reduce the residual risk of dead-locks in the experimental feature that
                        allows 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """
                    class hybrid_2domain(TUIMethod):
                        """
                        Enables/disables the use of a second domain for DPM particle tracking.
                        """
                    class report(TUIMethod):
                        """
                        Prints particle workpile statistics. This option is only available when the define/models/dpm/parallel/enable-workpile? option is enabled.
                        """
                    class hybrid_workpile(TUIMethod):
                        """
                        Optimize multi-thread load balancing within each partition in hybrid-parallel DPM tracking.
                        """
                    class use_message_passing(TUIMethod):
                        """
                        Specifies that the calculations are performed using cluster computing or shared-memory machines. With this option, the compute node processes themselves perform the particle work on their local partitions and particle migration to other compute nodes is implemented using message passing primitives.
                        """
                    class fix_source_term_accumulation_order(TUIMethod):
                        """
                        Enforce deterministic order of source term accumulation.
                        """
                    class hybrid_collision_unidirectional(TUIMethod):
                        """
                        A faster, yet potentially somewhat less accurate, modification to the beta feature
                        that allows 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """

                    class expert(TUIMenu):
                        """
                        Enters the menu for expert DPM parallel text commands.
                        """
                        def __init__(self, service, version, mode, path):
                            self.partition_method_hybrid_2domain = self.__class__.partition_method_hybrid_2domain(service, version, mode, path + ["partition_method_hybrid_2domain"])
                            super().__init__(service, version, mode, path)
                        class partition_method_hybrid_2domain(TUIMethod):
                            """
                            Enables/disables a partitioning method that is more granular and can yield faster calculations (especially for cases that are running on a low to moderate number of processors). This partitioning method is only applied when you use the DPM domain for the hybrid parallel DPM tracking mode (that is, when you have enabled the define/models/dpm/parallel/hybrid-2domain? text command).
                            """

                class numerics(TUIMenu):
                    """
                    Enters the numerics menu to set numerical solution parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.high_resolution_tracking = self.__class__.high_resolution_tracking(service, version, mode, path + ["high_resolution_tracking"])
                        self.average_source_terms = self.__class__.average_source_terms(service, version, mode, path + ["average_source_terms"])
                        self.tracking_parameters = self.__class__.tracking_parameters(service, version, mode, path + ["tracking_parameters"])
                        self.average_kernel = self.__class__.average_kernel(service, version, mode, path + ["average_kernel"])
                        self.average_each_step = self.__class__.average_each_step(service, version, mode, path + ["average_each_step"])
                        self.coupled_heat_mass_update = self.__class__.coupled_heat_mass_update(service, version, mode, path + ["coupled_heat_mass_update"])
                        self.vaporization_limiting_factors = self.__class__.vaporization_limiting_factors(service, version, mode, path + ["vaporization_limiting_factors"])
                        self.tracking_statistics = self.__class__.tracking_statistics(service, version, mode, path + ["tracking_statistics"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.enable_node_based_averaging = self.__class__.enable_node_based_averaging(service, version, mode, path + ["enable_node_based_averaging"])
                        self.underrelax_film_height = self.__class__.underrelax_film_height(service, version, mode, path + ["underrelax_film_height"])
                        self.automated_scheme_selection = self.__class__.automated_scheme_selection(service, version, mode, path + ["automated_scheme_selection"])
                        self.gaussian_factor = self.__class__.gaussian_factor(service, version, mode, path + ["gaussian_factor"])
                        self.dynamic_interaction = self.__class__.dynamic_interaction(service, version, mode, path + ["dynamic_interaction"])
                        self.predictor_corrector = self.__class__.predictor_corrector(service, version, mode, path + ["predictor_corrector"])
                        self.enhanced_packing_limit_numerics = self.__class__.enhanced_packing_limit_numerics(service, version, mode, path + ["enhanced_packing_limit_numerics"])
                        self.drag_law = self.__class__.drag_law(service, version, mode, path + ["drag_law"])
                        self.error_control = self.__class__.error_control(service, version, mode, path + ["error_control"])
                        self.mppic_settings = self.__class__.mppic_settings(service, version, mode, path + ["mppic_settings"])
                        self.minimum_liquid_fraction = self.__class__.minimum_liquid_fraction(service, version, mode, path + ["minimum_liquid_fraction"])
                        self.average_DDPM_variables = self.__class__.average_DDPM_variables(service, version, mode, path + ["average_DDPM_variables"])
                        self.granular_stress_tensor = self.__class__.granular_stress_tensor(service, version, mode, path + ["granular_stress_tensor"])
                        self.tracking_scheme = self.__class__.tracking_scheme(service, version, mode, path + ["tracking_scheme"])
                        super().__init__(service, version, mode, path)
                    class average_source_terms(TUIMethod):
                        """
                        Enables/disables mesh node averaging of DPM source terms.
                        """
                    class tracking_parameters(TUIMethod):
                        """
                        Sets parameters for the (initial) tracking step length.
                        """
                    class average_kernel(TUIMethod):
                        """
                        Specifies the averaging kernel to use for mesh node averaging.
                        """
                    class average_each_step(TUIMethod):
                        """
                        Enables/disables mesh node averaging during integration time step.
                        """
                    class coupled_heat_mass_update(TUIMethod):
                        """
                        Enables/disables coupled heat and mass update.
                        """
                    class vaporization_limiting_factors(TUIMethod):
                        """
                        Sets the Vaporization Fractional Change Limits.
                        """
                    class tracking_statistics(TUIMethod):
                        """
                        Controls the format of the one-line tracking statistics to be printed after every DPM tracking pass. A value of 0 (the default) prints only fates with non-zero values. A value of 1 prints all fates, including fates with zero values.
                        """
                    class verbosity(TUIMethod):
                        """
                        Adjust the DPM tracker's verbosity level.
                        """
                    class enable_node_based_averaging(TUIMethod):
                        """
                        Enables/disables mesh node averaging of DPM quantities.
                        """
                    class underrelax_film_height(TUIMethod):
                        """
                        Sets the under-relaxation factor for the film height calculation. The recommended values range between 0.5 (default) and 0.9.
                        """
                    class automated_scheme_selection(TUIMethod):
                        """
                        Enables/disables the adaptation of integration step length based on a maximum error.
                        """
                    class gaussian_factor(TUIMethod):
                        """
                        Specifies the Gaussian constant when using thegaussian kernel for mesh node averaging.
                        """
                    class dynamic_interaction(TUIMethod):
                        """
                        Enable/disable dynamic interaction range.
                        """
                    class predictor_corrector(TUIMethod):
                        """
                        Enable predictor/corrector approach to track particles.
                        """
                    class enhanced_packing_limit_numerics(TUIMethod):
                        """
                        Enable enhanced packing limit numerics to avoid exceeding of packing limit for granular phases.
                        """
                    class drag_law(TUIMethod):
                        """
                        Sets the drag law.
                        """
                    class error_control(TUIMethod):
                        """
                        Adapts integration step length based on a maximum error.
                        """
                    class mppic_settings(TUIMethod):
                        """
                        Enable PIC and MPPIC to compute DPM and DDPM source terms.
                        """
                    class minimum_liquid_fraction(TUIMethod):
                        """
                        A droplet evaporates completely when the remaining mass is below this fraction of the initial droplet mass.
                        """
                    class average_DDPM_variables(TUIMethod):
                        """
                        Enables/disables mesh node averaging of DDPM quantities.
                        """
                    class granular_stress_tensor(TUIMethod):
                        """
                        Enable granular stress tensor to be considered with solid pressure gradient as collision force.
                        """
                    class tracking_scheme(TUIMethod):
                        """
                        Specifies a tracking scheme.
                        """

                    class high_resolution_tracking(TUIMenu):
                        """
                        Enters the high resolution tracking menu. See  for more information about these options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.barycentric_interpolation = self.__class__.barycentric_interpolation(service, version, mode, path + ["barycentric_interpolation"])
                            self.particle_relocation = self.__class__.particle_relocation(service, version, mode, path + ["particle_relocation"])
                            self.sliding_interface_crossover_fraction = self.__class__.sliding_interface_crossover_fraction(service, version, mode, path + ["sliding_interface_crossover_fraction"])
                            self.enable_automatic_intersection_tolerance = self.__class__.enable_automatic_intersection_tolerance(service, version, mode, path + ["enable_automatic_intersection_tolerance"])
                            self.project_wall_film_particles_to_film = self.__class__.project_wall_film_particles_to_film(service, version, mode, path + ["project_wall_film_particles_to_film"])
                            self.enable_barycentric_intersections = self.__class__.enable_barycentric_intersections(service, version, mode, path + ["enable_barycentric_intersections"])
                            self.set_subtet_intersection_tolerance = self.__class__.set_subtet_intersection_tolerance(service, version, mode, path + ["set_subtet_intersection_tolerance"])
                            self.use_quad_face_centroid = self.__class__.use_quad_face_centroid(service, version, mode, path + ["use_quad_face_centroid"])
                            self.use_particle_timestep_for_intersection_tolerance = self.__class__.use_particle_timestep_for_intersection_tolerance(service, version, mode, path + ["use_particle_timestep_for_intersection_tolerance"])
                            self.use_velocity_based_error_control = self.__class__.use_velocity_based_error_control(service, version, mode, path + ["use_velocity_based_error_control"])
                            self.enable_high_resolution_tracking = self.__class__.enable_high_resolution_tracking(service, version, mode, path + ["enable_high_resolution_tracking"])
                            self.remove_stuck_particles = self.__class__.remove_stuck_particles(service, version, mode, path + ["remove_stuck_particles"])
                            self.use_barycentric_sampling = self.__class__.use_barycentric_sampling(service, version, mode, path + ["use_barycentric_sampling"])
                            self.always_use_face_centroid_with_periodics = self.__class__.always_use_face_centroid_with_periodics(service, version, mode, path + ["always_use_face_centroid_with_periodics"])
                            self.set_film_spreading_parameter = self.__class__.set_film_spreading_parameter(service, version, mode, path + ["set_film_spreading_parameter"])
                            self.check_subtet_validity = self.__class__.check_subtet_validity(service, version, mode, path + ["check_subtet_validity"])
                            self.boundary_layer_tracking = self.__class__.boundary_layer_tracking(service, version, mode, path + ["boundary_layer_tracking"])
                            super().__init__(service, version, mode, path)
                        class sliding_interface_crossover_fraction(TUIMethod):
                            """
                            Specifies the fraction of the distance to the subtet center to move the particle.  At non-conformal interfaces, the nodes used for the barycentric interpolation are different on either side of the interface. This may result in incomplete particles due to discontinuities in the variable interpolation. The number of incomplete particles may be reduced by moving the particles slightly off of the sliding interface. Recommended values range between 0 and 0.5.
                            """
                        class enable_automatic_intersection_tolerance(TUIMethod):
                            """
                            Enables/disables the automatic calculation of intersection tolerance. By default, the tolerance used in intersection calculations is scaled by the residence time of the particle in the cell to improve robustness. For most cases, the scaled tolerance is sufficient to identify all intersections of the particle trajectory and the subtet faces. You can set the intersection tolerance manually using the set-subtet-intersection-tolerance text command.
                            """
                        class project_wall_film_particles_to_film(TUIMethod):
                            """
                            Enables/disables projecting existing particles to Lagrangian wall film to track using high-resolution tracking.  When reading in a data file that contains wall film particles previously tracked with the existing ANSYS Fluent tracking method, you need to either clear the particles from the domain or project their positions to the wall film surface using the project-wall-film-particles-to-film? text command prior to using the high-resolution tracking method. After tracking the particles for one timestep, this option can be disabled to improve performance.
                            """
                        class enable_barycentric_intersections(TUIMethod):
                            """
                            Enables/disables an alternative method of calculating intersections with cell boundaries. Barycentric intersections are linear calculations and are faster than the default intersection algorithm. The default intersection algorithm is second-order for stationary meshes; therefore, using the barycentric intersection may sacrifice accuracy. You must verify that the barycentric intersections provide comparable results to the default intersection method. This option is available only for 3D stationary meshes and the double precision solver.
                            """
                        class set_subtet_intersection_tolerance(TUIMethod):
                            """
                            Specifies the tolerance used in intersection calculations. This tolerance will be scaled by the characteristic cell crossing time of the particle if the enable-automatic-intersection-tolerance? text command is enabled. If that option is disabled, the specified tolerance will be used without scaling. The default intersection tolerance is 10-5.
                            """
                        class use_quad_face_centroid(TUIMethod):
                            """
                            Enables/disables using quad face centroids when creating subtets. This option changes the way hexahedral cells are decomposed to avoid creating degenerate subtets.
                            """
                        class use_particle_timestep_for_intersection_tolerance(TUIMethod):
                            """
                            Enables/disables the use of the particle timestep for the subtet intersection tolerance with axisymmetric grids (default: enabled). If disabled, the tolerance will be calculated in the same manner as non-axisymmetric meshes (a scaled value of the tolerance which is set using the define/models/dpm/numerics/high-resolution-tracking/set-subtet-intersection-tolerance text command).
                            """
                        class use_velocity_based_error_control(TUIMethod):
                            """
                            Enables/disables an alternative method of timestep adaption. By default, ANSYS Fluent uses the half-step method of timestep adaption with particle integration. This alternative method of controlling the integration timestep based upon velocity changes is faster; however, you need to ensure that the accuracy is comparable for your specific application.
                            """
                        class enable_high_resolution_tracking(TUIMethod):
                            """
                            Enables/disables high resolution tracking.
                            """
                        class remove_stuck_particles(TUIMethod):
                            """
                            Remove particles that are stuck at edges or faces.
                            """
                        class use_barycentric_sampling(TUIMethod):
                            """
                            When enabled, this option provides improved accuracy and parallel consistency when sampling particles at planes. This item is available only with the 3D solver. Using the double-precision solver and bounded planes is recommended.
                            """
                        class always_use_face_centroid_with_periodics(TUIMethod):
                            """
                            When enabled, ANSYS Fluent uses quad face centroids when creating subtets in cases with periodic boundaries.
                            """
                        class set_film_spreading_parameter(TUIMethod):
                            """
                            Set the spreading parameter for Lagrangian wallfilm particles.
                            """
                        class check_subtet_validity(TUIMethod):
                            """
                            When enabled, checks the validity of a subtet when the particle first enters it. If the subtet is found to be degenerate, the tracking algorithm modifies to accommodate it.
                            """
                        class boundary_layer_tracking(TUIMethod):
                            """
                            Enables/disables the calculation of the particle time step that considers both the cell aspect ratio and the particle trajectory. This method improves the accuracy of the predictions in boundary layer cells, particularly in layers where flow gradients are large.
                            """

                        class barycentric_interpolation(TUIMenu):
                            """
                            Enter the barycentric interpolation menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interpolate_flow_viscosity = self.__class__.interpolate_flow_viscosity(service, version, mode, path + ["interpolate_flow_viscosity"])
                                self.interpolate_flow_cp = self.__class__.interpolate_flow_cp(service, version, mode, path + ["interpolate_flow_cp"])
                                self.user_interpolation_function = self.__class__.user_interpolation_function(service, version, mode, path + ["user_interpolation_function"])
                                self.interpolate_wallfilm_properties = self.__class__.interpolate_wallfilm_properties(service, version, mode, path + ["interpolate_wallfilm_properties"])
                                self.zero_nodal_velocity_on_walls = self.__class__.zero_nodal_velocity_on_walls(service, version, mode, path + ["zero_nodal_velocity_on_walls"])
                                self.nodal_reconstruction_frequency = self.__class__.nodal_reconstruction_frequency(service, version, mode, path + ["nodal_reconstruction_frequency"])
                                self.interpolate_flow_density = self.__class__.interpolate_flow_density(service, version, mode, path + ["interpolate_flow_density"])
                                self.enable_transient_variable_interpolation = self.__class__.enable_transient_variable_interpolation(service, version, mode, path + ["enable_transient_variable_interpolation"])
                                self.interpolate_flow_solution_gradients = self.__class__.interpolate_flow_solution_gradients(service, version, mode, path + ["interpolate_flow_solution_gradients"])
                                self.precompute_pdf_species = self.__class__.precompute_pdf_species(service, version, mode, path + ["precompute_pdf_species"])
                                self.interpolate_temperature = self.__class__.interpolate_temperature(service, version, mode, path + ["interpolate_temperature"])
                                super().__init__(service, version, mode, path)
                            class interpolate_flow_viscosity(TUIMethod):
                                """
                                Enables/disables the barycentric interpolation of flow viscosity to the particle position. This option is recommended when the flow viscosity varies with position to avoid discontinuities in the interpolated variable at cell boundaries. For flows with constant viscosity, this option is unnecessary.
                                """
                            class interpolate_flow_cp(TUIMethod):
                                """
                                Enables/disables the barycentric interpolation of specific heat to the particle position. This option is recommended when the specific heat varies with position to avoid discontinuities in the interpolated variable at cell boundaries. For flows with constant specific heat, this option is unnecessary.
                                """
                            class user_interpolation_function(TUIMethod):
                                """
                                Enter user interpolation function.
                                """
                            class interpolate_wallfilm_properties(TUIMethod):
                                """
                                When enabled, the wall film properties (film height, film mass, and wall shear) are interpolated to the particle position.
                                """
                            class zero_nodal_velocity_on_walls(TUIMethod):
                                """
                                When enabled, sets the velocity at wall nodes to zero. (By default, the nodal velocities on walls are first reconstructed from cell and face values and then corrected to ensure that there are no velocity components directed towards the walls). This may be useful if you want to consider particle impingement on the walls. Note that enabling this option will more likely produce incomplete particles as some particles may settle on the walls.
                                """
                            class nodal_reconstruction_frequency(TUIMethod):
                                """
                                Update nodal reconstruction every N'th DPM iteration.
                                """
                            class interpolate_flow_density(TUIMethod):
                                """
                                Enables/disables the barycentric interpolation of the flow density. This option is recommended when the density varies with position to avoid discontinuities in the interpolated variable at cell boundaries. For constant density flows, this option is unnecessary.
                                """
                            class enable_transient_variable_interpolation(TUIMethod):
                                """
                                Enable transient variable interpolation.
                                """
                            class interpolate_flow_solution_gradients(TUIMethod):
                                """
                                When enabled, flow solution gradients are interpolated to the particle position. This can be useful when using physical models that depend on these gradients (for example, the thermophoretic force, pressure-gradient force, or virtual mass force). Interpolating the gradients also improves the accuracy and robustness of the trapezoidal numerics scheme, which is the default method for pathlines.
                                """
                            class precompute_pdf_species(TUIMethod):
                                """
                                When this option is enabled for premixed or non-premixed combustion simulations, the species composition in each cell is precomputed prior to tracking particles. This approach may improve performance for cases with many particles and relatively few cells. By default, this option is set to no, and ANSYS Fluent calculates the species composition during particle tracking. The solution results will be identical for both methods.
                                """
                            class interpolate_temperature(TUIMethod):
                                """
                                Enables/disables the barycentric interpolation of temperature to the particle position. The cell temperature is used by default in calculations of heat transfer to/from the particle.
                                """

                        class particle_relocation(TUIMenu):
                            """
                            Enter the particle relocation menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.wallfilm_relocation_tolerance_scale_factor = self.__class__.wallfilm_relocation_tolerance_scale_factor(service, version, mode, path + ["wallfilm_relocation_tolerance_scale_factor"])
                                self.overset_relocation_robustness_level = self.__class__.overset_relocation_robustness_level(service, version, mode, path + ["overset_relocation_robustness_level"])
                                self.use_legacy_particle_location_method = self.__class__.use_legacy_particle_location_method(service, version, mode, path + ["use_legacy_particle_location_method"])
                                self.load_legacy_particles = self.__class__.load_legacy_particles(service, version, mode, path + ["load_legacy_particles"])
                                self.enhanced_cell_relocation_method = self.__class__.enhanced_cell_relocation_method(service, version, mode, path + ["enhanced_cell_relocation_method"])
                                self.enhanced_wallfilm_location_method = self.__class__.enhanced_wallfilm_location_method(service, version, mode, path + ["enhanced_wallfilm_location_method"])
                                super().__init__(service, version, mode, path)
                            class wallfilm_relocation_tolerance_scale_factor(TUIMethod):
                                """
                                Set the relocation tolerance scaling factor for wallfilm particles after remeshing.
                                """
                            class overset_relocation_robustness_level(TUIMethod):
                                """
                                Set the robustness level for particle relocation in overset meshes.
                                """
                            class use_legacy_particle_location_method(TUIMethod):
                                """
                                Enable legacy method of locating particles in cells.
                                """
                            class load_legacy_particles(TUIMethod):
                                """
                                Load particles that were tracked without high-resolution tracking enabled.
                                """
                            class enhanced_cell_relocation_method(TUIMethod):
                                """
                                Enable enhanced method of locating particles in cells.
                                """
                            class enhanced_wallfilm_location_method(TUIMethod):
                                """
                                Enable enhanced method of locating film particles on faces.
                                """

            class system_coupling_settings(TUIMenu):
                """
                Enters the system coupling menu.
                """
                def __init__(self, service, version, mode, path):
                    self.htc = self.__class__.htc(service, version, mode, path + ["htc"])
                    self.use_face_or_element_based_data_transfer = self.__class__.use_face_or_element_based_data_transfer(service, version, mode, path + ["use_face_or_element_based_data_transfer"])
                    self.specify_system_coupling_volumetric_cell_zones = self.__class__.specify_system_coupling_volumetric_cell_zones(service, version, mode, path + ["specify_system_coupling_volumetric_cell_zones"])
                    self.update_rigid_body_mesh_motion_before_mesh_transfer = self.__class__.update_rigid_body_mesh_motion_before_mesh_transfer(service, version, mode, path + ["update_rigid_body_mesh_motion_before_mesh_transfer"])
                    super().__init__(service, version, mode, path)
                class use_face_or_element_based_data_transfer(TUIMethod):
                    """
                    Answering yes at the prompt 	enables Fluent to use element data for mapping surface 	conservative quantities such as surface forces and heat 	flows.
                    """
                class specify_system_coupling_volumetric_cell_zones(TUIMethod):
                    """
                    Enable/disable volumetric cell zones.
                    """
                class update_rigid_body_mesh_motion_before_mesh_transfer(TUIMethod):
                    """
                    SC Enable/disable mesh motion.
                    """

                class htc(TUIMenu):
                    """
                    Enter the heat transfer coeficient menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.htc_calculation_method = self.__class__.htc_calculation_method(service, version, mode, path + ["htc_calculation_method"])
                        self.unsteady_statistics = self.__class__.unsteady_statistics(service, version, mode, path + ["unsteady_statistics"])
                        super().__init__(service, version, mode, path)

                    class htc_calculation_method(TUIMenu):
                        """
                        Enter the htc calculation menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.use_tref_in_htc_calculation = self.__class__.use_tref_in_htc_calculation(service, version, mode, path + ["use_tref_in_htc_calculation"])
                            self.use_wall_function_based_htc = self.__class__.use_wall_function_based_htc(service, version, mode, path + ["use_wall_function_based_htc"])
                            self.use_yplus_based_htc_calculation = self.__class__.use_yplus_based_htc_calculation(service, version, mode, path + ["use_yplus_based_htc_calculation"])
                            super().__init__(service, version, mode, path)
                        class use_tref_in_htc_calculation(TUIMethod):
                            """
                            Enable/disable tref in htc computation.
                            """
                        class use_wall_function_based_htc(TUIMethod):
                            """
                            Enable/disable wall function based htc computation.
                            """
                        class use_yplus_based_htc_calculation(TUIMethod):
                            """
                            Enable/disable yplus in htc computation.
                            """

                    class unsteady_statistics(TUIMenu):
                        """
                        Enter the unsteady statistics menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.sc_enable_sub_stepping_option_per_coupling_step = self.__class__.sc_enable_sub_stepping_option_per_coupling_step(service, version, mode, path + ["sc_enable_sub_stepping_option_per_coupling_step"])
                            super().__init__(service, version, mode, path)
                        class sc_enable_sub_stepping_option_per_coupling_step(TUIMethod):
                            """
                            Enable/disable sub stepping option per coupling step.
                            """

            class shell_conduction(TUIMenu):
                """
                Enters the shell conduction models menu.
                """
                def __init__(self, service, version, mode, path):
                    self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
                    self.read_csv = self.__class__.read_csv(service, version, mode, path + ["read_csv"])
                    self.write_csv = self.__class__.write_csv(service, version, mode, path + ["write_csv"])
                    self.enhanced_encapsulation = self.__class__.enhanced_encapsulation(service, version, mode, path + ["enhanced_encapsulation"])
                    self.save_shell_zones = self.__class__.save_shell_zones(service, version, mode, path + ["save_shell_zones"])
                    self.multi_layer_shell = self.__class__.multi_layer_shell(service, version, mode, path + ["multi_layer_shell"])
                    super().__init__(service, version, mode, path)
                class settings(TUIMethod):
                    """
                    Enables shell conduction and defines the settings for any wall or group of walls by 	manually entering the number and properties of the 	layers.
                    """
                class read_csv(TUIMethod):
                    """
                    Defines the shell conduction settings by reading a CSV file.
                    """
                class write_csv(TUIMethod):
                    """
                    Writes your saved shell conduction settings to a CSV file.
                    """
                class enhanced_encapsulation(TUIMethod):
                    """
                    Enables/disables an enhanced routine for the encapsulation of coupled walls during 	mesh partitioning that is enabled by default when shell 	conduction and/or the surface to surface (S2S) radiation 	model is used.
                    """
                class save_shell_zones(TUIMethod):
                    """
                    Enables the saving of shell zones to case 	files.
                    """
                class multi_layer_shell(TUIMethod):
                    """
                    Enables/disables the ability to define multi-layer 	shell conduction for walls. Note that the warped-face 	gradient correction (WFGC) is not supported when 	multi-layer shells are disabled.
                    """

            class heat_exchanger(TUIMenu):
                """
                Enters the heat exchanger menu.
                """
                def __init__(self, service, version, mode, path):
                    self.dual_cell_model = self.__class__.dual_cell_model(service, version, mode, path + ["dual_cell_model"])
                    self.macro_model = self.__class__.macro_model(service, version, mode, path + ["macro_model"])
                    super().__init__(service, version, mode, path)

                class dual_cell_model(TUIMenu):
                    """
                    Enters the dual cell model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.plot_NTU = self.__class__.plot_NTU(service, version, mode, path + ["plot_NTU"])
                        self.alternative_formulation = self.__class__.alternative_formulation(service, version, mode, path + ["alternative_formulation"])
                        self.modify_heat_exchanger = self.__class__.modify_heat_exchanger(service, version, mode, path + ["modify_heat_exchanger"])
                        self.add_heat_exchanger = self.__class__.add_heat_exchanger(service, version, mode, path + ["add_heat_exchanger"])
                        self.write_NTU = self.__class__.write_NTU(service, version, mode, path + ["write_NTU"])
                        self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                        self.delete_heat_exchanger = self.__class__.delete_heat_exchanger(service, version, mode, path + ["delete_heat_exchanger"])
                        super().__init__(service, version, mode, path)
                    class plot_NTU(TUIMethod):
                        """
                        Plots NTU vs. primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class alternative_formulation(TUIMethod):
                        """
                        Enables/disables alternative formulation for heat transfer calculations.
                        """
                    class modify_heat_exchanger(TUIMethod):
                        """
                        Modifies heat-exchanger.
                        """
                    class add_heat_exchanger(TUIMethod):
                        """
                        Adds heat-exchanger.
                        """
                    class write_NTU(TUIMethod):
                        """
                        Writes NTU vs. primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class heat_exchanger(TUIMethod):
                        """
                        Enables/disables the dual cell heat-exchanger model.
                        """
                    class delete_heat_exchanger(TUIMethod):
                        """
                        Deletes heat-exchanger.
                        """

                class macro_model(TUIMenu):
                    """
                    Enters the heat macro-model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.heat_exchanger_model = self.__class__.heat_exchanger_model(service, version, mode, path + ["heat_exchanger_model"])
                        self.heat_exchanger_macro_report = self.__class__.heat_exchanger_macro_report(service, version, mode, path + ["heat_exchanger_macro_report"])
                        self.heat_exchanger_zone = self.__class__.heat_exchanger_zone(service, version, mode, path + ["heat_exchanger_zone"])
                        self.delete_heat_exchanger_group = self.__class__.delete_heat_exchanger_group(service, version, mode, path + ["delete_heat_exchanger_group"])
                        self.write_NTU = self.__class__.write_NTU(service, version, mode, path + ["write_NTU"])
                        self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                        self.heat_exchanger_group = self.__class__.heat_exchanger_group(service, version, mode, path + ["heat_exchanger_group"])
                        self.heat_exchanger_report = self.__class__.heat_exchanger_report(service, version, mode, path + ["heat_exchanger_report"])
                        self.plot_NTU = self.__class__.plot_NTU(service, version, mode, path + ["plot_NTU"])
                        super().__init__(service, version, mode, path)
                    class heat_exchanger_model(TUIMethod):
                        """
                        Defines heat-exchanger core model.
                        """
                    class heat_exchanger_macro_report(TUIMethod):
                        """
                        Reports the computed values of heat rejection, outlet temperature, and inlet temperature for the macroscopic cells (macros) in a heat exchanger.
                        """
                    class heat_exchanger_zone(TUIMethod):
                        """
                        Specifies the zone that represents the heat exchanger, the dimensions of the heat exchanger, the macro grid, and the coolant direction and properties.
                        """
                    class delete_heat_exchanger_group(TUIMethod):
                        """
                        Deletes heat-exchanger group.
                        """
                    class write_NTU(TUIMethod):
                        """
                        Writes NTU vs. primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class heat_exchanger(TUIMethod):
                        """
                        Enables/disables heat-exchanger model.
                        """
                    class heat_exchanger_group(TUIMethod):
                        """
                        Defines heat-exchanger group.
                        """
                    class heat_exchanger_report(TUIMethod):
                        """
                        Reports the computed values of total heat rejection, outlet temperature, and inlet temperature for a specified heat-exchanger core.
                        """
                    class plot_NTU(TUIMethod):
                        """
                        Plots NTU vs. primary mass flow rate for each auxiliary mass flow rate.
                        """

            class optics(TUIMenu):
                """
                Enter the optics model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.beams = self.__class__.beams(service, version, mode, path + ["beams"])
                    self.statistics = self.__class__.statistics(service, version, mode, path + ["statistics"])
                    self.sampling_iterations = self.__class__.sampling_iterations(service, version, mode, path + ["sampling_iterations"])
                    self.report = self.__class__.report(service, version, mode, path + ["report"])
                    self.index_of_refraction = self.__class__.index_of_refraction(service, version, mode, path + ["index_of_refraction"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    super().__init__(service, version, mode, path)
                class sampling_iterations(TUIMethod):
                    """
                    .
                    """
                class report(TUIMethod):
                    """
                    .
                    """
                class index_of_refraction(TUIMethod):
                    """
                    .
                    """
                class enable(TUIMethod):
                    """
                    .
                    """
                class verbosity(TUIMethod):
                    """
                    .
                    """

                class beams(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                        self.list_beam_parameters = self.__class__.list_beam_parameters(service, version, mode, path + ["list_beam_parameters"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        super().__init__(service, version, mode, path)
                    class rename(TUIMethod):
                        """
                        Rename object.
                        """
                    class copy(TUIMethod):
                        """
                        .
                        """
                    class list_beam_parameters(TUIMethod):
                        """
                        .
                        """
                    class add(TUIMethod):
                        """
                        Create a new beams object.
                        """
                    class delete(TUIMethod):
                        """
                        Delete object.
                        """
                    class edit(TUIMethod):
                        """
                        Edit beams object.
                        """

                class statistics(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.reset_statistics = self.__class__.reset_statistics(service, version, mode, path + ["reset_statistics"])
                        self.statistics_controls = self.__class__.statistics_controls(service, version, mode, path + ["statistics_controls"])
                        super().__init__(service, version, mode, path)
                    class reset_statistics(TUIMethod):
                        """
                        .
                        """
                    class statistics_controls(TUIMethod):
                        """
                        .
                        """

            class acoustics(TUIMenu):
                """
                Enters the acoustics menu.
                """
                def __init__(self, service, version, mode, path):
                    self.far_field_parameters = self.__class__.far_field_parameters(service, version, mode, path + ["far_field_parameters"])
                    self.wave_equation_options = self.__class__.wave_equation_options(service, version, mode, path + ["wave_equation_options"])
                    self.sources_fft = self.__class__.sources_fft(service, version, mode, path + ["sources_fft"])
                    self.sponge_layers = self.__class__.sponge_layers(service, version, mode, path + ["sponge_layers"])
                    self.write_acoustic_signals = self.__class__.write_acoustic_signals(service, version, mode, path + ["write_acoustic_signals"])
                    self.export_volumetric_sources_cgns = self.__class__.export_volumetric_sources_cgns(service, version, mode, path + ["export_volumetric_sources_cgns"])
                    self.export_volumetric_sources = self.__class__.export_volumetric_sources(service, version, mode, path + ["export_volumetric_sources"])
                    self.cylindrical_export = self.__class__.cylindrical_export(service, version, mode, path + ["cylindrical_export"])
                    self.wave_equation = self.__class__.wave_equation(service, version, mode, path + ["wave_equation"])
                    self.export_source_data_cgns = self.__class__.export_source_data_cgns(service, version, mode, path + ["export_source_data_cgns"])
                    self.off = self.__class__.off(service, version, mode, path + ["off"])
                    self.sources = self.__class__.sources(service, version, mode, path + ["sources"])
                    self.acoustic_modal_analysis = self.__class__.acoustic_modal_analysis(service, version, mode, path + ["acoustic_modal_analysis"])
                    self.export_source_data = self.__class__.export_source_data(service, version, mode, path + ["export_source_data"])
                    self.auto_prune = self.__class__.auto_prune(service, version, mode, path + ["auto_prune"])
                    self.read_compute_write = self.__class__.read_compute_write(service, version, mode, path + ["read_compute_write"])
                    self.ffowcs_williams = self.__class__.ffowcs_williams(service, version, mode, path + ["ffowcs_williams"])
                    self.moving_receiver = self.__class__.moving_receiver(service, version, mode, path + ["moving_receiver"])
                    self.compute_write = self.__class__.compute_write(service, version, mode, path + ["compute_write"])
                    self.modal_analysis = self.__class__.modal_analysis(service, version, mode, path + ["modal_analysis"])
                    self.convective_effects = self.__class__.convective_effects(service, version, mode, path + ["convective_effects"])
                    self.broad_band_noise = self.__class__.broad_band_noise(service, version, mode, path + ["broad_band_noise"])
                    self.write_centroid_info = self.__class__.write_centroid_info(service, version, mode, path + ["write_centroid_info"])
                    self.receivers = self.__class__.receivers(service, version, mode, path + ["receivers"])
                    self.display_frequencies = self.__class__.display_frequencies(service, version, mode, path + ["display_frequencies"])
                    self.display_flow_time = self.__class__.display_flow_time(service, version, mode, path + ["display_flow_time"])
                    super().__init__(service, version, mode, path)
                class write_acoustic_signals(TUIMethod):
                    """
                    Writes on-the-fly sound pressure.
                    """
                class export_volumetric_sources_cgns(TUIMethod):
                    """
                    Enables/disables the export of fluid zones.
                    """
                class export_volumetric_sources(TUIMethod):
                    """
                    Enables/disables the export of fluid zones.
                    """
                class cylindrical_export(TUIMethod):
                    """
                    Enables/disables the export of data in cylindrical coordinates.
                    """
                class wave_equation(TUIMethod):
                    """
                    Enables/disables the wave equation model.
                    """
                class export_source_data_cgns(TUIMethod):
                    """
                    Enables/disables the export of acoustic source data in CGNS format.
                    """
                class off(TUIMethod):
                    """
                    Enables/disables the acoustics model.
                    """
                class sources(TUIMethod):
                    """
                    Sets acoustic sources.
                    """
                class acoustic_modal_analysis(TUIMethod):
                    """
                    Iterate linear acoustic solver to compute the resonance frequencies and the acoustic modes.
                    """
                class export_source_data(TUIMethod):
                    """
                    Enables/disables the export of acoustic source data in 	ASD format during the wave equation model run.
                    """
                class auto_prune(TUIMethod):
                    """
                    Enables/disables auto prune of the receiver signal(s) during 	read-and-compute.
                    """
                class read_compute_write(TUIMethod):
                    """
                    Reads acoustic source data files and computes sound pressure.
                    """
                class ffowcs_williams(TUIMethod):
                    """
                    Enables/disables the Ffowcs-Williams-and-Hawkings model.
                    """
                class moving_receiver(TUIMethod):
                    """
                    Enables/disables the moving receiver option.
                    """
                class compute_write(TUIMethod):
                    """
                    Computes sound pressure.
                    """
                class modal_analysis(TUIMethod):
                    """
                    Enable/disable the modal analysis model.
                    """
                class convective_effects(TUIMethod):
                    """
                    Enables/disables the convective effects option.
                    """
                class broad_band_noise(TUIMethod):
                    """
                    Enables/disables the broadband noise model.
                    """
                class write_centroid_info(TUIMethod):
                    """
                    Writes centroid info.
                    """
                class receivers(TUIMethod):
                    """
                    Sets acoustic receivers.
                    """
                class display_frequencies(TUIMethod):
                    """
                    Display resonance frequencies.
                    """
                class display_flow_time(TUIMethod):
                    """
                    Enables/disables the display of flow time during read-and-compute.
                    """

                class far_field_parameters(TUIMenu):
                    """
                    Enters the menu to specify the far-field density and 	speed of sound. Note that this menu is currently 	available only with the acoustics wave equation model.
                    """
                    def __init__(self, service, version, mode, path):
                        self.far_field_sound_speed = self.__class__.far_field_sound_speed(service, version, mode, path + ["far_field_sound_speed"])
                        self.far_field_density = self.__class__.far_field_density(service, version, mode, path + ["far_field_density"])
                        super().__init__(service, version, mode, path)
                    class far_field_sound_speed(TUIMethod):
                        """
                        Specifies the far-field speed of sound value for the acoustics wave equation model.
                        """
                    class far_field_density(TUIMethod):
                        """
                        Specifies the far-field density value for the acoustics wave equation model.
                        """

                class wave_equation_options(TUIMenu):
                    """
                    Enters the menu to define the acoustics wave equation 	model options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.remote_receivers_options = self.__class__.remote_receivers_options(service, version, mode, path + ["remote_receivers_options"])
                        self.basic_shapes = self.__class__.basic_shapes(service, version, mode, path + ["basic_shapes"])
                        self.sponge_layer_udf = self.__class__.sponge_layer_udf(service, version, mode, path + ["sponge_layer_udf"])
                        self.remote_receivers = self.__class__.remote_receivers(service, version, mode, path + ["remote_receivers"])
                        self.sponge_layer_factor = self.__class__.sponge_layer_factor(service, version, mode, path + ["sponge_layer_factor"])
                        self.sponge_layer_base_level = self.__class__.sponge_layer_base_level(service, version, mode, path + ["sponge_layer_base_level"])
                        self.source_mask_udf = self.__class__.source_mask_udf(service, version, mode, path + ["source_mask_udf"])
                        self.time_filter_source = self.__class__.time_filter_source(service, version, mode, path + ["time_filter_source"])
                        super().__init__(service, version, mode, path)
                    class sponge_layer_udf(TUIMethod):
                        """
                        Specifies the name of a user-defined function, which defines geometry of the sponge layer.
                        """
                    class remote_receivers(TUIMethod):
                        """
                        Enables/disables the Kirchhoff integral model.
                        """
                    class sponge_layer_factor(TUIMethod):
                        """
                        Specifies the factor of the artificial viscosity coefficient.
                        """
                    class sponge_layer_base_level(TUIMethod):
                        """
                        Specify artificial viscosity base level applied everywhere.
                        """
                    class source_mask_udf(TUIMethod):
                        """
                        Specifies the name of a user-defined function, which defines geometry of the source mask.
                        """
                    class time_filter_source(TUIMethod):
                        """
                        Enables/disables a time filter for the sound source.
                        """

                    class remote_receivers_options(TUIMenu):
                        """
                        Enters the menu to define remote receivers for the Kirchhoff integral model.
                        """
                        def __init__(self, service, version, mode, path):
                            self.write_signals = self.__class__.write_signals(service, version, mode, path + ["write_signals"])
                            self.integration_surface = self.__class__.integration_surface(service, version, mode, path + ["integration_surface"])
                            super().__init__(service, version, mode, path)
                        class write_signals(TUIMethod):
                            """
                            Writes the computed receiver signals to the ASCII files.
                            """
                        class integration_surface(TUIMethod):
                            """
                            Selects the integration surface for the Kirchhoff model.
                            """

                    class basic_shapes(TUIMenu):
                        """
                        Enters the menu to define the geometry of the source mask and sponge layer using the basic shapes, represented by the cell registers of the type "Region".
                        """
                        def __init__(self, service, version, mode, path):
                            self.list_source_mask_shapes = self.__class__.list_source_mask_shapes(service, version, mode, path + ["list_source_mask_shapes"])
                            self.add_source_mask_shape = self.__class__.add_source_mask_shape(service, version, mode, path + ["add_source_mask_shape"])
                            self.add_sponge_layer_shape = self.__class__.add_sponge_layer_shape(service, version, mode, path + ["add_sponge_layer_shape"])
                            self.remove_sponge_layer_shape = self.__class__.remove_sponge_layer_shape(service, version, mode, path + ["remove_sponge_layer_shape"])
                            self.list_sponge_layer_shapes = self.__class__.list_sponge_layer_shapes(service, version, mode, path + ["list_sponge_layer_shapes"])
                            self.list_region_registers = self.__class__.list_region_registers(service, version, mode, path + ["list_region_registers"])
                            self.remove_source_mask_shape = self.__class__.remove_source_mask_shape(service, version, mode, path + ["remove_source_mask_shape"])
                            super().__init__(service, version, mode, path)
                        class list_source_mask_shapes(TUIMethod):
                            """
                            List basic shapes, which are currently used in the definition of the source mask geometry.
                            """
                        class add_source_mask_shape(TUIMethod):
                            """
                            Adds a basic shape to the definition of the source mask geometry.
                            """
                        class add_sponge_layer_shape(TUIMethod):
                            """
                            Adds a basic shape to the definition of the sponge layer geometry.
                            """
                        class remove_sponge_layer_shape(TUIMethod):
                            """
                            Remove a basic shape from the definition of the sponge layer geometry.
                            """
                        class list_sponge_layer_shapes(TUIMethod):
                            """
                            List basic shapes, which are currently used in the definition of the sponge layer geometry.
                            """
                        class list_region_registers(TUIMethod):
                            """
                            List all available cell registers of the type "Region".
                            """
                        class remove_source_mask_shape(TUIMethod):
                            """
                            Remove a basic shape from the definition of the source mask geometry.
                            """

                class sources_fft(TUIMenu):
                    """
                    Enters the acoustic sources fast Fourier transform (FFT) menu, to compute Fourier 	spectra from acoustic source data (ASD) files, create 	postprocessing variables for the pressure signals, and 	write CGNS files of the spectrum data.
                    """
                    def __init__(self, service, version, mode, path):
                        self.fft_surface_variables = self.__class__.fft_surface_variables(service, version, mode, path + ["fft_surface_variables"])
                        self.write_cgns_files = self.__class__.write_cgns_files(service, version, mode, path + ["write_cgns_files"])
                        self.clean_up_storage_area = self.__class__.clean_up_storage_area(service, version, mode, path + ["clean_up_storage_area"])
                        self.read_asd_files = self.__class__.read_asd_files(service, version, mode, path + ["read_asd_files"])
                        self.compute_fft_fields = self.__class__.compute_fft_fields(service, version, mode, path + ["compute_fft_fields"])
                        super().__init__(service, version, mode, path)
                    class write_cgns_files(TUIMethod):
                        """
                        Writes surface pressure spectra in CGNS format, which can be used for one-way coupling with Ansys Mechanical in the frequency domain.
                        """
                    class clean_up_storage_area(TUIMethod):
                        """
                        De-allocates memory used to store the pressure histories and their Fourier spectra, as well as any created surface variables for the visualization.
                        """
                    class read_asd_files(TUIMethod):
                        """
                        Reads ASD files to perform FFT of the pressure history field.
                        """
                    class compute_fft_fields(TUIMethod):
                        """
                        Computes FFT of the read pressure histories. The computed spectra replace the pressure histories in memory.
                        """

                    class fft_surface_variables(TUIMenu):
                        """
                        Enters the menu to create surface variables from the computed Fourier spectra for visualization.
                        """
                        def __init__(self, service, version, mode, path):
                            self.create_third_bands = self.__class__.create_third_bands(service, version, mode, path + ["create_third_bands"])
                            self.remove_variables = self.__class__.remove_variables(service, version, mode, path + ["remove_variables"])
                            self.create_octave_bands = self.__class__.create_octave_bands(service, version, mode, path + ["create_octave_bands"])
                            self.create_set_of_modes = self.__class__.create_set_of_modes(service, version, mode, path + ["create_set_of_modes"])
                            self.create_constant_width_bands = self.__class__.create_constant_width_bands(service, version, mode, path + ["create_constant_width_bands"])
                            super().__init__(service, version, mode, path)
                        class create_third_bands(TUIMethod):
                            """
                            Creates either the surface pressure level (SPL) variables or the PSD of dp/dt variables for 54 technical thirds.
                            """
                        class remove_variables(TUIMethod):
                            """
                            Removes all variables created in this menu.
                            """
                        class create_octave_bands(TUIMethod):
                            """
                            Creates either the surface pressure level (SPL) variables or the PSD of dp/dt variables for 17 technical octaves.
                            """
                        class create_set_of_modes(TUIMethod):
                            """
                            Selects up to 20 individual Fourier modes and create variable pairs for them, containing the real and the imaginary parts of the complex Fourier amplitudes.
                            """
                        class create_constant_width_bands(TUIMethod):
                            """
                            Selects up to 20 constant width bands and creates either the surface pressures level (SPL) variables or the PSD of dp/dt variables for them.
                            """

                class sponge_layers(TUIMenu):
                    """
                    Manage sponge layers where density is blended to eliminate reflections from boundary zones.
                    """
                    def __init__(self, service, version, mode, path):
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.list_active = self.__class__.list_active(service, version, mode, path + ["list_active"])
                        self.deactivate = self.__class__.deactivate(service, version, mode, path + ["deactivate"])
                        self.activate = self.__class__.activate(service, version, mode, path + ["activate"])
                        super().__init__(service, version, mode, path)
                    class edit(TUIMethod):
                        """
                        Edits an existing sponge layer. You can revise the fields listed previously for the define/models/acoustics/sponge-layers/add text command.
                        """
                    class list_properties(TUIMethod):
                        """
                        Prints the properties of an existing sponge layer of your choice in the console.
                        """
                    class list(TUIMethod):
                        """
                        Prints a list of the existing sponge layers in the console.
                        """
                    class add(TUIMethod):
                        """
                        Add a new sponge layer definition.
                        """
                    class delete(TUIMethod):
                        """
                        Deletes an existing sponge layer definition.
                        """
                    class list_active(TUIMethod):
                        """
                        List the names of the active sponge layer definitions.
                        """
                    class deactivate(TUIMethod):
                        """
                        Deactivate a sponge layer definition.
                        """
                    class activate(TUIMethod):
                        """
                        Activate a sponge object.
                        """

            class multiphase(TUIMenu):
                """
                Enters the multiphase model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.wet_steam = self.__class__.wet_steam(service, version, mode, path + ["wet_steam"])
                    self.explicit_expert_options = self.__class__.explicit_expert_options(service, version, mode, path + ["explicit_expert_options"])
                    self.phases = self.__class__.phases(service, version, mode, path + ["phases"])
                    self.sub_models = self.__class__.sub_models(service, version, mode, path + ["sub_models"])
                    self.flow_regime_modeling = self.__class__.flow_regime_modeling(service, version, mode, path + ["flow_regime_modeling"])
                    self.hybrid_models = self.__class__.hybrid_models(service, version, mode, path + ["hybrid_models"])
                    self.volume_fraction_parameters = self.__class__.volume_fraction_parameters(service, version, mode, path + ["volume_fraction_parameters"])
                    self.population_balance = self.__class__.population_balance(service, version, mode, path + ["population_balance"])
                    self.vof_sub_models = self.__class__.vof_sub_models(service, version, mode, path + ["vof_sub_models"])
                    self.coupled_level_set = self.__class__.coupled_level_set(service, version, mode, path + ["coupled_level_set"])
                    self.model = self.__class__.model(service, version, mode, path + ["model"])
                    self.number_of_phases = self.__class__.number_of_phases(service, version, mode, path + ["number_of_phases"])
                    self.body_force_formulation = self.__class__.body_force_formulation(service, version, mode, path + ["body_force_formulation"])
                    self.interface_modeling_options = self.__class__.interface_modeling_options(service, version, mode, path + ["interface_modeling_options"])
                    self.mixture_parameters = self.__class__.mixture_parameters(service, version, mode, path + ["mixture_parameters"])
                    self.regime_transition_modeling = self.__class__.regime_transition_modeling(service, version, mode, path + ["regime_transition_modeling"])
                    super().__init__(service, version, mode, path)
                class volume_fraction_parameters(TUIMethod):
                    """
                    Volume fraction parameters.
                    """
                class vof_sub_models(TUIMethod):
                    """
                    Enables the Open Channel sub-model and/or the Open Channel Wave Boundary Condition 	sub-model.
                    """
                class coupled_level_set(TUIMethod):
                    """
                    Enables coupled level set interface tracking method.
                    """
                class model(TUIMethod):
                    """
                    Specifies multiphase model.
                    """
                class number_of_phases(TUIMethod):
                    """
                    Specifies the number of phases.
                    """
                class body_force_formulation(TUIMethod):
                    """
                    Specifies body force formulation.
                    """
                class interface_modeling_options(TUIMethod):
                    """
                    Specifies interface modeling options.
                    """
                class mixture_parameters(TUIMethod):
                    """
                    Specifies mixture parameters.
                    """
                class regime_transition_modeling(TUIMethod):
                    """
                    Enables the Algebraic Interfacial Area Density (AIAD) 	model and sets the AIAD secondary continuous phase and 	the secondary entrained phase. Entering 0 as a phase ID cancels any 	previous phase selection. Note that you must define the 	phases in your simulation using the define/phases/ text command 	prior to using the regime-transition-modeling 	text command. This option is available only with the 	Eulerian multiphase model.
                    """

                class wet_steam(TUIMenu):
                    """
                    Enters the wet steam model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        self.load_unload_user_defined_wetsteam_library = self.__class__.load_unload_user_defined_wetsteam_library(service, version, mode, path + ["load_unload_user_defined_wetsteam_library"])
                        self.compile_user_defined_wetsteam_functions = self.__class__.compile_user_defined_wetsteam_functions(service, version, mode, path + ["compile_user_defined_wetsteam_functions"])
                        super().__init__(service, version, mode, path)
                    class enable(TUIMethod):
                        """
                        Enables/disables the wet steam model.
                        """
                    class load_unload_user_defined_wetsteam_library(TUIMethod):
                        """
                        Loads or unloads user-defined wet steam library.
                        """
                    class compile_user_defined_wetsteam_functions(TUIMethod):
                        """
                        Compiles user-defined wet steam library.
                        """

                    class set(TUIMenu):
                        """
                        Enters the set menu for setting wet steam model options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.stagnation_conditions = self.__class__.stagnation_conditions(service, version, mode, path + ["stagnation_conditions"])
                            self.zonal_phase_change = self.__class__.zonal_phase_change(service, version, mode, path + ["zonal_phase_change"])
                            self.rgp_tables = self.__class__.rgp_tables(service, version, mode, path + ["rgp_tables"])
                            self.droplet_growth_rate = self.__class__.droplet_growth_rate(service, version, mode, path + ["droplet_growth_rate"])
                            self.max_liquid_mass_fraction = self.__class__.max_liquid_mass_fraction(service, version, mode, path + ["max_liquid_mass_fraction"])
                            self.virial_equation = self.__class__.virial_equation(service, version, mode, path + ["virial_equation"])
                            super().__init__(service, version, mode, path)
                        class stagnation_conditions(TUIMethod):
                            """
                            Computes stagnation conditions using either gas phase only, or mixture. For details, see .
                            """
                        class zonal_phase_change(TUIMethod):
                            """
                            Select cell zones where phase change process is active.
                            """
                        class rgp_tables(TUIMethod):
                            """
                            Sets the RGP (real gas property) table to be used with the Wet Steam model.
                            """
                        class droplet_growth_rate(TUIMethod):
                            """
                            S formulation (default) or Hill.
                            """
                        class max_liquid_mass_fraction(TUIMethod):
                            """
                            Sets the maximum limit on the condensed liquid-phase mass-fraction to prevent divergence.
                            """
                        class virial_equation(TUIMethod):
                            """
                            Sets the equation of state for steam to either Vukalovich formulation (default) or Young formulation.
                            """

                class explicit_expert_options(TUIMenu):
                    """
                    Enters the menu to set explicit VOF expert 	options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.volume_fraction_filtering = self.__class__.volume_fraction_filtering(service, version, mode, path + ["volume_fraction_filtering"])
                        self.sub_time_step_method = self.__class__.sub_time_step_method(service, version, mode, path + ["sub_time_step_method"])
                        self.solve_vof_every_iter = self.__class__.solve_vof_every_iter(service, version, mode, path + ["solve_vof_every_iter"])
                        super().__init__(service, version, mode, path)
                    class sub_time_step_method(TUIMethod):
                        """
                        Selects the sub-time step method.
                        """
                    class solve_vof_every_iter(TUIMethod):
                        """
                        If you enter yes, the volume fraction equations will be solved every iteration. By default, the volume fraction equations will be solved only once per time step.
                        """

                    class volume_fraction_filtering(TUIMenu):
                        """
                        Enters the volume fraction filtering menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.filtering_options = self.__class__.filtering_options(service, version, mode, path + ["filtering_options"])
                            self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                            self.vol_frac_cutoff = self.__class__.vol_frac_cutoff(service, version, mode, path + ["vol_frac_cutoff"])
                            super().__init__(service, version, mode, path)
                        class filtering_options(TUIMethod):
                            """
                            Selects the volume fraction filtering method. This command becomes available once the define/models/multiphase/explicit-expert-options/volume-fraction-filtering/enable? text option has been set to yes.
                            """
                        class enable(TUIMethod):
                            """
                            Enables/disables the volume fraction filtering treatment.
                            """
                        class vol_frac_cutoff(TUIMethod):
                            """
                            Specifies a cut-off value for the volume fraction filtering. This command becomes available after you select the node averaged cutoff method using the define/models/multiphase/explicit-expert-options/volume-fraction-filtering/filtering-options text command.
                            """

                class phases(TUIMenu):
                    """
                    Enter the phases menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.iac_expert = self.__class__.iac_expert(service, version, mode, path + ["iac_expert"])
                        self.set_domain_properties = self.__class__.set_domain_properties(service, version, mode, path + ["set_domain_properties"])
                        super().__init__(service, version, mode, path)

                    class iac_expert(TUIMenu):
                        """
                        Enter the IAC expert setting menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.yao_morel_model = self.__class__.yao_morel_model(service, version, mode, path + ["yao_morel_model"])
                            self.ishii_kim_model = self.__class__.ishii_kim_model(service, version, mode, path + ["ishii_kim_model"])
                            self.hibiki_ishii_model = self.__class__.hibiki_ishii_model(service, version, mode, path + ["hibiki_ishii_model"])
                            self.iac_pseudo_time_step = self.__class__.iac_pseudo_time_step(service, version, mode, path + ["iac_pseudo_time_step"])
                            super().__init__(service, version, mode, path)
                        class yao_morel_model(TUIMethod):
                            """
                            Set ym model coefficients.
                            """
                        class ishii_kim_model(TUIMethod):
                            """
                            Set ik model coefficients.
                            """
                        class hibiki_ishii_model(TUIMethod):
                            """
                            Set hi model coefficients.
                            """
                        class iac_pseudo_time_step(TUIMethod):
                            """
                            Set iac pseudo-time.
                            """

                    class set_domain_properties(TUIMenu):
                        """
                        Enter the menu to set domain properties.
                        """
                        def __init__(self, service, version, mode, path):
                            self.interaction_domain = self.__class__.interaction_domain(service, version, mode, path + ["interaction_domain"])
                            self.change_phases_names = self.__class__.change_phases_names(service, version, mode, path + ["change_phases_names"])
                            self.phase_domains = self.__class__.phase_domains(service, version, mode, path + ["phase_domains"])
                            super().__init__(service, version, mode, path)
                        class change_phases_names(TUIMethod):
                            """
                            Change names for all defined phases?.
                            """
                        class phase_domains(TUIMethod):
                            """
                            Enter the menu to select a specific phase domain.
                            """

                        class interaction_domain(TUIMenu):
                            """
                            Enter the menu to set the interaction domain properties.
                            """
                            def __init__(self, service, version, mode, path):
                                self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                self.heat_mass_reactions = self.__class__.heat_mass_reactions(service, version, mode, path + ["heat_mass_reactions"])
                                self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                                self.forces = self.__class__.forces(service, version, mode, path + ["forces"])
                                self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                super().__init__(service, version, mode, path)

                            class model_transition(TUIMenu):
                                """
                                Enter the menu to set model transition mechanisms.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    super().__init__(service, version, mode, path)
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        super().__init__(service, version, mode, path)
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        super().__init__(service, version, mode, path)
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """

                            class heat_mass_reactions(TUIMenu):
                                """
                                Enter the menu to set heat, mass-transfer, or reaction related models.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    super().__init__(service, version, mode, path)
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        super().__init__(service, version, mode, path)
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """

                            class numerics(TUIMenu):
                                """
                                Enter the menu to set numerics models.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    super().__init__(service, version, mode, path)
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """

                            class forces(TUIMenu):
                                """
                                Enter the menu to set interfacial forces related models.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    super().__init__(service, version, mode, path)
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        super().__init__(service, version, mode, path)
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        super().__init__(service, version, mode, path)
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """

                            class interfacial_area(TUIMenu):
                                """
                                Enter the menu to set interfacial area models.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    super().__init__(service, version, mode, path)
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        super().__init__(service, version, mode, path)
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        super().__init__(service, version, mode, path)
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """

                class sub_models(TUIMenu):
                    """
                    Enter the menu to select sub-models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.boiling_options = self.__class__.boiling_options(service, version, mode, path + ["boiling_options"])
                        self.boiling = self.__class__.boiling(service, version, mode, path + ["boiling"])
                        super().__init__(service, version, mode, path)
                    class boiling(TUIMethod):
                        """
                        Activate boiling model.
                        """

                    class boiling_options(TUIMenu):
                        """
                        Set boiling options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.nlbf_model = self.__class__.nlbf_model(service, version, mode, path + ["nlbf_model"])
                            self.options = self.__class__.options(service, version, mode, path + ["options"])
                            super().__init__(service, version, mode, path)
                        class nlbf_model(TUIMethod):
                            """
                            Set the non-local boundary field correction.
                            """
                        class options(TUIMethod):
                            """
                            Choose the type of boiling model.
                            """

                class flow_regime_modeling(TUIMenu):
                    """
                    Flow Regime Modeling.
                    """
                    def __init__(self, service, version, mode, path):
                        self.aiad_parameters = self.__class__.aiad_parameters(service, version, mode, path + ["aiad_parameters"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class enable(TUIMethod):
                        """
                        Enable flow regime modeling framework including phase state and morphology.
                        """

                    class aiad_parameters(TUIMenu):
                        """
                        AIAD parameters.
                        """
                        def __init__(self, service, version, mode, path):
                            self.delta_vf = self.__class__.delta_vf(service, version, mode, path + ["delta_vf"])
                            self.delta_grad = self.__class__.delta_grad(service, version, mode, path + ["delta_grad"])
                            self.critical_vf = self.__class__.critical_vf(service, version, mode, path + ["critical_vf"])
                            self.ncells_fs = self.__class__.ncells_fs(service, version, mode, path + ["ncells_fs"])
                            super().__init__(service, version, mode, path)
                        class delta_vf(TUIMethod):
                            """
                            Parameter for transition width for bubbly and droplet flow blending factors.
                            """
                        class delta_grad(TUIMethod):
                            """
                            Parameter for determining transition width for free surface blending factor.
                            """
                        class critical_vf(TUIMethod):
                            """
                            Critical volume fraction for bubbly and droplet flow blending factors.
                            """
                        class ncells_fs(TUIMethod):
                            """
                            Parameter for determining interfacial width.
                            """

                class hybrid_models(TUIMenu):
                    """
                    Enter the menu to select hybrid models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.ddpm = self.__class__.ddpm(service, version, mode, path + ["ddpm"])
                        self.multi_fluid_vof = self.__class__.multi_fluid_vof(service, version, mode, path + ["multi_fluid_vof"])
                        super().__init__(service, version, mode, path)
                    class ddpm(TUIMethod):
                        """
                        Enable the dense discrete phase model.
                        """
                    class multi_fluid_vof(TUIMethod):
                        """
                        Enable the multi-fluid VOF model.
                        """

                class population_balance(TUIMenu):
                    """
                    Enters the population balance models menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.phenomena = self.__class__.phenomena(service, version, mode, path + ["phenomena"])
                        self.size_calculator = self.__class__.size_calculator(service, version, mode, path + ["size_calculator"])
                        self.model = self.__class__.model(service, version, mode, path + ["model"])
                        self.include_expansion = self.__class__.include_expansion(service, version, mode, path + ["include_expansion"])
                        super().__init__(service, version, mode, path)
                    class size_calculator(TUIMethod):
                        """
                        Gives you recommendations for appropriate bubble sizes and/or droplet size limits.
                        """
                    class model(TUIMethod):
                        """
                        Allows you to select the population balance model and set its parameters.
                        """
                    class include_expansion(TUIMethod):
                        """
                        Set expansion.
                        """

                    class expert(TUIMenu):
                        """
                        Enter the expert menu for quadrature-based population balance method.
                        """
                        def __init__(self, service, version, mode, path):
                            self.qmom = self.__class__.qmom(service, version, mode, path + ["qmom"])
                            super().__init__(service, version, mode, path)

                        class qmom(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.inversion_algorithm = self.__class__.inversion_algorithm(service, version, mode, path + ["inversion_algorithm"])
                                self.print_realizable_moment_warning = self.__class__.print_realizable_moment_warning(service, version, mode, path + ["print_realizable_moment_warning"])
                                self.realizable_moments = self.__class__.realizable_moments(service, version, mode, path + ["realizable_moments"])
                                self.retain_qmom_sources_for_low_vof = self.__class__.retain_qmom_sources_for_low_vof(service, version, mode, path + ["retain_qmom_sources_for_low_vof"])
                                super().__init__(service, version, mode, path)
                            class inversion_algorithm(TUIMethod):
                                """
                                Select the inversion algorithm for quadrature-based population balance method.
                                """
                            class print_realizable_moment_warning(TUIMethod):
                                """
                                Print the information for realizable moments in the population balance model.
                                """
                            class realizable_moments(TUIMethod):
                                """
                                Set the population balance model.
                                """
                            class retain_qmom_sources_for_low_vof(TUIMethod):
                                """
                                Retain qmom source calculation for low secondary phase vof.
                                """

                    class phenomena(TUIMenu):
                        """
                        Enters the phenomena menu for population balance.
                        """
                        def __init__(self, service, version, mode, path):
                            self.growth = self.__class__.growth(service, version, mode, path + ["growth"])
                            self.aggregation = self.__class__.aggregation(service, version, mode, path + ["aggregation"])
                            self.breakage_aggregation_vof_cutoff = self.__class__.breakage_aggregation_vof_cutoff(service, version, mode, path + ["breakage_aggregation_vof_cutoff"])
                            self.breakage_factor = self.__class__.breakage_factor(service, version, mode, path + ["breakage_factor"])
                            self.breakage = self.__class__.breakage(service, version, mode, path + ["breakage"])
                            self.aggregation_factor = self.__class__.aggregation_factor(service, version, mode, path + ["aggregation_factor"])
                            self.nucleation = self.__class__.nucleation(service, version, mode, path + ["nucleation"])
                            super().__init__(service, version, mode, path)
                        class growth(TUIMethod):
                            """
                            Specifies the growth rate.
                            """
                        class aggregation(TUIMethod):
                            """
                            Sets the aggregation kernel.
                            """
                        class breakage_aggregation_vof_cutoff(TUIMethod):
                            """
                            Specifies a cutoff limit for the volume fraction values for the breakage and aggregation kernels.
                            """
                        class breakage_factor(TUIMethod):
                            """
                            Specifies a factor that controls the intensity of the selected breakage kernel.
                            """
                        class breakage(TUIMethod):
                            """
                            Set the breakage kernel.
                            """
                        class aggregation_factor(TUIMethod):
                            """
                            Specifies a factor that controls the intensity of the selected aggregation kernel.
                            """
                        class nucleation(TUIMethod):
                            """
                            Specifies the nucleation rate.
                            """

            class electrolysis(TUIMenu):
                """
                Enter the electrolysis model setup menu.
                """
                def __init__(self, service, version, mode, path):
                    self.membrane_setup = self.__class__.membrane_setup(service, version, mode, path + ["membrane_setup"])
                    self.cathode_setup = self.__class__.cathode_setup(service, version, mode, path + ["cathode_setup"])
                    self.anode_setup = self.__class__.anode_setup(service, version, mode, path + ["anode_setup"])
                    self.electrical_tabs_setup = self.__class__.electrical_tabs_setup(service, version, mode, path + ["electrical_tabs_setup"])
                    self.model_options = self.__class__.model_options(service, version, mode, path + ["model_options"])
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    super().__init__(service, version, mode, path)
                class electrical_tabs_setup(TUIMethod):
                    """
                    Specify settings for the electrical tabs.
                    """
                class model_options(TUIMethod):
                    """
                    Specify electrolysis model options.
                    """
                class parameters(TUIMethod):
                    """
                    Specify electrolysis model parameters.
                    """

                class membrane_setup(TUIMenu):
                    """
                    Specify parameters for electrolyte.
                    """
                    def __init__(self, service, version, mode, path):
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        super().__init__(service, version, mode, path)
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """

                class cathode_setup(TUIMenu):
                    """
                    Enter the menu for the cathode controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        super().__init__(service, version, mode, path)
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """

                class anode_setup(TUIMenu):
                    """
                    Enter the menu for the anode controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        super().__init__(service, version, mode, path)
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """

            class structure(TUIMenu):
                """
                Enters the structure model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                    self.linear_elasticity = self.__class__.linear_elasticity(service, version, mode, path + ["linear_elasticity"])
                    self.nonlinear_elasticity = self.__class__.nonlinear_elasticity(service, version, mode, path + ["nonlinear_elasticity"])
                    self.structure_off = self.__class__.structure_off(service, version, mode, path + ["structure_off"])
                    self.thermal_effects = self.__class__.thermal_effects(service, version, mode, path + ["thermal_effects"])
                    super().__init__(service, version, mode, path)
                class linear_elasticity(TUIMethod):
                    """
                    Enables the linear elasticity model.
                    """
                class nonlinear_elasticity(TUIMethod):
                    """
                    Enable the nonlinear elasticity model.
                    """
                class structure_off(TUIMethod):
                    """
                    Disables the structural model.
                    """
                class thermal_effects(TUIMethod):
                    """
                    Enable structure thermal effects.
                    """

                class expert(TUIMenu):
                    """
                    Enters the structure expert menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.include_pop_in_fsi_force = self.__class__.include_pop_in_fsi_force(service, version, mode, path + ["include_pop_in_fsi_force"])
                        self.steady_2way_fsi = self.__class__.steady_2way_fsi(service, version, mode, path + ["steady_2way_fsi"])
                        self.explicit_fsi_force = self.__class__.explicit_fsi_force(service, version, mode, path + ["explicit_fsi_force"])
                        self.include_viscous_fsi_force = self.__class__.include_viscous_fsi_force(service, version, mode, path + ["include_viscous_fsi_force"])
                        self.starting_t_re_initialization = self.__class__.starting_t_re_initialization(service, version, mode, path + ["starting_t_re_initialization"])
                        super().__init__(service, version, mode, path)
                    class include_pop_in_fsi_force(TUIMethod):
                        """
                        Enables/disables the inclusion of operating pressure into the fluid-structure interaction force.
                        """
                    class steady_2way_fsi(TUIMethod):
                        """
                        Enable steady 2-way fsi workflow.
                        """
                    class explicit_fsi_force(TUIMethod):
                        """
                        Enables/disables an explicit fluid-structure interaction force.
                        """
                    class include_viscous_fsi_force(TUIMethod):
                        """
                        Enables/disables the inclusion of a viscous fluid-structure interaction force.
                        """
                    class starting_t_re_initialization(TUIMethod):
                        """
                        Set starting T-field re-initialization method.
                        """

                class controls(TUIMenu):
                    """
                    Enters the structure controls menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.amg_stabilization = self.__class__.amg_stabilization(service, version, mode, path + ["amg_stabilization"])
                        self.enhanced_strain = self.__class__.enhanced_strain(service, version, mode, path + ["enhanced_strain"])
                        self.max_iter = self.__class__.max_iter(service, version, mode, path + ["max_iter"])
                        self.unsteady_damping_rayleigh = self.__class__.unsteady_damping_rayleigh(service, version, mode, path + ["unsteady_damping_rayleigh"])
                        self.numerical_damping_factor = self.__class__.numerical_damping_factor(service, version, mode, path + ["numerical_damping_factor"])
                        super().__init__(service, version, mode, path)
                    class amg_stabilization(TUIMethod):
                        """
                        Sets the algebraic multigrid (AMG) stabilization method for the structural model calculations.
                        """
                    class enhanced_strain(TUIMethod):
                        """
                        Enable enhanced strain element.
                        """
                    class max_iter(TUIMethod):
                        """
                        Sets the maximum number of iterations for the structural model calculations.
                        """
                    class unsteady_damping_rayleigh(TUIMethod):
                        """
                        Enable/disable Newmark unsteady solution model.
                        """
                    class numerical_damping_factor(TUIMethod):
                        """
                        Sets the damping factor for the structural model (that is, the amplitude decay factor  in  in the Theory Guide).
                        """

            class viscous(TUIMenu):
                """
                Enters the viscous model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.geko_options = self.__class__.geko_options(service, version, mode, path + ["geko_options"])
                    self.multiphase_turbulence = self.__class__.multiphase_turbulence(service, version, mode, path + ["multiphase_turbulence"])
                    self.turbulence_expert = self.__class__.turbulence_expert(service, version, mode, path + ["turbulence_expert"])
                    self.near_wall_treatment = self.__class__.near_wall_treatment(service, version, mode, path + ["near_wall_treatment"])
                    self.transition_model_options = self.__class__.transition_model_options(service, version, mode, path + ["transition_model_options"])
                    self.rsm_linear_pressure_strain = self.__class__.rsm_linear_pressure_strain(service, version, mode, path + ["rsm_linear_pressure_strain"])
                    self.rsm_or_earsm_geko_option = self.__class__.rsm_or_earsm_geko_option(service, version, mode, path + ["rsm_or_earsm_geko_option"])
                    self.kw_wj_bsl_earsm = self.__class__.kw_wj_bsl_earsm(service, version, mode, path + ["kw_wj_bsl_earsm"])
                    self.rsm_solve_tke = self.__class__.rsm_solve_tke(service, version, mode, path + ["rsm_solve_tke"])
                    self.transition_sst = self.__class__.transition_sst(service, version, mode, path + ["transition_sst"])
                    self.corner_flow_correction_ccorner = self.__class__.corner_flow_correction_ccorner(service, version, mode, path + ["corner_flow_correction_ccorner"])
                    self.kw_standard = self.__class__.kw_standard(service, version, mode, path + ["kw_standard"])
                    self.les_subgrid_dynamic_fvar = self.__class__.les_subgrid_dynamic_fvar(service, version, mode, path + ["les_subgrid_dynamic_fvar"])
                    self.low_pressure_boundary_slip = self.__class__.low_pressure_boundary_slip(service, version, mode, path + ["low_pressure_boundary_slip"])
                    self.les_dynamic_scalar_flux = self.__class__.les_dynamic_scalar_flux(service, version, mode, path + ["les_dynamic_scalar_flux"])
                    self.ke_easm = self.__class__.ke_easm(service, version, mode, path + ["ke_easm"])
                    self.rng_swirl_model = self.__class__.rng_swirl_model(service, version, mode, path + ["rng_swirl_model"])
                    self.sas = self.__class__.sas(service, version, mode, path + ["sas"])
                    self.ke_standard = self.__class__.ke_standard(service, version, mode, path + ["ke_standard"])
                    self.rsm_omega_based = self.__class__.rsm_omega_based(service, version, mode, path + ["rsm_omega_based"])
                    self.les_subgrid_tke = self.__class__.les_subgrid_tke(service, version, mode, path + ["les_subgrid_tke"])
                    self.kw_easm = self.__class__.kw_easm(service, version, mode, path + ["kw_easm"])
                    self.curvature_correction_ccurv = self.__class__.curvature_correction_ccurv(service, version, mode, path + ["curvature_correction_ccurv"])
                    self.reynolds_stress_model = self.__class__.reynolds_stress_model(service, version, mode, path + ["reynolds_stress_model"])
                    self.kw_shear_correction = self.__class__.kw_shear_correction(service, version, mode, path + ["kw_shear_correction"])
                    self.k_kl_w = self.__class__.k_kl_w(service, version, mode, path + ["k_kl_w"])
                    self.add_transition_model = self.__class__.add_transition_model(service, version, mode, path + ["add_transition_model"])
                    self.les_subgrid_wale = self.__class__.les_subgrid_wale(service, version, mode, path + ["les_subgrid_wale"])
                    self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
                    self.les_subgrid_smagorinsky = self.__class__.les_subgrid_smagorinsky(service, version, mode, path + ["les_subgrid_smagorinsky"])
                    self.rsm_bsl_based = self.__class__.rsm_bsl_based(service, version, mode, path + ["rsm_bsl_based"])
                    self.zero_equation_hvac = self.__class__.zero_equation_hvac(service, version, mode, path + ["zero_equation_hvac"])
                    self.trans_sst_roughness_correlation = self.__class__.trans_sst_roughness_correlation(service, version, mode, path + ["trans_sst_roughness_correlation"])
                    self.user_defined_transition = self.__class__.user_defined_transition(service, version, mode, path + ["user_defined_transition"])
                    self.mixing_length = self.__class__.mixing_length(service, version, mode, path + ["mixing_length"])
                    self.les_subgrid_wmles = self.__class__.les_subgrid_wmles(service, version, mode, path + ["les_subgrid_wmles"])
                    self.corner_flow_correction = self.__class__.corner_flow_correction(service, version, mode, path + ["corner_flow_correction"])
                    self.detached_eddy_simulation = self.__class__.detached_eddy_simulation(service, version, mode, path + ["detached_eddy_simulation"])
                    self.rsm_ssg_pressure_strain = self.__class__.rsm_ssg_pressure_strain(service, version, mode, path + ["rsm_ssg_pressure_strain"])
                    self.inviscid = self.__class__.inviscid(service, version, mode, path + ["inviscid"])
                    self.sa_enhanced_wall_treatment = self.__class__.sa_enhanced_wall_treatment(service, version, mode, path + ["sa_enhanced_wall_treatment"])
                    self.turb_buoyancy_effects = self.__class__.turb_buoyancy_effects(service, version, mode, path + ["turb_buoyancy_effects"])
                    self.laminar = self.__class__.laminar(service, version, mode, path + ["laminar"])
                    self.les_subgrid_rng = self.__class__.les_subgrid_rng(service, version, mode, path + ["les_subgrid_rng"])
                    self.turb_compressibility = self.__class__.turb_compressibility(service, version, mode, path + ["turb_compressibility"])
                    self.curvature_correction = self.__class__.curvature_correction(service, version, mode, path + ["curvature_correction"])
                    self.v2f = self.__class__.v2f(service, version, mode, path + ["v2f"])
                    self.kw_bsl = self.__class__.kw_bsl(service, version, mode, path + ["kw_bsl"])
                    self.ke_rng = self.__class__.ke_rng(service, version, mode, path + ["ke_rng"])
                    self.ke_realizable = self.__class__.ke_realizable(service, version, mode, path + ["ke_realizable"])
                    self.spalart_allmaras = self.__class__.spalart_allmaras(service, version, mode, path + ["spalart_allmaras"])
                    self.kw_geko = self.__class__.kw_geko(service, version, mode, path + ["kw_geko"])
                    self.large_eddy_simulation = self.__class__.large_eddy_simulation(service, version, mode, path + ["large_eddy_simulation"])
                    self.sa_damping = self.__class__.sa_damping(service, version, mode, path + ["sa_damping"])
                    self.rng_differential_visc = self.__class__.rng_differential_visc(service, version, mode, path + ["rng_differential_visc"])
                    self.rsm_wall_echo = self.__class__.rsm_wall_echo(service, version, mode, path + ["rsm_wall_echo"])
                    self.des_limiter_option = self.__class__.des_limiter_option(service, version, mode, path + ["des_limiter_option"])
                    self.kw_low_re_correction = self.__class__.kw_low_re_correction(service, version, mode, path + ["kw_low_re_correction"])
                    self.les_subgrid_wmles_s_minus_omega = self.__class__.les_subgrid_wmles_s_minus_omega(service, version, mode, path + ["les_subgrid_wmles_s_minus_omega"])
                    self.les_dynamic_energy_flux = self.__class__.les_dynamic_energy_flux(service, version, mode, path + ["les_dynamic_energy_flux"])
                    self.sa_alternate_prod = self.__class__.sa_alternate_prod(service, version, mode, path + ["sa_alternate_prod"])
                    self.ke1e = self.__class__.ke1e(service, version, mode, path + ["ke1e"])
                    self.kw_sst = self.__class__.kw_sst(service, version, mode, path + ["kw_sst"])
                    super().__init__(service, version, mode, path)
                class rsm_linear_pressure_strain(TUIMethod):
                    """
                    Enables/disables the linear pressure-strain model in RSM.
                    """
                class rsm_or_earsm_geko_option(TUIMethod):
                    """
                    Enables/disables the RSM version of the GEKO model.
                    """
                class kw_wj_bsl_earsm(TUIMethod):
                    """
                    Enable/disable the EASM k-omega turbulence model.
                    """
                class rsm_solve_tke(TUIMethod):
                    """
                    Enables/disables the solution of T.K.E. in RSM model.
                    """
                class transition_sst(TUIMethod):
                    """
                    Enables/disables the transition SST turbulence model.
                    """
                class corner_flow_correction_ccorner(TUIMethod):
                    """
                    Sets the strength of the quadratic term of the corner flow correction. The default 	value is 1. This is available after the corner-flow-correction? 	option is enabled.
                    """
                class kw_standard(TUIMethod):
                    """
                    Enables/disables the standard -  turbulence model.
                    """
                class les_subgrid_dynamic_fvar(TUIMethod):
                    """
                    Enables/disables the dynamic subgrid-scale mixture fraction variance model.
                    """
                class low_pressure_boundary_slip(TUIMethod):
                    """
                    Enables/disables the slip boundary formulation for 	low-pressure gas systems.
                    """
                class les_dynamic_scalar_flux(TUIMethod):
                    """
                    Enables/disables the dynamic sub-grid scale turbulent Schmidt Number.
                    """
                class ke_easm(TUIMethod):
                    """
                    Enables/disables the EASM -  turbulence model.
                    """
                class rng_swirl_model(TUIMethod):
                    """
                    Enables/disables swirl corrections for rng-model.
                    """
                class sas(TUIMethod):
                    """
                    Enables/disables Scale-Adaptive Simulation (SAS) in combination with the SST  -  turbulence model.
                    """
                class ke_standard(TUIMethod):
                    """
                    Enables/disables the standard -  turbulence model.
                    """
                class rsm_omega_based(TUIMethod):
                    """
                    Enables/disables the stress-omega Reynolds stress model.
                    """
                class les_subgrid_tke(TUIMethod):
                    """
                    Enables/disables kinetic energy transport subgrid-scale model.
                    """
                class kw_easm(TUIMethod):
                    """
                    Enables/disables the EASM -  turbulence model.
                    """
                class curvature_correction_ccurv(TUIMethod):
                    """
                    Sets the strength of the curvature correction term. 	The default value is 1. This is available after the curvature-correction? 	option is enabled.
                    """
                class reynolds_stress_model(TUIMethod):
                    """
                    Enables/disables the Reynolds-stress turbulence model.
                    """
                class kw_shear_correction(TUIMethod):
                    """
                    Enables/disables the -  shear-flow correction option. This 	text command is only available for the standard  -  model and the stress-omega RSM 	model.
                    """
                class k_kl_w(TUIMethod):
                    """
                    Enables/disables the k-kl-  turbulence model.
                    """
                class add_transition_model(TUIMethod):
                    """
                    Sets Transition model to account for transitional effects. The default is none, however you can 	select gamma-algebraic or gamma-transport-eqn.  After a transition model has been enabled, you have additional options in the 	submenu transition-model-options.
                    """
                class les_subgrid_wale(TUIMethod):
                    """
                    Enables/disables WALE subgrid-scale model.
                    """
                class user_defined(TUIMethod):
                    """
                    Selects user-defined functions to define the turbulent viscosity and the turbulent 	Prandtl and Schmidt numbers.
                    """
                class les_subgrid_smagorinsky(TUIMethod):
                    """
                    Enables/disables the Smagorinsky-Lilly subgrid-scale model.
                    """
                class rsm_bsl_based(TUIMethod):
                    """
                    Enables/disables the stress-BSL Reynolds stress model.
                    """
                class zero_equation_hvac(TUIMethod):
                    """
                    Enables/disables zero-equation HVAC turbulence model.
                    """
                class trans_sst_roughness_correlation(TUIMethod):
                    """
                    Enables/disables the Transition-SST roughness correlation option.
                    """
                class user_defined_transition(TUIMethod):
                    """
                    Sets user-defined transition correlations.
                    """
                class mixing_length(TUIMethod):
                    """
                    Enables/disables mixing-length (algebraic) turbulence model.
                    """
                class les_subgrid_wmles(TUIMethod):
                    """
                    Enables/disables the WMLES subgrid-scale model.
                    """
                class corner_flow_correction(TUIMethod):
                    """
                    Enables/disables the corner flow correction.
                    """
                class detached_eddy_simulation(TUIMethod):
                    """
                    Enables/disables detached eddy simulation.
                    """
                class rsm_ssg_pressure_strain(TUIMethod):
                    """
                    Enables/disables quadratic pressure-strain model in RSM.
                    """
                class inviscid(TUIMethod):
                    """
                    Enables/disables inviscid flow model.
                    """
                class sa_enhanced_wall_treatment(TUIMethod):
                    """
                    Enables/disables the enhanced wall treatment for the Spalart-Allmaras model. If 	disabled, no smooth blending between the viscous 	sublayer and the log-law formulation is employed, as was 	done in versions previous to Fluent 14.
                    """
                class turb_buoyancy_effects(TUIMethod):
                    """
                    Enables/disables effects of buoyancy on 	turbulence.
                    """
                class laminar(TUIMethod):
                    """
                    Enables/disables laminar flow model.
                    """
                class les_subgrid_rng(TUIMethod):
                    """
                    Enable/disable the RNG subgrid-scale model.
                    """
                class turb_compressibility(TUIMethod):
                    """
                    Enables/disables the compressibility correction option.
                    """
                class curvature_correction(TUIMethod):
                    """
                    Enables/disables the curvature correction.
                    """
                class v2f(TUIMethod):
                    """
                    Enables/disables V2F turbulence model.
                    """
                class kw_bsl(TUIMethod):
                    """
                    Enables/disables the baseline (BSL) -  turbulence model.
                    """
                class ke_rng(TUIMethod):
                    """
                    Enables/disables the RNG -  turbulence model.
                    """
                class ke_realizable(TUIMethod):
                    """
                    Enables/disables the realizable -  turbulence model.
                    """
                class spalart_allmaras(TUIMethod):
                    """
                    Enables/disables Spalart-Allmaras turbulence model.
                    """
                class kw_geko(TUIMethod):
                    """
                    Enables/disables the generalized -  (GEKO) turbulence model.
                    """
                class large_eddy_simulation(TUIMethod):
                    """
                    Enables/disables large eddy simulation.
                    """
                class sa_damping(TUIMethod):
                    """
                    Enables/disables full low-Reynolds number form of Spalart-Allmaras model. This option is only available if your response wasno to sa-enhanced-wall-treatment?.
                    """
                class rng_differential_visc(TUIMethod):
                    """
                    Enables/disables the differential-viscosity model.
                    """
                class rsm_wall_echo(TUIMethod):
                    """
                    Enables/disables wall-echo effects in RSM model.
                    """
                class des_limiter_option(TUIMethod):
                    """
                    Selects the DES limiter option (none, F1, F2, Delayed DES, or Improved Delayed 	DES).
                    """
                class kw_low_re_correction(TUIMethod):
                    """
                    Enables/disables the -  low Re option.
                    """
                class les_subgrid_wmles_s_minus_omega(TUIMethod):
                    """
                    Enables/disables the WMLES -  subgrid-scale model.
                    """
                class les_dynamic_energy_flux(TUIMethod):
                    """
                    Enables/disables the dynamic sub-grid scale turbulent Prandtl Number.
                    """
                class sa_alternate_prod(TUIMethod):
                    """
                    Enables/disables strain/vorticity production in Spalart-Allmaras model.
                    """
                class ke1e(TUIMethod):
                    """
                    Enable/disable the KE1E turbulence model.
                    """
                class kw_sst(TUIMethod):
                    """
                    Enables/disables the SST -  turbulence model.
                    """

                class geko_options(TUIMenu):
                    """
                    Enters the GEKO model menu..
                    """
                    def __init__(self, service, version, mode, path):
                        self.cmix = self.__class__.cmix(service, version, mode, path + ["cmix"])
                        self.csep = self.__class__.csep(service, version, mode, path + ["csep"])
                        self.cbf_lam = self.__class__.cbf_lam(service, version, mode, path + ["cbf_lam"])
                        self.cjet = self.__class__.cjet(service, version, mode, path + ["cjet"])
                        self.creal = self.__class__.creal(service, version, mode, path + ["creal"])
                        self.cbf_tur = self.__class__.cbf_tur(service, version, mode, path + ["cbf_tur"])
                        self.cjet_aux = self.__class__.cjet_aux(service, version, mode, path + ["cjet_aux"])
                        self.blending_function = self.__class__.blending_function(service, version, mode, path + ["blending_function"])
                        self.geko_defaults = self.__class__.geko_defaults(service, version, mode, path + ["geko_defaults"])
                        self.wall_distance_free = self.__class__.wall_distance_free(service, version, mode, path + ["wall_distance_free"])
                        self.cnw_sub = self.__class__.cnw_sub(service, version, mode, path + ["cnw_sub"])
                        self.cnw = self.__class__.cnw(service, version, mode, path + ["cnw"])
                        super().__init__(service, version, mode, path)
                    class cmix(TUIMethod):
                        """
                        Setscmix, the parameter to optimize strength of mixing in free shear flows.
                        """
                    class csep(TUIMethod):
                        """
                        Setscsep, the parameter to optimize flow separation from smooth surfaces.
                        """
                    class cbf_lam(TUIMethod):
                        """
                        Setscbf_lam, a part of the blending function and shields the laminar boundary layer.
                        """
                    class cjet(TUIMethod):
                        """
                        Setscjet, the parameter to optimize free shear layer mixing (optimize free jets independent of mixing layer).
                        """
                    class creal(TUIMethod):
                        """
                        Setscreal, a realizability limiter that ensures positive normal stresses in the entire domain.
                        """
                    class cbf_tur(TUIMethod):
                        """
                        Setscbf_tur, a factor for the main blending factor, controlling the thickness of the layer near walls.
                        """
                    class cjet_aux(TUIMethod):
                        """
                        Setscjet_aux, which allows fine-tuning of the parameter to optimize free jets.
                        """
                    class blending_function(TUIMethod):
                        """
                        Sets the blending function, which deactivatescmix and cjet inside boundary layers.
                        """
                    class geko_defaults(TUIMethod):
                        """
                        Restores the defaults of all GEKO parameters.
                        """
                    class wall_distance_free(TUIMethod):
                        """
                        Enables/disables the wall distance free version of the GEKO model.
                        """
                    class cnw_sub(TUIMethod):
                        """
                        Setscnw_sub, which allows the adjustment of log-layer and cf.
                        """
                    class cnw(TUIMethod):
                        """
                        Setscnw, the parameter to optimize flow in non-equilibrium near wall regions.
                        """

                class multiphase_turbulence(TUIMenu):
                    """
                    Enters the multiphase turbulence menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.subgrid_turbulence_contribution_aiad = self.__class__.subgrid_turbulence_contribution_aiad(service, version, mode, path + ["subgrid_turbulence_contribution_aiad"])
                        self.rsm_multiphase_models = self.__class__.rsm_multiphase_models(service, version, mode, path + ["rsm_multiphase_models"])
                        self.multiphase_options = self.__class__.multiphase_options(service, version, mode, path + ["multiphase_options"])
                        self.turbulence_multiphase_models = self.__class__.turbulence_multiphase_models(service, version, mode, path + ["turbulence_multiphase_models"])
                        super().__init__(service, version, mode, path)
                    class subgrid_turbulence_contribution_aiad(TUIMethod):
                        """
                        Enable/disable the Subgrid Turbulence Contribution for the AIAD model.
                        """
                    class rsm_multiphase_models(TUIMethod):
                        """
                        Selects Reynolds Stress multiphase model.
                        """
                    class multiphase_options(TUIMethod):
                        """
                        Enables/disables multiphase options.
                        """
                    class turbulence_multiphase_models(TUIMethod):
                        """
                        Selects -  multiphase model.
                        """

                class turbulence_expert(TUIMenu):
                    """
                    Enters the turbulence expert menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.thermal_p_function = self.__class__.thermal_p_function(service, version, mode, path + ["thermal_p_function"])
                        self.production_limiter = self.__class__.production_limiter(service, version, mode, path + ["production_limiter"])
                        self.restore_sst_v61 = self.__class__.restore_sst_v61(service, version, mode, path + ["restore_sst_v61"])
                        self.kato_launder_model = self.__class__.kato_launder_model(service, version, mode, path + ["kato_launder_model"])
                        self.turb_add_sbes_sdes = self.__class__.turb_add_sbes_sdes(service, version, mode, path + ["turb_add_sbes_sdes"])
                        self.turbulence_damping = self.__class__.turbulence_damping(service, version, mode, path + ["turbulence_damping"])
                        self.low_re_ke = self.__class__.low_re_ke(service, version, mode, path + ["low_re_ke"])
                        self.kw_add_des = self.__class__.kw_add_des(service, version, mode, path + ["kw_add_des"])
                        self.kw_vorticity_based_production = self.__class__.kw_vorticity_based_production(service, version, mode, path + ["kw_vorticity_based_production"])
                        self.rke_cmu_rotation_term = self.__class__.rke_cmu_rotation_term(service, version, mode, path + ["rke_cmu_rotation_term"])
                        self.kw_add_sas = self.__class__.kw_add_sas(service, version, mode, path + ["kw_add_sas"])
                        self.sbes_sgs_option = self.__class__.sbes_sgs_option(service, version, mode, path + ["sbes_sgs_option"])
                        self.sbes_update_interval_k_omega = self.__class__.sbes_update_interval_k_omega(service, version, mode, path + ["sbes_update_interval_k_omega"])
                        self.sbes_les_subgrid_dynamic_fvar = self.__class__.sbes_les_subgrid_dynamic_fvar(service, version, mode, path + ["sbes_les_subgrid_dynamic_fvar"])
                        self.turb_non_newtonian = self.__class__.turb_non_newtonian(service, version, mode, path + ["turb_non_newtonian"])
                        self.sbes_sdes_hybrid_model = self.__class__.sbes_sdes_hybrid_model(service, version, mode, path + ["sbes_sdes_hybrid_model"])
                        self.non_newtonian_modification = self.__class__.non_newtonian_modification(service, version, mode, path + ["non_newtonian_modification"])
                        self.low_re_ke_index = self.__class__.low_re_ke_index(service, version, mode, path + ["low_re_ke_index"])
                        self.turb_pk_compressible = self.__class__.turb_pk_compressible(service, version, mode, path + ["turb_pk_compressible"])
                        super().__init__(service, version, mode, path)
                    class thermal_p_function(TUIMethod):
                        """
                        Enables/disables Jayatilleke P function.
                        """
                    class production_limiter(TUIMethod):
                        """
                        Enables/disables Production Limiter modification.
                        """
                    class restore_sst_v61(TUIMethod):
                        """
                        Enables/disables SST formulation of v6.1.
                        """
                    class kato_launder_model(TUIMethod):
                        """
                        Enables/disables Kato-Launder modification.
                        """
                    class turb_add_sbes_sdes(TUIMethod):
                        """
                        Enables/disables the Stress-Blended Eddy Simulation (SBES) model or Shielded Detached Eddy Simulation (SDES) model.
                        """
                    class turbulence_damping(TUIMethod):
                        """
                        Enables/disables turbulence damping and sets turbulence damping parameters.
                        """
                    class low_re_ke(TUIMethod):
                        """
                        Enables/disables the low-Re -  turbulence model.
                        """
                    class kw_add_des(TUIMethod):
                        """
                        Enables/disables Detached Eddy Simulation (DES) in combination with the currently selected BSL -  model or transition SST model. This text command is only available for transient cases.
                        """
                    class kw_vorticity_based_production(TUIMethod):
                        """
                        Enables/disables vorticity-based production.
                        """
                    class rke_cmu_rotation_term(TUIMethod):
                        """
                        Modifies the  definition for the realizable  -  model.
                        """
                    class kw_add_sas(TUIMethod):
                        """
                        Enables/disables Scale-Adaptive Simulation (SAS) in combination with the currently selected -based URANS turbulence model. This text command is only available for transient cases.
                        """
                    class sbes_sgs_option(TUIMethod):
                        """
                        Selects the subgrid-scale model for the LES portion of your Stress-Blended Eddy Simulation (SBES).
                        """
                    class sbes_update_interval_k_omega(TUIMethod):
                        """
                        Sets the number of time steps between updates of the k-ω part of the SBES model.
                        """
                    class sbes_les_subgrid_dynamic_fvar(TUIMethod):
                        """
                        Enable/disable the dynamic subgrid-scale mixture fraction variance model.
                        """
                    class turb_non_newtonian(TUIMethod):
                        """
                        Enables/disables turbulence for non-Newtonian fluids.
                        """
                    class sbes_sdes_hybrid_model(TUIMethod):
                        """
                        Selects the hybrid model, to specify whether you want to apply the Shielded Detached Eddy Simulation (SDES) model, Stress-Blended Eddy Simulation (SBES), or SBES with a user-defined function.
                        """
                    class non_newtonian_modification(TUIMethod):
                        """
                        Enables/disables non-Newtonian modification for Lam-Bremhorst model.
                        """
                    class low_re_ke_index(TUIMethod):
                        """
                        Specifies which low-Reynolds-number -  model is to be used. Six models are available:
                        Index
                        Model
                        0
                        Abid
                        1
                        Lam-Bremhorst
                        2
                        Launder-Sharma
                        3
                        Yang-Shih
                        4
                        Abe-Kondoh-Nagano
                        5
                        Chang-Hsieh-Chen
                        Contact your Ansys, Inc. technical support engineer for more details.
                        """
                    class turb_pk_compressible(TUIMethod):
                        """
                        Enables/disables turbulent production due to compressible divergence.
                        """

                class near_wall_treatment(TUIMenu):
                    """
                    Enters the near wall treatment menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.user_defined_wall_functions = self.__class__.user_defined_wall_functions(service, version, mode, path + ["user_defined_wall_functions"])
                        self.scalable_wall_functions = self.__class__.scalable_wall_functions(service, version, mode, path + ["scalable_wall_functions"])
                        self.wall_omega_treatment = self.__class__.wall_omega_treatment(service, version, mode, path + ["wall_omega_treatment"])
                        self.wf_pressure_gradient_effects = self.__class__.wf_pressure_gradient_effects(service, version, mode, path + ["wf_pressure_gradient_effects"])
                        self.werner_wengle_wall_fn = self.__class__.werner_wengle_wall_fn(service, version, mode, path + ["werner_wengle_wall_fn"])
                        self.non_equilibrium_wall_fn = self.__class__.non_equilibrium_wall_fn(service, version, mode, path + ["non_equilibrium_wall_fn"])
                        self.enhanced_wall_treatment = self.__class__.enhanced_wall_treatment(service, version, mode, path + ["enhanced_wall_treatment"])
                        self.wf_thermal_effects = self.__class__.wf_thermal_effects(service, version, mode, path + ["wf_thermal_effects"])
                        self.menter_lechner = self.__class__.menter_lechner(service, version, mode, path + ["menter_lechner"])
                        super().__init__(service, version, mode, path)
                    class user_defined_wall_functions(TUIMethod):
                        """
                        Enables/disables user-defined wall functions.
                        """
                    class scalable_wall_functions(TUIMethod):
                        """
                        Enables/disables scalable wall functions.
                        """
                    class wall_omega_treatment(TUIMethod):
                        """
                        Set wall omega treatment.
                        """
                    class wf_pressure_gradient_effects(TUIMethod):
                        """
                        Enables/disables wall function pressure- gradient effects.
                        """
                    class werner_wengle_wall_fn(TUIMethod):
                        """
                        Enables/disables Werner-Wengle wall functions.
                        """
                    class non_equilibrium_wall_fn(TUIMethod):
                        """
                        Enables/disables non-equilibrium wall functions.
                        """
                    class enhanced_wall_treatment(TUIMethod):
                        """
                        Enables/disables enhanced wall functions.
                        """
                    class wf_thermal_effects(TUIMethod):
                        """
                        Enables/disables wall function thermal effects.
                        """
                    class menter_lechner(TUIMethod):
                        """
                        Enables/disables the Menter-Lechner near-wall treatment.
                        """

                class transition_model_options(TUIMenu):
                    """
                    Enters the transition model options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.clambda_scale = self.__class__.clambda_scale(service, version, mode, path + ["clambda_scale"])
                        self.rec_c1 = self.__class__.rec_c1(service, version, mode, path + ["rec_c1"])
                        self.capg_hightu = self.__class__.capg_hightu(service, version, mode, path + ["capg_hightu"])
                        self.rec_c2 = self.__class__.rec_c2(service, version, mode, path + ["rec_c2"])
                        self.rv1_switch = self.__class__.rv1_switch(service, version, mode, path + ["rv1_switch"])
                        self.cbubble_c2 = self.__class__.cbubble_c2(service, version, mode, path + ["cbubble_c2"])
                        self.critical_reynolds_number_correlation = self.__class__.critical_reynolds_number_correlation(service, version, mode, path + ["critical_reynolds_number_correlation"])
                        self.cfpg_hightu = self.__class__.cfpg_hightu(service, version, mode, path + ["cfpg_hightu"])
                        self.cbubble_c1 = self.__class__.cbubble_c1(service, version, mode, path + ["cbubble_c1"])
                        self.ctu_lowtu = self.__class__.ctu_lowtu(service, version, mode, path + ["ctu_lowtu"])
                        self.rec_max = self.__class__.rec_max(service, version, mode, path + ["rec_max"])
                        self.cfpg_lowtu = self.__class__.cfpg_lowtu(service, version, mode, path + ["cfpg_lowtu"])
                        self.crossflow_transition = self.__class__.crossflow_transition(service, version, mode, path + ["crossflow_transition"])
                        self.capg_lowtu = self.__class__.capg_lowtu(service, version, mode, path + ["capg_lowtu"])
                        self.ctu_hightu = self.__class__.ctu_hightu(service, version, mode, path + ["ctu_hightu"])
                        super().__init__(service, version, mode, path)
                    class clambda_scale(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CLAMBDA_SCALE.
                        """
                    class rec_c1(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient REC_C1.
                        """
                    class capg_hightu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CAPG_HIGHTU.
                        """
                    class rec_c2(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient REC_C2.
                        """
                    class rv1_switch(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient RV1_SWITCH.
                        """
                    class cbubble_c2(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CBUBBLE_C2.
                        """
                    class critical_reynolds_number_correlation(TUIMethod):
                        """
                        Sets the critical Reynolds number correlation.
                        """
                    class cfpg_hightu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CFPG_HIGHTU.
                        """
                    class cbubble_c1(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CBUBBLE_C1.
                        """
                    class ctu_lowtu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CTU_LOWTU.
                        """
                    class rec_max(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient REC_MAX.
                        """
                    class cfpg_lowtu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CFPG_LOWTU.
                        """
                    class crossflow_transition(TUIMethod):
                        """
                        Enables/disables the effects of crossflow instability.
                        """
                    class capg_lowtu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CAPG_LOWTU.
                        """
                    class ctu_hightu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CTU_HIGHTU.
                        """

            class solver(TUIMenu):
                """
                Enters the menu to select the solver.
                """
                def __init__(self, service, version, mode, path):
                    self.adjust_solver_defaults_based_on_setup = self.__class__.adjust_solver_defaults_based_on_setup(service, version, mode, path + ["adjust_solver_defaults_based_on_setup"])
                    self.density_based_implicit = self.__class__.density_based_implicit(service, version, mode, path + ["density_based_implicit"])
                    self.density_based_explicit = self.__class__.density_based_explicit(service, version, mode, path + ["density_based_explicit"])
                    self.pressure_based = self.__class__.pressure_based(service, version, mode, path + ["pressure_based"])
                    super().__init__(service, version, mode, path)
                class adjust_solver_defaults_based_on_setup(TUIMethod):
                    """
                    Enable/disable adjustment of solver defaults based on setup.
                    """
                class density_based_implicit(TUIMethod):
                    """
                    Enables/disables the density-based-implicit solver.
                    """
                class density_based_explicit(TUIMethod):
                    """
                    Enables/disables the density-based-explicit solver.
                    """
                class pressure_based(TUIMethod):
                    """
                    Enables/disables the pressure-based solver.
                    """

            class soot_parameters(TUIMenu):
                """
                Enters the soot parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    self.soot_turbulence_interaction = self.__class__.soot_turbulence_interaction(service, version, mode, path + ["soot_turbulence_interaction"])
                    self.soot_model_parameters = self.__class__.soot_model_parameters(service, version, mode, path + ["soot_model_parameters"])
                    self.soot_radiation_interaction = self.__class__.soot_radiation_interaction(service, version, mode, path + ["soot_radiation_interaction"])
                    self.soot_model_udfs = self.__class__.soot_model_udfs(service, version, mode, path + ["soot_model_udfs"])
                    self.soot_process_parameters = self.__class__.soot_process_parameters(service, version, mode, path + ["soot_process_parameters"])
                    self.modify_schmidt_number = self.__class__.modify_schmidt_number(service, version, mode, path + ["modify_schmidt_number"])
                    super().__init__(service, version, mode, path)
                class inlet_diffusion(TUIMethod):
                    """
                    Enables/disables inclusion of diffusion at inlets.
                    """
                class soot_turbulence_interaction(TUIMethod):
                    """
                    Sets soot-turbulence interaction model.
                    """
                class soot_model_parameters(TUIMethod):
                    """
                    Selects soot model parameters.
                    """
                class soot_radiation_interaction(TUIMethod):
                    """
                    Enables/disables the soot-radiation interaction model.
                    """
                class soot_model_udfs(TUIMethod):
                    """
                    User defined functions for soot model.
                    """
                class soot_process_parameters(TUIMethod):
                    """
                    Selects soot process parameters.
                    """
                class modify_schmidt_number(TUIMethod):
                    """
                    Changes the turbulent Schmidt number for soot/nuclei equations.
                    """

        class parameters(TUIMenu):
            """
            Enters the parameters menu.
            """
            def __init__(self, service, version, mode, path):
                self.output_parameters = self.__class__.output_parameters(service, version, mode, path + ["output_parameters"])
                self.list_parameters = self.__class__.list_parameters(service, version, mode, path + ["list_parameters"])
                self.input_parameters = self.__class__.input_parameters(service, version, mode, path + ["input_parameters"])
                self.enable_in_TUI = self.__class__.enable_in_TUI(service, version, mode, path + ["enable_in_TUI"])
                super().__init__(service, version, mode, path)
            class enable_in_TUI(TUIMethod):
                """
                Enables/disables parameters in the text user interface.
                """

            class output_parameters(TUIMenu):
                """
                Enters the output-parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.print_all_to_console = self.__class__.print_all_to_console(service, version, mode, path + ["print_all_to_console"])
                    self.write_all_to_file = self.__class__.write_all_to_file(service, version, mode, path + ["write_all_to_file"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                    self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Renames an output parameter.
                    """
                class print_all_to_console(TUIMethod):
                    """
                    Displays all parameter values in the console.
                    """
                class write_all_to_file(TUIMethod):
                    """
                    Writes all parameter values to file.
                    """
                class create(TUIMethod):
                    """
                    Creates an output parameter.
                    """
                class delete(TUIMethod):
                    """
                    Deletes an output parameter.
                    """
                class print_to_console(TUIMethod):
                    """
                    Displays parameter value in the console.
                    """
                class write_to_file(TUIMethod):
                    """
                    Writes parameter value to file.
                    """
                class edit(TUIMethod):
                    """
                    Edits an output parameter.
                    """

            class list_parameters(TUIMenu):
                """
                Enter list-param menu.
                """
                def __init__(self, service, version, mode, path):
                    self.input_parameters = self.__class__.input_parameters(service, version, mode, path + ["input_parameters"])
                    self.output_parameters = self.__class__.output_parameters(service, version, mode, path + ["output_parameters"])
                    super().__init__(service, version, mode, path)
                class input_parameters(TUIMethod):
                    """
                    List all input parameters.
                    """
                class output_parameters(TUIMethod):
                    """
                    List all output parameters.
                    """

            class input_parameters(TUIMenu):
                """
                Enters the input-parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.advance = self.__class__.advance(service, version, mode, path + ["advance"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edits an input parameter.
                    """
                class delete(TUIMethod):
                    """
                    Deletes an input parameter.
                    """

                class advance(TUIMenu):
                    """
                    Define custom variable to use input parameter.
                    """
                    def __init__(self, service, version, mode, path):
                        self.use_in = self.__class__.use_in(service, version, mode, path + ["use_in"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        super().__init__(service, version, mode, path)
                    class use_in(TUIMethod):
                        """
                        Use input parameter in solver-udf or in scheme-procedure.
                        """
                    class delete(TUIMethod):
                        """
                        Delete selected custom-input-parameters.
                        """
                    class list(TUIMethod):
                        """
                        List of custom-input-parameters.
                        """

        class solution_strategy(TUIMenu):
            """
            Enters the automatic initialization and case modification strategy menu.
            """
            def __init__(self, service, version, mode, path):
                self.automatic_case_modification = self.__class__.automatic_case_modification(service, version, mode, path + ["automatic_case_modification"])
                self.import_modifications = self.__class__.import_modifications(service, version, mode, path + ["import_modifications"])
                self.delete_modification = self.__class__.delete_modification(service, version, mode, path + ["delete_modification"])
                self.add_edit_modification = self.__class__.add_edit_modification(service, version, mode, path + ["add_edit_modification"])
                self.automatic_initialization = self.__class__.automatic_initialization(service, version, mode, path + ["automatic_initialization"])
                self.execute_strategy = self.__class__.execute_strategy(service, version, mode, path + ["execute_strategy"])
                self.enable_modification = self.__class__.enable_modification(service, version, mode, path + ["enable_modification"])
                self.disable_modification = self.__class__.disable_modification(service, version, mode, path + ["disable_modification"])
                self.continue_strategy_execution = self.__class__.continue_strategy_execution(service, version, mode, path + ["continue_strategy_execution"])
                self.enable_strategy = self.__class__.enable_strategy(service, version, mode, path + ["enable_strategy"])
                self.copy_modification = self.__class__.copy_modification(service, version, mode, path + ["copy_modification"])
                self.export_modifications = self.__class__.export_modifications(service, version, mode, path + ["export_modifications"])
                super().__init__(service, version, mode, path)
            class import_modifications(TUIMethod):
                """
                Import a list of case modifications from a tsv file.
                """
            class delete_modification(TUIMethod):
                """
                Delete a single case modification.
                """
            class add_edit_modification(TUIMethod):
                """
                Define a single case modification.
                """
            class automatic_initialization(TUIMethod):
                """
                Defines how the case is to be automatically initialized.
                """
            class execute_strategy(TUIMethod):
                """
                Executes the currently defined automatic initialization and case modification strategy.
                """
            class enable_modification(TUIMethod):
                """
                Enable a single defined case modification.
                """
            class disable_modification(TUIMethod):
                """
                Disable a single defined case modification.
                """
            class continue_strategy_execution(TUIMethod):
                """
                Continues execution of the currently defined automatic initialization and case modification strategy.
                """
            class enable_strategy(TUIMethod):
                """
                Enables/disables automatic initialization and case modification.
                """
            class copy_modification(TUIMethod):
                """
                Copy a single case modification.
                """
            class export_modifications(TUIMethod):
                """
                Export all case modifications to a tsv file.
                """

            class automatic_case_modification(TUIMenu):
                """
                Enters the automatic case modification menu.
                """
                def __init__(self, service, version, mode, path):
                    self.original_settings = self.__class__.original_settings(service, version, mode, path + ["original_settings"])
                    self.modifications = self.__class__.modifications(service, version, mode, path + ["modifications"])
                    self.before_init_modification = self.__class__.before_init_modification(service, version, mode, path + ["before_init_modification"])
                    super().__init__(service, version, mode, path)
                class original_settings(TUIMethod):
                    """
                    Specifies modification to be performed after initialization to restore to original 	settings.
                    """
                class modifications(TUIMethod):
                    """
                    Specifies modifications to be performed during solution.
                    """
                class before_init_modification(TUIMethod):
                    """
                    Specifies modification to be performed before initialization.
                    """

        class operating_conditions(TUIMenu):
            """
            Enters the define operating conditions menu.
            """
            def __init__(self, service, version, mode, path):
                self.operating_density = self.__class__.operating_density(service, version, mode, path + ["operating_density"])
                self.reference_pressure_method = self.__class__.reference_pressure_method(service, version, mode, path + ["reference_pressure_method"])
                self.set_state = self.__class__.set_state(service, version, mode, path + ["set_state"])
                self.reference_pressure_location = self.__class__.reference_pressure_location(service, version, mode, path + ["reference_pressure_location"])
                self.used_ref_pressure_location = self.__class__.used_ref_pressure_location(service, version, mode, path + ["used_ref_pressure_location"])
                self.operating_pressure = self.__class__.operating_pressure(service, version, mode, path + ["operating_pressure"])
                self.operating_temperature = self.__class__.operating_temperature(service, version, mode, path + ["operating_temperature"])
                self.use_inlet_temperature_for_operating_density = self.__class__.use_inlet_temperature_for_operating_density(service, version, mode, path + ["use_inlet_temperature_for_operating_density"])
                self.gravity_mrf_behavior = self.__class__.gravity_mrf_behavior(service, version, mode, path + ["gravity_mrf_behavior"])
                self.gravity = self.__class__.gravity(service, version, mode, path + ["gravity"])
                super().__init__(service, version, mode, path)
            class operating_density(TUIMethod):
                """
                Multiphase flow Operating Density menu.
                """
            class reference_pressure_method(TUIMethod):
                """
                Specifies the method used for adjusting the gauge pressure field after each iteration to keep it from floating: the method can assume that all of the cell zones are connected by internal boundary zones (such as interior zones), or can account for connected and disconnected cell zones. Such adjustment is only allowed for incompressible flows, and will be limited partially or entirely by the presence of a pressure boundary.
                """
            class set_state(TUIMethod):
                """
                Selects state for real gas EOS subcritical condition.
                """
            class reference_pressure_location(TUIMethod):
                """
                Sets a location that determines the reference pressure cell or cells (depending on the selected reference pressure method). The pressure value in such cells can be used to adjust the gauge pressure field after each iteration to keep it from floating.
                """
            class used_ref_pressure_location(TUIMethod):
                """
                Prints the coordinates of the reference pressure cell or cells (depending on the selected reference pressure method). The pressure value in such cells can be used to adjust the gauge pressure field after each iteration to keep it from floating.
                """
            class operating_pressure(TUIMethod):
                """
                Sets the operating pressure.
                """
            class operating_temperature(TUIMethod):
                """
                Sets the operating temperature for Boussinesq.
                """
            class use_inlet_temperature_for_operating_density(TUIMethod):
                """
                Uses inlet temperature to calculate operating density.
                """
            class gravity_mrf_behavior(TUIMethod):
                """
                Enable/disable the fix of gravity vector in a stationary reference frame.
                """
            class gravity(TUIMethod):
                """
                Sets gravitational acceleration.
                """

        class turbo_model(TUIMenu):
            """
            Enters the turbo menu.
            """
            def __init__(self, service, version, mode, path):
                self.general_turbo_interface_settings = self.__class__.general_turbo_interface_settings(service, version, mode, path + ["general_turbo_interface_settings"])
                self.turbo_topology = self.__class__.turbo_topology(service, version, mode, path + ["turbo_topology"])
                self.blade_flutter_harmonics = self.__class__.blade_flutter_harmonics(service, version, mode, path + ["blade_flutter_harmonics"])
                self.phaselag_extra_settings = self.__class__.phaselag_extra_settings(service, version, mode, path + ["phaselag_extra_settings"])
                self.enable_turbo_model = self.__class__.enable_turbo_model(service, version, mode, path + ["enable_turbo_model"])
                self.append_phaselag_spectral_content = self.__class__.append_phaselag_spectral_content(service, version, mode, path + ["append_phaselag_spectral_content"])
                self.list_phaselag_state = self.__class__.list_phaselag_state(service, version, mode, path + ["list_phaselag_state"])
                self.turbo_interface_check = self.__class__.turbo_interface_check(service, version, mode, path + ["turbo_interface_check"])
                self.list_turbomachine_description = self.__class__.list_turbomachine_description(service, version, mode, path + ["list_turbomachine_description"])
                self.append_graphics_spectral_content = self.__class__.append_graphics_spectral_content(service, version, mode, path + ["append_graphics_spectral_content"])
                self.create_turbomachine_description = self.__class__.create_turbomachine_description(service, version, mode, path + ["create_turbomachine_description"])
                self.blade_flutter_row = self.__class__.blade_flutter_row(service, version, mode, path + ["blade_flutter_row"])
                self.graphics_extra_settings = self.__class__.graphics_extra_settings(service, version, mode, path + ["graphics_extra_settings"])
                self.separate_nonoverlapping_interface_boundary = self.__class__.separate_nonoverlapping_interface_boundary(service, version, mode, path + ["separate_nonoverlapping_interface_boundary"])
                self.create_phaselag_spectral_content = self.__class__.create_phaselag_spectral_content(service, version, mode, path + ["create_phaselag_spectral_content"])
                self.delete_graphics_spectral_content = self.__class__.delete_graphics_spectral_content(service, version, mode, path + ["delete_graphics_spectral_content"])
                self.create_graphics_spectral_content = self.__class__.create_graphics_spectral_content(service, version, mode, path + ["create_graphics_spectral_content"])
                self.list_graphics_spectral_content = self.__class__.list_graphics_spectral_content(service, version, mode, path + ["list_graphics_spectral_content"])
                self.isentropic_efficiency = self.__class__.isentropic_efficiency(service, version, mode, path + ["isentropic_efficiency"])
                self.make_phaselag_from_periodic = self.__class__.make_phaselag_from_periodic(service, version, mode, path + ["make_phaselag_from_periodic"])
                self.make_phaselag_from_boundaries = self.__class__.make_phaselag_from_boundaries(service, version, mode, path + ["make_phaselag_from_boundaries"])
                self.delete_turbomachine_description = self.__class__.delete_turbomachine_description(service, version, mode, path + ["delete_turbomachine_description"])
                self.delete_phaselag_spectral_content = self.__class__.delete_phaselag_spectral_content(service, version, mode, path + ["delete_phaselag_spectral_content"])
                self.turbo_create = self.__class__.turbo_create(service, version, mode, path + ["turbo_create"])
                super().__init__(service, version, mode, path)
            class phaselag_extra_settings(TUIMethod):
                """
                Define phaselag related extra settings.
                """
            class enable_turbo_model(TUIMethod):
                """
                Enables/disables turbo model menu.
                """
            class append_phaselag_spectral_content(TUIMethod):
                """
                Define phaselag related spectral content.
                """
            class list_phaselag_state(TUIMethod):
                """
                List all phaselag related case settings.
                """
            class turbo_interface_check(TUIMethod):
                """
                Check General Turbo Interface and Phase-lag.
                """
            class list_turbomachine_description(TUIMethod):
                """
                List turbomachine description.
                """
            class append_graphics_spectral_content(TUIMethod):
                """
                Define post-processing related spectral content.
                """
            class create_turbomachine_description(TUIMethod):
                """
                Define turbomachine description.
                """
            class blade_flutter_row(TUIMethod):
                """
                Define the periodic displacement row.
                """
            class graphics_extra_settings(TUIMethod):
                """
                Define phaselag related extra settings.
                """
            class separate_nonoverlapping_interface_boundary(TUIMethod):
                """
                Split a general turbo interface non-overlapping zone.
                """
            class create_phaselag_spectral_content(TUIMethod):
                """
                Define phaselag related spectral content.
                """
            class delete_graphics_spectral_content(TUIMethod):
                """
                Delete post-processing related spectral content.
                """
            class create_graphics_spectral_content(TUIMethod):
                """
                Define post-processing related spectral content.
                """
            class list_graphics_spectral_content(TUIMethod):
                """
                List post-processing related spectral content.
                """
            class isentropic_efficiency(TUIMethod):
                """
                Compute isentropic efficiency using general property functions for enthalpy.
                """
            class make_phaselag_from_periodic(TUIMethod):
                """
                Convert periodic interface to phase lagged.
                """
            class make_phaselag_from_boundaries(TUIMethod):
                """
                Make interface zones phase lagged.
                """
            class delete_turbomachine_description(TUIMethod):
                """
                Delete turbomachine description.
                """
            class delete_phaselag_spectral_content(TUIMethod):
                """
                Delete phaselag related spectral content.
                """
            class turbo_create(TUIMethod):
                """
                Creates a general turbo interface.
                """

            class general_turbo_interface_settings(TUIMenu):
                """
                Enters the General Turbo Interface options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.mixing_plane_model_settings = self.__class__.mixing_plane_model_settings(service, version, mode, path + ["mixing_plane_model_settings"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    super().__init__(service, version, mode, path)
                class expert(TUIMethod):
                    """
                    Set the expert parameters for turbo interfaces.
                    """

                class mixing_plane_model_settings(TUIMenu):
                    """
                    Defines settings for the mixing plane model.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list_mixing_planes = self.__class__.list_mixing_planes(service, version, mode, path + ["list_mixing_planes"])
                        self.bands_type = self.__class__.bands_type(service, version, mode, path + ["bands_type"])
                        self.averaging_method = self.__class__.averaging_method(service, version, mode, path + ["averaging_method"])
                        self.number_of_bands = self.__class__.number_of_bands(service, version, mode, path + ["number_of_bands"])
                        self.mixing_set_constraint = self.__class__.mixing_set_constraint(service, version, mode, path + ["mixing_set_constraint"])
                        super().__init__(service, version, mode, path)
                    class list_mixing_planes(TUIMethod):
                        """
                        List the settings of mixing planes in the case.
                        """
                    class bands_type(TUIMethod):
                        """
                        Specifies the averaging bands for mixing as fixed or variable width.
                        """
                    class averaging_method(TUIMethod):
                        """
                        Set the averaging method for the mixing.
                        """
                    class number_of_bands(TUIMethod):
                        """
                        Sets the number of bands to be used for mixing.
                        """
                    class mixing_set_constraint(TUIMethod):
                        """
                        To set the mixing of primitive or total variable approach.
                        """

            class turbo_topology(TUIMenu):
                """
                Enters the turbo topology menu.
                """
                def __init__(self, service, version, mode, path):
                    self.search_method = self.__class__.search_method(service, version, mode, path + ["search_method"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.mesh_method = self.__class__.mesh_method(service, version, mode, path + ["mesh_method"])
                    self.projection_method = self.__class__.projection_method(service, version, mode, path + ["projection_method"])
                    self.define_topology = self.__class__.define_topology(service, version, mode, path + ["define_topology"])
                    super().__init__(service, version, mode, path)
                class search_method(TUIMethod):
                    """
                    Sets search method for a topology.
                    """
                class delete(TUIMethod):
                    """
                    Deletes a previously created turbo topology.
                    """
                class mesh_method(TUIMethod):
                    """
                    Sets turbo structured mesh generation method.
                    """
                class projection_method(TUIMethod):
                    """
                    Sets 2D projection method.
                    """
                class define_topology(TUIMethod):
                    """
                    Defines a turbo topology.
                    """

            class blade_flutter_harmonics(TUIMenu):
                """
                Enters the blade flutter harmonics options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.write_harmonic_exports = self.__class__.write_harmonic_exports(service, version, mode, path + ["write_harmonic_exports"])
                    self.enable_harmonic_exports = self.__class__.enable_harmonic_exports(service, version, mode, path + ["enable_harmonic_exports"])
                    self.write_aerodamping_vs_nodal_diameter = self.__class__.write_aerodamping_vs_nodal_diameter(service, version, mode, path + ["write_aerodamping_vs_nodal_diameter"])
                    super().__init__(service, version, mode, path)
                class write_harmonic_exports(TUIMethod):
                    """
                    Writes harmonic export data.
                    """
                class enable_harmonic_exports(TUIMethod):
                    """
                    Calculates/Deletes flutter harmonic export data.
                    """
                class write_aerodamping_vs_nodal_diameter(TUIMethod):
                    """
                    Reads report definition file and Writes influence coefficient aerodynamic damping values vs nodal diameter.
                    """

        class curvilinear_coordinate_system(TUIMenu):
            """
            Curvilinear Coordinate System.
            """
            def __init__(self, service, version, mode, path):
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.calculation_settings = self.__class__.calculation_settings(service, version, mode, path + ["calculation_settings"])
                self.display_settings = self.__class__.display_settings(service, version, mode, path + ["display_settings"])
                self.new = self.__class__.new(service, version, mode, path + ["new"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Delete Curvilinear Coordinate System.
                """
            class edit(TUIMethod):
                """
                Edit an existing curvilinear coordinate system.
                """
            class calculation_settings(TUIMethod):
                """
                Define Settings for curvilinear coordinate system.
                """
            class display_settings(TUIMethod):
                """
                Display settings for Curvilinear Coordinate System.
                """
            class new(TUIMethod):
                """
                Define a new curvilinear coordinate system.
                """
            class display(TUIMethod):
                """
                Display Curvilinear Coordinate System.
                """

    class setup(TUIMenu):
        """
        Enter setup menu.
        """
        def __init__(self, service, version, mode, path):
            self.turbo_model = self.__class__.turbo_model(service, version, mode, path + ["turbo_model"])
            self.overset_interfaces = self.__class__.overset_interfaces(service, version, mode, path + ["overset_interfaces"])
            self.gap_model = self.__class__.gap_model(service, version, mode, path + ["gap_model"])
            self.reference_frames = self.__class__.reference_frames(service, version, mode, path + ["reference_frames"])
            self.mixing_planes = self.__class__.mixing_planes(service, version, mode, path + ["mixing_planes"])
            self.models = self.__class__.models(service, version, mode, path + ["models"])
            self.mesh_interfaces = self.__class__.mesh_interfaces(service, version, mode, path + ["mesh_interfaces"])
            self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
            self.boundary_conditions = self.__class__.boundary_conditions(service, version, mode, path + ["boundary_conditions"])
            self.operating_conditions = self.__class__.operating_conditions(service, version, mode, path + ["operating_conditions"])
            self.reference_values = self.__class__.reference_values(service, version, mode, path + ["reference_values"])
            self.dynamic_mesh = self.__class__.dynamic_mesh(service, version, mode, path + ["dynamic_mesh"])
            self.named_expressions = self.__class__.named_expressions(service, version, mode, path + ["named_expressions"])
            self.materials = self.__class__.materials(service, version, mode, path + ["materials"])
            super().__init__(service, version, mode, path)

        class turbo_model(TUIMenu):
            """
            Turbo features menu.
            """
            def __init__(self, service, version, mode, path):
                self.blade_flutter_harmonics = self.__class__.blade_flutter_harmonics(service, version, mode, path + ["blade_flutter_harmonics"])
                self.general_turbo_interface_settings = self.__class__.general_turbo_interface_settings(service, version, mode, path + ["general_turbo_interface_settings"])
                self.turbo_topology = self.__class__.turbo_topology(service, version, mode, path + ["turbo_topology"])
                self.list_turbomachine_description = self.__class__.list_turbomachine_description(service, version, mode, path + ["list_turbomachine_description"])
                self.append_graphics_spectral_content = self.__class__.append_graphics_spectral_content(service, version, mode, path + ["append_graphics_spectral_content"])
                self.delete_graphics_spectral_content = self.__class__.delete_graphics_spectral_content(service, version, mode, path + ["delete_graphics_spectral_content"])
                self.create_phaselag_spectral_content = self.__class__.create_phaselag_spectral_content(service, version, mode, path + ["create_phaselag_spectral_content"])
                self.turbo_create = self.__class__.turbo_create(service, version, mode, path + ["turbo_create"])
                self.graphics_extra_settings = self.__class__.graphics_extra_settings(service, version, mode, path + ["graphics_extra_settings"])
                self.isentropic_efficiency = self.__class__.isentropic_efficiency(service, version, mode, path + ["isentropic_efficiency"])
                self.append_phaselag_spectral_content = self.__class__.append_phaselag_spectral_content(service, version, mode, path + ["append_phaselag_spectral_content"])
                self.separate_nonoverlapping_interface_boundary = self.__class__.separate_nonoverlapping_interface_boundary(service, version, mode, path + ["separate_nonoverlapping_interface_boundary"])
                self.make_phaselag_from_periodic = self.__class__.make_phaselag_from_periodic(service, version, mode, path + ["make_phaselag_from_periodic"])
                self.enable_turbo_model = self.__class__.enable_turbo_model(service, version, mode, path + ["enable_turbo_model"])
                self.delete_phaselag_spectral_content = self.__class__.delete_phaselag_spectral_content(service, version, mode, path + ["delete_phaselag_spectral_content"])
                self.list_graphics_spectral_content = self.__class__.list_graphics_spectral_content(service, version, mode, path + ["list_graphics_spectral_content"])
                self.create_turbomachine_description = self.__class__.create_turbomachine_description(service, version, mode, path + ["create_turbomachine_description"])
                self.turbo_interface_check = self.__class__.turbo_interface_check(service, version, mode, path + ["turbo_interface_check"])
                self.list_phaselag_state = self.__class__.list_phaselag_state(service, version, mode, path + ["list_phaselag_state"])
                self.phaselag_extra_settings = self.__class__.phaselag_extra_settings(service, version, mode, path + ["phaselag_extra_settings"])
                self.delete_turbomachine_description = self.__class__.delete_turbomachine_description(service, version, mode, path + ["delete_turbomachine_description"])
                self.blade_flutter_row = self.__class__.blade_flutter_row(service, version, mode, path + ["blade_flutter_row"])
                self.create_graphics_spectral_content = self.__class__.create_graphics_spectral_content(service, version, mode, path + ["create_graphics_spectral_content"])
                self.make_phaselag_from_boundaries = self.__class__.make_phaselag_from_boundaries(service, version, mode, path + ["make_phaselag_from_boundaries"])
                super().__init__(service, version, mode, path)
            class list_turbomachine_description(TUIMethod):
                """
                List turbomachine description.
                """
            class append_graphics_spectral_content(TUIMethod):
                """
                Define post-processing related spectral content.
                """
            class delete_graphics_spectral_content(TUIMethod):
                """
                Delete post-processing related spectral content.
                """
            class create_phaselag_spectral_content(TUIMethod):
                """
                Define phaselag related spectral content.
                """
            class turbo_create(TUIMethod):
                """
                Create a general turbo interface.
                """
            class graphics_extra_settings(TUIMethod):
                """
                Define phaselag related extra settings.
                """
            class isentropic_efficiency(TUIMethod):
                """
                Compute isentropic efficiency using general property functions for enthalpy.
                """
            class append_phaselag_spectral_content(TUIMethod):
                """
                Define phaselag related spectral content.
                """
            class separate_nonoverlapping_interface_boundary(TUIMethod):
                """
                Split a general turbo interface non-overlapping zone.
                """
            class make_phaselag_from_periodic(TUIMethod):
                """
                Convert periodic interface to phase lagged.
                """
            class enable_turbo_model(TUIMethod):
                """
                Enable/disable turbo model menu.
                """
            class delete_phaselag_spectral_content(TUIMethod):
                """
                Delete phaselag related spectral content.
                """
            class list_graphics_spectral_content(TUIMethod):
                """
                List post-processing related spectral content.
                """
            class create_turbomachine_description(TUIMethod):
                """
                Define turbomachine description.
                """
            class turbo_interface_check(TUIMethod):
                """
                Check General Turbo Interface and Phase-lag.
                """
            class list_phaselag_state(TUIMethod):
                """
                List all phaselag related case settings.
                """
            class phaselag_extra_settings(TUIMethod):
                """
                Define phaselag related extra settings.
                """
            class delete_turbomachine_description(TUIMethod):
                """
                Delete turbomachine description.
                """
            class blade_flutter_row(TUIMethod):
                """
                Define the periodic displacement row.
                """
            class create_graphics_spectral_content(TUIMethod):
                """
                Define post-processing related spectral content.
                """
            class make_phaselag_from_boundaries(TUIMethod):
                """
                Make interface zones phase lagged.
                """

            class blade_flutter_harmonics(TUIMenu):
                """
                Enter the blade flutter harmonics menu.
                """
                def __init__(self, service, version, mode, path):
                    self.write_harmonic_exports = self.__class__.write_harmonic_exports(service, version, mode, path + ["write_harmonic_exports"])
                    self.enable_harmonic_exports = self.__class__.enable_harmonic_exports(service, version, mode, path + ["enable_harmonic_exports"])
                    self.write_aerodamping_vs_nodal_diameter = self.__class__.write_aerodamping_vs_nodal_diameter(service, version, mode, path + ["write_aerodamping_vs_nodal_diameter"])
                    super().__init__(service, version, mode, path)
                class write_harmonic_exports(TUIMethod):
                    """
                    Writes harmonic export data.
                    """
                class enable_harmonic_exports(TUIMethod):
                    """
                    Calculates/Deletes flutter harmonic export data.
                    """
                class write_aerodamping_vs_nodal_diameter(TUIMethod):
                    """
                    Reads report definition file and Writes influence coefficient aerodynamic damping values vs nodal diameter.
                    """

            class general_turbo_interface_settings(TUIMenu):
                """
                Set General Turbo Interface options.
                """
                def __init__(self, service, version, mode, path):
                    self.mixing_plane_model_settings = self.__class__.mixing_plane_model_settings(service, version, mode, path + ["mixing_plane_model_settings"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    super().__init__(service, version, mode, path)
                class expert(TUIMethod):
                    """
                    Set the expert parameters for turbo interfaces.
                    """

                class mixing_plane_model_settings(TUIMenu):
                    """
                    Set the mixing plane model settings.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list_mixing_planes = self.__class__.list_mixing_planes(service, version, mode, path + ["list_mixing_planes"])
                        self.bands_type = self.__class__.bands_type(service, version, mode, path + ["bands_type"])
                        self.number_of_bands = self.__class__.number_of_bands(service, version, mode, path + ["number_of_bands"])
                        self.averaging_method = self.__class__.averaging_method(service, version, mode, path + ["averaging_method"])
                        self.mixing_set_constraint = self.__class__.mixing_set_constraint(service, version, mode, path + ["mixing_set_constraint"])
                        super().__init__(service, version, mode, path)
                    class list_mixing_planes(TUIMethod):
                        """
                        List the settings of mixing planes in the case.
                        """
                    class bands_type(TUIMethod):
                        """
                        To set the mixing plane bands type.
                        """
                    class number_of_bands(TUIMethod):
                        """
                        Set the maximum number of bands to be used for mixing.
                        """
                    class averaging_method(TUIMethod):
                        """
                        Set the averaging method for the mixing.
                        """
                    class mixing_set_constraint(TUIMethod):
                        """
                        To set the mixing of primitive or total variable approach.
                        """

            class turbo_topology(TUIMenu):
                """
                Define turbo topology.
                """
                def __init__(self, service, version, mode, path):
                    self.mesh_method = self.__class__.mesh_method(service, version, mode, path + ["mesh_method"])
                    self.define_topology = self.__class__.define_topology(service, version, mode, path + ["define_topology"])
                    self.projection_method = self.__class__.projection_method(service, version, mode, path + ["projection_method"])
                    self.search_method = self.__class__.search_method(service, version, mode, path + ["search_method"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class mesh_method(TUIMethod):
                    """
                    Set turbo structured mesh generation method.
                    """
                class define_topology(TUIMethod):
                    """
                    Define a turbo topology.
                    """
                class projection_method(TUIMethod):
                    """
                    Set 2D projection method.
                    """
                class search_method(TUIMethod):
                    """
                    Set search method for a topology.
                    """
                class delete(TUIMethod):
                    """
                    Delete a turbo topology.
                    """

        class overset_interfaces(TUIMenu):
            """
            Enter the overset-interfaces menu.
            """
            def __init__(self, service, version, mode, path):
                self.options = self.__class__.options(service, version, mode, path + ["options"])
                self.cut_control = self.__class__.cut_control(service, version, mode, path + ["cut_control"])
                self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
                self.intersect = self.__class__.intersect(service, version, mode, path + ["intersect"])
                self.update_from_dci = self.__class__.update_from_dci(service, version, mode, path + ["update_from_dci"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.display_cells = self.__class__.display_cells(service, version, mode, path + ["display_cells"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.write_cell_types = self.__class__.write_cell_types(service, version, mode, path + ["write_cell_types"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.intersect_all = self.__class__.intersect_all(service, version, mode, path + ["intersect_all"])
                self.find_bounding_cell = self.__class__.find_bounding_cell(service, version, mode, path + ["find_bounding_cell"])
                self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                self.write_dci = self.__class__.write_dci(service, version, mode, path + ["write_dci"])
                self.mark_cells = self.__class__.mark_cells(service, version, mode, path + ["mark_cells"])
                self.check = self.__class__.check(service, version, mode, path + ["check"])
                self.clear_all = self.__class__.clear_all(service, version, mode, path + ["clear_all"])
                self.write_dci_to_case = self.__class__.write_dci_to_case(service, version, mode, path + ["write_dci_to_case"])
                self.read_dci_from_case = self.__class__.read_dci_from_case(service, version, mode, path + ["read_dci_from_case"])
                self.find_all_bounding_cells = self.__class__.find_all_bounding_cells(service, version, mode, path + ["find_all_bounding_cells"])
                self.fill_dci = self.__class__.fill_dci(service, version, mode, path + ["fill_dci"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.set_mark_bounds = self.__class__.set_mark_bounds(service, version, mode, path + ["set_mark_bounds"])
                self.mark_cell_change = self.__class__.mark_cell_change(service, version, mode, path + ["mark_cell_change"])
                self.grid_priorities = self.__class__.grid_priorities(service, version, mode, path + ["grid_priorities"])
                self.debug_hole_cut = self.__class__.debug_hole_cut(service, version, mode, path + ["debug_hole_cut"])
                self.free_dci = self.__class__.free_dci(service, version, mode, path + ["free_dci"])
                super().__init__(service, version, mode, path)
            class intersect(TUIMethod):
                """
                Intersect an overset interface.
                """
            class update_from_dci(TUIMethod):
                """
                Update all overset intrfaces from stored domain connectivity information (DCI).
                """
            class create(TUIMethod):
                """
                Create an overset interface.
                """
            class display_cells(TUIMethod):
                """
                Display the marked overset cells.
                """
            class delete(TUIMethod):
                """
                Delete an overset interface.
                """
            class write_cell_types(TUIMethod):
                """
                Write overset cell types into file.
                """
            class delete_all(TUIMethod):
                """
                Delete all overset interfaces.
                """
            class intersect_all(TUIMethod):
                """
                Intersect all overset interfaces.
                """
            class find_bounding_cell(TUIMethod):
                """
                Find bounding cell for given cell or search point.
                """
            class clear(TUIMethod):
                """
                Clear an overset interface.
                """
            class write_dci(TUIMethod):
                """
                Save domain connectivity information (DCI) to a text file.
                """
            class mark_cells(TUIMethod):
                """
                Mark overset interface related cell types.
                """
            class check(TUIMethod):
                """
                Check all overset interfaces.
                """
            class clear_all(TUIMethod):
                """
                Clear all overset interfaces.
                """
            class write_dci_to_case(TUIMethod):
                """
                Save domain connectivity information (DCI) to case file.
                """
            class read_dci_from_case(TUIMethod):
                """
                Read domain connectivity information (DCI) from case file.
                """
            class find_all_bounding_cells(TUIMethod):
                """
                Find bounding cells for all cell centroids.
                """
            class fill_dci(TUIMethod):
                """
                Fill overset domain connectivity information (DCI).
                """
            class list(TUIMethod):
                """
                List all overset interfaces.
                """
            class set_mark_bounds(TUIMethod):
                """
                Set bounds (center, radius) for overset cell marking.
                """
            class mark_cell_change(TUIMethod):
                """
                Mark overset interface related cell type change.
                """
            class grid_priorities(TUIMethod):
                """
                Edit grid priorities for an overset interface.
                """
            class debug_hole_cut(TUIMethod):
                """
                Debugging tool for overset hole cutting.
                """
            class free_dci(TUIMethod):
                """
                Free overset domain connectivity information (DCI).
                """

            class options(TUIMenu):
                """
                Enter the overset interface options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.solve_island_removal = self.__class__.solve_island_removal(service, version, mode, path + ["solve_island_removal"])
                    self.modified_donor_search = self.__class__.modified_donor_search(service, version, mode, path + ["modified_donor_search"])
                    self.mesh_interfaces = self.__class__.mesh_interfaces(service, version, mode, path + ["mesh_interfaces"])
                    self.minimize_overlap = self.__class__.minimize_overlap(service, version, mode, path + ["minimize_overlap"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.parallel = self.__class__.parallel(service, version, mode, path + ["parallel"])
                    self.node_connected_donors = self.__class__.node_connected_donors(service, version, mode, path + ["node_connected_donors"])
                    self.render_receptor_cells = self.__class__.render_receptor_cells(service, version, mode, path + ["render_receptor_cells"])
                    self.modified_hole_cutting = self.__class__.modified_hole_cutting(service, version, mode, path + ["modified_hole_cutting"])
                    self.donor_priority_method = self.__class__.donor_priority_method(service, version, mode, path + ["donor_priority_method"])
                    self.partial_cut_faces = self.__class__.partial_cut_faces(service, version, mode, path + ["partial_cut_faces"])
                    self.auto_create = self.__class__.auto_create(service, version, mode, path + ["auto_create"])
                    self.dead_cell_update = self.__class__.dead_cell_update(service, version, mode, path + ["dead_cell_update"])
                    self.update_before_case_write = self.__class__.update_before_case_write(service, version, mode, path + ["update_before_case_write"])
                    self.overlap_boundaries = self.__class__.overlap_boundaries(service, version, mode, path + ["overlap_boundaries"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.transient_caching = self.__class__.transient_caching(service, version, mode, path + ["transient_caching"])
                    super().__init__(service, version, mode, path)
                class solve_island_removal(TUIMethod):
                    """
                    Set method used to control the removal of isolated patches of solve cells.
                    """
                class modified_donor_search(TUIMethod):
                    """
                    Enable modified and more extensive donor search.
                    """
                class mesh_interfaces(TUIMethod):
                    """
                    Allow mesh interfaces inside overset cell zones.
                    """
                class minimize_overlap(TUIMethod):
                    """
                    Enable overlap minimization for overset interfaces.
                    """
                class expert(TUIMethod):
                    """
                    Enable additional overset options and tools.
                    """
                class parallel(TUIMethod):
                    """
                    Set options to control running overset in parallel.
                    """
                class node_connected_donors(TUIMethod):
                    """
                    Enable node or face connected donor cells.
                    """
                class render_receptor_cells(TUIMethod):
                    """
                    Set the option to include receptor cells in postprocessing.
                    """
                class modified_hole_cutting(TUIMethod):
                    """
                    Enable modified hole cutting parameters.
                    """
                class donor_priority_method(TUIMethod):
                    """
                    Set method used to evaludate the cell donor priority.
                    """
                class partial_cut_faces(TUIMethod):
                    """
                    Enable enhanced hole cutting where cut faces partially overlap.
                    """
                class auto_create(TUIMethod):
                    """
                    Enable automatic creation of default overset interface.
                    """
                class dead_cell_update(TUIMethod):
                    """
                    Enable dead cell update in moving or dynamic mesh simulations.
                    """
                class update_before_case_write(TUIMethod):
                    """
                    Enable update of overset interfaces before writing case file (CFF format only).
                    """
                class overlap_boundaries(TUIMethod):
                    """
                    Enable overset topologies with overlap boundaries.
                    """
                class verbosity(TUIMethod):
                    """
                    Set overset mesh reporting verbosity.
                    """
                class transient_caching(TUIMethod):
                    """
                    Set options to control caching of entities in transient overset simulations.
                    """

            class cut_control(TUIMenu):
                """
                Enter the overset hole cut control menu.
                """
                def __init__(self, service, version, mode, path):
                    self.cut_seeds = self.__class__.cut_seeds(service, version, mode, path + ["cut_seeds"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    List the defined hole cut controls.
                    """
                class delete_all(TUIMethod):
                    """
                    Delete the hole cut controls for all boundary zones.
                    """
                class delete(TUIMethod):
                    """
                    Delete hole cut control for a boundary zone.
                    """
                class add(TUIMethod):
                    """
                    Add hole cut control for a boundary zone.
                    """

                class cut_seeds(TUIMenu):
                    """
                    Enter the overset hole cut seed menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.cut_seeds_for_all_component_zones = self.__class__.cut_seeds_for_all_component_zones(service, version, mode, path + ["cut_seeds_for_all_component_zones"])
                        self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        super().__init__(service, version, mode, path)
                    class list(TUIMethod):
                        """
                        List the defined hole cut seeds.
                        """
                    class cut_seeds_for_all_component_zones(TUIMethod):
                        """
                        Enable that all component zones get a cut seed.
                        """
                    class delete_all(TUIMethod):
                        """
                        Delete all hole cut seeds.
                        """
                    class delete(TUIMethod):
                        """
                        Delete a hole cut seed.
                        """
                    class add(TUIMethod):
                        """
                        Add a hole cut seed.
                        """

            class adapt(TUIMenu):
                """
                Enter the overset adaption menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    self.adapt_mesh = self.__class__.adapt_mesh(service, version, mode, path + ["adapt_mesh"])
                    self.mark_adaption = self.__class__.mark_adaption(service, version, mode, path + ["mark_adaption"])
                    super().__init__(service, version, mode, path)
                class adapt_mesh(TUIMethod):
                    """
                    Mark and adapt the mesh to remove orphan cells and large donor-receptor cell size differences.
                    """
                class mark_adaption(TUIMethod):
                    """
                    Mark cells for overset orphan adaption and donor-receptor size differences.
                    """

                class set(TUIMenu):
                    """
                    Enter the overset adaption set menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mark_orphans = self.__class__.mark_orphans(service, version, mode, path + ["mark_orphans"])
                        self.mark_size = self.__class__.mark_size(service, version, mode, path + ["mark_size"])
                        self.mark_coarsening = self.__class__.mark_coarsening(service, version, mode, path + ["mark_coarsening"])
                        self.buffer_layers = self.__class__.buffer_layers(service, version, mode, path + ["buffer_layers"])
                        self.gap_resolution = self.__class__.gap_resolution(service, version, mode, path + ["gap_resolution"])
                        self.automatic = self.__class__.automatic(service, version, mode, path + ["automatic"])
                        self.anisotropic = self.__class__.anisotropic(service, version, mode, path + ["anisotropic"])
                        self.mark_fixed_orphans = self.__class__.mark_fixed_orphans(service, version, mode, path + ["mark_fixed_orphans"])
                        self.mark_gaps = self.__class__.mark_gaps(service, version, mode, path + ["mark_gaps"])
                        self.length_ratio_max = self.__class__.length_ratio_max(service, version, mode, path + ["length_ratio_max"])
                        self.adaption_sweeps = self.__class__.adaption_sweeps(service, version, mode, path + ["adaption_sweeps"])
                        self.maximum_refinement_level = self.__class__.maximum_refinement_level(service, version, mode, path + ["maximum_refinement_level"])
                        super().__init__(service, version, mode, path)
                    class mark_orphans(TUIMethod):
                        """
                        Enable the option to adapt for orphan reduction.
                        """
                    class mark_size(TUIMethod):
                        """
                        Enable the option to adapt for donor-receptor cell size differences.
                        """
                    class mark_coarsening(TUIMethod):
                        """
                        Enable the option to coarsen the mesh during overset adaption.
                        """
                    class buffer_layers(TUIMethod):
                        """
                        Set the number of cell layers marked in addition to the cells marked for orphan adaption.
                        """
                    class gap_resolution(TUIMethod):
                        """
                        Set the target (minimum) gap resolution used when marking cells for gap adaption.
                        """
                    class automatic(TUIMethod):
                        """
                        Enable the option to automatically adapt overset meshes during solution update.
                        """
                    class anisotropic(TUIMethod):
                        """
                        Enable the option to use anisotropic adaption in prismatic cells.
                        """
                    class mark_fixed_orphans(TUIMethod):
                        """
                        Enable the option to adapt for orphans which were removed by accepting neighbor donors.
                        """
                    class mark_gaps(TUIMethod):
                        """
                        Enable the option to adapt underresolved gaps.
                        """
                    class length_ratio_max(TUIMethod):
                        """
                        Set the length scale ratio threshold used to determine which cells are marked for adaption based on donor-receptor cell size differences.
                        """
                    class adaption_sweeps(TUIMethod):
                        """
                        Set the number of adaption sweeps per overset adaption.
                        """
                    class maximum_refinement_level(TUIMethod):
                        """
                        Set the maximum level of refinement in overset adaption.
                        """

        class gap_model(TUIMenu):
            """
            Enter the narrow-gaps menu.
            """
            def __init__(self, service, version, mode, path):
                self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.list_gap_face_zones = self.__class__.list_gap_face_zones(service, version, mode, path + ["list_gap_face_zones"])
                self.list_gap_regions = self.__class__.list_gap_regions(service, version, mode, path + ["list_gap_regions"])
                self.render_gap_regions = self.__class__.render_gap_regions(service, version, mode, path + ["render_gap_regions"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list_gap_cell_zones = self.__class__.list_gap_cell_zones(service, version, mode, path + ["list_gap_cell_zones"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                super().__init__(service, version, mode, path)
            class create(TUIMethod):
                """
                Create a gap object.
                """
            class delete_all(TUIMethod):
                """
                Delete all of the exiting gap objects.
                """
            class list_gap_face_zones(TUIMethod):
                """
                List name of the gap face zones that can be used for gaps creation.
                """
            class list_gap_regions(TUIMethod):
                """
                List gap regions.
                """
            class render_gap_regions(TUIMethod):
                """
                Update gap regions for postprocessing.
                """
            class delete(TUIMethod):
                """
                Delete an exiting gap object.
                """
            class list_gap_cell_zones(TUIMethod):
                """
                List name of the gap cells zones that can be used as exclided cell zones in gaps creation.
                """
            class edit(TUIMethod):
                """
                Edit an exiting gap object.
                """
            class enable(TUIMethod):
                """
                Enable/Disable gap model.
                """

            class advanced_options(TUIMenu):
                """
                Show options.
                """
                def __init__(self, service, version, mode, path):
                    self.sponge_layer = self.__class__.sponge_layer(service, version, mode, path + ["sponge_layer"])
                    self.reduce_gap_regions = self.__class__.reduce_gap_regions(service, version, mode, path + ["reduce_gap_regions"])
                    self.extend_gap_regions = self.__class__.extend_gap_regions(service, version, mode, path + ["extend_gap_regions"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.include_coupled_walls = self.__class__.include_coupled_walls(service, version, mode, path + ["include_coupled_walls"])
                    self.enhanced_data_interpolation = self.__class__.enhanced_data_interpolation(service, version, mode, path + ["enhanced_data_interpolation"])
                    self.render_gap_interface = self.__class__.render_gap_interface(service, version, mode, path + ["render_gap_interface"])
                    self.revert_controls_to_default = self.__class__.revert_controls_to_default(service, version, mode, path + ["revert_controls_to_default"])
                    self.flow_blocking_stabilization_parameters = self.__class__.flow_blocking_stabilization_parameters(service, version, mode, path + ["flow_blocking_stabilization_parameters"])
                    self.clear_gap_regions = self.__class__.clear_gap_regions(service, version, mode, path + ["clear_gap_regions"])
                    self.update_gap_regions = self.__class__.update_gap_regions(service, version, mode, path + ["update_gap_regions"])
                    self.check_cfl_condition = self.__class__.check_cfl_condition(service, version, mode, path + ["check_cfl_condition"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.precise_gap_marking = self.__class__.precise_gap_marking(service, version, mode, path + ["precise_gap_marking"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.cell_check_distance_factor = self.__class__.cell_check_distance_factor(service, version, mode, path + ["cell_check_distance_factor"])
                    self.fill_data_in_gap_regions = self.__class__.fill_data_in_gap_regions(service, version, mode, path + ["fill_data_in_gap_regions"])
                    self.alternative_marking = self.__class__.alternative_marking(service, version, mode, path + ["alternative_marking"])
                    self.render_flow_modeling_gaps = self.__class__.render_flow_modeling_gaps(service, version, mode, path + ["render_flow_modeling_gaps"])
                    super().__init__(service, version, mode, path)
                class sponge_layer(TUIMethod):
                    """
                    Set advanced settings for gap sponge layer.
                    """
                class reduce_gap_regions(TUIMethod):
                    """
                    Using a more restrictive algorithm for marking cells in gap regions.
                    """
                class extend_gap_regions(TUIMethod):
                    """
                    Extend gap regions for better convergence.
                    """
                class solution_stabilization(TUIMethod):
                    """
                    Set solution stabilization level for gap model.
                    """
                class include_coupled_walls(TUIMethod):
                    """
                    Include coupled walls in gap face zones.
                    """
                class enhanced_data_interpolation(TUIMethod):
                    """
                    Use enhanced data interpolation for updating information in gap regions.
                    """
                class render_gap_interface(TUIMethod):
                    """
                    Render gap interface.
                    """
                class revert_controls_to_default(TUIMethod):
                    """
                    Revert gap stabilization and any related solver settings to default.
                    """
                class flow_blocking_stabilization_parameters(TUIMethod):
                    """
                    Adjust stabilization settings for the sponge layer used for blocked gap regions.
                    """
                class clear_gap_regions(TUIMethod):
                    """
                    Clear gap model solution information and marks.
                    """
                class update_gap_regions(TUIMethod):
                    """
                    Update gap regions and gap model solution information.
                    """
                class check_cfl_condition(TUIMethod):
                    """
                    Check time step size for better convergence.
                    """
                class expert(TUIMethod):
                    """
                    Enable expert options for gap model.
                    """
                class precise_gap_marking(TUIMethod):
                    """
                    Mark cells in gap regions using more accurate search algorithm.
                    """
                class verbosity(TUIMethod):
                    """
                    Set the verbosity for gap model.
                    """
                class cell_check_distance_factor(TUIMethod):
                    """
                    Enter value of the cell distance factor.
                    """
                class fill_data_in_gap_regions(TUIMethod):
                    """
                    Interpolate solution data into the whole gap regions.
                    """
                class alternative_marking(TUIMethod):
                    """
                    Mark gap regions using an alternative marking algorithm.
                    """
                class render_flow_modeling_gaps(TUIMethod):
                    """
                    Render solution inside flow modeling gap cells.
                    """

        class reference_frames(TUIMenu):
            """
            Manage reference frames.
            """
            def __init__(self, service, version, mode, path):
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.display_edit = self.__class__.display_edit(service, version, mode, path + ["display_edit"])
                self.hide = self.__class__.hide(service, version, mode, path + ["hide"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class display(TUIMethod):
                """
                Display Reference Frame.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class display_edit(TUIMethod):
                """
                Display and edit reference frame from graphics.
                """
            class hide(TUIMethod):
                """
                Hide Reference Frame.
                """
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class list_properties(TUIMethod):
                """
                List properties of an object.
                """
            class list(TUIMethod):
                """
                List objects.
                """
            class delete(TUIMethod):
                """
                Delete an object.
                """

        class mixing_planes(TUIMenu):
            """
            Enter the mixing planes menu.
            """
            def __init__(self, service, version, mode, path):
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                super().__init__(service, version, mode, path)
            class create(TUIMethod):
                """
                Create a mixing plane.
                """
            class delete(TUIMethod):
                """
                Delete a mixing plane.
                """
            class list(TUIMethod):
                """
                List defined mixing plane(s).
                """

            class set(TUIMenu):
                """
                Enter the mixing plane set menu.
                """
                def __init__(self, service, version, mode, path):
                    self.conserve_total_enthalpy = self.__class__.conserve_total_enthalpy(service, version, mode, path + ["conserve_total_enthalpy"])
                    self.conserve_swirl = self.__class__.conserve_swirl(service, version, mode, path + ["conserve_swirl"])
                    self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                    self.averaging_method = self.__class__.averaging_method(service, version, mode, path + ["averaging_method"])
                    self.fix_pressure_level = self.__class__.fix_pressure_level(service, version, mode, path + ["fix_pressure_level"])
                    super().__init__(service, version, mode, path)
                class under_relaxation(TUIMethod):
                    """
                    Set mixing plane under-relaxation factor.
                    """
                class averaging_method(TUIMethod):
                    """
                    Set mixing plane profile averaging method.
                    """
                class fix_pressure_level(TUIMethod):
                    """
                    Set fix pressure level using define/reference-pressure-location.
                    """

                class conserve_total_enthalpy(TUIMenu):
                    """
                    Enter the menu to set total enthalpy conservation in mixing plane menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class verbosity(TUIMethod):
                        """
                        Enable/disable verbosity in total-enthalpy conservation calculations.
                        """
                    class enable(TUIMethod):
                        """
                        Enable/disable total enthalpy conservation in mixing plane.
                        """

                class conserve_swirl(TUIMenu):
                    """
                    Enter the mixing plane conserve-swirl menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        self.report_swirl_integration = self.__class__.report_swirl_integration(service, version, mode, path + ["report_swirl_integration"])
                        super().__init__(service, version, mode, path)
                    class verbosity(TUIMethod):
                        """
                        Enable/disable verbosity in swirl conservation calculations.
                        """
                    class enable(TUIMethod):
                        """
                        Enable/disable swirl conservation in mixing plane.
                        """
                    class report_swirl_integration(TUIMethod):
                        """
                        Report swirl integration (torque) on inflow and outflow zones.
                        """

        class models(TUIMenu):
            """
            Enter the models menu to configure the solver.
            """
            def __init__(self, service, version, mode, path):
                self.species = self.__class__.species(service, version, mode, path + ["species"])
                self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                self.structure = self.__class__.structure(service, version, mode, path + ["structure"])
                self.soot_parameters = self.__class__.soot_parameters(service, version, mode, path + ["soot_parameters"])
                self.multiphase = self.__class__.multiphase(service, version, mode, path + ["multiphase"])
                self.acoustics = self.__class__.acoustics(service, version, mode, path + ["acoustics"])
                self.shell_conduction = self.__class__.shell_conduction(service, version, mode, path + ["shell_conduction"])
                self.system_coupling_settings = self.__class__.system_coupling_settings(service, version, mode, path + ["system_coupling_settings"])
                self.solver = self.__class__.solver(service, version, mode, path + ["solver"])
                self.dpm = self.__class__.dpm(service, version, mode, path + ["dpm"])
                self.nox_parameters = self.__class__.nox_parameters(service, version, mode, path + ["nox_parameters"])
                self.eulerian_wallfilm = self.__class__.eulerian_wallfilm(service, version, mode, path + ["eulerian_wallfilm"])
                self.electrolysis = self.__class__.electrolysis(service, version, mode, path + ["electrolysis"])
                self.two_temperature = self.__class__.two_temperature(service, version, mode, path + ["two_temperature"])
                self.radiation = self.__class__.radiation(service, version, mode, path + ["radiation"])
                self.cht = self.__class__.cht(service, version, mode, path + ["cht"])
                self.viscous = self.__class__.viscous(service, version, mode, path + ["viscous"])
                self.optics = self.__class__.optics(service, version, mode, path + ["optics"])
                self.virtual_blade_model = self.__class__.virtual_blade_model(service, version, mode, path + ["virtual_blade_model"])
                self.energy = self.__class__.energy(service, version, mode, path + ["energy"])
                self.unsteady_structure_euler = self.__class__.unsteady_structure_euler(service, version, mode, path + ["unsteady_structure_euler"])
                self.unsteady_2nd_order_bounded = self.__class__.unsteady_2nd_order_bounded(service, version, mode, path + ["unsteady_2nd_order_bounded"])
                self.frozen_flux = self.__class__.frozen_flux(service, version, mode, path + ["frozen_flux"])
                self.ablation = self.__class__.ablation(service, version, mode, path + ["ablation"])
                self.soot = self.__class__.soot(service, version, mode, path + ["soot"])
                self.crevice_model_controls = self.__class__.crevice_model_controls(service, version, mode, path + ["crevice_model_controls"])
                self.steady = self.__class__.steady(service, version, mode, path + ["steady"])
                self.nox = self.__class__.nox(service, version, mode, path + ["nox"])
                self.unsteady_2nd_order = self.__class__.unsteady_2nd_order(service, version, mode, path + ["unsteady_2nd_order"])
                self.axisymmetric = self.__class__.axisymmetric(service, version, mode, path + ["axisymmetric"])
                self.vbm = self.__class__.vbm(service, version, mode, path + ["vbm"])
                self.unsteady_structure_newmark = self.__class__.unsteady_structure_newmark(service, version, mode, path + ["unsteady_structure_newmark"])
                self.battery_model = self.__class__.battery_model(service, version, mode, path + ["battery_model"])
                self.solidification_melting = self.__class__.solidification_melting(service, version, mode, path + ["solidification_melting"])
                self.unsteady_1st_order = self.__class__.unsteady_1st_order(service, version, mode, path + ["unsteady_1st_order"])
                self.potential_and_li_ion_battery = self.__class__.potential_and_li_ion_battery(service, version, mode, path + ["potential_and_li_ion_battery"])
                self.noniterative_time_advance = self.__class__.noniterative_time_advance(service, version, mode, path + ["noniterative_time_advance"])
                self.swirl = self.__class__.swirl(service, version, mode, path + ["swirl"])
                self.addon_module = self.__class__.addon_module(service, version, mode, path + ["addon_module"])
                self.unsteady_global_time = self.__class__.unsteady_global_time(service, version, mode, path + ["unsteady_global_time"])
                self.crevice_model = self.__class__.crevice_model(service, version, mode, path + ["crevice_model"])
                super().__init__(service, version, mode, path)
            class virtual_blade_model(TUIMethod):
                """
                Enter VBM model menu.
                """
            class energy(TUIMethod):
                """
                Enable/disable the energy model.
                """
            class unsteady_structure_euler(TUIMethod):
                """
                Enable/disable Backward Euler unsteady solution model.
                """
            class unsteady_2nd_order_bounded(TUIMethod):
                """
                Enable/disable bounded second-order unsteady formulation.
                """
            class frozen_flux(TUIMethod):
                """
                Enable/disable frozen flux formulation for transient flows.
                """
            class ablation(TUIMethod):
                """
                Enable/disable ablation model.
                """
            class soot(TUIMethod):
                """
                Enable/disable the soot model.
                """
            class crevice_model_controls(TUIMethod):
                """
                Enter the crevice model controls menu.
                """
            class steady(TUIMethod):
                """
                Enable/disable the steady solution model.
                """
            class nox(TUIMethod):
                """
                Enable/disable the NOx model.
                """
            class unsteady_2nd_order(TUIMethod):
                """
                Enable/disable the second-order unsteady solution model.
                """
            class axisymmetric(TUIMethod):
                """
                Enable/disable the axisymmetric model.
                """
            class vbm(TUIMethod):
                """
                Enable/disable Virtual Blade Model.
                """
            class unsteady_structure_newmark(TUIMethod):
                """
                Enable/disable Newmark unsteady solution model.
                """
            class battery_model(TUIMethod):
                """
                Enter battery model menu.
                """
            class solidification_melting(TUIMethod):
                """
                Enable/disable the solidification and melting model.
                """
            class unsteady_1st_order(TUIMethod):
                """
                Enable/disable first-order unsteady solution model.
                """
            class potential_and_li_ion_battery(TUIMethod):
                """
                Enable/disable the electric-potential model.
                """
            class noniterative_time_advance(TUIMethod):
                """
                Enable/disable the noniterative time advancement scheme.
                """
            class swirl(TUIMethod):
                """
                Enable/disable axisymmetric swirl velocity.
                """
            class addon_module(TUIMethod):
                """
                Load addon module.
                """
            class unsteady_global_time(TUIMethod):
                """
                Enable/disable the unsteady global-time-step solution model.
                """
            class crevice_model(TUIMethod):
                """
                Enable/disable the crevice model.
                """

            class species(TUIMenu):
                """
                Enter the species models menu.
                """
                def __init__(self, service, version, mode, path):
                    self.CHEMKIN_CFD_parameters = self.__class__.CHEMKIN_CFD_parameters(service, version, mode, path + ["CHEMKIN_CFD_parameters"])
                    self.premixed_model = self.__class__.premixed_model(service, version, mode, path + ["premixed_model"])
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    self.init_unsteady_flamelet_prob = self.__class__.init_unsteady_flamelet_prob(service, version, mode, path + ["init_unsteady_flamelet_prob"])
                    self.import_flamelet_for_restart = self.__class__.import_flamelet_for_restart(service, version, mode, path + ["import_flamelet_for_restart"])
                    self.volumetric_reactions = self.__class__.volumetric_reactions(service, version, mode, path + ["volumetric_reactions"])
                    self.save_gradients = self.__class__.save_gradients(service, version, mode, path + ["save_gradients"])
                    self.set_multi_regime_fgm = self.__class__.set_multi_regime_fgm(service, version, mode, path + ["set_multi_regime_fgm"])
                    self.ignition_model_controls = self.__class__.ignition_model_controls(service, version, mode, path + ["ignition_model_controls"])
                    self.non_premixed_combustion = self.__class__.non_premixed_combustion(service, version, mode, path + ["non_premixed_combustion"])
                    self.partially_premixed_combustion_parameters = self.__class__.partially_premixed_combustion_parameters(service, version, mode, path + ["partially_premixed_combustion_parameters"])
                    self.combustion_numerics = self.__class__.combustion_numerics(service, version, mode, path + ["combustion_numerics"])
                    self.species_transport_expert = self.__class__.species_transport_expert(service, version, mode, path + ["species_transport_expert"])
                    self.liquid_energy_diffusion = self.__class__.liquid_energy_diffusion(service, version, mode, path + ["liquid_energy_diffusion"])
                    self.species_transport = self.__class__.species_transport(service, version, mode, path + ["species_transport"])
                    self.decoupled_detailed_chemistry = self.__class__.decoupled_detailed_chemistry(service, version, mode, path + ["decoupled_detailed_chemistry"])
                    self.surf_reaction_aggressiveness_factor = self.__class__.surf_reaction_aggressiveness_factor(service, version, mode, path + ["surf_reaction_aggressiveness_factor"])
                    self.stiff_chemistry = self.__class__.stiff_chemistry(service, version, mode, path + ["stiff_chemistry"])
                    self.electro_chemical_surface_reactions = self.__class__.electro_chemical_surface_reactions(service, version, mode, path + ["electro_chemical_surface_reactions"])
                    self.premixed_combustion = self.__class__.premixed_combustion(service, version, mode, path + ["premixed_combustion"])
                    self.partially_premixed_combustion = self.__class__.partially_premixed_combustion(service, version, mode, path + ["partially_premixed_combustion"])
                    self.reacting_channel_model = self.__class__.reacting_channel_model(service, version, mode, path + ["reacting_channel_model"])
                    self.mixing_model = self.__class__.mixing_model(service, version, mode, path + ["mixing_model"])
                    self.off = self.__class__.off(service, version, mode, path + ["off"])
                    self.ignition_model = self.__class__.ignition_model(service, version, mode, path + ["ignition_model"])
                    self.pdf_transport_expert = self.__class__.pdf_transport_expert(service, version, mode, path + ["pdf_transport_expert"])
                    self.epdf_energy = self.__class__.epdf_energy(service, version, mode, path + ["epdf_energy"])
                    self.CHEMKIN_CFD = self.__class__.CHEMKIN_CFD(service, version, mode, path + ["CHEMKIN_CFD"])
                    self.particle_surface_reactions = self.__class__.particle_surface_reactions(service, version, mode, path + ["particle_surface_reactions"])
                    self.relax_to_equil = self.__class__.relax_to_equil(service, version, mode, path + ["relax_to_equil"])
                    self.re_calc_par_premix_props = self.__class__.re_calc_par_premix_props(service, version, mode, path + ["re_calc_par_premix_props"])
                    self.heat_of_surface_reactions = self.__class__.heat_of_surface_reactions(service, version, mode, path + ["heat_of_surface_reactions"])
                    self.spark_model = self.__class__.spark_model(service, version, mode, path + ["spark_model"])
                    self.liquid_micro_mixing = self.__class__.liquid_micro_mixing(service, version, mode, path + ["liquid_micro_mixing"])
                    self.set_turb_chem_interaction = self.__class__.set_turb_chem_interaction(service, version, mode, path + ["set_turb_chem_interaction"])
                    self.pdf_transport = self.__class__.pdf_transport(service, version, mode, path + ["pdf_transport"])
                    self.partially_premixed_combustion_expert = self.__class__.partially_premixed_combustion_expert(service, version, mode, path + ["partially_premixed_combustion_expert"])
                    self.reaction_diffusion_balance = self.__class__.reaction_diffusion_balance(service, version, mode, path + ["reaction_diffusion_balance"])
                    self.wall_surface_reactions = self.__class__.wall_surface_reactions(service, version, mode, path + ["wall_surface_reactions"])
                    self.multicomponent_diffusion = self.__class__.multicomponent_diffusion(service, version, mode, path + ["multicomponent_diffusion"])
                    self.flamelet_expert = self.__class__.flamelet_expert(service, version, mode, path + ["flamelet_expert"])
                    self.partially_premixed_properties = self.__class__.partially_premixed_properties(service, version, mode, path + ["partially_premixed_properties"])
                    self.non_premixed_combustion_parameters = self.__class__.non_premixed_combustion_parameters(service, version, mode, path + ["non_premixed_combustion_parameters"])
                    self.coal_calculator = self.__class__.coal_calculator(service, version, mode, path + ["coal_calculator"])
                    self.full_tabulation = self.__class__.full_tabulation(service, version, mode, path + ["full_tabulation"])
                    self.species_migration = self.__class__.species_migration(service, version, mode, path + ["species_migration"])
                    self.diffusion_energy_source = self.__class__.diffusion_energy_source(service, version, mode, path + ["diffusion_energy_source"])
                    self.surf_reaction_netm_params = self.__class__.surf_reaction_netm_params(service, version, mode, path + ["surf_reaction_netm_params"])
                    self.set_premixed_combustion = self.__class__.set_premixed_combustion(service, version, mode, path + ["set_premixed_combustion"])
                    self.partially_premixed_combustion_grids = self.__class__.partially_premixed_combustion_grids(service, version, mode, path + ["partially_premixed_combustion_grids"])
                    self.reactor_network_model = self.__class__.reactor_network_model(service, version, mode, path + ["reactor_network_model"])
                    self.thermal_diffusion = self.__class__.thermal_diffusion(service, version, mode, path + ["thermal_diffusion"])
                    self.inert_transport_model = self.__class__.inert_transport_model(service, version, mode, path + ["inert_transport_model"])
                    self.reacting_channel_model_options = self.__class__.reacting_channel_model_options(service, version, mode, path + ["reacting_channel_model_options"])
                    self.inert_transport_controls = self.__class__.inert_transport_controls(service, version, mode, path + ["inert_transport_controls"])
                    self.clear_isat_table = self.__class__.clear_isat_table(service, version, mode, path + ["clear_isat_table"])
                    self.combustion_expert = self.__class__.combustion_expert(service, version, mode, path + ["combustion_expert"])
                    self.integration_parameters = self.__class__.integration_parameters(service, version, mode, path + ["integration_parameters"])
                    self.non_premixed_combustion_expert = self.__class__.non_premixed_combustion_expert(service, version, mode, path + ["non_premixed_combustion_expert"])
                    self.thickened_flame_model = self.__class__.thickened_flame_model(service, version, mode, path + ["thickened_flame_model"])
                    self.mass_deposition_source = self.__class__.mass_deposition_source(service, version, mode, path + ["mass_deposition_source"])
                    super().__init__(service, version, mode, path)
                class premixed_model(TUIMethod):
                    """
                    Set premixed combustion model.
                    """
                class inlet_diffusion(TUIMethod):
                    """
                    Enable/disable inclusion of diffusion at inlets.
                    """
                class init_unsteady_flamelet_prob(TUIMethod):
                    """
                    Initialize Unsteady Flamelet Probability.
                    """
                class import_flamelet_for_restart(TUIMethod):
                    """
                    Import Flamelet File for Restart.
                    """
                class volumetric_reactions(TUIMethod):
                    """
                    Enable/disable volumetric reactions.
                    """
                class save_gradients(TUIMethod):
                    """
                    Enable/disable storage of species mass fraction gradients.
                    """
                class set_multi_regime_fgm(TUIMethod):
                    """
                    Set-multi-regim-fgm-parameters.
                    """
                class ignition_model_controls(TUIMethod):
                    """
                    Set ignition model parameters.
                    """
                class non_premixed_combustion(TUIMethod):
                    """
                    Enable/disable the non-premixed combustion model.
                    """
                class partially_premixed_combustion_parameters(TUIMethod):
                    """
                    Set PDF parameters.
                    """
                class combustion_numerics(TUIMethod):
                    """
                    Set combustion numerics options.
                    """
                class species_transport_expert(TUIMethod):
                    """
                    Set species transport expert options.
                    """
                class liquid_energy_diffusion(TUIMethod):
                    """
                    Enable/disable energy diffusion for liquid regime.
                    """
                class species_transport(TUIMethod):
                    """
                    Enable/disable the species transport model.
                    """
                class decoupled_detailed_chemistry(TUIMethod):
                    """
                    Enable/disable the Decoupled Detailed Chemistry model.
                    """
                class surf_reaction_aggressiveness_factor(TUIMethod):
                    """
                    Set the surface reaction aggressiveness factor.
                    """
                class stiff_chemistry(TUIMethod):
                    """
                    Enable/disable stiff chemistry option.
                    """
                class electro_chemical_surface_reactions(TUIMethod):
                    """
                    Enable/disable electrochemical surface reactions.
                    """
                class premixed_combustion(TUIMethod):
                    """
                    Enable/disable the premixed combustion model.
                    """
                class partially_premixed_combustion(TUIMethod):
                    """
                    Enable/disable partially premixed combustion model.
                    """
                class reacting_channel_model(TUIMethod):
                    """
                    Enable/Disable the Reacting Channel Model.
                    """
                class mixing_model(TUIMethod):
                    """
                    Set PDF transport mixing model.
                    """
                class off(TUIMethod):
                    """
                    Enable/disable solution of species models.
                    """
                class ignition_model(TUIMethod):
                    """
                    Enable/disable the ignition model.
                    """
                class pdf_transport_expert(TUIMethod):
                    """
                    Enable/disable PDF transport expert user.
                    """
                class epdf_energy(TUIMethod):
                    """
                    Enable/disable EPDF energy  option.
                    """
                class CHEMKIN_CFD(TUIMethod):
                    """
                    Enable/disable CHEMKIN-CFD.
                    """
                class particle_surface_reactions(TUIMethod):
                    """
                    Enable/disable particle surface reactions.
                    """
                class relax_to_equil(TUIMethod):
                    """
                    Enable/disable the Relaxation to Chemical Equilibrium model.
                    """
                class re_calc_par_premix_props(TUIMethod):
                    """
                    Re-calculate partially-premixed properties.
                    """
                class heat_of_surface_reactions(TUIMethod):
                    """
                    Enable/disable heat of surface reactions.
                    """
                class spark_model(TUIMethod):
                    """
                    Set spark model parameters.
                    """
                class liquid_micro_mixing(TUIMethod):
                    """
                    Enable/disable liquid micro mixing option.
                    """
                class set_turb_chem_interaction(TUIMethod):
                    """
                    Set Eddy-Dissipation Concept model constants.
                    """
                class pdf_transport(TUIMethod):
                    """
                    Enable/disable the composition PDF transport combustion model.
                    """
                class partially_premixed_combustion_expert(TUIMethod):
                    """
                    Set PDF expert parameters.
                    """
                class reaction_diffusion_balance(TUIMethod):
                    """
                    Enable/disable reaction diffusion balance at reacting surface for surface reactions.
                    """
                class wall_surface_reactions(TUIMethod):
                    """
                    Enable/disable wall surface reactions.
                    """
                class multicomponent_diffusion(TUIMethod):
                    """
                    Enable/disable multicomponent diffusion.
                    """
                class flamelet_expert(TUIMethod):
                    """
                    Set flamelet expert parameters.
                    """
                class partially_premixed_properties(TUIMethod):
                    """
                    Set/Change partially premixed mixture properties.
                    """
                class non_premixed_combustion_parameters(TUIMethod):
                    """
                    Set PDF parameters.
                    """
                class coal_calculator(TUIMethod):
                    """
                    Set up coal modeling inputs.
                    """
                class full_tabulation(TUIMethod):
                    """
                    Enable/disable building of a full 2 mixture fraction table.
                    """
                class species_migration(TUIMethod):
                    """
                    Enable/disable ion species migration in electric field.
                    """
                class diffusion_energy_source(TUIMethod):
                    """
                    Enable/disable diffusion energy source.
                    """
                class surf_reaction_netm_params(TUIMethod):
                    """
                    Set the surface reaction parameters for the Non-Equilibrium Thermal Model.
                    """
                class set_premixed_combustion(TUIMethod):
                    """
                    Set premixed combustion parameters.
                    """
                class partially_premixed_combustion_grids(TUIMethod):
                    """
                    Set user specified grid parameters for PDF and flamelet.
                    """
                class reactor_network_model(TUIMethod):
                    """
                    Enable/disable the Reactor Network model.
                    """
                class thermal_diffusion(TUIMethod):
                    """
                    Enable/disable thermal diffusion.
                    """
                class inert_transport_model(TUIMethod):
                    """
                    Enable/disable the inert transport model.
                    """
                class reacting_channel_model_options(TUIMethod):
                    """
                    Set Reacting Channel Model parameters.
                    """
                class inert_transport_controls(TUIMethod):
                    """
                    Set inert transport model parameters.
                    """
                class clear_isat_table(TUIMethod):
                    """
                    Clear the ISAT table.
                    """
                class combustion_expert(TUIMethod):
                    """
                    Set combustion expert parameters.
                    """
                class integration_parameters(TUIMethod):
                    """
                    Set ISAT parameters.
                    """
                class non_premixed_combustion_expert(TUIMethod):
                    """
                    Set PDF expert parameters.
                    """
                class thickened_flame_model(TUIMethod):
                    """
                    Enable/disable the Relaxation to Chemical Equilibrium model.
                    """
                class mass_deposition_source(TUIMethod):
                    """
                    Enable/disable mass deposition source due to surface reactions.
                    """

                class CHEMKIN_CFD_parameters(TUIMenu):
                    """
                    Enter the expert CHEMKIN-CFD parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.add_cell_monitor = self.__class__.add_cell_monitor(service, version, mode, path + ["add_cell_monitor"])
                        self.basic_options = self.__class__.basic_options(service, version, mode, path + ["basic_options"])
                        self.delete_cell_monitors = self.__class__.delete_cell_monitors(service, version, mode, path + ["delete_cell_monitors"])
                        self.list_cell_monitors = self.__class__.list_cell_monitors(service, version, mode, path + ["list_cell_monitors"])
                        self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                        super().__init__(service, version, mode, path)
                    class add_cell_monitor(TUIMethod):
                        """
                        Add a monitor cell for debug output.
                        """
                    class basic_options(TUIMethod):
                        """
                        Set basic parameter options.
                        """
                    class delete_cell_monitors(TUIMethod):
                        """
                        Delete cell monitors.
                        """
                    class list_cell_monitors(TUIMethod):
                        """
                        List cell monitors.
                        """
                    class advanced_options(TUIMethod):
                        """
                        Set advanced parameter options.
                        """

            class heat_exchanger(TUIMenu):
                """
                Enter the heat exchanger menu.
                """
                def __init__(self, service, version, mode, path):
                    self.macro_model = self.__class__.macro_model(service, version, mode, path + ["macro_model"])
                    self.dual_cell_model = self.__class__.dual_cell_model(service, version, mode, path + ["dual_cell_model"])
                    super().__init__(service, version, mode, path)

                class macro_model(TUIMenu):
                    """
                    Enter the heat macro-model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.heat_exchanger_report = self.__class__.heat_exchanger_report(service, version, mode, path + ["heat_exchanger_report"])
                        self.heat_exchanger_group = self.__class__.heat_exchanger_group(service, version, mode, path + ["heat_exchanger_group"])
                        self.heat_exchanger_zone = self.__class__.heat_exchanger_zone(service, version, mode, path + ["heat_exchanger_zone"])
                        self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                        self.write_NTU = self.__class__.write_NTU(service, version, mode, path + ["write_NTU"])
                        self.heat_exchanger_macro_report = self.__class__.heat_exchanger_macro_report(service, version, mode, path + ["heat_exchanger_macro_report"])
                        self.plot_NTU = self.__class__.plot_NTU(service, version, mode, path + ["plot_NTU"])
                        self.heat_exchanger_model = self.__class__.heat_exchanger_model(service, version, mode, path + ["heat_exchanger_model"])
                        self.delete_heat_exchanger_group = self.__class__.delete_heat_exchanger_group(service, version, mode, path + ["delete_heat_exchanger_group"])
                        super().__init__(service, version, mode, path)
                    class heat_exchanger_report(TUIMethod):
                        """
                        Report heat-exchanger information.
                        """
                    class heat_exchanger_group(TUIMethod):
                        """
                        Define heat-exchanger group.
                        """
                    class heat_exchanger_zone(TUIMethod):
                        """
                        Define heat-exchanger zone.
                        """
                    class heat_exchanger(TUIMethod):
                        """
                        Enable/disable heat-exchanger model.
                        """
                    class write_NTU(TUIMethod):
                        """
                        Write NTU vs primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class heat_exchanger_macro_report(TUIMethod):
                        """
                        Report heat-exchanger information for all the macros.
                        """
                    class plot_NTU(TUIMethod):
                        """
                        Plot NTU vs primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class heat_exchanger_model(TUIMethod):
                        """
                        Define heat-exchanger core model.
                        """
                    class delete_heat_exchanger_group(TUIMethod):
                        """
                        Delete heat-exchanger group.
                        """

                class dual_cell_model(TUIMenu):
                    """
                    Enter the dual cell model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.alternative_formulation = self.__class__.alternative_formulation(service, version, mode, path + ["alternative_formulation"])
                        self.write_NTU = self.__class__.write_NTU(service, version, mode, path + ["write_NTU"])
                        self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                        self.add_heat_exchanger = self.__class__.add_heat_exchanger(service, version, mode, path + ["add_heat_exchanger"])
                        self.delete_heat_exchanger = self.__class__.delete_heat_exchanger(service, version, mode, path + ["delete_heat_exchanger"])
                        self.plot_NTU = self.__class__.plot_NTU(service, version, mode, path + ["plot_NTU"])
                        self.modify_heat_exchanger = self.__class__.modify_heat_exchanger(service, version, mode, path + ["modify_heat_exchanger"])
                        super().__init__(service, version, mode, path)
                    class alternative_formulation(TUIMethod):
                        """
                        Enable/disable alternative formulation for heat transfer calculations.
                        """
                    class write_NTU(TUIMethod):
                        """
                        Write NTU vs primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class heat_exchanger(TUIMethod):
                        """
                        Enable/disable the dual cell heat-exchanger model.
                        """
                    class add_heat_exchanger(TUIMethod):
                        """
                        Add heat-exchanger.
                        """
                    class delete_heat_exchanger(TUIMethod):
                        """
                        Delete heat-exchanger.
                        """
                    class plot_NTU(TUIMethod):
                        """
                        Plot NTU vs primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class modify_heat_exchanger(TUIMethod):
                        """
                        Modify heat-exchanger.
                        """

            class structure(TUIMenu):
                """
                Enter the structure model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.thermal_effects = self.__class__.thermal_effects(service, version, mode, path + ["thermal_effects"])
                    self.structure_off = self.__class__.structure_off(service, version, mode, path + ["structure_off"])
                    self.nonlinear_elasticity = self.__class__.nonlinear_elasticity(service, version, mode, path + ["nonlinear_elasticity"])
                    self.linear_elasticity = self.__class__.linear_elasticity(service, version, mode, path + ["linear_elasticity"])
                    super().__init__(service, version, mode, path)
                class thermal_effects(TUIMethod):
                    """
                    Enable structure thermal effects.
                    """
                class structure_off(TUIMethod):
                    """
                    Disable the structural model.
                    """
                class nonlinear_elasticity(TUIMethod):
                    """
                    Enable the nonlinear elasticity model.
                    """
                class linear_elasticity(TUIMethod):
                    """
                    Enable the linear elasticity model.
                    """

                class controls(TUIMenu):
                    """
                    Enter the structure controls menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.numerical_damping_factor = self.__class__.numerical_damping_factor(service, version, mode, path + ["numerical_damping_factor"])
                        self.max_iter = self.__class__.max_iter(service, version, mode, path + ["max_iter"])
                        self.amg_stabilization = self.__class__.amg_stabilization(service, version, mode, path + ["amg_stabilization"])
                        self.unsteady_damping_rayleigh = self.__class__.unsteady_damping_rayleigh(service, version, mode, path + ["unsteady_damping_rayleigh"])
                        self.enhanced_strain = self.__class__.enhanced_strain(service, version, mode, path + ["enhanced_strain"])
                        super().__init__(service, version, mode, path)
                    class numerical_damping_factor(TUIMethod):
                        """
                        Set structure damping parameters.
                        """
                    class max_iter(TUIMethod):
                        """
                        Set the maximum number of iterations for structural solver.
                        """
                    class amg_stabilization(TUIMethod):
                        """
                        Set the AMG stabilization method for structural solver.
                        """
                    class unsteady_damping_rayleigh(TUIMethod):
                        """
                        Enable/disable Newmark unsteady solution model.
                        """
                    class enhanced_strain(TUIMethod):
                        """
                        Enable enhanced strain element.
                        """

                class expert(TUIMenu):
                    """
                    Enter the structure expert menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.include_pop_in_fsi_force = self.__class__.include_pop_in_fsi_force(service, version, mode, path + ["include_pop_in_fsi_force"])
                        self.include_viscous_fsi_force = self.__class__.include_viscous_fsi_force(service, version, mode, path + ["include_viscous_fsi_force"])
                        self.explicit_fsi_force = self.__class__.explicit_fsi_force(service, version, mode, path + ["explicit_fsi_force"])
                        self.steady_2way_fsi = self.__class__.steady_2way_fsi(service, version, mode, path + ["steady_2way_fsi"])
                        self.starting_t_re_initialization = self.__class__.starting_t_re_initialization(service, version, mode, path + ["starting_t_re_initialization"])
                        super().__init__(service, version, mode, path)
                    class include_pop_in_fsi_force(TUIMethod):
                        """
                        Enable inclusion of operating p into fsi force.
                        """
                    class include_viscous_fsi_force(TUIMethod):
                        """
                        Enable inclusion of viscous fsi force.
                        """
                    class explicit_fsi_force(TUIMethod):
                        """
                        Enable explicit fsi force.
                        """
                    class steady_2way_fsi(TUIMethod):
                        """
                        Enable steady 2-way fsi workflow.
                        """
                    class starting_t_re_initialization(TUIMethod):
                        """
                        Set starting T-field re-initialization method.
                        """

            class soot_parameters(TUIMenu):
                """
                Enter the soot parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.soot_process_parameters = self.__class__.soot_process_parameters(service, version, mode, path + ["soot_process_parameters"])
                    self.soot_model_parameters = self.__class__.soot_model_parameters(service, version, mode, path + ["soot_model_parameters"])
                    self.soot_model_udfs = self.__class__.soot_model_udfs(service, version, mode, path + ["soot_model_udfs"])
                    self.modify_schmidt_number = self.__class__.modify_schmidt_number(service, version, mode, path + ["modify_schmidt_number"])
                    self.soot_radiation_interaction = self.__class__.soot_radiation_interaction(service, version, mode, path + ["soot_radiation_interaction"])
                    self.soot_turbulence_interaction = self.__class__.soot_turbulence_interaction(service, version, mode, path + ["soot_turbulence_interaction"])
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    super().__init__(service, version, mode, path)
                class soot_process_parameters(TUIMethod):
                    """
                    Set soot process parameters.
                    """
                class soot_model_parameters(TUIMethod):
                    """
                    Enter the soot model parameters menu.
                    """
                class soot_model_udfs(TUIMethod):
                    """
                    User defined functions for soot model.
                    """
                class modify_schmidt_number(TUIMethod):
                    """
                    Change Turbulent Schmidt Number for Soot/Nuclei Equations.
                    """
                class soot_radiation_interaction(TUIMethod):
                    """
                    Enable/disable the soot-radiation interaction model.
                    """
                class soot_turbulence_interaction(TUIMethod):
                    """
                    Set Soot-turbulence interaction model.
                    """
                class inlet_diffusion(TUIMethod):
                    """
                    Enable/disable inclusion of diffusion at inlets.
                    """

            class multiphase(TUIMenu):
                """
                Define multiphase model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.population_balance = self.__class__.population_balance(service, version, mode, path + ["population_balance"])
                    self.explicit_expert_options = self.__class__.explicit_expert_options(service, version, mode, path + ["explicit_expert_options"])
                    self.volume_fraction_parameters = self.__class__.volume_fraction_parameters(service, version, mode, path + ["volume_fraction_parameters"])
                    self.flow_regime_modeling = self.__class__.flow_regime_modeling(service, version, mode, path + ["flow_regime_modeling"])
                    self.hybrid_models = self.__class__.hybrid_models(service, version, mode, path + ["hybrid_models"])
                    self.phases = self.__class__.phases(service, version, mode, path + ["phases"])
                    self.wet_steam = self.__class__.wet_steam(service, version, mode, path + ["wet_steam"])
                    self.sub_models = self.__class__.sub_models(service, version, mode, path + ["sub_models"])
                    self.number_of_phases = self.__class__.number_of_phases(service, version, mode, path + ["number_of_phases"])
                    self.mixture_parameters = self.__class__.mixture_parameters(service, version, mode, path + ["mixture_parameters"])
                    self.body_force_formulation = self.__class__.body_force_formulation(service, version, mode, path + ["body_force_formulation"])
                    self.coupled_level_set = self.__class__.coupled_level_set(service, version, mode, path + ["coupled_level_set"])
                    self.interface_modeling_options = self.__class__.interface_modeling_options(service, version, mode, path + ["interface_modeling_options"])
                    self.regime_transition_modeling = self.__class__.regime_transition_modeling(service, version, mode, path + ["regime_transition_modeling"])
                    self.model = self.__class__.model(service, version, mode, path + ["model"])
                    self.vof_sub_models = self.__class__.vof_sub_models(service, version, mode, path + ["vof_sub_models"])
                    super().__init__(service, version, mode, path)
                class volume_fraction_parameters(TUIMethod):
                    """
                    Volume fraction parameters.
                    """
                class number_of_phases(TUIMethod):
                    """
                    Specify the number of phases.
                    """
                class mixture_parameters(TUIMethod):
                    """
                    Mixture parameters.
                    """
                class body_force_formulation(TUIMethod):
                    """
                    Body force formulation.
                    """
                class coupled_level_set(TUIMethod):
                    """
                    Coupled level set.
                    """
                class interface_modeling_options(TUIMethod):
                    """
                    Interface Modeling Options.
                    """
                class regime_transition_modeling(TUIMethod):
                    """
                    Regime-transition-modeling-options.
                    """
                class model(TUIMethod):
                    """
                    Specify multiphase model.
                    """
                class vof_sub_models(TUIMethod):
                    """
                    VOF sub-models.
                    """

                class population_balance(TUIMenu):
                    """
                    Enter the population balance model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.phenomena = self.__class__.phenomena(service, version, mode, path + ["phenomena"])
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.size_calculator = self.__class__.size_calculator(service, version, mode, path + ["size_calculator"])
                        self.include_expansion = self.__class__.include_expansion(service, version, mode, path + ["include_expansion"])
                        self.model = self.__class__.model(service, version, mode, path + ["model"])
                        super().__init__(service, version, mode, path)
                    class size_calculator(TUIMethod):
                        """
                        Calculate fluid particle diameters using different methods.
                        """
                    class include_expansion(TUIMethod):
                        """
                        Set expansion.
                        """
                    class model(TUIMethod):
                        """
                        Select the population balance model.
                        """

                    class phenomena(TUIMenu):
                        """
                        Enter the phenomena menu for population balance.
                        """
                        def __init__(self, service, version, mode, path):
                            self.nucleation = self.__class__.nucleation(service, version, mode, path + ["nucleation"])
                            self.breakage_factor = self.__class__.breakage_factor(service, version, mode, path + ["breakage_factor"])
                            self.aggregation = self.__class__.aggregation(service, version, mode, path + ["aggregation"])
                            self.breakage_aggregation_vof_cutoff = self.__class__.breakage_aggregation_vof_cutoff(service, version, mode, path + ["breakage_aggregation_vof_cutoff"])
                            self.aggregation_factor = self.__class__.aggregation_factor(service, version, mode, path + ["aggregation_factor"])
                            self.growth = self.__class__.growth(service, version, mode, path + ["growth"])
                            self.breakage = self.__class__.breakage(service, version, mode, path + ["breakage"])
                            super().__init__(service, version, mode, path)
                        class nucleation(TUIMethod):
                            """
                            Set the nucleantion rate.
                            """
                        class breakage_factor(TUIMethod):
                            """
                            Set a factor which controls the intensity of the selected breakage kernel.
                            """
                        class aggregation(TUIMethod):
                            """
                            Set the aggregation kernel.
                            """
                        class breakage_aggregation_vof_cutoff(TUIMethod):
                            """
                            Control vof cut-off for breakage and aggregation.
                            """
                        class aggregation_factor(TUIMethod):
                            """
                            Set a factor which controls the intensity of the selected aggregation kernel.
                            """
                        class growth(TUIMethod):
                            """
                            Set the growth rate.
                            """
                        class breakage(TUIMethod):
                            """
                            Set the breakage kernel.
                            """

                    class expert(TUIMenu):
                        """
                        Enter the expert menu for quadrature-based population balance method.
                        """
                        def __init__(self, service, version, mode, path):
                            self.qmom = self.__class__.qmom(service, version, mode, path + ["qmom"])
                            super().__init__(service, version, mode, path)

                        class qmom(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.print_realizable_moment_warning = self.__class__.print_realizable_moment_warning(service, version, mode, path + ["print_realizable_moment_warning"])
                                self.retain_qmom_sources_for_low_vof = self.__class__.retain_qmom_sources_for_low_vof(service, version, mode, path + ["retain_qmom_sources_for_low_vof"])
                                self.realizable_moments = self.__class__.realizable_moments(service, version, mode, path + ["realizable_moments"])
                                self.inversion_algorithm = self.__class__.inversion_algorithm(service, version, mode, path + ["inversion_algorithm"])
                                super().__init__(service, version, mode, path)
                            class print_realizable_moment_warning(TUIMethod):
                                """
                                Print the information for realizable moments in the population balance model.
                                """
                            class retain_qmom_sources_for_low_vof(TUIMethod):
                                """
                                Retain qmom source calculation for low secondary phase vof.
                                """
                            class realizable_moments(TUIMethod):
                                """
                                Set the population balance model.
                                """
                            class inversion_algorithm(TUIMethod):
                                """
                                Select the inversion algorithm for quadrature-based population balance method.
                                """

                class explicit_expert_options(TUIMenu):
                    """
                    Expert options for explicit formulation.
                    """
                    def __init__(self, service, version, mode, path):
                        self.volume_fraction_filtering = self.__class__.volume_fraction_filtering(service, version, mode, path + ["volume_fraction_filtering"])
                        self.solve_vof_every_iter = self.__class__.solve_vof_every_iter(service, version, mode, path + ["solve_vof_every_iter"])
                        self.sub_time_step_method = self.__class__.sub_time_step_method(service, version, mode, path + ["sub_time_step_method"])
                        super().__init__(service, version, mode, path)
                    class solve_vof_every_iter(TUIMethod):
                        """
                        Solve volume fraction equation every iteration for explicit formulation.
                        """
                    class sub_time_step_method(TUIMethod):
                        """
                        Select sub-time step method for the time integration in explicit formulation.
                        """

                    class volume_fraction_filtering(TUIMenu):
                        """
                        Advanced volume fraction filtering controls for explicit formulation.
                        """
                        def __init__(self, service, version, mode, path):
                            self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                            self.vol_frac_cutoff = self.__class__.vol_frac_cutoff(service, version, mode, path + ["vol_frac_cutoff"])
                            self.filtering_options = self.__class__.filtering_options(service, version, mode, path + ["filtering_options"])
                            super().__init__(service, version, mode, path)
                        class enable(TUIMethod):
                            """
                            Enable volume fraction filtering treatment.
                            """
                        class vol_frac_cutoff(TUIMethod):
                            """
                            Enter node-averaged volume fraction cutoff.
                            """
                        class filtering_options(TUIMethod):
                            """
                            Select volume fraction filtering method.
                            """

                class flow_regime_modeling(TUIMenu):
                    """
                    Flow Regime Modeling.
                    """
                    def __init__(self, service, version, mode, path):
                        self.aiad_parameters = self.__class__.aiad_parameters(service, version, mode, path + ["aiad_parameters"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class enable(TUIMethod):
                        """
                        Enable flow regime modeling framework including phase state and morphology.
                        """

                    class aiad_parameters(TUIMenu):
                        """
                        AIAD parameters.
                        """
                        def __init__(self, service, version, mode, path):
                            self.critical_vf = self.__class__.critical_vf(service, version, mode, path + ["critical_vf"])
                            self.ncells_fs = self.__class__.ncells_fs(service, version, mode, path + ["ncells_fs"])
                            self.delta_grad = self.__class__.delta_grad(service, version, mode, path + ["delta_grad"])
                            self.delta_vf = self.__class__.delta_vf(service, version, mode, path + ["delta_vf"])
                            super().__init__(service, version, mode, path)
                        class critical_vf(TUIMethod):
                            """
                            Critical volume fraction for bubbly and droplet flow blending factors.
                            """
                        class ncells_fs(TUIMethod):
                            """
                            Parameter for determining interfacial width.
                            """
                        class delta_grad(TUIMethod):
                            """
                            Parameter for determining transition width for free surface blending factor.
                            """
                        class delta_vf(TUIMethod):
                            """
                            Parameter for transition width for bubbly and droplet flow blending factors.
                            """

                class hybrid_models(TUIMenu):
                    """
                    Enter the menu to select hybrid models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.ddpm = self.__class__.ddpm(service, version, mode, path + ["ddpm"])
                        self.multi_fluid_vof = self.__class__.multi_fluid_vof(service, version, mode, path + ["multi_fluid_vof"])
                        super().__init__(service, version, mode, path)
                    class ddpm(TUIMethod):
                        """
                        Enable the dense discrete phase model.
                        """
                    class multi_fluid_vof(TUIMethod):
                        """
                        Enable the multi-fluid VOF model.
                        """

                class phases(TUIMenu):
                    """
                    Enter the phases menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.set_domain_properties = self.__class__.set_domain_properties(service, version, mode, path + ["set_domain_properties"])
                        self.iac_expert = self.__class__.iac_expert(service, version, mode, path + ["iac_expert"])
                        super().__init__(service, version, mode, path)

                    class set_domain_properties(TUIMenu):
                        """
                        Enter the menu to set domain properties.
                        """
                        def __init__(self, service, version, mode, path):
                            self.interaction_domain = self.__class__.interaction_domain(service, version, mode, path + ["interaction_domain"])
                            self.phase_domains = self.__class__.phase_domains(service, version, mode, path + ["phase_domains"])
                            self.change_phases_names = self.__class__.change_phases_names(service, version, mode, path + ["change_phases_names"])
                            super().__init__(service, version, mode, path)
                        class phase_domains(TUIMethod):
                            """
                            Enter the menu to select a specific phase domain.
                            """
                        class change_phases_names(TUIMethod):
                            """
                            Change names for all defined phases?.
                            """

                        class interaction_domain(TUIMenu):
                            """
                            Enter the menu to set the interaction domain properties.
                            """
                            def __init__(self, service, version, mode, path):
                                self.forces = self.__class__.forces(service, version, mode, path + ["forces"])
                                self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                                self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                self.heat_mass_reactions = self.__class__.heat_mass_reactions(service, version, mode, path + ["heat_mass_reactions"])
                                self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                super().__init__(service, version, mode, path)

                            class forces(TUIMenu):
                                """
                                Enter the menu to set interfacial forces related models.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    super().__init__(service, version, mode, path)
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """

                            class numerics(TUIMenu):
                                """
                                Enter the menu to set numerics models.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    super().__init__(service, version, mode, path)
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        super().__init__(service, version, mode, path)
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        super().__init__(service, version, mode, path)
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        super().__init__(service, version, mode, path)
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """

                            class model_transition(TUIMenu):
                                """
                                Enter the menu to set model transition mechanisms.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    super().__init__(service, version, mode, path)
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        super().__init__(service, version, mode, path)
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        super().__init__(service, version, mode, path)
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        super().__init__(service, version, mode, path)
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        super().__init__(service, version, mode, path)
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """

                            class heat_mass_reactions(TUIMenu):
                                """
                                Enter the menu to set heat, mass-transfer, or reaction related models.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    super().__init__(service, version, mode, path)
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        super().__init__(service, version, mode, path)
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        super().__init__(service, version, mode, path)
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        super().__init__(service, version, mode, path)
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """

                            class interfacial_area(TUIMenu):
                                """
                                Enter the menu to set interfacial area models.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                    self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                                    self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                    self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                                    self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                    self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                                    self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                                    self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                                    self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                                    self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                                    self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                                    self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                                    self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                                    self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                                    self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                                    self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                                    super().__init__(service, version, mode, path)
                                class reactions(TUIMethod):
                                    """
                                    Define multiple heterogeneous reactions and stoichiometry.
                                    """
                                class interfacial_area(TUIMethod):
                                    """
                                    Set the interfacial area parameters for each pair of phases.
                                    """
                                class turbulence_interaction(TUIMethod):
                                    """
                                    Specify the turbulence interaction model for each primary-secondary phase pair.
                                    """
                                class mass_transfer(TUIMethod):
                                    """
                                    Specify the mass transfer mechanisms.
                                    """
                                class restitution(TUIMethod):
                                    """
                                    Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                                    """
                                class model_transition(TUIMethod):
                                    """
                                    Set the model transition mechanism.
                                    """
                                class wall_lubrication(TUIMethod):
                                    """
                                    Specify the wall lubrication model for each primary-secondary phase pair.
                                    """
                                class heat_coeff(TUIMethod):
                                    """
                                    Specify the heat transfer coefficient function between each pair of phases.
                                    """
                                class drag(TUIMethod):
                                    """
                                    Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                                    """
                                class turbulent_dispersion(TUIMethod):
                                    """
                                    Specify the turbulent dispersion model for each primary-secondary phase pair.
                                    """
                                class slip_velocity(TUIMethod):
                                    """
                                    Specify the slip velocity function for each secondary phase with respect to the primary phase.
                                    """

                                class cavitation(TUIMenu):
                                    """
                                    Enter the menu to set cavitation models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        super().__init__(service, version, mode, path)
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """

                                class interphase_viscous_dissipation(TUIMenu):
                                    """
                                    Enter the menu to set interphase viscous dissipation related models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        super().__init__(service, version, mode, path)
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """

                                class virtual_mass(TUIMenu):
                                    """
                                    Enter the menu to set virtual mass models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        super().__init__(service, version, mode, path)
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """

                                class interphase_discretization(TUIMenu):
                                    """
                                    Enter the menu to set interphase discretization models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        super().__init__(service, version, mode, path)
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """

                                class lift(TUIMenu):
                                    """
                                    Enter the menu to set lift models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        super().__init__(service, version, mode, path)
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """

                                class surface_tension(TUIMenu):
                                    """
                                    Enter the menu to set surface tension models.
                                    """
                                    def __init__(self, service, version, mode, path):
                                        self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                        self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                        self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                        self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                        self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                        self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                        self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                        self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                        self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                        self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                        self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                        self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                        self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                        self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                        self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                        self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                        super().__init__(service, version, mode, path)
                                    class sfc_tension_coeff(TUIMethod):
                                        """
                                        Specify the surface tension coefficient for each pair of phases.
                                        """
                                    class sfc_modeling(TUIMethod):
                                        """
                                        Include the effects of surface tension along the fluid-fluid interface?.
                                        """
                                    class cavitation(TUIMethod):
                                        """
                                        Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                        """
                                    class jump_adhesion(TUIMethod):
                                        """
                                        Enable the treatment of the contact angle specification at the porous jump boundary?.
                                        """
                                    class visc_disp_factor(TUIMethod):
                                        """
                                        Set the dissipation intensity.
                                        """
                                    class virtual_mass(TUIMethod):
                                        """
                                        Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                        """
                                    class vmass_coeff(TUIMethod):
                                        """
                                        Specify the virtual mass coefficient for each pair of phases.
                                        """
                                    class sfc_model_type(TUIMethod):
                                        """
                                        Select the surface tension model.
                                        """
                                    class lift_montoya(TUIMethod):
                                        """
                                        Include the Montoya correction for Lift.
                                        """
                                    class wall_adhesion(TUIMethod):
                                        """
                                        Enable the specification for a wall adhesion angle?.
                                        """
                                    class interphase_visc_disp(TUIMethod):
                                        """
                                        Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                        """
                                    class lift(TUIMethod):
                                        """
                                        .
                                        """
                                    class vmass_implicit_options(TUIMethod):
                                        """
                                        Select the virtual mass implicit option.
                                        """
                                    class interphase_discr(TUIMethod):
                                        """
                                        Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                        """
                                    class slope_limiter(TUIMethod):
                                        """
                                        Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                        """
                                    class lift_shaver_podowski(TUIMethod):
                                        """
                                        Include the Shaver-Podowski correction for Lift.
                                        """
                                    class vmass_implicit(TUIMethod):
                                        """
                                        Enable the implicit method for the virtual mass force?.
                                        """

                    class iac_expert(TUIMenu):
                        """
                        Enter the IAC expert setting menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.hibiki_ishii_model = self.__class__.hibiki_ishii_model(service, version, mode, path + ["hibiki_ishii_model"])
                            self.ishii_kim_model = self.__class__.ishii_kim_model(service, version, mode, path + ["ishii_kim_model"])
                            self.iac_pseudo_time_step = self.__class__.iac_pseudo_time_step(service, version, mode, path + ["iac_pseudo_time_step"])
                            self.yao_morel_model = self.__class__.yao_morel_model(service, version, mode, path + ["yao_morel_model"])
                            super().__init__(service, version, mode, path)
                        class hibiki_ishii_model(TUIMethod):
                            """
                            Set hi model coefficients.
                            """
                        class ishii_kim_model(TUIMethod):
                            """
                            Set ik model coefficients.
                            """
                        class iac_pseudo_time_step(TUIMethod):
                            """
                            Set iac pseudo-time.
                            """
                        class yao_morel_model(TUIMethod):
                            """
                            Set ym model coefficients.
                            """

                class wet_steam(TUIMenu):
                    """
                    Enter the wet steam model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        self.compile_user_defined_wetsteam_functions = self.__class__.compile_user_defined_wetsteam_functions(service, version, mode, path + ["compile_user_defined_wetsteam_functions"])
                        self.load_unload_user_defined_wetsteam_library = self.__class__.load_unload_user_defined_wetsteam_library(service, version, mode, path + ["load_unload_user_defined_wetsteam_library"])
                        super().__init__(service, version, mode, path)
                    class enable(TUIMethod):
                        """
                        Enable/disable the wet steam model.
                        """
                    class compile_user_defined_wetsteam_functions(TUIMethod):
                        """
                        Compile user-defined wet steam library.
                        """
                    class load_unload_user_defined_wetsteam_library(TUIMethod):
                        """
                        Load or unload user-defined wet steam library.
                        """

                    class set(TUIMenu):
                        """
                        Enter the set menu for setting wet steam model options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.stagnation_conditions = self.__class__.stagnation_conditions(service, version, mode, path + ["stagnation_conditions"])
                            self.virial_equation = self.__class__.virial_equation(service, version, mode, path + ["virial_equation"])
                            self.rgp_tables = self.__class__.rgp_tables(service, version, mode, path + ["rgp_tables"])
                            self.zonal_phase_change = self.__class__.zonal_phase_change(service, version, mode, path + ["zonal_phase_change"])
                            self.max_liquid_mass_fraction = self.__class__.max_liquid_mass_fraction(service, version, mode, path + ["max_liquid_mass_fraction"])
                            self.droplet_growth_rate = self.__class__.droplet_growth_rate(service, version, mode, path + ["droplet_growth_rate"])
                            super().__init__(service, version, mode, path)
                        class stagnation_conditions(TUIMethod):
                            """
                            If the gas phase is selected, zero wetness is assumed when evaluating total or static values of pressure and temperature.
                            """
                        class virial_equation(TUIMethod):
                            """
                            Select the formulation of the virial equation of state and associated equations for thermodynamic properties of steam.
                            """
                        class rgp_tables(TUIMethod):
                            """
                            Select which properties to use: build-in or from RGP tables.
                            """
                        class zonal_phase_change(TUIMethod):
                            """
                            Select cell zones where phase change process is active.
                            """
                        class max_liquid_mass_fraction(TUIMethod):
                            """
                            Set the maximum limit on the condensed liquid-phase mass-fraction to prevent divergence.
                            """
                        class droplet_growth_rate(TUIMethod):
                            """
                            Select the formula to model the droplet growth rate.
                            """

                class sub_models(TUIMenu):
                    """
                    Enter the menu to select sub-models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.boiling_options = self.__class__.boiling_options(service, version, mode, path + ["boiling_options"])
                        self.boiling = self.__class__.boiling(service, version, mode, path + ["boiling"])
                        super().__init__(service, version, mode, path)
                    class boiling(TUIMethod):
                        """
                        Activate boiling model.
                        """

                    class boiling_options(TUIMenu):
                        """
                        Set boiling options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.nlbf_model = self.__class__.nlbf_model(service, version, mode, path + ["nlbf_model"])
                            self.options = self.__class__.options(service, version, mode, path + ["options"])
                            super().__init__(service, version, mode, path)
                        class nlbf_model(TUIMethod):
                            """
                            Set the non-local boundary field correction.
                            """
                        class options(TUIMethod):
                            """
                            Choose the type of boiling model.
                            """

            class acoustics(TUIMenu):
                """
                Enter the acoustics model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.sources_fft = self.__class__.sources_fft(service, version, mode, path + ["sources_fft"])
                    self.sponge_layers = self.__class__.sponge_layers(service, version, mode, path + ["sponge_layers"])
                    self.far_field_parameters = self.__class__.far_field_parameters(service, version, mode, path + ["far_field_parameters"])
                    self.wave_equation_options = self.__class__.wave_equation_options(service, version, mode, path + ["wave_equation_options"])
                    self.off = self.__class__.off(service, version, mode, path + ["off"])
                    self.acoustic_modal_analysis = self.__class__.acoustic_modal_analysis(service, version, mode, path + ["acoustic_modal_analysis"])
                    self.display_frequencies = self.__class__.display_frequencies(service, version, mode, path + ["display_frequencies"])
                    self.ffowcs_williams = self.__class__.ffowcs_williams(service, version, mode, path + ["ffowcs_williams"])
                    self.export_volumetric_sources = self.__class__.export_volumetric_sources(service, version, mode, path + ["export_volumetric_sources"])
                    self.modal_analysis = self.__class__.modal_analysis(service, version, mode, path + ["modal_analysis"])
                    self.broad_band_noise = self.__class__.broad_band_noise(service, version, mode, path + ["broad_band_noise"])
                    self.display_flow_time = self.__class__.display_flow_time(service, version, mode, path + ["display_flow_time"])
                    self.convective_effects = self.__class__.convective_effects(service, version, mode, path + ["convective_effects"])
                    self.export_source_data_cgns = self.__class__.export_source_data_cgns(service, version, mode, path + ["export_source_data_cgns"])
                    self.receivers = self.__class__.receivers(service, version, mode, path + ["receivers"])
                    self.sources = self.__class__.sources(service, version, mode, path + ["sources"])
                    self.wave_equation = self.__class__.wave_equation(service, version, mode, path + ["wave_equation"])
                    self.write_acoustic_signals = self.__class__.write_acoustic_signals(service, version, mode, path + ["write_acoustic_signals"])
                    self.cylindrical_export = self.__class__.cylindrical_export(service, version, mode, path + ["cylindrical_export"])
                    self.auto_prune = self.__class__.auto_prune(service, version, mode, path + ["auto_prune"])
                    self.export_volumetric_sources_cgns = self.__class__.export_volumetric_sources_cgns(service, version, mode, path + ["export_volumetric_sources_cgns"])
                    self.compute_write = self.__class__.compute_write(service, version, mode, path + ["compute_write"])
                    self.export_source_data = self.__class__.export_source_data(service, version, mode, path + ["export_source_data"])
                    self.moving_receiver = self.__class__.moving_receiver(service, version, mode, path + ["moving_receiver"])
                    self.read_compute_write = self.__class__.read_compute_write(service, version, mode, path + ["read_compute_write"])
                    self.write_centroid_info = self.__class__.write_centroid_info(service, version, mode, path + ["write_centroid_info"])
                    super().__init__(service, version, mode, path)
                class off(TUIMethod):
                    """
                    Enable/disable the acoustics model.
                    """
                class acoustic_modal_analysis(TUIMethod):
                    """
                    Iterate linear acoustic solver to compute the resonance frequencies and the acoustic modes.
                    """
                class display_frequencies(TUIMethod):
                    """
                    Display resonance frequencies.
                    """
                class ffowcs_williams(TUIMethod):
                    """
                    Enable/disable the Ffowcs-Williams-and-Hawkings model.
                    """
                class export_volumetric_sources(TUIMethod):
                    """
                    Enable/disable the export of fluid zones.
                    """
                class modal_analysis(TUIMethod):
                    """
                    Enable/disable the modal analysis model.
                    """
                class broad_band_noise(TUIMethod):
                    """
                    Enable/disable the broadband noise model.
                    """
                class display_flow_time(TUIMethod):
                    """
                    Enable/disable the display of flow time during read-and-compute.
                    """
                class convective_effects(TUIMethod):
                    """
                    Enable/disable convective effects option.
                    """
                class export_source_data_cgns(TUIMethod):
                    """
                    Export acoustic source data in CGNS format.
                    """
                class receivers(TUIMethod):
                    """
                    Set acoustic receivers.
                    """
                class sources(TUIMethod):
                    """
                    Set acoustic sources.
                    """
                class wave_equation(TUIMethod):
                    """
                    Enable/disable the wave equation model.
                    """
                class write_acoustic_signals(TUIMethod):
                    """
                    Write on-the-fly sound pressure.
                    """
                class cylindrical_export(TUIMethod):
                    """
                    Enable/disable the export data in cylindrical coordinates.
                    """
                class auto_prune(TUIMethod):
                    """
                    Enable/disable auto prune of the receiver signal(s) during read-and-compute.
                    """
                class export_volumetric_sources_cgns(TUIMethod):
                    """
                    Enable/disable the export of fluid zones.
                    """
                class compute_write(TUIMethod):
                    """
                    Compute sound pressure.
                    """
                class export_source_data(TUIMethod):
                    """
                    Enable export acoustic source data in ASD format during the wave equation model run.
                    """
                class moving_receiver(TUIMethod):
                    """
                    Enable/disable moving receiver option.
                    """
                class read_compute_write(TUIMethod):
                    """
                    Read acoustic source data files and compute sound pressure.
                    """
                class write_centroid_info(TUIMethod):
                    """
                    Write centroid info.
                    """

                class sources_fft(TUIMenu):
                    """
                    Enter the acoustic sources FFT menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.fft_surface_variables = self.__class__.fft_surface_variables(service, version, mode, path + ["fft_surface_variables"])
                        self.write_cgns_files = self.__class__.write_cgns_files(service, version, mode, path + ["write_cgns_files"])
                        self.clean_up_storage_area = self.__class__.clean_up_storage_area(service, version, mode, path + ["clean_up_storage_area"])
                        self.read_asd_files = self.__class__.read_asd_files(service, version, mode, path + ["read_asd_files"])
                        self.compute_fft_fields = self.__class__.compute_fft_fields(service, version, mode, path + ["compute_fft_fields"])
                        super().__init__(service, version, mode, path)
                    class write_cgns_files(TUIMethod):
                        """
                        Write CGNS files.
                        """
                    class clean_up_storage_area(TUIMethod):
                        """
                        Clean up storage area.
                        """
                    class read_asd_files(TUIMethod):
                        """
                        Read ASD files.
                        """
                    class compute_fft_fields(TUIMethod):
                        """
                        Compute FFT fields.
                        """

                    class fft_surface_variables(TUIMenu):
                        """
                        Enter the FFT surface variables menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.remove_variables = self.__class__.remove_variables(service, version, mode, path + ["remove_variables"])
                            self.create_third_bands = self.__class__.create_third_bands(service, version, mode, path + ["create_third_bands"])
                            self.create_constant_width_bands = self.__class__.create_constant_width_bands(service, version, mode, path + ["create_constant_width_bands"])
                            self.create_set_of_modes = self.__class__.create_set_of_modes(service, version, mode, path + ["create_set_of_modes"])
                            self.create_octave_bands = self.__class__.create_octave_bands(service, version, mode, path + ["create_octave_bands"])
                            super().__init__(service, version, mode, path)
                        class remove_variables(TUIMethod):
                            """
                            Remove variables.
                            """
                        class create_third_bands(TUIMethod):
                            """
                            Create third bands.
                            """
                        class create_constant_width_bands(TUIMethod):
                            """
                            Create constant-width bands.
                            """
                        class create_set_of_modes(TUIMethod):
                            """
                            Create set of modes.
                            """
                        class create_octave_bands(TUIMethod):
                            """
                            Create octave bands.
                            """

                class sponge_layers(TUIMenu):
                    """
                    Manage sponge layers where density is blended to eliminate reflections from boundary zones.
                    """
                    def __init__(self, service, version, mode, path):
                        self.activate = self.__class__.activate(service, version, mode, path + ["activate"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.deactivate = self.__class__.deactivate(service, version, mode, path + ["deactivate"])
                        self.list_active = self.__class__.list_active(service, version, mode, path + ["list_active"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        super().__init__(service, version, mode, path)
                    class activate(TUIMethod):
                        """
                        Activate a sponge object.
                        """
                    class list_properties(TUIMethod):
                        """
                        List the properties of a sponge layer definition.
                        """
                    class delete(TUIMethod):
                        """
                        Delete a sponge layer definition.
                        """
                    class list(TUIMethod):
                        """
                        List the names of the sponge layer definitions.
                        """
                    class edit(TUIMethod):
                        """
                        Edit a sponge layer definition.
                        """
                    class deactivate(TUIMethod):
                        """
                        Deactivate a sponge layer definition.
                        """
                    class list_active(TUIMethod):
                        """
                        List the names of the active sponge layer definitions.
                        """
                    class add(TUIMethod):
                        """
                        Add a new sponge layer definition.
                        """

                class far_field_parameters(TUIMenu):
                    """
                    Enter the far field parameters menu for the wave equation model.
                    """
                    def __init__(self, service, version, mode, path):
                        self.far_field_sound_speed = self.__class__.far_field_sound_speed(service, version, mode, path + ["far_field_sound_speed"])
                        self.far_field_density = self.__class__.far_field_density(service, version, mode, path + ["far_field_density"])
                        super().__init__(service, version, mode, path)
                    class far_field_sound_speed(TUIMethod):
                        """
                        Specify far field speed of sound.
                        """
                    class far_field_density(TUIMethod):
                        """
                        Specify far field density.
                        """

                class wave_equation_options(TUIMenu):
                    """
                    Enter the options menu for the wave equation model.
                    """
                    def __init__(self, service, version, mode, path):
                        self.basic_shapes = self.__class__.basic_shapes(service, version, mode, path + ["basic_shapes"])
                        self.remote_receivers_options = self.__class__.remote_receivers_options(service, version, mode, path + ["remote_receivers_options"])
                        self.remote_receivers = self.__class__.remote_receivers(service, version, mode, path + ["remote_receivers"])
                        self.sponge_layer_base_level = self.__class__.sponge_layer_base_level(service, version, mode, path + ["sponge_layer_base_level"])
                        self.time_filter_source = self.__class__.time_filter_source(service, version, mode, path + ["time_filter_source"])
                        self.sponge_layer_factor = self.__class__.sponge_layer_factor(service, version, mode, path + ["sponge_layer_factor"])
                        self.source_mask_udf = self.__class__.source_mask_udf(service, version, mode, path + ["source_mask_udf"])
                        self.sponge_layer_udf = self.__class__.sponge_layer_udf(service, version, mode, path + ["sponge_layer_udf"])
                        super().__init__(service, version, mode, path)
                    class remote_receivers(TUIMethod):
                        """
                        Activate the Kirchhoff's integral method for remote receivers.
                        """
                    class sponge_layer_base_level(TUIMethod):
                        """
                        Specify artificial viscosity base level applied everywhere.
                        """
                    class time_filter_source(TUIMethod):
                        """
                        Activate time-filtering of sound sources.
                        """
                    class sponge_layer_factor(TUIMethod):
                        """
                        Specify artificial viscosity factor for sponge layer.
                        """
                    class source_mask_udf(TUIMethod):
                        """
                        Select user-defined function for sound source masking.
                        """
                    class sponge_layer_udf(TUIMethod):
                        """
                        Select user-defined function for sponge layer.
                        """

                    class basic_shapes(TUIMenu):
                        """
                        Enter the basic shapes menu to build source mask and sponge layer
                        geometry shapes using cell registers.
                        """
                        def __init__(self, service, version, mode, path):
                            self.add_source_mask_shape = self.__class__.add_source_mask_shape(service, version, mode, path + ["add_source_mask_shape"])
                            self.list_source_mask_shapes = self.__class__.list_source_mask_shapes(service, version, mode, path + ["list_source_mask_shapes"])
                            self.list_sponge_layer_shapes = self.__class__.list_sponge_layer_shapes(service, version, mode, path + ["list_sponge_layer_shapes"])
                            self.add_sponge_layer_shape = self.__class__.add_sponge_layer_shape(service, version, mode, path + ["add_sponge_layer_shape"])
                            self.list_region_registers = self.__class__.list_region_registers(service, version, mode, path + ["list_region_registers"])
                            self.remove_sponge_layer_shape = self.__class__.remove_sponge_layer_shape(service, version, mode, path + ["remove_sponge_layer_shape"])
                            self.remove_source_mask_shape = self.__class__.remove_source_mask_shape(service, version, mode, path + ["remove_source_mask_shape"])
                            super().__init__(service, version, mode, path)
                        class add_source_mask_shape(TUIMethod):
                            """
                            Add a region register for the source mask.
                            """
                        class list_source_mask_shapes(TUIMethod):
                            """
                            List all active source mask registers.
                            """
                        class list_sponge_layer_shapes(TUIMethod):
                            """
                            List all active sponge layer registers.
                            """
                        class add_sponge_layer_shape(TUIMethod):
                            """
                            Add a region register for the sponge layer.
                            """
                        class list_region_registers(TUIMethod):
                            """
                            List all available region registers (hex/cylinder/sphere).
                            """
                        class remove_sponge_layer_shape(TUIMethod):
                            """
                            Remove a region register from the sponge layer.
                            """
                        class remove_source_mask_shape(TUIMethod):
                            """
                            Remove a region register from the source mask.
                            """

                    class remote_receivers_options(TUIMenu):
                        """
                        Enter the menu to set up the Kirchhoff's integral method and output its results.
                        """
                        def __init__(self, service, version, mode, path):
                            self.integration_surface = self.__class__.integration_surface(service, version, mode, path + ["integration_surface"])
                            self.write_signals = self.__class__.write_signals(service, version, mode, path + ["write_signals"])
                            super().__init__(service, version, mode, path)
                        class integration_surface(TUIMethod):
                            """
                            Select Kirchhoff's integration surface.
                            """
                        class write_signals(TUIMethod):
                            """
                            Write signals calculated at receiver locations.
                            """

            class shell_conduction(TUIMenu):
                """
                Enter the shell conduction model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enhanced_encapsulation = self.__class__.enhanced_encapsulation(service, version, mode, path + ["enhanced_encapsulation"])
                    self.write_csv = self.__class__.write_csv(service, version, mode, path + ["write_csv"])
                    self.multi_layer_shell = self.__class__.multi_layer_shell(service, version, mode, path + ["multi_layer_shell"])
                    self.read_csv = self.__class__.read_csv(service, version, mode, path + ["read_csv"])
                    self.save_shell_zones = self.__class__.save_shell_zones(service, version, mode, path + ["save_shell_zones"])
                    self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
                    super().__init__(service, version, mode, path)
                class enhanced_encapsulation(TUIMethod):
                    """
                    Enable/disable enhanced encapsulation for shell conduction and S2S models. This is not applicable if coupled sliding interface walls exists.
                    """
                class write_csv(TUIMethod):
                    """
                    Write shell conduction settings to a csv file.
                    """
                class multi_layer_shell(TUIMethod):
                    """
                    Enable/disable multi layer shell conduction model.
                    """
                class read_csv(TUIMethod):
                    """
                    Read shell conduction settings from a csv file.
                    """
                class save_shell_zones(TUIMethod):
                    """
                    Enable/Disable saving shell zones to case file.
                    """
                class settings(TUIMethod):
                    """
                    Enter Multi-layer Shell Conduction data.
                    """

            class system_coupling_settings(TUIMenu):
                """
                Enter the system coupling model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.htc = self.__class__.htc(service, version, mode, path + ["htc"])
                    self.specify_system_coupling_volumetric_cell_zones = self.__class__.specify_system_coupling_volumetric_cell_zones(service, version, mode, path + ["specify_system_coupling_volumetric_cell_zones"])
                    self.use_face_or_element_based_data_transfer = self.__class__.use_face_or_element_based_data_transfer(service, version, mode, path + ["use_face_or_element_based_data_transfer"])
                    self.update_rigid_body_mesh_motion_before_mesh_transfer = self.__class__.update_rigid_body_mesh_motion_before_mesh_transfer(service, version, mode, path + ["update_rigid_body_mesh_motion_before_mesh_transfer"])
                    super().__init__(service, version, mode, path)
                class specify_system_coupling_volumetric_cell_zones(TUIMethod):
                    """
                    Enable/disable volumetric cell zones.
                    """
                class use_face_or_element_based_data_transfer(TUIMethod):
                    """
                    Enable/disable face based data transfer.
                    """
                class update_rigid_body_mesh_motion_before_mesh_transfer(TUIMethod):
                    """
                    SC Enable/disable mesh motion.
                    """

                class htc(TUIMenu):
                    """
                    Enter the heat transfer coeficient menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.unsteady_statistics = self.__class__.unsteady_statistics(service, version, mode, path + ["unsteady_statistics"])
                        self.htc_calculation_method = self.__class__.htc_calculation_method(service, version, mode, path + ["htc_calculation_method"])
                        super().__init__(service, version, mode, path)

                    class unsteady_statistics(TUIMenu):
                        """
                        Enter the unsteady statistics menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.sc_enable_sub_stepping_option_per_coupling_step = self.__class__.sc_enable_sub_stepping_option_per_coupling_step(service, version, mode, path + ["sc_enable_sub_stepping_option_per_coupling_step"])
                            super().__init__(service, version, mode, path)
                        class sc_enable_sub_stepping_option_per_coupling_step(TUIMethod):
                            """
                            Enable/disable sub stepping option per coupling step.
                            """

                    class htc_calculation_method(TUIMenu):
                        """
                        Enter the htc calculation menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.use_tref_in_htc_calculation = self.__class__.use_tref_in_htc_calculation(service, version, mode, path + ["use_tref_in_htc_calculation"])
                            self.use_yplus_based_htc_calculation = self.__class__.use_yplus_based_htc_calculation(service, version, mode, path + ["use_yplus_based_htc_calculation"])
                            self.use_wall_function_based_htc = self.__class__.use_wall_function_based_htc(service, version, mode, path + ["use_wall_function_based_htc"])
                            super().__init__(service, version, mode, path)
                        class use_tref_in_htc_calculation(TUIMethod):
                            """
                            Enable/disable tref in htc computation.
                            """
                        class use_yplus_based_htc_calculation(TUIMethod):
                            """
                            Enable/disable yplus in htc computation.
                            """
                        class use_wall_function_based_htc(TUIMethod):
                            """
                            Enable/disable wall function based htc computation.
                            """

            class solver(TUIMenu):
                """
                Enter the menu to select the solver.
                """
                def __init__(self, service, version, mode, path):
                    self.density_based_implicit = self.__class__.density_based_implicit(service, version, mode, path + ["density_based_implicit"])
                    self.pressure_based = self.__class__.pressure_based(service, version, mode, path + ["pressure_based"])
                    self.adjust_solver_defaults_based_on_setup = self.__class__.adjust_solver_defaults_based_on_setup(service, version, mode, path + ["adjust_solver_defaults_based_on_setup"])
                    self.density_based_explicit = self.__class__.density_based_explicit(service, version, mode, path + ["density_based_explicit"])
                    super().__init__(service, version, mode, path)
                class density_based_implicit(TUIMethod):
                    """
                    Enable/disable the coupled-implicit solver.
                    """
                class pressure_based(TUIMethod):
                    """
                    Enable/disable the segregated solver.
                    """
                class adjust_solver_defaults_based_on_setup(TUIMethod):
                    """
                    Enable/disable adjustment of solver defaults based on setup.
                    """
                class density_based_explicit(TUIMethod):
                    """
                    Enable/disable the coupled-explicit solver.
                    """

            class dpm(TUIMenu):
                """
                Enter the dispersed phase model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.interaction = self.__class__.interaction(service, version, mode, path + ["interaction"])
                    self.parallel = self.__class__.parallel(service, version, mode, path + ["parallel"])
                    self.options = self.__class__.options(service, version, mode, path + ["options"])
                    self.splash_options = self.__class__.splash_options(service, version, mode, path + ["splash_options"])
                    self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                    self.erosion_dynamic_mesh = self.__class__.erosion_dynamic_mesh(service, version, mode, path + ["erosion_dynamic_mesh"])
                    self.stripping_options = self.__class__.stripping_options(service, version, mode, path + ["stripping_options"])
                    self.collisions = self.__class__.collisions(service, version, mode, path + ["collisions"])
                    self.fill_injection_material_sources = self.__class__.fill_injection_material_sources(service, version, mode, path + ["fill_injection_material_sources"])
                    self.spray_model = self.__class__.spray_model(service, version, mode, path + ["spray_model"])
                    self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
                    self.clear_particles_from_domain = self.__class__.clear_particles_from_domain(service, version, mode, path + ["clear_particles_from_domain"])
                    self.injections = self.__class__.injections(service, version, mode, path + ["injections"])
                    self.unsteady_tracking = self.__class__.unsteady_tracking(service, version, mode, path + ["unsteady_tracking"])
                    super().__init__(service, version, mode, path)
                class fill_injection_material_sources(TUIMethod):
                    """
                    Initialize the DPM sources corresponding to each material.
                    """
                class spray_model(TUIMethod):
                    """
                    Enter the spray model menu.
                    """
                class user_defined(TUIMethod):
                    """
                    Set DPM user-defined functions.
                    """
                class clear_particles_from_domain(TUIMethod):
                    """
                    Remove/keep all particles currently in the domain.
                    """
                class injections(TUIMethod):
                    """
                    Enter the injections menu.
                    """
                class unsteady_tracking(TUIMethod):
                    """
                    Enable/disable unsteady particle tracking.
                    """

                class interaction(TUIMenu):
                    """
                    Enter the interaction menu to set parameters for coupled discrete phase calculations.
                    """
                    def __init__(self, service, version, mode, path):
                        self.underrelaxation_factor = self.__class__.underrelaxation_factor(service, version, mode, path + ["underrelaxation_factor"])
                        self.enable_drag_scaling_due_to_flow_blocking = self.__class__.enable_drag_scaling_due_to_flow_blocking(service, version, mode, path + ["enable_drag_scaling_due_to_flow_blocking"])
                        self.ddpm_enhanced_inter_phase_exchange = self.__class__.ddpm_enhanced_inter_phase_exchange(service, version, mode, path + ["ddpm_enhanced_inter_phase_exchange"])
                        self.implicit_momentum_coupling = self.__class__.implicit_momentum_coupling(service, version, mode, path + ["implicit_momentum_coupling"])
                        self.choice_of_eulerian_phase_for_interaction = self.__class__.choice_of_eulerian_phase_for_interaction(service, version, mode, path + ["choice_of_eulerian_phase_for_interaction"])
                        self.coupled_calculations = self.__class__.coupled_calculations(service, version, mode, path + ["coupled_calculations"])
                        self.reset_sources_at_timestep = self.__class__.reset_sources_at_timestep(service, version, mode, path + ["reset_sources_at_timestep"])
                        self.linearized_dpm_source_terms_limiter = self.__class__.linearized_dpm_source_terms_limiter(service, version, mode, path + ["linearized_dpm_source_terms_limiter"])
                        self.linearized_dpm_mixture_fraction_source_terms = self.__class__.linearized_dpm_mixture_fraction_source_terms(service, version, mode, path + ["linearized_dpm_mixture_fraction_source_terms"])
                        self.ddpm_energy_coupling_via_source_term = self.__class__.ddpm_energy_coupling_via_source_term(service, version, mode, path + ["ddpm_energy_coupling_via_source_term"])
                        self.linearized_dpm_species_source_terms = self.__class__.linearized_dpm_species_source_terms(service, version, mode, path + ["linearized_dpm_species_source_terms"])
                        self.enable_source_scaling_due_to_flow_blocking = self.__class__.enable_source_scaling_due_to_flow_blocking(service, version, mode, path + ["enable_source_scaling_due_to_flow_blocking"])
                        self.enable_flow_blocking_by_particles = self.__class__.enable_flow_blocking_by_particles(service, version, mode, path + ["enable_flow_blocking_by_particles"])
                        self.ddpm_iad_particle = self.__class__.ddpm_iad_particle(service, version, mode, path + ["ddpm_iad_particle"])
                        self.dpm_iteration_interval = self.__class__.dpm_iteration_interval(service, version, mode, path + ["dpm_iteration_interval"])
                        self.max_vf_allowed_for_blocking = self.__class__.max_vf_allowed_for_blocking(service, version, mode, path + ["max_vf_allowed_for_blocking"])
                        self.keep_linearized_dpm_source_terms_constant = self.__class__.keep_linearized_dpm_source_terms_constant(service, version, mode, path + ["keep_linearized_dpm_source_terms_constant"])
                        self.implicit_source_term_coupling = self.__class__.implicit_source_term_coupling(service, version, mode, path + ["implicit_source_term_coupling"])
                        self.linear_growth_of_dpm_source_term = self.__class__.linear_growth_of_dpm_source_term(service, version, mode, path + ["linear_growth_of_dpm_source_term"])
                        self.update_dpm_sources_every_flow_iteration = self.__class__.update_dpm_sources_every_flow_iteration(service, version, mode, path + ["update_dpm_sources_every_flow_iteration"])
                        self.replace_dpm_mass_source_by_mixture_fraction = self.__class__.replace_dpm_mass_source_by_mixture_fraction(service, version, mode, path + ["replace_dpm_mass_source_by_mixture_fraction"])
                        self.linearized_dpm_source_terms = self.__class__.linearized_dpm_source_terms(service, version, mode, path + ["linearized_dpm_source_terms"])
                        self.min_vf_threshold_for_dpm_src_scaling = self.__class__.min_vf_threshold_for_dpm_src_scaling(service, version, mode, path + ["min_vf_threshold_for_dpm_src_scaling"])
                        super().__init__(service, version, mode, path)
                    class underrelaxation_factor(TUIMethod):
                        """
                        Set the under-relaxation factor.
                        """
                    class enable_drag_scaling_due_to_flow_blocking(TUIMethod):
                        """
                        Enable/disable scaling of DPM drag coefficient due to inclusion of DPM volume fraction in continuous flow.
                        """
                    class ddpm_enhanced_inter_phase_exchange(TUIMethod):
                        """
                        Enhanced Eulerian inter-phase exchange.
                        """
                    class implicit_momentum_coupling(TUIMethod):
                        """
                        Enable/disable implicit treatment for the DPM momentum source terms.
                        """
                    class choice_of_eulerian_phase_for_interaction(TUIMethod):
                        """
                        Enable/disable the option to choose for every injection the Eulerian phase for the DPM continuous phase interaction.
                        """
                    class coupled_calculations(TUIMethod):
                        """
                        Enable/disable coupling of continuous and discrete phase calculations.
                        """
                    class reset_sources_at_timestep(TUIMethod):
                        """
                        Enable/disable flush of DPM source terms at beginning of every time step.
                        """
                    class linearized_dpm_source_terms_limiter(TUIMethod):
                        """
                        Relative limit for DPM source linear coefficient with respect to fluid linear Ap coefficient.
                        """
                    class linearized_dpm_mixture_fraction_source_terms(TUIMethod):
                        """
                        Perform a linearization of mixture fraction source terms.
                        """
                    class ddpm_energy_coupling_via_source_term(TUIMethod):
                        """
                        Energy coupling in DDPM established via source term.
                        """
                    class linearized_dpm_species_source_terms(TUIMethod):
                        """
                        Perform linearization of species source terms.
                        """
                    class enable_source_scaling_due_to_flow_blocking(TUIMethod):
                        """
                        Enable/disable scaling of DPM source terms due to inclusion of DPM volume fraction in continuous flow.
                        """
                    class enable_flow_blocking_by_particles(TUIMethod):
                        """
                        Enable/disable inclusion of DPM volume fraction in continuous flow.
                        """
                    class ddpm_iad_particle(TUIMethod):
                        """
                        Enable/disable the non-default interfacial area method IA-particle.
                        """
                    class dpm_iteration_interval(TUIMethod):
                        """
                        Set the number of continuous phase iterations per DPM iteration.
                        """
                    class max_vf_allowed_for_blocking(TUIMethod):
                        """
                        Maximum DPM volume fraction used in continuous flow.
                        """
                    class keep_linearized_dpm_source_terms_constant(TUIMethod):
                        """
                        Keep linearized DPM source terms constant until the next DPM Update.
                        """
                    class implicit_source_term_coupling(TUIMethod):
                        """
                        Enable/disable implicit treatment for all DPM source terms.
                        """
                    class linear_growth_of_dpm_source_term(TUIMethod):
                        """
                        Enable/disable the linear growth of DPM source terms every DPM iteration.
                        .
                        """
                    class update_dpm_sources_every_flow_iteration(TUIMethod):
                        """
                        Enable/disable the update of DPM source terms every flow iteration.
                        (if not, the terms will be updated every DPM iteration).
                        """
                    class replace_dpm_mass_source_by_mixture_fraction(TUIMethod):
                        """
                        Recalculate the mixture fraction source terms as function of the primary mixture fraction?.
                        """
                    class linearized_dpm_source_terms(TUIMethod):
                        """
                        Perform a linearization of all DPM source terms to increase numerical robustness.
                        """
                    class min_vf_threshold_for_dpm_src_scaling(TUIMethod):
                        """
                        Minimum DPM volume fraction below which no DPM source scaling is applied.
                        """

                class parallel(TUIMenu):
                    """
                    Enter the parallel menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.hybrid_workpile = self.__class__.hybrid_workpile(service, version, mode, path + ["hybrid_workpile"])
                        self.use_message_passing = self.__class__.use_message_passing(service, version, mode, path + ["use_message_passing"])
                        self.n_threads = self.__class__.n_threads(service, version, mode, path + ["n_threads"])
                        self.report = self.__class__.report(service, version, mode, path + ["report"])
                        self.hybrid_2domain = self.__class__.hybrid_2domain(service, version, mode, path + ["hybrid_2domain"])
                        self.enable_workpile = self.__class__.enable_workpile(service, version, mode, path + ["enable_workpile"])
                        self.use_hybrid = self.__class__.use_hybrid(service, version, mode, path + ["use_hybrid"])
                        self.hybrid_collision_unidirectional = self.__class__.hybrid_collision_unidirectional(service, version, mode, path + ["hybrid_collision_unidirectional"])
                        self.use_shared_memory = self.__class__.use_shared_memory(service, version, mode, path + ["use_shared_memory"])
                        self.fix_source_term_accumulation_order = self.__class__.fix_source_term_accumulation_order(service, version, mode, path + ["fix_source_term_accumulation_order"])
                        self.hybrid_collision_model = self.__class__.hybrid_collision_model(service, version, mode, path + ["hybrid_collision_model"])
                        self.hybrid_collision_variant = self.__class__.hybrid_collision_variant(service, version, mode, path + ["hybrid_collision_variant"])
                        super().__init__(service, version, mode, path)
                    class hybrid_workpile(TUIMethod):
                        """
                        Optimize multi-thread load balancing within each partition in hybrid-parallel DPM tracking.
                        """
                    class use_message_passing(TUIMethod):
                        """
                        Set DPM parallel-mode to message passing.
                        """
                    class n_threads(TUIMethod):
                        """
                        Set the number of processors to use for DPM.
                        """
                    class report(TUIMethod):
                        """
                        Print particle workpile statistics.
                        """
                    class hybrid_2domain(TUIMethod):
                        """
                        Use DPM domain to simulate particles.
                        """
                    class enable_workpile(TUIMethod):
                        """
                        Enable/disable the particle workpile algorithm.
                        """
                    class use_hybrid(TUIMethod):
                        """
                        Set DPM parallel-mode to hybrid.
                        """
                    class hybrid_collision_unidirectional(TUIMethod):
                        """
                        A faster, yet potentially somewhat less accurate, modification to the beta feature
                        that allows 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """
                    class use_shared_memory(TUIMethod):
                        """
                        Set DPM parallel-mode to shared memory.
                        """
                    class fix_source_term_accumulation_order(TUIMethod):
                        """
                        Enforce deterministic order of source term accumulation.
                        """
                    class hybrid_collision_model(TUIMethod):
                        """
                        An EXPERIMENTAL feature to allow 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """
                    class hybrid_collision_variant(TUIMethod):
                        """
                        Further reduce the residual risk of dead-locks in the experimental feature that
                        allows 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """

                    class expert(TUIMenu):
                        """
                        Enter the menu to set expert DPM parallel options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.partition_method_hybrid_2domain = self.__class__.partition_method_hybrid_2domain(service, version, mode, path + ["partition_method_hybrid_2domain"])
                            super().__init__(service, version, mode, path)
                        class partition_method_hybrid_2domain(TUIMethod):
                            """
                            Set DPM Domain partition method.
                            """

                class options(TUIMenu):
                    """
                    Enter the options menu to set optional DPM models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.remove_wall_film_temperature_limiter = self.__class__.remove_wall_film_temperature_limiter(service, version, mode, path + ["remove_wall_film_temperature_limiter"])
                        self.step_report_sig_figures = self.__class__.step_report_sig_figures(service, version, mode, path + ["step_report_sig_figures"])
                        self.lowest_volatiles_mass_fraction = self.__class__.lowest_volatiles_mass_fraction(service, version, mode, path + ["lowest_volatiles_mass_fraction"])
                        self.scr_urea_deposition_risk_analysis = self.__class__.scr_urea_deposition_risk_analysis(service, version, mode, path + ["scr_urea_deposition_risk_analysis"])
                        self.maximum_udf_species = self.__class__.maximum_udf_species(service, version, mode, path + ["maximum_udf_species"])
                        self.include_lwf_particles_in_dpm_concentration = self.__class__.include_lwf_particles_in_dpm_concentration(service, version, mode, path + ["include_lwf_particles_in_dpm_concentration"])
                        self.stagger_spatially_atomizer_injections = self.__class__.stagger_spatially_atomizer_injections(service, version, mode, path + ["stagger_spatially_atomizer_injections"])
                        self.thermophoretic_force = self.__class__.thermophoretic_force(service, version, mode, path + ["thermophoretic_force"])
                        self.treat_multicomponent_saturation_temperature_failure = self.__class__.treat_multicomponent_saturation_temperature_failure(service, version, mode, path + ["treat_multicomponent_saturation_temperature_failure"])
                        self.track_in_absolute_frame = self.__class__.track_in_absolute_frame(service, version, mode, path + ["track_in_absolute_frame"])
                        self.staggering_factor = self.__class__.staggering_factor(service, version, mode, path + ["staggering_factor"])
                        self.enable_contour_plots = self.__class__.enable_contour_plots(service, version, mode, path + ["enable_contour_plots"])
                        self.init_erosion_accretion_rate = self.__class__.init_erosion_accretion_rate(service, version, mode, path + ["init_erosion_accretion_rate"])
                        self.current_positions_in_sample_file_format = self.__class__.current_positions_in_sample_file_format(service, version, mode, path + ["current_positions_in_sample_file_format"])
                        self.stagger_spatially_standard_injections = self.__class__.stagger_spatially_standard_injections(service, version, mode, path + ["stagger_spatially_standard_injections"])
                        self.saffman_lift_force = self.__class__.saffman_lift_force(service, version, mode, path + ["saffman_lift_force"])
                        self.erosion_accretion = self.__class__.erosion_accretion(service, version, mode, path + ["erosion_accretion"])
                        self.convective_film_heat_transfer = self.__class__.convective_film_heat_transfer(service, version, mode, path + ["convective_film_heat_transfer"])
                        self.set_thermolysis_limit = self.__class__.set_thermolysis_limit(service, version, mode, path + ["set_thermolysis_limit"])
                        self.two_way_coupling = self.__class__.two_way_coupling(service, version, mode, path + ["two_way_coupling"])
                        self.vaporization_options = self.__class__.vaporization_options(service, version, mode, path + ["vaporization_options"])
                        self.vaporization_heat_transfer_averaging = self.__class__.vaporization_heat_transfer_averaging(service, version, mode, path + ["vaporization_heat_transfer_averaging"])
                        self.allow_supercritical_pressure_vaporization = self.__class__.allow_supercritical_pressure_vaporization(service, version, mode, path + ["allow_supercritical_pressure_vaporization"])
                        self.pressure_gradient_force = self.__class__.pressure_gradient_force(service, version, mode, path + ["pressure_gradient_force"])
                        self.use_absolute_pressure_for_vaporization = self.__class__.use_absolute_pressure_for_vaporization(service, version, mode, path + ["use_absolute_pressure_for_vaporization"])
                        self.stagger_radius = self.__class__.stagger_radius(service, version, mode, path + ["stagger_radius"])
                        self.uniform_mass_distribution_for_injections = self.__class__.uniform_mass_distribution_for_injections(service, version, mode, path + ["uniform_mass_distribution_for_injections"])
                        self.stagger_temporally = self.__class__.stagger_temporally(service, version, mode, path + ["stagger_temporally"])
                        self.particle_radiation = self.__class__.particle_radiation(service, version, mode, path + ["particle_radiation"])
                        self.brownian_motion = self.__class__.brownian_motion(service, version, mode, path + ["brownian_motion"])
                        self.set_minimum_particle_diameter = self.__class__.set_minimum_particle_diameter(service, version, mode, path + ["set_minimum_particle_diameter"])
                        self.virtual_mass_force = self.__class__.virtual_mass_force(service, version, mode, path + ["virtual_mass_force"])
                        self.ensemble_average = self.__class__.ensemble_average(service, version, mode, path + ["ensemble_average"])
                        super().__init__(service, version, mode, path)
                    class remove_wall_film_temperature_limiter(TUIMethod):
                        """
                        Remove the wall film temperature limiter.
                        """
                    class step_report_sig_figures(TUIMethod):
                        """
                        Set significant figures in the step-by-step report.
                        """
                    class lowest_volatiles_mass_fraction(TUIMethod):
                        """
                        Set the lowest volatiles mass fraction.
                        """
                    class scr_urea_deposition_risk_analysis(TUIMethod):
                        """
                        Options to activate and configure the SCR urea deposition risk analysis.
                        """
                    class maximum_udf_species(TUIMethod):
                        """
                        Maximum number of species that can interact with particles in the DPM UDFs.
                        """
                    class include_lwf_particles_in_dpm_concentration(TUIMethod):
                        """
                        Include LWF particle mass in DPM Concentration.
                        """
                    class stagger_spatially_atomizer_injections(TUIMethod):
                        """
                        Spatially stagger atomizer injections?.
                        """
                    class thermophoretic_force(TUIMethod):
                        """
                        Enable/disable thermophoretic force.
                        """
                    class treat_multicomponent_saturation_temperature_failure(TUIMethod):
                        """
                        Dump multicomponent particle mass if the saturation temperature cannot be determined.
                        """
                    class track_in_absolute_frame(TUIMethod):
                        """
                        Enable/disable tracking in absolute frame.
                        """
                    class staggering_factor(TUIMethod):
                        """
                        Set the staggering factor between 0 and 1 to control the amount of staggering.
                        """
                    class enable_contour_plots(TUIMethod):
                        """
                        Enable contour and vector plots of particle data.
                        """
                    class init_erosion_accretion_rate(TUIMethod):
                        """
                        Initialize erosion/accretion rates with Zero.
                        """
                    class current_positions_in_sample_file_format(TUIMethod):
                        """
                        Write the current positions (step-by-step history report for unsteady tracking) in the sampling file format.
                        """
                    class stagger_spatially_standard_injections(TUIMethod):
                        """
                        Spatially stagger non-atomizer injections?.
                        """
                    class saffman_lift_force(TUIMethod):
                        """
                        Enable/disable Saffman lift force.
                        """
                    class erosion_accretion(TUIMethod):
                        """
                        Enable/disable erosion/accretion.
                        """
                    class convective_film_heat_transfer(TUIMethod):
                        """
                        Enable/disable convection/conduction film to wall heat transfer model.
                        """
                    class set_thermolysis_limit(TUIMethod):
                        """
                        Set the thermolysis limit.
                        """
                    class two_way_coupling(TUIMethod):
                        """
                        Enable/disable calculation of DPM sources in TKE equation.
                        """
                    class vaporization_options(TUIMethod):
                        """
                        Set Vaporization options.
                        """
                    class vaporization_heat_transfer_averaging(TUIMethod):
                        """
                        Enable/disable correction for Vaporization heat transfer.
                        """
                    class allow_supercritical_pressure_vaporization(TUIMethod):
                        """
                        Skip the pressure dependent boiling point calculation to allow supercritical pressure conditions for vaporization.
                        """
                    class pressure_gradient_force(TUIMethod):
                        """
                        Enable/disable pressure gradient force.
                        """
                    class use_absolute_pressure_for_vaporization(TUIMethod):
                        """
                        Enable/disable using Absolute Pressure for Vaporization.
                        """
                    class stagger_radius(TUIMethod):
                        """
                        Provide a stagger radius for non atomizer injections.
                        """
                    class uniform_mass_distribution_for_injections(TUIMethod):
                        """
                        A uniform mass distribution will be enabled for all solid cone and atomizer injections.
                        """
                    class stagger_temporally(TUIMethod):
                        """
                        Stagger transient parcels for their first time step?.
                        """
                    class particle_radiation(TUIMethod):
                        """
                        Enable/disable particle radiation.
                        """
                    class brownian_motion(TUIMethod):
                        """
                        Enable/disable Brownian motion of particles.
                        """
                    class set_minimum_particle_diameter(TUIMethod):
                        """
                        Set the minimum particle diameter.
                        """
                    class virtual_mass_force(TUIMethod):
                        """
                        Enable/disable virtual mass force.
                        """
                    class ensemble_average(TUIMethod):
                        """
                        Set ensemble average cloud properties.
                        """

                class splash_options(TUIMenu):
                    """
                    Enter the splash options menu to set optional parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.splash_pdf_limiting = self.__class__.splash_pdf_limiting(service, version, mode, path + ["splash_pdf_limiting"])
                        self.orourke_splash_fraction = self.__class__.orourke_splash_fraction(service, version, mode, path + ["orourke_splash_fraction"])
                        super().__init__(service, version, mode, path)
                    class splash_pdf_limiting(TUIMethod):
                        """
                        Select splash pdf limiting method.
                        """
                    class orourke_splash_fraction(TUIMethod):
                        """
                        Select splash fraction method.
                        """

                class numerics(TUIMenu):
                    """
                    Enter the numerics menu to set numerical solution parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.high_resolution_tracking = self.__class__.high_resolution_tracking(service, version, mode, path + ["high_resolution_tracking"])
                        self.automated_scheme_selection = self.__class__.automated_scheme_selection(service, version, mode, path + ["automated_scheme_selection"])
                        self.average_source_terms = self.__class__.average_source_terms(service, version, mode, path + ["average_source_terms"])
                        self.predictor_corrector = self.__class__.predictor_corrector(service, version, mode, path + ["predictor_corrector"])
                        self.tracking_parameters = self.__class__.tracking_parameters(service, version, mode, path + ["tracking_parameters"])
                        self.tracking_scheme = self.__class__.tracking_scheme(service, version, mode, path + ["tracking_scheme"])
                        self.average_DDPM_variables = self.__class__.average_DDPM_variables(service, version, mode, path + ["average_DDPM_variables"])
                        self.average_each_step = self.__class__.average_each_step(service, version, mode, path + ["average_each_step"])
                        self.error_control = self.__class__.error_control(service, version, mode, path + ["error_control"])
                        self.minimum_liquid_fraction = self.__class__.minimum_liquid_fraction(service, version, mode, path + ["minimum_liquid_fraction"])
                        self.dynamic_interaction = self.__class__.dynamic_interaction(service, version, mode, path + ["dynamic_interaction"])
                        self.vaporization_limiting_factors = self.__class__.vaporization_limiting_factors(service, version, mode, path + ["vaporization_limiting_factors"])
                        self.enhanced_packing_limit_numerics = self.__class__.enhanced_packing_limit_numerics(service, version, mode, path + ["enhanced_packing_limit_numerics"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.gaussian_factor = self.__class__.gaussian_factor(service, version, mode, path + ["gaussian_factor"])
                        self.underrelax_film_height = self.__class__.underrelax_film_height(service, version, mode, path + ["underrelax_film_height"])
                        self.mppic_settings = self.__class__.mppic_settings(service, version, mode, path + ["mppic_settings"])
                        self.enable_node_based_averaging = self.__class__.enable_node_based_averaging(service, version, mode, path + ["enable_node_based_averaging"])
                        self.tracking_statistics = self.__class__.tracking_statistics(service, version, mode, path + ["tracking_statistics"])
                        self.average_kernel = self.__class__.average_kernel(service, version, mode, path + ["average_kernel"])
                        self.drag_law = self.__class__.drag_law(service, version, mode, path + ["drag_law"])
                        self.granular_stress_tensor = self.__class__.granular_stress_tensor(service, version, mode, path + ["granular_stress_tensor"])
                        self.coupled_heat_mass_update = self.__class__.coupled_heat_mass_update(service, version, mode, path + ["coupled_heat_mass_update"])
                        super().__init__(service, version, mode, path)
                    class automated_scheme_selection(TUIMethod):
                        """
                        Enable/disable the adaptation of integration step length based on a maximum error.
                        """
                    class average_source_terms(TUIMethod):
                        """
                        Average DPM source terms on nodes.
                        """
                    class predictor_corrector(TUIMethod):
                        """
                        Enable predictor/corrector approach to track particles.
                        """
                    class tracking_parameters(TUIMethod):
                        """
                        Set parameters for the (initial) tracking step length.
                        """
                    class tracking_scheme(TUIMethod):
                        """
                        Specify a tracking scheme.
                        """
                    class average_DDPM_variables(TUIMethod):
                        """
                        Average DDPM specific variables like volume fractions and velocities on nodes.
                        """
                    class average_each_step(TUIMethod):
                        """
                        Do the averaging after each integration step for higher accuracy at a higher cost.
                        """
                    class error_control(TUIMethod):
                        """
                        Set the adapt integration step length based on a maximum error.
                        """
                    class minimum_liquid_fraction(TUIMethod):
                        """
                        Evaporate droplet completely when the remaining mass is below this fraction of initial mass.
                        """
                    class dynamic_interaction(TUIMethod):
                        """
                        Enable/disable dynamic interaction range.
                        """
                    class vaporization_limiting_factors(TUIMethod):
                        """
                        Set Vaporization Fractional Change Limits.
                        """
                    class enhanced_packing_limit_numerics(TUIMethod):
                        """
                        Enable enhanced packing limit numerics to avoid exceeding of packing limit for granular phases.
                        """
                    class verbosity(TUIMethod):
                        """
                        Adjust the DPM tracker's verbosity level.
                        """
                    class gaussian_factor(TUIMethod):
                        """
                        Set a factor for the gaussian kernel for node-based averaging.~%Large values give small size, small values give large size of kernel.
                        """
                    class underrelax_film_height(TUIMethod):
                        """
                        Define underrelaxation factor for film height.
                        """
                    class mppic_settings(TUIMethod):
                        """
                        Enable PIC and MPPIC to compute DPM and DDPM source terms.
                        """
                    class enable_node_based_averaging(TUIMethod):
                        """
                        Enable node based averaging of DPM variables.
                        """
                    class tracking_statistics(TUIMethod):
                        """
                        Control the format of the one-line tracking statistics printed after every DPM tracking pass.
                        """
                    class average_kernel(TUIMethod):
                        """
                        Specify a kernel for the averaging.
                        """
                    class drag_law(TUIMethod):
                        """
                        Set the drag law.
                        """
                    class granular_stress_tensor(TUIMethod):
                        """
                        Enable granular stress tensor to be considered with solid pressure gradient as collision force.
                        """
                    class coupled_heat_mass_update(TUIMethod):
                        """
                        Enable/disable coupled heat and mass update.
                        """

                    class high_resolution_tracking(TUIMenu):
                        """
                        Enter the high resolution tracking menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.barycentric_interpolation = self.__class__.barycentric_interpolation(service, version, mode, path + ["barycentric_interpolation"])
                            self.particle_relocation = self.__class__.particle_relocation(service, version, mode, path + ["particle_relocation"])
                            self.set_subtet_intersection_tolerance = self.__class__.set_subtet_intersection_tolerance(service, version, mode, path + ["set_subtet_intersection_tolerance"])
                            self.enable_barycentric_intersections = self.__class__.enable_barycentric_intersections(service, version, mode, path + ["enable_barycentric_intersections"])
                            self.enable_high_resolution_tracking = self.__class__.enable_high_resolution_tracking(service, version, mode, path + ["enable_high_resolution_tracking"])
                            self.always_use_face_centroid_with_periodics = self.__class__.always_use_face_centroid_with_periodics(service, version, mode, path + ["always_use_face_centroid_with_periodics"])
                            self.boundary_layer_tracking = self.__class__.boundary_layer_tracking(service, version, mode, path + ["boundary_layer_tracking"])
                            self.sliding_interface_crossover_fraction = self.__class__.sliding_interface_crossover_fraction(service, version, mode, path + ["sliding_interface_crossover_fraction"])
                            self.set_film_spreading_parameter = self.__class__.set_film_spreading_parameter(service, version, mode, path + ["set_film_spreading_parameter"])
                            self.use_barycentric_sampling = self.__class__.use_barycentric_sampling(service, version, mode, path + ["use_barycentric_sampling"])
                            self.use_velocity_based_error_control = self.__class__.use_velocity_based_error_control(service, version, mode, path + ["use_velocity_based_error_control"])
                            self.check_subtet_validity = self.__class__.check_subtet_validity(service, version, mode, path + ["check_subtet_validity"])
                            self.remove_stuck_particles = self.__class__.remove_stuck_particles(service, version, mode, path + ["remove_stuck_particles"])
                            self.use_quad_face_centroid = self.__class__.use_quad_face_centroid(service, version, mode, path + ["use_quad_face_centroid"])
                            self.enable_automatic_intersection_tolerance = self.__class__.enable_automatic_intersection_tolerance(service, version, mode, path + ["enable_automatic_intersection_tolerance"])
                            self.project_wall_film_particles_to_film = self.__class__.project_wall_film_particles_to_film(service, version, mode, path + ["project_wall_film_particles_to_film"])
                            self.use_particle_timestep_for_intersection_tolerance = self.__class__.use_particle_timestep_for_intersection_tolerance(service, version, mode, path + ["use_particle_timestep_for_intersection_tolerance"])
                            super().__init__(service, version, mode, path)
                        class set_subtet_intersection_tolerance(TUIMethod):
                            """
                            Set the tolerance for subtet intersection calculations.
                            """
                        class enable_barycentric_intersections(TUIMethod):
                            """
                            Use barycentric coordinates for intersection calculations.
                            """
                        class enable_high_resolution_tracking(TUIMethod):
                            """
                            Enable high resolution tracking.
                            """
                        class always_use_face_centroid_with_periodics(TUIMethod):
                            """
                            Use quad face centroids when creating subtets if the case contains periodic boundaries.
                            """
                        class boundary_layer_tracking(TUIMethod):
                            """
                            Adjust the particle timestep to account for high aspect ratio cells.
                            """
                        class sliding_interface_crossover_fraction(TUIMethod):
                            """
                            Move the particle a fraction of the distance to the subtet center when crossing a sliding interface.
                            """
                        class set_film_spreading_parameter(TUIMethod):
                            """
                            Set the spreading parameter for Lagrangian wallfilm particles.
                            """
                        class use_barycentric_sampling(TUIMethod):
                            """
                            Use barycentric coordinates when sampling at planes.
                            """
                        class use_velocity_based_error_control(TUIMethod):
                            """
                            Use adaptive time stepping based upon the particle velocity.
                            """
                        class check_subtet_validity(TUIMethod):
                            """
                            Test for inverted subtets due to warped cells.
                            """
                        class remove_stuck_particles(TUIMethod):
                            """
                            Remove particles that are stuck at edges or faces.
                            """
                        class use_quad_face_centroid(TUIMethod):
                            """
                            Use quad face centroids when creating subtets.
                            """
                        class enable_automatic_intersection_tolerance(TUIMethod):
                            """
                            Enable automatic scaling of subtet intersection tolerance.
                            """
                        class project_wall_film_particles_to_film(TUIMethod):
                            """
                            Project existing particles to film to track using high resolution tracking?.
                            """
                        class use_particle_timestep_for_intersection_tolerance(TUIMethod):
                            """
                            Use the particle timestep for the axisymmetric subtet intersection tolerance.
                            """

                        class barycentric_interpolation(TUIMenu):
                            """
                            Enter the barycentric interpolation menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interpolate_flow_cp = self.__class__.interpolate_flow_cp(service, version, mode, path + ["interpolate_flow_cp"])
                                self.interpolate_temperature = self.__class__.interpolate_temperature(service, version, mode, path + ["interpolate_temperature"])
                                self.interpolate_flow_density = self.__class__.interpolate_flow_density(service, version, mode, path + ["interpolate_flow_density"])
                                self.interpolate_flow_viscosity = self.__class__.interpolate_flow_viscosity(service, version, mode, path + ["interpolate_flow_viscosity"])
                                self.user_interpolation_function = self.__class__.user_interpolation_function(service, version, mode, path + ["user_interpolation_function"])
                                self.enable_transient_variable_interpolation = self.__class__.enable_transient_variable_interpolation(service, version, mode, path + ["enable_transient_variable_interpolation"])
                                self.precompute_pdf_species = self.__class__.precompute_pdf_species(service, version, mode, path + ["precompute_pdf_species"])
                                self.zero_nodal_velocity_on_walls = self.__class__.zero_nodal_velocity_on_walls(service, version, mode, path + ["zero_nodal_velocity_on_walls"])
                                self.nodal_reconstruction_frequency = self.__class__.nodal_reconstruction_frequency(service, version, mode, path + ["nodal_reconstruction_frequency"])
                                self.interpolate_flow_solution_gradients = self.__class__.interpolate_flow_solution_gradients(service, version, mode, path + ["interpolate_flow_solution_gradients"])
                                self.interpolate_wallfilm_properties = self.__class__.interpolate_wallfilm_properties(service, version, mode, path + ["interpolate_wallfilm_properties"])
                                super().__init__(service, version, mode, path)
                            class interpolate_flow_cp(TUIMethod):
                                """
                                Enable interpolation of flow specific heat to the particle position.
                                """
                            class interpolate_temperature(TUIMethod):
                                """
                                Enable interpolation of temperature to the particle position.
                                """
                            class interpolate_flow_density(TUIMethod):
                                """
                                Enable interpolation of flow density to the particle position.
                                """
                            class interpolate_flow_viscosity(TUIMethod):
                                """
                                Enable interpolation of flow viscosity to the particle position.
                                """
                            class user_interpolation_function(TUIMethod):
                                """
                                Enter user interpolation function.
                                """
                            class enable_transient_variable_interpolation(TUIMethod):
                                """
                                Enable transient variable interpolation.
                                """
                            class precompute_pdf_species(TUIMethod):
                                """
                                Precompute cell values of PDF species mass fractions prior to particle tracking.
                                """
                            class zero_nodal_velocity_on_walls(TUIMethod):
                                """
                                Set the nodal velocity on all walls to zero.
                                """
                            class nodal_reconstruction_frequency(TUIMethod):
                                """
                                Update nodal reconstruction every N'th DPM iteration.
                                """
                            class interpolate_flow_solution_gradients(TUIMethod):
                                """
                                Enable interpolation of flow solution gradients.
                                """
                            class interpolate_wallfilm_properties(TUIMethod):
                                """
                                Enable interpolation of wallfilm properties to the particle position.
                                """

                        class particle_relocation(TUIMenu):
                            """
                            Enter the particle relocation menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.use_legacy_particle_location_method = self.__class__.use_legacy_particle_location_method(service, version, mode, path + ["use_legacy_particle_location_method"])
                                self.load_legacy_particles = self.__class__.load_legacy_particles(service, version, mode, path + ["load_legacy_particles"])
                                self.overset_relocation_robustness_level = self.__class__.overset_relocation_robustness_level(service, version, mode, path + ["overset_relocation_robustness_level"])
                                self.enhanced_cell_relocation_method = self.__class__.enhanced_cell_relocation_method(service, version, mode, path + ["enhanced_cell_relocation_method"])
                                self.wallfilm_relocation_tolerance_scale_factor = self.__class__.wallfilm_relocation_tolerance_scale_factor(service, version, mode, path + ["wallfilm_relocation_tolerance_scale_factor"])
                                self.enhanced_wallfilm_location_method = self.__class__.enhanced_wallfilm_location_method(service, version, mode, path + ["enhanced_wallfilm_location_method"])
                                super().__init__(service, version, mode, path)
                            class use_legacy_particle_location_method(TUIMethod):
                                """
                                Enable legacy method of locating particles in cells.
                                """
                            class load_legacy_particles(TUIMethod):
                                """
                                Load particles that were tracked without high-resolution tracking enabled.
                                """
                            class overset_relocation_robustness_level(TUIMethod):
                                """
                                Set the robustness level for particle relocation in overset meshes.
                                """
                            class enhanced_cell_relocation_method(TUIMethod):
                                """
                                Enable enhanced method of locating particles in cells.
                                """
                            class wallfilm_relocation_tolerance_scale_factor(TUIMethod):
                                """
                                Set the relocation tolerance scaling factor for wallfilm particles after remeshing.
                                """
                            class enhanced_wallfilm_location_method(TUIMethod):
                                """
                                Enable enhanced method of locating film particles on faces.
                                """

                class erosion_dynamic_mesh(TUIMenu):
                    """
                    Enter the erosion-dynamic mesh interactions menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.general_parameters = self.__class__.general_parameters(service, version, mode, path + ["general_parameters"])
                        self.run_parameters = self.__class__.run_parameters(service, version, mode, path + ["run_parameters"])
                        self.enable_erosion_dynamic_mesh_coupling = self.__class__.enable_erosion_dynamic_mesh_coupling(service, version, mode, path + ["enable_erosion_dynamic_mesh_coupling"])
                        self.run_simulation = self.__class__.run_simulation(service, version, mode, path + ["run_simulation"])
                        super().__init__(service, version, mode, path)
                    class enable_erosion_dynamic_mesh_coupling(TUIMethod):
                        """
                        Enable mesh deformation due to wall erosion.
                        """
                    class run_simulation(TUIMethod):
                        """
                        Perform coupled erosion-dynamic mesh simulation.
                        """

                    class general_parameters(TUIMenu):
                        """
                        Enter the erosion-dynamic mesh setup menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.dynamic_mesh_settings = self.__class__.dynamic_mesh_settings(service, version, mode, path + ["dynamic_mesh_settings"])
                            self.participating_walls = self.__class__.participating_walls(service, version, mode, path + ["participating_walls"])
                            self.erosion_settings = self.__class__.erosion_settings(service, version, mode, path + ["erosion_settings"])
                            super().__init__(service, version, mode, path)
                        class dynamic_mesh_settings(TUIMethod):
                            """
                            Perform dynamic mesh related setup.
                            """
                        class participating_walls(TUIMethod):
                            """
                            Specify all participating walls.
                            """
                        class erosion_settings(TUIMethod):
                            """
                            Set erosion modelling specific settings.
                            """

                    class run_parameters(TUIMenu):
                        """
                        Enter the erosion-dynamic mesh run menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.mesh_motion_time_step = self.__class__.mesh_motion_time_step(service, version, mode, path + ["mesh_motion_time_step"])
                            self.flow_simulation_control = self.__class__.flow_simulation_control(service, version, mode, path + ["flow_simulation_control"])
                            self.autosave_files = self.__class__.autosave_files(service, version, mode, path + ["autosave_files"])
                            self.simulation_termination = self.__class__.simulation_termination(service, version, mode, path + ["simulation_termination"])
                            self.autosave_graphics = self.__class__.autosave_graphics(service, version, mode, path + ["autosave_graphics"])
                            super().__init__(service, version, mode, path)
                        class mesh_motion_time_step(TUIMethod):
                            """
                            Set the mesh motion time stepping parameters and method.
                            """
                        class flow_simulation_control(TUIMethod):
                            """
                            Set number of iterations per flow simulation step.
                            """
                        class autosave_files(TUIMethod):
                            """
                            Set the iteration increment to save data files.
                            """
                        class simulation_termination(TUIMethod):
                            """
                            Set total time of erosion.
                            """
                        class autosave_graphics(TUIMethod):
                            """
                            Set the iteration increment to save graphics files.
                            """

                class stripping_options(TUIMenu):
                    """
                    Enter the stripping options menu to set optional parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.diameter_coefficient = self.__class__.diameter_coefficient(service, version, mode, path + ["diameter_coefficient"])
                        self.mass_coefficient = self.__class__.mass_coefficient(service, version, mode, path + ["mass_coefficient"])
                        super().__init__(service, version, mode, path)
                    class diameter_coefficient(TUIMethod):
                        """
                        Set the stripping diameter coefficient.
                        """
                    class mass_coefficient(TUIMethod):
                        """
                        Set the stripping mass coefficient.
                        """

                class collisions(TUIMenu):
                    """
                    Enter the DEM collisions menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.collision_partners = self.__class__.collision_partners(service, version, mode, path + ["collision_partners"])
                        self.collision_pair_settings = self.__class__.collision_pair_settings(service, version, mode, path + ["collision_pair_settings"])
                        self.dem_collisions = self.__class__.dem_collisions(service, version, mode, path + ["dem_collisions"])
                        self.max_particle_velocity = self.__class__.max_particle_velocity(service, version, mode, path + ["max_particle_velocity"])
                        self.collision_mesh = self.__class__.collision_mesh(service, version, mode, path + ["collision_mesh"])
                        self.list_all_pair_settings = self.__class__.list_all_pair_settings(service, version, mode, path + ["list_all_pair_settings"])
                        super().__init__(service, version, mode, path)
                    class collision_pair_settings(TUIMethod):
                        """
                        Supply settings for collisions to a pair of collision partners.
                        """
                    class dem_collisions(TUIMethod):
                        """
                        Enable/disable the DEM collision model.
                        """
                    class max_particle_velocity(TUIMethod):
                        """
                        Set the maximum particle velocity that may arise from collisions.
                        """
                    class collision_mesh(TUIMethod):
                        """
                        Input for the collision mesh.
                        """
                    class list_all_pair_settings(TUIMethod):
                        """
                        For each pair of collision partners, lists the collision laws and their parameters.
                        """

                    class collision_partners(TUIMenu):
                        """
                        Manage collision partners.
                        """
                        def __init__(self, service, version, mode, path):
                            self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                            self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.create = self.__class__.create(service, version, mode, path + ["create"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            super().__init__(service, version, mode, path)
                        class rename(TUIMethod):
                            """
                            Rename a collision partner.
                            """
                        class copy(TUIMethod):
                            """
                            Copy a collision partner.
                            """
                        class delete(TUIMethod):
                            """
                            Delete a collision partner.
                            """
                        class create(TUIMethod):
                            """
                            Create a collision partner.
                            """
                        class list(TUIMethod):
                            """
                            Lists all known collision partners.
                            """

            class nox_parameters(TUIMenu):
                """
                Enter the NOx parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    self.nox_chemistry = self.__class__.nox_chemistry(service, version, mode, path + ["nox_chemistry"])
                    self.nox_expert = self.__class__.nox_expert(service, version, mode, path + ["nox_expert"])
                    self.nox_turbulence_interaction = self.__class__.nox_turbulence_interaction(service, version, mode, path + ["nox_turbulence_interaction"])
                    super().__init__(service, version, mode, path)
                class inlet_diffusion(TUIMethod):
                    """
                    Enable/disable inclusion of diffusion at inlets.
                    """
                class nox_chemistry(TUIMethod):
                    """
                    Select NOx chemistry model.
                    """
                class nox_expert(TUIMethod):
                    """
                    Select additional nox equations.
                    """
                class nox_turbulence_interaction(TUIMethod):
                    """
                    Set NOx-turbulence interaction model.
                    """

            class eulerian_wallfilm(TUIMenu):
                """
                Enter the Eulerian wall film model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.coupled_solution = self.__class__.coupled_solution(service, version, mode, path + ["coupled_solution"])
                    self.implicit_options = self.__class__.implicit_options(service, version, mode, path + ["implicit_options"])
                    self.solve_wallfilm_equation = self.__class__.solve_wallfilm_equation(service, version, mode, path + ["solve_wallfilm_equation"])
                    self.solution_options = self.__class__.solution_options(service, version, mode, path + ["solution_options"])
                    self.model_options = self.__class__.model_options(service, version, mode, path + ["model_options"])
                    self.enable_wallfilm_model = self.__class__.enable_wallfilm_model(service, version, mode, path + ["enable_wallfilm_model"])
                    self.enable_film_vof_transition_message = self.__class__.enable_film_vof_transition_message(service, version, mode, path + ["enable_film_vof_transition_message"])
                    self.list_film_walls = self.__class__.list_film_walls(service, version, mode, path + ["list_film_walls"])
                    self.film_material = self.__class__.film_material(service, version, mode, path + ["film_material"])
                    self.initialize_wallfilm_model = self.__class__.initialize_wallfilm_model(service, version, mode, path + ["initialize_wallfilm_model"])
                    super().__init__(service, version, mode, path)
                class solve_wallfilm_equation(TUIMethod):
                    """
                    Activate Eulerian wall film equations.
                    """
                class solution_options(TUIMethod):
                    """
                    Set Eulerian wall film model solution options.
                    """
                class model_options(TUIMethod):
                    """
                    Set Eulerian wall film model options.
                    """
                class enable_wallfilm_model(TUIMethod):
                    """
                    Enable Eulerian wall film model.
                    """
                class enable_film_vof_transition_message(TUIMethod):
                    """
                    Enable film-VOF transition message.
                    """
                class list_film_walls(TUIMethod):
                    """
                    List film walls.
                    """
                class film_material(TUIMethod):
                    """
                    Set film material and properties.
                    """
                class initialize_wallfilm_model(TUIMethod):
                    """
                    Initialize Eulerian wall film model.
                    """

                class coupled_solution(TUIMenu):
                    """
                    Enter Eulerian wall film coupled solution menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enable_coupled_solution = self.__class__.enable_coupled_solution(service, version, mode, path + ["enable_coupled_solution"])
                        self.enable_curvature_smoothing = self.__class__.enable_curvature_smoothing(service, version, mode, path + ["enable_curvature_smoothing"])
                        super().__init__(service, version, mode, path)
                    class enable_coupled_solution(TUIMethod):
                        """
                        Enable Eulerian wall film coupled solution.
                        """
                    class enable_curvature_smoothing(TUIMethod):
                        """
                        Enable Eulerian wall film curvature smoothing.
                        """

                class implicit_options(TUIMenu):
                    """
                    Enter Implicit Scheme Option (beta).
                    """
                    def __init__(self, service, version, mode, path):
                        self.new_implicit_scheme = self.__class__.new_implicit_scheme(service, version, mode, path + ["new_implicit_scheme"])
                        self.relative_error_residual = self.__class__.relative_error_residual(service, version, mode, path + ["relative_error_residual"])
                        super().__init__(service, version, mode, path)
                    class new_implicit_scheme(TUIMethod):
                        """
                        Enable alternative implicit scheme.
                        """
                    class relative_error_residual(TUIMethod):
                        """
                        Enable relative error residual.
                        """

            class electrolysis(TUIMenu):
                """
                Enter the electrolysis model setup menu.
                """
                def __init__(self, service, version, mode, path):
                    self.membrane_setup = self.__class__.membrane_setup(service, version, mode, path + ["membrane_setup"])
                    self.anode_setup = self.__class__.anode_setup(service, version, mode, path + ["anode_setup"])
                    self.cathode_setup = self.__class__.cathode_setup(service, version, mode, path + ["cathode_setup"])
                    self.model_options = self.__class__.model_options(service, version, mode, path + ["model_options"])
                    self.electrical_tabs_setup = self.__class__.electrical_tabs_setup(service, version, mode, path + ["electrical_tabs_setup"])
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    super().__init__(service, version, mode, path)
                class model_options(TUIMethod):
                    """
                    Specify electrolysis model options.
                    """
                class electrical_tabs_setup(TUIMethod):
                    """
                    Specify settings for the electrical tabs.
                    """
                class parameters(TUIMethod):
                    """
                    Specify electrolysis model parameters.
                    """

                class membrane_setup(TUIMenu):
                    """
                    Specify parameters for electrolyte.
                    """
                    def __init__(self, service, version, mode, path):
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        super().__init__(service, version, mode, path)
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """

                class anode_setup(TUIMenu):
                    """
                    Enter the menu for the anode controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        super().__init__(service, version, mode, path)
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """

                class cathode_setup(TUIMenu):
                    """
                    Enter the menu for the cathode controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        super().__init__(service, version, mode, path)
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """

            class two_temperature(TUIMenu):
                """
                Define two-temperature model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.weak_ionization = self.__class__.weak_ionization(service, version, mode, path + ["weak_ionization"])
                    self.nasa9_enhancement = self.__class__.nasa9_enhancement(service, version, mode, path + ["nasa9_enhancement"])
                    self.set_verbosity = self.__class__.set_verbosity(service, version, mode, path + ["set_verbosity"])
                    self.robustness_enhancement = self.__class__.robustness_enhancement(service, version, mode, path + ["robustness_enhancement"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enable/disable the two-temperature model.
                    """
                class weak_ionization(TUIMethod):
                    """
                    Apply weak ionization in the two-temperature model.
                    """
                class nasa9_enhancement(TUIMethod):
                    """
                    Apply nasa9 robustness enhancements in the two-temperature model.
                    """
                class set_verbosity(TUIMethod):
                    """
                    Set two-temperature model verbosity option.
                    """
                class robustness_enhancement(TUIMethod):
                    """
                    Apply robustness enhancements in the two-temperature model.
                    """

            class radiation(TUIMenu):
                """
                Enter the radiation models menu.
                """
                def __init__(self, service, version, mode, path):
                    self.dtrm_parameters = self.__class__.dtrm_parameters(service, version, mode, path + ["dtrm_parameters"])
                    self.solar_parameters = self.__class__.solar_parameters(service, version, mode, path + ["solar_parameters"])
                    self.s2s_parameters = self.__class__.s2s_parameters(service, version, mode, path + ["s2s_parameters"])
                    self.apply_full_solar_irradiation = self.__class__.apply_full_solar_irradiation(service, version, mode, path + ["apply_full_solar_irradiation"])
                    self.target_cells_per_volume_cluster = self.__class__.target_cells_per_volume_cluster(service, version, mode, path + ["target_cells_per_volume_cluster"])
                    self.mc_model_parameters = self.__class__.mc_model_parameters(service, version, mode, path + ["mc_model_parameters"])
                    self.wsggm_cell_based = self.__class__.wsggm_cell_based(service, version, mode, path + ["wsggm_cell_based"])
                    self.solar = self.__class__.solar(service, version, mode, path + ["solar"])
                    self.fast_second_order_discrete_ordinate = self.__class__.fast_second_order_discrete_ordinate(service, version, mode, path + ["fast_second_order_discrete_ordinate"])
                    self.mc_under_relaxation = self.__class__.mc_under_relaxation(service, version, mode, path + ["mc_under_relaxation"])
                    self.do_coupling = self.__class__.do_coupling(service, version, mode, path + ["do_coupling"])
                    self.solar_irradiation = self.__class__.solar_irradiation(service, version, mode, path + ["solar_irradiation"])
                    self.solar_calculator = self.__class__.solar_calculator(service, version, mode, path + ["solar_calculator"])
                    self.blending_factor = self.__class__.blending_factor(service, version, mode, path + ["blending_factor"])
                    self.beta_radiation_features = self.__class__.beta_radiation_features(service, version, mode, path + ["beta_radiation_features"])
                    self.p1 = self.__class__.p1(service, version, mode, path + ["p1"])
                    self.radiation_iteration_parameters = self.__class__.radiation_iteration_parameters(service, version, mode, path + ["radiation_iteration_parameters"])
                    self.do_acceleration = self.__class__.do_acceleration(service, version, mode, path + ["do_acceleration"])
                    self.rosseland = self.__class__.rosseland(service, version, mode, path + ["rosseland"])
                    self.discrete_ordinates = self.__class__.discrete_ordinates(service, version, mode, path + ["discrete_ordinates"])
                    self.montecarlo = self.__class__.montecarlo(service, version, mode, path + ["montecarlo"])
                    self.non_gray_model_parameters = self.__class__.non_gray_model_parameters(service, version, mode, path + ["non_gray_model_parameters"])
                    self.discrete_transfer = self.__class__.discrete_transfer(service, version, mode, path + ["discrete_transfer"])
                    self.method_partially_specular_wall = self.__class__.method_partially_specular_wall(service, version, mode, path + ["method_partially_specular_wall"])
                    self.s2s = self.__class__.s2s(service, version, mode, path + ["s2s"])
                    self.radiation_model_parameters = self.__class__.radiation_model_parameters(service, version, mode, path + ["radiation_model_parameters"])
                    self.solution_method_for_do_coupling = self.__class__.solution_method_for_do_coupling(service, version, mode, path + ["solution_method_for_do_coupling"])
                    super().__init__(service, version, mode, path)
                class apply_full_solar_irradiation(TUIMethod):
                    """
                    Enable/disable application of solar irradiation to first band with DO model.
                    """
                class target_cells_per_volume_cluster(TUIMethod):
                    """
                    Enter cells per volume cluster for Monte Carlo radiation model.
                    """
                class mc_model_parameters(TUIMethod):
                    """
                    Set parameters for montecarlo radiation model.
                    """
                class wsggm_cell_based(TUIMethod):
                    """
                    Enable/disable WSGGM cell based method.
                    """
                class solar(TUIMethod):
                    """
                    Enable/disable the solar model.
                    """
                class fast_second_order_discrete_ordinate(TUIMethod):
                    """
                    Enable/disable the fast-second-order option for Discrete Ordinate Model.
                    """
                class mc_under_relaxation(TUIMethod):
                    """
                    Set under-relaxation factor for montecarlo radiation sources used in the energy equation.
                    """
                class do_coupling(TUIMethod):
                    """
                    Enabled DO Energy Coupling.
                    """
                class solar_irradiation(TUIMethod):
                    """
                    Enable/disable the Solar irradiation model.
                    """
                class solar_calculator(TUIMethod):
                    """
                    Calculate sun direction and intensity.
                    """
                class blending_factor(TUIMethod):
                    """
                    Set numeric option for Discrete Ordinate model.
                    """
                class beta_radiation_features(TUIMethod):
                    """
                    Enable Radiation Models with Non-Iterative Time Advancement (NITA) as Beta features in FL12.0.
                    """
                class p1(TUIMethod):
                    """
                    Enable/disable the P1 radiation model.
                    """
                class radiation_iteration_parameters(TUIMethod):
                    """
                    Set iteration parameters for radiation models.
                    """
                class do_acceleration(TUIMethod):
                    """
                    Enable/disable acceleration of computation of DO model.
                    """
                class rosseland(TUIMethod):
                    """
                    Enable/disable the Rosseland radiation model.
                    """
                class discrete_ordinates(TUIMethod):
                    """
                    Enable/disable the discrete ordinates radiation model.
                    """
                class montecarlo(TUIMethod):
                    """
                    Enable/disable the Monte Carlo radiation model.
                    """
                class non_gray_model_parameters(TUIMethod):
                    """
                    Set parameters for non-gray model.
                    """
                class discrete_transfer(TUIMethod):
                    """
                    Enable/disable discrete the transfer radiation model.
                    """
                class method_partially_specular_wall(TUIMethod):
                    """
                    Set method for partially specular wall with discrete ordinate model.
                    """
                class s2s(TUIMethod):
                    """
                    Enable/disable the S2S radiation model.
                    """
                class radiation_model_parameters(TUIMethod):
                    """
                    Set parameters for radiation models.
                    """
                class solution_method_for_do_coupling(TUIMethod):
                    """
                    Enable the solution method for DO/Energy  Coupling.
                    """

                class dtrm_parameters(TUIMenu):
                    """
                    Enter the DTRM parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.ray_trace = self.__class__.ray_trace(service, version, mode, path + ["ray_trace"])
                        self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                        self.check_ray_file = self.__class__.check_ray_file(service, version, mode, path + ["check_ray_file"])
                        self.make_globs = self.__class__.make_globs(service, version, mode, path + ["make_globs"])
                        super().__init__(service, version, mode, path)
                    class ray_trace(TUIMethod):
                        """
                        Create DTRM rays for radiation.
                        """
                    class controls(TUIMethod):
                        """
                        Set DTRM solution controls.
                        """
                    class check_ray_file(TUIMethod):
                        """
                        Read DTRM rays file.
                        """
                    class make_globs(TUIMethod):
                        """
                        Make globs (coarser mesh) for radiation.
                        """

                class solar_parameters(TUIMenu):
                    """
                    Enter the solar parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.solar_thread_control = self.__class__.solar_thread_control(service, version, mode, path + ["solar_thread_control"])
                        self.sol_camera_pos = self.__class__.sol_camera_pos(service, version, mode, path + ["sol_camera_pos"])
                        self.illumination_parameters = self.__class__.illumination_parameters(service, version, mode, path + ["illumination_parameters"])
                        self.ground_reflectivity = self.__class__.ground_reflectivity(service, version, mode, path + ["ground_reflectivity"])
                        self.sol_on_demand = self.__class__.sol_on_demand(service, version, mode, path + ["sol_on_demand"])
                        self.quad_tree_parameters = self.__class__.quad_tree_parameters(service, version, mode, path + ["quad_tree_parameters"])
                        self.scattering_fraction = self.__class__.scattering_fraction(service, version, mode, path + ["scattering_fraction"])
                        self.autosave_solar_data = self.__class__.autosave_solar_data(service, version, mode, path + ["autosave_solar_data"])
                        self.use_direction_from_sol_calc = self.__class__.use_direction_from_sol_calc(service, version, mode, path + ["use_direction_from_sol_calc"])
                        self.iteration_parameters = self.__class__.iteration_parameters(service, version, mode, path + ["iteration_parameters"])
                        self.sol_adjacent_fluidcells = self.__class__.sol_adjacent_fluidcells(service, version, mode, path + ["sol_adjacent_fluidcells"])
                        self.sun_direction_vector = self.__class__.sun_direction_vector(service, version, mode, path + ["sun_direction_vector"])
                        self.autoread_solar_data = self.__class__.autoread_solar_data(service, version, mode, path + ["autoread_solar_data"])
                        super().__init__(service, version, mode, path)
                    class solar_thread_control(TUIMethod):
                        """
                        Solar thread control.
                        """
                    class sol_camera_pos(TUIMethod):
                        """
                        Set camera position based on sun direction vector.
                        """
                    class illumination_parameters(TUIMethod):
                        """
                        Set illumination parameters.
                        """
                    class ground_reflectivity(TUIMethod):
                        """
                        Set ground reflectivity parameters.
                        """
                    class sol_on_demand(TUIMethod):
                        """
                        Enable  solar load on demand.
                        """
                    class quad_tree_parameters(TUIMethod):
                        """
                        Set quad-tree refinement parameters.
                        """
                    class scattering_fraction(TUIMethod):
                        """
                        Set scattering fraction parameters.
                        """
                    class autosave_solar_data(TUIMethod):
                        """
                        Set autosave solar data parameters.
                        """
                    class use_direction_from_sol_calc(TUIMethod):
                        """
                        Set direction computed from solar calculator.
                        """
                    class iteration_parameters(TUIMethod):
                        """
                        Set update parameters.
                        """
                    class sol_adjacent_fluidcells(TUIMethod):
                        """
                        Enable solar load for adjacent fluid cells.
                        """
                    class sun_direction_vector(TUIMethod):
                        """
                        Set sun direction vector.
                        """
                    class autoread_solar_data(TUIMethod):
                        """
                        Set autoread solar data parameters.
                        """

                class s2s_parameters(TUIMenu):
                    """
                    Enter the S2S parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.compute_fpsc_values = self.__class__.compute_fpsc_values(service, version, mode, path + ["compute_fpsc_values"])
                        self.enable_mesh_interface_clustering = self.__class__.enable_mesh_interface_clustering(service, version, mode, path + ["enable_mesh_interface_clustering"])
                        self.compute_write_vf = self.__class__.compute_write_vf(service, version, mode, path + ["compute_write_vf"])
                        self.compute_vf_only = self.__class__.compute_vf_only(service, version, mode, path + ["compute_vf_only"])
                        self.use_new_cluster_algorithm = self.__class__.use_new_cluster_algorithm(service, version, mode, path + ["use_new_cluster_algorithm"])
                        self.non_participating_boundary_zones_temperature = self.__class__.non_participating_boundary_zones_temperature(service, version, mode, path + ["non_participating_boundary_zones_temperature"])
                        self.set_vf_parameters = self.__class__.set_vf_parameters(service, version, mode, path + ["set_vf_parameters"])
                        self.print_thread_clusters = self.__class__.print_thread_clusters(service, version, mode, path + ["print_thread_clusters"])
                        self.split_angle = self.__class__.split_angle(service, version, mode, path + ["split_angle"])
                        self.use_old_cluster_algorithm = self.__class__.use_old_cluster_algorithm(service, version, mode, path + ["use_old_cluster_algorithm"])
                        self.set_global_faces_per_surface_cluster = self.__class__.set_global_faces_per_surface_cluster(service, version, mode, path + ["set_global_faces_per_surface_cluster"])
                        self.read_vf_file = self.__class__.read_vf_file(service, version, mode, path + ["read_vf_file"])
                        self.print_zonewise_radiation = self.__class__.print_zonewise_radiation(service, version, mode, path + ["print_zonewise_radiation"])
                        self.compute_vf_accelerated = self.__class__.compute_vf_accelerated(service, version, mode, path + ["compute_vf_accelerated"])
                        self.compute_clusters_and_vf_accelerated = self.__class__.compute_clusters_and_vf_accelerated(service, version, mode, path + ["compute_clusters_and_vf_accelerated"])
                        super().__init__(service, version, mode, path)
                    class compute_fpsc_values(TUIMethod):
                        """
                        Compute only fpsc values based on current settings.
                        """
                    class enable_mesh_interface_clustering(TUIMethod):
                        """
                        Enable clustering on mesh interfaces?.
                        """
                    class compute_write_vf(TUIMethod):
                        """
                        Compute/write surface clusters and view factors for S2S radiation model.
                        """
                    class compute_vf_only(TUIMethod):
                        """
                        Compute/write view factors only.
                        """
                    class use_new_cluster_algorithm(TUIMethod):
                        """
                        Use the new surface clustering algorithm.
                        """
                    class non_participating_boundary_zones_temperature(TUIMethod):
                        """
                        Set temperature for the non-participating boundary zones.
                        """
                    class set_vf_parameters(TUIMethod):
                        """
                        Set the parameters needed for the view factor calculations.
                        """
                    class print_thread_clusters(TUIMethod):
                        """
                        Prints the following for all boundary threads: thread-id, number of faces, faces per surface cluster, and the number of surface clusters.
                        """
                    class split_angle(TUIMethod):
                        """
                        Set the split angle for the clustering algorithm.
                        """
                    class use_old_cluster_algorithm(TUIMethod):
                        """
                        Use the old surface clustering algorithm.
                        """
                    class set_global_faces_per_surface_cluster(TUIMethod):
                        """
                        Set global value of faces per surface cluster for all boundary zones.
                        """
                    class read_vf_file(TUIMethod):
                        """
                        Read an S2S file.
                        """
                    class print_zonewise_radiation(TUIMethod):
                        """
                        Prints the zonewise incoming radiation, viewfactors, and average temperature.
                        """
                    class compute_vf_accelerated(TUIMethod):
                        """
                        Compute/Write view factors from existing surface clusters.
                        """
                    class compute_clusters_and_vf_accelerated(TUIMethod):
                        """
                        Compute/Write surface cluster first and then view factors.
                        """

            class cht(TUIMenu):
                """
                Enter the mapped interface model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.explicit_time_averaged_coupling = self.__class__.explicit_time_averaged_coupling(service, version, mode, path + ["explicit_time_averaged_coupling"])
                    self.write_mi_type_wall = self.__class__.write_mi_type_wall(service, version, mode, path + ["write_mi_type_wall"])
                    self.implicit_coupling = self.__class__.implicit_coupling(service, version, mode, path + ["implicit_coupling"])
                    self.read_mi_type_wall = self.__class__.read_mi_type_wall(service, version, mode, path + ["read_mi_type_wall"])
                    super().__init__(service, version, mode, path)
                class write_mi_type_wall(TUIMethod):
                    """
                    Write mapped interface settings to a scv file.
                    """
                class implicit_coupling(TUIMethod):
                    """
                    Enable/disable implicit coupling for mapped interface.
                    """
                class read_mi_type_wall(TUIMethod):
                    """
                    Read mapped interface data settings from a csv file.
                    """

                class explicit_time_averaged_coupling(TUIMenu):
                    """
                    Enter the explcit time averaged thermal coupling menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.conformal_coupled_walls = self.__class__.conformal_coupled_walls(service, version, mode, path + ["conformal_coupled_walls"])
                        self.fuse_explicit_cht_zones = self.__class__.fuse_explicit_cht_zones(service, version, mode, path + ["fuse_explicit_cht_zones"])
                        self.coupling_controls = self.__class__.coupling_controls(service, version, mode, path + ["coupling_controls"])
                        self.mapped_interfaces = self.__class__.mapped_interfaces(service, version, mode, path + ["mapped_interfaces"])
                        super().__init__(service, version, mode, path)
                    class conformal_coupled_walls(TUIMethod):
                        """
                        Select fluid-solid coupled walls (without shell) for explicit coupling using time averaged thermal variables.
                        """
                    class fuse_explicit_cht_zones(TUIMethod):
                        """
                        Fuse slitted conformal coupled walls marked for transient explicit thermal coupling.
                        """
                    class coupling_controls(TUIMethod):
                        """
                        Specify explcit coupling controls.
                        """
                    class mapped_interfaces(TUIMethod):
                        """
                        Select fluid-solid mapped interfaces for explicit coupling using time averaged thermal variables.
                        """

            class viscous(TUIMenu):
                """
                Enter the viscous model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.geko_options = self.__class__.geko_options(service, version, mode, path + ["geko_options"])
                    self.transition_model_options = self.__class__.transition_model_options(service, version, mode, path + ["transition_model_options"])
                    self.turbulence_expert = self.__class__.turbulence_expert(service, version, mode, path + ["turbulence_expert"])
                    self.multiphase_turbulence = self.__class__.multiphase_turbulence(service, version, mode, path + ["multiphase_turbulence"])
                    self.near_wall_treatment = self.__class__.near_wall_treatment(service, version, mode, path + ["near_wall_treatment"])
                    self.rng_swirl_model = self.__class__.rng_swirl_model(service, version, mode, path + ["rng_swirl_model"])
                    self.inviscid = self.__class__.inviscid(service, version, mode, path + ["inviscid"])
                    self.laminar = self.__class__.laminar(service, version, mode, path + ["laminar"])
                    self.les_subgrid_smagorinsky = self.__class__.les_subgrid_smagorinsky(service, version, mode, path + ["les_subgrid_smagorinsky"])
                    self.kw_sst = self.__class__.kw_sst(service, version, mode, path + ["kw_sst"])
                    self.sa_enhanced_wall_treatment = self.__class__.sa_enhanced_wall_treatment(service, version, mode, path + ["sa_enhanced_wall_treatment"])
                    self.les_subgrid_wale = self.__class__.les_subgrid_wale(service, version, mode, path + ["les_subgrid_wale"])
                    self.les_dynamic_energy_flux = self.__class__.les_dynamic_energy_flux(service, version, mode, path + ["les_dynamic_energy_flux"])
                    self.reynolds_stress_model = self.__class__.reynolds_stress_model(service, version, mode, path + ["reynolds_stress_model"])
                    self.rsm_wall_echo = self.__class__.rsm_wall_echo(service, version, mode, path + ["rsm_wall_echo"])
                    self.trans_sst_roughness_correlation = self.__class__.trans_sst_roughness_correlation(service, version, mode, path + ["trans_sst_roughness_correlation"])
                    self.kw_wj_bsl_earsm = self.__class__.kw_wj_bsl_earsm(service, version, mode, path + ["kw_wj_bsl_earsm"])
                    self.kw_standard = self.__class__.kw_standard(service, version, mode, path + ["kw_standard"])
                    self.spalart_allmaras = self.__class__.spalart_allmaras(service, version, mode, path + ["spalart_allmaras"])
                    self.kw_easm = self.__class__.kw_easm(service, version, mode, path + ["kw_easm"])
                    self.rng_differential_visc = self.__class__.rng_differential_visc(service, version, mode, path + ["rng_differential_visc"])
                    self.les_dynamic_scalar_flux = self.__class__.les_dynamic_scalar_flux(service, version, mode, path + ["les_dynamic_scalar_flux"])
                    self.low_pressure_boundary_slip = self.__class__.low_pressure_boundary_slip(service, version, mode, path + ["low_pressure_boundary_slip"])
                    self.zero_equation_hvac = self.__class__.zero_equation_hvac(service, version, mode, path + ["zero_equation_hvac"])
                    self.v2f = self.__class__.v2f(service, version, mode, path + ["v2f"])
                    self.kw_low_re_correction = self.__class__.kw_low_re_correction(service, version, mode, path + ["kw_low_re_correction"])
                    self.rsm_omega_based = self.__class__.rsm_omega_based(service, version, mode, path + ["rsm_omega_based"])
                    self.user_defined_transition = self.__class__.user_defined_transition(service, version, mode, path + ["user_defined_transition"])
                    self.les_subgrid_dynamic_fvar = self.__class__.les_subgrid_dynamic_fvar(service, version, mode, path + ["les_subgrid_dynamic_fvar"])
                    self.ke_rng = self.__class__.ke_rng(service, version, mode, path + ["ke_rng"])
                    self.les_subgrid_rng = self.__class__.les_subgrid_rng(service, version, mode, path + ["les_subgrid_rng"])
                    self.ke_standard = self.__class__.ke_standard(service, version, mode, path + ["ke_standard"])
                    self.ke1e = self.__class__.ke1e(service, version, mode, path + ["ke1e"])
                    self.rsm_ssg_pressure_strain = self.__class__.rsm_ssg_pressure_strain(service, version, mode, path + ["rsm_ssg_pressure_strain"])
                    self.les_subgrid_wmles_s_minus_omega = self.__class__.les_subgrid_wmles_s_minus_omega(service, version, mode, path + ["les_subgrid_wmles_s_minus_omega"])
                    self.rsm_bsl_based = self.__class__.rsm_bsl_based(service, version, mode, path + ["rsm_bsl_based"])
                    self.rsm_solve_tke = self.__class__.rsm_solve_tke(service, version, mode, path + ["rsm_solve_tke"])
                    self.corner_flow_correction = self.__class__.corner_flow_correction(service, version, mode, path + ["corner_flow_correction"])
                    self.mixing_length = self.__class__.mixing_length(service, version, mode, path + ["mixing_length"])
                    self.sas = self.__class__.sas(service, version, mode, path + ["sas"])
                    self.sa_damping = self.__class__.sa_damping(service, version, mode, path + ["sa_damping"])
                    self.kw_bsl = self.__class__.kw_bsl(service, version, mode, path + ["kw_bsl"])
                    self.ke_easm = self.__class__.ke_easm(service, version, mode, path + ["ke_easm"])
                    self.detached_eddy_simulation = self.__class__.detached_eddy_simulation(service, version, mode, path + ["detached_eddy_simulation"])
                    self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
                    self.des_limiter_option = self.__class__.des_limiter_option(service, version, mode, path + ["des_limiter_option"])
                    self.ke_realizable = self.__class__.ke_realizable(service, version, mode, path + ["ke_realizable"])
                    self.transition_sst = self.__class__.transition_sst(service, version, mode, path + ["transition_sst"])
                    self.kw_shear_correction = self.__class__.kw_shear_correction(service, version, mode, path + ["kw_shear_correction"])
                    self.turb_compressibility = self.__class__.turb_compressibility(service, version, mode, path + ["turb_compressibility"])
                    self.kw_geko = self.__class__.kw_geko(service, version, mode, path + ["kw_geko"])
                    self.sa_alternate_prod = self.__class__.sa_alternate_prod(service, version, mode, path + ["sa_alternate_prod"])
                    self.large_eddy_simulation = self.__class__.large_eddy_simulation(service, version, mode, path + ["large_eddy_simulation"])
                    self.add_transition_model = self.__class__.add_transition_model(service, version, mode, path + ["add_transition_model"])
                    self.turb_buoyancy_effects = self.__class__.turb_buoyancy_effects(service, version, mode, path + ["turb_buoyancy_effects"])
                    self.curvature_correction = self.__class__.curvature_correction(service, version, mode, path + ["curvature_correction"])
                    self.corner_flow_correction_ccorner = self.__class__.corner_flow_correction_ccorner(service, version, mode, path + ["corner_flow_correction_ccorner"])
                    self.les_subgrid_tke = self.__class__.les_subgrid_tke(service, version, mode, path + ["les_subgrid_tke"])
                    self.k_kl_w = self.__class__.k_kl_w(service, version, mode, path + ["k_kl_w"])
                    self.rsm_linear_pressure_strain = self.__class__.rsm_linear_pressure_strain(service, version, mode, path + ["rsm_linear_pressure_strain"])
                    self.curvature_correction_ccurv = self.__class__.curvature_correction_ccurv(service, version, mode, path + ["curvature_correction_ccurv"])
                    self.les_subgrid_wmles = self.__class__.les_subgrid_wmles(service, version, mode, path + ["les_subgrid_wmles"])
                    self.rsm_or_earsm_geko_option = self.__class__.rsm_or_earsm_geko_option(service, version, mode, path + ["rsm_or_earsm_geko_option"])
                    super().__init__(service, version, mode, path)
                class rng_swirl_model(TUIMethod):
                    """
                    Enable/disable swirl corrections for rng-model.
                    """
                class inviscid(TUIMethod):
                    """
                    Enable/disable the inviscid flow model.
                    """
                class laminar(TUIMethod):
                    """
                    Enable/disable the laminar flow model.
                    """
                class les_subgrid_smagorinsky(TUIMethod):
                    """
                    Enable/disable the Smagorinsky-Lilly subgrid-scale model.
                    """
                class kw_sst(TUIMethod):
                    """
                    Enable/disable the SST k-omega turbulence model.
                    """
                class sa_enhanced_wall_treatment(TUIMethod):
                    """
                    Enable/disable the enhanced wall treatment for the Spalart-Allmaras model.
                    If disabled, no smooth blending between the viscous sublayer and the
                    log-law formulation is employed, as was done in versions previous to Fluent14.
                    """
                class les_subgrid_wale(TUIMethod):
                    """
                    Enable/disable the WALE subgrid-scale model.
                    """
                class les_dynamic_energy_flux(TUIMethod):
                    """
                    Enable/disable the dynamic sub-grid scale turbulent Prandtl Number.
                    """
                class reynolds_stress_model(TUIMethod):
                    """
                    Enable/disable the RSM turbulence model.
                    """
                class rsm_wall_echo(TUIMethod):
                    """
                    Enable/disable wall-echo effects in RSM model.
                    """
                class trans_sst_roughness_correlation(TUIMethod):
                    """
                    Enable/disable the Transition-SST roughness correlation option.
                    """
                class kw_wj_bsl_earsm(TUIMethod):
                    """
                    Enable/disable the EASM k-omega turbulence model.
                    """
                class kw_standard(TUIMethod):
                    """
                    Enable/disable the standard k-omega turbulence model.
                    """
                class spalart_allmaras(TUIMethod):
                    """
                    Enable/disable the Spalart-Allmaras turbulence model.
                    """
                class kw_easm(TUIMethod):
                    """
                    Enable/disable the EASM k-omega turbulence model.
                    """
                class rng_differential_visc(TUIMethod):
                    """
                    Enable/disable the differential-viscosity model.
                    """
                class les_dynamic_scalar_flux(TUIMethod):
                    """
                    Enable/disable the dynamic sub-grid scale turbulent Schmidt Number.
                    """
                class low_pressure_boundary_slip(TUIMethod):
                    """
                    Enable/disable the slip boundary formulation for low-pressure gas systems.
                    """
                class zero_equation_hvac(TUIMethod):
                    """
                    Enable/disable the zero-equation HVAC turbulence model.
                    """
                class v2f(TUIMethod):
                    """
                    Enable/disable the V2F turbulence model.
                    """
                class kw_low_re_correction(TUIMethod):
                    """
                    Enable/disable the k-omega low Re option.
                    """
                class rsm_omega_based(TUIMethod):
                    """
                    Enable/disable the Stress-omega model.
                    """
                class user_defined_transition(TUIMethod):
                    """
                    Set user-defined transition correlations.
                    """
                class les_subgrid_dynamic_fvar(TUIMethod):
                    """
                    Enable/disable the dynamic subgrid-scale mixture fraction variance model.
                    """
                class ke_rng(TUIMethod):
                    """
                    Enable/disable the RNG k-epsilon turbulence model.
                    """
                class les_subgrid_rng(TUIMethod):
                    """
                    Enable/disable the RNG subgrid-scale model.
                    """
                class ke_standard(TUIMethod):
                    """
                    Enable/disable the standard k-epsilon turbulence model.
                    """
                class ke1e(TUIMethod):
                    """
                    Enable/disable the KE1E turbulence model.
                    """
                class rsm_ssg_pressure_strain(TUIMethod):
                    """
                    Enable/disable the quadratic pressure-strain model in RSM.
                    """
                class les_subgrid_wmles_s_minus_omega(TUIMethod):
                    """
                    Enable/disable the WMLES S-Omega subgrid-scale model.
                    """
                class rsm_bsl_based(TUIMethod):
                    """
                    Enable/disable the Stress-BSL model.
                    """
                class rsm_solve_tke(TUIMethod):
                    """
                    Enable/disable the solution of T.K.E. in RSM model.
                    """
                class corner_flow_correction(TUIMethod):
                    """
                    Enable/disable the corner flow correction.
                    """
                class mixing_length(TUIMethod):
                    """
                    Enable/disable the mixing-length (algebraic) turbulence model.
                    """
                class sas(TUIMethod):
                    """
                    Enable/disable the SAS turbulence model.
                    """
                class sa_damping(TUIMethod):
                    """
                    Enable/disable the full low-Reynolds number form of Spalart-Allmaras model.
                    """
                class kw_bsl(TUIMethod):
                    """
                    Enable/disable the BSL k-omega turbulence model.
                    """
                class ke_easm(TUIMethod):
                    """
                    Enable/disable the EASM k-epsilon turbulence model.
                    """
                class detached_eddy_simulation(TUIMethod):
                    """
                    Enable/disable detached eddy simulation.
                    """
                class user_defined(TUIMethod):
                    """
                    Select user-defined functions to define the turbulent viscosity and the turbulent Prandtl and Schmidt numbers.
                    """
                class des_limiter_option(TUIMethod):
                    """
                    Select DES limiter option.
                    """
                class ke_realizable(TUIMethod):
                    """
                    Enable/disable the realizable k-epsilon turbulence model.
                    """
                class transition_sst(TUIMethod):
                    """
                    Enable/disable the transition SST turbulence model.
                    """
                class kw_shear_correction(TUIMethod):
                    """
                    Enable/disable the k-omega shear-flow correction option.
                    """
                class turb_compressibility(TUIMethod):
                    """
                    Enable/disable the compressibility correction option.
                    """
                class kw_geko(TUIMethod):
                    """
                    Enable/disable the GEKO turbulence model.
                    """
                class sa_alternate_prod(TUIMethod):
                    """
                    Enable/disable strain/vorticity production in Spalart-Allmaras model.
                    """
                class large_eddy_simulation(TUIMethod):
                    """
                    Enable/disable large eddy simulation.
                    """
                class add_transition_model(TUIMethod):
                    """
                    Enable/disable a transition model to account for transitional effects.
                    """
                class turb_buoyancy_effects(TUIMethod):
                    """
                    Select buoyancy effects on turbulence.
                    """
                class curvature_correction(TUIMethod):
                    """
                    Enable/disable the curvature correction.
                    """
                class corner_flow_correction_ccorner(TUIMethod):
                    """
                    Set the corner flow correction coefficient CCORNER.
                    """
                class les_subgrid_tke(TUIMethod):
                    """
                    Enable/disable the kinetic energy transport subgrid-scale model.
                    """
                class k_kl_w(TUIMethod):
                    """
                    Enable/disable the k-kl-omega turbulence model.
                    """
                class rsm_linear_pressure_strain(TUIMethod):
                    """
                    Enable/disable the linear pressure-strain model in RSM.
                    """
                class curvature_correction_ccurv(TUIMethod):
                    """
                    Set the curvature correction coefficient CCURV.
                    """
                class les_subgrid_wmles(TUIMethod):
                    """
                    Enable/disable the WMLES subgrid-scale model.
                    """
                class rsm_or_earsm_geko_option(TUIMethod):
                    """
                    Enable/disable the GEKO option for RSM or EARSM.
                    """

                class geko_options(TUIMenu):
                    """
                    Enter the GEKO options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.wall_distance_free = self.__class__.wall_distance_free(service, version, mode, path + ["wall_distance_free"])
                        self.cnw_sub = self.__class__.cnw_sub(service, version, mode, path + ["cnw_sub"])
                        self.cjet_aux = self.__class__.cjet_aux(service, version, mode, path + ["cjet_aux"])
                        self.csep = self.__class__.csep(service, version, mode, path + ["csep"])
                        self.creal = self.__class__.creal(service, version, mode, path + ["creal"])
                        self.cmix = self.__class__.cmix(service, version, mode, path + ["cmix"])
                        self.blending_function = self.__class__.blending_function(service, version, mode, path + ["blending_function"])
                        self.cbf_tur = self.__class__.cbf_tur(service, version, mode, path + ["cbf_tur"])
                        self.cjet = self.__class__.cjet(service, version, mode, path + ["cjet"])
                        self.cnw = self.__class__.cnw(service, version, mode, path + ["cnw"])
                        self.cbf_lam = self.__class__.cbf_lam(service, version, mode, path + ["cbf_lam"])
                        self.geko_defaults = self.__class__.geko_defaults(service, version, mode, path + ["geko_defaults"])
                        super().__init__(service, version, mode, path)
                    class wall_distance_free(TUIMethod):
                        """
                        Enable/disable wall-distance-free version of GEKO model.
                        """
                    class cnw_sub(TUIMethod):
                        """
                        Set the GEKO model coefficient CNW_SUB.
                        """
                    class cjet_aux(TUIMethod):
                        """
                        Set the GEKO model coefficient CJET_AUX.
                        """
                    class csep(TUIMethod):
                        """
                        Set the GEKO model coefficient CSEP.
                        """
                    class creal(TUIMethod):
                        """
                        Set the GEKO model coefficient CREAL.
                        """
                    class cmix(TUIMethod):
                        """
                        Set the GEKO model coefficient CMIX.
                        """
                    class blending_function(TUIMethod):
                        """
                        Set the GEKO model blending function.
                        """
                    class cbf_tur(TUIMethod):
                        """
                        Set the GEKO model coefficient CBF_TUR.
                        """
                    class cjet(TUIMethod):
                        """
                        Set the GEKO model coefficient CJET.
                        """
                    class cnw(TUIMethod):
                        """
                        Set the GEKO model coefficient CNW.
                        """
                    class cbf_lam(TUIMethod):
                        """
                        Set the GEKO model coefficient CBF_LAM.
                        """
                    class geko_defaults(TUIMethod):
                        """
                        Set GEKO options to default.
                        """

                class transition_model_options(TUIMenu):
                    """
                    Enter the transition model options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.crossflow_transition = self.__class__.crossflow_transition(service, version, mode, path + ["crossflow_transition"])
                        self.rec_c2 = self.__class__.rec_c2(service, version, mode, path + ["rec_c2"])
                        self.ctu_lowtu = self.__class__.ctu_lowtu(service, version, mode, path + ["ctu_lowtu"])
                        self.ctu_hightu = self.__class__.ctu_hightu(service, version, mode, path + ["ctu_hightu"])
                        self.capg_hightu = self.__class__.capg_hightu(service, version, mode, path + ["capg_hightu"])
                        self.rv1_switch = self.__class__.rv1_switch(service, version, mode, path + ["rv1_switch"])
                        self.cbubble_c2 = self.__class__.cbubble_c2(service, version, mode, path + ["cbubble_c2"])
                        self.capg_lowtu = self.__class__.capg_lowtu(service, version, mode, path + ["capg_lowtu"])
                        self.rec_c1 = self.__class__.rec_c1(service, version, mode, path + ["rec_c1"])
                        self.critical_reynolds_number_correlation = self.__class__.critical_reynolds_number_correlation(service, version, mode, path + ["critical_reynolds_number_correlation"])
                        self.cfpg_lowtu = self.__class__.cfpg_lowtu(service, version, mode, path + ["cfpg_lowtu"])
                        self.cbubble_c1 = self.__class__.cbubble_c1(service, version, mode, path + ["cbubble_c1"])
                        self.rec_max = self.__class__.rec_max(service, version, mode, path + ["rec_max"])
                        self.cfpg_hightu = self.__class__.cfpg_hightu(service, version, mode, path + ["cfpg_hightu"])
                        self.clambda_scale = self.__class__.clambda_scale(service, version, mode, path + ["clambda_scale"])
                        super().__init__(service, version, mode, path)
                    class crossflow_transition(TUIMethod):
                        """
                        Enable/disable crossflow transition for the intermittency transition model.
                        """
                    class rec_c2(TUIMethod):
                        """
                        Set the algebraic transition model coefficient REC_C2.
                        """
                    class ctu_lowtu(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CTU_LOWTU.
                        """
                    class ctu_hightu(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CTU_HIGHTU.
                        """
                    class capg_hightu(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CAPG_HIGHTU.
                        """
                    class rv1_switch(TUIMethod):
                        """
                        Set the algebraic transition model coefficient RV1_SWITCH.
                        """
                    class cbubble_c2(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CBUBBLE_C2.
                        """
                    class capg_lowtu(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CAPG_LOWTU.
                        """
                    class rec_c1(TUIMethod):
                        """
                        Set the algebraic transition model coefficient REC_C1.
                        """
                    class critical_reynolds_number_correlation(TUIMethod):
                        """
                        Set the critical Reynolds number correlation.
                        """
                    class cfpg_lowtu(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CFPG_LOWTU.
                        """
                    class cbubble_c1(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CBUBBLE_C1.
                        """
                    class rec_max(TUIMethod):
                        """
                        Set the algebraic transition model coefficient REC_MAX.
                        """
                    class cfpg_hightu(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CFPG_HIGHTU.
                        """
                    class clambda_scale(TUIMethod):
                        """
                        Set the algebraic transition model coefficient CLAMBDA_SCALE.
                        """

                class turbulence_expert(TUIMenu):
                    """
                    Enter the turbulence expert menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.kw_add_des = self.__class__.kw_add_des(service, version, mode, path + ["kw_add_des"])
                        self.low_re_ke = self.__class__.low_re_ke(service, version, mode, path + ["low_re_ke"])
                        self.kw_add_sas = self.__class__.kw_add_sas(service, version, mode, path + ["kw_add_sas"])
                        self.sbes_sgs_option = self.__class__.sbes_sgs_option(service, version, mode, path + ["sbes_sgs_option"])
                        self.production_limiter = self.__class__.production_limiter(service, version, mode, path + ["production_limiter"])
                        self.rke_cmu_rotation_term = self.__class__.rke_cmu_rotation_term(service, version, mode, path + ["rke_cmu_rotation_term"])
                        self.turb_add_sbes_sdes = self.__class__.turb_add_sbes_sdes(service, version, mode, path + ["turb_add_sbes_sdes"])
                        self.restore_sst_v61 = self.__class__.restore_sst_v61(service, version, mode, path + ["restore_sst_v61"])
                        self.turbulence_damping = self.__class__.turbulence_damping(service, version, mode, path + ["turbulence_damping"])
                        self.turb_non_newtonian = self.__class__.turb_non_newtonian(service, version, mode, path + ["turb_non_newtonian"])
                        self.sbes_update_interval_k_omega = self.__class__.sbes_update_interval_k_omega(service, version, mode, path + ["sbes_update_interval_k_omega"])
                        self.thermal_p_function = self.__class__.thermal_p_function(service, version, mode, path + ["thermal_p_function"])
                        self.kw_vorticity_based_production = self.__class__.kw_vorticity_based_production(service, version, mode, path + ["kw_vorticity_based_production"])
                        self.sbes_sdes_hybrid_model = self.__class__.sbes_sdes_hybrid_model(service, version, mode, path + ["sbes_sdes_hybrid_model"])
                        self.kato_launder_model = self.__class__.kato_launder_model(service, version, mode, path + ["kato_launder_model"])
                        self.non_newtonian_modification = self.__class__.non_newtonian_modification(service, version, mode, path + ["non_newtonian_modification"])
                        self.turb_pk_compressible = self.__class__.turb_pk_compressible(service, version, mode, path + ["turb_pk_compressible"])
                        self.sbes_les_subgrid_dynamic_fvar = self.__class__.sbes_les_subgrid_dynamic_fvar(service, version, mode, path + ["sbes_les_subgrid_dynamic_fvar"])
                        self.low_re_ke_index = self.__class__.low_re_ke_index(service, version, mode, path + ["low_re_ke_index"])
                        super().__init__(service, version, mode, path)
                    class kw_add_des(TUIMethod):
                        """
                        Enable/disable DES-mode with the current turbulence model.
                        """
                    class low_re_ke(TUIMethod):
                        """
                        Enable/disable the low-Re k-epsilon turbulence model.
                        """
                    class kw_add_sas(TUIMethod):
                        """
                        Enable/disable the SAS-mode with the current turbulence model.
                        """
                    class sbes_sgs_option(TUIMethod):
                        """
                        Select SBES subgrid-scale model.
                        """
                    class production_limiter(TUIMethod):
                        """
                        Enable/disable the Production Limiter.
                        """
                    class rke_cmu_rotation_term(TUIMethod):
                        """
                        Enable/disable inclusion of omega in the Cmu definition.
                        """
                    class turb_add_sbes_sdes(TUIMethod):
                        """
                        Enable/disable SBES / SDES with the current turbulence model.
                        """
                    class restore_sst_v61(TUIMethod):
                        """
                        Enable/disable SST formulation of v6.1.
                        """
                    class turbulence_damping(TUIMethod):
                        """
                        Enable/disable turbulence damping and set turbulence damping parameters.
                        """
                    class turb_non_newtonian(TUIMethod):
                        """
                        Enable/disable turbulence for non-Newtonian fluids.
                        """
                    class sbes_update_interval_k_omega(TUIMethod):
                        """
                        Set an integer value how often the k and omega equations are updated in a transient SBES run.
                        """
                    class thermal_p_function(TUIMethod):
                        """
                        Enable/disable the Jayatilleke P function.
                        """
                    class kw_vorticity_based_production(TUIMethod):
                        """
                        Enable/disable vorticity based production.
                        """
                    class sbes_sdes_hybrid_model(TUIMethod):
                        """
                        Select the SBES / SDES hybrid model.
                        """
                    class kato_launder_model(TUIMethod):
                        """
                        Enable/disable Kato-Launder modification for production.
                        """
                    class non_newtonian_modification(TUIMethod):
                        """
                        Enable/disable non-Newtonian modification for Lam-Bremhorst model.
                        """
                    class turb_pk_compressible(TUIMethod):
                        """
                        Enable/disable turbulent production due to compressible divergence.
                        """
                    class sbes_les_subgrid_dynamic_fvar(TUIMethod):
                        """
                        Enable/disable the dynamic subgrid-scale mixture fraction variance model.
                        """
                    class low_re_ke_index(TUIMethod):
                        """
                        Enable/disable the low-Re k-epsilon model version.
                        """

                class multiphase_turbulence(TUIMenu):
                    """
                    Enter the multiphase turbulence menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.turbulence_multiphase_models = self.__class__.turbulence_multiphase_models(service, version, mode, path + ["turbulence_multiphase_models"])
                        self.rsm_multiphase_models = self.__class__.rsm_multiphase_models(service, version, mode, path + ["rsm_multiphase_models"])
                        self.subgrid_turbulence_contribution_aiad = self.__class__.subgrid_turbulence_contribution_aiad(service, version, mode, path + ["subgrid_turbulence_contribution_aiad"])
                        self.multiphase_options = self.__class__.multiphase_options(service, version, mode, path + ["multiphase_options"])
                        super().__init__(service, version, mode, path)
                    class turbulence_multiphase_models(TUIMethod):
                        """
                        Select the k-epsilon multiphase model.
                        """
                    class rsm_multiphase_models(TUIMethod):
                        """
                        Enable/disable the Reynolds Stress multiphase model.
                        """
                    class subgrid_turbulence_contribution_aiad(TUIMethod):
                        """
                        Enable/disable the Subgrid Turbulence Contribution for the AIAD model.
                        """
                    class multiphase_options(TUIMethod):
                        """
                        Enable/disable multiphase options.
                        """

                class near_wall_treatment(TUIMenu):
                    """
                    Enter the near wall treatment menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.wf_pressure_gradient_effects = self.__class__.wf_pressure_gradient_effects(service, version, mode, path + ["wf_pressure_gradient_effects"])
                        self.non_equilibrium_wall_fn = self.__class__.non_equilibrium_wall_fn(service, version, mode, path + ["non_equilibrium_wall_fn"])
                        self.menter_lechner = self.__class__.menter_lechner(service, version, mode, path + ["menter_lechner"])
                        self.user_defined_wall_functions = self.__class__.user_defined_wall_functions(service, version, mode, path + ["user_defined_wall_functions"])
                        self.werner_wengle_wall_fn = self.__class__.werner_wengle_wall_fn(service, version, mode, path + ["werner_wengle_wall_fn"])
                        self.wf_thermal_effects = self.__class__.wf_thermal_effects(service, version, mode, path + ["wf_thermal_effects"])
                        self.enhanced_wall_treatment = self.__class__.enhanced_wall_treatment(service, version, mode, path + ["enhanced_wall_treatment"])
                        self.wall_omega_treatment = self.__class__.wall_omega_treatment(service, version, mode, path + ["wall_omega_treatment"])
                        self.scalable_wall_functions = self.__class__.scalable_wall_functions(service, version, mode, path + ["scalable_wall_functions"])
                        super().__init__(service, version, mode, path)
                    class wf_pressure_gradient_effects(TUIMethod):
                        """
                        Enable/disable wall function pressure-gradient effects.
                        """
                    class non_equilibrium_wall_fn(TUIMethod):
                        """
                        Enable/disable non-equilibrium wall functions.
                        """
                    class menter_lechner(TUIMethod):
                        """
                        Enable/disable near wall treatment Menter-Lechner.
                        """
                    class user_defined_wall_functions(TUIMethod):
                        """
                        Enable user defined wall functions.
                        """
                    class werner_wengle_wall_fn(TUIMethod):
                        """
                        Enable/disable Werner-Wengle wall functions.
                        """
                    class wf_thermal_effects(TUIMethod):
                        """
                        Enable/disable wall function thermal effects.
                        """
                    class enhanced_wall_treatment(TUIMethod):
                        """
                        Enable/disable enhanced wall functions.
                        """
                    class wall_omega_treatment(TUIMethod):
                        """
                        Set wall omega treatment.
                        """
                    class scalable_wall_functions(TUIMethod):
                        """
                        Enable/disable scalable wall functions.
                        """

            class optics(TUIMenu):
                """
                Enter the optics model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.beams = self.__class__.beams(service, version, mode, path + ["beams"])
                    self.statistics = self.__class__.statistics(service, version, mode, path + ["statistics"])
                    self.index_of_refraction = self.__class__.index_of_refraction(service, version, mode, path + ["index_of_refraction"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.report = self.__class__.report(service, version, mode, path + ["report"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.sampling_iterations = self.__class__.sampling_iterations(service, version, mode, path + ["sampling_iterations"])
                    super().__init__(service, version, mode, path)
                class index_of_refraction(TUIMethod):
                    """
                    .
                    """
                class verbosity(TUIMethod):
                    """
                    .
                    """
                class report(TUIMethod):
                    """
                    .
                    """
                class enable(TUIMethod):
                    """
                    .
                    """
                class sampling_iterations(TUIMethod):
                    """
                    .
                    """

                class beams(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                        self.list_beam_parameters = self.__class__.list_beam_parameters(service, version, mode, path + ["list_beam_parameters"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        super().__init__(service, version, mode, path)
                    class copy(TUIMethod):
                        """
                        .
                        """
                    class list_beam_parameters(TUIMethod):
                        """
                        .
                        """
                    class delete(TUIMethod):
                        """
                        Delete object.
                        """
                    class edit(TUIMethod):
                        """
                        Edit beams object.
                        """
                    class add(TUIMethod):
                        """
                        Create a new beams object.
                        """
                    class rename(TUIMethod):
                        """
                        Rename object.
                        """

                class statistics(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.statistics_controls = self.__class__.statistics_controls(service, version, mode, path + ["statistics_controls"])
                        self.reset_statistics = self.__class__.reset_statistics(service, version, mode, path + ["reset_statistics"])
                        super().__init__(service, version, mode, path)
                    class statistics_controls(TUIMethod):
                        """
                        .
                        """
                    class reset_statistics(TUIMethod):
                        """
                        .
                        """

        class mesh_interfaces(TUIMenu):
            """
            Enter the mesh-interfaces menu.
            """
            def __init__(self, service, version, mode, path):
                self.mapped_interface_options = self.__class__.mapped_interface_options(service, version, mode, path + ["mapped_interface_options"])
                self.auto_options = self.__class__.auto_options(service, version, mode, path + ["auto_options"])
                self.non_conformal_interface_numerics = self.__class__.non_conformal_interface_numerics(service, version, mode, path + ["non_conformal_interface_numerics"])
                self.transfer_motion_across_interfaces = self.__class__.transfer_motion_across_interfaces(service, version, mode, path + ["transfer_motion_across_interfaces"])
                self.turbo_create = self.__class__.turbo_create(service, version, mode, path + ["turbo_create"])
                self.enable_visualization_of_interfaces = self.__class__.enable_visualization_of_interfaces(service, version, mode, path + ["enable_visualization_of_interfaces"])
                self.auto_pairing = self.__class__.auto_pairing(service, version, mode, path + ["auto_pairing"])
                self.non_overlapping_zone_name = self.__class__.non_overlapping_zone_name(service, version, mode, path + ["non_overlapping_zone_name"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.make_phaselag_from_periodic = self.__class__.make_phaselag_from_periodic(service, version, mode, path + ["make_phaselag_from_periodic"])
                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.enable_si_with_nodes = self.__class__.enable_si_with_nodes(service, version, mode, path + ["enable_si_with_nodes"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.make_phaselag_from_boundaries = self.__class__.make_phaselag_from_boundaries(service, version, mode, path + ["make_phaselag_from_boundaries"])
                self.improve_quality = self.__class__.improve_quality(service, version, mode, path + ["improve_quality"])
                self.one_to_one_pairing = self.__class__.one_to_one_pairing(service, version, mode, path + ["one_to_one_pairing"])
                self.enforce_coupled_wall_between_solids = self.__class__.enforce_coupled_wall_between_solids(service, version, mode, path + ["enforce_coupled_wall_between_solids"])
                self.enforce_continuity_after_bc = self.__class__.enforce_continuity_after_bc(service, version, mode, path + ["enforce_continuity_after_bc"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.remove_left_handed_interface_faces = self.__class__.remove_left_handed_interface_faces(service, version, mode, path + ["remove_left_handed_interface_faces"])
                self.make_periodic = self.__class__.make_periodic(service, version, mode, path + ["make_periodic"])
                super().__init__(service, version, mode, path)
            class transfer_motion_across_interfaces(TUIMethod):
                """
                Transfer motion from one side of the interface to the other when only one side undergoes user-defined or system-coupling motion.
                """
            class turbo_create(TUIMethod):
                """
                Create a general turbo interface.
                """
            class enable_visualization_of_interfaces(TUIMethod):
                """
                Display facets on mesh interfaces.
                """
            class auto_pairing(TUIMethod):
                """
                Automatically pair and create mesh interfaces for some or all interface zones.
                """
            class non_overlapping_zone_name(TUIMethod):
                """
                Get non-overlapping zone name from the associated interface zone.
                """
            class delete_all(TUIMethod):
                """
                Delete all mesh interfaces.
                """
            class create(TUIMethod):
                """
                Create a mesh interface.
                """
            class delete(TUIMethod):
                """
                Delete a mesh interface.
                """
            class make_phaselag_from_periodic(TUIMethod):
                """
                Convert periodic interface to phase lagged.
                """
            class verbosity(TUIMethod):
                """
                Set mesh interface verbosity.
                """
            class edit(TUIMethod):
                """
                Edit a mesh interface.
                """
            class enable_si_with_nodes(TUIMethod):
                """
                Enable sliding interfaces with nodes.
                """
            class list(TUIMethod):
                """
                List all mesh-interfaces.
                """
            class make_phaselag_from_boundaries(TUIMethod):
                """
                Make interface zones phase lagged.
                """
            class improve_quality(TUIMethod):
                """
                Improve mesh interface quality.
                """
            class one_to_one_pairing(TUIMethod):
                """
                Use the default one-to-one interface creation method?.
                """
            class enforce_coupled_wall_between_solids(TUIMethod):
                """
                Create coupled wall interface between solids.
                """
            class enforce_continuity_after_bc(TUIMethod):
                """
                Across the interface, enforces continuity over boundary condition.
                """
            class display(TUIMethod):
                """
                Display specified mesh interface zone.
                """
            class remove_left_handed_interface_faces(TUIMethod):
                """
                Remove left-handed faces during mesh interface creation.
                """
            class make_periodic(TUIMethod):
                """
                Make interface zones periodic.
                """

            class mapped_interface_options(TUIMenu):
                """
                Enter the mapped-interface-options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.solution_controls = self.__class__.solution_controls(service, version, mode, path + ["solution_controls"])
                    self.convert_to_mapped_interface = self.__class__.convert_to_mapped_interface(service, version, mode, path + ["convert_to_mapped_interface"])
                    self.tolerance = self.__class__.tolerance(service, version, mode, path + ["tolerance"])
                    super().__init__(service, version, mode, path)
                class solution_controls(TUIMethod):
                    """
                    Specification of mapped frequency and under-relaxation factor for mapped interfaces.
                    """
                class convert_to_mapped_interface(TUIMethod):
                    """
                    Convert non-conformal mesh interface to mapped mesh interfaces.
                    """
                class tolerance(TUIMethod):
                    """
                    Specification of mapped interface tolerance.
                    """

            class auto_options(TUIMenu):
                """
                Enter auto-options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set_default_name_prefix = self.__class__.set_default_name_prefix(service, version, mode, path + ["set_default_name_prefix"])
                    self.set_one_to_one_pairing_tolerance = self.__class__.set_one_to_one_pairing_tolerance(service, version, mode, path + ["set_one_to_one_pairing_tolerance"])
                    self.pairing_between_interface_zones_only = self.__class__.pairing_between_interface_zones_only(service, version, mode, path + ["pairing_between_interface_zones_only"])
                    self.keep_empty_interface = self.__class__.keep_empty_interface(service, version, mode, path + ["keep_empty_interface"])
                    self.proximity_tolerance = self.__class__.proximity_tolerance(service, version, mode, path + ["proximity_tolerance"])
                    self.naming_option = self.__class__.naming_option(service, version, mode, path + ["naming_option"])
                    self.pairing_between_different_cell_zones_only = self.__class__.pairing_between_different_cell_zones_only(service, version, mode, path + ["pairing_between_different_cell_zones_only"])
                    super().__init__(service, version, mode, path)
                class set_default_name_prefix(TUIMethod):
                    """
                    Specification of auto pairing default name prefix.
                    """
                class set_one_to_one_pairing_tolerance(TUIMethod):
                    """
                    Enable/disable one-to-one auto pairing tolerance.
                    """
                class pairing_between_interface_zones_only(TUIMethod):
                    """
                    Pairing between interface zones only.
                    """
                class keep_empty_interface(TUIMethod):
                    """
                    Keep empty interfaces during one-to-one mesh interface creation.
                    """
                class proximity_tolerance(TUIMethod):
                    """
                    Specification of auto pairing tolerance.
                    """
                class naming_option(TUIMethod):
                    """
                    Specify whether or not to include an informative suffix to the mesh interface name.
                    """
                class pairing_between_different_cell_zones_only(TUIMethod):
                    """
                    Pairing between interface zones from different cell zones only.
                    """

            class non_conformal_interface_numerics(TUIMenu):
                """
                Setting non-conformal numerics options.
                """
                def __init__(self, service, version, mode, path):
                    self.change_numerics = self.__class__.change_numerics(service, version, mode, path + ["change_numerics"])
                    super().__init__(service, version, mode, path)
                class change_numerics(TUIMethod):
                    """
                    Enable modified non-conformal interface numerics.
                    """

        class expert(TUIMenu):
            """
            Enter expert setup menu.
            """
            def __init__(self, service, version, mode, path):
                self.spectral = self.__class__.spectral(service, version, mode, path + ["spectral"])
                self.enable_mesh_morpher_optimizer = self.__class__.enable_mesh_morpher_optimizer(service, version, mode, path + ["enable_mesh_morpher_optimizer"])
                self.heterogeneous_stiff_chemistry = self.__class__.heterogeneous_stiff_chemistry(service, version, mode, path + ["heterogeneous_stiff_chemistry"])
                self.stiff_chemistry = self.__class__.stiff_chemistry(service, version, mode, path + ["stiff_chemistry"])
                self.beta_feature_access = self.__class__.beta_feature_access(service, version, mode, path + ["beta_feature_access"])
                super().__init__(service, version, mode, path)
            class enable_mesh_morpher_optimizer(TUIMethod):
                """
                Enable use of mesh morpher/optimizer.
                """
            class heterogeneous_stiff_chemistry(TUIMethod):
                """
                Set heterogeneous stiff-chemistry solver.
                """
            class stiff_chemistry(TUIMethod):
                """
                Set solver options for stiff-chemistry solutions.
                """
            class beta_feature_access(TUIMethod):
                """
                Enable access to beta features in the interface.
                """

            class spectral(TUIMenu):
                """
                Enter the Spectral menu.
                """
                def __init__(self, service, version, mode, path):
                    self.delete_harmonic_exports = self.__class__.delete_harmonic_exports(service, version, mode, path + ["delete_harmonic_exports"])
                    self.calculate_fourier_coefficients = self.__class__.calculate_fourier_coefficients(service, version, mode, path + ["calculate_fourier_coefficients"])
                    self.delete_fourier_coefficients = self.__class__.delete_fourier_coefficients(service, version, mode, path + ["delete_fourier_coefficients"])
                    self.calculate_harmonic_exports = self.__class__.calculate_harmonic_exports(service, version, mode, path + ["calculate_harmonic_exports"])
                    super().__init__(service, version, mode, path)
                class delete_harmonic_exports(TUIMethod):
                    """
                    Deletes Harmonic Export data.
                    """
                class calculate_fourier_coefficients(TUIMethod):
                    """
                    Calculates Fourier coefficient data.
                    """
                class delete_fourier_coefficients(TUIMethod):
                    """
                    Deletes Fourier coefficient data.
                    """
                class calculate_harmonic_exports(TUIMethod):
                    """
                    Calculates Harmonic Export data.
                    """

        class boundary_conditions(TUIMenu):
            """
            Enter the boudary conditions menu.
            """
            def __init__(self, service, version, mode, path):
                self.bc_settings = self.__class__.bc_settings(service, version, mode, path + ["bc_settings"])
                self.query = self.__class__.query(service, version, mode, path + ["query"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.profiles = self.__class__.profiles(service, version, mode, path + ["profiles"])
                self.rename_zone = self.__class__.rename_zone(service, version, mode, path + ["rename_zone"])
                self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                self.modify_zones = self.__class__.modify_zones(service, version, mode, path + ["modify_zones"])
                self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                self.copy_bc = self.__class__.copy_bc(service, version, mode, path + ["copy_bc"])
                self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                self.network = self.__class__.network(service, version, mode, path + ["network"])
                self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                self.list_zones = self.__class__.list_zones(service, version, mode, path + ["list_zones"])
                self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                self.zone_type = self.__class__.zone_type(service, version, mode, path + ["zone_type"])
                self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                self.zone_name = self.__class__.zone_name(service, version, mode, path + ["zone_name"])
                self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                super().__init__(service, version, mode, path)
            class fan(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class intake_fan(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class recirculation_outlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class symmetry(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class solid(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class pressure_inlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class copy_bc(TUIMethod):
                """
                Copy boundary conditions to another zone.
                """
            class network_end(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class radiator(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class axis(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class outlet_vent(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class outflow(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class shadow(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class network(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class mass_flow_outlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class interface(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class list_zones(TUIMethod):
                """
                List zone IDs, types, kinds, and names.
                """
            class inlet_vent(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class geometry(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class overset(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class mass_flow_inlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class wall(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class porous_jump(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class periodic(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class exhaust_fan(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class rans_les_interface(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class velocity_inlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class interior(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class zone_type(TUIMethod):
                """
                Set a zone's type.
                """
            class fluid(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class pressure_far_field(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class pressure_outlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class degassing(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class zone_name(TUIMethod):
                """
                Give a zone a new name.
                """
            class recirculation_inlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """

            class bc_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.mass_flow = self.__class__.mass_flow(service, version, mode, path + ["mass_flow"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    super().__init__(service, version, mode, path)
                class mass_flow(TUIMethod):
                    """
                    Select method for setting the mass flow rate.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Select pressure specification method on pressure-outlet boundaries.
                    """

                class pressure_far_field(TUIMenu):
                    """
                    Select presure-far-field boundary-condition options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.type = self.__class__.type(service, version, mode, path + ["type?"])
                        self.riemann_invariants_tangency_correction = self.__class__.riemann_invariants_tangency_correction(service, version, mode, path + ["riemann_invariants_tangency_correction"])
                        super().__init__(service, version, mode, path)
                    class type(TUIMethod):
                        """
                        Choose pressure-far-field boundary-condition type.
                        """
                    class riemann_invariants_tangency_correction(TUIMethod):
                        """
                        Apply a local correction where the flow is tangential to the boundary.
                        """

            class query(TUIMenu):
                """
                Enter zone query menu.
                """
                def __init__(self, service, version, mode, path):
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.list_named_selection = self.__class__.list_named_selection(service, version, mode, path + ["list_named_selection"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.list_cell_zone_conditions = self.__class__.list_cell_zone_conditions(service, version, mode, path + ["list_cell_zone_conditions"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.named_zone_list = self.__class__.named_zone_list(service, version, mode, path + ["named_zone_list"])
                    self.list_boundary_conditions = self.__class__.list_boundary_conditions(service, version, mode, path + ["list_boundary_conditions"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.list_queries = self.__class__.list_queries(service, version, mode, path + ["list_queries"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.delete_query = self.__class__.delete_query(service, version, mode, path + ["delete_query"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    super().__init__(service, version, mode, path)
                class pressure_inlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class list_named_selection(TUIMethod):
                    """
                    List named selection of zone type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class fan(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class axis(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class network(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class list_cell_zone_conditions(TUIMethod):
                    """
                    List cell zone conditions.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class interface(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class overset(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class named_zone_list(TUIMethod):
                    """
                    Create named list of zones.
                    """
                class list_boundary_conditions(TUIMethod):
                    """
                    List boundary conditions.
                    """
                class porous_jump(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class list_queries(TUIMethod):
                    """
                    List all saved queries.
                    """
                class symmetry(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class wall(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class solid(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class delete_query(TUIMethod):
                    """
                    Delete saved query.
                    """
                class interior(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """

            class set(TUIMenu):
                """
                Enter the set boundary conditions menu.
                """
                def __init__(self, service, version, mode, path):
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    super().__init__(service, version, mode, path)
                class radiator(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class interface(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class network(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class interior(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class fan(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class wall(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class pressure_inlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class overset(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class solid(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class porous_jump(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class axis(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Set boundary conditions for a zone or multiple zones of this type.
                    """

            class profiles(TUIMenu):
                """
                Enter the boundary profiles menu.
                """
                def __init__(self, service, version, mode, path):
                    self.list_profiles = self.__class__.list_profiles(service, version, mode, path + ["list_profiles"])
                    self.orient_profile = self.__class__.orient_profile(service, version, mode, path + ["orient_profile"])
                    self.list_profile_parameters = self.__class__.list_profile_parameters(service, version, mode, path + ["list_profile_parameters"])
                    self.display_profile_surface = self.__class__.display_profile_surface(service, version, mode, path + ["display_profile_surface"])
                    self.replicate_profile = self.__class__.replicate_profile(service, version, mode, path + ["replicate_profile"])
                    self.overlay_profile_surface = self.__class__.overlay_profile_surface(service, version, mode, path + ["overlay_profile_surface"])
                    self.set_preference_profile_point_cloud_data = self.__class__.set_preference_profile_point_cloud_data(service, version, mode, path + ["set_preference_profile_point_cloud_data"])
                    self.display_profile_point_cloud_data = self.__class__.display_profile_point_cloud_data(service, version, mode, path + ["display_profile_point_cloud_data"])
                    self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                    self.morphing = self.__class__.morphing(service, version, mode, path + ["morphing"])
                    self.list_profile_fields = self.__class__.list_profile_fields(service, version, mode, path + ["list_profile_fields"])
                    self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                    self.link_profile_to_reference_frame = self.__class__.link_profile_to_reference_frame(service, version, mode, path + ["link_profile_to_reference_frame"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.overlay_profile_point_cloud_data = self.__class__.overlay_profile_point_cloud_data(service, version, mode, path + ["overlay_profile_point_cloud_data"])
                    self.interpolation_method = self.__class__.interpolation_method(service, version, mode, path + ["interpolation_method"])
                    super().__init__(service, version, mode, path)
                class list_profiles(TUIMethod):
                    """
                    List all profiles.
                    """
                class orient_profile(TUIMethod):
                    """
                    Orient Profile.
                    """
                class list_profile_parameters(TUIMethod):
                    """
                    List the parameters of a particular profile.
                    """
                class display_profile_surface(TUIMethod):
                    """
                    Display a profile.
                    """
                class replicate_profile(TUIMethod):
                    """
                    Replicate Profile.
                    """
                class overlay_profile_surface(TUIMethod):
                    """
                    Overlay Profile Surface.
                    """
                class set_preference_profile_point_cloud_data(TUIMethod):
                    """
                    Set Preference Profile Point Cloud Data e.g., Point marker symbol,size,color.
                    """
                class display_profile_point_cloud_data(TUIMethod):
                    """
                    Display Profile Point Cloud Data.
                    """
                class delete_all(TUIMethod):
                    """
                    Delete all boundary-profiles.
                    """
                class morphing(TUIMethod):
                    """
                    Enable/disable profile morphing options in Orient Profile panel.
                    """
                class list_profile_fields(TUIMethod):
                    """
                    List the fields of a particular profile.
                    """
                class update_interval(TUIMethod):
                    """
                    Set interval between updates of dynamic profiles.
                    """
                class link_profile_to_reference_frame(TUIMethod):
                    """
                    Link profile to a reference frame.
                    """
                class delete(TUIMethod):
                    """
                    Delete a profile.
                    """
                class overlay_profile_point_cloud_data(TUIMethod):
                    """
                    Overlay Profile Point Cloud Data.
                    """
                class interpolation_method(TUIMethod):
                    """
                    Choose the method for interpolation of profiles.
                    """

            class rename_zone(TUIMenu):
                """
                Enter zone rename menu.
                """
                def __init__(self, service, version, mode, path):
                    self.rename_to_default = self.__class__.rename_to_default(service, version, mode, path + ["rename_to_default"])
                    self.add_suffix_or_prefix = self.__class__.add_suffix_or_prefix(service, version, mode, path + ["add_suffix_or_prefix"])
                    self.rename_by_adjacency = self.__class__.rename_by_adjacency(service, version, mode, path + ["rename_by_adjacency"])
                    super().__init__(service, version, mode, path)
                class rename_to_default(TUIMethod):
                    """
                    Rename zone to default name.
                    """
                class add_suffix_or_prefix(TUIMethod):
                    """
                    Add suffix or prefix to zone name.
                    """
                class rename_by_adjacency(TUIMethod):
                    """
                    Rename zone to adjacent zones.
                    """

            class expert(TUIMenu):
                """
                Enter expert bc menu.
                """
                def __init__(self, service, version, mode, path):
                    self.non_reflecting_bc = self.__class__.non_reflecting_bc(service, version, mode, path + ["non_reflecting_bc"])
                    self.periodic_conditions = self.__class__.periodic_conditions(service, version, mode, path + ["periodic_conditions"])
                    self.perforated_walls = self.__class__.perforated_walls(service, version, mode, path + ["perforated_walls"])
                    self.impedance_data_fitting = self.__class__.impedance_data_fitting(service, version, mode, path + ["impedance_data_fitting"])
                    self.openchannel_threads = self.__class__.openchannel_threads(service, version, mode, path + ["openchannel_threads"])
                    self.open_channel_wave_settings = self.__class__.open_channel_wave_settings(service, version, mode, path + ["open_channel_wave_settings"])
                    self.target_mass_flow_rate_settings = self.__class__.target_mass_flow_rate_settings(service, version, mode, path + ["target_mass_flow_rate_settings"])
                    self.non_overlapping_zone_name = self.__class__.non_overlapping_zone_name(service, version, mode, path + ["non_overlapping_zone_name"])
                    super().__init__(service, version, mode, path)
                class openchannel_threads(TUIMethod):
                    """
                    List open channel group IDs, names, types, and variables.
                    """
                class open_channel_wave_settings(TUIMethod):
                    """
                    Open channel wave input analysis.
                    """
                class target_mass_flow_rate_settings(TUIMethod):
                    """
                    Enter the targeted mass flow rate setting menu.
                    """
                class non_overlapping_zone_name(TUIMethod):
                    """
                    Get non-overlapping zone name from the associated interface zone.
                    """

                class non_reflecting_bc(TUIMenu):
                    """
                    Enter the non-reflecting b.c. menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.general_nrbc = self.__class__.general_nrbc(service, version, mode, path + ["general_nrbc"])
                        self.turbo_specific_nrbc = self.__class__.turbo_specific_nrbc(service, version, mode, path + ["turbo_specific_nrbc"])
                        super().__init__(service, version, mode, path)

                    class general_nrbc(TUIMenu):
                        """
                        Enter the menu for setting general non-reflecting boundary conditions.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set = self.__class__.set(service, version, mode, path + ["set"])
                            super().__init__(service, version, mode, path)

                        class set(TUIMenu):
                            """
                            Enter the general non-reflecting b.c. menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sigma2 = self.__class__.sigma2(service, version, mode, path + ["sigma2"])
                                self.sigma = self.__class__.sigma(service, version, mode, path + ["sigma"])
                                self.relax = self.__class__.relax(service, version, mode, path + ["relax"])
                                self.tangential_source = self.__class__.tangential_source(service, version, mode, path + ["tangential_source"])
                                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                                super().__init__(service, version, mode, path)
                            class sigma2(TUIMethod):
                                """
                                Set nrbc sigma2 factor (default value 5.0).
                                """
                            class sigma(TUIMethod):
                                """
                                Set nrbc sigma factor (default value 0.15).
                                """
                            class relax(TUIMethod):
                                """
                                Set NRBC relaxation factor (default value 0.5).
                                """
                            class tangential_source(TUIMethod):
                                """
                                Include or not NRBC tangential source (default value #t).
                                """
                            class verbosity(TUIMethod):
                                """
                                Print boundary equations convergence info.
                                """

                    class turbo_specific_nrbc(TUIMenu):
                        """
                        Enter the turbo-specific n.r.b.c. menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set = self.__class__.set(service, version, mode, path + ["set"])
                            self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
                            self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                            self.show_status = self.__class__.show_status(service, version, mode, path + ["show_status"])
                            super().__init__(service, version, mode, path)
                        class initialize(TUIMethod):
                            """
                            Initialize turbo-specific non-reflecting b.c.'s.
                            """
                        class enable(TUIMethod):
                            """
                            Enable/disable turbo-specific non-reflecting b.c.'s.
                            """
                        class show_status(TUIMethod):
                            """
                            Show current status of turbo-specific non-reflecting b.c.'s.
                            """

                        class set(TUIMenu):
                            """
                            Enter the set menu for turbo-specific non-reflecting b.c. parameters.
                            """
                            def __init__(self, service, version, mode, path):
                                self.discretization = self.__class__.discretization(service, version, mode, path + ["discretization"])
                                self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                                super().__init__(service, version, mode, path)
                            class discretization(TUIMethod):
                                """
                                Enable use of higher-order reconstruction at boundaries if available.
                                """
                            class under_relaxation(TUIMethod):
                                """
                                Set turbo-specific non-reflecting b.c. under-relaxation factor.
                                specify < 0 => use P/a_ave
                                specify = 0 => use 1/N
                                specify > 0 => use specified.
                                """
                            class verbosity(TUIMethod):
                                """
                                Set turbo-specific non-reflecting b.c. verbosity level.
                                0 : silent
                                1 : basic info. default
                                2 : detailed info. for debugging
                                .
                                """

                class periodic_conditions(TUIMenu):
                    """
                    Enter the periodic conditions menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.pressure_gradient_specification = self.__class__.pressure_gradient_specification(service, version, mode, path + ["pressure_gradient_specification"])
                        self.massflow_rate_specification = self.__class__.massflow_rate_specification(service, version, mode, path + ["massflow_rate_specification"])
                        super().__init__(service, version, mode, path)
                    class pressure_gradient_specification(TUIMethod):
                        """
                        Enable/disable specification of pressure gradient at the periodic boundary.
                        """
                    class massflow_rate_specification(TUIMethod):
                        """
                        Enable/disable specification of mass flow rate at the periodic boundary.
                        """

                class perforated_walls(TUIMenu):
                    """
                    Enter the perforated walls setting menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.model_setup = self.__class__.model_setup(service, version, mode, path + ["model_setup"])
                        self.read_input_file = self.__class__.read_input_file(service, version, mode, path + ["read_input_file"])
                        super().__init__(service, version, mode, path)
                    class model_setup(TUIMethod):
                        """
                        Set up perforated walls.
                        """
                    class read_input_file(TUIMethod):
                        """
                        Read an input file.
                        """

                class impedance_data_fitting(TUIMenu):
                    """
                    Enter the impedance data fitting menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.impedance_data = self.__class__.impedance_data(service, version, mode, path + ["impedance_data"])
                        self.convergence_tolerance = self.__class__.convergence_tolerance(service, version, mode, path + ["convergence_tolerance"])
                        self.import_parameters = self.__class__.import_parameters(service, version, mode, path + ["import_parameters"])
                        self.reflection_data = self.__class__.reflection_data(service, version, mode, path + ["reflection_data"])
                        self.residue_tolerance = self.__class__.residue_tolerance(service, version, mode, path + ["residue_tolerance"])
                        self.absorption_data = self.__class__.absorption_data(service, version, mode, path + ["absorption_data"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.iterations = self.__class__.iterations(service, version, mode, path + ["iterations"])
                        super().__init__(service, version, mode, path)
                    class impedance_data(TUIMethod):
                        """
                        Read experimental impedance data and output impedance parameters for a boundary condition.
                        """
                    class convergence_tolerance(TUIMethod):
                        """
                        Set the convergence tolerance for the fitting algorithm.
                        """
                    class import_parameters(TUIMethod):
                        """
                        Import impedance parameters into boundary condition.
                        """
                    class reflection_data(TUIMethod):
                        """
                        Read experimental reflection coefficient data and output impedance parameters for a boundary condition.
                        """
                    class residue_tolerance(TUIMethod):
                        """
                        Set the residue tolerance for the fitting algorithm.
                        """
                    class absorption_data(TUIMethod):
                        """
                        Read experimental absorption coefficient data and output impedance parameters for a boundary condition.
                        """
                    class verbosity(TUIMethod):
                        """
                        Set verbosity level [0, 1] for fitting algorithm.
                        """
                    class iterations(TUIMethod):
                        """
                        Set the number of iterations for the fitting algorithm.
                        """

            class modify_zones(TUIMenu):
                """
                Enter the modify zones menu.
                """
                def __init__(self, service, version, mode, path):
                    self.extrude_face_zone_delta = self.__class__.extrude_face_zone_delta(service, version, mode, path + ["extrude_face_zone_delta"])
                    self.sep_face_zone_mark = self.__class__.sep_face_zone_mark(service, version, mode, path + ["sep_face_zone_mark"])
                    self.deactivate_cell_zone = self.__class__.deactivate_cell_zone(service, version, mode, path + ["deactivate_cell_zone"])
                    self.merge_zones = self.__class__.merge_zones(service, version, mode, path + ["merge_zones"])
                    self.rotate_zone = self.__class__.rotate_zone(service, version, mode, path + ["rotate_zone"])
                    self.create_periodic_interface = self.__class__.create_periodic_interface(service, version, mode, path + ["create_periodic_interface"])
                    self.recreate_all_shells = self.__class__.recreate_all_shells(service, version, mode, path + ["recreate_all_shells"])
                    self.make_periodic = self.__class__.make_periodic(service, version, mode, path + ["make_periodic"])
                    self.convert_all_solid_mrf_to_solid_motion = self.__class__.convert_all_solid_mrf_to_solid_motion(service, version, mode, path + ["convert_all_solid_mrf_to_solid_motion"])
                    self.zone_name = self.__class__.zone_name(service, version, mode, path + ["zone_name"])
                    self.slit_face_zone = self.__class__.slit_face_zone(service, version, mode, path + ["slit_face_zone"])
                    self.append_mesh_data = self.__class__.append_mesh_data(service, version, mode, path + ["append_mesh_data"])
                    self.copy_move_cell_zone = self.__class__.copy_move_cell_zone(service, version, mode, path + ["copy_move_cell_zone"])
                    self.activate_cell_zone = self.__class__.activate_cell_zone(service, version, mode, path + ["activate_cell_zone"])
                    self.copy_mesh_to_mrf_motion = self.__class__.copy_mesh_to_mrf_motion(service, version, mode, path + ["copy_mesh_to_mrf_motion"])
                    self.scale_zone = self.__class__.scale_zone(service, version, mode, path + ["scale_zone"])
                    self.append_mesh = self.__class__.append_mesh(service, version, mode, path + ["append_mesh"])
                    self.sep_face_zone_region = self.__class__.sep_face_zone_region(service, version, mode, path + ["sep_face_zone_region"])
                    self.create_all_shell_threads = self.__class__.create_all_shell_threads(service, version, mode, path + ["create_all_shell_threads"])
                    self.zone_type = self.__class__.zone_type(service, version, mode, path + ["zone_type"])
                    self.sep_cell_zone_mark = self.__class__.sep_cell_zone_mark(service, version, mode, path + ["sep_cell_zone_mark"])
                    self.slit_interior_between_diff_solids = self.__class__.slit_interior_between_diff_solids(service, version, mode, path + ["slit_interior_between_diff_solids"])
                    self.delete_cell_zone = self.__class__.delete_cell_zone(service, version, mode, path + ["delete_cell_zone"])
                    self.sep_face_zone_angle = self.__class__.sep_face_zone_angle(service, version, mode, path + ["sep_face_zone_angle"])
                    self.mrf_to_sliding_mesh = self.__class__.mrf_to_sliding_mesh(service, version, mode, path + ["mrf_to_sliding_mesh"])
                    self.translate_zone = self.__class__.translate_zone(service, version, mode, path + ["translate_zone"])
                    self.change_zone_phase = self.__class__.change_zone_phase(service, version, mode, path + ["change_zone_phase"])
                    self.sep_cell_zone_region = self.__class__.sep_cell_zone_region(service, version, mode, path + ["sep_cell_zone_region"])
                    self.fuse_face_zones = self.__class__.fuse_face_zones(service, version, mode, path + ["fuse_face_zones"])
                    self.slit_periodic = self.__class__.slit_periodic(service, version, mode, path + ["slit_periodic"])
                    self.delete_all_shells = self.__class__.delete_all_shells(service, version, mode, path + ["delete_all_shells"])
                    self.replace_zone = self.__class__.replace_zone(service, version, mode, path + ["replace_zone"])
                    self.sep_face_zone_face = self.__class__.sep_face_zone_face(service, version, mode, path + ["sep_face_zone_face"])
                    self.change_zone_state = self.__class__.change_zone_state(service, version, mode, path + ["change_zone_state"])
                    self.orient_face_zone = self.__class__.orient_face_zone(service, version, mode, path + ["orient_face_zone"])
                    self.extrude_face_zone_para = self.__class__.extrude_face_zone_para(service, version, mode, path + ["extrude_face_zone_para"])
                    self.list_zones = self.__class__.list_zones(service, version, mode, path + ["list_zones"])
                    self.matching_tolerance = self.__class__.matching_tolerance(service, version, mode, path + ["matching_tolerance"])
                    self.copy_mrf_to_mesh_motion = self.__class__.copy_mrf_to_mesh_motion(service, version, mode, path + ["copy_mrf_to_mesh_motion"])
                    super().__init__(service, version, mode, path)
                class extrude_face_zone_delta(TUIMethod):
                    """
                    Extrude a face thread a specified distance based on a list of deltas.
                    """
                class sep_face_zone_mark(TUIMethod):
                    """
                    Separate a face zone based on cell marking.
                    """
                class deactivate_cell_zone(TUIMethod):
                    """
                    Deactivate cell thread.
                    """
                class merge_zones(TUIMethod):
                    """
                    Merge zones of the same type and condition into one.
                    """
                class rotate_zone(TUIMethod):
                    """
                    Rotate nodal coordinates of input cell zones.
                    """
                class create_periodic_interface(TUIMethod):
                    """
                    Create a conformal or non-conformal periodic interface.
                    """
                class recreate_all_shells(TUIMethod):
                    """
                    Create shell on all the walls where which were deleted using the command delete-all-shells.
                    """
                class make_periodic(TUIMethod):
                    """
                    Attempt to establish conformal periodic face zone connectivity.
                    """
                class convert_all_solid_mrf_to_solid_motion(TUIMethod):
                    """
                    Change all solid zones motion specification from MRF to solid motion.
                    """
                class zone_name(TUIMethod):
                    """
                    Give a zone a new name.
                    """
                class slit_face_zone(TUIMethod):
                    """
                    Slit a two-sided wall into two connected wall zones.
                    """
                class append_mesh_data(TUIMethod):
                    """
                    Append new mesh with data.
                    """
                class copy_move_cell_zone(TUIMethod):
                    """
                    Copy and translate or rotate a cell zone.
                    """
                class activate_cell_zone(TUIMethod):
                    """
                    Activate a cell thread.
                    """
                class copy_mesh_to_mrf_motion(TUIMethod):
                    """
                    Copy motion variable values for origin, axis and velocities from Mesh Motion to Frame Motion.
                    """
                class scale_zone(TUIMethod):
                    """
                    Scale nodal coordinates of input cell zones.
                    """
                class append_mesh(TUIMethod):
                    """
                    Append new mesh.
                    """
                class sep_face_zone_region(TUIMethod):
                    """
                    Separate a face zone based on contiguous regions.
                    """
                class create_all_shell_threads(TUIMethod):
                    """
                    Mark all finite thickness wall for shell creation. Shell zones will be created at the start of iterations.
                    """
                class zone_type(TUIMethod):
                    """
                    Set a zone's type.
                    """
                class sep_cell_zone_mark(TUIMethod):
                    """
                    Separate a cell zone based on cell marking.
                    """
                class slit_interior_between_diff_solids(TUIMethod):
                    """
                    Slit interior created between different solids into coupled walls.
                    """
                class delete_cell_zone(TUIMethod):
                    """
                    Delete a cell thread.
                    """
                class sep_face_zone_angle(TUIMethod):
                    """
                    Separate a face zone based on significant angle.
                    """
                class mrf_to_sliding_mesh(TUIMethod):
                    """
                    Change motion specification from MRF to moving mesh.
                    """
                class translate_zone(TUIMethod):
                    """
                    Translate nodal coordinates of input cell zones.
                    """
                class change_zone_phase(TUIMethod):
                    """
                    Change the realgas phase for a zone.
                    """
                class sep_cell_zone_region(TUIMethod):
                    """
                    Separate a cell zone based on contiguous regions.
                    """
                class fuse_face_zones(TUIMethod):
                    """
                    Attempt to fuse zones by removing duplicate faces and nodes.
                    """
                class slit_periodic(TUIMethod):
                    """
                    Slit a periodic zone into two symmetry zones.
                    """
                class delete_all_shells(TUIMethod):
                    """
                    Delete all shell zones and switch off shell conduction on all the walls. These zones can be recreated using the command recreate-all-shells.
                    """
                class replace_zone(TUIMethod):
                    """
                    Replace a cell zone.
                    """
                class sep_face_zone_face(TUIMethod):
                    """
                    Separate each face in a zone into unique zone.
                    """
                class change_zone_state(TUIMethod):
                    """
                    Change the realgas material state for a zone.
                    """
                class orient_face_zone(TUIMethod):
                    """
                    Orient the face zone.
                    """
                class extrude_face_zone_para(TUIMethod):
                    """
                    Extrude a face thread a specified distance based on a distance and a list of parametric locations between 0 and 1 (eg. 0 0.2 0.4 0.8 1.0).
                    """
                class list_zones(TUIMethod):
                    """
                    List zone IDs, types, kinds, and names.
                    """
                class matching_tolerance(TUIMethod):
                    """
                    Set the normalized tolerance used for finding coincident nodes.
                    """
                class copy_mrf_to_mesh_motion(TUIMethod):
                    """
                    Copy motion variable values for origin, axis and velocities from Frame Motion to Mesh Motion.
                    """

        class operating_conditions(TUIMenu):
            """
            Enter the define operating conditions menu.
            """
            def __init__(self, service, version, mode, path):
                self.operating_density = self.__class__.operating_density(service, version, mode, path + ["operating_density"])
                self.reference_pressure_method = self.__class__.reference_pressure_method(service, version, mode, path + ["reference_pressure_method"])
                self.operating_pressure = self.__class__.operating_pressure(service, version, mode, path + ["operating_pressure"])
                self.use_inlet_temperature_for_operating_density = self.__class__.use_inlet_temperature_for_operating_density(service, version, mode, path + ["use_inlet_temperature_for_operating_density"])
                self.set_state = self.__class__.set_state(service, version, mode, path + ["set_state"])
                self.used_ref_pressure_location = self.__class__.used_ref_pressure_location(service, version, mode, path + ["used_ref_pressure_location"])
                self.gravity = self.__class__.gravity(service, version, mode, path + ["gravity"])
                self.operating_temperature = self.__class__.operating_temperature(service, version, mode, path + ["operating_temperature"])
                self.gravity_mrf_behavior = self.__class__.gravity_mrf_behavior(service, version, mode, path + ["gravity_mrf_behavior"])
                self.reference_pressure_location = self.__class__.reference_pressure_location(service, version, mode, path + ["reference_pressure_location"])
                super().__init__(service, version, mode, path)
            class operating_density(TUIMethod):
                """
                Multiphase flow Operating Density menu.
                """
            class reference_pressure_method(TUIMethod):
                """
                Choosing reference pressure type.
                """
            class operating_pressure(TUIMethod):
                """
                Set the operating pressure.
                """
            class use_inlet_temperature_for_operating_density(TUIMethod):
                """
                Use Inlet Temperature to calculate Opearating Density.
                """
            class set_state(TUIMethod):
                """
                Select state for real gas EOS subcritical condition.
                """
            class used_ref_pressure_location(TUIMethod):
                """
                See the actual coordinates of reference pressure used.
                """
            class gravity(TUIMethod):
                """
                Set gravitational acceleration.
                """
            class operating_temperature(TUIMethod):
                """
                Set the operating temperature for Boussinesq.
                """
            class gravity_mrf_behavior(TUIMethod):
                """
                Enable/disable the fix of gravity vector in a stationary reference frame.
                """
            class reference_pressure_location(TUIMethod):
                """
                Set coordinates of reference pressure.
                """

        class reference_values(TUIMenu):
            """
            Reference value menu.
            """
            def __init__(self, service, version, mode, path):
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.enthalpy = self.__class__.enthalpy(service, version, mode, path + ["enthalpy"])
                self.depth = self.__class__.depth(service, version, mode, path + ["depth"])
                self.temperature = self.__class__.temperature(service, version, mode, path + ["temperature"])
                self.velocity = self.__class__.velocity(service, version, mode, path + ["velocity"])
                self.pressure = self.__class__.pressure(service, version, mode, path + ["pressure"])
                self.zone = self.__class__.zone(service, version, mode, path + ["zone"])
                self.yplus = self.__class__.yplus(service, version, mode, path + ["yplus"])
                self.length = self.__class__.length(service, version, mode, path + ["length"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.density = self.__class__.density(service, version, mode, path + ["density"])
                self.viscosity = self.__class__.viscosity(service, version, mode, path + ["viscosity"])
                self.area = self.__class__.area(service, version, mode, path + ["area"])
                super().__init__(service, version, mode, path)
            class enthalpy(TUIMethod):
                """
                Set reference enthalpy for enthalpy damping and normalization.
                """
            class depth(TUIMethod):
                """
                Set reference depth for volume calculation.
                """
            class temperature(TUIMethod):
                """
                Set reference temperature for normalization.
                """
            class velocity(TUIMethod):
                """
                Set reference velocity for normalization.
                """
            class pressure(TUIMethod):
                """
                Set reference pressure for normalization.
                """
            class zone(TUIMethod):
                """
                Set reference zone.
                """
            class yplus(TUIMethod):
                """
                Set reference yplus for normalization.
                """
            class length(TUIMethod):
                """
                Set reference length for normalization.
                """
            class list(TUIMethod):
                """
                List current reference values.
                """
            class density(TUIMethod):
                """
                Set reference density for normalization.
                """
            class viscosity(TUIMethod):
                """
                Set reference viscosity for normalization.
                """
            class area(TUIMethod):
                """
                Set reference area for normalization.
                """

            class compute(TUIMenu):
                """
                Enter the compute menu.
                """
                def __init__(self, service, version, mode, path):
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.dummy_entry = self.__class__.dummy_entry(service, version, mode, path + ["dummy_entry"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    super().__init__(service, version, mode, path)
                class outlet_vent(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class wall(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class axis(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class porous_jump(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class interface(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class interior(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class overset(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class solid(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class dummy_entry(TUIMethod):
                    """
                    .
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class network(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """

        class dynamic_mesh(TUIMenu):
            """
            Enter the dynamic mesh menu.
            """
            def __init__(self, service, version, mode, path):
                self.actions = self.__class__.actions(service, version, mode, path + ["actions"])
                self.events = self.__class__.events(service, version, mode, path + ["events"])
                self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                self.transient_settings = self.__class__.transient_settings(service, version, mode, path + ["transient_settings"])
                self.zones = self.__class__.zones(service, version, mode, path + ["zones"])
                self.dynamic_mesh = self.__class__.dynamic_mesh(service, version, mode, path + ["dynamic_mesh"])
                super().__init__(service, version, mode, path)
            class dynamic_mesh(TUIMethod):
                """
                Enable/disable the dynamic mesh solver and options.
                """

            class actions(TUIMenu):
                """
                Enter the dynamic mesh actions menu.
                """
                def __init__(self, service, version, mode, path):
                    self.remesh_cell_zone = self.__class__.remesh_cell_zone(service, version, mode, path + ["remesh_cell_zone"])
                    super().__init__(service, version, mode, path)
                class remesh_cell_zone(TUIMethod):
                    """
                    Manually remesh cell zone with option to remesh adjacent dynamic face zones.
                    """

            class events(TUIMenu):
                """
                Enter the dynamic mesh events menu.
                """
                def __init__(self, service, version, mode, path):
                    self.export_event_file = self.__class__.export_event_file(service, version, mode, path + ["export_event_file"])
                    self.import_event_file = self.__class__.import_event_file(service, version, mode, path + ["import_event_file"])
                    super().__init__(service, version, mode, path)
                class export_event_file(TUIMethod):
                    """
                    Export dynamic mesh events to file.
                    """
                class import_event_file(TUIMethod):
                    """
                    Import dynamic mesh event file.
                    """

            class controls(TUIMenu):
                """
                Enter the dynamic mesh control menu.
                """
                def __init__(self, service, version, mode, path):
                    self.implicit_update_parameters = self.__class__.implicit_update_parameters(service, version, mode, path + ["implicit_update_parameters"])
                    self.smoothing_parameters = self.__class__.smoothing_parameters(service, version, mode, path + ["smoothing_parameters"])
                    self.layering_parameters = self.__class__.layering_parameters(service, version, mode, path + ["layering_parameters"])
                    self.contact_parameters = self.__class__.contact_parameters(service, version, mode, path + ["contact_parameters"])
                    self.in_cylinder_parameters = self.__class__.in_cylinder_parameters(service, version, mode, path + ["in_cylinder_parameters"])
                    self.remeshing_parameters = self.__class__.remeshing_parameters(service, version, mode, path + ["remeshing_parameters"])
                    self.six_dof_parameters = self.__class__.six_dof_parameters(service, version, mode, path + ["six_dof_parameters"])
                    self.periodic_displacement_parameters = self.__class__.periodic_displacement_parameters(service, version, mode, path + ["periodic_displacement_parameters"])
                    self.layering = self.__class__.layering(service, version, mode, path + ["layering"])
                    self.steady_pseudo_time_control = self.__class__.steady_pseudo_time_control(service, version, mode, path + ["steady_pseudo_time_control"])
                    self.in_cylinder_output = self.__class__.in_cylinder_output(service, version, mode, path + ["in_cylinder_output"])
                    self.smoothing = self.__class__.smoothing(service, version, mode, path + ["smoothing"])
                    self.remeshing = self.__class__.remeshing(service, version, mode, path + ["remeshing"])
                    super().__init__(service, version, mode, path)
                class layering(TUIMethod):
                    """
                    Enable/disable dynamic-layering in quad/hex cell zones.
                    """
                class steady_pseudo_time_control(TUIMethod):
                    """
                    Enable/disable pseudo time step control in user interface.
                    """
                class in_cylinder_output(TUIMethod):
                    """
                    Enable/disable in-cylinder output.
                    """
                class smoothing(TUIMethod):
                    """
                    Enable/disable dynamic mesh smoothing.
                    """
                class remeshing(TUIMethod):
                    """
                    Enable/disable local remeshing in tri/tet and mixed cell zones.
                    """

                class implicit_update_parameters(TUIMenu):
                    """
                    Enter the dynamic mesh implicit update menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.motion_relaxation = self.__class__.motion_relaxation(service, version, mode, path + ["motion_relaxation"])
                        self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                        self.residual_criteria = self.__class__.residual_criteria(service, version, mode, path + ["residual_criteria"])
                        super().__init__(service, version, mode, path)
                    class motion_relaxation(TUIMethod):
                        """
                        Specify motion relaxation of implicit update.
                        """
                    class update_interval(TUIMethod):
                        """
                        Specify update interval of implicit update.
                        """
                    class residual_criteria(TUIMethod):
                        """
                        Specify residual criteria of implicit update.
                        """

                class smoothing_parameters(TUIMenu):
                    """
                    Enter the dynamic mesh smoothing menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.max_iter = self.__class__.max_iter(service, version, mode, path + ["max_iter"])
                        self.skew_smooth_cell_skew_max = self.__class__.skew_smooth_cell_skew_max(service, version, mode, path + ["skew_smooth_cell_skew_max"])
                        self.skew_smooth_niter = self.__class__.skew_smooth_niter(service, version, mode, path + ["skew_smooth_niter"])
                        self.bnd_stiffness_factor = self.__class__.bnd_stiffness_factor(service, version, mode, path + ["bnd_stiffness_factor"])
                        self.skew_smooth_face_skew_max = self.__class__.skew_smooth_face_skew_max(service, version, mode, path + ["skew_smooth_face_skew_max"])
                        self.constant_factor = self.__class__.constant_factor(service, version, mode, path + ["constant_factor"])
                        self.convergence_tolerance = self.__class__.convergence_tolerance(service, version, mode, path + ["convergence_tolerance"])
                        self.smoothing_method = self.__class__.smoothing_method(service, version, mode, path + ["smoothing_method"])
                        self.spring_on_simplex_elements = self.__class__.spring_on_simplex_elements(service, version, mode, path + ["spring_on_simplex_elements"])
                        self.boundary_distance_method = self.__class__.boundary_distance_method(service, version, mode, path + ["boundary_distance_method"])
                        self.laplace_node_relaxation = self.__class__.laplace_node_relaxation(service, version, mode, path + ["laplace_node_relaxation"])
                        self.diffusion_fvm = self.__class__.diffusion_fvm(service, version, mode, path + ["diffusion_fvm"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.spring_on_all_elements = self.__class__.spring_on_all_elements(service, version, mode, path + ["spring_on_all_elements"])
                        self.bnd_node_relaxation = self.__class__.bnd_node_relaxation(service, version, mode, path + ["bnd_node_relaxation"])
                        self.amg_stabilization = self.__class__.amg_stabilization(service, version, mode, path + ["amg_stabilization"])
                        self.diffusion_coeff_function = self.__class__.diffusion_coeff_function(service, version, mode, path + ["diffusion_coeff_function"])
                        self.skew_smooth_all_deforming_boundaries = self.__class__.skew_smooth_all_deforming_boundaries(service, version, mode, path + ["skew_smooth_all_deforming_boundaries"])
                        self.relative_convergence_tolerance = self.__class__.relative_convergence_tolerance(service, version, mode, path + ["relative_convergence_tolerance"])
                        self.diffusion_coeff_parameter = self.__class__.diffusion_coeff_parameter(service, version, mode, path + ["diffusion_coeff_parameter"])
                        self.poisson_ratio = self.__class__.poisson_ratio(service, version, mode, path + ["poisson_ratio"])
                        self.smooth_from_reference_position = self.__class__.smooth_from_reference_position(service, version, mode, path + ["smooth_from_reference_position"])
                        super().__init__(service, version, mode, path)
                    class max_iter(TUIMethod):
                        """
                        Set the maximum number of iterations for spring-based solver.
                        """
                    class skew_smooth_cell_skew_max(TUIMethod):
                        """
                        Set the cell skewness threshold above which cells will be smoothed
                        using the skewness method.
                        """
                    class skew_smooth_niter(TUIMethod):
                        """
                        Set the number of skewness-based smoothing cycles.
                        """
                    class bnd_stiffness_factor(TUIMethod):
                        """
                        Set the stiffness factor for springs connected to boundary nodes.
                        """
                    class skew_smooth_face_skew_max(TUIMethod):
                        """
                        Set the face skewness threshold above which deforming boundary faces
                        will be smoothed using the skewness method.
                        """
                    class constant_factor(TUIMethod):
                        """
                        Set the spring constant relaxation factor.
                        """
                    class convergence_tolerance(TUIMethod):
                        """
                        Set the convergence tolerance for spring-based solver.
                        """
                    class smoothing_method(TUIMethod):
                        """
                        Specify the smoothing method used by the dynamic mesh model.
                        """
                    class spring_on_simplex_elements(TUIMethod):
                        """
                        Enable/disable spring-based smoothing for tri/tet elements in mixed element zones.
                        """
                    class boundary_distance_method(TUIMethod):
                        """
                        Set the method used to evaluate the boundary distance for the
                        diffusion coefficient calculation.
                        """
                    class laplace_node_relaxation(TUIMethod):
                        """
                        Set the Laplace boundary node relaxation factor.
                        """
                    class diffusion_fvm(TUIMethod):
                        """
                        Set the numerical method used for diffusion-based smoothing.
                        """
                    class verbosity(TUIMethod):
                        """
                        Set the verbosity for spring smoothing.
                        """
                    class spring_on_all_elements(TUIMethod):
                        """
                        Enable/disable spring-based smoothing for all cell shapes.
                        """
                    class bnd_node_relaxation(TUIMethod):
                        """
                        Set the spring boundary node relaxation factor.
                        """
                    class amg_stabilization(TUIMethod):
                        """
                        Set the AMG stabilization method for mesh smoothing (FEM).
                        """
                    class diffusion_coeff_function(TUIMethod):
                        """
                        Specify whether the diffusion coefficient is based on the
                        boundary distance or the cell volume.
                        """
                    class skew_smooth_all_deforming_boundaries(TUIMethod):
                        """
                        Enable/disable skewness smoothing for all deforming
                        dynamic boundary zones. If disabled, only the deforming dynamic boundary zones are
                        smoothed which have smoothing explicitly enabled or use local face remeshing.
                        """
                    class relative_convergence_tolerance(TUIMethod):
                        """
                        Set the relative residual convergence tolerance for diffusion-based (FVM) smoothing.
                        """
                    class diffusion_coeff_parameter(TUIMethod):
                        """
                        Set the diffusion coefficient parameter used for diffusion-based smoothing.
                        """
                    class poisson_ratio(TUIMethod):
                        """
                        Set the Poisson's ratio used by the linearly elastic solid model.
                        """
                    class smooth_from_reference_position(TUIMethod):
                        """
                        Enable smoothing from reference position.
                        """

                class layering_parameters(TUIMenu):
                    """
                    Enter the dynamic mesh layering menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.split_factor = self.__class__.split_factor(service, version, mode, path + ["split_factor"])
                        self.constant_height = self.__class__.constant_height(service, version, mode, path + ["constant_height"])
                        self.collapse_factor = self.__class__.collapse_factor(service, version, mode, path + ["collapse_factor"])
                        super().__init__(service, version, mode, path)
                    class split_factor(TUIMethod):
                        """
                        Set the factor determining when to split dynamic layers.
                        """
                    class constant_height(TUIMethod):
                        """
                        Enable/disable layering based on constant height, else layering based on constant ratio.
                        """
                    class collapse_factor(TUIMethod):
                        """
                        Set the factor determining when to collapse dynamic layers.
                        """

                class contact_parameters(TUIMenu):
                    """
                    Enter the dynamic mesh contact detection menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.flow_control_parameters = self.__class__.flow_control_parameters(service, version, mode, path + ["flow_control_parameters"])
                        self.contact_threshold = self.__class__.contact_threshold(service, version, mode, path + ["contact_threshold"])
                        self.contact_method = self.__class__.contact_method(service, version, mode, path + ["contact_method"])
                        self.flow_control = self.__class__.flow_control(service, version, mode, path + ["flow_control"])
                        self.contact_face_zones = self.__class__.contact_face_zones(service, version, mode, path + ["contact_face_zones"])
                        self.render_contact_cells = self.__class__.render_contact_cells(service, version, mode, path + ["render_contact_cells"])
                        self.contact_udf = self.__class__.contact_udf(service, version, mode, path + ["contact_udf"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.update_contact_marks = self.__class__.update_contact_marks(service, version, mode, path + ["update_contact_marks"])
                        super().__init__(service, version, mode, path)
                    class contact_threshold(TUIMethod):
                        """
                        Specify threshold distance for contact detection.
                        """
                    class contact_method(TUIMethod):
                        """
                        Select the method used for flow control in the contact region.
                        """
                    class flow_control(TUIMethod):
                        """
                        Enable/disable flow control.
                        """
                    class contact_face_zones(TUIMethod):
                        """
                        Select face zones involved in contact detection.
                        """
                    class render_contact_cells(TUIMethod):
                        """
                        Set the option to include contact-cells in post-processing.
                        """
                    class contact_udf(TUIMethod):
                        """
                        Select UDF to be invoked when contact is detected.
                        """
                    class verbosity(TUIMethod):
                        """
                        Set the verbosity for contact-detection.
                        """
                    class update_contact_marks(TUIMethod):
                        """
                        Update which cells are marked in order to block flow in the contact region.
                        """

                    class flow_control_parameters(TUIMenu):
                        """
                        Enter the flow control menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                            self.create_flow_control_zone = self.__class__.create_flow_control_zone(service, version, mode, path + ["create_flow_control_zone"])
                            self.delete_flow_control_zone = self.__class__.delete_flow_control_zone(service, version, mode, path + ["delete_flow_control_zone"])
                            super().__init__(service, version, mode, path)
                        class solution_stabilization(TUIMethod):
                            """
                            Enable/disable the performance of additional iterations per time step and
                            the application of solution controls to improve the stability of the solver.
                            """
                        class create_flow_control_zone(TUIMethod):
                            """
                            Create a flow control zone.
                            """
                        class delete_flow_control_zone(TUIMethod):
                            """
                            Delete a flow control zone.
                            """

                class in_cylinder_parameters(TUIMenu):
                    """
                    Enter the dynamic mesh in-cylinder menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.piston_data = self.__class__.piston_data(service, version, mode, path + ["piston_data"])
                        self.starting_crank_angle = self.__class__.starting_crank_angle(service, version, mode, path + ["starting_crank_angle"])
                        self.modify_lift = self.__class__.modify_lift(service, version, mode, path + ["modify_lift"])
                        self.position_starting_mesh = self.__class__.position_starting_mesh(service, version, mode, path + ["position_starting_mesh"])
                        self.minimum_lift = self.__class__.minimum_lift(service, version, mode, path + ["minimum_lift"])
                        self.piston_stroke_cutoff = self.__class__.piston_stroke_cutoff(service, version, mode, path + ["piston_stroke_cutoff"])
                        self.print_plot_lift = self.__class__.print_plot_lift(service, version, mode, path + ["print_plot_lift"])
                        self.crank_angle_step = self.__class__.crank_angle_step(service, version, mode, path + ["crank_angle_step"])
                        self.max_crank_angle_step = self.__class__.max_crank_angle_step(service, version, mode, path + ["max_crank_angle_step"])
                        self.crank_period = self.__class__.crank_period(service, version, mode, path + ["crank_period"])
                        super().__init__(service, version, mode, path)
                    class piston_data(TUIMethod):
                        """
                        Specify the crank radius, connecting rod length, and piston pin offset.
                        """
                    class starting_crank_angle(TUIMethod):
                        """
                        Specify the starting crank angle.
                        """
                    class modify_lift(TUIMethod):
                        """
                        Modify the lift curve (shift or scale).
                        """
                    class position_starting_mesh(TUIMethod):
                        """
                        Move mesh from top dead center to starting crank angle.
                        """
                    class minimum_lift(TUIMethod):
                        """
                        Specify the minimum lift for in-cylinder valves.
                        """
                    class piston_stroke_cutoff(TUIMethod):
                        """
                        Specify the cut off point for in-cylinder piston.
                        """
                    class print_plot_lift(TUIMethod):
                        """
                        Print or plot valve lift curve.
                        """
                    class crank_angle_step(TUIMethod):
                        """
                        Specify the crank angle step size.
                        """
                    class max_crank_angle_step(TUIMethod):
                        """
                        Specify the maximum crank angle step size.
                        """
                    class crank_period(TUIMethod):
                        """
                        Specify the crank period.
                        """

                class remeshing_parameters(TUIMenu):
                    """
                    Enter the dynamic mesh remeshing menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.sizing_controls = self.__class__.sizing_controls(service, version, mode, path + ["sizing_controls"])
                        self.prism_controls = self.__class__.prism_controls(service, version, mode, path + ["prism_controls"])
                        self.prism_layer_parameters = self.__class__.prism_layer_parameters(service, version, mode, path + ["prism_layer_parameters"])
                        self.face_skew_max = self.__class__.face_skew_max(service, version, mode, path + ["face_skew_max"])
                        self.sizing_funct_variation = self.__class__.sizing_funct_variation(service, version, mode, path + ["sizing_funct_variation"])
                        self.zone_remeshing = self.__class__.zone_remeshing(service, version, mode, path + ["zone_remeshing"])
                        self.sizing_function = self.__class__.sizing_function(service, version, mode, path + ["sizing_function"])
                        self.sizing_funct_rate = self.__class__.sizing_funct_rate(service, version, mode, path + ["sizing_funct_rate"])
                        self.size_remesh_interval = self.__class__.size_remesh_interval(service, version, mode, path + ["size_remesh_interval"])
                        self.poly_remeshing = self.__class__.poly_remeshing(service, version, mode, path + ["poly_remeshing"])
                        self.remeshing_methods = self.__class__.remeshing_methods(service, version, mode, path + ["remeshing_methods"])
                        self.length_max = self.__class__.length_max(service, version, mode, path + ["length_max"])
                        self.cell_skew_max = self.__class__.cell_skew_max(service, version, mode, path + ["cell_skew_max"])
                        self.remeshing_after_moving = self.__class__.remeshing_after_moving(service, version, mode, path + ["remeshing_after_moving"])
                        self.parallel_remeshing = self.__class__.parallel_remeshing(service, version, mode, path + ["parallel_remeshing"])
                        self.length_min = self.__class__.length_min(service, version, mode, path + ["length_min"])
                        self.retain_size_distribution = self.__class__.retain_size_distribution(service, version, mode, path + ["retain_size_distribution"])
                        self.unified_remeshing = self.__class__.unified_remeshing(service, version, mode, path + ["unified_remeshing"])
                        self.sizing_funct_defaults = self.__class__.sizing_funct_defaults(service, version, mode, path + ["sizing_funct_defaults"])
                        self.sizing_funct_resolution = self.__class__.sizing_funct_resolution(service, version, mode, path + ["sizing_funct_resolution"])
                        super().__init__(service, version, mode, path)
                    class face_skew_max(TUIMethod):
                        """
                        Set the face skewness threshold above which faces will be remeshed.
                        """
                    class sizing_funct_variation(TUIMethod):
                        """
                        Set the maximum sizing function increase/decrease in the interior.
                        """
                    class zone_remeshing(TUIMethod):
                        """
                        Enable/disable cell zone remeshing method.
                        """
                    class sizing_function(TUIMethod):
                        """
                        Enable/disable sizing function to control size based remeshing.
                        """
                    class sizing_funct_rate(TUIMethod):
                        """
                        Determine how far from the boundary the increase/decrease happens.
                        """
                    class size_remesh_interval(TUIMethod):
                        """
                        Set the interval (in time steps) when remeshing based on size is done.
                        """
                    class poly_remeshing(TUIMethod):
                        """
                        Enable/disable poly remeshing.
                        """
                    class remeshing_methods(TUIMethod):
                        """
                        Enable/disable remeshing methods.
                        """
                    class length_max(TUIMethod):
                        """
                        Set the length threshold above which cells will be remeshed.
                        """
                    class cell_skew_max(TUIMethod):
                        """
                        Set the cell skewness threshold above which cells will be remeshed.
                        """
                    class remeshing_after_moving(TUIMethod):
                        """
                        Enable/disable optional remeshing after mesh motion to meet skewness threshold.
                        Steady state dynamic mesh only.
                        """
                    class parallel_remeshing(TUIMethod):
                        """
                        Enable/disable parallel remeshing for zone remeshing.
                        """
                    class length_min(TUIMethod):
                        """
                        Set the length threshold below which cells will be remeshed.
                        """
                    class retain_size_distribution(TUIMethod):
                        """
                        Enable/disable retaining of size distribution.
                        """
                    class unified_remeshing(TUIMethod):
                        """
                        Enable/disable unified remeshing.
                        """
                    class sizing_funct_defaults(TUIMethod):
                        """
                        Set sizing function defaults.
                        """
                    class sizing_funct_resolution(TUIMethod):
                        """
                        Set the sizing function resolution with respect to shortest boundary.
                        """

                    class sizing_controls(TUIMenu):
                        """
                        Specify optional sizing controls.
                        """
                        def __init__(self, service, version, mode, path):
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.add = self.__class__.add(service, version, mode, path + ["add"])
                            super().__init__(service, version, mode, path)
                        class list_properties(TUIMethod):
                            """
                            List properties of an object.
                            """
                        class delete(TUIMethod):
                            """
                            Delete an object.
                            """
                        class edit(TUIMethod):
                            """
                            Edit an object.
                            """
                        class list(TUIMethod):
                            """
                            List objects.
                            """
                        class add(TUIMethod):
                            """
                            Add a new object.
                            """

                    class prism_controls(TUIMenu):
                        """
                        Specify optional prism controls.
                        """
                        def __init__(self, service, version, mode, path):
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            self.add = self.__class__.add(service, version, mode, path + ["add"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            super().__init__(service, version, mode, path)
                        class edit(TUIMethod):
                            """
                            Edit an object.
                            """
                        class add(TUIMethod):
                            """
                            Add a new object.
                            """
                        class list(TUIMethod):
                            """
                            List objects.
                            """
                        class list_properties(TUIMethod):
                            """
                            List properties of an object.
                            """
                        class delete(TUIMethod):
                            """
                            Delete an object.
                            """

                    class prism_layer_parameters(TUIMenu):
                        """
                        Enter the dynamic mesh prism remeshing menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.number_of_layers = self.__class__.number_of_layers(service, version, mode, path + ["number_of_layers"])
                            self.first_height = self.__class__.first_height(service, version, mode, path + ["first_height"])
                            self.growth_rate = self.__class__.growth_rate(service, version, mode, path + ["growth_rate"])
                            super().__init__(service, version, mode, path)
                        class number_of_layers(TUIMethod):
                            """
                            Set the number of elements in the prism layer.
                            """
                        class first_height(TUIMethod):
                            """
                            Set first cell height in the prism layer.
                            """
                        class growth_rate(TUIMethod):
                            """
                            Set the geometric growth rate of the prism layer.
                            """

                class six_dof_parameters(TUIMenu):
                    """
                    Enter the dynamic mesh six-dof menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.second_order = self.__class__.second_order(service, version, mode, path + ["second_order"])
                        self.motion_history = self.__class__.motion_history(service, version, mode, path + ["motion_history"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.create_properties = self.__class__.create_properties(service, version, mode, path + ["create_properties"])
                        self.motion_history_file_name = self.__class__.motion_history_file_name(service, version, mode, path + ["motion_history_file_name"])
                        self.delete_properties = self.__class__.delete_properties(service, version, mode, path + ["delete_properties"])
                        self.z_component_of_gravity = self.__class__.z_component_of_gravity(service, version, mode, path + ["z_component_of_gravity"])
                        self.x_component_of_gravity = self.__class__.x_component_of_gravity(service, version, mode, path + ["x_component_of_gravity"])
                        self.y_component_of_gravity = self.__class__.y_component_of_gravity(service, version, mode, path + ["y_component_of_gravity"])
                        super().__init__(service, version, mode, path)
                    class second_order(TUIMethod):
                        """
                        Enable/disable second order six DOF solver.
                        """
                    class motion_history(TUIMethod):
                        """
                        Enable/disable writing position/orientation of six DOF zones to file.
                        """
                    class list_properties(TUIMethod):
                        """
                        List Six DOF Properties.
                        """
                    class create_properties(TUIMethod):
                        """
                        Create a set of Six DOF Properties.
                        """
                    class motion_history_file_name(TUIMethod):
                        """
                        Location of six DOF motion history file.
                        """
                    class delete_properties(TUIMethod):
                        """
                        Delete a set of Six DOF Properties.
                        """
                    class z_component_of_gravity(TUIMethod):
                        """
                        Specify z-component-of-gravity.
                        """
                    class x_component_of_gravity(TUIMethod):
                        """
                        Specify x-component-of-gravity.
                        """
                    class y_component_of_gravity(TUIMethod):
                        """
                        Specify y-component-of-gravity.
                        """

                class periodic_displacement_parameters(TUIMenu):
                    """
                    Enter the dynamic mesh periodic displacement menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.delete_all_groups = self.__class__.delete_all_groups(service, version, mode, path + ["delete_all_groups"])
                        self.create_displacement = self.__class__.create_displacement(service, version, mode, path + ["create_displacement"])
                        self.set_active_displacement = self.__class__.set_active_displacement(service, version, mode, path + ["set_active_displacement"])
                        self.delete_group = self.__class__.delete_group(service, version, mode, path + ["delete_group"])
                        self.delete_displacement = self.__class__.delete_displacement(service, version, mode, path + ["delete_displacement"])
                        self.list_displacements = self.__class__.list_displacements(service, version, mode, path + ["list_displacements"])
                        self.edit_displacement = self.__class__.edit_displacement(service, version, mode, path + ["edit_displacement"])
                        self.delete_all_displacements = self.__class__.delete_all_displacements(service, version, mode, path + ["delete_all_displacements"])
                        self.list_groups = self.__class__.list_groups(service, version, mode, path + ["list_groups"])
                        self.edit_group = self.__class__.edit_group(service, version, mode, path + ["edit_group"])
                        self.copy_displacement = self.__class__.copy_displacement(service, version, mode, path + ["copy_displacement"])
                        self.create_group = self.__class__.create_group(service, version, mode, path + ["create_group"])
                        super().__init__(service, version, mode, path)
                    class delete_all_groups(TUIMethod):
                        """
                        Delete All Periodic Displacement Groups.
                        """
                    class create_displacement(TUIMethod):
                        """
                        Create Periodic Displacement.
                        """
                    class set_active_displacement(TUIMethod):
                        """
                        Set Active Periodic Displacement in Group.
                        """
                    class delete_group(TUIMethod):
                        """
                        Delete Periodic Displacement Group.
                        """
                    class delete_displacement(TUIMethod):
                        """
                        Delete Periodic Displacement.
                        """
                    class list_displacements(TUIMethod):
                        """
                        List Periodic Displacements.
                        """
                    class edit_displacement(TUIMethod):
                        """
                        Edit Periodic Displacement.
                        """
                    class delete_all_displacements(TUIMethod):
                        """
                        Delete All Periodic Displacements.
                        """
                    class list_groups(TUIMethod):
                        """
                        List Periodic Displacement Groups.
                        """
                    class edit_group(TUIMethod):
                        """
                        Edit Periodic Displacement Group.
                        """
                    class copy_displacement(TUIMethod):
                        """
                        Copy Periodic Displacement.
                        """
                    class create_group(TUIMethod):
                        """
                        Create Periodic Displacement Group.
                        """

            class transient_settings(TUIMenu):
                """
                Enter the dynamic mesh transient settings menu.
                """
                def __init__(self, service, version, mode, path):
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.allow_second_order = self.__class__.allow_second_order(service, version, mode, path + ["allow_second_order"])
                    super().__init__(service, version, mode, path)
                class verbosity(TUIMethod):
                    """
                    Enable/disable transient scheme verbosity for dynamic mesh cases.
                    """
                class allow_second_order(TUIMethod):
                    """
                    Enable/disable 2nd order transient scheme for dynamic mesh cases.
                    """

            class zones(TUIMenu):
                """
                Enter the dynamic mesh zones menu.
                """
                def __init__(self, service, version, mode, path):
                    self.insert_interior_layer = self.__class__.insert_interior_layer(service, version, mode, path + ["insert_interior_layer"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.remove_interior_layer = self.__class__.remove_interior_layer(service, version, mode, path + ["remove_interior_layer"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.insert_boundary_layer = self.__class__.insert_boundary_layer(service, version, mode, path + ["insert_boundary_layer"])
                    self.remove_boundary_layer = self.__class__.remove_boundary_layer(service, version, mode, path + ["remove_boundary_layer"])
                    super().__init__(service, version, mode, path)
                class insert_interior_layer(TUIMethod):
                    """
                    Insert new layer cell zone at specified location.
                    """
                class list(TUIMethod):
                    """
                    List dynamic zones.
                    """
                class create(TUIMethod):
                    """
                    Create dynamic zone.
                    """
                class remove_interior_layer(TUIMethod):
                    """
                    Remove interior layer cell zone.
                    """
                class delete(TUIMethod):
                    """
                    Delete dynamic zone.
                    """
                class insert_boundary_layer(TUIMethod):
                    """
                    Insert new cell zone.
                    """
                class remove_boundary_layer(TUIMethod):
                    """
                    Remove cell zone.
                    """

        class named_expressions(TUIMenu):
            """
            Manage named expressions.
            """
            def __init__(self, service, version, mode, path):
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.export_to_tsv = self.__class__.export_to_tsv(service, version, mode, path + ["export_to_tsv"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.import_from_tsv = self.__class__.import_from_tsv(service, version, mode, path + ["import_from_tsv"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class compute(TUIMethod):
                """
                Compute expression.
                """
            class list(TUIMethod):
                """
                List objects.
                """
            class export_to_tsv(TUIMethod):
                """
                Export expressions.
                """
            class list_properties(TUIMethod):
                """
                List properties of an object.
                """
            class copy(TUIMethod):
                """
                Copy expression.
                """
            class import_from_tsv(TUIMethod):
                """
                Export expressions.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class delete(TUIMethod):
                """
                Delete an object.
                """

        class materials(TUIMenu):
            """
            Enter the materials menu.
            """
            def __init__(self, service, version, mode, path):
                self.data_base = self.__class__.data_base(service, version, mode, path + ["data_base"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.change_create = self.__class__.change_create(service, version, mode, path + ["change_create"])
                self.list_materials = self.__class__.list_materials(service, version, mode, path + ["list_materials"])
                self.copy_by_formula = self.__class__.copy_by_formula(service, version, mode, path + ["copy_by_formula"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Delete a material from local storage.
                """
            class list_properties(TUIMethod):
                """
                List the properties of a locally-stored material.
                """
            class copy(TUIMethod):
                """
                Copy a material from the database.
                """
            class change_create(TUIMethod):
                """
                Change the properties of a locally-stored material or create a new material.
                """
            class list_materials(TUIMethod):
                """
                List all locally-stored materials.
                """
            class copy_by_formula(TUIMethod):
                """
                Copy a material from the database by formula.
                """

            class data_base(TUIMenu):
                """
                Enter the database menu.
                """
                def __init__(self, service, version, mode, path):
                    self.save = self.__class__.save(service, version, mode, path + ["save"])
                    self.list_materials = self.__class__.list_materials(service, version, mode, path + ["list_materials"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.new = self.__class__.new(service, version, mode, path + ["new"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.database_type = self.__class__.database_type(service, version, mode, path + ["database_type"])
                    super().__init__(service, version, mode, path)
                class save(TUIMethod):
                    """
                    Save user-defined database.
                    """
                class list_materials(TUIMethod):
                    """
                    List all materials in the database.
                    """
                class list_properties(TUIMethod):
                    """
                    List the properties of a material in the database.
                    """
                class new(TUIMethod):
                    """
                    Define a new material.
                    """
                class edit(TUIMethod):
                    """
                    Edit a material.
                    """
                class database_type(TUIMethod):
                    """
                    Set the database type.
                    """

    class results(TUIMenu):
        """
        Enter results menu.
        """
        def __init__(self, service, version, mode, path):
            self.animate = self.__class__.animate(service, version, mode, path + ["animate"])
            self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
            self.graphics_window = self.__class__.graphics_window(service, version, mode, path + ["graphics_window"])
            self.graphics = self.__class__.graphics(service, version, mode, path + ["graphics"])
            self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
            self.report = self.__class__.report(service, version, mode, path + ["report"])
            super().__init__(service, version, mode, path)

        class animate(TUIMenu):
            """
            Enter the animation menu.
            """
            def __init__(self, service, version, mode, path):
                self.playback = self.__class__.playback(service, version, mode, path + ["playback"])
                super().__init__(service, version, mode, path)

            class playback(TUIMenu):
                """
                Enter animation playback menu.
                """
                def __init__(self, service, version, mode, path):
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.set_custom_frames = self.__class__.set_custom_frames(service, version, mode, path + ["set_custom_frames"])
                    self.read = self.__class__.read(service, version, mode, path + ["read"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.stored_view = self.__class__.stored_view(service, version, mode, path + ["stored_view"])
                    self.play = self.__class__.play(service, version, mode, path + ["play"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    super().__init__(service, version, mode, path)
                class set_custom_frames(TUIMethod):
                    """
                    Set custom frames start, end, skip frames for video export.
                    """
                class read(TUIMethod):
                    """
                    Read new animation from file or already-defined animations.
                    """
                class delete(TUIMethod):
                    """
                    Delete animation sequence.
                    """
                class stored_view(TUIMethod):
                    """
                    Play the 3D animation sequence using the view stored in the sequence.
                    """
                class play(TUIMethod):
                    """
                    Play the selected animation.
                    """
                class write(TUIMethod):
                    """
                    Write animation sequence to the file.
                    """

                class video(TUIMenu):
                    """
                    Set options for exporting video file menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.advance_quality = self.__class__.advance_quality(service, version, mode, path + ["advance_quality"])
                        self.name = self.__class__.name(service, version, mode, path + ["name"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        self.height = self.__class__.height(service, version, mode, path + ["height"])
                        self.width = self.__class__.width(service, version, mode, path + ["width"])
                        self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
                        self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                        self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                        self.fps = self.__class__.fps(service, version, mode, path + ["fps"])
                        self.use_original_resolution = self.__class__.use_original_resolution(service, version, mode, path + ["use_original_resolution"])
                        super().__init__(service, version, mode, path)
                    class name(TUIMethod):
                        """
                        Exporting video file name.
                        """
                    class format(TUIMethod):
                        """
                        Set format for exporting video file.
                        """
                    class height(TUIMethod):
                        """
                        Set the height for exporting video file.
                        """
                    class width(TUIMethod):
                        """
                        Set the width for exporting video file.
                        """
                    class quality(TUIMethod):
                        """
                        Set quality for exporting video file.
                        """
                    class set_standard_resolution(TUIMethod):
                        """
                        Select from pre-defined resolution list.
                        """
                    class scale(TUIMethod):
                        """
                        Set scale by which video resolution will expand.
                        """
                    class fps(TUIMethod):
                        """
                        Set the Frame Per Sec(FPS) for exporting video file.
                        """
                    class use_original_resolution(TUIMethod):
                        """
                        Enable original resolution.
                        """

                    class advance_quality(TUIMenu):
                        """
                        Advance Quality setting.
                        """
                        def __init__(self, service, version, mode, path):
                            self.bitrate = self.__class__.bitrate(service, version, mode, path + ["bitrate"])
                            self.bitrate_scale = self.__class__.bitrate_scale(service, version, mode, path + ["bitrate_scale"])
                            self.compression_method = self.__class__.compression_method(service, version, mode, path + ["compression_method"])
                            self.enable_h264 = self.__class__.enable_h264(service, version, mode, path + ["enable_h264"])
                            super().__init__(service, version, mode, path)
                        class bitrate(TUIMethod):
                            """
                            Set video bitrate(kbits/sec) for exporting video file.
                            """
                        class bitrate_scale(TUIMethod):
                            """
                            Mp4 bitrate scale - Best-64000 High-32000 Medium-16000 Low-8000.
                            """
                        class compression_method(TUIMethod):
                            """
                            Compression methode for Microsoft AVI movie.
                            """
                        class enable_h264(TUIMethod):
                            """
                            H264 encoding flag.
                            """

        class surface(TUIMenu):
            """
            Enter the data surface manipulation menu.
            """
            def __init__(self, service, version, mode, path):
                self.query = self.__class__.query(service, version, mode, path + ["query"])
                self.post_processing_volume = self.__class__.post_processing_volume(service, version, mode, path + ["post_processing_volume"])
                self.zone_surface = self.__class__.zone_surface(service, version, mode, path + ["zone_surface"])
                self.sphere_slice = self.__class__.sphere_slice(service, version, mode, path + ["sphere_slice"])
                self.multiple_iso_surfaces = self.__class__.multiple_iso_surfaces(service, version, mode, path + ["multiple_iso_surfaces"])
                self.rake_surface = self.__class__.rake_surface(service, version, mode, path + ["rake_surface"])
                self.circle_slice = self.__class__.circle_slice(service, version, mode, path + ["circle_slice"])
                self.plane_surface = self.__class__.plane_surface(service, version, mode, path + ["plane_surface"])
                self.transform_surface = self.__class__.transform_surface(service, version, mode, path + ["transform_surface"])
                self.quadric_slice = self.__class__.quadric_slice(service, version, mode, path + ["quadric_slice"])
                self.mouse_line = self.__class__.mouse_line(service, version, mode, path + ["mouse_line"])
                self.delete_surface = self.__class__.delete_surface(service, version, mode, path + ["delete_surface"])
                self.ellipsoid_slice = self.__class__.ellipsoid_slice(service, version, mode, path + ["ellipsoid_slice"])
                self.iso_clip = self.__class__.iso_clip(service, version, mode, path + ["iso_clip"])
                self.plane_slice = self.__class__.plane_slice(service, version, mode, path + ["plane_slice"])
                self.closest_point_search = self.__class__.closest_point_search(service, version, mode, path + ["closest_point_search"])
                self.line_surface = self.__class__.line_surface(service, version, mode, path + ["line_surface"])
                self.create_imprint_surface = self.__class__.create_imprint_surface(service, version, mode, path + ["create_imprint_surface"])
                self.point_array = self.__class__.point_array(service, version, mode, path + ["point_array"])
                self.plane = self.__class__.plane(service, version, mode, path + ["plane"])
                self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
                self.mouse_plane = self.__class__.mouse_plane(service, version, mode, path + ["mouse_plane"])
                self.group_surfaces = self.__class__.group_surfaces(service, version, mode, path + ["group_surfaces"])
                self.edit_surface = self.__class__.edit_surface(service, version, mode, path + ["edit_surface"])
                self.mouse_rake = self.__class__.mouse_rake(service, version, mode, path + ["mouse_rake"])
                self.structural_point_surface = self.__class__.structural_point_surface(service, version, mode, path + ["structural_point_surface"])
                self.iso_surface = self.__class__.iso_surface(service, version, mode, path + ["iso_surface"])
                self.partition_surface = self.__class__.partition_surface(service, version, mode, path + ["partition_surface"])
                self.ungroup_surface = self.__class__.ungroup_surface(service, version, mode, path + ["ungroup_surface"])
                self.cone_slice = self.__class__.cone_slice(service, version, mode, path + ["cone_slice"])
                self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
                self.point_surface = self.__class__.point_surface(service, version, mode, path + ["point_surface"])
                self.multiple_plane_surfaces = self.__class__.multiple_plane_surfaces(service, version, mode, path + ["multiple_plane_surfaces"])
                self.multiple_zone_surfaces = self.__class__.multiple_zone_surfaces(service, version, mode, path + ["multiple_zone_surfaces"])
                self.rename_surface = self.__class__.rename_surface(service, version, mode, path + ["rename_surface"])
                self.reset_zone_surfaces = self.__class__.reset_zone_surfaces(service, version, mode, path + ["reset_zone_surfaces"])
                self.line_slice = self.__class__.line_slice(service, version, mode, path + ["line_slice"])
                self.expression_volume = self.__class__.expression_volume(service, version, mode, path + ["expression_volume"])
                super().__init__(service, version, mode, path)
            class zone_surface(TUIMethod):
                """
                Define a data surface on a mesh zone.
                """
            class sphere_slice(TUIMethod):
                """
                Extract a spherical slice.
                """
            class multiple_iso_surfaces(TUIMethod):
                """
                Create multiple iso-surfaces from the data field at specified spacing.
                """
            class rake_surface(TUIMethod):
                """
                Define a "rake" surface by specifying the end points.
                """
            class circle_slice(TUIMethod):
                """
                Extract a circular slice.
                """
            class plane_surface(TUIMethod):
                """
                Create a plane from a coordinate plane, point and normal, or three points.
                """
            class transform_surface(TUIMethod):
                """
                Transform surface.
                """
            class quadric_slice(TUIMethod):
                """
                Extract a quadric slice.
                """
            class mouse_line(TUIMethod):
                """
                Define a line surface using the mouse to select two points.
                """
            class delete_surface(TUIMethod):
                """
                Remove a defined data surface.
                """
            class ellipsoid_slice(TUIMethod):
                """
                Extract a ellipsoid slice.
                """
            class iso_clip(TUIMethod):
                """
                Clip a data surface (surface, curve, or point) between two iso-values.
                """
            class plane_slice(TUIMethod):
                """
                Extract a planar slice.
                """
            class closest_point_search(TUIMethod):
                """
                Enable the point surface algorithm to look for the nearest point instead of reporting a creation failure.
                """
            class line_surface(TUIMethod):
                """
                Define a "line" surface by specifying the two endpoint coordinates.
                """
            class create_imprint_surface(TUIMethod):
                """
                Imprint surface.
                """
            class point_array(TUIMethod):
                """
                Extract a rectangular array of data points.
                """
            class plane(TUIMethod):
                """
                Create a plane given 3 points bounded by the domain.
                """
            class surface_cells(TUIMethod):
                """
                Extract all cells intersected by a data surface.
                """
            class mouse_plane(TUIMethod):
                """
                Define a plane surface using the mouse to select three points.
                """
            class group_surfaces(TUIMethod):
                """
                Group a set of surfaces.
                """
            class edit_surface(TUIMethod):
                """
                Edit a defined data surface.
                """
            class mouse_rake(TUIMethod):
                """
                Define a "rake" surface using the mouse to select the end points.
                """
            class structural_point_surface(TUIMethod):
                """
                Define a "structural point" surface by specifying the coordinates.
                """
            class iso_surface(TUIMethod):
                """
                Extract an iso-surface (surface, curve, or point) from the curent data field.
                """
            class partition_surface(TUIMethod):
                """
                Define a data surface on mesh faces on the partition boundary.
                """
            class ungroup_surface(TUIMethod):
                """
                Ungroup the surface(if grouped).
                """
            class cone_slice(TUIMethod):
                """
                Extract a cone slice.
                """
            class list_surfaces(TUIMethod):
                """
                List the number of facets in the defined surfaces.
                """
            class point_surface(TUIMethod):
                """
                Define a "point" surface by specifying the coordinates.
                """
            class multiple_plane_surfaces(TUIMethod):
                """
                Create multiple plane surfaces at specified spacing.
                """
            class multiple_zone_surfaces(TUIMethod):
                """
                Create multiple data surfaces at a time.
                """
            class rename_surface(TUIMethod):
                """
                Rename a defined data surface.
                """
            class reset_zone_surfaces(TUIMethod):
                """
                Reset case surface list.
                """
            class line_slice(TUIMethod):
                """
                Extract a linear slice.
                """
            class expression_volume(TUIMethod):
                """
                Create volume with boolean expression.
                """

            class query(TUIMenu):
                """
                Enter surface query menu.
                """
                def __init__(self, service, version, mode, path):
                    self.named_surface_list = self.__class__.named_surface_list(service, version, mode, path + ["named_surface_list"])
                    self.delete_query = self.__class__.delete_query(service, version, mode, path + ["delete_query"])
                    self.list_named_selection = self.__class__.list_named_selection(service, version, mode, path + ["list_named_selection"])
                    self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
                    self.list_queries = self.__class__.list_queries(service, version, mode, path + ["list_queries"])
                    super().__init__(service, version, mode, path)
                class named_surface_list(TUIMethod):
                    """
                    Create named list of surfaces.
                    """
                class delete_query(TUIMethod):
                    """
                    Delete saved query.
                    """
                class list_named_selection(TUIMethod):
                    """
                    List named selection of surface type.
                    """
                class list_surfaces(TUIMethod):
                    """
                    List surfaces.
                    """
                class list_queries(TUIMethod):
                    """
                    List all saved queries.
                    """

            class post_processing_volume(TUIMenu):
                """
                Enter post-processing volume menu.
                """
                def __init__(self, service, version, mode, path):
                    self.create_from_file = self.__class__.create_from_file(service, version, mode, path + ["create_from_file"])
                    self.create_octree = self.__class__.create_octree(service, version, mode, path + ["create_octree"])
                    super().__init__(service, version, mode, path)
                class create_from_file(TUIMethod):
                    """
                    Read post-processing mesh from file.
                    """
                class create_octree(TUIMethod):
                    """
                    Create post-processing octree mesh based on current case.
                    """

        class graphics_window(TUIMenu):
            """
            Enter graphics window menu.
            """
            def __init__(self, service, version, mode, path):
                self.view_sync = self.__class__.view_sync(service, version, mode, path + ["view_sync"])
                self.embedded_windows = self.__class__.embedded_windows(service, version, mode, path + ["embedded_windows"])
                self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
                self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                self.titles = self.__class__.titles(service, version, mode, path + ["titles"])
                self.picture = self.__class__.picture(service, version, mode, path + ["picture"])
                self.views = self.__class__.views(service, version, mode, path + ["views"])
                self.set_window = self.__class__.set_window(service, version, mode, path + ["set_window"])
                self.close_window = self.__class__.close_window(service, version, mode, path + ["close_window"])
                self.close_window_by_name = self.__class__.close_window_by_name(service, version, mode, path + ["close_window_by_name"])
                self.set_window_by_name = self.__class__.set_window_by_name(service, version, mode, path + ["set_window_by_name"])
                self.open_window = self.__class__.open_window(service, version, mode, path + ["open_window"])
                self.save_picture = self.__class__.save_picture(service, version, mode, path + ["save_picture"])
                self.update_layout = self.__class__.update_layout(service, version, mode, path + ["update_layout"])
                super().__init__(service, version, mode, path)
            class set_window(TUIMethod):
                """
                Set a user graphics window to be the active window.
                """
            class close_window(TUIMethod):
                """
                Close a user graphics window.
                """
            class close_window_by_name(TUIMethod):
                """
                Close a reserved graphics window by its name.
                """
            class set_window_by_name(TUIMethod):
                """
                Set a reserved graphics window to be the active window by its name.
                """
            class open_window(TUIMethod):
                """
                Open a user graphics window.
                """
            class save_picture(TUIMethod):
                """
                Generate a "hardcopy" of the active window.
                """
            class update_layout(TUIMethod):
                """
                Update the fluent layout.
                """

            class view_sync(TUIMenu):
                """
                Enter the display state manipulation menu.
                """
                def __init__(self, service, version, mode, path):
                    self.remove = self.__class__.remove(service, version, mode, path + ["remove"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.start = self.__class__.start(service, version, mode, path + ["start"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.remove_all = self.__class__.remove_all(service, version, mode, path + ["remove_all"])
                    self.add_all = self.__class__.add_all(service, version, mode, path + ["add_all"])
                    self.stop = self.__class__.stop(service, version, mode, path + ["stop"])
                    super().__init__(service, version, mode, path)
                class remove(TUIMethod):
                    """
                    Remove list of window ids from synchronization.
                    """
                class list(TUIMethod):
                    """
                    Print window ids of open windows.
                    """
                class start(TUIMethod):
                    """
                    Start view synchronization.
                    """
                class add(TUIMethod):
                    """
                    Add list of window ids for synchronization.
                    """
                class remove_all(TUIMethod):
                    """
                    Unsynchronize all windows.
                    """
                class add_all(TUIMethod):
                    """
                    Synchronize all windows.
                    """
                class stop(TUIMethod):
                    """
                    Stop view synchronization.
                    """

            class embedded_windows(TUIMenu):
                """
                Enter to embed, close, move-out embedded windows.
                """
                def __init__(self, service, version, mode, path):
                    self.embed_in = self.__class__.embed_in(service, version, mode, path + ["embed_in"])
                    self.close_all = self.__class__.close_all(service, version, mode, path + ["close_all"])
                    self.move_out_all = self.__class__.move_out_all(service, version, mode, path + ["move_out_all"])
                    self.move_out = self.__class__.move_out(service, version, mode, path + ["move_out"])
                    self.close = self.__class__.close(service, version, mode, path + ["close"])
                    super().__init__(service, version, mode, path)
                class embed_in(TUIMethod):
                    """
                    Embed Window into another window.
                    """
                class close_all(TUIMethod):
                    """
                    Close all embedded windows for given parent window.
                    """
                class move_out_all(TUIMethod):
                    """
                    Move out all embedded windows for given parent window.
                    """
                class move_out(TUIMethod):
                    """
                    Move out an embedded window.
                    """
                class close(TUIMethod):
                    """
                    Close an embedded window.
                    """

            class display_states(TUIMenu):
                """
                Enter the display state manipulation menu.
                """
                def __init__(self, service, version, mode, path):
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.read = self.__class__.read(service, version, mode, path + ["read"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.apply = self.__class__.apply(service, version, mode, path + ["apply"])
                    self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    super().__init__(service, version, mode, path)
                class write(TUIMethod):
                    """
                    Write display states to a file.
                    """
                class delete(TUIMethod):
                    """
                    Delete a display state.
                    """
                class read(TUIMethod):
                    """
                    Read display states from a file.
                    """
                class edit(TUIMethod):
                    """
                    Edit a particular display state setting.
                    """
                class create(TUIMethod):
                    """
                    Create a new display state.
                    """
                class apply(TUIMethod):
                    """
                    Apply a display state to the active window.
                    """
                class use_active(TUIMethod):
                    """
                    Update an existing display state's settings to match those of the active graphics window.
                    """
                class list(TUIMethod):
                    """
                    Print the names of the available display states to the console.
                    """
                class copy(TUIMethod):
                    """
                    Create a new display state with settings copied from an existing display state.
                    """

            class windows(TUIMenu):
                """
                Enter the window options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.text = self.__class__.text(service, version, mode, path + ["text"])
                    self.xy = self.__class__.xy(service, version, mode, path + ["xy"])
                    self.main = self.__class__.main(service, version, mode, path + ["main"])
                    self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.logo_color = self.__class__.logo_color(service, version, mode, path + ["logo_color"])
                    self.aspect_ratio = self.__class__.aspect_ratio(service, version, mode, path + ["aspect_ratio"])
                    self.ruler = self.__class__.ruler(service, version, mode, path + ["ruler"])
                    self.logo = self.__class__.logo(service, version, mode, path + ["logo"])
                    super().__init__(service, version, mode, path)
                class logo_color(TUIMethod):
                    """
                    .
                    """
                class aspect_ratio(TUIMethod):
                    """
                    .
                    """
                class ruler(TUIMethod):
                    """
                    .
                    """
                class logo(TUIMethod):
                    """
                    .
                    """

                class text(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.date = self.__class__.date(service, version, mode, path + ["date"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.alignment = self.__class__.alignment(service, version, mode, path + ["alignment"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        self.company = self.__class__.company(service, version, mode, path + ["company"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.application = self.__class__.application(service, version, mode, path + ["application"])
                        super().__init__(service, version, mode, path)
                    class right(TUIMethod):
                        """
                        .
                        """
                    class date(TUIMethod):
                        """
                        .
                        """
                    class left(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """
                    class alignment(TUIMethod):
                        """
                        .
                        """
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class top(TUIMethod):
                        """
                        .
                        """
                    class clear(TUIMethod):
                        """
                        .
                        """
                    class company(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """
                    class application(TUIMethod):
                        """
                        .
                        """

                class xy(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        super().__init__(service, version, mode, path)
                    class left(TUIMethod):
                        """
                        .
                        """
                    class right(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class top(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """

                class main(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        super().__init__(service, version, mode, path)
                    class top(TUIMethod):
                        """
                        .
                        """
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class left(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """
                    class right(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """

                class scale(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.font_size = self.__class__.font_size(service, version, mode, path + ["font_size"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.margin = self.__class__.margin(service, version, mode, path + ["margin"])
                        super().__init__(service, version, mode, path)
                    class right(TUIMethod):
                        """
                        .
                        """
                    class font_size(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """
                    class format(TUIMethod):
                        """
                        .
                        """
                    class clear(TUIMethod):
                        """
                        .
                        """
                    class top(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """
                    class left(TUIMethod):
                        """
                        .
                        """
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class margin(TUIMethod):
                        """
                        .
                        """

                class axes(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        super().__init__(service, version, mode, path)
                    class border(TUIMethod):
                        """
                        .
                        """
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """
                    class right(TUIMethod):
                        """
                        .
                        """
                    class clear(TUIMethod):
                        """
                        .
                        """

                class video(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                        self.color_filter = self.__class__.color_filter(service, version, mode, path + ["color_filter"])
                        self.pixel_size = self.__class__.pixel_size(service, version, mode, path + ["pixel_size"])
                        self.on = self.__class__.on(service, version, mode, path + ["on"])
                        self.background = self.__class__.background(service, version, mode, path + ["background"])
                        super().__init__(service, version, mode, path)
                    class foreground(TUIMethod):
                        """
                        .
                        """
                    class color_filter(TUIMethod):
                        """
                        .
                        """
                    class pixel_size(TUIMethod):
                        """
                        .
                        """
                    class on(TUIMethod):
                        """
                        .
                        """
                    class background(TUIMethod):
                        """
                        .
                        """

            class titles(TUIMenu):
                """
                Set problem title.
                """
                def __init__(self, service, version, mode, path):
                    self.left_bottom = self.__class__.left_bottom(service, version, mode, path + ["left_bottom"])
                    self.right_top = self.__class__.right_top(service, version, mode, path + ["right_top"])
                    self.left_top = self.__class__.left_top(service, version, mode, path + ["left_top"])
                    self.right_middle = self.__class__.right_middle(service, version, mode, path + ["right_middle"])
                    self.right_bottom = self.__class__.right_bottom(service, version, mode, path + ["right_bottom"])
                    super().__init__(service, version, mode, path)
                class left_bottom(TUIMethod):
                    """
                    Set the title text for left bottom in title segment.
                    """
                class right_top(TUIMethod):
                    """
                    Set the title text for right top in title segment.
                    """
                class left_top(TUIMethod):
                    """
                    Set the title text for left top in title segment.
                    """
                class right_middle(TUIMethod):
                    """
                    Set the title text for right middle in title segment.
                    """
                class right_bottom(TUIMethod):
                    """
                    Set the title text for right bottom in title segment.
                    """

            class picture(TUIMenu):
                """
                Enter the hardcopy/save-picture options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.color_mode = self.__class__.color_mode(service, version, mode, path + ["color_mode"])
                    self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                    self.y_resolution = self.__class__.y_resolution(service, version, mode, path + ["y_resolution"])
                    self.use_window_resolution = self.__class__.use_window_resolution(service, version, mode, path + ["use_window_resolution"])
                    self.preview = self.__class__.preview(service, version, mode, path + ["preview"])
                    self.invert_background = self.__class__.invert_background(service, version, mode, path + ["invert_background"])
                    self.jpeg_hardcopy_quality = self.__class__.jpeg_hardcopy_quality(service, version, mode, path + ["jpeg_hardcopy_quality"])
                    self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                    self.x_resolution = self.__class__.x_resolution(service, version, mode, path + ["x_resolution"])
                    self.dpi = self.__class__.dpi(service, version, mode, path + ["dpi"])
                    self.landscape = self.__class__.landscape(service, version, mode, path + ["landscape"])
                    super().__init__(service, version, mode, path)
                class y_resolution(TUIMethod):
                    """
                    Set the height of raster-formatted images in pixels (0 implies current window size).
                    """
                class use_window_resolution(TUIMethod):
                    """
                    Use the currently active window's resolution for hardcopy (ignores the x-resolution and y-resolution in this case).
                    """
                class preview(TUIMethod):
                    """
                    Display a preview image of a hardcopy.
                    """
                class invert_background(TUIMethod):
                    """
                    Use a white background when the picture is saved.
                    """
                class jpeg_hardcopy_quality(TUIMethod):
                    """
                    To set jpeg hardcopy quality.
                    """
                class set_standard_resolution(TUIMethod):
                    """
                    Select from pre-defined resolution list.
                    """
                class x_resolution(TUIMethod):
                    """
                    Set the width of raster-formatted images in pixels (0 implies current window size).
                    """
                class dpi(TUIMethod):
                    """
                    Set the DPI for EPS and Postscript files, specifies the resolution in dots per inch (DPI) instead of setting the width and height.
                    """
                class landscape(TUIMethod):
                    """
                    Plot hardcopies in landscape or portrait orientation.
                    """

                class color_mode(TUIMenu):
                    """
                    Enter the hardcopy color mode menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.color = self.__class__.color(service, version, mode, path + ["color"])
                        self.mono_chrome = self.__class__.mono_chrome(service, version, mode, path + ["mono_chrome"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.gray_scale = self.__class__.gray_scale(service, version, mode, path + ["gray_scale"])
                        super().__init__(service, version, mode, path)
                    class color(TUIMethod):
                        """
                        Plot hardcopies in color.
                        """
                    class mono_chrome(TUIMethod):
                        """
                        Convert color to monochrome (black and white) for hardcopy.
                        """
                    class list(TUIMethod):
                        """
                        Display the current hardcopy color mode.
                        """
                    class gray_scale(TUIMethod):
                        """
                        Convert color to grayscale for hardcopy.
                        """

                class driver(TUIMenu):
                    """
                    Enter the set hardcopy driver menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.post_format = self.__class__.post_format(service, version, mode, path + ["post_format"])
                        self.tiff = self.__class__.tiff(service, version, mode, path + ["tiff"])
                        self.glb = self.__class__.glb(service, version, mode, path + ["glb"])
                        self.hsf = self.__class__.hsf(service, version, mode, path + ["hsf"])
                        self.dump_window = self.__class__.dump_window(service, version, mode, path + ["dump_window"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.jpeg = self.__class__.jpeg(service, version, mode, path + ["jpeg"])
                        self.options = self.__class__.options(service, version, mode, path + ["options"])
                        self.eps = self.__class__.eps(service, version, mode, path + ["eps"])
                        self.avz = self.__class__.avz(service, version, mode, path + ["avz"])
                        self.ppm = self.__class__.ppm(service, version, mode, path + ["ppm"])
                        self.post_script = self.__class__.post_script(service, version, mode, path + ["post_script"])
                        self.png = self.__class__.png(service, version, mode, path + ["png"])
                        self.vrml = self.__class__.vrml(service, version, mode, path + ["vrml"])
                        super().__init__(service, version, mode, path)
                    class tiff(TUIMethod):
                        """
                        Use TIFF output for hardcopies.
                        """
                    class glb(TUIMethod):
                        """
                        Use GLB output for hardcopies.
                        """
                    class hsf(TUIMethod):
                        """
                        Use HSF output for hardcopies.
                        """
                    class dump_window(TUIMethod):
                        """
                        Set the command used to dump the graphics window to a file.
                        """
                    class list(TUIMethod):
                        """
                        List the current hardcopy driver.
                        """
                    class jpeg(TUIMethod):
                        """
                        Produce JPEG output for hardcopies.
                        """
                    class options(TUIMethod):
                        """
                        Set the hardcopy options. Available options are:
                        "no gamma correction", disables gamma correction of colors,
                        "physical size = (width,height)", where width and height
                        are the actual measurements of the printable area of the page
                        in centimeters.
                        "subscreen = (left,right,bottom,top)", where left,right,
                        bottom, and top are numbers in [-1,1] describing a subwindow on
                        the page in which to place the hardcopy.
                        The options may be combined by separating them with commas.
                        """
                    class eps(TUIMethod):
                        """
                        Produce encapsulated PostScript (EPS) output for hardcopies.
                        """
                    class avz(TUIMethod):
                        """
                        Use AVZ output for hardcopies.
                        """
                    class ppm(TUIMethod):
                        """
                        Produce PPM output for hardcopies.
                        """
                    class post_script(TUIMethod):
                        """
                        Produce PostScript output for hardcopies.
                        """
                    class png(TUIMethod):
                        """
                        Use PNG output for hardcopies.
                        """
                    class vrml(TUIMethod):
                        """
                        Use VRML output for hardcopies.
                        """

                    class post_format(TUIMenu):
                        """
                        Enter the PostScript driver format menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
                            self.rle_raster = self.__class__.rle_raster(service, version, mode, path + ["rle_raster"])
                            self.raster = self.__class__.raster(service, version, mode, path + ["raster"])
                            self.fast_raster = self.__class__.fast_raster(service, version, mode, path + ["fast_raster"])
                            super().__init__(service, version, mode, path)
                        class vector(TUIMethod):
                            """
                            Use vector format.
                            """
                        class rle_raster(TUIMethod):
                            """
                            Use the run-length encoded raster format.
                            """
                        class raster(TUIMethod):
                            """
                            Use the original raster format.
                            """
                        class fast_raster(TUIMethod):
                            """
                            Use the new raster format.
                            """

            class views(TUIMenu):
                """
                Enter the view manipulation menu.
                """
                def __init__(self, service, version, mode, path):
                    self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
                    self.camera = self.__class__.camera(service, version, mode, path + ["camera"])
                    self.read_views = self.__class__.read_views(service, version, mode, path + ["read_views"])
                    self.last_view = self.__class__.last_view(service, version, mode, path + ["last_view"])
                    self.write_views = self.__class__.write_views(service, version, mode, path + ["write_views"])
                    self.restore_view = self.__class__.restore_view(service, version, mode, path + ["restore_view"])
                    self.delete_view = self.__class__.delete_view(service, version, mode, path + ["delete_view"])
                    self.save_view = self.__class__.save_view(service, version, mode, path + ["save_view"])
                    self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                    self.list_views = self.__class__.list_views(service, version, mode, path + ["list_views"])
                    self.next_view = self.__class__.next_view(service, version, mode, path + ["next_view"])
                    self.default_view = self.__class__.default_view(service, version, mode, path + ["default_view"])
                    super().__init__(service, version, mode, path)
                class read_views(TUIMethod):
                    """
                    .
                    """
                class last_view(TUIMethod):
                    """
                    .
                    """
                class write_views(TUIMethod):
                    """
                    .
                    """
                class restore_view(TUIMethod):
                    """
                    .
                    """
                class delete_view(TUIMethod):
                    """
                    .
                    """
                class save_view(TUIMethod):
                    """
                    .
                    """
                class auto_scale(TUIMethod):
                    """
                    .
                    """
                class list_views(TUIMethod):
                    """
                    .
                    """
                class next_view(TUIMethod):
                    """
                    .
                    """
                class default_view(TUIMethod):
                    """
                    .
                    """

                class display_states(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.write = self.__class__.write(service, version, mode, path + ["write"])
                        self.read = self.__class__.read(service, version, mode, path + ["read"])
                        self.restore_state = self.__class__.restore_state(service, version, mode, path + ["restore_state"])
                        self.new = self.__class__.new(service, version, mode, path + ["new"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        super().__init__(service, version, mode, path)
                    class copy(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename object.
                        """
                    class write(TUIMethod):
                        """
                        .
                        """
                    class read(TUIMethod):
                        """
                        .
                        """
                    class restore_state(TUIMethod):
                        """
                        .
                        """
                    class new(TUIMethod):
                        """
                        Create a new display-states object.
                        """
                    class edit(TUIMethod):
                        """
                        Edit display-states object.
                        """
                    class use_active(TUIMethod):
                        """
                        .
                        """
                    class delete(TUIMethod):
                        """
                        Delete object.
                        """

                class camera(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.zoom_camera = self.__class__.zoom_camera(service, version, mode, path + ["zoom_camera"])
                        self.position = self.__class__.position(service, version, mode, path + ["position"])
                        self.roll_camera = self.__class__.roll_camera(service, version, mode, path + ["roll_camera"])
                        self.pan_camera = self.__class__.pan_camera(service, version, mode, path + ["pan_camera"])
                        self.target = self.__class__.target(service, version, mode, path + ["target"])
                        self.up_vector = self.__class__.up_vector(service, version, mode, path + ["up_vector"])
                        self.orbit_camera = self.__class__.orbit_camera(service, version, mode, path + ["orbit_camera"])
                        self.projection = self.__class__.projection(service, version, mode, path + ["projection"])
                        self.dolly_camera = self.__class__.dolly_camera(service, version, mode, path + ["dolly_camera"])
                        self.field = self.__class__.field(service, version, mode, path + ["field"])
                        super().__init__(service, version, mode, path)
                    class zoom_camera(TUIMethod):
                        """
                        .
                        """
                    class position(TUIMethod):
                        """
                        .
                        """
                    class roll_camera(TUIMethod):
                        """
                        .
                        """
                    class pan_camera(TUIMethod):
                        """
                        .
                        """
                    class target(TUIMethod):
                        """
                        .
                        """
                    class up_vector(TUIMethod):
                        """
                        .
                        """
                    class orbit_camera(TUIMethod):
                        """
                        .
                        """
                    class projection(TUIMethod):
                        """
                        .
                        """
                    class dolly_camera(TUIMethod):
                        """
                        .
                        """
                    class field(TUIMethod):
                        """
                        .
                        """

        class graphics(TUIMenu):
            """
            Enter graphics menu.
            """
            def __init__(self, service, version, mode, path):
                self.objects = self.__class__.objects(service, version, mode, path + ["objects"])
                self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                self.update_scene = self.__class__.update_scene(service, version, mode, path + ["update_scene"])
                self.lights = self.__class__.lights(service, version, mode, path + ["lights"])
                self.rendering_options = self.__class__.rendering_options(service, version, mode, path + ["rendering_options"])
                self.hsf_file = self.__class__.hsf_file(service, version, mode, path + ["hsf_file"])
                self.annotate = self.__class__.annotate(service, version, mode, path + ["annotate"])
                self.clear_annotations = self.__class__.clear_annotations(service, version, mode, path + ["clear_annotations"])
                self.color_map = self.__class__.color_map(service, version, mode, path + ["color_map"])
                super().__init__(service, version, mode, path)
            class hsf_file(TUIMethod):
                """
                Display hoops stream file data to active graphics window.
                """
            class annotate(TUIMethod):
                """
                Add a text annotation string to the active graphics window.
                """
            class clear_annotations(TUIMethod):
                """
                Delete all annotation text.
                """
            class color_map(TUIMethod):
                """
                Enter the color-map menu.
                """

            class objects(TUIMenu):
                """
                Enter to add, edit, delete or display graphics objects.
                """
                def __init__(self, service, version, mode, path):
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    super().__init__(service, version, mode, path)
                class create(TUIMethod):
                    """
                    Create new graphics object.
                    """
                class delete(TUIMethod):
                    """
                    Delete graphics object.
                    """
                class copy(TUIMethod):
                    """
                    Copy graphics object.
                    """
                class edit(TUIMethod):
                    """
                    Edit graphics object.
                    """
                class display(TUIMethod):
                    """
                    Display graphics object.
                    """
                class add_to_graphics(TUIMethod):
                    """
                    Add graphics object to existing graphics.
                    """

            class expert(TUIMenu):
                """
                Enter expert menu.
                """
                def __init__(self, service, version, mode, path):
                    self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
                    self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    self.flamelet_data = self.__class__.flamelet_data(service, version, mode, path + ["flamelet_data"])
                    self.pdf_data = self.__class__.pdf_data(service, version, mode, path + ["pdf_data"])
                    self.zone_mesh = self.__class__.zone_mesh(service, version, mode, path + ["zone_mesh"])
                    self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
                    self.set_list_tree_separator = self.__class__.set_list_tree_separator(service, version, mode, path + ["set_list_tree_separator"])
                    self.reacting_channel_curves = self.__class__.reacting_channel_curves(service, version, mode, path + ["reacting_channel_curves"])
                    self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
                    self.profile = self.__class__.profile(service, version, mode, path + ["profile"])
                    self.velocity_vector = self.__class__.velocity_vector(service, version, mode, path + ["velocity_vector"])
                    self.surface_mesh = self.__class__.surface_mesh(service, version, mode, path + ["surface_mesh"])
                    self.multigrid_coarsening = self.__class__.multigrid_coarsening(service, version, mode, path + ["multigrid_coarsening"])
                    self.mesh_outline = self.__class__.mesh_outline(service, version, mode, path + ["mesh_outline"])
                    self.add_custom_vector = self.__class__.add_custom_vector(service, version, mode, path + ["add_custom_vector"])
                    self.mesh_partition_boundary = self.__class__.mesh_partition_boundary(service, version, mode, path + ["mesh_partition_boundary"])
                    self.display_custom_vector = self.__class__.display_custom_vector(service, version, mode, path + ["display_custom_vector"])
                    self.graphics_window_layout = self.__class__.graphics_window_layout(service, version, mode, path + ["graphics_window_layout"])
                    self.re_scale = self.__class__.re_scale(service, version, mode, path + ["re_scale"])
                    self.contour = self.__class__.contour(service, version, mode, path + ["contour"])
                    self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                    self.re_render = self.__class__.re_render(service, version, mode, path + ["re_render"])
                    super().__init__(service, version, mode, path)
                class zone_mesh(TUIMethod):
                    """
                    Draw the mesh defined by specified face zones.
                    """
                class surface_cells(TUIMethod):
                    """
                    Draw the cells on the specified surfaces.
                    """
                class set_list_tree_separator(TUIMethod):
                    """
                    Set the separator character for list tree.
                    """
                class reacting_channel_curves(TUIMethod):
                    """
                    Plot/Report the reacting channel variables.
                    """
                class vector(TUIMethod):
                    """
                    Display space vectors.
                    """
                class profile(TUIMethod):
                    """
                    Display profiles of a flow variable.
                    """
                class velocity_vector(TUIMethod):
                    """
                    Display velocity vectors.
                    """
                class surface_mesh(TUIMethod):
                    """
                    Draw the mesh defined by the specified surfaces.
                    """
                class multigrid_coarsening(TUIMethod):
                    """
                    Display a coarse mesh level from the last multigrid coarsening.
                    """
                class mesh_outline(TUIMethod):
                    """
                    Display the mesh boundaries.
                    """
                class add_custom_vector(TUIMethod):
                    """
                    Add new custom vector definition.
                    """
                class mesh_partition_boundary(TUIMethod):
                    """
                    Display mesh partition boundaries.
                    """
                class display_custom_vector(TUIMethod):
                    """
                    Display custom vector.
                    """
                class graphics_window_layout(TUIMethod):
                    """
                    Arrange the graphics window layout.
                    """
                class re_scale(TUIMethod):
                    """
                    Re-render the last contour, profile, or velocity vector plot
                    with updated scale, surfaces, meshes, lights, colormap, rendering options, etc.,
                    without recalculating the field data.
                    """
                class contour(TUIMethod):
                    """
                    Display contours of a flow variable.
                    """
                class mesh(TUIMethod):
                    """
                    Display the mesh.
                    """
                class re_render(TUIMethod):
                    """
                    Re-render the last contour, profile, or velocity vector plot
                    with updated surfaces, meshes, lights, colormap, rendering options, etc.,
                    without recalculating the contour data.
                    """

                class particle_tracks(TUIMenu):
                    """
                    Enter the particle tracks menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
                        self.plot_write_xy_plot = self.__class__.plot_write_xy_plot(service, version, mode, path + ["plot_write_xy_plot"])
                        super().__init__(service, version, mode, path)
                    class particle_tracks(TUIMethod):
                        """
                        Calculate and display particle tracks from defined injections.
                        """
                    class plot_write_xy_plot(TUIMethod):
                        """
                        Plot or write XY plot of particle tracks.
                        """

                class path_lines(TUIMenu):
                    """
                    Enter the pathlines menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
                        self.write_to_files = self.__class__.write_to_files(service, version, mode, path + ["write_to_files"])
                        self.plot_write_xy_plot = self.__class__.plot_write_xy_plot(service, version, mode, path + ["plot_write_xy_plot"])
                        super().__init__(service, version, mode, path)
                    class path_lines(TUIMethod):
                        """
                        Display pathlines from a surface.
                        """
                    class write_to_files(TUIMethod):
                        """
                        Write Pathlines to a File.
                        """
                    class plot_write_xy_plot(TUIMethod):
                        """
                        Plot or write XY plot of pathline.
                        """

                class set(TUIMenu):
                    """
                    Enter the set menu to set display parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.rendering_options = self.__class__.rendering_options(service, version, mode, path + ["rendering_options"])
                        self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
                        self.colors = self.__class__.colors(service, version, mode, path + ["colors"])
                        self.titles = self.__class__.titles(service, version, mode, path + ["titles"])
                        self.velocity_vectors = self.__class__.velocity_vectors(service, version, mode, path + ["velocity_vectors"])
                        self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                        self.picture = self.__class__.picture(service, version, mode, path + ["picture"])
                        self.contours = self.__class__.contours(service, version, mode, path + ["contours"])
                        self.lights = self.__class__.lights(service, version, mode, path + ["lights"])
                        self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
                        self.mesh_surfaces = self.__class__.mesh_surfaces(service, version, mode, path + ["mesh_surfaces"])
                        self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                        self.n_stream_func = self.__class__.n_stream_func(service, version, mode, path + ["n_stream_func"])
                        self.mesh_zones = self.__class__.mesh_zones(service, version, mode, path + ["mesh_zones"])
                        self.reset_graphics = self.__class__.reset_graphics(service, version, mode, path + ["reset_graphics"])
                        self.filled_mesh = self.__class__.filled_mesh(service, version, mode, path + ["filled_mesh"])
                        self.color_map = self.__class__.color_map(service, version, mode, path + ["color_map"])
                        self.marker_symbol = self.__class__.marker_symbol(service, version, mode, path + ["marker_symbol"])
                        self.mesh_level = self.__class__.mesh_level(service, version, mode, path + ["mesh_level"])
                        self.nodewt_based_interp = self.__class__.nodewt_based_interp(service, version, mode, path + ["nodewt_based_interp"])
                        self.proximity_zones = self.__class__.proximity_zones(service, version, mode, path + ["proximity_zones"])
                        self.line_weight = self.__class__.line_weight(service, version, mode, path + ["line_weight"])
                        self.mesh_partitions = self.__class__.mesh_partitions(service, version, mode, path + ["mesh_partitions"])
                        self.zero_angle_dir = self.__class__.zero_angle_dir(service, version, mode, path + ["zero_angle_dir"])
                        self.mesh_display_configuration = self.__class__.mesh_display_configuration(service, version, mode, path + ["mesh_display_configuration"])
                        self.mirror_zones = self.__class__.mirror_zones(service, version, mode, path + ["mirror_zones"])
                        self.element_shrink = self.__class__.element_shrink(service, version, mode, path + ["element_shrink"])
                        self.overlays = self.__class__.overlays(service, version, mode, path + ["overlays"])
                        self.duplicate_node_display = self.__class__.duplicate_node_display(service, version, mode, path + ["duplicate_node_display"])
                        self.periodic_instancing = self.__class__.periodic_instancing(service, version, mode, path + ["periodic_instancing"])
                        self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                        super().__init__(service, version, mode, path)
                    class mesh_surfaces(TUIMethod):
                        """
                        Set surface IDs to be drawn as mesh.
                        """
                    class render_mesh(TUIMethod):
                        """
                        Enable/disable rendering the mesh on top of contours, vectors, etc.
                        """
                    class n_stream_func(TUIMethod):
                        """
                        Set the number of iterations used in computing stream function.
                        """
                    class mesh_zones(TUIMethod):
                        """
                        Set zone IDs to be drawn as mesh.
                        """
                    class reset_graphics(TUIMethod):
                        """
                        Reset the graphics system.
                        """
                    class filled_mesh(TUIMethod):
                        """
                        Enable/disable the filled mesh option.
                        """
                    class color_map(TUIMethod):
                        """
                        Enter the color-map menu.
                        """
                    class marker_symbol(TUIMethod):
                        """
                        Set the type of markers used to represent points.
                        """
                    class mesh_level(TUIMethod):
                        """
                        Set coarse mesh level to be drawn.
                        """
                    class nodewt_based_interp(TUIMethod):
                        """
                        Use more accurate node-weight based interpolation for postprocessing.
                        """
                    class proximity_zones(TUIMethod):
                        """
                        Set zones to be used for boundary cell distance and boundary proximity.
                        """
                    class line_weight(TUIMethod):
                        """
                        Set the line-weight factor for the window.
                        """
                    class mesh_partitions(TUIMethod):
                        """
                        Enable/disable drawing of the mesh partition boundaries.
                        """
                    class zero_angle_dir(TUIMethod):
                        """
                        Set the vector having zero angular coordinates.
                        """
                    class mesh_display_configuration(TUIMethod):
                        """
                        Set mesh display configuration.
                        """
                    class mirror_zones(TUIMethod):
                        """
                        Set zones to mirror the domain about.
                        """
                    class element_shrink(TUIMethod):
                        """
                        Set percentage to shrink elements.
                        """
                    class overlays(TUIMethod):
                        """
                        Enable/disable overlays.
                        """
                    class duplicate_node_display(TUIMethod):
                        """
                        Set flag to remove duplicate nodes in mesh display.
                        """
                    class periodic_instancing(TUIMethod):
                        """
                        Set periodic instancing.
                        """
                    class marker_size(TUIMethod):
                        """
                        Set the size of markers used to represent points.
                        """

                    class rendering_options(TUIMenu):
                        """
                        Enter the rendering options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.help_text_color = self.__class__.help_text_color(service, version, mode, path + ["help_text_color"])
                            self.outer_face_cull = self.__class__.outer_face_cull(service, version, mode, path + ["outer_face_cull"])
                            self.color_map_alignment = self.__class__.color_map_alignment(service, version, mode, path + ["color_map_alignment"])
                            self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                            self.hidden_surface_method = self.__class__.hidden_surface_method(service, version, mode, path + ["hidden_surface_method"])
                            self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                            self.set_rendering_options = self.__class__.set_rendering_options(service, version, mode, path + ["set_rendering_options"])
                            self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                            self.surface_edge_visibility = self.__class__.surface_edge_visibility(service, version, mode, path + ["surface_edge_visibility"])
                            self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                            self.hidden_surfaces = self.__class__.hidden_surfaces(service, version, mode, path + ["hidden_surfaces"])
                            self.auto_spin = self.__class__.auto_spin(service, version, mode, path + ["auto_spin"])
                            self.face_displacement = self.__class__.face_displacement(service, version, mode, path + ["face_displacement"])
                            self.device_info = self.__class__.device_info(service, version, mode, path + ["device_info"])
                            super().__init__(service, version, mode, path)
                        class help_text_color(TUIMethod):
                            """
                            Set the color of screen help text.
                            """
                        class outer_face_cull(TUIMethod):
                            """
                            Enable/disable discarding outer faces during display.
                            """
                        class color_map_alignment(TUIMethod):
                            """
                            Set the color bar alignment.
                            """
                        class double_buffering(TUIMethod):
                            """
                            Enable/disable double-buffering.
                            """
                        class hidden_surface_method(TUIMethod):
                            """
                            Specify the method to perform hidden line and hidden surface rendering.
                            """
                        class show_colormap(TUIMethod):
                            """
                            Enable/Disable colormap.
                            """
                        class set_rendering_options(TUIMethod):
                            """
                            Set the rendering options.
                            """
                        class driver(TUIMethod):
                            """
                            Change the current graphics driver.
                            """
                        class surface_edge_visibility(TUIMethod):
                            """
                            Set edge visibility flags for surfaces.
                            """
                        class animation_option(TUIMethod):
                            """
                            Using Wireframe / All option during animation.
                            """
                        class hidden_surfaces(TUIMethod):
                            """
                            Enable/disable hidden surface removal.
                            """
                        class auto_spin(TUIMethod):
                            """
                            Enable/disable mouse view rotations to continue to spin the display after the button is released.
                            """
                        class face_displacement(TUIMethod):
                            """
                            Set face displacement value in Z-buffer units along the Camera Z-axis.
                            """
                        class device_info(TUIMethod):
                            """
                            List information for the graphics device.
                            """

                    class path_lines(TUIMenu):
                        """
                        Enter the path-lines menu to set parameters for the display of pathlines.
                        """
                        def __init__(self, service, version, mode, path):
                            self.maximum_steps = self.__class__.maximum_steps(service, version, mode, path + ["maximum_steps"])
                            self.track_in_phase = self.__class__.track_in_phase(service, version, mode, path + ["track_in_phase"])
                            self.arrow_scale = self.__class__.arrow_scale(service, version, mode, path + ["arrow_scale"])
                            self.style = self.__class__.style(service, version, mode, path + ["style"])
                            self.twist_factor = self.__class__.twist_factor(service, version, mode, path + ["twist_factor"])
                            self.arrow_space = self.__class__.arrow_space(service, version, mode, path + ["arrow_space"])
                            self.relative_pathlines = self.__class__.relative_pathlines(service, version, mode, path + ["relative_pathlines"])
                            self.sphere_attrib = self.__class__.sphere_attrib(service, version, mode, path + ["sphere_attrib"])
                            self.display_steps = self.__class__.display_steps(service, version, mode, path + ["display_steps"])
                            self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                            self.step_size = self.__class__.step_size(service, version, mode, path + ["step_size"])
                            self.reverse = self.__class__.reverse(service, version, mode, path + ["reverse"])
                            self.line_width = self.__class__.line_width(service, version, mode, path + ["line_width"])
                            self.radius = self.__class__.radius(service, version, mode, path + ["radius"])
                            self.maximum_error = self.__class__.maximum_error(service, version, mode, path + ["maximum_error"])
                            self.error_control = self.__class__.error_control(service, version, mode, path + ["error_control"])
                            super().__init__(service, version, mode, path)
                        class maximum_steps(TUIMethod):
                            """
                            Set the maximum number of steps to take for pathlines.
                            """
                        class track_in_phase(TUIMethod):
                            """
                            Assign phase to display pathlines in.
                            """
                        class arrow_scale(TUIMethod):
                            """
                            Set the scale factor for arrows drawn on pathlines.
                            """
                        class style(TUIMethod):
                            """
                            Set display style for pathlines (line/ribbon/cylinder).
                            """
                        class twist_factor(TUIMethod):
                            """
                            Set the scale factor for twisting (ribbons only).
                            """
                        class arrow_space(TUIMethod):
                            """
                            Set the spacing factor for arrows drawn on pathlines.
                            """
                        class relative_pathlines(TUIMethod):
                            """
                            Enable/disable the tracking of pathlines in a relative coordinate system.
                            """
                        class sphere_attrib(TUIMethod):
                            """
                            Specify size and no. of slices to be used in drawing sphere for sphere-style.
                            """
                        class display_steps(TUIMethod):
                            """
                            Set the display stepping for pathlines.
                            """
                        class marker_size(TUIMethod):
                            """
                            Set the marker size for particle drawing.
                            """
                        class step_size(TUIMethod):
                            """
                            Set the step length between particle positions for path-lines.
                            """
                        class reverse(TUIMethod):
                            """
                            Enable/disable the direction of path tracking.
                            """
                        class line_width(TUIMethod):
                            """
                            Set the width for pathlines.
                            """
                        class radius(TUIMethod):
                            """
                            Set the radius for pathline (ribbons/cylinder only) cross-section.
                            """
                        class maximum_error(TUIMethod):
                            """
                            Set the maximum error allowed while computing the pathlines.
                            """
                        class error_control(TUIMethod):
                            """
                            Set error control during pathline computation.
                            """

                    class colors(TUIMenu):
                        """
                        Enter the color options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.by_type = self.__class__.by_type(service, version, mode, path + ["by_type"])
                            self.by_surface = self.__class__.by_surface(service, version, mode, path + ["by_surface"])
                            self.periodic_faces = self.__class__.periodic_faces(service, version, mode, path + ["periodic_faces"])
                            self.interior_faces = self.__class__.interior_faces(service, version, mode, path + ["interior_faces"])
                            self.rans_les_interface_faces = self.__class__.rans_les_interface_faces(service, version, mode, path + ["rans_les_interface_faces"])
                            self.traction_faces = self.__class__.traction_faces(service, version, mode, path + ["traction_faces"])
                            self.far_field_faces = self.__class__.far_field_faces(service, version, mode, path + ["far_field_faces"])
                            self.axis_faces = self.__class__.axis_faces(service, version, mode, path + ["axis_faces"])
                            self.color_by_type = self.__class__.color_by_type(service, version, mode, path + ["color_by_type"])
                            self.show_user_colors = self.__class__.show_user_colors(service, version, mode, path + ["show_user_colors"])
                            self.reset_colors = self.__class__.reset_colors(service, version, mode, path + ["reset_colors"])
                            self.user_color = self.__class__.user_color(service, version, mode, path + ["user_color"])
                            self.interface_faces = self.__class__.interface_faces(service, version, mode, path + ["interface_faces"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.symmetry_faces = self.__class__.symmetry_faces(service, version, mode, path + ["symmetry_faces"])
                            self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                            self.reset_user_colors = self.__class__.reset_user_colors(service, version, mode, path + ["reset_user_colors"])
                            self.graphics_color_theme = self.__class__.graphics_color_theme(service, version, mode, path + ["graphics_color_theme"])
                            self.outlet_faces = self.__class__.outlet_faces(service, version, mode, path + ["outlet_faces"])
                            self.automatic_skip = self.__class__.automatic_skip(service, version, mode, path + ["automatic_skip"])
                            self.wall_faces = self.__class__.wall_faces(service, version, mode, path + ["wall_faces"])
                            self.overset_faces = self.__class__.overset_faces(service, version, mode, path + ["overset_faces"])
                            self.internal_faces = self.__class__.internal_faces(service, version, mode, path + ["internal_faces"])
                            self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                            self.inlet_faces = self.__class__.inlet_faces(service, version, mode, path + ["inlet_faces"])
                            self.skip_label = self.__class__.skip_label(service, version, mode, path + ["skip_label"])
                            self.free_surface_faces = self.__class__.free_surface_faces(service, version, mode, path + ["free_surface_faces"])
                            self.background = self.__class__.background(service, version, mode, path + ["background"])
                            super().__init__(service, version, mode, path)
                        class periodic_faces(TUIMethod):
                            """
                            Set the color of periodic faces.
                            """
                        class interior_faces(TUIMethod):
                            """
                            Set the color of interior faces.
                            """
                        class rans_les_interface_faces(TUIMethod):
                            """
                            Set the color of RANS/LES interface faces.
                            """
                        class traction_faces(TUIMethod):
                            """
                            Set the color of traction faces.
                            """
                        class far_field_faces(TUIMethod):
                            """
                            Set the color of far field faces.
                            """
                        class axis_faces(TUIMethod):
                            """
                            Set the color of axisymmetric faces.
                            """
                        class color_by_type(TUIMethod):
                            """
                            Determine whether to color meshes by type or by surface (ID).
                            """
                        class show_user_colors(TUIMethod):
                            """
                            List currently defined user colors.
                            """
                        class reset_colors(TUIMethod):
                            """
                            Reset individual mesh surface colors to the defaults.
                            """
                        class user_color(TUIMethod):
                            """
                            Explicitly set color of display zone.
                            """
                        class interface_faces(TUIMethod):
                            """
                            Set the color of mesh Interfaces.
                            """
                        class list(TUIMethod):
                            """
                            List available colors.
                            """
                        class symmetry_faces(TUIMethod):
                            """
                            Set the color of symmetric faces.
                            """
                        class surface(TUIMethod):
                            """
                            Set the color of surfaces.
                            """
                        class reset_user_colors(TUIMethod):
                            """
                            Reset all user colors.
                            """
                        class graphics_color_theme(TUIMethod):
                            """
                            Enter the graphics color theme menu.
                            """
                        class outlet_faces(TUIMethod):
                            """
                            Set the color of outlet faces.
                            """
                        class automatic_skip(TUIMethod):
                            """
                            Determine whether to skip labels in the colopmap scale automatically.
                            """
                        class wall_faces(TUIMethod):
                            """
                            Set the color of wall faces.
                            """
                        class overset_faces(TUIMethod):
                            """
                            Set the color of overset faces.
                            """
                        class internal_faces(TUIMethod):
                            """
                            Set the color of internal interface faces.
                            """
                        class foreground(TUIMethod):
                            """
                            Set the foreground (text and window frame) color.
                            """
                        class inlet_faces(TUIMethod):
                            """
                            Set the color of inlet faces.
                            """
                        class skip_label(TUIMethod):
                            """
                            Set the number of labels to be skipped in the colopmap scale.
                            """
                        class free_surface_faces(TUIMethod):
                            """
                            Set the color of free-surface faces.
                            """
                        class background(TUIMethod):
                            """
                            Set the background (window) color.
                            """

                        class by_type(TUIMenu):
                            """
                            Enter the zone type color and material assignment menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.type_name = self.__class__.type_name(service, version, mode, path + ["type_name"])
                                self.only_list_case_boundaries = self.__class__.only_list_case_boundaries(service, version, mode, path + ["only_list_case_boundaries"])
                                self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                                super().__init__(service, version, mode, path)
                            class only_list_case_boundaries(TUIMethod):
                                """
                                Only list the boundary types that are assigned in this case.
                                """
                            class reset(TUIMethod):
                                """
                                To reset colors and/or materials to the defaults.
                                """

                            class type_name(TUIMenu):
                                """
                                Select the boundary type to specify colors and/or materials.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.traction = self.__class__.traction(service, version, mode, path + ["traction"])
                                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                                    self.free_surface = self.__class__.free_surface(service, version, mode, path + ["free_surface"])
                                    self.outlet = self.__class__.outlet(service, version, mode, path + ["outlet"])
                                    self.far_field = self.__class__.far_field(service, version, mode, path + ["far_field"])
                                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                                    self.inlet = self.__class__.inlet(service, version, mode, path + ["inlet"])
                                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                                    self.internal = self.__class__.internal(service, version, mode, path + ["internal"])
                                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                                    self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                                    super().__init__(service, version, mode, path)
                                class traction(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class symmetry(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class free_surface(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class outlet(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class far_field(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class interior(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class inlet(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class wall(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class rans_les_interface(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class overset(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class axis(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class interface(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class internal(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class periodic(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """
                                class surface(TUIMethod):
                                    """
                                    Set the material and/or color for the selected boundary type.
                                    """

                        class by_surface(TUIMenu):
                            """
                            Enter the surface(s) color and material assignment menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.list_surfaces_by_color = self.__class__.list_surfaces_by_color(service, version, mode, path + ["list_surfaces_by_color"])
                                self.list_surfaces_by_material = self.__class__.list_surfaces_by_material(service, version, mode, path + ["list_surfaces_by_material"])
                                self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                                self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                                super().__init__(service, version, mode, path)
                            class list_surfaces_by_color(TUIMethod):
                                """
                                To list the surfaces by its color.
                                """
                            class list_surfaces_by_material(TUIMethod):
                                """
                                To list the surfaces by its material.
                                """
                            class surfaces(TUIMethod):
                                """
                                Select the surface(s) to specify colors and/or materials.
                                """
                            class reset(TUIMethod):
                                """
                                To reset colors and/or materials to the defaults.
                                """

                    class titles(TUIMenu):
                        """
                        Set problem title.
                        """
                        def __init__(self, service, version, mode, path):
                            self.left_bottom = self.__class__.left_bottom(service, version, mode, path + ["left_bottom"])
                            self.right_bottom = self.__class__.right_bottom(service, version, mode, path + ["right_bottom"])
                            self.left_top = self.__class__.left_top(service, version, mode, path + ["left_top"])
                            self.right_middle = self.__class__.right_middle(service, version, mode, path + ["right_middle"])
                            self.right_top = self.__class__.right_top(service, version, mode, path + ["right_top"])
                            super().__init__(service, version, mode, path)
                        class left_bottom(TUIMethod):
                            """
                            Set the title text for left bottom in title segment.
                            """
                        class right_bottom(TUIMethod):
                            """
                            Set the title text for right bottom in title segment.
                            """
                        class left_top(TUIMethod):
                            """
                            Set the title text for left top in title segment.
                            """
                        class right_middle(TUIMethod):
                            """
                            Set the title text for right middle in title segment.
                            """
                        class right_top(TUIMethod):
                            """
                            Set the title text for right top in title segment.
                            """

                    class velocity_vectors(TUIMenu):
                        """
                        Enter the menu to set parameters for display of velocity vectors.
                        """
                        def __init__(self, service, version, mode, path):
                            self.component_x = self.__class__.component_x(service, version, mode, path + ["component_x"])
                            self.scale_head = self.__class__.scale_head(service, version, mode, path + ["scale_head"])
                            self.component_y = self.__class__.component_y(service, version, mode, path + ["component_y"])
                            self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                            self.in_plane = self.__class__.in_plane(service, version, mode, path + ["in_plane"])
                            self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                            self.color = self.__class__.color(service, version, mode, path + ["color"])
                            self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                            self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                            self.constant_length = self.__class__.constant_length(service, version, mode, path + ["constant_length"])
                            self.style = self.__class__.style(service, version, mode, path + ["style"])
                            self.global_range = self.__class__.global_range(service, version, mode, path + ["global_range"])
                            self.color_levels = self.__class__.color_levels(service, version, mode, path + ["color_levels"])
                            self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                            self.component_z = self.__class__.component_z(service, version, mode, path + ["component_z"])
                            self.node_values = self.__class__.node_values(service, version, mode, path + ["node_values"])
                            self.relative = self.__class__.relative(service, version, mode, path + ["relative"])
                            super().__init__(service, version, mode, path)
                        class component_x(TUIMethod):
                            """
                            Enable/disable use of x-component of vectors.
                            """
                        class scale_head(TUIMethod):
                            """
                            Set the value by which the vector head will be scaled.
                            """
                        class component_y(TUIMethod):
                            """
                            Enable/disable use of y-component of vectors.
                            """
                        class render_mesh(TUIMethod):
                            """
                            Enable/disable rendering the mseh on top of contours, vectors, etc.
                            """
                        class in_plane(TUIMethod):
                            """
                            Toggle the display of in-plane velocity vectors.
                            """
                        class scale(TUIMethod):
                            """
                            Set the value by which the vector length will be scaled.
                            """
                        class color(TUIMethod):
                            """
                            Set the color used for all vectors. Set color to the null string to use the color map.
                            """
                        class log_scale(TUIMethod):
                            """
                            Enable/disable the use of a log scale.
                            """
                        class surfaces(TUIMethod):
                            """
                            Set surfaces on which vectors are drawn.
                            """
                        class constant_length(TUIMethod):
                            """
                            Enable/disable setting all vectors to have the same length.
                            """
                        class style(TUIMethod):
                            """
                            Set the style with which the vectors will be drawn.
                            """
                        class global_range(TUIMethod):
                            """
                            Enable/disable the global range for vectors option.
                            """
                        class color_levels(TUIMethod):
                            """
                            Set the number of colors used from the color map.
                            """
                        class auto_scale(TUIMethod):
                            """
                            Enable/disable auto-scale of all vectors so that vector overlap is minimal.
                            """
                        class component_z(TUIMethod):
                            """
                            Enable/disable use of z-component of vectors.
                            """
                        class node_values(TUIMethod):
                            """
                            Enable/disable plotting node values. Cell values will be plotted if "no".
                            """
                        class relative(TUIMethod):
                            """
                            Enable/disable the display of relative velocity vectors.
                            """

                    class windows(TUIMenu):
                        """
                        Enter the window options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                            self.xy = self.__class__.xy(service, version, mode, path + ["xy"])
                            self.main = self.__class__.main(service, version, mode, path + ["main"])
                            self.text = self.__class__.text(service, version, mode, path + ["text"])
                            self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                            self.video = self.__class__.video(service, version, mode, path + ["video"])
                            self.logo = self.__class__.logo(service, version, mode, path + ["logo"])
                            self.logo_color = self.__class__.logo_color(service, version, mode, path + ["logo_color"])
                            self.aspect_ratio = self.__class__.aspect_ratio(service, version, mode, path + ["aspect_ratio"])
                            self.ruler = self.__class__.ruler(service, version, mode, path + ["ruler"])
                            super().__init__(service, version, mode, path)
                        class logo(TUIMethod):
                            """
                            .
                            """
                        class logo_color(TUIMethod):
                            """
                            .
                            """
                        class aspect_ratio(TUIMethod):
                            """
                            .
                            """
                        class ruler(TUIMethod):
                            """
                            .
                            """

                        class axes(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                                self.border = self.__class__.border(service, version, mode, path + ["border"])
                                self.right = self.__class__.right(service, version, mode, path + ["right"])
                                self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                                self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                                super().__init__(service, version, mode, path)
                            class bottom(TUIMethod):
                                """
                                .
                                """
                            class border(TUIMethod):
                                """
                                .
                                """
                            class right(TUIMethod):
                                """
                                .
                                """
                            class clear(TUIMethod):
                                """
                                .
                                """
                            class visible(TUIMethod):
                                """
                                .
                                """

                        class xy(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                                self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                                self.border = self.__class__.border(service, version, mode, path + ["border"])
                                self.top = self.__class__.top(service, version, mode, path + ["top"])
                                self.left = self.__class__.left(service, version, mode, path + ["left"])
                                self.right = self.__class__.right(service, version, mode, path + ["right"])
                                super().__init__(service, version, mode, path)
                            class visible(TUIMethod):
                                """
                                .
                                """
                            class bottom(TUIMethod):
                                """
                                .
                                """
                            class border(TUIMethod):
                                """
                                .
                                """
                            class top(TUIMethod):
                                """
                                .
                                """
                            class left(TUIMethod):
                                """
                                .
                                """
                            class right(TUIMethod):
                                """
                                .
                                """

                        class main(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.top = self.__class__.top(service, version, mode, path + ["top"])
                                self.left = self.__class__.left(service, version, mode, path + ["left"])
                                self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                                self.right = self.__class__.right(service, version, mode, path + ["right"])
                                self.border = self.__class__.border(service, version, mode, path + ["border"])
                                self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                                super().__init__(service, version, mode, path)
                            class top(TUIMethod):
                                """
                                .
                                """
                            class left(TUIMethod):
                                """
                                .
                                """
                            class visible(TUIMethod):
                                """
                                .
                                """
                            class right(TUIMethod):
                                """
                                .
                                """
                            class border(TUIMethod):
                                """
                                .
                                """
                            class bottom(TUIMethod):
                                """
                                .
                                """

                        class text(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.top = self.__class__.top(service, version, mode, path + ["top"])
                                self.border = self.__class__.border(service, version, mode, path + ["border"])
                                self.right = self.__class__.right(service, version, mode, path + ["right"])
                                self.company = self.__class__.company(service, version, mode, path + ["company"])
                                self.alignment = self.__class__.alignment(service, version, mode, path + ["alignment"])
                                self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                                self.left = self.__class__.left(service, version, mode, path + ["left"])
                                self.date = self.__class__.date(service, version, mode, path + ["date"])
                                self.application = self.__class__.application(service, version, mode, path + ["application"])
                                self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                                self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                                super().__init__(service, version, mode, path)
                            class top(TUIMethod):
                                """
                                .
                                """
                            class border(TUIMethod):
                                """
                                .
                                """
                            class right(TUIMethod):
                                """
                                .
                                """
                            class company(TUIMethod):
                                """
                                .
                                """
                            class alignment(TUIMethod):
                                """
                                .
                                """
                            class visible(TUIMethod):
                                """
                                .
                                """
                            class left(TUIMethod):
                                """
                                .
                                """
                            class date(TUIMethod):
                                """
                                .
                                """
                            class application(TUIMethod):
                                """
                                .
                                """
                            class bottom(TUIMethod):
                                """
                                .
                                """
                            class clear(TUIMethod):
                                """
                                .
                                """

                        class scale(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.left = self.__class__.left(service, version, mode, path + ["left"])
                                self.margin = self.__class__.margin(service, version, mode, path + ["margin"])
                                self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                                self.font_size = self.__class__.font_size(service, version, mode, path + ["font_size"])
                                self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                                self.right = self.__class__.right(service, version, mode, path + ["right"])
                                self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                                self.format = self.__class__.format(service, version, mode, path + ["format"])
                                self.top = self.__class__.top(service, version, mode, path + ["top"])
                                self.border = self.__class__.border(service, version, mode, path + ["border"])
                                super().__init__(service, version, mode, path)
                            class left(TUIMethod):
                                """
                                .
                                """
                            class margin(TUIMethod):
                                """
                                .
                                """
                            class clear(TUIMethod):
                                """
                                .
                                """
                            class font_size(TUIMethod):
                                """
                                .
                                """
                            class visible(TUIMethod):
                                """
                                .
                                """
                            class right(TUIMethod):
                                """
                                .
                                """
                            class bottom(TUIMethod):
                                """
                                .
                                """
                            class format(TUIMethod):
                                """
                                .
                                """
                            class top(TUIMethod):
                                """
                                .
                                """
                            class border(TUIMethod):
                                """
                                .
                                """

                        class video(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.color_filter = self.__class__.color_filter(service, version, mode, path + ["color_filter"])
                                self.background = self.__class__.background(service, version, mode, path + ["background"])
                                self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                                self.on = self.__class__.on(service, version, mode, path + ["on"])
                                self.pixel_size = self.__class__.pixel_size(service, version, mode, path + ["pixel_size"])
                                super().__init__(service, version, mode, path)
                            class color_filter(TUIMethod):
                                """
                                .
                                """
                            class background(TUIMethod):
                                """
                                .
                                """
                            class foreground(TUIMethod):
                                """
                                .
                                """
                            class on(TUIMethod):
                                """
                                .
                                """
                            class pixel_size(TUIMethod):
                                """
                                .
                                """

                    class picture(TUIMenu):
                        """
                        Enter the hardcopy/save-picture options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                            self.color_mode = self.__class__.color_mode(service, version, mode, path + ["color_mode"])
                            self.invert_background = self.__class__.invert_background(service, version, mode, path + ["invert_background"])
                            self.use_window_resolution = self.__class__.use_window_resolution(service, version, mode, path + ["use_window_resolution"])
                            self.jpeg_hardcopy_quality = self.__class__.jpeg_hardcopy_quality(service, version, mode, path + ["jpeg_hardcopy_quality"])
                            self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                            self.dpi = self.__class__.dpi(service, version, mode, path + ["dpi"])
                            self.x_resolution = self.__class__.x_resolution(service, version, mode, path + ["x_resolution"])
                            self.landscape = self.__class__.landscape(service, version, mode, path + ["landscape"])
                            self.preview = self.__class__.preview(service, version, mode, path + ["preview"])
                            self.y_resolution = self.__class__.y_resolution(service, version, mode, path + ["y_resolution"])
                            super().__init__(service, version, mode, path)
                        class invert_background(TUIMethod):
                            """
                            Use a white background when the picture is saved.
                            """
                        class use_window_resolution(TUIMethod):
                            """
                            Use the currently active window's resolution for hardcopy (ignores the x-resolution and y-resolution in this case).
                            """
                        class jpeg_hardcopy_quality(TUIMethod):
                            """
                            To set jpeg hardcopy quality.
                            """
                        class set_standard_resolution(TUIMethod):
                            """
                            Select from pre-defined resolution list.
                            """
                        class dpi(TUIMethod):
                            """
                            Set the DPI for EPS and Postscript files, specifies the resolution in dots per inch (DPI) instead of setting the width and height.
                            """
                        class x_resolution(TUIMethod):
                            """
                            Set the width of raster-formatted images in pixels (0 implies current window size).
                            """
                        class landscape(TUIMethod):
                            """
                            Plot hardcopies in landscape or portrait orientation.
                            """
                        class preview(TUIMethod):
                            """
                            Display a preview image of a hardcopy.
                            """
                        class y_resolution(TUIMethod):
                            """
                            Set the height of raster-formatted images in pixels (0 implies current window size).
                            """

                        class driver(TUIMenu):
                            """
                            Enter the set hardcopy driver menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.post_format = self.__class__.post_format(service, version, mode, path + ["post_format"])
                                self.eps = self.__class__.eps(service, version, mode, path + ["eps"])
                                self.options = self.__class__.options(service, version, mode, path + ["options"])
                                self.vrml = self.__class__.vrml(service, version, mode, path + ["vrml"])
                                self.hsf = self.__class__.hsf(service, version, mode, path + ["hsf"])
                                self.tiff = self.__class__.tiff(service, version, mode, path + ["tiff"])
                                self.avz = self.__class__.avz(service, version, mode, path + ["avz"])
                                self.dump_window = self.__class__.dump_window(service, version, mode, path + ["dump_window"])
                                self.ppm = self.__class__.ppm(service, version, mode, path + ["ppm"])
                                self.glb = self.__class__.glb(service, version, mode, path + ["glb"])
                                self.jpeg = self.__class__.jpeg(service, version, mode, path + ["jpeg"])
                                self.png = self.__class__.png(service, version, mode, path + ["png"])
                                self.post_script = self.__class__.post_script(service, version, mode, path + ["post_script"])
                                self.list = self.__class__.list(service, version, mode, path + ["list"])
                                super().__init__(service, version, mode, path)
                            class eps(TUIMethod):
                                """
                                Produce encapsulated PostScript (EPS) output for hardcopies.
                                """
                            class options(TUIMethod):
                                """
                                Set the hardcopy options. Available options are:
                                "no gamma correction", disables gamma correction of colors,
                                "physical size = (width,height)", where width and height
                                are the actual measurements of the printable area of the page
                                in centimeters.
                                "subscreen = (left,right,bottom,top)", where left,right,
                                bottom, and top are numbers in [-1,1] describing a subwindow on
                                the page in which to place the hardcopy.
                                The options may be combined by separating them with commas.
                                """
                            class vrml(TUIMethod):
                                """
                                Use VRML output for hardcopies.
                                """
                            class hsf(TUIMethod):
                                """
                                Use HSF output for hardcopies.
                                """
                            class tiff(TUIMethod):
                                """
                                Use TIFF output for hardcopies.
                                """
                            class avz(TUIMethod):
                                """
                                Use AVZ output for hardcopies.
                                """
                            class dump_window(TUIMethod):
                                """
                                Set the command used to dump the graphics window to a file.
                                """
                            class ppm(TUIMethod):
                                """
                                Produce PPM output for hardcopies.
                                """
                            class glb(TUIMethod):
                                """
                                Use GLB output for hardcopies.
                                """
                            class jpeg(TUIMethod):
                                """
                                Produce JPEG output for hardcopies.
                                """
                            class png(TUIMethod):
                                """
                                Use PNG output for hardcopies.
                                """
                            class post_script(TUIMethod):
                                """
                                Produce PostScript output for hardcopies.
                                """
                            class list(TUIMethod):
                                """
                                List the current hardcopy driver.
                                """

                            class post_format(TUIMenu):
                                """
                                Enter the PostScript driver format menu.
                                """
                                def __init__(self, service, version, mode, path):
                                    self.rle_raster = self.__class__.rle_raster(service, version, mode, path + ["rle_raster"])
                                    self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
                                    self.fast_raster = self.__class__.fast_raster(service, version, mode, path + ["fast_raster"])
                                    self.raster = self.__class__.raster(service, version, mode, path + ["raster"])
                                    super().__init__(service, version, mode, path)
                                class rle_raster(TUIMethod):
                                    """
                                    Use the run-length encoded raster format.
                                    """
                                class vector(TUIMethod):
                                    """
                                    Use vector format.
                                    """
                                class fast_raster(TUIMethod):
                                    """
                                    Use the new raster format.
                                    """
                                class raster(TUIMethod):
                                    """
                                    Use the original raster format.
                                    """

                        class color_mode(TUIMenu):
                            """
                            Enter the hardcopy color mode menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.mono_chrome = self.__class__.mono_chrome(service, version, mode, path + ["mono_chrome"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.list = self.__class__.list(service, version, mode, path + ["list"])
                                self.gray_scale = self.__class__.gray_scale(service, version, mode, path + ["gray_scale"])
                                super().__init__(service, version, mode, path)
                            class mono_chrome(TUIMethod):
                                """
                                Convert color to monochrome (black and white) for hardcopy.
                                """
                            class color(TUIMethod):
                                """
                                Plot hardcopies in color.
                                """
                            class list(TUIMethod):
                                """
                                Display the current hardcopy color mode.
                                """
                            class gray_scale(TUIMethod):
                                """
                                Convert color to grayscale for hardcopy.
                                """

                    class contours(TUIMenu):
                        """
                        Enter the contour options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                            self.filled_contours = self.__class__.filled_contours(service, version, mode, path + ["filled_contours"])
                            self.coloring = self.__class__.coloring(service, version, mode, path + ["coloring"])
                            self.n_contour = self.__class__.n_contour(service, version, mode, path + ["n_contour"])
                            self.clip_to_range = self.__class__.clip_to_range(service, version, mode, path + ["clip_to_range"])
                            self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                            self.global_range = self.__class__.global_range(service, version, mode, path + ["global_range"])
                            self.line_contours = self.__class__.line_contours(service, version, mode, path + ["line_contours"])
                            self.node_values = self.__class__.node_values(service, version, mode, path + ["node_values"])
                            self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                            self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                            super().__init__(service, version, mode, path)
                        class render_mesh(TUIMethod):
                            """
                            Determine whether or not to render the mesh on top of contours, vectors, etc.
                            """
                        class filled_contours(TUIMethod):
                            """
                            Enable/disable the filled contour option.
                            """
                        class coloring(TUIMethod):
                            """
                            Select coloring option.
                            """
                        class n_contour(TUIMethod):
                            """
                            Set the number of contour levels.
                            """
                        class clip_to_range(TUIMethod):
                            """
                            Enable/disable the clip to range option for filled contours.
                            """
                        class surfaces(TUIMethod):
                            """
                            Set surfaces to be contoured.
                            """
                        class global_range(TUIMethod):
                            """
                            Enable/disable the global range for contours option.
                            """
                        class line_contours(TUIMethod):
                            """
                            Enable/disable the filled contour option.
                            """
                        class node_values(TUIMethod):
                            """
                            Enable/disable the plot of node values.
                            """
                        class log_scale(TUIMethod):
                            """
                            Enable/disable the use of a log scale.
                            """
                        class auto_range(TUIMethod):
                            """
                            Enable/disable auto-computation of range for contours.
                            """

                    class lights(TUIMenu):
                        """
                        Enter the lights menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.headlight_on = self.__class__.headlight_on(service, version, mode, path + ["headlight_on"])
                            self.lighting_interpolation = self.__class__.lighting_interpolation(service, version, mode, path + ["lighting_interpolation"])
                            self.set_ambient_color = self.__class__.set_ambient_color(service, version, mode, path + ["set_ambient_color"])
                            self.lights_on = self.__class__.lights_on(service, version, mode, path + ["lights_on"])
                            self.set_light = self.__class__.set_light(service, version, mode, path + ["set_light"])
                            super().__init__(service, version, mode, path)
                        class headlight_on(TUIMethod):
                            """
                            Turn the light that moves with the camera on or off.
                            """
                        class lighting_interpolation(TUIMethod):
                            """
                            Set lighting interpolation method.
                            """
                        class set_ambient_color(TUIMethod):
                            """
                            Set the ambient light color for the scene.
                            """
                        class lights_on(TUIMethod):
                            """
                            Turn all active lighting on/off.
                            """
                        class set_light(TUIMethod):
                            """
                            Add or modify a directional, colored light.
                            """

                    class particle_tracks(TUIMenu):
                        """
                        Enter the particle-tracks menu to set parameters for display of particle tracks.
                        """
                        def __init__(self, service, version, mode, path):
                            self.sphere_settings = self.__class__.sphere_settings(service, version, mode, path + ["sphere_settings"])
                            self.vector_settings = self.__class__.vector_settings(service, version, mode, path + ["vector_settings"])
                            self.filter_settings = self.__class__.filter_settings(service, version, mode, path + ["filter_settings"])
                            self.display = self.__class__.display(service, version, mode, path + ["display"])
                            self.sphere_attrib = self.__class__.sphere_attrib(service, version, mode, path + ["sphere_attrib"])
                            self.report_default_variables = self.__class__.report_default_variables(service, version, mode, path + ["report_default_variables"])
                            self.arrow_scale = self.__class__.arrow_scale(service, version, mode, path + ["arrow_scale"])
                            self.history_filename = self.__class__.history_filename(service, version, mode, path + ["history_filename"])
                            self.radius = self.__class__.radius(service, version, mode, path + ["radius"])
                            self.line_width = self.__class__.line_width(service, version, mode, path + ["line_width"])
                            self.report_type = self.__class__.report_type(service, version, mode, path + ["report_type"])
                            self.twist_factor = self.__class__.twist_factor(service, version, mode, path + ["twist_factor"])
                            self.style = self.__class__.style(service, version, mode, path + ["style"])
                            self.particle_skip = self.__class__.particle_skip(service, version, mode, path + ["particle_skip"])
                            self.report_to = self.__class__.report_to(service, version, mode, path + ["report_to"])
                            self.coarsen_factor = self.__class__.coarsen_factor(service, version, mode, path + ["coarsen_factor"])
                            self.track_single_particle_stream = self.__class__.track_single_particle_stream(service, version, mode, path + ["track_single_particle_stream"])
                            self.arrow_space = self.__class__.arrow_space(service, version, mode, path + ["arrow_space"])
                            self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                            self.report_variables = self.__class__.report_variables(service, version, mode, path + ["report_variables"])
                            super().__init__(service, version, mode, path)
                        class display(TUIMethod):
                            """
                            Determine whether particle tracks will be displayed or only tracked.
                            """
                        class sphere_attrib(TUIMethod):
                            """
                            Specify size and number of slices to be used in drawing spheres.
                            """
                        class report_default_variables(TUIMethod):
                            """
                            Set the report variables to default.
                            """
                        class arrow_scale(TUIMethod):
                            """
                            Set the scale factor for arrows drawn on particle tracks.
                            """
                        class history_filename(TUIMethod):
                            """
                            Specify the name of the particle history file.
                            """
                        class radius(TUIMethod):
                            """
                            Set the radius for particle track (ribbons/cylinder only) cross-section.
                            """
                        class line_width(TUIMethod):
                            """
                            Set the width for particle track.
                            """
                        class report_type(TUIMethod):
                            """
                            Set the report type for particle tracks.
                            """
                        class twist_factor(TUIMethod):
                            """
                            Set the scale factor for twisting (ribbons only).
                            """
                        class style(TUIMethod):
                            """
                            Set the display style for particle track (line/ribbon/cylinder/sphere).
                            """
                        class particle_skip(TUIMethod):
                            """
                            Specify how many particle tracks should be displayed.
                            """
                        class report_to(TUIMethod):
                            """
                            Specify the destination for the report (console, file, none).
                            """
                        class coarsen_factor(TUIMethod):
                            """
                            Set the particle tracks coarsening factor.
                            """
                        class track_single_particle_stream(TUIMethod):
                            """
                            Specify the stream ID to be tracked.
                            """
                        class arrow_space(TUIMethod):
                            """
                            Set the spacing factor for arrows drawn on particle tracks.
                            """
                        class marker_size(TUIMethod):
                            """
                            Set the marker size for particle drawing.
                            """
                        class report_variables(TUIMethod):
                            """
                            Set the report variables.
                            """

                        class sphere_settings(TUIMenu):
                            """
                            Provide sphere specific input.
                            """
                            def __init__(self, service, version, mode, path):
                                self.diameter = self.__class__.diameter(service, version, mode, path + ["diameter"])
                                self.vary_diameter = self.__class__.vary_diameter(service, version, mode, path + ["vary_diameter"])
                                self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                                self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                                self.scale_factor = self.__class__.scale_factor(service, version, mode, path + ["scale_factor"])
                                self.size_variable = self.__class__.size_variable(service, version, mode, path + ["size_variable"])
                                self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                                self.smooth_parameter = self.__class__.smooth_parameter(service, version, mode, path + ["smooth_parameter"])
                                super().__init__(service, version, mode, path)
                            class diameter(TUIMethod):
                                """
                                Diameter of the spheres when vary-diameter? is disabled.
                                """
                            class vary_diameter(TUIMethod):
                                """
                                Specify whether the spheres can vary with another variable.
                                """
                            class auto_range(TUIMethod):
                                """
                                Specify whether displayed spheres should include auto range of variable to size spheres.
                                """
                            class minimum(TUIMethod):
                                """
                                Set the minimum value of the sphere to be displayed.
                                """
                            class scale_factor(TUIMethod):
                                """
                                Specify a scale factor to enlarge/reduce the size of spheres.
                                """
                            class size_variable(TUIMethod):
                                """
                                Select a particle variable to size the spheres.
                                """
                            class maximum(TUIMethod):
                                """
                                Set the maximum value of the sphere to be displayed.
                                """
                            class smooth_parameter(TUIMethod):
                                """
                                Specify number of slices to be used in drawing spheres.
                                """

                        class vector_settings(TUIMenu):
                            """
                            Set vector specific input.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vector_variable = self.__class__.vector_variable(service, version, mode, path + ["vector_variable"])
                                self.length_to_head_ratio = self.__class__.length_to_head_ratio(service, version, mode, path + ["length_to_head_ratio"])
                                self.vector_length_variable = self.__class__.vector_length_variable(service, version, mode, path + ["vector_length_variable"])
                                self.constant_color = self.__class__.constant_color(service, version, mode, path + ["constant_color"])
                                self.vector_length = self.__class__.vector_length(service, version, mode, path + ["vector_length"])
                                self.color_variable = self.__class__.color_variable(service, version, mode, path + ["color_variable"])
                                self.style = self.__class__.style(service, version, mode, path + ["style"])
                                self.length_variable = self.__class__.length_variable(service, version, mode, path + ["length_variable"])
                                self.scale_factor = self.__class__.scale_factor(service, version, mode, path + ["scale_factor"])
                                super().__init__(service, version, mode, path)
                            class vector_variable(TUIMethod):
                                """
                                Select a particle vector function to specify vector direction.
                                """
                            class length_to_head_ratio(TUIMethod):
                                """
                                Specify ratio of length to head for vectors and length to diameter for cylinders.
                                """
                            class vector_length_variable(TUIMethod):
                                """
                                Select a particle variable to specify the length of vectors.
                                """
                            class constant_color(TUIMethod):
                                """
                                Specify a constant color for the vectors.
                                """
                            class vector_length(TUIMethod):
                                """
                                Specify the length of constant vectors.
                                """
                            class color_variable(TUIMethod):
                                """
                                Specify whether the vectors should be colored by variable specified in /display/particle-track/particle-track (if false use a constant color).
                                """
                            class style(TUIMethod):
                                """
                                Enable and set the display style for particle vectors (none/vector/centered-vector/centered-cylinder).
                                """
                            class length_variable(TUIMethod):
                                """
                                Specify whether the displayed vectors have length varying with another variable.
                                """
                            class scale_factor(TUIMethod):
                                """
                                Specify a scale factor to enlarge/reduce the length of vectors.
                                """

                        class filter_settings(TUIMenu):
                            """
                            Set filter for particle display.
                            """
                            def __init__(self, service, version, mode, path):
                                self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                                self.filter_variable = self.__class__.filter_variable(service, version, mode, path + ["filter_variable"])
                                self.inside = self.__class__.inside(service, version, mode, path + ["inside"])
                                self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                                self.enable_filtering = self.__class__.enable_filtering(service, version, mode, path + ["enable_filtering"])
                                super().__init__(service, version, mode, path)
                            class minimum(TUIMethod):
                                """
                                Specify the lower bound for the filter variable.
                                """
                            class filter_variable(TUIMethod):
                                """
                                Select a variable used for filtering of particles.
                                """
                            class inside(TUIMethod):
                                """
                                Specify whether filter variable needs to be inside min/max to be displayed (else outside min/max).
                                """
                            class maximum(TUIMethod):
                                """
                                Specify the upper bound for the filter variable.
                                """
                            class enable_filtering(TUIMethod):
                                """
                                Specify whether particle display is filtered.
                                """

                class flamelet_data(TUIMenu):
                    """
                    Display flamelet data.
                    """
                    def __init__(self, service, version, mode, path):
                        self.plot_1d_slice = self.__class__.plot_1d_slice(service, version, mode, path + ["plot_1d_slice"])
                        self.draw_number_box = self.__class__.draw_number_box(service, version, mode, path + ["draw_number_box"])
                        self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                        self.carpet_plot = self.__class__.carpet_plot(service, version, mode, path + ["carpet_plot"])
                        super().__init__(service, version, mode, path)
                    class plot_1d_slice(TUIMethod):
                        """
                        Enable/disable plot of the 1D-slice.
                        """
                    class draw_number_box(TUIMethod):
                        """
                        Enable/disable display of the numbers box.
                        """
                    class write_to_file(TUIMethod):
                        """
                        Enable/disable writing the 1D-slice to file instead of plot.
                        """
                    class carpet_plot(TUIMethod):
                        """
                        Enable/disable display of carpet plot of a property.
                        """

                class pdf_data(TUIMenu):
                    """
                    Enter the PDF data menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.plot_1d_slice = self.__class__.plot_1d_slice(service, version, mode, path + ["plot_1d_slice"])
                        self.carpet_plot = self.__class__.carpet_plot(service, version, mode, path + ["carpet_plot"])
                        self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                        self.draw_number_box = self.__class__.draw_number_box(service, version, mode, path + ["draw_number_box"])
                        super().__init__(service, version, mode, path)
                    class plot_1d_slice(TUIMethod):
                        """
                        Enable/disable a plot of the 1D-slice.
                        """
                    class carpet_plot(TUIMethod):
                        """
                        Enable/disable the display of a carpet plot of a property.
                        """
                    class write_to_file(TUIMethod):
                        """
                        Enable/disable writing the 1D-slice to file instead of plot.
                        """
                    class draw_number_box(TUIMethod):
                        """
                        Enable/disable the display of the numbers box.
                        """

            class update_scene(TUIMenu):
                """
                Enter the scene options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.select_geometry = self.__class__.select_geometry(service, version, mode, path + ["select_geometry"])
                    self.draw_frame = self.__class__.draw_frame(service, version, mode, path + ["draw_frame"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.iso_sweep = self.__class__.iso_sweep(service, version, mode, path + ["iso_sweep"])
                    self.time = self.__class__.time(service, version, mode, path + ["time"])
                    self.set_frame = self.__class__.set_frame(service, version, mode, path + ["set_frame"])
                    self.overlays = self.__class__.overlays(service, version, mode, path + ["overlays"])
                    self.pathline = self.__class__.pathline(service, version, mode, path + ["pathline"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.transform = self.__class__.transform(service, version, mode, path + ["transform"])
                    super().__init__(service, version, mode, path)
                class select_geometry(TUIMethod):
                    """
                    Select geometry to be updated.
                    """
                class draw_frame(TUIMethod):
                    """
                    Enable/disable drawing of the bounding frame.
                    """
                class display(TUIMethod):
                    """
                    Display selected geometries.
                    """
                class iso_sweep(TUIMethod):
                    """
                    Change iso-sweep values.
                    """
                class time(TUIMethod):
                    """
                    Change time-step value.
                    """
                class set_frame(TUIMethod):
                    """
                    Change frame options.
                    """
                class overlays(TUIMethod):
                    """
                    Enable/disable the overlays option.
                    """
                class pathline(TUIMethod):
                    """
                    Change pathline attributes.
                    """
                class delete(TUIMethod):
                    """
                    Delete selected geometries.
                    """
                class transform(TUIMethod):
                    """
                    Apply transformation matrix on selected geometries.
                    """

            class lights(TUIMenu):
                """
                Enter the lights menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set_light = self.__class__.set_light(service, version, mode, path + ["set_light"])
                    self.lights_on = self.__class__.lights_on(service, version, mode, path + ["lights_on"])
                    self.set_ambient_color = self.__class__.set_ambient_color(service, version, mode, path + ["set_ambient_color"])
                    self.lighting_interpolation = self.__class__.lighting_interpolation(service, version, mode, path + ["lighting_interpolation"])
                    self.headlight_on = self.__class__.headlight_on(service, version, mode, path + ["headlight_on"])
                    super().__init__(service, version, mode, path)
                class set_light(TUIMethod):
                    """
                    Add or modify a directional, colored light.
                    """
                class lights_on(TUIMethod):
                    """
                    Turn all active lighting on/off.
                    """
                class set_ambient_color(TUIMethod):
                    """
                    Set the ambient light color for the scene.
                    """
                class lighting_interpolation(TUIMethod):
                    """
                    Set lighting interpolation method.
                    """
                class headlight_on(TUIMethod):
                    """
                    Turn the light that moves with the camera on or off.
                    """

            class rendering_options(TUIMenu):
                """
                Enter the rendering options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.device_info = self.__class__.device_info(service, version, mode, path + ["device_info"])
                    self.help_text_color = self.__class__.help_text_color(service, version, mode, path + ["help_text_color"])
                    self.hidden_surfaces = self.__class__.hidden_surfaces(service, version, mode, path + ["hidden_surfaces"])
                    self.surface_edge_visibility = self.__class__.surface_edge_visibility(service, version, mode, path + ["surface_edge_visibility"])
                    self.face_displacement = self.__class__.face_displacement(service, version, mode, path + ["face_displacement"])
                    self.auto_spin = self.__class__.auto_spin(service, version, mode, path + ["auto_spin"])
                    self.color_map_alignment = self.__class__.color_map_alignment(service, version, mode, path + ["color_map_alignment"])
                    self.outer_face_cull = self.__class__.outer_face_cull(service, version, mode, path + ["outer_face_cull"])
                    self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                    self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                    self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                    self.set_rendering_options = self.__class__.set_rendering_options(service, version, mode, path + ["set_rendering_options"])
                    self.hidden_surface_method = self.__class__.hidden_surface_method(service, version, mode, path + ["hidden_surface_method"])
                    self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                    super().__init__(service, version, mode, path)
                class device_info(TUIMethod):
                    """
                    List information for the graphics device.
                    """
                class help_text_color(TUIMethod):
                    """
                    Set the color of screen help text.
                    """
                class hidden_surfaces(TUIMethod):
                    """
                    Enable/disable hidden surface removal.
                    """
                class surface_edge_visibility(TUIMethod):
                    """
                    Set edge visibility flags for surfaces.
                    """
                class face_displacement(TUIMethod):
                    """
                    Set face displacement value in Z-buffer units along the Camera Z-axis.
                    """
                class auto_spin(TUIMethod):
                    """
                    Enable/disable mouse view rotations to continue to spin the display after the button is released.
                    """
                class color_map_alignment(TUIMethod):
                    """
                    Set the color bar alignment.
                    """
                class outer_face_cull(TUIMethod):
                    """
                    Enable/disable discarding outer faces during display.
                    """
                class driver(TUIMethod):
                    """
                    Change the current graphics driver.
                    """
                class double_buffering(TUIMethod):
                    """
                    Enable/disable double-buffering.
                    """
                class show_colormap(TUIMethod):
                    """
                    Enable/Disable colormap.
                    """
                class set_rendering_options(TUIMethod):
                    """
                    Set the rendering options.
                    """
                class hidden_surface_method(TUIMethod):
                    """
                    Specify the method to perform hidden line and hidden surface rendering.
                    """
                class animation_option(TUIMethod):
                    """
                    Using Wireframe / All option during animation.
                    """

        class plot(TUIMenu):
            """
            Enter the XY plot menu.
            """
            def __init__(self, service, version, mode, path):
                self.ansys_sound_analysis = self.__class__.ansys_sound_analysis(service, version, mode, path + ["ansys_sound_analysis"])
                self.flamelet_curves = self.__class__.flamelet_curves(service, version, mode, path + ["flamelet_curves"])
                self.cumulative_plot = self.__class__.cumulative_plot(service, version, mode, path + ["cumulative_plot"])
                self.circum_avg_axial = self.__class__.circum_avg_axial(service, version, mode, path + ["circum_avg_axial"])
                self.file_list = self.__class__.file_list(service, version, mode, path + ["file_list"])
                self.solution = self.__class__.solution(service, version, mode, path + ["solution"])
                self.fft = self.__class__.fft(service, version, mode, path + ["fft"])
                self.circum_avg_radial = self.__class__.circum_avg_radial(service, version, mode, path + ["circum_avg_radial"])
                self.datasources = self.__class__.datasources(service, version, mode, path + ["datasources"])
                self.residuals_set = self.__class__.residuals_set(service, version, mode, path + ["residuals_set"])
                self.plot_direction = self.__class__.plot_direction(service, version, mode, path + ["plot_direction"])
                self.set_boundary_val_off = self.__class__.set_boundary_val_off(service, version, mode, path + ["set_boundary_val_off"])
                self.display_profile_data = self.__class__.display_profile_data(service, version, mode, path + ["display_profile_data"])
                self.solution_set = self.__class__.solution_set(service, version, mode, path + ["solution_set"])
                self.label_alignment = self.__class__.label_alignment(service, version, mode, path + ["label_alignment"])
                self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                self.fft_set = self.__class__.fft_set(service, version, mode, path + ["fft_set"])
                self.histogram_set = self.__class__.histogram_set(service, version, mode, path + ["histogram_set"])
                self.change_fft_ref_pressure = self.__class__.change_fft_ref_pressure(service, version, mode, path + ["change_fft_ref_pressure"])
                self.residuals = self.__class__.residuals(service, version, mode, path + ["residuals"])
                self.file = self.__class__.file(service, version, mode, path + ["file"])
                self.file_set = self.__class__.file_set(service, version, mode, path + ["file_set"])
                self.histogram = self.__class__.histogram(service, version, mode, path + ["histogram"])
                super().__init__(service, version, mode, path)
            class circum_avg_axial(TUIMethod):
                """
                Compute iso-axial band surfaces and plot data vs axial coordinate on them.
                """
            class file_list(TUIMethod):
                """
                Plot data from multiple files.
                """
            class solution(TUIMethod):
                """
                Plot solution on surfaces and/or zones.
                """
            class fft(TUIMethod):
                """
                Plot FFT of file data.
                """
            class circum_avg_radial(TUIMethod):
                """
                Compute iso-radial band surfaces and plot data vs radius on them.
                """
            class datasources(TUIMethod):
                """
                Enter the menu to set data sources.
                """
            class residuals_set(TUIMethod):
                """
                Enter the menu to set residual plot parameters.
                """
            class plot_direction(TUIMethod):
                """
                Set plot direction for xy plot.
                """
            class set_boundary_val_off(TUIMethod):
                """
                Set boundary value off when node values off for XY/Solution Plot.
                Note: This setting is valid for current Fluent session only.
                """
            class display_profile_data(TUIMethod):
                """
                Plot profile data.
                """
            class solution_set(TUIMethod):
                """
                Enter the menu to set solution plot parameters.
                """
            class label_alignment(TUIMethod):
                """
                Set the alignment of xy plot label to horizontal or axis aligned.
                """
            class plot(TUIMethod):
                """
                Plot solution on surfaces.
                """
            class fft_set(TUIMethod):
                """
                Enter the menu to set histogram plot parameters.
                """
            class histogram_set(TUIMethod):
                """
                Enter the menu to set histogram plot parameters.
                """
            class change_fft_ref_pressure(TUIMethod):
                """
                Change acoustic reference pressure.
                """
            class residuals(TUIMethod):
                """
                Plot equation residual history.
                """
            class file(TUIMethod):
                """
                Plot data from file.
                """
            class file_set(TUIMethod):
                """
                Enter the menu to set file plot parameters.
                """
            class histogram(TUIMethod):
                """
                Plot a histogram of a specified scalar quantity.
                """

            class ansys_sound_analysis(TUIMenu):
                """
                Ansys Sound analysis and specification.
                """
                def __init__(self, service, version, mode, path):
                    self.print_indicators = self.__class__.print_indicators(service, version, mode, path + ["print_indicators"])
                    self.write_files = self.__class__.write_files(service, version, mode, path + ["write_files"])
                    super().__init__(service, version, mode, path)
                class print_indicators(TUIMethod):
                    """
                    Print Ansys Sound indicators.
                    """
                class write_files(TUIMethod):
                    """
                    Write Ansys Sound out files.
                    """

            class flamelet_curves(TUIMenu):
                """
                Plot flamelet curves.
                """
                def __init__(self, service, version, mode, path):
                    self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                    self.plot_curves = self.__class__.plot_curves(service, version, mode, path + ["plot_curves"])
                    super().__init__(service, version, mode, path)
                class write_to_file(TUIMethod):
                    """
                    Write curve to a file instead of plot.
                    """
                class plot_curves(TUIMethod):
                    """
                    Plot of a property.
                    """

            class cumulative_plot(TUIMenu):
                """
                Plot Cumulative Force and Moments.
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.print = self.__class__.print(service, version, mode, path + ["print"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    Delete an object.
                    """
                class curves(TUIMethod):
                    """
                    Set curves options of an object.
                    """
                class add(TUIMethod):
                    """
                    Add a new object.
                    """
                class axes(TUIMethod):
                    """
                    Set axes options of an object.
                    """
                class list(TUIMethod):
                    """
                    List objects.
                    """
                class list_properties(TUIMethod):
                    """
                    List properties of an object.
                    """
                class write(TUIMethod):
                    """
                    Write the Cumulative Forces/Moments.
                    """
                class edit(TUIMethod):
                    """
                    Edit an object.
                    """
                class print(TUIMethod):
                    """
                    Print the Cumulative Forces/Moments.
                    """
                class plot(TUIMethod):
                    """
                    Plot the Cumulative Forces/Moments.
                    """

        class report(TUIMenu):
            """
            Enter the report menu.
            """
            def __init__(self, service, version, mode, path):
                self.system = self.__class__.system(service, version, mode, path + ["system"])
                self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                self.simulation_reports = self.__class__.simulation_reports(service, version, mode, path + ["simulation_reports"])
                self.population_balance = self.__class__.population_balance(service, version, mode, path + ["population_balance"])
                self.modified_setting = self.__class__.modified_setting(service, version, mode, path + ["modified_setting"])
                self.dpm_histogram = self.__class__.dpm_histogram(service, version, mode, path + ["dpm_histogram"])
                self.reference_values = self.__class__.reference_values(service, version, mode, path + ["reference_values"])
                self.forces = self.__class__.forces(service, version, mode, path + ["forces"])
                self.fluxes = self.__class__.fluxes(service, version, mode, path + ["fluxes"])
                self.icing = self.__class__.icing(service, version, mode, path + ["icing"])
                self.surface_integrals = self.__class__.surface_integrals(service, version, mode, path + ["surface_integrals"])
                self.uds_flow = self.__class__.uds_flow(service, version, mode, path + ["uds_flow"])
                self.dpm_sample_sort_file = self.__class__.dpm_sample_sort_file(service, version, mode, path + ["dpm_sample_sort_file"])
                self.dpm_sample_output_udf = self.__class__.dpm_sample_output_udf(service, version, mode, path + ["dpm_sample_output_udf"])
                self.dpm_zone_summaries_per_injection = self.__class__.dpm_zone_summaries_per_injection(service, version, mode, path + ["dpm_zone_summaries_per_injection"])
                self.mphase_summary = self.__class__.mphase_summary(service, version, mode, path + ["mphase_summary"])
                self.path_line_summary = self.__class__.path_line_summary(service, version, mode, path + ["path_line_summary"])
                self.dpm_summary = self.__class__.dpm_summary(service, version, mode, path + ["dpm_summary"])
                self.dpm_extended_summary = self.__class__.dpm_extended_summary(service, version, mode, path + ["dpm_extended_summary"])
                self.print_histogram = self.__class__.print_histogram(service, version, mode, path + ["print_histogram"])
                self.species_mass_flow = self.__class__.species_mass_flow(service, version, mode, path + ["species_mass_flow"])
                self.summary = self.__class__.summary(service, version, mode, path + ["summary"])
                self.dpm_sample = self.__class__.dpm_sample(service, version, mode, path + ["dpm_sample"])
                self.projected_surface_area = self.__class__.projected_surface_area(service, version, mode, path + ["projected_surface_area"])
                self.volume_integrals = self.__class__.volume_integrals(service, version, mode, path + ["volume_integrals"])
                self.write_histogram = self.__class__.write_histogram(service, version, mode, path + ["write_histogram"])
                self.aero_optical_distortions = self.__class__.aero_optical_distortions(service, version, mode, path + ["aero_optical_distortions"])
                self.particle_summary = self.__class__.particle_summary(service, version, mode, path + ["particle_summary"])
                self.element_mass_flow = self.__class__.element_mass_flow(service, version, mode, path + ["element_mass_flow"])
                super().__init__(service, version, mode, path)
            class surface_integrals(TUIMethod):
                """
                Surface Integral menu.
                """
            class uds_flow(TUIMethod):
                """
                Print list of UDS flow rate at boundaries.
                """
            class dpm_sample_sort_file(TUIMethod):
                """
                Enable writing of sorted DPM sample files.
                """
            class dpm_sample_output_udf(TUIMethod):
                """
                Set the DPM sampling output UDF.
                """
            class dpm_zone_summaries_per_injection(TUIMethod):
                """
                Enable per-injection zone DPM summaries.
                """
            class mphase_summary(TUIMethod):
                """
                Multiphase Summary and Recommendations.
                """
            class path_line_summary(TUIMethod):
                """
                Print path-line-summary report.
                """
            class dpm_summary(TUIMethod):
                """
                Print discrete phase summary report of particle fates.
                """
            class dpm_extended_summary(TUIMethod):
                """
                Print extended discrete phase summary report of particle fates, with options.
                """
            class print_histogram(TUIMethod):
                """
                Print a histogram of a scalar quantity.
                """
            class species_mass_flow(TUIMethod):
                """
                Print list of species mass flow rates at boundaries.
                """
            class summary(TUIMethod):
                """
                Print report summary.
                """
            class dpm_sample(TUIMethod):
                """
                Sample trajectories at boundaries and lines/planes.
                """
            class projected_surface_area(TUIMethod):
                """
                Print total area of the projection of a group of surfaces to a plane.
                """
            class volume_integrals(TUIMethod):
                """
                Volume Integral menu.
                """
            class write_histogram(TUIMethod):
                """
                Write a histogram of a scalar quantity to a file.
                """
            class aero_optical_distortions(TUIMethod):
                """
                Optics report menu.
                """
            class particle_summary(TUIMethod):
                """
                Print summary report for all current particles.
                """
            class element_mass_flow(TUIMethod):
                """
                Print list of element mass flow rates at boundaries.
                """

            class system(TUIMenu):
                """
                Sytem menu.
                """
                def __init__(self, service, version, mode, path):
                    self.gpgpu_stats = self.__class__.gpgpu_stats(service, version, mode, path + ["gpgpu_stats"])
                    self.proc_stats = self.__class__.proc_stats(service, version, mode, path + ["proc_stats"])
                    self.time_stats = self.__class__.time_stats(service, version, mode, path + ["time_stats"])
                    self.sys_stats = self.__class__.sys_stats(service, version, mode, path + ["sys_stats"])
                    super().__init__(service, version, mode, path)
                class gpgpu_stats(TUIMethod):
                    """
                    GPGPU information.
                    """
                class proc_stats(TUIMethod):
                    """
                    Fluent process information.
                    """
                class time_stats(TUIMethod):
                    """
                    Time usage information.
                    """
                class sys_stats(TUIMethod):
                    """
                    System information.
                    """

            class heat_exchanger(TUIMenu):
                """
                Enter the heat exchanger menu.
                """
                def __init__(self, service, version, mode, path):
                    self.specific_heat = self.__class__.specific_heat(service, version, mode, path + ["specific_heat"])
                    self.inlet_temperature = self.__class__.inlet_temperature(service, version, mode, path + ["inlet_temperature"])
                    self.computed_heat_rejection = self.__class__.computed_heat_rejection(service, version, mode, path + ["computed_heat_rejection"])
                    self.mass_flow_rate = self.__class__.mass_flow_rate(service, version, mode, path + ["mass_flow_rate"])
                    self.outlet_temperature = self.__class__.outlet_temperature(service, version, mode, path + ["outlet_temperature"])
                    super().__init__(service, version, mode, path)
                class specific_heat(TUIMethod):
                    """
                    Print fluid's specific heat.
                    """
                class inlet_temperature(TUIMethod):
                    """
                    Print inlet temperature.
                    """
                class computed_heat_rejection(TUIMethod):
                    """
                    Print total heat rejection.
                    """
                class mass_flow_rate(TUIMethod):
                    """
                    Print mass flow rate.
                    """
                class outlet_temperature(TUIMethod):
                    """
                    Print outlet temperature.
                    """

            class simulation_reports(TUIMenu):
                """
                Enter the simulation reports menu.
                """
                def __init__(self, service, version, mode, path):
                    self.parametric_study = self.__class__.parametric_study(service, version, mode, path + ["parametric_study"])
                    self.duplicate_simulation_report = self.__class__.duplicate_simulation_report(service, version, mode, path + ["duplicate_simulation_report"])
                    self.export_simulation_report_as_html = self.__class__.export_simulation_report_as_html(service, version, mode, path + ["export_simulation_report_as_html"])
                    self.export_simulation_report_as_pdf = self.__class__.export_simulation_report_as_pdf(service, version, mode, path + ["export_simulation_report_as_pdf"])
                    self.list_simulation_reports = self.__class__.list_simulation_reports(service, version, mode, path + ["list_simulation_reports"])
                    self.reset_report_to_defaults = self.__class__.reset_report_to_defaults(service, version, mode, path + ["reset_report_to_defaults"])
                    self.generate_simulation_report = self.__class__.generate_simulation_report(service, version, mode, path + ["generate_simulation_report"])
                    self.read_simulation_report_template_file = self.__class__.read_simulation_report_template_file(service, version, mode, path + ["read_simulation_report_template_file"])
                    self.write_simulation_report_template_file = self.__class__.write_simulation_report_template_file(service, version, mode, path + ["write_simulation_report_template_file"])
                    self.write_report_names_to_file = self.__class__.write_report_names_to_file(service, version, mode, path + ["write_report_names_to_file"])
                    self.delete_simulation_report = self.__class__.delete_simulation_report(service, version, mode, path + ["delete_simulation_report"])
                    self.export_simulation_report_as_pptx = self.__class__.export_simulation_report_as_pptx(service, version, mode, path + ["export_simulation_report_as_pptx"])
                    self.rename_simulation_report = self.__class__.rename_simulation_report(service, version, mode, path + ["rename_simulation_report"])
                    self.view_simulation_report = self.__class__.view_simulation_report(service, version, mode, path + ["view_simulation_report"])
                    super().__init__(service, version, mode, path)
                class duplicate_simulation_report(TUIMethod):
                    """
                    Duplicate a report and all of its settings to a new report.
                    """
                class export_simulation_report_as_html(TUIMethod):
                    """
                    Export the provided simulation report as HTML.
                    """
                class export_simulation_report_as_pdf(TUIMethod):
                    """
                    Export the provided simulation report as a PDF file.
                    """
                class list_simulation_reports(TUIMethod):
                    """
                    List all report names.
                    """
                class reset_report_to_defaults(TUIMethod):
                    """
                    Reset all report settings to default for the provided simulation report.
                    """
                class generate_simulation_report(TUIMethod):
                    """
                    Generate a new simulation report or regenerate an existing simulation report with the provided name.
                    """
                class read_simulation_report_template_file(TUIMethod):
                    """
                    Read a JSON template file with existing Simulation Report settings.
                    """
                class write_simulation_report_template_file(TUIMethod):
                    """
                    Write a JSON template file with this case's Simulation Report settings.
                    """
                class write_report_names_to_file(TUIMethod):
                    """
                    Write the list of currently generated report names to a txt file.
                    """
                class delete_simulation_report(TUIMethod):
                    """
                    Delete the provided simulation report.
                    """
                class export_simulation_report_as_pptx(TUIMethod):
                    """
                    Export the provided simulation report as a PPT file.
                    """
                class rename_simulation_report(TUIMethod):
                    """
                    Rename a report which has already been generated.
                    """
                class view_simulation_report(TUIMethod):
                    """
                    View a simulation report that has already been generated. In batch mode this will print the report's URL.
                    """

                class parametric_study(TUIMenu):
                    """
                    Enter the parametric study menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.generate_parametric_report = self.__class__.generate_parametric_report(service, version, mode, path + ["generate_parametric_report"])
                        self.generate_design_point_report = self.__class__.generate_design_point_report(service, version, mode, path + ["generate_design_point_report"])
                        super().__init__(service, version, mode, path)
                    class generate_parametric_report(TUIMethod):
                        """
                        Generate a parametric report for your study.
                        """
                    class generate_design_point_report(TUIMethod):
                        """
                        Generate a simulation report for an updated design point.
                        """

            class population_balance(TUIMenu):
                """
                Population Balance menu.
                """
                def __init__(self, service, version, mode, path):
                    self.moments = self.__class__.moments(service, version, mode, path + ["moments"])
                    self.number_density = self.__class__.number_density(service, version, mode, path + ["number_density"])
                    super().__init__(service, version, mode, path)
                class moments(TUIMethod):
                    """
                    Set moments for population balance.
                    """
                class number_density(TUIMethod):
                    """
                    Set number density functions.
                    """

            class modified_setting(TUIMenu):
                """
                Enter the menu for setting up the Modified Settings Summary table.
                """
                def __init__(self, service, version, mode, path):
                    self.modified_setting = self.__class__.modified_setting(service, version, mode, path + ["modified_setting"])
                    self.write_user_setting = self.__class__.write_user_setting(service, version, mode, path + ["write_user_setting"])
                    super().__init__(service, version, mode, path)
                class modified_setting(TUIMethod):
                    """
                    .
                    """
                class write_user_setting(TUIMethod):
                    """
                    .
                    """

            class dpm_histogram(TUIMenu):
                """
                Enter the DPM histogram menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    self.setup_reduction = self.__class__.setup_reduction(service, version, mode, path + ["setup_reduction"])
                    self.read_sample = self.__class__.read_sample(service, version, mode, path + ["read_sample"])
                    self.delete_sample = self.__class__.delete_sample(service, version, mode, path + ["delete_sample"])
                    self.prep_dpm_sample_cont_plot_exprs = self.__class__.prep_dpm_sample_cont_plot_exprs(service, version, mode, path + ["prep_dpm_sample_cont_plot_exprs"])
                    self.write_sample = self.__class__.write_sample(service, version, mode, path + ["write_sample"])
                    self.compute_sample = self.__class__.compute_sample(service, version, mode, path + ["compute_sample"])
                    self.reduce_picked_sample = self.__class__.reduce_picked_sample(service, version, mode, path + ["reduce_picked_sample"])
                    self.pick_sample_to_reduce = self.__class__.pick_sample_to_reduce(service, version, mode, path + ["pick_sample_to_reduce"])
                    self.plot_sample = self.__class__.plot_sample(service, version, mode, path + ["plot_sample"])
                    self.list_samples = self.__class__.list_samples(service, version, mode, path + ["list_samples"])
                    super().__init__(service, version, mode, path)
                class read_sample(TUIMethod):
                    """
                    Read a sample file and add it to the sample list.
                    """
                class delete_sample(TUIMethod):
                    """
                    Delete a sample from loaded sample list.
                    """
                class prep_dpm_sample_cont_plot_exprs(TUIMethod):
                    """
                    Prepare named expressions from data in a DPM sample file (collected at a cut plane surface) for contour plotting.
                    """
                class write_sample(TUIMethod):
                    """
                    Write a histogram of a loaded sample into a file.
                    """
                class compute_sample(TUIMethod):
                    """
                    Compute minimum/maximum of a sample variable.
                    """
                class reduce_picked_sample(TUIMethod):
                    """
                    Reduce a sample after first picking it and setting up all data-reduction options and parameters.
                    """
                class pick_sample_to_reduce(TUIMethod):
                    """
                    Pick a sample for which to first set-up and then perform the data reduction.
                    """
                class plot_sample(TUIMethod):
                    """
                    Plot a histogram of a loaded sample.
                    """
                class list_samples(TUIMethod):
                    """
                    Show all samples in loaded sample list.
                    """

                class set(TUIMenu):
                    """
                    Enter the settings menu for the histogram.
                    """
                    def __init__(self, service, version, mode, path):
                        self.cumulation_curve = self.__class__.cumulation_curve(service, version, mode, path + ["cumulation_curve"])
                        self.histogram_mode = self.__class__.histogram_mode(service, version, mode, path + ["histogram_mode"])
                        self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                        self.percentage = self.__class__.percentage(service, version, mode, path + ["percentage"])
                        self.number_of_bins = self.__class__.number_of_bins(service, version, mode, path + ["number_of_bins"])
                        self.correlation = self.__class__.correlation(service, version, mode, path + ["correlation"])
                        self.diameter_statistics = self.__class__.diameter_statistics(service, version, mode, path + ["diameter_statistics"])
                        self.logarithmic = self.__class__.logarithmic(service, version, mode, path + ["logarithmic"])
                        self.weighting = self.__class__.weighting(service, version, mode, path + ["weighting"])
                        self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                        self.variable_power_3 = self.__class__.variable_power_3(service, version, mode, path + ["variable_power_3"])
                        self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                        super().__init__(service, version, mode, path)
                    class cumulation_curve(TUIMethod):
                        """
                        Compute a cumulative curve for sampling variable or correlation variable when correlation? was specified.
                        """
                    class histogram_mode(TUIMethod):
                        """
                        Use bars for histogram plot or xy-style.
                        """
                    class minimum(TUIMethod):
                        """
                        Specify mimimum value of x-axis variable for histogram plots.
                        """
                    class percentage(TUIMethod):
                        """
                        Use percentages of bins to be computed.
                        """
                    class number_of_bins(TUIMethod):
                        """
                        Specify the number of bins.
                        """
                    class correlation(TUIMethod):
                        """
                        Compute correlation of sampling variable with other variable.
                        """
                    class diameter_statistics(TUIMethod):
                        """
                        Compute Rosin Rammler parameters, Sauter and other mean diameters.
                        Requires specification of diameter as sampling variable.
                        """
                    class logarithmic(TUIMethod):
                        """
                        Use logarithmic scaling on the abscissa (variable axis)? -- Will not work unless all values are positive.
                        """
                    class weighting(TUIMethod):
                        """
                        Use weighting with additional variable when sorting data into samples.
                        """
                    class maximum(TUIMethod):
                        """
                        Specify maximum value of x-axis variable for histogram plots.
                        """
                    class variable_power_3(TUIMethod):
                        """
                        Use the cubic of the cumulation variable during computation of the cumulative curve.
                        When the particle mass was not sampled, the diameter can be used instead.
                        """
                    class auto_range(TUIMethod):
                        """
                        Automatically compute range of sampling variable for histogram plots.
                        """

                class setup_reduction(TUIMenu):
                    """
                    Set up the sample data reduction by specifying all relevant options and setting parameters as desired.
                    """
                    def __init__(self, service, version, mode, path):
                        self.weighting_variable = self.__class__.weighting_variable(service, version, mode, path + ["weighting_variable"])
                        self.list_settings = self.__class__.list_settings(service, version, mode, path + ["list_settings"])
                        self.logarithmic = self.__class__.logarithmic(service, version, mode, path + ["logarithmic"])
                        self.number_of_bins = self.__class__.number_of_bins(service, version, mode, path + ["number_of_bins"])
                        self.use_weighting = self.__class__.use_weighting(service, version, mode, path + ["use_weighting"])
                        self.make_steady_from_unsteady_file = self.__class__.make_steady_from_unsteady_file(service, version, mode, path + ["make_steady_from_unsteady_file"])
                        self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                        self.all_variables_number_of_bins = self.__class__.all_variables_number_of_bins(service, version, mode, path + ["all_variables_number_of_bins"])
                        self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                        self.reset_min_and_max = self.__class__.reset_min_and_max(service, version, mode, path + ["reset_min_and_max"])
                        super().__init__(service, version, mode, path)
                    class weighting_variable(TUIMethod):
                        """
                        Choose the weighting variable for the averaging in each bin in the data reduction.
                        """
                    class list_settings(TUIMethod):
                        """
                        List all user inputs for the sample picked for data reduction.
                        """
                    class logarithmic(TUIMethod):
                        """
                        Switch on or off logarithmic scaling to be used for a specific variable in the data reduction.
                        """
                    class number_of_bins(TUIMethod):
                        """
                        Set the number of bins to be used for a specific variable in the data reduction.
                        """
                    class use_weighting(TUIMethod):
                        """
                        Specify whether to use any weighting in the averaging that is done in each bin in the data reduction.
                        """
                    class make_steady_from_unsteady_file(TUIMethod):
                        """
                        Specify whether the unsteady sample is to be reduced into a steady-state injection file.
                        """
                    class minimum(TUIMethod):
                        """
                        Set the minimum value of the range to be considered for a specific variable in the data reduction.
                        """
                    class all_variables_number_of_bins(TUIMethod):
                        """
                        Set the number of bins to be used for ALL variables in the data reduction.
                        """
                    class maximum(TUIMethod):
                        """
                        Set the maximum value of the range to be considered for a specific variable in the data reduction.
                        """
                    class reset_min_and_max(TUIMethod):
                        """
                        Reset the min and max values of the range to be considered for a specific variable in the data reduction.
                        """

            class reference_values(TUIMenu):
                """
                Reference value menu.
                """
                def __init__(self, service, version, mode, path):
                    self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                    self.temperature = self.__class__.temperature(service, version, mode, path + ["temperature"])
                    self.zone = self.__class__.zone(service, version, mode, path + ["zone"])
                    self.depth = self.__class__.depth(service, version, mode, path + ["depth"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.density = self.__class__.density(service, version, mode, path + ["density"])
                    self.area = self.__class__.area(service, version, mode, path + ["area"])
                    self.enthalpy = self.__class__.enthalpy(service, version, mode, path + ["enthalpy"])
                    self.yplus = self.__class__.yplus(service, version, mode, path + ["yplus"])
                    self.velocity = self.__class__.velocity(service, version, mode, path + ["velocity"])
                    self.viscosity = self.__class__.viscosity(service, version, mode, path + ["viscosity"])
                    self.pressure = self.__class__.pressure(service, version, mode, path + ["pressure"])
                    self.length = self.__class__.length(service, version, mode, path + ["length"])
                    super().__init__(service, version, mode, path)
                class temperature(TUIMethod):
                    """
                    Set reference temperature for normalization.
                    """
                class zone(TUIMethod):
                    """
                    Set reference zone.
                    """
                class depth(TUIMethod):
                    """
                    Set reference depth for volume calculation.
                    """
                class list(TUIMethod):
                    """
                    List current reference values.
                    """
                class density(TUIMethod):
                    """
                    Set reference density for normalization.
                    """
                class area(TUIMethod):
                    """
                    Set reference area for normalization.
                    """
                class enthalpy(TUIMethod):
                    """
                    Set reference enthalpy for enthalpy damping and normalization.
                    """
                class yplus(TUIMethod):
                    """
                    Set reference yplus for normalization.
                    """
                class velocity(TUIMethod):
                    """
                    Set reference velocity for normalization.
                    """
                class viscosity(TUIMethod):
                    """
                    Set reference viscosity for normalization.
                    """
                class pressure(TUIMethod):
                    """
                    Set reference pressure for normalization.
                    """
                class length(TUIMethod):
                    """
                    Set reference length for normalization.
                    """

                class compute(TUIMenu):
                    """
                    Enter the compute menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                        self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                        self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                        self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                        self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                        self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                        self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                        self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                        self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                        self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                        self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                        self.network = self.__class__.network(service, version, mode, path + ["network"])
                        self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                        self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                        self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                        self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                        self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                        self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                        self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                        self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                        self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                        self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                        self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                        self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                        self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                        self.dummy_entry = self.__class__.dummy_entry(service, version, mode, path + ["dummy_entry"])
                        self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                        self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                        self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                        self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                        self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                        self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                        super().__init__(service, version, mode, path)
                    class intake_fan(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class fan(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class overset(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class porous_jump(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class periodic(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class symmetry(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class geometry(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class recirculation_inlet(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class recirculation_outlet(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class pressure_outlet(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class fluid(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class network(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class outlet_vent(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class mass_flow_inlet(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class radiator(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class network_end(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class wall(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class shadow(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class degassing(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class pressure_far_field(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class outflow(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class pressure_inlet(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class inlet_vent(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class axis(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class velocity_inlet(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class dummy_entry(TUIMethod):
                        """
                        .
                        """
                    class exhaust_fan(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class mass_flow_outlet(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class rans_les_interface(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class interface(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class interior(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """
                    class solid(TUIMethod):
                        """
                        Compute reference values from a zone of this type.
                        """

            class forces(TUIMenu):
                """
                Force report menu.
                """
                def __init__(self, service, version, mode, path):
                    self.wall_forces = self.__class__.wall_forces(service, version, mode, path + ["wall_forces"])
                    self.pressure_center = self.__class__.pressure_center(service, version, mode, path + ["pressure_center"])
                    self.wall_moments = self.__class__.wall_moments(service, version, mode, path + ["wall_moments"])
                    super().__init__(service, version, mode, path)
                class wall_forces(TUIMethod):
                    """
                    Print integrated pressure and viscous forces on wall zones.
                    """
                class pressure_center(TUIMethod):
                    """
                    Print center of pressure on wall zones.
                    """
                class wall_moments(TUIMethod):
                    """
                    Print integrated pressure and viscous moments on wall zones.
                    """

            class fluxes(TUIMenu):
                """
                Flux report menu.
                """
                def __init__(self, service, version, mode, path):
                    self.heat_transfer_sensible = self.__class__.heat_transfer_sensible(service, version, mode, path + ["heat_transfer_sensible"])
                    self.pressure_work = self.__class__.pressure_work(service, version, mode, path + ["pressure_work"])
                    self.film_heat_transfer = self.__class__.film_heat_transfer(service, version, mode, path + ["film_heat_transfer"])
                    self.film_mass_flow = self.__class__.film_mass_flow(service, version, mode, path + ["film_mass_flow"])
                    self.heat_transfer = self.__class__.heat_transfer(service, version, mode, path + ["heat_transfer"])
                    self.viscous_work = self.__class__.viscous_work(service, version, mode, path + ["viscous_work"])
                    self.mass_flow = self.__class__.mass_flow(service, version, mode, path + ["mass_flow"])
                    self.rad_heat_trans = self.__class__.rad_heat_trans(service, version, mode, path + ["rad_heat_trans"])
                    super().__init__(service, version, mode, path)
                class heat_transfer_sensible(TUIMethod):
                    """
                    Print sensible heat transfer rate at boundaries.
                    """
                class pressure_work(TUIMethod):
                    """
                    Print pressure work rate at moving boundaries.
                    """
                class film_heat_transfer(TUIMethod):
                    """
                    Print film heat transfer rate at boundaries.
                    """
                class film_mass_flow(TUIMethod):
                    """
                    Print film mass flow rate at boundaries.
                    """
                class heat_transfer(TUIMethod):
                    """
                    Print heat transfer rate at boundaries.
                    """
                class viscous_work(TUIMethod):
                    """
                    Print viscous work rate at boundaries.
                    """
                class mass_flow(TUIMethod):
                    """
                    Print mass flow rate at inlets and outlets.
                    """
                class rad_heat_trans(TUIMethod):
                    """
                    Print radiation heat transfer rate at boundaries.
                    """

            class icing(TUIMenu):
                """
                Icing reports menu.
                """
                def __init__(self, service, version, mode, path):
                    self.energy_of_ice_formation = self.__class__.energy_of_ice_formation(service, version, mode, path + ["energy_of_ice_formation"])
                    self.icing_energy_of_conduction = self.__class__.icing_energy_of_conduction(service, version, mode, path + ["icing_energy_of_conduction"])
                    self.mass_of_ice = self.__class__.mass_of_ice(service, version, mode, path + ["mass_of_ice"])
                    self.particles_droplets_collection_eff = self.__class__.particles_droplets_collection_eff(service, version, mode, path + ["particles_droplets_collection_eff"])
                    self.energy_of_water_impinged = self.__class__.energy_of_water_impinged(service, version, mode, path + ["energy_of_water_impinged"])
                    self.mass_of_water_impinged = self.__class__.mass_of_water_impinged(service, version, mode, path + ["mass_of_water_impinged"])
                    self.particles_crystals_collection_eff = self.__class__.particles_crystals_collection_eff(service, version, mode, path + ["particles_crystals_collection_eff"])
                    super().__init__(service, version, mode, path)
                class energy_of_ice_formation(TUIMethod):
                    """
                    Print Energy of Ice Formation.
                    """
                class icing_energy_of_conduction(TUIMethod):
                    """
                    Print Energy of Conduction.
                    """
                class mass_of_ice(TUIMethod):
                    """
                    Print Mass of Ice Accretion.
                    """
                class particles_droplets_collection_eff(TUIMethod):
                    """
                    Print Droplets Collection Efficiency.
                    """
                class energy_of_water_impinged(TUIMethod):
                    """
                    Print Energy of Water Impingement.
                    """
                class mass_of_water_impinged(TUIMethod):
                    """
                    Print Mass of Water Impingement.
                    """
                class particles_crystals_collection_eff(TUIMethod):
                    """
                    Print Crystals Collection Efficiency.
                    """

    class solution(TUIMenu):
        """
        Enter solution menu.
        """
        def __init__(self, service, version, mode, path):
            self.monitors = self.__class__.monitors(service, version, mode, path + ["monitors"])
            self.report_definitions = self.__class__.report_definitions(service, version, mode, path + ["report_definitions"])
            self.cell_registers = self.__class__.cell_registers(service, version, mode, path + ["cell_registers"])
            self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
            self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
            self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
            self.calculation_activities = self.__class__.calculation_activities(service, version, mode, path + ["calculation_activities"])
            self.methods = self.__class__.methods(service, version, mode, path + ["methods"])
            self.run_calculation = self.__class__.run_calculation(service, version, mode, path + ["run_calculation"])
            super().__init__(service, version, mode, path)

        class monitors(TUIMenu):
            """
            Enter the monitors menu.
            """
            def __init__(self, service, version, mode, path):
                self.residual = self.__class__.residual(service, version, mode, path + ["residual"])
                self.report_plots = self.__class__.report_plots(service, version, mode, path + ["report_plots"])
                self.report_files = self.__class__.report_files(service, version, mode, path + ["report_files"])
                self.convergence_conditions = self.__class__.convergence_conditions(service, version, mode, path + ["convergence_conditions"])
                self.set_average_over = self.__class__.set_average_over(service, version, mode, path + ["set_average_over"])
                super().__init__(service, version, mode, path)
            class convergence_conditions(TUIMethod):
                """
                Manage convergence report.
                """
            class set_average_over(TUIMethod):
                """
                Set the average over input for monitors.
                """

            class residual(TUIMenu):
                """
                Enter the residual monitors menu.
                """
                def __init__(self, service, version, mode, path):
                    self.relative_conv_criteria = self.__class__.relative_conv_criteria(service, version, mode, path + ["relative_conv_criteria"])
                    self.print = self.__class__.print(service, version, mode, path + ["print"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    self.monitor = self.__class__.monitor(service, version, mode, path + ["monitor"])
                    self.n_display = self.__class__.n_display(service, version, mode, path + ["n_display"])
                    self.n_maximize_norms = self.__class__.n_maximize_norms(service, version, mode, path + ["n_maximize_norms"])
                    self.criterion_type = self.__class__.criterion_type(service, version, mode, path + ["criterion_type"])
                    self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                    self.convergence_criteria = self.__class__.convergence_criteria(service, version, mode, path + ["convergence_criteria"])
                    self.check_convergence = self.__class__.check_convergence(service, version, mode, path + ["check_convergence"])
                    self.n_save = self.__class__.n_save(service, version, mode, path + ["n_save"])
                    self.normalize = self.__class__.normalize(service, version, mode, path + ["normalize"])
                    self.enhanced_continuity_residual = self.__class__.enhanced_continuity_residual(service, version, mode, path + ["enhanced_continuity_residual"])
                    self.re_normalize = self.__class__.re_normalize(service, version, mode, path + ["re_normalize"])
                    self.normalization_factors = self.__class__.normalization_factors(service, version, mode, path + ["normalization_factors"])
                    self.scale_by_coefficient = self.__class__.scale_by_coefficient(service, version, mode, path + ["scale_by_coefficient"])
                    super().__init__(service, version, mode, path)
                class relative_conv_criteria(TUIMethod):
                    """
                    Set relative convergence criteria for residuals which are
                    currently being both monitored and checked.
                    """
                class print(TUIMethod):
                    """
                    Choose whether or not residuals will be printed during iteration.
                    """
                class plot(TUIMethod):
                    """
                    Choose whether or not residuals will be plotted during iteration.
                    """
                class monitor(TUIMethod):
                    """
                    Choose which residuals to monitor as printed and/or plotted output.
                    """
                class n_display(TUIMethod):
                    """
                    Set the number of most recent residuals to display in plots.
                    """
                class n_maximize_norms(TUIMethod):
                    """
                    Set the number of iterations through which normalization
                    factors will be maximized.
                    """
                class criterion_type(TUIMethod):
                    """
                    Set convergence criterion type.
                    """
                class reset(TUIMethod):
                    """
                    Delete the residual history and reset iteration counter to unity.
                    """
                class convergence_criteria(TUIMethod):
                    """
                    Set convergence criteria for residuals which are
                    currently being both monitored and checked.
                    """
                class check_convergence(TUIMethod):
                    """
                    Choose which currently-monitored residuals
                    should be checked for convergence.
                    """
                class n_save(TUIMethod):
                    """
                    Set number of residuals to be saved with data.
                    History is automatically compacted when buffer becomes full.
                    """
                class normalize(TUIMethod):
                    """
                    Choose whether or not to normalize residuals in printed and plotted output.
                    """
                class enhanced_continuity_residual(TUIMethod):
                    """
                    Scale the continuity residuals locally based on the enhanced formulation.
                    """
                class re_normalize(TUIMethod):
                    """
                    Renormalize residuals by maximum values.
                    """
                class normalization_factors(TUIMethod):
                    """
                    Set normalization factors for currently-monitored residuals.
                    """
                class scale_by_coefficient(TUIMethod):
                    """
                    Enable/disable scaling of residuals by coefficient sum in printed and plotted output.
                    """

            class report_plots(TUIMenu):
                """
                Manage report plots.
                """
                def __init__(self, service, version, mode, path):
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class axes(TUIMethod):
                    """
                    Set axes options of an object.
                    """
                class list_properties(TUIMethod):
                    """
                    List properties of an object.
                    """
                class delete_all(TUIMethod):
                    """
                    Delete all plot objects.
                    """
                class delete(TUIMethod):
                    """
                    Delete an object.
                    """
                class list(TUIMethod):
                    """
                    List objects.
                    """
                class add(TUIMethod):
                    """
                    Add a new object.
                    """
                class curves(TUIMethod):
                    """
                    Set curves options of an object.
                    """
                class plot(TUIMethod):
                    """
                    Plot.
                    """
                class clear_data(TUIMethod):
                    """
                    Clear report plot data.
                    """
                class edit(TUIMethod):
                    """
                    Edit an object.
                    """

            class report_files(TUIMenu):
                """
                Manage report files.
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    Delete an object.
                    """
                class clear_data(TUIMethod):
                    """
                    Delete the report file from the system.
                    """
                class list(TUIMethod):
                    """
                    List objects.
                    """
                class list_properties(TUIMethod):
                    """
                    List properties of an object.
                    """
                class add(TUIMethod):
                    """
                    Add a new object.
                    """
                class delete_all(TUIMethod):
                    """
                    Delete all report file objects.
                    """
                class edit(TUIMethod):
                    """
                    Edit an object.
                    """

        class report_definitions(TUIMenu):
            """
            Manage report definitions.
            """
            def __init__(self, service, version, mode, path):
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class list_properties(TUIMethod):
                """
                List properties of an object.
                """
            class delete_all(TUIMethod):
                """
                Delete all report definition objects.
                """
            class copy(TUIMethod):
                """
                Makes a copy of selected report definition with new name.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class list(TUIMethod):
                """
                List objects.
                """
            class compute(TUIMethod):
                """
                Computes selected report definition.
                """
            class rename(TUIMethod):
                """
                Rename selected report definition with new name.
                """
            class delete(TUIMethod):
                """
                Delete an object.
                """

        class cell_registers(TUIMenu):
            """
            Manage Cell Registers.
            """
            def __init__(self, service, version, mode, path):
                self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
                self.apply_poor_mesh_numerics = self.__class__.apply_poor_mesh_numerics(service, version, mode, path + ["apply_poor_mesh_numerics"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.refine = self.__class__.refine(service, version, mode, path + ["refine"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.coarsen = self.__class__.coarsen(service, version, mode, path + ["coarsen"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class adapt(TUIMethod):
                """
                Adapt cell register objects.
                """
            class apply_poor_mesh_numerics(TUIMethod):
                """
                Apply poor mesh numerics to cell register objects.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class display(TUIMethod):
                """
                Display cell register objects.
                """
            class list(TUIMethod):
                """
                List objects.
                """
            class list_properties(TUIMethod):
                """
                List properties of an object.
                """
            class refine(TUIMethod):
                """
                Refine cell register objects.
                """
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class coarsen(TUIMethod):
                """
                Coarsen cell register objects.
                """
            class delete(TUIMethod):
                """
                Delete an object.
                """

        class controls(TUIMenu):
            """
            Enter the controls menu.
            """
            def __init__(self, service, version, mode, path):
                self.acoustics_wave_equation_controls = self.__class__.acoustics_wave_equation_controls(service, version, mode, path + ["acoustics_wave_equation_controls"])
                self.advanced = self.__class__.advanced(service, version, mode, path + ["advanced"])
                self.query = self.__class__.query(service, version, mode, path + ["query"])
                self.contact_solution_controls = self.__class__.contact_solution_controls(service, version, mode, path + ["contact_solution_controls"])
                self.set_controls_to_default = self.__class__.set_controls_to_default(service, version, mode, path + ["set_controls_to_default"])
                self.limits = self.__class__.limits(service, version, mode, path + ["limits"])
                self.p_v_controls = self.__class__.p_v_controls(service, version, mode, path + ["p_v_controls"])
                self.equations = self.__class__.equations(service, version, mode, path + ["equations"])
                self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                self.courant_number = self.__class__.courant_number(service, version, mode, path + ["courant_number"])
                self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                super().__init__(service, version, mode, path)
            class set_controls_to_default(TUIMethod):
                """
                Set controls to default values.
                """
            class limits(TUIMethod):
                """
                Set solver limits for the values of various solution variables.
                """
            class p_v_controls(TUIMethod):
                """
                Set P-V-Controls.
                """
            class equations(TUIMethod):
                """
                Enter the equations menu.
                """
            class under_relaxation(TUIMethod):
                """
                Enter the under-relaxation menu.
                """
            class courant_number(TUIMethod):
                """
                Set the fine mesh Courant number (time step factor).
                """
            class relaxation_factor(TUIMethod):
                """
                Enter the relaxation-factor menu.
                """

            class acoustics_wave_equation_controls(TUIMenu):
                """
                Enter menu for acoustics wave equation solver controls.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.max_iterations_per_timestep = self.__class__.max_iterations_per_timestep(service, version, mode, path + ["max_iterations_per_timestep"])
                    self.relative_convergence_criterion = self.__class__.relative_convergence_criterion(service, version, mode, path + ["relative_convergence_criterion"])
                    super().__init__(service, version, mode, path)
                class max_iterations_per_timestep(TUIMethod):
                    """
                    Specify maximum number of iterations per timestep.
                    """
                class relative_convergence_criterion(TUIMethod):
                    """
                    Specify convergence tolerance for the timestep iterations
                    as the target residual reduction factor.
                    """

                class expert(TUIMenu):
                    """
                    Enter menu for expert controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.under_relaxation_factor = self.__class__.under_relaxation_factor(service, version, mode, path + ["under_relaxation_factor"])
                        self.explicit_relaxation_factor = self.__class__.explicit_relaxation_factor(service, version, mode, path + ["explicit_relaxation_factor"])
                        super().__init__(service, version, mode, path)
                    class under_relaxation_factor(TUIMethod):
                        """
                        Specify under-relaxation factor to be used in
                        the diagonal matrix elements of implicit solver.
                        """
                    class explicit_relaxation_factor(TUIMethod):
                        """
                        Specify explicit relaxation factor to be applied to
                        the solution correction when updating solution in the timestep iterations.
                        """

            class advanced(TUIMenu):
                """
                Controls advanced options.
                """
                def __init__(self, service, version, mode, path):
                    self.fast_transient_settings = self.__class__.fast_transient_settings(service, version, mode, path + ["fast_transient_settings"])
                    self.amg_options = self.__class__.amg_options(service, version, mode, path + ["amg_options"])
                    self.multi_grid_fas = self.__class__.multi_grid_fas(service, version, mode, path + ["multi_grid_fas"])
                    self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                    self.correction_tolerance = self.__class__.correction_tolerance(service, version, mode, path + ["correction_tolerance"])
                    self.multi_grid_controls = self.__class__.multi_grid_controls(service, version, mode, path + ["multi_grid_controls"])
                    self.multi_grid_amg = self.__class__.multi_grid_amg(service, version, mode, path + ["multi_grid_amg"])
                    self.slope_limiter_set = self.__class__.slope_limiter_set(service, version, mode, path + ["slope_limiter_set"])
                    self.multi_stage = self.__class__.multi_stage(service, version, mode, path + ["multi_stage"])
                    super().__init__(service, version, mode, path)
                class multi_grid_fas(TUIMethod):
                    """
                    Set the coefficients that govern the FAS multigrid procedure.
                    """
                class relaxation_method(TUIMethod):
                    """
                    Set the solver relaxation method.
                    """
                class correction_tolerance(TUIMethod):
                    """
                    Enter the correction tolerance menu.
                    """
                class multi_grid_controls(TUIMethod):
                    """
                    Enter the multi-grid-controls menu.
                    """
                class multi_grid_amg(TUIMethod):
                    """
                    Set the parameters that govern the algebraic multigrid procedure.
                    """
                class slope_limiter_set(TUIMethod):
                    """
                    Enter the slope limiter set menu.
                    """
                class multi_stage(TUIMethod):
                    """
                    Set the multiple-stage time stepping scheme coefficients.
                    """

                class fast_transient_settings(TUIMenu):
                    """
                    Enter the fast transient settings menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.rk2 = self.__class__.rk2(service, version, mode, path + ["rk2"])
                        super().__init__(service, version, mode, path)
                    class rk2(TUIMethod):
                        """
                        Enable the use of a two-stage Runge-Kutta scheme for time integration.
                        """

                class amg_options(TUIMenu):
                    """
                    Enter AMG options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.amg_gpgpu_options = self.__class__.amg_gpgpu_options(service, version, mode, path + ["amg_gpgpu_options"])
                        self.laplace_coarsening = self.__class__.laplace_coarsening(service, version, mode, path + ["laplace_coarsening"])
                        self.conservative_amg_coarsening = self.__class__.conservative_amg_coarsening(service, version, mode, path + ["conservative_amg_coarsening"])
                        self.aggressive_amg_coarsening = self.__class__.aggressive_amg_coarsening(service, version, mode, path + ["aggressive_amg_coarsening"])
                        super().__init__(service, version, mode, path)
                    class amg_gpgpu_options(TUIMethod):
                        """
                        Set GPGPU AMG solver options.
                        """
                    class laplace_coarsening(TUIMethod):
                        """
                        Set AMG laplace coarsening options.
                        """
                    class conservative_amg_coarsening(TUIMethod):
                        """
                        Use conservative AMG coarsening?.
                        """
                    class aggressive_amg_coarsening(TUIMethod):
                        """
                        Use aggressive AMG coarsening.
                        """

            class query(TUIMenu):
                """
                Enter controls query menu.
                """
                def __init__(self, service, version, mode, path):
                    self.acoustics_wave_equation_controls = self.__class__.acoustics_wave_equation_controls(service, version, mode, path + ["acoustics_wave_equation_controls"])
                    self.advanced = self.__class__.advanced(service, version, mode, path + ["advanced"])
                    self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                    self.equations = self.__class__.equations(service, version, mode, path + ["equations"])
                    self.courant_number = self.__class__.courant_number(service, version, mode, path + ["courant_number"])
                    self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                    self.p_v_controls = self.__class__.p_v_controls(service, version, mode, path + ["p_v_controls"])
                    self.limits = self.__class__.limits(service, version, mode, path + ["limits"])
                    super().__init__(service, version, mode, path)
                class under_relaxation(TUIMethod):
                    """
                    Enter under relaxation menu.
                    """
                class equations(TUIMethod):
                    """
                    Enter the equations menu.
                    """
                class courant_number(TUIMethod):
                    """
                    Get the fine mesh Courant number (time step factor).
                    """
                class relaxation_factor(TUIMethod):
                    """
                    Enter the relaxation-factor menu.
                    """
                class p_v_controls(TUIMethod):
                    """
                    Get P-V-Controls.
                    """
                class limits(TUIMethod):
                    """
                    Get solver limits for the values of various solution variables.
                    """

                class acoustics_wave_equation_controls(TUIMenu):
                    """
                    Enter menu for acoustics wave equation solver controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.relative_convergence_criterion = self.__class__.relative_convergence_criterion(service, version, mode, path + ["relative_convergence_criterion"])
                        self.max_iterations_per_timestep = self.__class__.max_iterations_per_timestep(service, version, mode, path + ["max_iterations_per_timestep"])
                        super().__init__(service, version, mode, path)
                    class relative_convergence_criterion(TUIMethod):
                        """
                        Specify convergence tolerance for the timestep iterations
                        as the target residual reduction factor.
                        """
                    class max_iterations_per_timestep(TUIMethod):
                        """
                        Specify maximum number of iterations per timestep.
                        """

                    class expert(TUIMenu):
                        """
                        Enter menu for expert controls.
                        """
                        def __init__(self, service, version, mode, path):
                            self.explicit_relaxation_factor = self.__class__.explicit_relaxation_factor(service, version, mode, path + ["explicit_relaxation_factor"])
                            self.under_relaxation_factor = self.__class__.under_relaxation_factor(service, version, mode, path + ["under_relaxation_factor"])
                            super().__init__(service, version, mode, path)
                        class explicit_relaxation_factor(TUIMethod):
                            """
                            Specify explicit relaxation factor to be applied to
                            the solution correction when updating solution in the timestep iterations.
                            """
                        class under_relaxation_factor(TUIMethod):
                            """
                            Specify under-relaxation factor to be used in
                            the diagonal matrix elements of implicit solver.
                            """

                class advanced(TUIMenu):
                    """
                    Controls advanced options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.amg_options = self.__class__.amg_options(service, version, mode, path + ["amg_options"])
                        self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                        self.multi_grid_controls = self.__class__.multi_grid_controls(service, version, mode, path + ["multi_grid_controls"])
                        self.multi_grid_fas = self.__class__.multi_grid_fas(service, version, mode, path + ["multi_grid_fas"])
                        self.correction_tolerance = self.__class__.correction_tolerance(service, version, mode, path + ["correction_tolerance"])
                        self.multi_stage = self.__class__.multi_stage(service, version, mode, path + ["multi_stage"])
                        self.multi_grid_amg = self.__class__.multi_grid_amg(service, version, mode, path + ["multi_grid_amg"])
                        super().__init__(service, version, mode, path)
                    class relaxation_method(TUIMethod):
                        """
                        Set the solver relaxation method.
                        """
                    class multi_grid_controls(TUIMethod):
                        """
                        Enter the multi-grid-controls menu.
                        """
                    class multi_grid_fas(TUIMethod):
                        """
                        Get the coefficients that govern the FAS multigrid procedure.
                        """
                    class correction_tolerance(TUIMethod):
                        """
                        Enter the correction tolerance menu.
                        """
                    class multi_stage(TUIMethod):
                        """
                        Set the multiple-stage time stepping scheme coefficients.
                        """
                    class multi_grid_amg(TUIMethod):
                        """
                        Get the parameters that govern the algebraic multigrid procedure.
                        """

                    class amg_options(TUIMenu):
                        """
                        Enter AMG options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.amg_gpgpu_options = self.__class__.amg_gpgpu_options(service, version, mode, path + ["amg_gpgpu_options"])
                            self.laplace_coarsening = self.__class__.laplace_coarsening(service, version, mode, path + ["laplace_coarsening"])
                            self.aggressive_amg_coarsening = self.__class__.aggressive_amg_coarsening(service, version, mode, path + ["aggressive_amg_coarsening"])
                            self.conservative_amg_coarsening = self.__class__.conservative_amg_coarsening(service, version, mode, path + ["conservative_amg_coarsening"])
                            super().__init__(service, version, mode, path)
                        class amg_gpgpu_options(TUIMethod):
                            """
                            Amg gpu options.
                            """
                        class laplace_coarsening(TUIMethod):
                            """
                            Get AMG laplace coarsening options.
                            """
                        class aggressive_amg_coarsening(TUIMethod):
                            """
                            Use aggressive AMG coarsening.
                            """
                        class conservative_amg_coarsening(TUIMethod):
                            """
                            Use conservative AMG coarsening?.
                            """

            class contact_solution_controls(TUIMenu):
                """
                Solver controls for contact marks method.
                """
                def __init__(self, service, version, mode, path):
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    self.models = self.__class__.models(service, version, mode, path + ["models"])
                    self.transient = self.__class__.transient(service, version, mode, path + ["transient"])
                    self.amg = self.__class__.amg(service, version, mode, path + ["amg"])
                    self.methods = self.__class__.methods(service, version, mode, path + ["methods"])
                    self.spatial = self.__class__.spatial(service, version, mode, path + ["spatial"])
                    self.miscellaneous = self.__class__.miscellaneous(service, version, mode, path + ["miscellaneous"])
                    self.set_settings_to_default = self.__class__.set_settings_to_default(service, version, mode, path + ["set_settings_to_default"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    super().__init__(service, version, mode, path)
                class set_settings_to_default(TUIMethod):
                    """
                    Set contact solution stabilization to default.
                    """
                class verbosity(TUIMethod):
                    """
                    Specify verbosity level for contact solution controls.
                    """
                class solution_stabilization(TUIMethod):
                    """
                    Automatic solver settings adjustment for solution stabilization during contact process.
                    """

                class parameters(TUIMenu):
                    """
                    Parameters used in stabilization strategy.
                    """
                    def __init__(self, service, version, mode, path):
                        self.persistence_fixed_time_steps = self.__class__.persistence_fixed_time_steps(service, version, mode, path + ["persistence_fixed_time_steps"])
                        self.iterations = self.__class__.iterations(service, version, mode, path + ["iterations"])
                        self.persistence_fixed_duration = self.__class__.persistence_fixed_duration(service, version, mode, path + ["persistence_fixed_duration"])
                        self.solution_stabilization_persistence = self.__class__.solution_stabilization_persistence(service, version, mode, path + ["solution_stabilization_persistence"])
                        self.extrapolation_method = self.__class__.extrapolation_method(service, version, mode, path + ["extrapolation_method"])
                        super().__init__(service, version, mode, path)
                    class persistence_fixed_time_steps(TUIMethod):
                        """
                        Specify fixed time-steps for solution stabilization persistence after trigger.
                        """
                    class iterations(TUIMethod):
                        """
                        Specify additional iterations to accomodate contact solution stabilization.
                        """
                    class persistence_fixed_duration(TUIMethod):
                        """
                        Specify fixed time for solution stabilization persistence after trigger.
                        """
                    class solution_stabilization_persistence(TUIMethod):
                        """
                        Persistence of the solution stabilization based on events [0-contact based, 1-always on].
                        """
                    class extrapolation_method(TUIMethod):
                        """
                        Solution extrapolation method for cells changing status from contact to non-contact [0-none, 1-local extrapolation].
                        """

                class models(TUIMenu):
                    """
                    Model control options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.model_ramping = self.__class__.model_ramping(service, version, mode, path + ["model_ramping"])
                        self.ramp_flow = self.__class__.ramp_flow(service, version, mode, path + ["ramp_flow"])
                        self.ramp_scalars = self.__class__.ramp_scalars(service, version, mode, path + ["ramp_scalars"])
                        self.ramp_turbulence = self.__class__.ramp_turbulence(service, version, mode, path + ["ramp_turbulence"])
                        super().__init__(service, version, mode, path)
                    class model_ramping(TUIMethod):
                        """
                        Activate model ramping for solver stability and accuracy.
                        """
                    class ramp_flow(TUIMethod):
                        """
                        Ramp flow for solver stability and accuracy.
                        """
                    class ramp_scalars(TUIMethod):
                        """
                        Ramp all scalar transport equations for solver stability and accuracy.
                        """
                    class ramp_turbulence(TUIMethod):
                        """
                        Ramp turbulence for solver stability and accuracy.
                        """

                class transient(TUIMenu):
                    """
                    Transient discretization control options .
                    """
                    def __init__(self, service, version, mode, path):
                        self.time_scale_modification_factor = self.__class__.time_scale_modification_factor(service, version, mode, path + ["time_scale_modification_factor"])
                        self.transient_parameters_specify = self.__class__.transient_parameters_specify(service, version, mode, path + ["transient_parameters_specify"])
                        self.time_scale_modification_method = self.__class__.time_scale_modification_method(service, version, mode, path + ["time_scale_modification_method"])
                        self.transient_scheme = self.__class__.transient_scheme(service, version, mode, path + ["transient_scheme"])
                        super().__init__(service, version, mode, path)
                    class time_scale_modification_factor(TUIMethod):
                        """
                        Specify time-scale modification factor.
                        """
                    class transient_parameters_specify(TUIMethod):
                        """
                        Allow transient parameter specification.
                        """
                    class time_scale_modification_method(TUIMethod):
                        """
                        Enter time scale modification method.
                        """
                    class transient_scheme(TUIMethod):
                        """
                        Specify temporal scheme to be used.
                        """

                class amg(TUIMenu):
                    """
                    AMG control options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.specify_coarsening_rate = self.__class__.specify_coarsening_rate(service, version, mode, path + ["specify_coarsening_rate"])
                        self.enforce_laplace_coarsening = self.__class__.enforce_laplace_coarsening(service, version, mode, path + ["enforce_laplace_coarsening"])
                        self.coarsen_rate = self.__class__.coarsen_rate(service, version, mode, path + ["coarsen_rate"])
                        self.pre_sweeps = self.__class__.pre_sweeps(service, version, mode, path + ["pre_sweeps"])
                        self.increase_pre_sweeps = self.__class__.increase_pre_sweeps(service, version, mode, path + ["increase_pre_sweeps"])
                        super().__init__(service, version, mode, path)
                    class specify_coarsening_rate(TUIMethod):
                        """
                        Modify AMG coarsening rate.
                        """
                    class enforce_laplace_coarsening(TUIMethod):
                        """
                        Enforce the use of laplace coarsening in AMG.
                        """
                    class coarsen_rate(TUIMethod):
                        """
                        Specify AMG coarsening rate.
                        """
                    class pre_sweeps(TUIMethod):
                        """
                        Specify the number of AMG pre-sweeps.
                        """
                    class increase_pre_sweeps(TUIMethod):
                        """
                        Allow increase in AMG pre-sweep.
                        """

                class methods(TUIMenu):
                    """
                    Methods control options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.specify_gradient_method = self.__class__.specify_gradient_method(service, version, mode, path + ["specify_gradient_method"])
                        self.pressure_velocity_coupling_method = self.__class__.pressure_velocity_coupling_method(service, version, mode, path + ["pressure_velocity_coupling_method"])
                        self.pressure_velocity_coupling_controls = self.__class__.pressure_velocity_coupling_controls(service, version, mode, path + ["pressure_velocity_coupling_controls"])
                        self.gradient_controls = self.__class__.gradient_controls(service, version, mode, path + ["gradient_controls"])
                        super().__init__(service, version, mode, path)
                    class specify_gradient_method(TUIMethod):
                        """
                        Specify gradient method for solver stability and accuracy.
                        """
                    class pressure_velocity_coupling_method(TUIMethod):
                        """
                        Specify pressure-velocity coupling method change for solver stability and accuracy.
                        """
                    class pressure_velocity_coupling_controls(TUIMethod):
                        """
                        Enable pressure-velocity coupling method change for solver stability and accuracy.
                        """
                    class gradient_controls(TUIMethod):
                        """
                        Modify gradient method for solver stability and accuracy.
                        """

                class spatial(TUIMenu):
                    """
                    Spatial discretization control options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.scalars_skew_diffusion_exclude = self.__class__.scalars_skew_diffusion_exclude(service, version, mode, path + ["scalars_skew_diffusion_exclude"])
                        self.first_to_second_order_blending = self.__class__.first_to_second_order_blending(service, version, mode, path + ["first_to_second_order_blending"])
                        self.rhie_chow_method = self.__class__.rhie_chow_method(service, version, mode, path + ["rhie_chow_method"])
                        self.scheme = self.__class__.scheme(service, version, mode, path + ["scheme"])
                        self.flow_skew_diffusion_exclude = self.__class__.flow_skew_diffusion_exclude(service, version, mode, path + ["flow_skew_diffusion_exclude"])
                        self.rhie_chow_flux_specify = self.__class__.rhie_chow_flux_specify(service, version, mode, path + ["rhie_chow_flux_specify"])
                        self.first_to_second_order_blending_list = self.__class__.first_to_second_order_blending_list(service, version, mode, path + ["first_to_second_order_blending_list"])
                        super().__init__(service, version, mode, path)
                    class scalars_skew_diffusion_exclude(TUIMethod):
                        """
                        Exclude skew diffusion discretization contribution for scalars.
                        """
                    class first_to_second_order_blending(TUIMethod):
                        """
                        Set factor to control first order to second order blending.
                        """
                    class rhie_chow_method(TUIMethod):
                        """
                        Enter the rhie-chow flux method.
                        """
                    class scheme(TUIMethod):
                        """
                        Set advection scheme for contact event stability.
                        """
                    class flow_skew_diffusion_exclude(TUIMethod):
                        """
                        Exclude skew diffusion discretization contribution for momentum.
                        """
                    class rhie_chow_flux_specify(TUIMethod):
                        """
                        Allow specification of the the rhie-chow flux method.
                        """
                    class first_to_second_order_blending_list(TUIMethod):
                        """
                        List set factor to control first order to second order blending.
                        """

                class miscellaneous(TUIMenu):
                    """
                    Miscellaneous.
                    """
                    def __init__(self, service, version, mode, path):
                        self.compute_statistics = self.__class__.compute_statistics(service, version, mode, path + ["compute_statistics"])
                        self.statistics_level = self.__class__.statistics_level(service, version, mode, path + ["statistics_level"])
                        super().__init__(service, version, mode, path)
                    class compute_statistics(TUIMethod):
                        """
                        Compute solution statistics for contact updates.
                        """
                    class statistics_level(TUIMethod):
                        """
                        Solution statistics level for contact updates.
                        """

        class expert(TUIMenu):
            """
            Enter expert options for solution.
            """
            def __init__(self, service, version, mode, path):
                self.open_channel_wave_options = self.__class__.open_channel_wave_options(service, version, mode, path + ["open_channel_wave_options"])
                self.secondary_gradient_limiting = self.__class__.secondary_gradient_limiting(service, version, mode, path + ["secondary_gradient_limiting"])
                self.high_speed_numerics = self.__class__.high_speed_numerics(service, version, mode, path + ["high_speed_numerics"])
                self.non_reflecting_boundary_treatment = self.__class__.non_reflecting_boundary_treatment(service, version, mode, path + ["non_reflecting_boundary_treatment"])
                self.divergence_prevention = self.__class__.divergence_prevention(service, version, mode, path + ["divergence_prevention"])
                self.poor_mesh_numerics = self.__class__.poor_mesh_numerics(service, version, mode, path + ["poor_mesh_numerics"])
                self.previous_defaults = self.__class__.previous_defaults(service, version, mode, path + ["previous_defaults"])
                self.retain_temporary_solver_mem = self.__class__.retain_temporary_solver_mem(service, version, mode, path + ["retain_temporary_solver_mem"])
                self.vof_explicit_controls = self.__class__.vof_explicit_controls(service, version, mode, path + ["vof_explicit_controls"])
                self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                self.limiter_warnings = self.__class__.limiter_warnings(service, version, mode, path + ["limiter_warnings"])
                self.bc_pressure_extrapolations = self.__class__.bc_pressure_extrapolations(service, version, mode, path + ["bc_pressure_extrapolations"])
                self.material_property_warnings = self.__class__.material_property_warnings(service, version, mode, path + ["material_property_warnings"])
                self.numerical_beach_controls = self.__class__.numerical_beach_controls(service, version, mode, path + ["numerical_beach_controls"])
                self.explicit_under_relaxation_value = self.__class__.explicit_under_relaxation_value(service, version, mode, path + ["explicit_under_relaxation_value"])
                self.bcd_weights_freeze = self.__class__.bcd_weights_freeze(service, version, mode, path + ["bcd_weights_freeze"])
                self.alternate_wall_temp_formulation = self.__class__.alternate_wall_temp_formulation(service, version, mode, path + ["alternate_wall_temp_formulation"])
                self.bcd_boundedness = self.__class__.bcd_boundedness(service, version, mode, path + ["bcd_boundedness"])
                self.singhal_et_al_cavitation_model = self.__class__.singhal_et_al_cavitation_model(service, version, mode, path + ["singhal_et_al_cavitation_model"])
                self.mp_reference_density = self.__class__.mp_reference_density(service, version, mode, path + ["mp_reference_density"])
                self.disable_reconstruction = self.__class__.disable_reconstruction(service, version, mode, path + ["disable_reconstruction"])
                self.show_all_discretization_schemes = self.__class__.show_all_discretization_schemes(service, version, mode, path + ["show_all_discretization_schemes"])
                self.energy_numerical_noise_filter = self.__class__.energy_numerical_noise_filter(service, version, mode, path + ["energy_numerical_noise_filter"])
                self.mp_mfluid_aniso_drag = self.__class__.mp_mfluid_aniso_drag(service, version, mode, path + ["mp_mfluid_aniso_drag"])
                self.equation_ordering = self.__class__.equation_ordering(service, version, mode, path + ["equation_ordering"])
                self.open_channel_controls = self.__class__.open_channel_controls(service, version, mode, path + ["open_channel_controls"])
                self.flow_warnings = self.__class__.flow_warnings(service, version, mode, path + ["flow_warnings"])
                self.surface_tension_expert = self.__class__.surface_tension_expert(service, version, mode, path + ["surface_tension_expert"])
                self.correction_form = self.__class__.correction_form(service, version, mode, path + ["correction_form"])
                self.lock_solid_temperature = self.__class__.lock_solid_temperature(service, version, mode, path + ["lock_solid_temperature"])
                self.retain_cell_residuals = self.__class__.retain_cell_residuals(service, version, mode, path + ["retain_cell_residuals"])
                self.set_all_species_together = self.__class__.set_all_species_together(service, version, mode, path + ["set_all_species_together"])
                self.linearized_mass_transfer_udf = self.__class__.linearized_mass_transfer_udf(service, version, mode, path + ["linearized_mass_transfer_udf"])
                super().__init__(service, version, mode, path)
            class retain_temporary_solver_mem(TUIMethod):
                """
                Retain temporary solver memory?.
                """
            class vof_explicit_controls(TUIMethod):
                """
                Set Explicit VOF controls.
                """
            class surface_tension(TUIMethod):
                """
                Set surface-tension calculation options.
                """
            class limiter_warnings(TUIMethod):
                """
                Control the display of limiter warning diagnostics.
                """
            class bc_pressure_extrapolations(TUIMethod):
                """
                Setting pressure extrapolations schemes on boundaries.
                """
            class material_property_warnings(TUIMethod):
                """
                Control the display of material property warning diagnostics:
                0 - off (no messages)
                1 - messages per material
                2 - messages per material and per property.
                """
            class numerical_beach_controls(TUIMethod):
                """
                Set damping function in flow direction.
                """
            class explicit_under_relaxation_value(TUIMethod):
                """
                Explicit under-relaxation value.
                """
            class bcd_weights_freeze(TUIMethod):
                """
                At each timestep, freeze BCD scheme weights after specified iteration
                in order to improve timestep convergence.
                """
            class alternate_wall_temp_formulation(TUIMethod):
                """
                Alternate formulation for wall temperatures?.
                """
            class bcd_boundedness(TUIMethod):
                """
                BCD scheme boundedness strength, constant or expression (0 to 1).
                """
            class singhal_et_al_cavitation_model(TUIMethod):
                """
                Use Singhal-et-al cavitation model?.
                """
            class mp_reference_density(TUIMethod):
                """
                Set reference density option for Eulerian multiphase.
                """
            class disable_reconstruction(TUIMethod):
                """
                Enable/Disable reconstruction. When disabled, accuracy will be first-order.
                """
            class show_all_discretization_schemes(TUIMethod):
                """
                Allow selection of all applicable discretization schemes?.
                """
            class energy_numerical_noise_filter(TUIMethod):
                """
                The energy equation numerical noise filter can be enabled to eliminate non-physical numerical noise in the energy field.
                The numerical noise can appear in solution fields where large variations in specific heat or combustion with phase change are present.
                Using the energy equation numerical noise filter increases robustness, but may make the solution slightly more diffusive.
                """
            class mp_mfluid_aniso_drag(TUIMethod):
                """
                Set anisotropic drag parameters for Eulerian multiphase.
                """
            class equation_ordering(TUIMethod):
                """
                Set the equation order.
                """
            class open_channel_controls(TUIMethod):
                """
                Set additional open channel controls.
                """
            class flow_warnings(TUIMethod):
                """
                Control the display of warning diagnostics for boundaries with reversed flow, etc.
                """
            class surface_tension_expert(TUIMethod):
                """
                Set surface-tension expert options.
                """
            class correction_form(TUIMethod):
                """
                Discretize momentum equations in correction form for the pressure-based solver.
                """
            class lock_solid_temperature(TUIMethod):
                """
                Lock the temperature for all solid and shell cell zones in the domain.
                """
            class retain_cell_residuals(TUIMethod):
                """
                Retain cell residuals for postprocessing?.
                """
            class set_all_species_together(TUIMethod):
                """
                Set all species discretizations and URFs together.
                """
            class linearized_mass_transfer_udf(TUIMethod):
                """
                Use linearized mass transfer UDFs?.
                """

            class open_channel_wave_options(TUIMenu):
                """
                Enter the open-channel-wave-options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set_buffer_layer_ht = self.__class__.set_buffer_layer_ht(service, version, mode, path + ["set_buffer_layer_ht"])
                    self.set_verbosity = self.__class__.set_verbosity(service, version, mode, path + ["set_verbosity"])
                    self.stokes_wave_variants = self.__class__.stokes_wave_variants(service, version, mode, path + ["stokes_wave_variants"])
                    super().__init__(service, version, mode, path)
                class set_buffer_layer_ht(TUIMethod):
                    """
                    Set bufer layer height between phases for segregated velocity inputs.
                    """
                class set_verbosity(TUIMethod):
                    """
                    Set open channel wave verbosity.
                    """
                class stokes_wave_variants(TUIMethod):
                    """
                    Set stokes wave theory variants.
                    """

            class secondary_gradient_limiting(TUIMenu):
                """
                Enter the Secondary Gradient Limiting Menu.
                """
                def __init__(self, service, version, mode, path):
                    self.mesh_quality_limits = self.__class__.mesh_quality_limits(service, version, mode, path + ["mesh_quality_limits"])
                    self.uds = self.__class__.uds(service, version, mode, path + ["uds"])
                    self.energy = self.__class__.energy(service, version, mode, path + ["energy"])
                    super().__init__(service, version, mode, path)
                class mesh_quality_limits(TUIMethod):
                    """
                    Specify minimum and maximum mesh quality limits.
                    """
                class uds(TUIMethod):
                    """
                    Enable/disable secondary gradient limiting at coupled walls for user-defined scalars.
                    """
                class energy(TUIMethod):
                    """
                    Enable/disable secondary gradient limiting at coupled walls for energy equation.
                    """

            class high_speed_numerics(TUIMenu):
                """
                Enter high-speed-numerics menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.visualize_pressure_discontinuity_sensor = self.__class__.visualize_pressure_discontinuity_sensor(service, version, mode, path + ["visualize_pressure_discontinuity_sensor"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enable/disable high-speed-numerics.
                    """
                class expert(TUIMethod):
                    """
                    Expert high-speed-numerics.
                    """
                class visualize_pressure_discontinuity_sensor(TUIMethod):
                    """
                    Enable/disable pressure-discontinuity-sensor visualization.
                    """

            class non_reflecting_boundary_treatment(TUIMenu):
                """
                Enter non reflecting boundary treatment using minimal pressure reflection approach menu.
                """
                def __init__(self, service, version, mode, path):
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    super().__init__(service, version, mode, path)
                class pressure_inlet(TUIMethod):
                    """
                    Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                    """

            class divergence_prevention(TUIMenu):
                """
                Enter the divergence prevention menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enable divergence prevention.
                    """

            class poor_mesh_numerics(TUIMenu):
                """
                Enter Poor Mesh Numerics Menu.
                """
                def __init__(self, service, version, mode, path):
                    self.solution_based_pmn = self.__class__.solution_based_pmn(service, version, mode, path + ["solution_based_pmn"])
                    self.solution_and_quality_based = self.__class__.solution_and_quality_based(service, version, mode, path + ["solution_and_quality_based"])
                    self.user_defined_on_register_auto = self.__class__.user_defined_on_register_auto(service, version, mode, path + ["user_defined_on_register_auto"])
                    self.cell_quality_based = self.__class__.cell_quality_based(service, version, mode, path + ["cell_quality_based"])
                    self.orthogonality_enhancing_cell_centroids = self.__class__.orthogonality_enhancing_cell_centroids(service, version, mode, path + ["orthogonality_enhancing_cell_centroids"])
                    self.enhanced_pmn = self.__class__.enhanced_pmn(service, version, mode, path + ["enhanced_pmn"])
                    self.gradient_quality_based = self.__class__.gradient_quality_based(service, version, mode, path + ["gradient_quality_based"])
                    self.print_poor_elements_count = self.__class__.print_poor_elements_count(service, version, mode, path + ["print_poor_elements_count"])
                    self.user_defined_on_register = self.__class__.user_defined_on_register(service, version, mode, path + ["user_defined_on_register"])
                    self.set_quality_threshold = self.__class__.set_quality_threshold(service, version, mode, path + ["set_quality_threshold"])
                    self.reset_poor_elements = self.__class__.reset_poor_elements(service, version, mode, path + ["reset_poor_elements"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class solution_and_quality_based(TUIMethod):
                    """
                    Enable/disable poor mesh numerics based on solution and cell quality.
                    """
                class user_defined_on_register_auto(TUIMethod):
                    """
                    Set up the application of poor mesh numerics to cells in a register during the calculation at a specified frequency.
                    """
                class cell_quality_based(TUIMethod):
                    """
                    Enable/disable poor mesh numerics on cells with low quality.
                    """
                class orthogonality_enhancing_cell_centroids(TUIMethod):
                    """
                    Relocate select cell centroids, to improve orthogonality metrics and solution stability.
                    """
                class enhanced_pmn(TUIMethod):
                    """
                    This option is available with the density-based solver. When enabled, it will apply quality-based poor-mesh-numerics order=1 on any cells with a quality-measure below 0.2. In addition, their CFL number is limited to 1.0.
                    """
                class gradient_quality_based(TUIMethod):
                    """
                    Enable/disable poor mesh numerics based on cell gradient quality.
                    """
                class print_poor_elements_count(TUIMethod):
                    """
                    Print poor cells count.
                    """
                class user_defined_on_register(TUIMethod):
                    """
                    Include cells in register in poor mesh numerics.
                    """
                class set_quality_threshold(TUIMethod):
                    """
                    Set quality threshold.
                    """
                class reset_poor_elements(TUIMethod):
                    """
                    Reset marking of poor cell elements.
                    """
                class enable(TUIMethod):
                    """
                    Solution correction on meshes of poor quality.
                    """

                class solution_based_pmn(TUIMenu):
                    """
                    Solution based poor-mesh numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mark_cfl_jump = self.__class__.mark_cfl_jump(service, version, mode, path + ["mark_cfl_jump"])
                        self.mark_primary_solution_limits = self.__class__.mark_primary_solution_limits(service, version, mode, path + ["mark_primary_solution_limits"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        self.mark_cfl_limit = self.__class__.mark_cfl_limit(service, version, mode, path + ["mark_cfl_limit"])
                        self.mark_velocity_limit = self.__class__.mark_velocity_limit(service, version, mode, path + ["mark_velocity_limit"])
                        super().__init__(service, version, mode, path)
                    class mark_cfl_jump(TUIMethod):
                        """
                        Mark cells exceeding cfl jump in neighborhood.
                        """
                    class mark_primary_solution_limits(TUIMethod):
                        """
                        Mark cells violating solution limits.
                        """
                    class enable(TUIMethod):
                        """
                        Enable solution based treatment.
                        """
                    class mark_cfl_limit(TUIMethod):
                        """
                        Mark cells exceeding cfl limit.
                        """
                    class mark_velocity_limit(TUIMethod):
                        """
                        Mark cells exceeding velocity limit.
                        """

            class previous_defaults(TUIMenu):
                """
                Enter previous defaults menu.
                """
                def __init__(self, service, version, mode, path):
                    self.undo_2021r1_default_changes = self.__class__.undo_2021r1_default_changes(service, version, mode, path + ["undo_2021r1_default_changes"])
                    self.undo_2021r2_default_changes = self.__class__.undo_2021r2_default_changes(service, version, mode, path + ["undo_2021r2_default_changes"])
                    self.undo_2023r1_default_changes = self.__class__.undo_2023r1_default_changes(service, version, mode, path + ["undo_2023r1_default_changes"])
                    self.undo_r19_point_0_default_changes = self.__class__.undo_r19_point_0_default_changes(service, version, mode, path + ["undo_r19_point_0_default_changes"])
                    self.undo_2019r3_default_changes = self.__class__.undo_2019r3_default_changes(service, version, mode, path + ["undo_2019r3_default_changes"])
                    self.undo_2019r1_default_changes = self.__class__.undo_2019r1_default_changes(service, version, mode, path + ["undo_2019r1_default_changes"])
                    self.undo_2022r1_default_changes = self.__class__.undo_2022r1_default_changes(service, version, mode, path + ["undo_2022r1_default_changes"])
                    super().__init__(service, version, mode, path)
                class undo_2021r1_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2021R1.
                    """
                class undo_2021r2_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2021R2.
                    """
                class undo_2023r1_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2023R1.
                    """
                class undo_r19_point_0_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in R19.0.
                    """
                class undo_2019r3_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2019R3.
                    """
                class undo_2019r1_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2019R1.
                    """
                class undo_2022r1_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2022R1.
                    """

        class initialize(TUIMenu):
            """
            Enter the flow initialization menu.
            """
            def __init__(self, service, version, mode, path):
                self.set_fmg_options = self.__class__.set_fmg_options(service, version, mode, path + ["set_fmg_options"])
                self.mp_localized_turb_init = self.__class__.mp_localized_turb_init(service, version, mode, path + ["mp_localized_turb_init"])
                self.compute_defaults = self.__class__.compute_defaults(service, version, mode, path + ["compute_defaults"])
                self.vof_patch_smooth_options = self.__class__.vof_patch_smooth_options(service, version, mode, path + ["vof_patch_smooth_options"])
                self.dpm_reset = self.__class__.dpm_reset(service, version, mode, path + ["dpm_reset"])
                self.open_channel_auto_init = self.__class__.open_channel_auto_init(service, version, mode, path + ["open_channel_auto_init"])
                self.patch = self.__class__.patch(service, version, mode, path + ["patch"])
                self.lwf_initialization = self.__class__.lwf_initialization(service, version, mode, path + ["lwf_initialization"])
                self.init_acoustics_options = self.__class__.init_acoustics_options(service, version, mode, path + ["init_acoustics_options"])
                self.set_fmg_initialization = self.__class__.set_fmg_initialization(service, version, mode, path + ["set_fmg_initialization"])
                self.list_defaults = self.__class__.list_defaults(service, version, mode, path + ["list_defaults"])
                self.show_time_sampled = self.__class__.show_time_sampled(service, version, mode, path + ["show_time_sampled"])
                self.fmg_initialization = self.__class__.fmg_initialization(service, version, mode, path + ["fmg_initialization"])
                self.repair_wall_distance = self.__class__.repair_wall_distance(service, version, mode, path + ["repair_wall_distance"])
                self.init_turb_vel_fluctuations = self.__class__.init_turb_vel_fluctuations(service, version, mode, path + ["init_turb_vel_fluctuations"])
                self.levelset_auto_init = self.__class__.levelset_auto_init(service, version, mode, path + ["levelset_auto_init"])
                self.init_flow_statistics = self.__class__.init_flow_statistics(service, version, mode, path + ["init_flow_statistics"])
                self.set_hyb_initialization = self.__class__.set_hyb_initialization(service, version, mode, path + ["set_hyb_initialization"])
                self.initialize_flow = self.__class__.initialize_flow(service, version, mode, path + ["initialize_flow"])
                self.show_iterations_sampled = self.__class__.show_iterations_sampled(service, version, mode, path + ["show_iterations_sampled"])
                self.set_defaults = self.__class__.set_defaults(service, version, mode, path + ["set_defaults"])
                self.hyb_initialization = self.__class__.hyb_initialization(service, version, mode, path + ["hyb_initialization"])
                self.reference_frame = self.__class__.reference_frame(service, version, mode, path + ["reference_frame"])
                super().__init__(service, version, mode, path)
            class dpm_reset(TUIMethod):
                """
                Reset discrete phase source terms to zero.
                """
            class open_channel_auto_init(TUIMethod):
                """
                Open channel automatic initialization.
                """
            class patch(TUIMethod):
                """
                Patch a value for a flow variable in the domain.
                """
            class lwf_initialization(TUIMethod):
                """
                Delete wall film particles and initialize wall film variables to zero.
                """
            class init_acoustics_options(TUIMethod):
                """
                Specify number of timesteps for ramping of sources
                and initialize acoustics model variables.
                During ramping the sound sources are multiplied by a factor smoothly growing from 0 to 1.
                """
            class set_fmg_initialization(TUIMethod):
                """
                Enter the set full-multigrid for initialization menu.
                """
            class list_defaults(TUIMethod):
                """
                List default values.
                """
            class show_time_sampled(TUIMethod):
                """
                Display the amount of simulated time covered by the data sampled for unsteady statistics.
                """
            class fmg_initialization(TUIMethod):
                """
                Initialize using the full-multigrid initialization (FMG).
                """
            class repair_wall_distance(TUIMethod):
                """
                Correct wall distance at very high aspect ratio hexahedral/polyhedral cells.
                """
            class init_turb_vel_fluctuations(TUIMethod):
                """
                Initialize turbulent velocity fluctuations.
                """
            class levelset_auto_init(TUIMethod):
                """
                Levelset function automatic initialization.
                """
            class init_flow_statistics(TUIMethod):
                """
                Initialize statistics.
                """
            class set_hyb_initialization(TUIMethod):
                """
                Enter the settings for hybrid initialization method.
                """
            class initialize_flow(TUIMethod):
                """
                Initialize the flow field with the current default values.
                """
            class show_iterations_sampled(TUIMethod):
                """
                Display the amount of simulated iterations covered by the data sampled for steady statistics.
                """
            class set_defaults(TUIMethod):
                """
                Enter the set defaults menu.
                """
            class hyb_initialization(TUIMethod):
                """
                Initialize using the hybrid initialization method.
                """
            class reference_frame(TUIMethod):
                """
                Set reference frame absolute or relative.
                """

            class set_fmg_options(TUIMenu):
                """
                Enter the full-multigrid option menu.
                """
                def __init__(self, service, version, mode, path):
                    self.viscous_terms = self.__class__.viscous_terms(service, version, mode, path + ["viscous_terms"])
                    self.species_reactions = self.__class__.species_reactions(service, version, mode, path + ["species_reactions"])
                    self.set_turbulent_viscosity_ratio = self.__class__.set_turbulent_viscosity_ratio(service, version, mode, path + ["set_turbulent_viscosity_ratio"])
                    super().__init__(service, version, mode, path)
                class viscous_terms(TUIMethod):
                    """
                    Enable/disable viscous terms during FMG initialization.
                    """
                class species_reactions(TUIMethod):
                    """
                    Enable/disable species volumetric reactions during FMG initialization.
                    """
                class set_turbulent_viscosity_ratio(TUIMethod):
                    """
                    Set turbulent viscosity ratio used during FMG initialization.
                    """

            class mp_localized_turb_init(TUIMenu):
                """
                Localized initialization of turbulent flow variables for VOF/Mixture multiphase flow models.
                """
                def __init__(self, service, version, mode, path):
                    self.turb_init_parameters = self.__class__.turb_init_parameters(service, version, mode, path + ["turb_init_parameters"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class turb_init_parameters(TUIMethod):
                    """
                    Turbulent flow parameters for localized initialization.
                    """
                class enable(TUIMethod):
                    """
                    Localized initialization of turbulent flow variables for VOF/Mixture multiphase flow models.
                    """

            class compute_defaults(TUIMenu):
                """
                Enter the compute defaults menu.
                """
                def __init__(self, service, version, mode, path):
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.all_zones = self.__class__.all_zones(service, version, mode, path + ["all_zones"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.dummy_entry = self.__class__.dummy_entry(service, version, mode, path + ["dummy_entry"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    super().__init__(service, version, mode, path)
                class porous_jump(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class network(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class wall(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class solid(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class overset(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class all_zones(TUIMethod):
                    """
                    Initialize the flow field with the default values.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class pressure_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class axis(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class interior(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class dummy_entry(TUIMethod):
                    """
                    .
                    """
                class periodic(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class interface(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """

            class vof_patch_smooth_options(TUIMenu):
                """
                Enter the vof patch/smooth options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set_options = self.__class__.set_options(service, version, mode, path + ["set_options"])
                    self.execute_smoothing = self.__class__.execute_smoothing(service, version, mode, path + ["execute_smoothing"])
                    super().__init__(service, version, mode, path)
                class set_options(TUIMethod):
                    """
                    Patch and smoothing options for volume fraction.
                    """
                class execute_smoothing(TUIMethod):
                    """
                    Execute volumetric smoothing for volume fraction.
                    """

        class calculation_activities(TUIMenu):
            """
            Enter calculation activities menu.
            """
            def __init__(self, service, version, mode, path):
                self.animate = self.__class__.animate(service, version, mode, path + ["animate"])
                self.auto_save = self.__class__.auto_save(service, version, mode, path + ["auto_save"])
                self.solution_strategy = self.__class__.solution_strategy(service, version, mode, path + ["solution_strategy"])
                self.execute_commands = self.__class__.execute_commands(service, version, mode, path + ["execute_commands"])
                self.cell_register_operations = self.__class__.cell_register_operations(service, version, mode, path + ["cell_register_operations"])
                super().__init__(service, version, mode, path)

            class animate(TUIMenu):
                """
                Enter the animation menu.
                """
                def __init__(self, service, version, mode, path):
                    self.objects = self.__class__.objects(service, version, mode, path + ["objects"])
                    self.define = self.__class__.define(service, version, mode, path + ["define"])
                    super().__init__(service, version, mode, path)

                class objects(TUIMenu):
                    """
                    Enter to define, edit, delete solution animation objects.
                    """
                    def __init__(self, service, version, mode, path):
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                        self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                        super().__init__(service, version, mode, path)
                    class edit(TUIMethod):
                        """
                        Edit graphics object.
                        """
                    class create(TUIMethod):
                        """
                        Create new graphics object.
                        """
                    class delete(TUIMethod):
                        """
                        Delete graphics object.
                        """
                    class copy(TUIMethod):
                        """
                        Copy graphics object.
                        """
                    class clear_history(TUIMethod):
                        """
                        Clear object history.
                        """

                class define(TUIMenu):
                    """
                    Enter the animation definition menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.define_monitor = self.__class__.define_monitor(service, version, mode, path + ["define_monitor"])
                        self.edit_monitor = self.__class__.edit_monitor(service, version, mode, path + ["edit_monitor"])
                        super().__init__(service, version, mode, path)
                    class define_monitor(TUIMethod):
                        """
                        Define new animation.
                        """
                    class edit_monitor(TUIMethod):
                        """
                        Change animation monitor attributes.
                        """

            class auto_save(TUIMenu):
                """
                Enter the auto save menu.
                """
                def __init__(self, service, version, mode, path):
                    self.case_frequency = self.__class__.case_frequency(service, version, mode, path + ["case_frequency"])
                    self.append_file_name_with = self.__class__.append_file_name_with(service, version, mode, path + ["append_file_name_with"])
                    self.data_frequency = self.__class__.data_frequency(service, version, mode, path + ["data_frequency"])
                    self.max_files = self.__class__.max_files(service, version, mode, path + ["max_files"])
                    self.root_name = self.__class__.root_name(service, version, mode, path + ["root_name"])
                    self.save_data_file_every = self.__class__.save_data_file_every(service, version, mode, path + ["save_data_file_every"])
                    self.retain_most_recent_files = self.__class__.retain_most_recent_files(service, version, mode, path + ["retain_most_recent_files"])
                    super().__init__(service, version, mode, path)
                class case_frequency(TUIMethod):
                    """
                    .
                    """
                class append_file_name_with(TUIMethod):
                    """
                    .
                    """
                class data_frequency(TUIMethod):
                    """
                    .
                    """
                class max_files(TUIMethod):
                    """
                    .
                    """
                class root_name(TUIMethod):
                    """
                    .
                    """
                class save_data_file_every(TUIMethod):
                    """
                    .
                    """
                class retain_most_recent_files(TUIMethod):
                    """
                    .
                    """

            class solution_strategy(TUIMenu):
                """
                Enter the automatic initialization and case modification strategy menu.
                """
                def __init__(self, service, version, mode, path):
                    self.automatic_case_modification = self.__class__.automatic_case_modification(service, version, mode, path + ["automatic_case_modification"])
                    self.continue_strategy_execution = self.__class__.continue_strategy_execution(service, version, mode, path + ["continue_strategy_execution"])
                    self.import_modifications = self.__class__.import_modifications(service, version, mode, path + ["import_modifications"])
                    self.enable_modification = self.__class__.enable_modification(service, version, mode, path + ["enable_modification"])
                    self.add_edit_modification = self.__class__.add_edit_modification(service, version, mode, path + ["add_edit_modification"])
                    self.delete_modification = self.__class__.delete_modification(service, version, mode, path + ["delete_modification"])
                    self.copy_modification = self.__class__.copy_modification(service, version, mode, path + ["copy_modification"])
                    self.automatic_initialization = self.__class__.automatic_initialization(service, version, mode, path + ["automatic_initialization"])
                    self.export_modifications = self.__class__.export_modifications(service, version, mode, path + ["export_modifications"])
                    self.enable_strategy = self.__class__.enable_strategy(service, version, mode, path + ["enable_strategy"])
                    self.execute_strategy = self.__class__.execute_strategy(service, version, mode, path + ["execute_strategy"])
                    self.disable_modification = self.__class__.disable_modification(service, version, mode, path + ["disable_modification"])
                    super().__init__(service, version, mode, path)
                class continue_strategy_execution(TUIMethod):
                    """
                    Continue execution of the automatic initialization and case modification strategy defined at present.
                    """
                class import_modifications(TUIMethod):
                    """
                    Import a list of case modifications from a tsv file.
                    """
                class enable_modification(TUIMethod):
                    """
                    Enable a single defined case modification.
                    """
                class add_edit_modification(TUIMethod):
                    """
                    Define a single case modification.
                    """
                class delete_modification(TUIMethod):
                    """
                    Delete a single case modification.
                    """
                class copy_modification(TUIMethod):
                    """
                    Copy a single case modification.
                    """
                class automatic_initialization(TUIMethod):
                    """
                    Define how the case is to be initialized automatically.
                    """
                class export_modifications(TUIMethod):
                    """
                    Export all case modifications to a tsv file.
                    """
                class enable_strategy(TUIMethod):
                    """
                    Specify whether automatic initialization and case modification should be enabled.
                    """
                class execute_strategy(TUIMethod):
                    """
                    Execute the automatic initialization and case modification strategy defined at present.
                    """
                class disable_modification(TUIMethod):
                    """
                    Disable a single defined case modification.
                    """

                class automatic_case_modification(TUIMenu):
                    """
                    Define how the case is to be modified as the solution progresses.
                    """
                    def __init__(self, service, version, mode, path):
                        self.before_init_modification = self.__class__.before_init_modification(service, version, mode, path + ["before_init_modification"])
                        self.original_settings = self.__class__.original_settings(service, version, mode, path + ["original_settings"])
                        self.modifications = self.__class__.modifications(service, version, mode, path + ["modifications"])
                        super().__init__(service, version, mode, path)
                    class before_init_modification(TUIMethod):
                        """
                        Specify modification to be performed before initialization.
                        """
                    class original_settings(TUIMethod):
                        """
                        Specify modification to be performed after initialization to restore to original settings.
                        """
                    class modifications(TUIMethod):
                        """
                        Specify modifications to be performed during solution.
                        """

            class execute_commands(TUIMenu):
                """
                Enter the execute-monitor-commands menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.import_ = self.__class__.import_(service, version, mode, path + ["import"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.export = self.__class__.export(service, version, mode, path + ["export"])
                    self.disable = self.__class__.disable(service, version, mode, path + ["disable"])
                    self.add_edit = self.__class__.add_edit(service, version, mode, path + ["add_edit"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enable an execute-command.
                    """
                class copy(TUIMethod):
                    """
                    Copy an execute-command.
                    """
                class import_(TUIMethod):
                    """
                    Import execute-commands from a TSV file.
                    """
                class delete(TUIMethod):
                    """
                    Delete an execute-command.
                    """
                class export(TUIMethod):
                    """
                    Export execute-commands to a TSV file.
                    """
                class disable(TUIMethod):
                    """
                    Disable an execute-command.
                    """
                class add_edit(TUIMethod):
                    """
                    Add or edit execute-commands.
                    """

            class cell_register_operations(TUIMenu):
                """
                Manage Cell Register Operations.
                """
                def __init__(self, service, version, mode, path):
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class add(TUIMethod):
                    """
                    Add a new object.
                    """
                class list_properties(TUIMethod):
                    """
                    List properties of an object.
                    """
                class list(TUIMethod):
                    """
                    List objects.
                    """
                class edit(TUIMethod):
                    """
                    Edit an object.
                    """
                class delete(TUIMethod):
                    """
                    Delete an object.
                    """

        class methods(TUIMenu):
            """
            Enter the methods menu.
            """
            def __init__(self, service, version, mode, path):
                self.query = self.__class__.query(service, version, mode, path + ["query"])
                self.pseudo_time_method = self.__class__.pseudo_time_method(service, version, mode, path + ["pseudo_time_method"])
                self.high_order_term_relaxation = self.__class__.high_order_term_relaxation(service, version, mode, path + ["high_order_term_relaxation"])
                self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                self.multiphase_numerics = self.__class__.multiphase_numerics(service, version, mode, path + ["multiphase_numerics"])
                self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                self.warped_face_gradient_correction = self.__class__.warped_face_gradient_correction(service, version, mode, path + ["warped_face_gradient_correction"])
                self.nita_expert_controls = self.__class__.nita_expert_controls(service, version, mode, path + ["nita_expert_controls"])
                self.residual_smoothing = self.__class__.residual_smoothing(service, version, mode, path + ["residual_smoothing"])
                self.noniterative_time_advance = self.__class__.noniterative_time_advance(service, version, mode, path + ["noniterative_time_advance"])
                self.reduced_rank_extrapolation = self.__class__.reduced_rank_extrapolation(service, version, mode, path + ["reduced_rank_extrapolation"])
                self.gradient_scheme = self.__class__.gradient_scheme(service, version, mode, path + ["gradient_scheme"])
                self.unsteady_2nd_order_bounded = self.__class__.unsteady_2nd_order_bounded(service, version, mode, path + ["unsteady_2nd_order_bounded"])
                self.unsteady_1st_order = self.__class__.unsteady_1st_order(service, version, mode, path + ["unsteady_1st_order"])
                self.discretization_scheme = self.__class__.discretization_scheme(service, version, mode, path + ["discretization_scheme"])
                self.set_solution_methods_to_default = self.__class__.set_solution_methods_to_default(service, version, mode, path + ["set_solution_methods_to_default"])
                self.unsteady_global_time = self.__class__.unsteady_global_time(service, version, mode, path + ["unsteady_global_time"])
                self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                self.nb_gradient_boundary_option = self.__class__.nb_gradient_boundary_option(service, version, mode, path + ["nb_gradient_boundary_option"])
                self.convergence_acceleration_for_stretched_meshes = self.__class__.convergence_acceleration_for_stretched_meshes(service, version, mode, path + ["convergence_acceleration_for_stretched_meshes"])
                self.frozen_flux = self.__class__.frozen_flux(service, version, mode, path + ["frozen_flux"])
                self.flux_type = self.__class__.flux_type(service, version, mode, path + ["flux_type"])
                self.reduced_rank_extrapolation_options = self.__class__.reduced_rank_extrapolation_options(service, version, mode, path + ["reduced_rank_extrapolation_options"])
                self.accelerated_non_iterative_time_marching = self.__class__.accelerated_non_iterative_time_marching(service, version, mode, path + ["accelerated_non_iterative_time_marching"])
                self.vof_numerics = self.__class__.vof_numerics(service, version, mode, path + ["vof_numerics"])
                self.unsteady_2nd_order = self.__class__.unsteady_2nd_order(service, version, mode, path + ["unsteady_2nd_order"])
                self.phase_based_vof_discretization = self.__class__.phase_based_vof_discretization(service, version, mode, path + ["phase_based_vof_discretization"])
                super().__init__(service, version, mode, path)
            class residual_smoothing(TUIMethod):
                """
                Set residual smoothing factor and number of iterations.
                """
            class noniterative_time_advance(TUIMethod):
                """
                Enable/disable the noniterative time advancement scheme.
                """
            class reduced_rank_extrapolation(TUIMethod):
                """
                Enable Reduced Rank Extrapolation method to accelerate solution time.
                """
            class gradient_scheme(TUIMethod):
                """
                Set gradient options.
                """
            class unsteady_2nd_order_bounded(TUIMethod):
                """
                Enable/disable bounded second-order unsteady formulation.
                """
            class unsteady_1st_order(TUIMethod):
                """
                Enable/disable first-order unsteady solution model.
                """
            class discretization_scheme(TUIMethod):
                """
                Enter the discretization-scheme menu.
                """
            class set_solution_methods_to_default(TUIMethod):
                """
                Set solution methods to default values.
                """
            class unsteady_global_time(TUIMethod):
                """
                Enable/disable the unsteady global-time-step solution model.
                """
            class p_v_coupling(TUIMethod):
                """
                Select the pressure velocity coupling scheme.
                """
            class nb_gradient_boundary_option(TUIMethod):
                """
                Set ggnb options.
                """
            class convergence_acceleration_for_stretched_meshes(TUIMethod):
                """
                Enable convergence acceleration for stretched meshes to improve the convergence of the implicit density based solver on meshes with high cell stretching.
                """
            class frozen_flux(TUIMethod):
                """
                Enable/disable frozen flux formulation for transient flows.
                """
            class flux_type(TUIMethod):
                """
                Enter the flux type.
                """
            class reduced_rank_extrapolation_options(TUIMethod):
                """
                Reduced Rank Extrapolation options.
                """
            class accelerated_non_iterative_time_marching(TUIMethod):
                """
                Enable/disable accelerated non-iterative time marching.
                """
            class vof_numerics(TUIMethod):
                """
                Set VOF numeric options.
                """
            class unsteady_2nd_order(TUIMethod):
                """
                Enable/disable the second-order unsteady solution model.
                """
            class phase_based_vof_discretization(TUIMethod):
                """
                Set phase based slope limiter for VOF compressive scheme.
                """

            class query(TUIMenu):
                """
                Enter methods query menu.
                """
                def __init__(self, service, version, mode, path):
                    self.discretization_scheme = self.__class__.discretization_scheme(service, version, mode, path + ["discretization_scheme"])
                    self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                    super().__init__(service, version, mode, path)
                class discretization_scheme(TUIMethod):
                    """
                    Enter the discretization-scheme menu.
                    """
                class p_v_coupling(TUIMethod):
                    """
                    Get the pressure velocity coupling scheme.
                    """

            class pseudo_time_method(TUIMenu):
                """
                Enter the pseudo time method menu.
                """
                def __init__(self, service, version, mode, path):
                    self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                    self.relaxation_bounds = self.__class__.relaxation_bounds(service, version, mode, path + ["relaxation_bounds"])
                    self.global_time_step_settings = self.__class__.global_time_step_settings(service, version, mode, path + ["global_time_step_settings"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.formulation = self.__class__.formulation(service, version, mode, path + ["formulation"])
                    self.local_time_step_settings = self.__class__.local_time_step_settings(service, version, mode, path + ["local_time_step_settings"])
                    self.convergence_acceleration_for_stretched_meshes = self.__class__.convergence_acceleration_for_stretched_meshes(service, version, mode, path + ["convergence_acceleration_for_stretched_meshes"])
                    self.relaxation_factors = self.__class__.relaxation_factors(service, version, mode, path + ["relaxation_factors"])
                    self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                    super().__init__(service, version, mode, path)
                class advanced_options(TUIMethod):
                    """
                    Enter the advanced options menu to define pseudo time settings for equations.
                    """
                class relaxation_bounds(TUIMethod):
                    """
                    Select relaxation bounding scheme for pseudo time method.
                    """
                class global_time_step_settings(TUIMethod):
                    """
                    Adjust the settings for the global time step formulation.
                    """
                class verbosity(TUIMethod):
                    """
                    Set the verbosity for the pseudo time method.
                    """
                class formulation(TUIMethod):
                    """
                    Select the pseudo time step size formulation for the pseudo time method.
                    """
                class local_time_step_settings(TUIMethod):
                    """
                    Adjust the settings for the local time step formulation.
                    """
                class convergence_acceleration_for_stretched_meshes(TUIMethod):
                    """
                    Enable convergence acceleration for stretched meshes to improve the convergence of the implicit pressure based solver on meshes with high cell stretching.
                    """
                class relaxation_factors(TUIMethod):
                    """
                    Enter the relaxation factors menu to set the pseudo time explicit relaxation factors for equations.
                    """
                class relaxation_method(TUIMethod):
                    """
                    Select relaxation definition for pseudo time method.
                    """

            class high_order_term_relaxation(TUIMenu):
                """
                Enter High Order Relaxation Menu.
                """
                def __init__(self, service, version, mode, path):
                    self.options = self.__class__.options(service, version, mode, path + ["options"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enable/Disable High Order Term Relaxation.
                    """

                class options(TUIMenu):
                    """
                    High Order Term Relaxation Options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.variables = self.__class__.variables(service, version, mode, path + ["variables"])
                        self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        super().__init__(service, version, mode, path)
                    class relaxation_factor(TUIMethod):
                        """
                        Sets relaxation factor.
                        """
                    class expert(TUIMethod):
                        """
                        Enter high order relaxation option with respect to diffusion gradient.
                        """

                    class variables(TUIMenu):
                        """
                        Select Variables.
                        """
                        def __init__(self, service, version, mode, path):
                            self.select = self.__class__.select(service, version, mode, path + ["select"])
                            super().__init__(service, version, mode, path)
                        class select(TUIMethod):
                            """
                            Select variables for high order term relaxation.
                            """

            class expert(TUIMenu):
                """
                Enter expert menu.
                """
                def __init__(self, service, version, mode, path):
                    self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                    super().__init__(service, version, mode, path)
                class numerics(TUIMethod):
                    """
                    Set numeric options.
                    """
                class reactions(TUIMethod):
                    """
                    Enable/disable the species reaction sources and set relaxation factor.
                    """

            class multiphase_numerics(TUIMenu):
                """
                Enter the multiphase numerics options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.viscous_flow = self.__class__.viscous_flow(service, version, mode, path + ["viscous_flow"])
                    self.boiling_parameters = self.__class__.boiling_parameters(service, version, mode, path + ["boiling_parameters"])
                    self.default_controls = self.__class__.default_controls(service, version, mode, path + ["default_controls"])
                    self.heat_mass_transfer = self.__class__.heat_mass_transfer(service, version, mode, path + ["heat_mass_transfer"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.compressible_flow = self.__class__.compressible_flow(service, version, mode, path + ["compressible_flow"])
                    self.advanced_stability_controls = self.__class__.advanced_stability_controls(service, version, mode, path + ["advanced_stability_controls"])
                    self.porous_media = self.__class__.porous_media(service, version, mode, path + ["porous_media"])
                    self.face_pressure_controls = self.__class__.face_pressure_controls(service, version, mode, path + ["face_pressure_controls"])
                    super().__init__(service, version, mode, path)

                class viscous_flow(TUIMenu):
                    """
                    Multiphase viscous flow numerics options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.turb_visc_based_damping = self.__class__.turb_visc_based_damping(service, version, mode, path + ["turb_visc_based_damping"])
                        self.viscosity_averaging = self.__class__.viscosity_averaging(service, version, mode, path + ["viscosity_averaging"])
                        self.interfacial_artificial_viscosity = self.__class__.interfacial_artificial_viscosity(service, version, mode, path + ["interfacial_artificial_viscosity"])
                        super().__init__(service, version, mode, path)
                    class turb_visc_based_damping(TUIMethod):
                        """
                        Turbulence viscosity based damping controls.
                        """
                    class viscosity_averaging(TUIMethod):
                        """
                        Multiphase options for viscosity averaging.
                        """
                    class interfacial_artificial_viscosity(TUIMethod):
                        """
                        Interfacial artifical viscosity controls.
                        """

                class boiling_parameters(TUIMenu):
                    """
                    Multiphase boiling parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.thin_film = self.__class__.thin_film(service, version, mode, path + ["thin_film"])
                        self.liquid_vof_factor = self.__class__.liquid_vof_factor(service, version, mode, path + ["liquid_vof_factor"])
                        super().__init__(service, version, mode, path)
                    class thin_film(TUIMethod):
                        """
                        Multiphase boiling thin film effects.
                        """
                    class liquid_vof_factor(TUIMethod):
                        """
                        Multiphase boiling liquid volume fraction effects.
                        """

                class default_controls(TUIMenu):
                    """
                    Multiphase default controls menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.revert_to_pre_r20_point_1_default_settings = self.__class__.revert_to_pre_r20_point_1_default_settings(service, version, mode, path + ["revert_to_pre_r20_point_1_default_settings"])
                        self.recommended_defaults_for_existing_cases = self.__class__.recommended_defaults_for_existing_cases(service, version, mode, path + ["recommended_defaults_for_existing_cases"])
                        super().__init__(service, version, mode, path)
                    class revert_to_pre_r20_point_1_default_settings(TUIMethod):
                        """
                        Revert to pre-R20.1 multiphase flow default settings.
                        """
                    class recommended_defaults_for_existing_cases(TUIMethod):
                        """
                        Activate multiphase defaults for loaded case.
                        """

                class heat_mass_transfer(TUIMenu):
                    """
                    Multiphase interphase heat and mass transfer numerics options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.boiling = self.__class__.boiling(service, version, mode, path + ["boiling"])
                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                        self.area_density = self.__class__.area_density(service, version, mode, path + ["area_density"])
                        self.evaporation_condensation = self.__class__.evaporation_condensation(service, version, mode, path + ["evaporation_condensation"])
                        self.alternative_energy_treatment = self.__class__.alternative_energy_treatment(service, version, mode, path + ["alternative_energy_treatment"])
                        super().__init__(service, version, mode, path)
                    class alternative_energy_treatment(TUIMethod):
                        """
                        Alternative treatment of latent heat source due to mass transfer.
                        """

                    class boiling(TUIMenu):
                        """
                        Boiling advanced options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.two_resistance_boiling_framework = self.__class__.two_resistance_boiling_framework(service, version, mode, path + ["two_resistance_boiling_framework"])
                            self.show_expert_options = self.__class__.show_expert_options(service, version, mode, path + ["show_expert_options"])
                            self.heat_flux_relaxation_factor = self.__class__.heat_flux_relaxation_factor(service, version, mode, path + ["heat_flux_relaxation_factor"])
                            super().__init__(service, version, mode, path)
                        class two_resistance_boiling_framework(TUIMethod):
                            """
                            Allow generalized two-resistance framework for boiling model.
                            """
                        class show_expert_options(TUIMethod):
                            """
                            Exposes expert options of min/max superheat along with wetting fraction controls.
                            """
                        class heat_flux_relaxation_factor(TUIMethod):
                            """
                            Under-relaxation factor for boiling heat flux.
                            """

                    class cavitation(TUIMenu):
                        """
                        Cavitation numerics options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.display_clipped_pressure = self.__class__.display_clipped_pressure(service, version, mode, path + ["display_clipped_pressure"])
                            self.max_vapor_pressure_ratio = self.__class__.max_vapor_pressure_ratio(service, version, mode, path + ["max_vapor_pressure_ratio"])
                            self.schnerr_evap_coeff = self.__class__.schnerr_evap_coeff(service, version, mode, path + ["schnerr_evap_coeff"])
                            self.schnerr_cond_coeff = self.__class__.schnerr_cond_coeff(service, version, mode, path + ["schnerr_cond_coeff"])
                            self.turbulent_diffusion = self.__class__.turbulent_diffusion(service, version, mode, path + ["turbulent_diffusion"])
                            self.min_vapor_pressure = self.__class__.min_vapor_pressure(service, version, mode, path + ["min_vapor_pressure"])
                            super().__init__(service, version, mode, path)
                        class display_clipped_pressure(TUIMethod):
                            """
                            Clipped pressure is just used for the properties evaluation. Mass Transfer Rate uses unclipped pressure.
                            """
                        class max_vapor_pressure_ratio(TUIMethod):
                            """
                            Maximum limit on vapor pressure after turbulence and thermal correction.
                            """
                        class schnerr_evap_coeff(TUIMethod):
                            """
                            Evaporation coefficient for Schnerr-Sauer model.
                            """
                        class schnerr_cond_coeff(TUIMethod):
                            """
                            Condensation coefficient for Schnerr-Sauer model.
                            """
                        class turbulent_diffusion(TUIMethod):
                            """
                            Enable/disable turbulent diffusion treatment between phases participating in cavitation.
                            This treatment is generally recommended for better solution stability.
                            However, in case of numerical difficulties, it can be disabled.
                            """
                        class min_vapor_pressure(TUIMethod):
                            """
                            Minimum vapor pressure limit for cavitation model.
                            """

                    class area_density(TUIMenu):
                        """
                        Interfacial area density menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.ia_grad_sym = self.__class__.ia_grad_sym(service, version, mode, path + ["ia_grad_sym"])
                            self.vof_min_seeding = self.__class__.vof_min_seeding(service, version, mode, path + ["vof_min_seeding"])
                            super().__init__(service, version, mode, path)
                        class ia_grad_sym(TUIMethod):
                            """
                            Interfacial area density gradient-symmetric mechanism.
                            """
                        class vof_min_seeding(TUIMethod):
                            """
                            Minimum vof seeding for non-zero area density in heat and mass transfer.
                            """

                    class evaporation_condensation(TUIMenu):
                        """
                        Evaporation-condensation advanced options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.ia_norm_min_limit = self.__class__.ia_norm_min_limit(service, version, mode, path + ["ia_norm_min_limit"])
                            self.vof_from_max_limit = self.__class__.vof_from_max_limit(service, version, mode, path + ["vof_from_max_limit"])
                            self.vof_to_min_limit = self.__class__.vof_to_min_limit(service, version, mode, path + ["vof_to_min_limit"])
                            self.max_rel_humidity = self.__class__.max_rel_humidity(service, version, mode, path + ["max_rel_humidity"])
                            self.vof_to_max_limit = self.__class__.vof_to_max_limit(service, version, mode, path + ["vof_to_max_limit"])
                            self.vof_from_min_limit = self.__class__.vof_from_min_limit(service, version, mode, path + ["vof_from_min_limit"])
                            super().__init__(service, version, mode, path)
                        class ia_norm_min_limit(TUIMethod):
                            """
                            Minimum normalized area density below which mass transfer rate is set to zero.
                            """
                        class vof_from_max_limit(TUIMethod):
                            """
                            Maximum volume fraction above which mass transfer rate is set to zero.
                            """
                        class vof_to_min_limit(TUIMethod):
                            """
                            Minimum volume fraction below which mass transfer rate is set to zero.
                            """
                        class max_rel_humidity(TUIMethod):
                            """
                            Maximum value of relative humidity to limit condensation rate.
                            """
                        class vof_to_max_limit(TUIMethod):
                            """
                            Maximum volume fraction above which mass transfer rate is set to zero.
                            """
                        class vof_from_min_limit(TUIMethod):
                            """
                            Minimum volume fraction below which mass transfer rate is set to zero.
                            """

                class solution_stabilization(TUIMenu):
                    """
                    VOF solution stabilization menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.additional_stabilization_controls = self.__class__.additional_stabilization_controls(service, version, mode, path + ["additional_stabilization_controls"])
                        self.velocity_limiting_treatment = self.__class__.velocity_limiting_treatment(service, version, mode, path + ["velocity_limiting_treatment"])
                        self.execute_settings_optimization = self.__class__.execute_settings_optimization(service, version, mode, path + ["execute_settings_optimization"])
                        self.execute_additional_stability_controls = self.__class__.execute_additional_stability_controls(service, version, mode, path + ["execute_additional_stability_controls"])
                        self.execute_advanced_stabilization = self.__class__.execute_advanced_stabilization(service, version, mode, path + ["execute_advanced_stabilization"])
                        super().__init__(service, version, mode, path)
                    class execute_settings_optimization(TUIMethod):
                        """
                        Execute optimized settings for VOF.
                        """
                    class execute_additional_stability_controls(TUIMethod):
                        """
                        Execute additional stability controls for VOF.
                        """
                    class execute_advanced_stabilization(TUIMethod):
                        """
                        Execute advanced stabilization for VOF.
                        """

                    class additional_stabilization_controls(TUIMenu):
                        """
                        Additional advanced stability controls for VOF.
                        """
                        def __init__(self, service, version, mode, path):
                            self.pseudo_time_stabilization = self.__class__.pseudo_time_stabilization(service, version, mode, path + ["pseudo_time_stabilization"])
                            self.blended_compressive_scheme = self.__class__.blended_compressive_scheme(service, version, mode, path + ["blended_compressive_scheme"])
                            super().__init__(service, version, mode, path)
                        class pseudo_time_stabilization(TUIMethod):
                            """
                            Pseudo-Time Momentum stabilization and False Time Step Linearization methods for VOF.
                            """
                        class blended_compressive_scheme(TUIMethod):
                            """
                            Blended Compressive discretization scheme for VOF.
                            """

                    class velocity_limiting_treatment(TUIMenu):
                        """
                        Velocity limiting related stabiity controls for VOF.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_damping_strength = self.__class__.set_damping_strength(service, version, mode, path + ["set_damping_strength"])
                            self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                            self.set_velocity_and_vof_cutoffs = self.__class__.set_velocity_and_vof_cutoffs(service, version, mode, path + ["set_velocity_and_vof_cutoffs"])
                            self.set_velocity_cutoff = self.__class__.set_velocity_cutoff(service, version, mode, path + ["set_velocity_cutoff"])
                            self.set_damping_strengths = self.__class__.set_damping_strengths(service, version, mode, path + ["set_damping_strengths"])
                            self.enable_velocity_limiting = self.__class__.enable_velocity_limiting(service, version, mode, path + ["enable_velocity_limiting"])
                            super().__init__(service, version, mode, path)
                        class set_damping_strength(TUIMethod):
                            """
                            Enter damping strength.
                            """
                        class verbosity(TUIMethod):
                            """
                            Enable verbosity to print number of velocity limited cells during iterations.
                            """
                        class set_velocity_and_vof_cutoffs(TUIMethod):
                            """
                            Set phase based velocity limiting controls.
                            """
                        class set_velocity_cutoff(TUIMethod):
                            """
                            Enter max velocity magnitude.
                            """
                        class set_damping_strengths(TUIMethod):
                            """
                            Set phase based damping strength.
                            """
                        class enable_velocity_limiting(TUIMethod):
                            """
                            Enable velocity limiting treatment.
                            """

                class compressible_flow(TUIMenu):
                    """
                    Multiphase compressible numerics options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enhanced_numerics = self.__class__.enhanced_numerics(service, version, mode, path + ["enhanced_numerics"])
                        self.alternate_bc_formulation = self.__class__.alternate_bc_formulation(service, version, mode, path + ["alternate_bc_formulation"])
                        super().__init__(service, version, mode, path)
                    class enhanced_numerics(TUIMethod):
                        """
                        Multiphase enhanced compressible flow numerics options.
                        """
                    class alternate_bc_formulation(TUIMethod):
                        """
                        Multiphase compressible flow BC alternate method.
                        """

                class advanced_stability_controls(TUIMenu):
                    """
                    Stability controls for multiphase flow.
                    """
                    def __init__(self, service, version, mode, path):
                        self.anti_diffusion = self.__class__.anti_diffusion(service, version, mode, path + ["anti_diffusion"])
                        self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                        self.hybrid_nita = self.__class__.hybrid_nita(service, version, mode, path + ["hybrid_nita"])
                        self.equation_order = self.__class__.equation_order(service, version, mode, path + ["equation_order"])
                        self.pseudo_time = self.__class__.pseudo_time(service, version, mode, path + ["pseudo_time"])
                        self.num_ventilation = self.__class__.num_ventilation(service, version, mode, path + ["num_ventilation"])
                        super().__init__(service, version, mode, path)

                    class anti_diffusion(TUIMenu):
                        """
                        Anti Diffusion Menu for VOF/Multi-Fluid VOF Models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_maximum_dynamic_strength = self.__class__.set_maximum_dynamic_strength(service, version, mode, path + ["set_maximum_dynamic_strength"])
                            self.set_dynamic_strength_exponent = self.__class__.set_dynamic_strength_exponent(service, version, mode, path + ["set_dynamic_strength_exponent"])
                            self.enable_dynamic_strength = self.__class__.enable_dynamic_strength(service, version, mode, path + ["enable_dynamic_strength"])
                            super().__init__(service, version, mode, path)
                        class set_maximum_dynamic_strength(TUIMethod):
                            """
                            Set maximum value of dynamic anti-diffusion strength.
                            """
                        class set_dynamic_strength_exponent(TUIMethod):
                            """
                            Set cosine exponent in dynamic strength treatment.
                            """
                        class enable_dynamic_strength(TUIMethod):
                            """
                            Enable dynamic strength to reduce compression in the tangential direction to the interface.
                            """

                    class p_v_coupling(TUIMenu):
                        """
                        Pressure velocity coupling controls for multiphase flow.
                        """
                        def __init__(self, service, version, mode, path):
                            self.rhie_chow_flux = self.__class__.rhie_chow_flux(service, version, mode, path + ["rhie_chow_flux"])
                            self.skewness_correction = self.__class__.skewness_correction(service, version, mode, path + ["skewness_correction"])
                            self.coupled_vof = self.__class__.coupled_vof(service, version, mode, path + ["coupled_vof"])
                            super().__init__(service, version, mode, path)

                        class rhie_chow_flux(TUIMenu):
                            """
                            Set Rhie-Chow related stability controls.
                            """
                            def __init__(self, service, version, mode, path):
                                self.low_order_rhie_chow = self.__class__.low_order_rhie_chow(service, version, mode, path + ["low_order_rhie_chow"])
                                super().__init__(service, version, mode, path)
                            class low_order_rhie_chow(TUIMethod):
                                """
                                Use low order velocity interpolation in flux calculation.
                                """

                        class skewness_correction(TUIMenu):
                            """
                            Skewness correction related stabiity controls for multiphase flow.
                            """
                            def __init__(self, service, version, mode, path):
                                self.limit_pressure_correction_gradient = self.__class__.limit_pressure_correction_gradient(service, version, mode, path + ["limit_pressure_correction_gradient"])
                                super().__init__(service, version, mode, path)
                            class limit_pressure_correction_gradient(TUIMethod):
                                """
                                Use limited pressure correction gradient in skewness corrections for better stability.
                                """

                        class coupled_vof(TUIMenu):
                            """
                            Set Coupled VOF stability controls.
                            """
                            def __init__(self, service, version, mode, path):
                                self.buoyancy_force_linearization = self.__class__.buoyancy_force_linearization(service, version, mode, path + ["buoyancy_force_linearization"])
                                super().__init__(service, version, mode, path)
                            class buoyancy_force_linearization(TUIMethod):
                                """
                                Set buoynacy force linerization options in coupled vof.
                                """

                    class hybrid_nita(TUIMenu):
                        """
                        Hybrid NITA stability controls for multiphase flow.
                        """
                        def __init__(self, service, version, mode, path):
                            self.instability_detector = self.__class__.instability_detector(service, version, mode, path + ["instability_detector"])
                            self.initial_outer_iterations = self.__class__.initial_outer_iterations(service, version, mode, path + ["initial_outer_iterations"])
                            self.outer_iterations = self.__class__.outer_iterations(service, version, mode, path + ["outer_iterations"])
                            super().__init__(service, version, mode, path)
                        class initial_outer_iterations(TUIMethod):
                            """
                            Set hybrid nita start-up controls.
                            """
                        class outer_iterations(TUIMethod):
                            """
                            Set number of outer iterations in hybrid nita.
                            """

                        class instability_detector(TUIMenu):
                            """
                            Set Hybrid NITA instability detector controls.
                            """
                            def __init__(self, service, version, mode, path):
                                self.set_cfl_type = self.__class__.set_cfl_type(service, version, mode, path + ["set_cfl_type"])
                                self.enable_instability_detector = self.__class__.enable_instability_detector(service, version, mode, path + ["enable_instability_detector"])
                                self.unstable_event_outer_iterations = self.__class__.unstable_event_outer_iterations(service, version, mode, path + ["unstable_event_outer_iterations"])
                                self.set_velocity_limit = self.__class__.set_velocity_limit(service, version, mode, path + ["set_velocity_limit"])
                                self.set_cfl_limit = self.__class__.set_cfl_limit(service, version, mode, path + ["set_cfl_limit"])
                                super().__init__(service, version, mode, path)
                            class set_cfl_type(TUIMethod):
                                """
                                Set Courant Number type for detection of unstable event.
                                """
                            class enable_instability_detector(TUIMethod):
                                """
                                Enable instability detector for better stability.
                                """
                            class unstable_event_outer_iterations(TUIMethod):
                                """
                                Set number of outer iterations for unstable event.
                                """
                            class set_velocity_limit(TUIMethod):
                                """
                                Set velocity limit for detection of unstable event.
                                """
                            class set_cfl_limit(TUIMethod):
                                """
                                Set Courant Number limit for detection of unstable event.
                                """

                    class equation_order(TUIMenu):
                        """
                        Equation Order Menu for Homogeneous Multiphase Flow Models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.solve_exp_vof_at_end = self.__class__.solve_exp_vof_at_end(service, version, mode, path + ["solve_exp_vof_at_end"])
                            self.solve_flow_last = self.__class__.solve_flow_last(service, version, mode, path + ["solve_flow_last"])
                            super().__init__(service, version, mode, path)
                        class solve_exp_vof_at_end(TUIMethod):
                            """
                            Solve Explicit VOF at the end of time-step as an alternative.
                            """
                        class solve_flow_last(TUIMethod):
                            """
                            Solve flow equation at the end of iteration as an alternative.
                            """

                    class pseudo_time(TUIMenu):
                        """
                        Pseudo-Time stability controls for multiphase flow.
                        """
                        def __init__(self, service, version, mode, path):
                            self.auto_dt_advanced_controls = self.__class__.auto_dt_advanced_controls(service, version, mode, path + ["auto_dt_advanced_controls"])
                            self.smoothed_density_stabilization_method = self.__class__.smoothed_density_stabilization_method(service, version, mode, path + ["smoothed_density_stabilization_method"])
                            self.false_time_step_linearization = self.__class__.false_time_step_linearization(service, version, mode, path + ["false_time_step_linearization"])
                            super().__init__(service, version, mode, path)
                        class smoothed_density_stabilization_method(TUIMethod):
                            """
                            Set smoothed density stabilization method.
                            """
                        class false_time_step_linearization(TUIMethod):
                            """
                            Set false time-step linearization for added stability.
                            """

                        class auto_dt_advanced_controls(TUIMenu):
                            """
                            Set automatic time-stepping controls for better solution stability.
                            """
                            def __init__(self, service, version, mode, path):
                                self.dt_init_limit = self.__class__.dt_init_limit(service, version, mode, path + ["dt_init_limit"])
                                self.dt_factor_max = self.__class__.dt_factor_max(service, version, mode, path + ["dt_factor_max"])
                                self.max_velocity_ratio = self.__class__.max_velocity_ratio(service, version, mode, path + ["max_velocity_ratio"])
                                self.dt_factor_min = self.__class__.dt_factor_min(service, version, mode, path + ["dt_factor_min"])
                                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                                self.dt_max = self.__class__.dt_max(service, version, mode, path + ["dt_max"])
                                super().__init__(service, version, mode, path)
                            class dt_init_limit(TUIMethod):
                                """
                                Set maximum value for pseudo time step size during first iteration.
                                """
                            class dt_factor_max(TUIMethod):
                                """
                                Set maximum limit for increase in pseudo time step size.
                                """
                            class max_velocity_ratio(TUIMethod):
                                """
                                Set velocity ratio to freeze the time step size for better solution stability.
                                """
                            class dt_factor_min(TUIMethod):
                                """
                                Set minimum limit for reduction in pseudo time step size.
                                """
                            class enable(TUIMethod):
                                """
                                Enable advanced automatic time stepping for better stability.
                                """
                            class dt_max(TUIMethod):
                                """
                                Set maximum value for pseudo time step size.
                                """

                    class num_ventilation(TUIMenu):
                        """
                        Numerical Ventilation Menu for VOF Model.
                        """
                        def __init__(self, service, version, mode, path):
                            self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                            self.tau_estimation_options = self.__class__.tau_estimation_options(service, version, mode, path + ["tau_estimation_options"])
                            self.trapped_phase_vof_max = self.__class__.trapped_phase_vof_max(service, version, mode, path + ["trapped_phase_vof_max"])
                            self.near_wall_treatment_options = self.__class__.near_wall_treatment_options(service, version, mode, path + ["near_wall_treatment_options"])
                            self.trapped_phase_vof_min = self.__class__.trapped_phase_vof_min(service, version, mode, path + ["trapped_phase_vof_min"])
                            super().__init__(service, version, mode, path)
                        class enable(TUIMethod):
                            """
                            Enable numerical ventilation treatment to remove trapped phase adjacent to wall.
                            """
                        class tau_estimation_options(TUIMethod):
                            """
                            Set time step size option for numerical ventilation treatment.
                            """
                        class trapped_phase_vof_max(TUIMethod):
                            """
                            Set trapped phase maximum volume fraction to activate numerical ventilation treatment for non-trapped phases.
                            """
                        class near_wall_treatment_options(TUIMethod):
                            """
                            Set near wall treatment options.
                            """
                        class trapped_phase_vof_min(TUIMethod):
                            """
                            Set trapped phase minimum volume fraction to activate numerical ventilation treatment for trapped phase.
                            """

                class porous_media(TUIMenu):
                    """
                    Multiphase miscellaneous porous media numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.capillary_pressure_as_diffusion = self.__class__.capillary_pressure_as_diffusion(service, version, mode, path + ["capillary_pressure_as_diffusion"])
                        self.relative_permeability = self.__class__.relative_permeability(service, version, mode, path + ["relative_permeability"])
                        super().__init__(service, version, mode, path)
                    class capillary_pressure_as_diffusion(TUIMethod):
                        """
                        Model capillary pressure as diffusion.
                        """
                    class relative_permeability(TUIMethod):
                        """
                        Multiphase relative permeability fix option.
                        """

                class face_pressure_controls(TUIMenu):
                    """
                    Enter the face pressure expert controls menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.face_pressure_options = self.__class__.face_pressure_options(service, version, mode, path + ["face_pressure_options"])
                        super().__init__(service, version, mode, path)
                    class face_pressure_options(TUIMethod):
                        """
                        Set face pressure options.
                        """

            class overset(TUIMenu):
                """
                Enter overset solver options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.high_order_pressure = self.__class__.high_order_pressure(service, version, mode, path + ["high_order_pressure"])
                    self.interpolation_method = self.__class__.interpolation_method(service, version, mode, path + ["interpolation_method"])
                    self.orphan_cell_treatment = self.__class__.orphan_cell_treatment(service, version, mode, path + ["orphan_cell_treatment"])
                    super().__init__(service, version, mode, path)
                class high_order_pressure(TUIMethod):
                    """
                    High order pressure extrapolation at overset interface.
                    """
                class interpolation_method(TUIMethod):
                    """
                    Choose the interpolation method for overset interface(s).
                    """
                class orphan_cell_treatment(TUIMethod):
                    """
                    Enable solver to run with orphans present.
                    """

                class expert(TUIMenu):
                    """
                    Enter overset expert solver options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.hybrid_mode_selection = self.__class__.hybrid_mode_selection(service, version, mode, path + ["hybrid_mode_selection"])
                        self.mass_flux_correction_method = self.__class__.mass_flux_correction_method(service, version, mode, path + ["mass_flux_correction_method"])
                        super().__init__(service, version, mode, path)
                    class hybrid_mode_selection(TUIMethod):
                        """
                        Mode for hybrid interpolation.
                        """
                    class mass_flux_correction_method(TUIMethod):
                        """
                        Enter mass flux correction option at overset interfaces.
                        """

            class warped_face_gradient_correction(TUIMenu):
                """
                Enter warped-face-gradient-correction menu.
                """
                def __init__(self, service, version, mode, path):
                    self.turbulence_options = self.__class__.turbulence_options(service, version, mode, path + ["turbulence_options"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class turbulence_options(TUIMethod):
                    """
                    Set turbulence Warped Face Gradient Correction.
                    """
                class enable(TUIMethod):
                    """
                    Enable Warped-Face Gradient Correction.
                    """

            class nita_expert_controls(TUIMenu):
                """
                Enter the nita expert controls menu.
                """
                def __init__(self, service, version, mode, path):
                    self.skewness_neighbor_coupling = self.__class__.skewness_neighbor_coupling(service, version, mode, path + ["skewness_neighbor_coupling"])
                    self.set_verbosity = self.__class__.set_verbosity(service, version, mode, path + ["set_verbosity"])
                    self.hybrid_nita_settings = self.__class__.hybrid_nita_settings(service, version, mode, path + ["hybrid_nita_settings"])
                    super().__init__(service, version, mode, path)
                class skewness_neighbor_coupling(TUIMethod):
                    """
                    Set skewness neighbor coupling for nita.
                    """
                class set_verbosity(TUIMethod):
                    """
                    Set nita verbosity option.
                    """
                class hybrid_nita_settings(TUIMethod):
                    """
                    Select a hybrid NITA settings option for faster performance and better robustness.
                    """

        class run_calculation(TUIMenu):
            """
            Enter run calculation menu.
            """
            def __init__(self, service, version, mode, path):
                self.data_sampling_options = self.__class__.data_sampling_options(service, version, mode, path + ["data_sampling_options"])
                self.transient_controls = self.__class__.transient_controls(service, version, mode, path + ["transient_controls"])
                self.adaptive_time_stepping = self.__class__.adaptive_time_stepping(service, version, mode, path + ["adaptive_time_stepping"])
                self.time_step = self.__class__.time_step(service, version, mode, path + ["time_step"])
                self.residual_tolerance = self.__class__.residual_tolerance(service, version, mode, path + ["residual_tolerance"])
                self.set_solution_steering = self.__class__.set_solution_steering(service, version, mode, path + ["set_solution_steering"])
                self.summary = self.__class__.summary(service, version, mode, path + ["summary"])
                self.multistage_time_iterate = self.__class__.multistage_time_iterate(service, version, mode, path + ["multistage_time_iterate"])
                self.solution_steering = self.__class__.solution_steering(service, version, mode, path + ["solution_steering"])
                self.reporting_interval = self.__class__.reporting_interval(service, version, mode, path + ["reporting_interval"])
                self.cfl_based_adaptive_time_stepping = self.__class__.cfl_based_adaptive_time_stepping(service, version, mode, path + ["cfl_based_adaptive_time_stepping"])
                self.variable_time_stepping = self.__class__.variable_time_stepping(service, version, mode, path + ["variable_time_stepping"])
                self.data_sampling = self.__class__.data_sampling(service, version, mode, path + ["data_sampling"])
                self.update_physical_time = self.__class__.update_physical_time(service, version, mode, path + ["update_physical_time"])
                self.second_order_time_options = self.__class__.second_order_time_options(service, version, mode, path + ["second_order_time_options"])
                self.mesh_motion = self.__class__.mesh_motion(service, version, mode, path + ["mesh_motion"])
                self.max_corrections = self.__class__.max_corrections(service, version, mode, path + ["max_corrections"])
                self.number_of_iterations = self.__class__.number_of_iterations(service, version, mode, path + ["number_of_iterations"])
                self.iterate = self.__class__.iterate(service, version, mode, path + ["iterate"])
                self.residual_verbosity = self.__class__.residual_verbosity(service, version, mode, path + ["residual_verbosity"])
                self.dual_time_iterate = self.__class__.dual_time_iterate(service, version, mode, path + ["dual_time_iterate"])
                super().__init__(service, version, mode, path)
            class adaptive_time_stepping(TUIMethod):
                """
                Set Error-based adaptive time-stepping parameters.
                """
            class time_step(TUIMethod):
                """
                Set the time step.
                """
            class residual_tolerance(TUIMethod):
                """
                Enter the residual tolerance menu.
                """
            class set_solution_steering(TUIMethod):
                """
                Set Solution Steering Parameters.
                """
            class summary(TUIMethod):
                """
                Print report summary.
                """
            class multistage_time_iterate(TUIMethod):
                """
                Perform unsteady iterations.
                """
            class solution_steering(TUIMethod):
                """
                Enable solution steering for density-based solver.
                """
            class reporting_interval(TUIMethod):
                """
                Set number of solver iterations before returning to scheme.
                """
            class cfl_based_adaptive_time_stepping(TUIMethod):
                """
                Set CFL-based adaptive time-stepping parameters.
                """
            class variable_time_stepping(TUIMethod):
                """
                Set Multiphase-Specific Adaptive time stepping parameters.
                """
            class data_sampling(TUIMethod):
                """
                Set iteration options.
                """
            class update_physical_time(TUIMethod):
                """
                Update the solution to the next physical time level.
                """
            class second_order_time_options(TUIMethod):
                """
                Set options for second-order time formulation.
                """
            class mesh_motion(TUIMethod):
                """
                Perform mesh motion.
                """
            class max_corrections(TUIMethod):
                """
                Enter the max-corrections menu.
                """
            class number_of_iterations(TUIMethod):
                """
                Set number of iterations.
                """
            class iterate(TUIMethod):
                """
                Perform a specified number of iterations.
                """
            class residual_verbosity(TUIMethod):
                """
                Set the residual report verbosity.
                """
            class dual_time_iterate(TUIMethod):
                """
                Perform unsteady iterations.
                """

            class data_sampling_options(TUIMenu):
                """
                Data sampling options for statistics.
                """
                def __init__(self, service, version, mode, path):
                    self.dft_datasets = self.__class__.dft_datasets(service, version, mode, path + ["dft_datasets"])
                    self.list_datasets = self.__class__.list_datasets(service, version, mode, path + ["list_datasets"])
                    self.remove_dataset = self.__class__.remove_dataset(service, version, mode, path + ["remove_dataset"])
                    self.add_rtdft_datasets = self.__class__.add_rtdft_datasets(service, version, mode, path + ["add_rtdft_datasets"])
                    self.add_datasets = self.__class__.add_datasets(service, version, mode, path + ["add_datasets"])
                    super().__init__(service, version, mode, path)
                class list_datasets(TUIMethod):
                    """
                    List dataset.
                    """
                class remove_dataset(TUIMethod):
                    """
                    Remove dataset.
                    """
                class add_rtdft_datasets(TUIMethod):
                    """
                    Add a dataset. After providing the zones for a dataset, press [Enter] to move onto selecting quantities. Enter () to complete the quantity selection for this dataset.
                    """
                class add_datasets(TUIMethod):
                    """
                    Add a dataset. After providing the zones for a dataset, press [Enter] to move onto selecting quantities. Enter () to complete the quantity selection for this dataset.
                    """

                class dft_datasets(TUIMenu):
                    """
                    Data sampling options for runtime discrete Fourier transform.
                    """
                    def __init__(self, service, version, mode, path):
                        self.band_or_tone = self.__class__.band_or_tone(service, version, mode, path + ["band_or_tone"])
                        self.add_datasets = self.__class__.add_datasets(service, version, mode, path + ["add_datasets"])
                        self.freq_step_and_sampling = self.__class__.freq_step_and_sampling(service, version, mode, path + ["freq_step_and_sampling"])
                        self.freq_min_max = self.__class__.freq_min_max(service, version, mode, path + ["freq_min_max"])
                        self.freq_tone_and_sampling = self.__class__.freq_tone_and_sampling(service, version, mode, path + ["freq_tone_and_sampling"])
                        self.quantities = self.__class__.quantities(service, version, mode, path + ["quantities"])
                        self.zones = self.__class__.zones(service, version, mode, path + ["zones"])
                        super().__init__(service, version, mode, path)
                    class band_or_tone(TUIMethod):
                        """
                        Specify, whether a new dataset is for DFT in a frequency band resolved by many harmonics or for a single tone.
                        """
                    class add_datasets(TUIMethod):
                        """
                        Add DFT datasets.
                        """
                    class freq_step_and_sampling(TUIMethod):
                        """
                        Specify either the band resolution or the sampling timesteps number. The other value will be computed consistently.
                        """
                    class freq_min_max(TUIMethod):
                        """
                        Specify the minimum and the maximum frequency for a band.
                        """
                    class freq_tone_and_sampling(TUIMethod):
                        """
                        Specify single tone frequency and sampling duration as the number of tone periods.
                        """
                    class quantities(TUIMethod):
                        """
                        Select quantities for a new DFT dataset. Enter () to complete the quantity selection.
                        """
                    class zones(TUIMethod):
                        """
                        Select zones for a new DFT dataset.
                        """

            class transient_controls(TUIMenu):
                """
                Enter into the transient controls menu.
                """
                def __init__(self, service, version, mode, path):
                    self.multiphase_specific_time_constraints = self.__class__.multiphase_specific_time_constraints(service, version, mode, path + ["multiphase_specific_time_constraints"])
                    self.duration_specification_method = self.__class__.duration_specification_method(service, version, mode, path + ["duration_specification_method"])
                    self.time_step_size_for_acoustic_export = self.__class__.time_step_size_for_acoustic_export(service, version, mode, path + ["time_step_size_for_acoustic_export"])
                    self.max_iterations_per_time_step = self.__class__.max_iterations_per_time_step(service, version, mode, path + ["max_iterations_per_time_step"])
                    self.cfl_based_time_stepping_advanced_options = self.__class__.cfl_based_time_stepping_advanced_options(service, version, mode, path + ["cfl_based_time_stepping_advanced_options"])
                    self.total_number_of_time_steps = self.__class__.total_number_of_time_steps(service, version, mode, path + ["total_number_of_time_steps"])
                    self.rotating_mesh_flow_predictor = self.__class__.rotating_mesh_flow_predictor(service, version, mode, path + ["rotating_mesh_flow_predictor"])
                    self.extrapolate_eqn_vars = self.__class__.extrapolate_eqn_vars(service, version, mode, path + ["extrapolate_eqn_vars"])
                    self.solution_status = self.__class__.solution_status(service, version, mode, path + ["solution_status"])
                    self.fixed_periodic = self.__class__.fixed_periodic(service, version, mode, path + ["fixed_periodic"])
                    self.solid_time_step_size = self.__class__.solid_time_step_size(service, version, mode, path + ["solid_time_step_size"])
                    self.number_of_time_steps = self.__class__.number_of_time_steps(service, version, mode, path + ["number_of_time_steps"])
                    self.incremental_time = self.__class__.incremental_time(service, version, mode, path + ["incremental_time"])
                    self.fixed_user_specified = self.__class__.fixed_user_specified(service, version, mode, path + ["fixed_user_specified"])
                    self.extrapolate_vars = self.__class__.extrapolate_vars(service, version, mode, path + ["extrapolate_vars"])
                    self.max_flow_time = self.__class__.max_flow_time(service, version, mode, path + ["max_flow_time"])
                    self.error_based_time_stepping = self.__class__.error_based_time_stepping(service, version, mode, path + ["error_based_time_stepping"])
                    self.udf_based_time_stepping = self.__class__.udf_based_time_stepping(service, version, mode, path + ["udf_based_time_stepping"])
                    self.cfl_based_time_stepping = self.__class__.cfl_based_time_stepping(service, version, mode, path + ["cfl_based_time_stepping"])
                    self.specified_time_step = self.__class__.specified_time_step(service, version, mode, path + ["specified_time_step"])
                    self.time_step_size = self.__class__.time_step_size(service, version, mode, path + ["time_step_size"])
                    self.undo_timestep = self.__class__.undo_timestep(service, version, mode, path + ["undo_timestep"])
                    self.total_time = self.__class__.total_time(service, version, mode, path + ["total_time"])
                    self.predict_next_time = self.__class__.predict_next_time(service, version, mode, path + ["predict_next_time"])
                    self.multiphase_specific_time_stepping = self.__class__.multiphase_specific_time_stepping(service, version, mode, path + ["multiphase_specific_time_stepping"])
                    super().__init__(service, version, mode, path)
                class duration_specification_method(TUIMethod):
                    """
                    Set Duration Specification Method: [0] Incremental Time Steps, [1] Total Time Steps, [2] Total Time, [3] Incremental Time.
                    """
                class time_step_size_for_acoustic_export(TUIMethod):
                    """
                    Set number of time step size for acoustic export.
                    """
                class max_iterations_per_time_step(TUIMethod):
                    """
                    Set Max Iterations/Time step.
                    """
                class cfl_based_time_stepping_advanced_options(TUIMethod):
                    """
                    Set CFL-based adaptive time-stepping advanced parameters.
                    """
                class total_number_of_time_steps(TUIMethod):
                    """
                    Set total number of Time steps.
                    """
                class rotating_mesh_flow_predictor(TUIMethod):
                    """
                    Improve prediction of flow field at time step n+1 for rotating mesh.
                    """
                class extrapolate_eqn_vars(TUIMethod):
                    """
                    Enter the extrapolation menu.
                    """
                class solution_status(TUIMethod):
                    """
                    Activate the simulation status panel.
                    """
                class fixed_periodic(TUIMethod):
                    """
                    Set period- or frequency-based fixed time-stepping parameters.
                    """
                class solid_time_step_size(TUIMethod):
                    """
                    Specify a different time step size for solid zones.
                    """
                class number_of_time_steps(TUIMethod):
                    """
                    Set inceremtal number of Time steps.
                    """
                class incremental_time(TUIMethod):
                    """
                    Set Incremental Time.
                    """
                class fixed_user_specified(TUIMethod):
                    """
                    Enable user-specified fixed time stepping method.
                    """
                class extrapolate_vars(TUIMethod):
                    """
                    Applies a predictor algorithm for computing initial condition at time step n+1.
                    """
                class max_flow_time(TUIMethod):
                    """
                    Set maximum flow time.
                    """
                class error_based_time_stepping(TUIMethod):
                    """
                    Set Error-based adaptive time-stepping parameters.
                    """
                class udf_based_time_stepping(TUIMethod):
                    """
                    Set the time-stepping parameters for user-defined time stepping method.
                    """
                class cfl_based_time_stepping(TUIMethod):
                    """
                    Set CFL-based adaptive time-stepping parameters.
                    """
                class specified_time_step(TUIMethod):
                    """
                    Use specified time step or courant number.
                    """
                class time_step_size(TUIMethod):
                    """
                    Set the physical time step size.
                    """
                class undo_timestep(TUIMethod):
                    """
                    Undo the previous time step.
                    """
                class total_time(TUIMethod):
                    """
                    Set Total Simulation Time.
                    """
                class predict_next_time(TUIMethod):
                    """
                    Applies a predictor algorithm for computing initial condition at time step n+1.
                    """
                class multiphase_specific_time_stepping(TUIMethod):
                    """
                    Set Multiphase-specific adaptive time stepping parameters.
                    """

                class multiphase_specific_time_constraints(TUIMenu):
                    """
                    Set Multiphase-specific time constraints.
                    """
                    def __init__(self, service, version, mode, path):
                        self.time_scale_options = self.__class__.time_scale_options(service, version, mode, path + ["time_scale_options"])
                        self.moving_mesh_cfl_constraint = self.__class__.moving_mesh_cfl_constraint(service, version, mode, path + ["moving_mesh_cfl_constraint"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.physics_based_constraint = self.__class__.physics_based_constraint(service, version, mode, path + ["physics_based_constraint"])
                        super().__init__(service, version, mode, path)
                    class moving_mesh_cfl_constraint(TUIMethod):
                        """
                        Enable time step size constraints based on moving mesh courant number.
                        """
                    class verbosity(TUIMethod):
                        """
                        Set verbosity to print multiphase specific time scales.
                        """
                    class physics_based_constraint(TUIMethod):
                        """
                        Include physics driven time-step constraints.
                        """

                    class time_scale_options(TUIMenu):
                        """
                        Set physics based time scale options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.gravity_scale = self.__class__.gravity_scale(service, version, mode, path + ["gravity_scale"])
                            self.surface_tension_scale = self.__class__.surface_tension_scale(service, version, mode, path + ["surface_tension_scale"])
                            self.acoustic_scale = self.__class__.acoustic_scale(service, version, mode, path + ["acoustic_scale"])
                            self.viscous_scale = self.__class__.viscous_scale(service, version, mode, path + ["viscous_scale"])
                            super().__init__(service, version, mode, path)
                        class gravity_scale(TUIMethod):
                            """
                            Include gravity based time scale.
                            """
                        class surface_tension_scale(TUIMethod):
                            """
                            Include surface tension based time scale.
                            """
                        class acoustic_scale(TUIMethod):
                            """
                            Include acoustic time scale.
                            """
                        class viscous_scale(TUIMethod):
                            """
                            Include viscous time scale.
                            """

    class mesh(TUIMenu):
        """
        Enter the mesh menu.
        """
        def __init__(self, service, version, mode, path):
            self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
            self.surface_mesh = self.__class__.surface_mesh(service, version, mode, path + ["surface_mesh"])
            self.repair_improve = self.__class__.repair_improve(service, version, mode, path + ["repair_improve"])
            self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
            self.reorder = self.__class__.reorder(service, version, mode, path + ["reorder"])
            self.polyhedra = self.__class__.polyhedra(service, version, mode, path + ["polyhedra"])
            self.modify_zones = self.__class__.modify_zones(service, version, mode, path + ["modify_zones"])
            self.enhanced_orthogonal_quality = self.__class__.enhanced_orthogonal_quality(service, version, mode, path + ["enhanced_orthogonal_quality"])
            self.show_periodic_shadow_zones = self.__class__.show_periodic_shadow_zones(service, version, mode, path + ["show_periodic_shadow_zones"])
            self.memory_usage = self.__class__.memory_usage(service, version, mode, path + ["memory_usage"])
            self.set_unit_system = self.__class__.set_unit_system(service, version, mode, path + ["set_unit_system"])
            self.check_verbosity = self.__class__.check_verbosity(service, version, mode, path + ["check_verbosity"])
            self.units = self.__class__.units(service, version, mode, path + ["units"])
            self.replace = self.__class__.replace(service, version, mode, path + ["replace"])
            self.rotate = self.__class__.rotate(service, version, mode, path + ["rotate"])
            self.redistribute_boundary_layer = self.__class__.redistribute_boundary_layer(service, version, mode, path + ["redistribute_boundary_layer"])
            self.smooth_mesh = self.__class__.smooth_mesh(service, version, mode, path + ["smooth_mesh"])
            self.translate = self.__class__.translate(service, version, mode, path + ["translate"])
            self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
            self.swap_mesh_faces = self.__class__.swap_mesh_faces(service, version, mode, path + ["swap_mesh_faces"])
            self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
            self.check_before_solve = self.__class__.check_before_solve(service, version, mode, path + ["check_before_solve"])
            self.size_info = self.__class__.size_info(service, version, mode, path + ["size_info"])
            self.mesh_info = self.__class__.mesh_info(service, version, mode, path + ["mesh_info"])
            self.check = self.__class__.check(service, version, mode, path + ["check"])
            self.adjacency = self.__class__.adjacency(service, version, mode, path + ["adjacency"])
            super().__init__(service, version, mode, path)
        class enhanced_orthogonal_quality(TUIMethod):
            """
            Enables / disables an enhanced definition when calculating the orthogonal quality. When enabled, the orthogonal quality is defined using a variety quality measures, including: the orthogonality of a face relative to a vector between the face and cell centroids; a metric that detects poor cell shape at a local edge (such as twisting and/or concavity); and the variation of normals between the faces that can be constructed from the cell face. This enhanced definition is optimal for evaluating thin prism cells.
            """
        class show_periodic_shadow_zones(TUIMethod):
            """
            Option to show periodic shadow zones in user interface.
            """
        class memory_usage(TUIMethod):
            """
            Reports solver memory use.
            """
        class set_unit_system(TUIMethod):
            """
            To apply standard set of units to all quantities.
            """
        class check_verbosity(TUIMethod):
            """
            Sets the level of details that will be added to the mesh check report generated by mesh/check. A value of 0 (the default) notes when checks are being performed, but does not list them individually. A value of 1 lists the individual checks as they are performed. A value of 2 enables the availability of additional mesh field variables, lists the individual checks as they are performed, and provides additional details (for example, the location of the problem, the affected cells).  The check-verbosity text command can also be used to set the level of detail displayed in the mesh quality report generated by mesh/quality. A value of 0 (the default) or 1 lists the minimum orthogonal quality and the maximum aspect ratio. A value of 2 adds information about the zones that contain the cells with the lowest quality, and additional metrics such as the maximum cell squish index and the minimum expansion ratio.
            """
        class units(TUIMethod):
            """
            Set unit conversion factors.
            """
        class replace(TUIMethod):
            """
            Replace mesh and interpolate data.
            """
        class rotate(TUIMethod):
            """
            Rotates the mesh.
            """
        class redistribute_boundary_layer(TUIMethod):
            """
            Redistributes the nodes in a boundary layer zone to achieve a desired growth rate after anisotropic adaption.
            """
        class smooth_mesh(TUIMethod):
            """
            Smooths the mesh using quality-based, Laplacian, or skewness methods.
            """
        class translate(TUIMethod):
            """
            Prompts for the translation offset in each of the active Cartesian coordinate directions.
            """
        class scale(TUIMethod):
            """
            Prompts for the scaling factors in each of the active Cartesian coordinate directions.
            """
        class swap_mesh_faces(TUIMethod):
            """
            Swaps mesh faces.
            """
        class quality(TUIMethod):
            """
            Displays information about the quality of the mesh in the console, including the minimum orthogonal quality and the maximum aspect ratio. The level of detail displayed depends on the setting specified for mesh/check-verbosity.
            """
        class check_before_solve(TUIMethod):
            """
            The default value for mesh/check-before-solve is “no”. If mesh/check-before-solve is set to “yes”, a mesh check operation will be invoked prior to starting solver. If grid check fails, solver will be interrupted, and relevant information will be printed in the Fluent console.
            """
        class size_info(TUIMethod):
            """
            Prints mesh size.
            """
        class mesh_info(TUIMethod):
            """
            Prints zone information size.
            """
        class check(TUIMethod):
            """
            Performs various mesh consistency checks and displays a report in the console that lists the domain extents, the volume statistics, the face area statistics, and any warnings, as well as details about the various checks and mesh failures (depending on the setting specified for mesh/check-verbosity).
            """
        class adjacency(TUIMethod):
            """
            Views and renames face zones adjacent to selected cell  zones.
            """

        class adapt(TUIMenu):
            """
            Enters the mesh adaption menu.
            """
            def __init__(self, service, version, mode, path):
                self.cell_registers = self.__class__.cell_registers(service, version, mode, path + ["cell_registers"])
                self.multi_layer_refinement = self.__class__.multi_layer_refinement(service, version, mode, path + ["multi_layer_refinement"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.profile = self.__class__.profile(service, version, mode, path + ["profile"])
                self.manage_criteria = self.__class__.manage_criteria(service, version, mode, path + ["manage_criteria"])
                self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                self.anisotropic_adaption = self.__class__.anisotropic_adaption(service, version, mode, path + ["anisotropic_adaption"])
                self.free_hierarchy = self.__class__.free_hierarchy(service, version, mode, path + ["free_hierarchy"])
                self.refinement_criteria = self.__class__.refinement_criteria(service, version, mode, path + ["refinement_criteria"])
                self.display_adaption_cells = self.__class__.display_adaption_cells(service, version, mode, path + ["display_adaption_cells"])
                self.manual_refinement_criteria = self.__class__.manual_refinement_criteria(service, version, mode, path + ["manual_refinement_criteria"])
                self.adapt_mesh = self.__class__.adapt_mesh(service, version, mode, path + ["adapt_mesh"])
                self.coarsening_criteria = self.__class__.coarsening_criteria(service, version, mode, path + ["coarsening_criteria"])
                self.list_adaption_cells = self.__class__.list_adaption_cells(service, version, mode, path + ["list_adaption_cells"])
                self.manual_coarsening_criteria = self.__class__.manual_coarsening_criteria(service, version, mode, path + ["manual_coarsening_criteria"])
                super().__init__(service, version, mode, path)
            class anisotropic_adaption(TUIMethod):
                """
                Applies legacy anisotropic adaption to refine the boundary layers or registers. Cells will be split in the normal direction to the boundary face. Note that this text command is only available for 3D cases that have the adaption method set to hanging node.
                """
            class free_hierarchy(TUIMethod):
                """
                Deletes the defined adaption hierarchy.
                """
            class refinement_criteria(TUIMethod):
                """
                Allows you to provide an expression for the refinement criterion.
                """
            class display_adaption_cells(TUIMethod):
                """
                Displays the cells that are marked for adaption in the graphics window.
                """
            class manual_refinement_criteria(TUIMethod):
                """
                Set expression for manual refinement criterion.
                """
            class adapt_mesh(TUIMethod):
                """
                Performs manual adaption on the mesh according to the methods and settings that you specified.
                """
            class coarsening_criteria(TUIMethod):
                """
                Allows you to provide an expression for the coarsening criterion.
                """
            class list_adaption_cells(TUIMethod):
                """
                Prints the number of cells marked for refinement, coarsening, and both to the console.
                """
            class manual_coarsening_criteria(TUIMethod):
                """
                Set expression for manual coarsening criterion.
                """

            class cell_registers(TUIMenu):
                """
                Enters the cell registers menu.
                """
                def __init__(self, service, version, mode, path):
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.apply_poor_mesh_numerics = self.__class__.apply_poor_mesh_numerics(service, version, mode, path + ["apply_poor_mesh_numerics"])
                    self.coarsen = self.__class__.coarsen(service, version, mode, path + ["coarsen"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.refine = self.__class__.refine(service, version, mode, path + ["refine"])
                    super().__init__(service, version, mode, path)
                class display(TUIMethod):
                    """
                    Displays a cell register.
                    """
                class adapt(TUIMethod):
                    """
                    Adapt cell register objects.
                    """
                class delete(TUIMethod):
                    """
                    Deletes a cell register.
                    """
                class add(TUIMethod):
                    """
                    Add a new object.
                    """
                class apply_poor_mesh_numerics(TUIMethod):
                    """
                    Applies poor mesh numerics to the mesh of a cell register.
                    """
                class coarsen(TUIMethod):
                    """
                    Coarsen the mesh based on a cell register.
                    """
                class list(TUIMethod):
                    """
                    Lists all of the currently defined cell registers.
                    """
                class edit(TUIMethod):
                    """
                    Edit an object.
                    """
                class list_properties(TUIMethod):
                    """
                    Lists the properties of a cell register.
                    """
                class refine(TUIMethod):
                    """
                    Refine the mesh based on a cell register.
                    """

            class multi_layer_refinement(TUIMenu):
                """
                Enter the multiple boundary layer refinement menu.
                """
                def __init__(self, service, version, mode, path):
                    self.layer_count = self.__class__.layer_count(service, version, mode, path + ["layer_count"])
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    self.boundary_zones = self.__class__.boundary_zones(service, version, mode, path + ["boundary_zones"])
                    self.refine_mesh = self.__class__.refine_mesh(service, version, mode, path + ["refine_mesh"])
                    super().__init__(service, version, mode, path)
                class layer_count(TUIMethod):
                    """
                    Specify the layer count for refinement.
                    """
                class parameters(TUIMethod):
                    """
                    Specify parameters for multiple boundary layer refinement.
                    """
                class boundary_zones(TUIMethod):
                    """
                    Specify boundary zones for refinement.
                    """
                class refine_mesh(TUIMethod):
                    """
                    Refine the mesh for multiple boundary layers.
                    """

            class set(TUIMenu):
                """
                Enters the set menu.
                """
                def __init__(self, service, version, mode, path):
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.anisotropic_boundary_zones = self.__class__.anisotropic_boundary_zones(service, version, mode, path + ["anisotropic_boundary_zones"])
                    self.cell_zones = self.__class__.cell_zones(service, version, mode, path + ["cell_zones"])
                    self.method = self.__class__.method(service, version, mode, path + ["method"])
                    self.encapsulate_children = self.__class__.encapsulate_children(service, version, mode, path + ["encapsulate_children"])
                    self.minimum_cell_quality = self.__class__.minimum_cell_quality(service, version, mode, path + ["minimum_cell_quality"])
                    self.display_settings = self.__class__.display_settings(service, version, mode, path + ["display_settings"])
                    self.anisotropic_split_ratio = self.__class__.anisotropic_split_ratio(service, version, mode, path + ["anisotropic_split_ratio"])
                    self.overset_adapt_dead_cells = self.__class__.overset_adapt_dead_cells(service, version, mode, path + ["overset_adapt_dead_cells"])
                    self.maximum_refinement_level = self.__class__.maximum_refinement_level(service, version, mode, path + ["maximum_refinement_level"])
                    self.additional_refinement_layers = self.__class__.additional_refinement_layers(service, version, mode, path + ["additional_refinement_layers"])
                    self.minimum_edge_length = self.__class__.minimum_edge_length(service, version, mode, path + ["minimum_edge_length"])
                    self.maximum_cell_count = self.__class__.maximum_cell_count(service, version, mode, path + ["maximum_cell_count"])
                    self.dynamic_adaption_frequency = self.__class__.dynamic_adaption_frequency(service, version, mode, path + ["dynamic_adaption_frequency"])
                    self.anisotropic_adaption = self.__class__.anisotropic_adaption(service, version, mode, path + ["anisotropic_adaption"])
                    self.dynamic_adaption = self.__class__.dynamic_adaption(service, version, mode, path + ["dynamic_adaption"])
                    super().__init__(service, version, mode, path)
                class verbosity(TUIMethod):
                    """
                    Allows you set how much information about the adaption is printed to the console.
                    """
                class anisotropic_boundary_zones(TUIMethod):
                    """
                    Allows you to select the boundary zones that specify directions for anisotropic refinement with the PUMA method.
                    """
                class cell_zones(TUIMethod):
                    """
                    Sets cell zones to be used for marking adaption. An empty list specifies that all zones are considered for adaption.
                    """
                class method(TUIMethod):
                    """
                    Sets the adaption method.
                    """
                class encapsulate_children(TUIMethod):
                    """
                    Encapsulate all children of parent cells on the same partition.
                    """
                class minimum_cell_quality(TUIMethod):
                    """
                    Sets the minimum value allowed for the orthogonal quality of cells during adaption. If your solution diverges, you may find that using a higher minimum quality value resolves the issue. This text command is only available with the PUMA 3D adaption method.
                    """
                class display_settings(TUIMethod):
                    """
                    Sets the graphics display options for the refinement, coarsening, and common cells.
                    """
                class anisotropic_split_ratio(TUIMethod):
                    """
                    Sets the split ratio for the cells as part of anisotropic refinement with the PUMA method.
                    """
                class overset_adapt_dead_cells(TUIMethod):
                    """
                    Enables/disables the adaption of dead cells in overset meshes.
                    """
                class maximum_refinement_level(TUIMethod):
                    """
                    Controls the number of levels of refinement used to split cells during the adaption.
                    """
                class additional_refinement_layers(TUIMethod):
                    """
                    Allows you to specify additional refinement layers (this is an advanced control).
                    """
                class minimum_edge_length(TUIMethod):
                    """
                    Sets an approximate limit to the edge length for cells that are considered for refinement. Even if a cell is marked for refinement, it will not be refined if (for 3D) its volume is less than the cube of this field or (for 2D) its area is less than the square of this field. The default value of zero places no limits on the size of cells that are refined.
                    """
                class maximum_cell_count(TUIMethod):
                    """
                    Sets an approximate limit to the total cell count of the mesh during adaption. Fluent uses this value to determine when to stop marking cells for refinement. A value of zero places no limits on the number of cells.
                    """
                class dynamic_adaption_frequency(TUIMethod):
                    """
                    Set frequency for dynamic adaption.
                    """
                class anisotropic_adaption(TUIMethod):
                    """
                    Enables / disables anisotropic adaption for prismatic cells as part of manual adaption. Note that this text command requires that the adaption method is set to PUMA.
                    """
                class dynamic_adaption(TUIMethod):
                    """
                    Adapt the mesh during solution.
                    """

            class profile(TUIMenu):
                """
                Enters the profile menu.
                """
                def __init__(self, service, version, mode, path):
                    self.disable = self.__class__.disable(service, version, mode, path + ["disable"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.print = self.__class__.print(service, version, mode, path + ["print"])
                    self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                    super().__init__(service, version, mode, path)
                class disable(TUIMethod):
                    """
                    Disables adaption profiling.
                    """
                class enable(TUIMethod):
                    """
                    Enables adaption profiling.
                    """
                class print(TUIMethod):
                    """
                    Prints adaption profiling results.
                    """
                class clear(TUIMethod):
                    """
                    Clears the adaption profiling counters.
                    """

            class manage_criteria(TUIMenu):
                """
                Enters the manage criteria menu, which provides text commands for managing automatic adaption criteria.
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    Deletes an existing automatic adaption criterion.
                    """
                class list(TUIMethod):
                    """
                    Lists all the existing automatic adaption criteria.
                    """
                class list_properties(TUIMethod):
                    """
                    Lists the properties of an existing automatic adaption criterion.
                    """
                class edit(TUIMethod):
                    """
                    Edits an existing automatic adaption criterion.
                    """
                class add(TUIMethod):
                    """
                    Adds a new automatic adaption criterion.
                    """

            class geometry(TUIMenu):
                """
                Enters the geometry menu. Note that this text command menu is not available unless the adaption method is set to hanging node.
                """
                def __init__(self, service, version, mode, path):
                    self.reconstruct_geometry = self.__class__.reconstruct_geometry(service, version, mode, path + ["reconstruct_geometry"])
                    self.set_geometry_controls = self.__class__.set_geometry_controls(service, version, mode, path + ["set_geometry_controls"])
                    super().__init__(service, version, mode, path)
                class reconstruct_geometry(TUIMethod):
                    """
                    Enables/disables geometry-based adaption.
                    """
                class set_geometry_controls(TUIMethod):
                    """
                    Sets geometry controls for wall zones.
                    """

        class surface_mesh(TUIMenu):
            """
            Enters the Surface Mesh menu.
            """
            def __init__(self, service, version, mode, path):
                self.read = self.__class__.read(service, version, mode, path + ["read"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class read(TUIMethod):
                """
                Reads surface meshes.
                """
            class display(TUIMethod):
                """
                Displays surface meshes.
                """
            class delete(TUIMethod):
                """
                Deletes surface mesh.
                """

        class repair_improve(TUIMenu):
            """
            Enter the repair and improve quality menu.
            """
            def __init__(self, service, version, mode, path):
                self.allow_repair_at_boundaries = self.__class__.allow_repair_at_boundaries(service, version, mode, path + ["allow_repair_at_boundaries"])
                self.repair_face_node_order = self.__class__.repair_face_node_order(service, version, mode, path + ["repair_face_node_order"])
                self.report_poor_elements = self.__class__.report_poor_elements(service, version, mode, path + ["report_poor_elements"])
                self.include_local_polyhedra_conversion_in_repair = self.__class__.include_local_polyhedra_conversion_in_repair(service, version, mode, path + ["include_local_polyhedra_conversion_in_repair"])
                self.repair = self.__class__.repair(service, version, mode, path + ["repair"])
                self.repair_face_handedness = self.__class__.repair_face_handedness(service, version, mode, path + ["repair_face_handedness"])
                self.repair_wall_distance = self.__class__.repair_wall_distance(service, version, mode, path + ["repair_wall_distance"])
                self.improve_quality = self.__class__.improve_quality(service, version, mode, path + ["improve_quality"])
                self.repair_periodic = self.__class__.repair_periodic(service, version, mode, path + ["repair_periodic"])
                super().__init__(service, version, mode, path)
            class allow_repair_at_boundaries(TUIMethod):
                """
                Allows the adjustment of the positions of nodes on boundaries as part of the mesh repairs performed by the mesh/repair-improve/repair text command.
                """
            class repair_face_node_order(TUIMethod):
                """
                Modifies face nodes to repair faces with improper face node order and, therefore, eliminates any resulting left-handed faces.
                """
            class report_poor_elements(TUIMethod):
                """
                Reports invalid and poor quality elements.
                """
            class include_local_polyhedra_conversion_in_repair(TUIMethod):
                """
                Enables/disables the local conversion of degenerate cells into polyhedra based on skewness criteria as part of the mesh repairs performed by the  mesh/repair-improve/repair text command.
                """
            class repair(TUIMethod):
                """
                Repairs mesh problems identified by the mesh check, if possible. The repairs include fixing cells that have the wrong node order, the wrong face handedness, faces that are small or nonexistent, or very poor quality. Only interior nodes are repositioned by default; boundary nodes may be repositioned if the  mesh/repair-improve/allow-repair-at-boundaries text command is enabled. Note that highly skewed cells may be converted into polyhedra, depending on whether the  mesh/repair-improve/include-local-polyhedra-conversion-in-repair text command is enabled.
                """
            class repair_face_handedness(TUIMethod):
                """
                Modifies cell centroids to repair meshes that contain left-handed faces without face node order problems.
                """
            class repair_wall_distance(TUIMethod):
                """
                Corrects wall distance at very high aspect ratio hexahedral/polyhedral cells.
                """
            class improve_quality(TUIMethod):
                """
                Improves poor quality cells in the mesh, if possible.
                """
            class repair_periodic(TUIMethod):
                """
                Modifies the mesh to enforce a rotational angle or translational distance for periodic boundaries. For translationally periodic boundaries, the command computes an average translation distance and adjusts the node coordinates on the shadow face zone to match this distance. For rotationally periodic boundaries, the command prompts for an angle and adjusts the node coordinates on the shadow face zone using this angle and the defined rotational axis for the cell zone.
                """

        class geometry(TUIMenu):
            """
            Enter the geometry menu.
            """
            def __init__(self, service, version, mode, path):
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                super().__init__(service, version, mode, path)
            class list(TUIMethod):
                """
                List objects.
                """
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class delete(TUIMethod):
                """
                Delete an object.
                """
            class display(TUIMethod):
                """
                Display geometry.
                """
            class list_properties(TUIMethod):
                """
                List properties of an object.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """

        class reorder(TUIMenu):
            """
            Reorders domain menu.
            """
            def __init__(self, service, version, mode, path):
                self.band_width = self.__class__.band_width(service, version, mode, path + ["band_width"])
                self.reorder_zones = self.__class__.reorder_zones(service, version, mode, path + ["reorder_zones"])
                self.reorder_domain = self.__class__.reorder_domain(service, version, mode, path + ["reorder_domain"])
                super().__init__(service, version, mode, path)
            class band_width(TUIMethod):
                """
                Prints cell bandwidth.
                """
            class reorder_zones(TUIMethod):
                """
                Reorders zones by partition, type, and ID.
                """
            class reorder_domain(TUIMethod):
                """
                Reorders cells and faces using the reverse Cuthill-McKee algorithm. Note that you must save a new case file (and a data file, if data exists) after reordering with this text command, as well as recreate any ray files and/or surface cluster information.
                """

        class polyhedra(TUIMenu):
            """
            Enters the polyhedra menu.
            """
            def __init__(self, service, version, mode, path):
                self.options = self.__class__.options(service, version, mode, path + ["options"])
                self.convert_domain = self.__class__.convert_domain(service, version, mode, path + ["convert_domain"])
                self.convert_hanging_nodes_zones = self.__class__.convert_hanging_nodes_zones(service, version, mode, path + ["convert_hanging_nodes_zones"])
                self.convert_skewed_cells = self.__class__.convert_skewed_cells(service, version, mode, path + ["convert_skewed_cells"])
                self.convert_hanging_nodes = self.__class__.convert_hanging_nodes(service, version, mode, path + ["convert_hanging_nodes"])
                super().__init__(service, version, mode, path)
            class convert_domain(TUIMethod):
                """
                Converts the entire domain to polyhedra cells.
                """
            class convert_hanging_nodes_zones(TUIMethod):
                """
                Convert selected cell zones with hanging nodes and faces to polyhedra.
                The selected cell zones cannot be connected to other zones.
                """
            class convert_skewed_cells(TUIMethod):
                """
                Converts skewed cells to polyhedra.
                """
            class convert_hanging_nodes(TUIMethod):
                """
                Converts cells with hanging nodes/edges to polyhedra.
                """

            class options(TUIMenu):
                """
                Enters the polyhedra options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.preserve_boundary_layer = self.__class__.preserve_boundary_layer(service, version, mode, path + ["preserve_boundary_layer"])
                    self.migrate_and_reorder = self.__class__.migrate_and_reorder(service, version, mode, path + ["migrate_and_reorder"])
                    self.preserve_interior_zones = self.__class__.preserve_interior_zones(service, version, mode, path + ["preserve_interior_zones"])
                    super().__init__(service, version, mode, path)
                class preserve_boundary_layer(TUIMethod):
                    """
                    Specifies whether boundary layer cells will be preserved when the domain is converted to polyhedra. When the value is set to 0 (default) ANSYS Fluent checks for high aspect ratio cells at the boundary layer and if any are found, Fluent asks if you want to preserve the boundary layer. When the value is set to 1, the boundary layer cells are never preserved; when it is set to 2, the boundary layer cells are always preserved (regardless of the aspect ratio of the boundary layer cells).
                    """
                class migrate_and_reorder(TUIMethod):
                    """
                    Enables / disables the migration of newly created partitions to the compute-nodes and the reordering of the domain as part of polyhedra conversion. This is disabled by default, because it requires significant additional memory; when disabled, it is recommended that you save the case file after conversion, read it in a new Fluent session (so that the new / stored partitions become active), and then manually reorder using the mesh/reorder/reorder-domain text command. If you want to run the calculation in the current Fluent session you can enable the migrate-and-reorder? text command prior to conversion, but you must ensure that no more than half of the available memory of your system is currently used.
                    """
                class preserve_interior_zones(TUIMethod):
                    """
                    Enables the preservation of surfaces (that is, manifold zones of type interior) during the conversion of the domain to polyhedra. Note that only those zones with a name that includes the string you specify will be preserved.
                    """

        class modify_zones(TUIMenu):
            """
            Enters the zone modification menu. For a description of the items in this menu, see define/boundary-conditions/modify-zones.
            """
            def __init__(self, service, version, mode, path):
                self.sep_cell_zone_mark = self.__class__.sep_cell_zone_mark(service, version, mode, path + ["sep_cell_zone_mark"])
                self.slit_periodic = self.__class__.slit_periodic(service, version, mode, path + ["slit_periodic"])
                self.create_periodic_interface = self.__class__.create_periodic_interface(service, version, mode, path + ["create_periodic_interface"])
                self.fuse_face_zones = self.__class__.fuse_face_zones(service, version, mode, path + ["fuse_face_zones"])
                self.slit_interior_between_diff_solids = self.__class__.slit_interior_between_diff_solids(service, version, mode, path + ["slit_interior_between_diff_solids"])
                self.sep_face_zone_region = self.__class__.sep_face_zone_region(service, version, mode, path + ["sep_face_zone_region"])
                self.delete_cell_zone = self.__class__.delete_cell_zone(service, version, mode, path + ["delete_cell_zone"])
                self.copy_move_cell_zone = self.__class__.copy_move_cell_zone(service, version, mode, path + ["copy_move_cell_zone"])
                self.sep_cell_zone_region = self.__class__.sep_cell_zone_region(service, version, mode, path + ["sep_cell_zone_region"])
                self.extrude_face_zone_para = self.__class__.extrude_face_zone_para(service, version, mode, path + ["extrude_face_zone_para"])
                self.copy_mrf_to_mesh_motion = self.__class__.copy_mrf_to_mesh_motion(service, version, mode, path + ["copy_mrf_to_mesh_motion"])
                self.change_zone_phase = self.__class__.change_zone_phase(service, version, mode, path + ["change_zone_phase"])
                self.delete_all_shells = self.__class__.delete_all_shells(service, version, mode, path + ["delete_all_shells"])
                self.activate_cell_zone = self.__class__.activate_cell_zone(service, version, mode, path + ["activate_cell_zone"])
                self.matching_tolerance = self.__class__.matching_tolerance(service, version, mode, path + ["matching_tolerance"])
                self.orient_face_zone = self.__class__.orient_face_zone(service, version, mode, path + ["orient_face_zone"])
                self.sep_face_zone_angle = self.__class__.sep_face_zone_angle(service, version, mode, path + ["sep_face_zone_angle"])
                self.list_zones = self.__class__.list_zones(service, version, mode, path + ["list_zones"])
                self.sep_face_zone_face = self.__class__.sep_face_zone_face(service, version, mode, path + ["sep_face_zone_face"])
                self.sep_face_zone_mark = self.__class__.sep_face_zone_mark(service, version, mode, path + ["sep_face_zone_mark"])
                self.recreate_all_shells = self.__class__.recreate_all_shells(service, version, mode, path + ["recreate_all_shells"])
                self.scale_zone = self.__class__.scale_zone(service, version, mode, path + ["scale_zone"])
                self.mrf_to_sliding_mesh = self.__class__.mrf_to_sliding_mesh(service, version, mode, path + ["mrf_to_sliding_mesh"])
                self.replace_zone = self.__class__.replace_zone(service, version, mode, path + ["replace_zone"])
                self.copy_mesh_to_mrf_motion = self.__class__.copy_mesh_to_mrf_motion(service, version, mode, path + ["copy_mesh_to_mrf_motion"])
                self.append_mesh_data = self.__class__.append_mesh_data(service, version, mode, path + ["append_mesh_data"])
                self.change_zone_state = self.__class__.change_zone_state(service, version, mode, path + ["change_zone_state"])
                self.translate_zone = self.__class__.translate_zone(service, version, mode, path + ["translate_zone"])
                self.extrude_face_zone_delta = self.__class__.extrude_face_zone_delta(service, version, mode, path + ["extrude_face_zone_delta"])
                self.slit_face_zone = self.__class__.slit_face_zone(service, version, mode, path + ["slit_face_zone"])
                self.rotate_zone = self.__class__.rotate_zone(service, version, mode, path + ["rotate_zone"])
                self.merge_zones = self.__class__.merge_zones(service, version, mode, path + ["merge_zones"])
                self.make_periodic = self.__class__.make_periodic(service, version, mode, path + ["make_periodic"])
                self.zone_name = self.__class__.zone_name(service, version, mode, path + ["zone_name"])
                self.create_all_shell_threads = self.__class__.create_all_shell_threads(service, version, mode, path + ["create_all_shell_threads"])
                self.deactivate_cell_zone = self.__class__.deactivate_cell_zone(service, version, mode, path + ["deactivate_cell_zone"])
                self.convert_all_solid_mrf_to_solid_motion = self.__class__.convert_all_solid_mrf_to_solid_motion(service, version, mode, path + ["convert_all_solid_mrf_to_solid_motion"])
                self.append_mesh = self.__class__.append_mesh(service, version, mode, path + ["append_mesh"])
                self.zone_type = self.__class__.zone_type(service, version, mode, path + ["zone_type"])
                super().__init__(service, version, mode, path)
            class sep_cell_zone_mark(TUIMethod):
                """
                Separate a cell zone based on cell marking.
                """
            class slit_periodic(TUIMethod):
                """
                Slit a periodic zone into two symmetry zones.
                """
            class create_periodic_interface(TUIMethod):
                """
                Create a conformal or non-conformal periodic interface.
                """
            class fuse_face_zones(TUIMethod):
                """
                Attempt to fuse zones by removing duplicate faces and nodes.
                """
            class slit_interior_between_diff_solids(TUIMethod):
                """
                Slit interior created between different solids into coupled walls.
                """
            class sep_face_zone_region(TUIMethod):
                """
                Separate a face zone based on contiguous regions.
                """
            class delete_cell_zone(TUIMethod):
                """
                Delete a cell thread.
                """
            class copy_move_cell_zone(TUIMethod):
                """
                Copy and translate or rotate a cell zone.
                """
            class sep_cell_zone_region(TUIMethod):
                """
                Separate a cell zone based on contiguous regions.
                """
            class extrude_face_zone_para(TUIMethod):
                """
                Extrude a face thread a specified distance based on a distance and a list of parametric locations between 0 and 1 (eg. 0 0.2 0.4 0.8 1.0).
                """
            class copy_mrf_to_mesh_motion(TUIMethod):
                """
                Copy motion variable values for origin, axis and velocities from Frame Motion to Mesh Motion.
                """
            class change_zone_phase(TUIMethod):
                """
                Change the realgas phase for a zone.
                """
            class delete_all_shells(TUIMethod):
                """
                Delete all shell zones and switch off shell conduction on all the walls. These zones can be recreated using the command recreate-all-shells.
                """
            class activate_cell_zone(TUIMethod):
                """
                Activate a cell thread.
                """
            class matching_tolerance(TUIMethod):
                """
                Set the normalized tolerance used for finding coincident nodes.
                """
            class orient_face_zone(TUIMethod):
                """
                Orient the face zone.
                """
            class sep_face_zone_angle(TUIMethod):
                """
                Separate a face zone based on significant angle.
                """
            class list_zones(TUIMethod):
                """
                List zone IDs, types, kinds, and names.
                """
            class sep_face_zone_face(TUIMethod):
                """
                Separate each face in a zone into unique zone.
                """
            class sep_face_zone_mark(TUIMethod):
                """
                Separate a face zone based on cell marking.
                """
            class recreate_all_shells(TUIMethod):
                """
                Create shell on all the walls where which were deleted using the command delete-all-shells.
                """
            class scale_zone(TUIMethod):
                """
                Scale nodal coordinates of input cell zones.
                """
            class mrf_to_sliding_mesh(TUIMethod):
                """
                Change motion specification from MRF to moving mesh.
                """
            class replace_zone(TUIMethod):
                """
                Replace a cell zone.
                """
            class copy_mesh_to_mrf_motion(TUIMethod):
                """
                Copy motion variable values for origin, axis and velocities from Mesh Motion to Frame Motion.
                """
            class append_mesh_data(TUIMethod):
                """
                Append new mesh with data.
                """
            class change_zone_state(TUIMethod):
                """
                Change the realgas material state for a zone.
                """
            class translate_zone(TUIMethod):
                """
                Translate nodal coordinates of input cell zones.
                """
            class extrude_face_zone_delta(TUIMethod):
                """
                Extrude a face thread a specified distance based on a list of deltas.
                """
            class slit_face_zone(TUIMethod):
                """
                Slit a two-sided wall into two connected wall zones.
                """
            class rotate_zone(TUIMethod):
                """
                Rotate nodal coordinates of input cell zones.
                """
            class merge_zones(TUIMethod):
                """
                Merge zones of the same type and condition into one.
                """
            class make_periodic(TUIMethod):
                """
                Attempt to establish conformal periodic face zone connectivity.
                """
            class zone_name(TUIMethod):
                """
                Give a zone a new name.
                """
            class create_all_shell_threads(TUIMethod):
                """
                Mark all finite thickness wall for shell creation. Shell zones will be created at the start of iterations.
                """
            class deactivate_cell_zone(TUIMethod):
                """
                Deactivate cell thread.
                """
            class convert_all_solid_mrf_to_solid_motion(TUIMethod):
                """
                Change all solid zones motion specification from MRF to solid motion.
                """
            class append_mesh(TUIMethod):
                """
                Append new mesh.
                """
            class zone_type(TUIMethod):
                """
                Set a zone's type.
                """

    class parallel(TUIMenu):
        """
        Enter the parallel processing menu.
        """
        def __init__(self, service, version, mode, path):
            self.gpgpu = self.__class__.gpgpu(service, version, mode, path + ["gpgpu"])
            self.timer = self.__class__.timer(service, version, mode, path + ["timer"])
            self.latency = self.__class__.latency(service, version, mode, path + ["latency"])
            self.show_connectivity = self.__class__.show_connectivity(service, version, mode, path + ["show_connectivity"])
            self.load_balance = self.__class__.load_balance(service, version, mode, path + ["load_balance"])
            self.check_verbosity = self.__class__.check_verbosity(service, version, mode, path + ["check_verbosity"])
            self.bandwidth = self.__class__.bandwidth(service, version, mode, path + ["bandwidth"])
            self.set = self.__class__.set(service, version, mode, path + ["set"])
            self.check = self.__class__.check(service, version, mode, path + ["check"])
            self.multidomain = self.__class__.multidomain(service, version, mode, path + ["multidomain"])
            self.network = self.__class__.network(service, version, mode, path + ["network"])
            self.partition = self.__class__.partition(service, version, mode, path + ["partition"])
            self.thread_number_control = self.__class__.thread_number_control(service, version, mode, path + ["thread_number_control"])
            super().__init__(service, version, mode, path)
        class timer(TUIMethod):
            """
            Enters the timer menu.
            """
        class latency(TUIMethod):
            """
            Shows network latency.
            """
        class show_connectivity(TUIMethod):
            """
            Prints the network connectivity for the selected compute node.
            """
        class load_balance(TUIMethod):
            """
            Enters the load balancing parameters menu.
            """
        class check_verbosity(TUIMethod):
            """
            Sets verbosity output of the parallel check. Higher verbosity corresponds to more detailed information.
            """
        class bandwidth(TUIMethod):
            """
            Shows network bandwidth.
            """
        class set(TUIMethod):
            """
            Enters the set parallel parameters menu.
            """
        class check(TUIMethod):
            """
            Performs checks of various factors that affect parallel performance.
            """
        class multidomain(TUIMethod):
            """
            Enters the multidomain architecture menu.
            """
        class network(TUIMethod):
            """
            Enter the network configuration menu.
            """
        class partition(TUIMethod):
            """
            Enters the partition domain menu.
            """
        class thread_number_control(TUIMethod):
            """
            Thread number control.
            """

        class gpgpu(TUIMenu):
            """
            Enters the GPGPU menu.
            """
            def __init__(self, service, version, mode, path):
                self.show = self.__class__.show(service, version, mode, path + ["show"])
                self.select = self.__class__.select(service, version, mode, path + ["select"])
                super().__init__(service, version, mode, path)
            class show(TUIMethod):
                """
                Lists the available GPGPUs. GPGPUs selected for use are indicated by the presence of an asterisk (\\*).
                """
            class select(TUIMethod):
                """
                Selects which GPGPUs to use for AMG acceleration.
                """

    class server(TUIMenu):
        """
        Enter the server menu.
        """
        def __init__(self, service, version, mode, path):
            self.start_server = self.__class__.start_server(service, version, mode, path + ["start_server"])
            self.shutdown_server = self.__class__.shutdown_server(service, version, mode, path + ["shutdown_server"])
            self.print_connected_clients = self.__class__.print_connected_clients(service, version, mode, path + ["print_connected_clients"])
            self.start_web_server = self.__class__.start_web_server(service, version, mode, path + ["start_web_server"])
            self.stop_web_server = self.__class__.stop_web_server(service, version, mode, path + ["stop_web_server"])
            self.start_client = self.__class__.start_client(service, version, mode, path + ["start_client"])
            self.print_server_address = self.__class__.print_server_address(service, version, mode, path + ["print_server_address"])
            self.write_or_reset_server_info = self.__class__.write_or_reset_server_info(service, version, mode, path + ["write_or_reset_server_info"])
            super().__init__(service, version, mode, path)
        class start_server(TUIMethod):
            """
            Starts the server for the ANSYS Fluent remote visualization client.
            """
        class shutdown_server(TUIMethod):
            """
            Shuts-down the server and disconnects the connected client.
            """
        class print_connected_clients(TUIMethod):
            """
            Prints the name of the connected client and its IP address to the console.
            """
        class start_web_server(TUIMethod):
            """
            Start web server.
            """
        class stop_web_server(TUIMethod):
            """
            Stop web server.
            """
        class start_client(TUIMethod):
            """
            Start the ANSYS Fluent remote visualization client.
            """
        class print_server_address(TUIMethod):
            """
            Prints the host address and port number of the server to the console.
            """
        class write_or_reset_server_info(TUIMethod):
            """
            Allows you to create a new server_info.txt file (with any name you specify), which resets the password for connecting to this server session. It does not restart the server.
            """

    class file(TUIMenu):
        """
        Enter the file menu.
        """
        def __init__(self, service, version, mode, path):
            self.table_manager = self.__class__.table_manager(service, version, mode, path + ["table_manager"])
            self.auto_save = self.__class__.auto_save(service, version, mode, path + ["auto_save"])
            self.transient_export = self.__class__.transient_export(service, version, mode, path + ["transient_export"])
            self.parametric_project = self.__class__.parametric_project(service, version, mode, path + ["parametric_project"])
            self.em_mapping = self.__class__.em_mapping(service, version, mode, path + ["em_mapping"])
            self.export = self.__class__.export(service, version, mode, path + ["export"])
            self.cffio_options = self.__class__.cffio_options(service, version, mode, path + ["cffio_options"])
            self.import_ = self.__class__.import_(service, version, mode, path + ["import"])
            self.solution_files = self.__class__.solution_files(service, version, mode, path + ["solution_files"])
            self.fsi = self.__class__.fsi(service, version, mode, path + ["fsi"])
            self.project = self.__class__.project(service, version, mode, path + ["project[beta]"])
            self.interpolate = self.__class__.interpolate(service, version, mode, path + ["interpolate"])
            self.write_case_data = self.__class__.write_case_data(service, version, mode, path + ["write_case_data"])
            self.set_err_on_inval_cmd = self.__class__.set_err_on_inval_cmd(service, version, mode, path + ["set_err_on_inval_cmd"])
            self.write_selected_defined_profiles = self.__class__.write_selected_defined_profiles(service, version, mode, path + ["write_selected_defined_profiles"])
            self.read_case_info = self.__class__.read_case_info(service, version, mode, path + ["read_case_info"])
            self.stop_journal = self.__class__.stop_journal(service, version, mode, path + ["stop_journal"])
            self.read_macros = self.__class__.read_macros(service, version, mode, path + ["read_macros"])
            self.read_profile = self.__class__.read_profile(service, version, mode, path + ["read_profile"])
            self.read_case_settings = self.__class__.read_case_settings(service, version, mode, path + ["read_case_settings"])
            self.write_circumferential_averaged_profile = self.__class__.write_circumferential_averaged_profile(service, version, mode, path + ["write_circumferential_averaged_profile"])
            self.write_field_functions = self.__class__.write_field_functions(service, version, mode, path + ["write_field_functions"])
            self.stop_transcript = self.__class__.stop_transcript(service, version, mode, path + ["stop_transcript"])
            self.read_rays = self.__class__.read_rays(service, version, mode, path + ["read_rays"])
            self.read_isat_table = self.__class__.read_isat_table(service, version, mode, path + ["read_isat_table"])
            self.read_data = self.__class__.read_data(service, version, mode, path + ["read_data"])
            self.write_fan_profile = self.__class__.write_fan_profile(service, version, mode, path + ["write_fan_profile"])
            self.read_journal = self.__class__.read_journal(service, version, mode, path + ["read_journal"])
            self.write_pdf = self.__class__.write_pdf(service, version, mode, path + ["write_pdf"])
            self.binary_legacy_files = self.__class__.binary_legacy_files(service, version, mode, path + ["binary_legacy_files"])
            self.set_idle_timeout = self.__class__.set_idle_timeout(service, version, mode, path + ["set_idle_timeout"])
            self.write_pdat = self.__class__.write_pdat(service, version, mode, path + ["write_pdat"])
            self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
            self.stop_macro = self.__class__.stop_macro(service, version, mode, path + ["stop_macro"])
            self.confirm_overwrite = self.__class__.confirm_overwrite(service, version, mode, path + ["confirm_overwrite"])
            self.write_cleanup_script = self.__class__.write_cleanup_script(service, version, mode, path + ["write_cleanup_script"])
            self.load_act_tool = self.__class__.load_act_tool(service, version, mode, path + ["load_act_tool"])
            self.close_without_save = self.__class__.close_without_save(service, version, mode, path + ["close_without_save"])
            self.reload_setup = self.__class__.reload_setup(service, version, mode, path + ["reload_setup"])
            self.replace_mesh = self.__class__.replace_mesh(service, version, mode, path + ["replace_mesh"])
            self.sync_workbench = self.__class__.sync_workbench(service, version, mode, path + ["sync_workbench"])
            self.start_journal = self.__class__.start_journal(service, version, mode, path + ["start_journal"])
            self.read_surface_clusters = self.__class__.read_surface_clusters(service, version, mode, path + ["read_surface_clusters"])
            self.read_case = self.__class__.read_case(service, version, mode, path + ["read_case"])
            self.set_batch_options = self.__class__.set_batch_options(service, version, mode, path + ["set_batch_options"])
            self.write_injections = self.__class__.write_injections(service, version, mode, path + ["write_injections"])
            self.export_to_cfd_post = self.__class__.export_to_cfd_post(service, version, mode, path + ["export_to_cfd_post"])
            self.data_file_options = self.__class__.data_file_options(service, version, mode, path + ["data_file_options"])
            self.read_field_functions = self.__class__.read_field_functions(service, version, mode, path + ["read_field_functions"])
            self.read_injections = self.__class__.read_injections(service, version, mode, path + ["read_injections"])
            self.show_configuration = self.__class__.show_configuration(service, version, mode, path + ["show_configuration"])
            self.set_target_reference_frame_for_write_profiles = self.__class__.set_target_reference_frame_for_write_profiles(service, version, mode, path + ["set_target_reference_frame_for_write_profiles"])
            self.read_settings = self.__class__.read_settings(service, version, mode, path + ["read_settings"])
            self.write_profile = self.__class__.write_profile(service, version, mode, path + ["write_profile"])
            self.write_boundary_mesh = self.__class__.write_boundary_mesh(service, version, mode, path + ["write_boundary_mesh"])
            self.read_transient_table = self.__class__.read_transient_table(service, version, mode, path + ["read_transient_table"])
            self.write_merge_profiles = self.__class__.write_merge_profiles(service, version, mode, path + ["write_merge_profiles"])
            self.write_currently_defined_profiles = self.__class__.write_currently_defined_profiles(service, version, mode, path + ["write_currently_defined_profiles"])
            self.write_case = self.__class__.write_case(service, version, mode, path + ["write_case"])
            self.read_case_data = self.__class__.read_case_data(service, version, mode, path + ["read_case_data"])
            self.async_optimize = self.__class__.async_optimize(service, version, mode, path + ["async_optimize"])
            self.read_viewfactors = self.__class__.read_viewfactors(service, version, mode, path + ["read_viewfactors"])
            self.define_macro = self.__class__.define_macro(service, version, mode, path + ["define_macro"])
            self.single_precision_coordinates = self.__class__.single_precision_coordinates(service, version, mode, path + ["single_precision_coordinates"])
            self.set_tui_version = self.__class__.set_tui_version(service, version, mode, path + ["set_tui_version"])
            self.cff_files = self.__class__.cff_files(service, version, mode, path + ["cff_files"])
            self.write_macros = self.__class__.write_macros(service, version, mode, path + ["write_macros"])
            self.write_isat_table = self.__class__.write_isat_table(service, version, mode, path + ["write_isat_table"])
            self.read_pdf = self.__class__.read_pdf(service, version, mode, path + ["read_pdf"])
            self.execute_macro = self.__class__.execute_macro(service, version, mode, path + ["execute_macro"])
            self.start_transcript = self.__class__.start_transcript(service, version, mode, path + ["start_transcript"])
            self.write_flamelet = self.__class__.write_flamelet(service, version, mode, path + ["write_flamelet"])
            self.write_settings = self.__class__.write_settings(service, version, mode, path + ["write_settings"])
            super().__init__(service, version, mode, path)
        class write_case_data(TUIMethod):
            """
            Writes a case and a data file.
            """
        class set_err_on_inval_cmd(TUIMethod):
            """
            Set whether to abort journal replay on invalid command.
            """
        class write_selected_defined_profiles(TUIMethod):
            """
            Set profile names, only these profile names which will be used during writing of \\*.csv profiles.
            """
        class read_case_info(TUIMethod):
            """
            Read basic case info.
            """
        class stop_journal(TUIMethod):
            """
            Stop recording input and close the journal file.
            """
        class read_macros(TUIMethod):
            """
            Reads macro definitions from a file.
            """
        class read_profile(TUIMethod):
            """
            Reads boundary profile data.
            """
        class read_case_settings(TUIMethod):
            """
            Read a case file while skipping mesh elements.
            """
        class write_circumferential_averaged_profile(TUIMethod):
            """
            Write surface data as a boundary profile file. To use \\*.csv format specify filename with .csv suffix.
            """
        class write_field_functions(TUIMethod):
            """
            Writes the currently defined custom field functions to a file.
            """
        class stop_transcript(TUIMethod):
            """
            Stop recording input and output and close the transcript file.
            """
        class read_rays(TUIMethod):
            """
            Reads a ray file.
            """
        class read_isat_table(TUIMethod):
            """
            Reads ISAT Table.
            """
        class read_data(TUIMethod):
            """
            Reads a data file.
            """
        class write_fan_profile(TUIMethod):
            """
            Computes radial profiles for a fan zone and writes them to a profile file.
            """
        class read_journal(TUIMethod):
            """
            Read a journal file.
            """
        class write_pdf(TUIMethod):
            """
            Writes a pdf file.
            """
        class binary_legacy_files(TUIMethod):
            """
            Indicate whether to write binary or text format case and data files.
            """
        class set_idle_timeout(TUIMethod):
            """
            Set the idle timeout.
            """
        class write_pdat(TUIMethod):
            """
            Enables / disables the attempt to save .pdat files. Note that this text command is no longer supported.
            """
        class write_data(TUIMethod):
            """
            Writes a data file.
            """
        class stop_macro(TUIMethod):
            """
            Stops recording input to a macro.
            """
        class confirm_overwrite(TUIMethod):
            """
            Indicate whether or not to confirm attempts to overwrite existing files.
            """
        class write_cleanup_script(TUIMethod):
            """
            Writes the cleanup-script-file for ANSYS Fluent.
            """
        class load_act_tool(TUIMethod):
            """
            Load ACT Start Page.
            """
        class close_without_save(TUIMethod):
            """
            Exits ANSYS Fluent without saving data in Workbench. This command is only available when running ANSYS Fluent in Workbench.
            """
        class reload_setup(TUIMethod):
            """
            Discards any changes in the current ANSYS Fluent in Workbench session and removes any corresponding data from the Solution cell. This command is only available when running ANSYS Fluent in Workbench.
            """
        class replace_mesh(TUIMethod):
            """
            Replaces the mesh with a new one while preserving settings.
            """
        class sync_workbench(TUIMethod):
            """
            Directly updates Workbench with the most recent Fluent changes. This command is only available when running ANSYS Fluent in Workbench.
            """
        class start_journal(TUIMethod):
            """
            Start recording all input in a file.
            """
        class read_surface_clusters(TUIMethod):
            """
            Reads surface clusters from a file.
            """
        class read_case(TUIMethod):
            """
            Read a case file.
            """
        class set_batch_options(TUIMethod):
            """
            Sets the batch options.
            """
        class write_injections(TUIMethod):
            """
            Writes out selected DPM injections to a file.
            """
        class export_to_cfd_post(TUIMethod):
            """
            Exports data files that are compatible with CFD-Post and EnSight (that is, .cdat and .cst files) and opens CFD-Post, if desired.
            """
        class data_file_options(TUIMethod):
            """
            Sets derived quantities to be written in data file.
            """
        class read_field_functions(TUIMethod):
            """
            Reads custom field function definitions from a file.
            """
        class read_injections(TUIMethod):
            """
            Reads all DPM injections from a file.
            """
        class show_configuration(TUIMethod):
            """
            Display current release and version information.
            """
        class set_target_reference_frame_for_write_profiles(TUIMethod):
            """
            Set reference frame options, which will be used for position transformation during writing of profiles.
            """
        class read_settings(TUIMethod):
            """
            Reads and sets boundary conditions from a specified file.
            """
        class write_profile(TUIMethod):
            """
            Writes surface data as a boundary profile file.
            """
        class write_boundary_mesh(TUIMethod):
            """
            Writes the boundary mesh to a file.
            """
        class read_transient_table(TUIMethod):
            """
            Reads table of transient boundary profile data.
            """
        class write_merge_profiles(TUIMethod):
            """
            Writes a .csv file with the selected surfaces consolidated into one set of data points.
            """
        class write_currently_defined_profiles(TUIMethod):
            """
            Write currently defined profiles. To use \\*.csv format specify filename with .csv suffix.
            """
        class write_case(TUIMethod):
            """
            Write a case file.
            """
        class read_case_data(TUIMethod):
            """
            Reads a case and a data file.
            """
        class async_optimize(TUIMethod):
            """
            Chooses whether to optimize file I/O using scratch disks and asynchronous operations.
            """
        class read_viewfactors(TUIMethod):
            """
            Reads view factors from a file.
            """
        class define_macro(TUIMethod):
            """
            Saves input to a named macro.
            """
        class single_precision_coordinates(TUIMethod):
            """
            Specifies whether the nodal coordinates should be written in single precision (rather than the default double precision). This text command is only available in the single-precision version of ANSYS Fluent.
            """
        class set_tui_version(TUIMethod):
            """
            Set the version of the TUI commands.
            """
        class cff_files(TUIMethod):
            """
            Indicate whether to write ANSYS common fluids format (CFF) files or legacy case and data files.
            """
        class write_macros(TUIMethod):
            """
            Writes the currently defined macros to a file.
            """
        class write_isat_table(TUIMethod):
            """
            Writes ISAT Table.
            """
        class read_pdf(TUIMethod):
            """
            Reads a PDF file.
            """
        class execute_macro(TUIMethod):
            """
            Runs a previously defined macro.
            """
        class start_transcript(TUIMethod):
            """
            Start recording input and output in a file.
            """
        class write_flamelet(TUIMethod):
            """
            Writes a flamelet file.
            """
        class write_settings(TUIMethod):
            """
            Writes out current boundary conditions in use.
            """

        class table_manager(TUIMenu):
            """
            Enters the table file manager menu.
            """
            def __init__(self, service, version, mode, path):
                self.read_rgp_file = self.__class__.read_rgp_file(service, version, mode, path + ["read_rgp_file"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list_matrix_data = self.__class__.list_matrix_data(service, version, mode, path + ["list_matrix_data"])
                self.read_matrix_data_file = self.__class__.read_matrix_data_file(service, version, mode, path + ["read_matrix_data_file"])
                self.list_tables = self.__class__.list_tables(service, version, mode, path + ["list_tables"])
                self.store_in_case_file = self.__class__.store_in_case_file(service, version, mode, path + ["store_in_case_file"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                super().__init__(service, version, mode, path)
            class read_rgp_file(TUIMethod):
                """
                Imports a set of Real Gas Property (RGP) tables from a file into local storage.
                """
            class delete(TUIMethod):
                """
                Deletes a table from local storage.
                """
            class list_matrix_data(TUIMethod):
                """
                Lists the data of a “matrix” type locally-stored table.
                """
            class read_matrix_data_file(TUIMethod):
                """
                Imports a “matrix” type table from a file into local storage.
                """
            class list_tables(TUIMethod):
                """
                Lists all locally-stored tables.
                """
            class store_in_case_file(TUIMethod):
                """
                Sets the persistence mode for RGP tables (embedded in case file or rely on external file).
                """
            class rename(TUIMethod):
                """
                Renames a locally-stored table.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a locally-stored table.
                """

        class auto_save(TUIMenu):
            """
            Enters the auto save menu.
            """
            def __init__(self, service, version, mode, path):
                self.case_frequency = self.__class__.case_frequency(service, version, mode, path + ["case_frequency"])
                self.data_frequency = self.__class__.data_frequency(service, version, mode, path + ["data_frequency"])
                self.retain_most_recent_files = self.__class__.retain_most_recent_files(service, version, mode, path + ["retain_most_recent_files"])
                self.save_data_file_every = self.__class__.save_data_file_every(service, version, mode, path + ["save_data_file_every"])
                self.max_files = self.__class__.max_files(service, version, mode, path + ["max_files"])
                self.root_name = self.__class__.root_name(service, version, mode, path + ["root_name"])
                self.append_file_name_with = self.__class__.append_file_name_with(service, version, mode, path + ["append_file_name_with"])
                super().__init__(service, version, mode, path)
            class case_frequency(TUIMethod):
                """
                Specifies the frequency (in iterations, time steps, or flow time) with which case files are saved.
                """
            class data_frequency(TUIMethod):
                """
                Specifies the frequency (in iterations, time steps, or flow time) with which data files are saved.
                """
            class retain_most_recent_files(TUIMethod):
                """
                Sets autosave to retain the 5 most recent files.
                """
            class save_data_file_every(TUIMethod):
                """
                Specifies the type and frequency of the data file to be saved.
                """
            class max_files(TUIMethod):
                """
                Sets the maximum number of files. Once the maximum is reached, files will be erased as new files are written.
                """
            class root_name(TUIMethod):
                """
                Specifies the root name for the files that are saved.
                """
            class append_file_name_with(TUIMethod):
                """
                Sets the suffix for auto-saved files. The file name can be appended by flow-time, time-step value, or by user-specified flags in file name.
                """

        class transient_export(TUIMenu):
            """
            Enter the export menu.
            """
            def __init__(self, service, version, mode, path):
                self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
                self.fieldview_unstruct_data = self.__class__.fieldview_unstruct_data(service, version, mode, path + ["fieldview_unstruct_data"])
                self.patran_neutral = self.__class__.patran_neutral(service, version, mode, path + ["patran_neutral"])
                self.fast_solution = self.__class__.fast_solution(service, version, mode, path + ["fast_solution"])
                self.nastran = self.__class__.nastran(service, version, mode, path + ["nastran"])
                self.ensight_dvs_volume = self.__class__.ensight_dvs_volume(service, version, mode, path + ["ensight_dvs_volume"])
                self.ensight_gold_from_existing_files = self.__class__.ensight_gold_from_existing_files(service, version, mode, path + ["ensight_gold_from_existing_files"])
                self.cdat_for_cfd_post__and__ensight = self.__class__.cdat_for_cfd_post__and__ensight(service, version, mode, path + ["cdat_for_cfd_post__and__ensight"])
                self.ensight_gold_transient = self.__class__.ensight_gold_transient(service, version, mode, path + ["ensight_gold_transient"])
                self.ensight_dvs_surfaces = self.__class__.ensight_dvs_surfaces(service, version, mode, path + ["ensight_dvs_surfaces"])
                self.fieldview_unstruct_surfaces = self.__class__.fieldview_unstruct_surfaces(service, version, mode, path + ["fieldview_unstruct_surfaces"])
                self.abaqus = self.__class__.abaqus(service, version, mode, path + ["abaqus"])
                self.particle_history_data = self.__class__.particle_history_data(service, version, mode, path + ["particle_history_data"])
                self.fieldview_unstruct_mesh = self.__class__.fieldview_unstruct_mesh(service, version, mode, path + ["fieldview_unstruct_mesh"])
                self.common_fluids_format_post = self.__class__.common_fluids_format_post(service, version, mode, path + ["common_fluids_format_post"])
                self.avs = self.__class__.avs(service, version, mode, path + ["avs"])
                self.fieldview_unstruct = self.__class__.fieldview_unstruct(service, version, mode, path + ["fieldview_unstruct"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.cgns = self.__class__.cgns(service, version, mode, path + ["cgns"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.dx = self.__class__.dx(service, version, mode, path + ["dx"])
                self.fieldview_xdb = self.__class__.fieldview_xdb(service, version, mode, path + ["fieldview_xdb"])
                self.ideas = self.__class__.ideas(service, version, mode, path + ["ideas"])
                self.tecplot = self.__class__.tecplot(service, version, mode, path + ["tecplot"])
                self.fast = self.__class__.fast(service, version, mode, path + ["fast"])
                self.taitherm = self.__class__.taitherm(service, version, mode, path + ["taitherm"])
                self.mechanical_apdl_input = self.__class__.mechanical_apdl_input(service, version, mode, path + ["mechanical_apdl_input"])
                self.ascii = self.__class__.ascii(service, version, mode, path + ["ascii"])
                self.ensight_gold_parallel_surfaces = self.__class__.ensight_gold_parallel_surfaces(service, version, mode, path + ["ensight_gold_parallel_surfaces"])
                self.ensight_gold_parallel_volume = self.__class__.ensight_gold_parallel_volume(service, version, mode, path + ["ensight_gold_parallel_volume"])
                super().__init__(service, version, mode, path)
            class fieldview_unstruct_data(TUIMethod):
                """
                Writes a FIELDVIEW unstructured results only file.
                """
            class patran_neutral(TUIMethod):
                """
                Writes a PATRAN neutral file.
                """
            class fast_solution(TUIMethod):
                """
                Writes a FAST/Plot3D unstructured solution file.
                """
            class nastran(TUIMethod):
                """
                Writes a NASTRAN file.
                """
            class ensight_dvs_volume(TUIMethod):
                """
                Write post-processing data(geometry, velocity and scalars) for cell zones and boundaries attached to them using EnSight Dynamic Visualization Store Interface.
                """
            class ensight_gold_from_existing_files(TUIMethod):
                """
                Writes EnSight Gold files using ANSYS Fluent case files.
                """
            class cdat_for_cfd_post__and__ensight(TUIMethod):
                """
                Write a CDAT for CFD-Post & EnSight file.
                """
            class ensight_gold_transient(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files.
                """
            class ensight_dvs_surfaces(TUIMethod):
                """
                Write post-processing data(geometry, velocity and scalars) for surfaces using EnSight Dynamic Visualization Store Interface.
                """
            class fieldview_unstruct_surfaces(TUIMethod):
                """
                Writes FIELDVIEW unstructured combined file for surfaces.
                """
            class abaqus(TUIMethod):
                """
                Writes an ABAQUS file.
                """
            class particle_history_data(TUIMethod):
                """
                Sets up an automatic particle-history data export.
                """
            class fieldview_unstruct_mesh(TUIMethod):
                """
                Writes a FIELDVIEW unstructured mesh only file.
                """
            class common_fluids_format_post(TUIMethod):
                """
                Write an CFF Post-Only file.
                """
            class avs(TUIMethod):
                """
                Writes an AVS UCD file.
                """
            class fieldview_unstruct(TUIMethod):
                """
                Writes a FIELDVIEW unstructured combined file.
                """
            class edit(TUIMethod):
                """
                Edits transient exports.
                """
            class cgns(TUIMethod):
                """
                Writes a CGNS file.
                """
            class delete(TUIMethod):
                """
                Deletes transient exports.
                """
            class dx(TUIMethod):
                """
                Writes an IBM Data Explorer format file.
                """
            class fieldview_xdb(TUIMethod):
                """
                Write a FieldView XDB format file.
                """
            class ideas(TUIMethod):
                """
                Writes an I-deas universal file.
                """
            class tecplot(TUIMethod):
                """
                Write a Tecplot+3DV format file.
                """
            class fast(TUIMethod):
                """
                Writes a FAST/Plot3D unstructured mesh velocity scalar file.
                """
            class taitherm(TUIMethod):
                """
                Writes a TAITherm file.
                """
            class mechanical_apdl_input(TUIMethod):
                """
                Writes a Mechanical APDL input file.
                """
            class ascii(TUIMethod):
                """
                Writes an ASCII file.
                """
            class ensight_gold_parallel_surfaces(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files for surfaces in a parallel format suitable for ANSYS Ensight Enterprise.
                """
            class ensight_gold_parallel_volume(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files for cell zones in a parallel format suitable for ANSYS Ensight Enterprise.
                """

            class settings(TUIMenu):
                """
                Enters the automatic export settings menu.
                """
                def __init__(self, service, version, mode, path):
                    self.cfd_post_compatible = self.__class__.cfd_post_compatible(service, version, mode, path + ["cfd_post_compatible"])
                    super().__init__(service, version, mode, path)
                class cfd_post_compatible(TUIMethod):
                    """
                    Specifies when case files are written with the .cdat and .cst files exported for Ansys CFD-Post. Note that this setting is ignored if the Write Case File Every Time option is enabled in the Automatic Export dialog box, which is always the case starting in Release 2021 R1.
                    """

        class parametric_project(TUIMenu):
            """
            Enter to open, save, archive parametric project.
            """
            def __init__(self, service, version, mode, path):
                self.save_as = self.__class__.save_as(service, version, mode, path + ["save_as"])
                self.open = self.__class__.open(service, version, mode, path + ["open"])
                self.archive = self.__class__.archive(service, version, mode, path + ["archive"])
                self.save = self.__class__.save(service, version, mode, path + ["save"])
                self.save_a_copy = self.__class__.save_a_copy(service, version, mode, path + ["save_a_copy"])
                super().__init__(service, version, mode, path)
            class save_as(TUIMethod):
                """
                Save As Project.
                """
            class open(TUIMethod):
                """
                Open project.
                """
            class archive(TUIMethod):
                """
                Archive Project.
                """
            class save(TUIMethod):
                """
                Save Project.
                """
            class save_a_copy(TUIMethod):
                """
                Save a Copy.
                """

        class em_mapping(TUIMenu):
            """
            Enters the electromagnetic loss mapping menu.
            """
            def __init__(self, service, version, mode, path):
                self.volumetric_energy_source = self.__class__.volumetric_energy_source(service, version, mode, path + ["volumetric_energy_source"])
                self.remove_loss_only = self.__class__.remove_loss_only(service, version, mode, path + ["remove_loss_only"])
                self.maintain_loss_on_initialization = self.__class__.maintain_loss_on_initialization(service, version, mode, path + ["maintain_loss_on_initialization"])
                self.surface_energy_source = self.__class__.surface_energy_source(service, version, mode, path + ["surface_energy_source"])
                super().__init__(service, version, mode, path)
            class volumetric_energy_source(TUIMethod):
                """
                Loss data provided by Ansoft will be assigned to Fluent for selected cell zones.
                """
            class remove_loss_only(TUIMethod):
                """
                Removes the loss data provided by Maxwell and keeps all other solution data.
                """
            class maintain_loss_on_initialization(TUIMethod):
                """
                Maintains the loss data provided by Maxwell even if solution is initialized.
                """
            class surface_energy_source(TUIMethod):
                """
                Loss data provided by Ansoft will be assigned to Fluent for selected wall zones.
                """

        class export(TUIMenu):
            """
            Enter the export menu.
            """
            def __init__(self, service, version, mode, path):
                self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
                self.custom_heat_flux = self.__class__.custom_heat_flux(service, version, mode, path + ["custom_heat_flux"])
                self.ensight_gold = self.__class__.ensight_gold(service, version, mode, path + ["ensight_gold"])
                self.fieldview = self.__class__.fieldview(service, version, mode, path + ["fieldview"])
                self.nastran = self.__class__.nastran(service, version, mode, path + ["nastran"])
                self.ensight_gold_parallel_surfaces = self.__class__.ensight_gold_parallel_surfaces(service, version, mode, path + ["ensight_gold_parallel_surfaces"])
                self.fieldview_unstruct = self.__class__.fieldview_unstruct(service, version, mode, path + ["fieldview_unstruct"])
                self.avs = self.__class__.avs(service, version, mode, path + ["avs"])
                self.system_coupling_definition_file_settings = self.__class__.system_coupling_definition_file_settings(service, version, mode, path + ["system_coupling_definition_file_settings"])
                self.tecplot = self.__class__.tecplot(service, version, mode, path + ["tecplot"])
                self.icemcfd_for_icepak = self.__class__.icemcfd_for_icepak(service, version, mode, path + ["icemcfd_for_icepak"])
                self.abaqus = self.__class__.abaqus(service, version, mode, path + ["abaqus"])
                self.ascii = self.__class__.ascii(service, version, mode, path + ["ascii"])
                self.patran_nodal = self.__class__.patran_nodal(service, version, mode, path + ["patran_nodal"])
                self.dx = self.__class__.dx(service, version, mode, path + ["dx"])
                self.fast_solution = self.__class__.fast_solution(service, version, mode, path + ["fast_solution"])
                self.ensight_gold_parallel_volume = self.__class__.ensight_gold_parallel_volume(service, version, mode, path + ["ensight_gold_parallel_volume"])
                self.fieldview_unstruct_data = self.__class__.fieldview_unstruct_data(service, version, mode, path + ["fieldview_unstruct_data"])
                self.ensight_dvs_volume = self.__class__.ensight_dvs_volume(service, version, mode, path + ["ensight_dvs_volume"])
                self.particle_history_data = self.__class__.particle_history_data(service, version, mode, path + ["particle_history_data"])
                self.fieldview_unstruct_mesh = self.__class__.fieldview_unstruct_mesh(service, version, mode, path + ["fieldview_unstruct_mesh"])
                self.patran_neutral = self.__class__.patran_neutral(service, version, mode, path + ["patran_neutral"])
                self.fieldview_xdb = self.__class__.fieldview_xdb(service, version, mode, path + ["fieldview_xdb"])
                self.mechanical_apdl = self.__class__.mechanical_apdl(service, version, mode, path + ["mechanical_apdl"])
                self.fast_scalar = self.__class__.fast_scalar(service, version, mode, path + ["fast_scalar"])
                self.mechanical_apdl_input = self.__class__.mechanical_apdl_input(service, version, mode, path + ["mechanical_apdl_input"])
                self.fieldview_data = self.__class__.fieldview_data(service, version, mode, path + ["fieldview_data"])
                self.common_fluids_format_post = self.__class__.common_fluids_format_post(service, version, mode, path + ["common_fluids_format_post"])
                self.cgns = self.__class__.cgns(service, version, mode, path + ["cgns"])
                self.ideas = self.__class__.ideas(service, version, mode, path + ["ideas"])
                self.ensight_dvs_surfaces = self.__class__.ensight_dvs_surfaces(service, version, mode, path + ["ensight_dvs_surfaces"])
                self.cdat_for_cfd_post__and__ensight = self.__class__.cdat_for_cfd_post__and__ensight(service, version, mode, path + ["cdat_for_cfd_post__and__ensight"])
                self.fast_velocity = self.__class__.fast_velocity(service, version, mode, path + ["fast_velocity"])
                self.gambit = self.__class__.gambit(service, version, mode, path + ["gambit"])
                self.ensight = self.__class__.ensight(service, version, mode, path + ["ensight"])
                self.fieldview_unstruct_surfaces = self.__class__.fieldview_unstruct_surfaces(service, version, mode, path + ["fieldview_unstruct_surfaces"])
                self.taitherm = self.__class__.taitherm(service, version, mode, path + ["taitherm"])
                self.fast_mesh = self.__class__.fast_mesh(service, version, mode, path + ["fast_mesh"])
                super().__init__(service, version, mode, path)
            class custom_heat_flux(TUIMethod):
                """
                Writes a generic file for heat transfer.
                """
            class ensight_gold(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files.
                """
            class fieldview(TUIMethod):
                """
                Writes FIELDVIEW case and data files.
                """
            class nastran(TUIMethod):
                """
                Write a NASTRAN file.
                """
            class ensight_gold_parallel_surfaces(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files for surfaces in a parallel format suitable for ANSYS Ensight Enterprise.
                """
            class fieldview_unstruct(TUIMethod):
                """
                Writes FIELDVIEW unstructured combined file.
                """
            class avs(TUIMethod):
                """
                Writes an AVS UCD file.
                """
            class system_coupling_definition_file_settings(TUIMethod):
                """
                Enters the system coupling file (.scp) menu.
                """
            class tecplot(TUIMethod):
                """
                Writes a Tecplot+3DV format file.
                """
            class icemcfd_for_icepak(TUIMethod):
                """
                Writes a binary ICEM CFD domain file.
                """
            class abaqus(TUIMethod):
                """
                Writes an ABAQUS file.
                """
            class ascii(TUIMethod):
                """
                Writes an ASCII file.
                """
            class patran_nodal(TUIMethod):
                """
                Writes a PATRAN nodal results file.
                """
            class dx(TUIMethod):
                """
                Writes an IBM Data Explorer format file.
                """
            class fast_solution(TUIMethod):
                """
                Writes FAST/Plot3D unstructured solution file.
                """
            class ensight_gold_parallel_volume(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files for cell zones in a parallel format suitable for ANSYS Ensight Enterprise.
                """
            class fieldview_unstruct_data(TUIMethod):
                """
                Writes FIELDVIEW unstructured results-only file.
                """
            class ensight_dvs_volume(TUIMethod):
                """
                Write post-processing data(geometry, velocity and scalars) for cell zones and boundaries attached to them using EnSight Dynamic Visualization Store Interface.
                """
            class particle_history_data(TUIMethod):
                """
                Exports particle-history data.
                """
            class fieldview_unstruct_mesh(TUIMethod):
                """
                Writes FIELDVIEW unstructured mesh-only file.
                """
            class patran_neutral(TUIMethod):
                """
                Writes a PATRAN neutral file.
                """
            class fieldview_xdb(TUIMethod):
                """
                Write a FieldView XDB format file.
                """
            class mechanical_apdl(TUIMethod):
                """
                Write an Mechanical APDL file.
                """
            class fast_scalar(TUIMethod):
                """
                Writes FAST/Plot3D unstructured scalar function file.
                """
            class mechanical_apdl_input(TUIMethod):
                """
                Writes a Mechanical APDL Input file.
                """
            class fieldview_data(TUIMethod):
                """
                Writes FIELDVIEW case and data files.
                """
            class common_fluids_format_post(TUIMethod):
                """
                Writes common fluids format files (.cas.post and .dat.post) for mesh and data, respectively. These files are saved in the hierarchical data format.
                """
            class cgns(TUIMethod):
                """
                Write a CGNS file.
                """
            class ideas(TUIMethod):
                """
                Writes an I-deas universal file.
                """
            class ensight_dvs_surfaces(TUIMethod):
                """
                Write post-processing data(geometry, velocity and scalars) for surfaces using EnSight Dynamic Visualization Store Interface.
                """
            class cdat_for_cfd_post__and__ensight(TUIMethod):
                """
                Write a CDAT for CFD-Post & EnSight file.
                """
            class fast_velocity(TUIMethod):
                """
                Writes FAST/Plot3D unstructured vector function file.
                """
            class gambit(TUIMethod):
                """
                Writes GAMBIT neutral file.
                """
            class ensight(TUIMethod):
                """
                Writes EnSight geometry, velocity, and scalar files.
                """
            class fieldview_unstruct_surfaces(TUIMethod):
                """
                Writes FIELDVIEW unstructured file for surfaces. You are prompted to select either [1], [2] or [3] to write either mesh-only, results-only, or combined for surfaces (respectively).
                """
            class taitherm(TUIMethod):
                """
                Exports TAITherm file.
                """
            class fast_mesh(TUIMethod):
                """
                Writes FAST/Plot3D unstructured mesh file.
                """

            class settings(TUIMenu):
                """
                Enter the export settings menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set_cgns_export_filetype = self.__class__.set_cgns_export_filetype(service, version, mode, path + ["set_cgns_export_filetype"])
                    super().__init__(service, version, mode, path)
                class set_cgns_export_filetype(TUIMethod):
                    """
                    Select HDF5 or ADF as file format for CGNS.
                    """

        class cffio_options(TUIMenu):
            """
            Enters the cffio options menu, which provides options for the I/O of case and data files in the Common Fluids Format (CFF).
            """
            def __init__(self, service, version, mode, path):
                self.io_mode = self.__class__.io_mode(service, version, mode, path + ["io_mode"])
                self.compression_level = self.__class__.compression_level(service, version, mode, path + ["compression_level"])
                self.single_precision_data = self.__class__.single_precision_data(service, version, mode, path + ["single_precision_data"])
                super().__init__(service, version, mode, path)
            class io_mode(TUIMethod):
                """
                Sets the I/O mode for writing CFF files.
                1. HOST: I/O is done serially by the host process.
                2. NODE0: I/O is done serially by the node 0 process.
                3. PARALLEL INDEPENDENT: I/O is done in parallel using the independent mode of MPI I/O.
                4. PARALLEL COLLECTIVE: I/O is done in parallel using the collective mode of MPI I/O.
                """
            class compression_level(TUIMethod):
                """
                Sets the compression level for CFF files. The compression level can be set between 0 and 9 with 0 being least compression (fastest) and 9 being highest compression (slowest).
                """
            class single_precision_data(TUIMethod):
                """
                Specifies whether the double-precision solver saves single-precision data when writing CFF data files, in order to reduce the size of the files.
                """

        class import_(TUIMenu):
            """
            Enter the import menu.
            """
            def __init__(self, service, version, mode, path):
                self.nastran = self.__class__.nastran(service, version, mode, path + ["nastran"])
                self.mechanical_apdl = self.__class__.mechanical_apdl(service, version, mode, path + ["mechanical_apdl"])
                self.cfx = self.__class__.cfx(service, version, mode, path + ["cfx"])
                self.plot3d = self.__class__.plot3d(service, version, mode, path + ["plot3d"])
                self.cgns = self.__class__.cgns(service, version, mode, path + ["cgns"])
                self.lstc = self.__class__.lstc(service, version, mode, path + ["lstc"])
                self.tecplot = self.__class__.tecplot(service, version, mode, path + ["tecplot"])
                self.partition = self.__class__.partition(service, version, mode, path + ["partition"])
                self.patran = self.__class__.patran(service, version, mode, path + ["patran"])
                self.abaqus = self.__class__.abaqus(service, version, mode, path + ["abaqus"])
                self.marc_post = self.__class__.marc_post(service, version, mode, path + ["marc_post"])
                self.hypermesh = self.__class__.hypermesh(service, version, mode, path + ["hypermesh"])
                self.fmu_file = self.__class__.fmu_file(service, version, mode, path + ["fmu_file"])
                self.chemkin_mechanism = self.__class__.chemkin_mechanism(service, version, mode, path + ["chemkin_mechanism"])
                self.fidap = self.__class__.fidap(service, version, mode, path + ["fidap"])
                self.fluent4_case = self.__class__.fluent4_case(service, version, mode, path + ["fluent4_case"])
                self.flamelet = self.__class__.flamelet(service, version, mode, path + ["flamelet"])
                self.ptc_mechanica = self.__class__.ptc_mechanica(service, version, mode, path + ["ptc_mechanica"])
                self.ideas_universal = self.__class__.ideas_universal(service, version, mode, path + ["ideas_universal"])
                self.chemkin_report_each_line = self.__class__.chemkin_report_each_line(service, version, mode, path + ["chemkin_report_each_line"])
                self.ensight = self.__class__.ensight(service, version, mode, path + ["ensight"])
                self.gambit = self.__class__.gambit(service, version, mode, path + ["gambit"])
                self.prebfc_structured = self.__class__.prebfc_structured(service, version, mode, path + ["prebfc_structured"])
                super().__init__(service, version, mode, path)
            class marc_post(TUIMethod):
                """
                Reads a MARC POST file as a case file.
                """
            class hypermesh(TUIMethod):
                """
                Reads a HYPERMESH file as a case file.
                """
            class fmu_file(TUIMethod):
                """
                Enters the import FMU file menu.
                """
            class chemkin_mechanism(TUIMethod):
                """
                Reads a CHEMKIN mechanism file.
                """
            class fidap(TUIMethod):
                """
                Imports a FIDAP neutral file.
                """
            class fluent4_case(TUIMethod):
                """
                Imports a formatted ANSYS Fluent 4 case file.
                """
            class flamelet(TUIMethod):
                """
                Imports a flamelet file.
                """
            class ptc_mechanica(TUIMethod):
                """
                Reads a PTC Mechanica Design file as a case file.
                """
            class ideas_universal(TUIMethod):
                """
                Imports an I-deas Universal file.
                """
            class chemkin_report_each_line(TUIMethod):
                """
                Enables/disables reporting after reading each line.
                """
            class ensight(TUIMethod):
                """
                Reads an EnSight file as a case file.
                """
            class gambit(TUIMethod):
                """
                Imports a GAMBIT neutral file.
                """
            class prebfc_structured(TUIMethod):
                """
                Imports a formatted PreBFC structured mesh file.
                """

            class nastran(TUIMenu):
                """
                Imports a NASTRAN file.
                """
                def __init__(self, service, version, mode, path):
                    self.bulkdata = self.__class__.bulkdata(service, version, mode, path + ["bulkdata"])
                    self.output2 = self.__class__.output2(service, version, mode, path + ["output2"])
                    super().__init__(service, version, mode, path)
                class bulkdata(TUIMethod):
                    """
                    Reads a NASTRAN file as a case file.
                    """
                class output2(TUIMethod):
                    """
                    Reads a NASTRAN op2 file as a case file.
                    """

            class mechanical_apdl(TUIMenu):
                """
                Imports a Mechanical APDL file.
                """
                def __init__(self, service, version, mode, path):
                    self.result = self.__class__.result(service, version, mode, path + ["result"])
                    self.input = self.__class__.input(service, version, mode, path + ["input"])
                    super().__init__(service, version, mode, path)
                class result(TUIMethod):
                    """
                    Reads a Mechanical APDL result file as a case file.
                    """
                class input(TUIMethod):
                    """
                    Reads a Mechanical APDL file as a case file.
                    """

            class cfx(TUIMenu):
                """
                Imports a CFX file.
                """
                def __init__(self, service, version, mode, path):
                    self.result = self.__class__.result(service, version, mode, path + ["result"])
                    self.definition = self.__class__.definition(service, version, mode, path + ["definition"])
                    super().__init__(service, version, mode, path)
                class result(TUIMethod):
                    """
                    Reads a CFX definition file as a case file.
                    """
                class definition(TUIMethod):
                    """
                    Reads a CFX definition file as a case file.
                    """

            class plot3d(TUIMenu):
                """
                Imports a PLOT3D file.
                """
                def __init__(self, service, version, mode, path):
                    self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                    super().__init__(service, version, mode, path)
                class mesh(TUIMethod):
                    """
                    Reads a PLOT3D file as a case file.
                    """

            class cgns(TUIMenu):
                """
                Imports a CGNS file.
                """
                def __init__(self, service, version, mode, path):
                    self.data = self.__class__.data(service, version, mode, path + ["data"])
                    self.mesh_data = self.__class__.mesh_data(service, version, mode, path + ["mesh_data"])
                    self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                    super().__init__(service, version, mode, path)
                class data(TUIMethod):
                    """
                    Reads data from CGNS file.
                    """
                class mesh_data(TUIMethod):
                    """
                    Imports a CGNS mesh file and data file.
                    """
                class mesh(TUIMethod):
                    """
                    Imports a CGNS mesh file.
                    """

            class lstc(TUIMenu):
                """
                Imports an LSTC file.
                """
                def __init__(self, service, version, mode, path):
                    self.input = self.__class__.input(service, version, mode, path + ["input"])
                    self.state = self.__class__.state(service, version, mode, path + ["state"])
                    super().__init__(service, version, mode, path)
                class input(TUIMethod):
                    """
                    Reads an LSTC input file as a case file.
                    """
                class state(TUIMethod):
                    """
                    Reads an LSTC result file as a case file.
                    """

            class tecplot(TUIMenu):
                """
                Enters the Tecplot menu.
                """
                def __init__(self, service, version, mode, path):
                    self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                    super().__init__(service, version, mode, path)
                class mesh(TUIMethod):
                    """
                    Reads a Tecplot binary file as a case file.
                    """

            class partition(TUIMenu):
                """
                Enters the partition menu to set conditions for partitioning an ANSYS Fluent case file during read.
                """
                def __init__(self, service, version, mode, path):
                    self.metis = self.__class__.metis(service, version, mode, path + ["metis"])
                    self.metis_zone = self.__class__.metis_zone(service, version, mode, path + ["metis_zone"])
                    super().__init__(service, version, mode, path)
                class metis(TUIMethod):
                    """
                    Reads and partitions an ANSYS Fluent case file.
                    """
                class metis_zone(TUIMethod):
                    """
                    Reads and partitions an ANSYS Fluent case file.
                    """

            class patran(TUIMenu):
                """
                Imports a PATRAN neutral file (zones defined by named components).
                """
                def __init__(self, service, version, mode, path):
                    self.neutral = self.__class__.neutral(service, version, mode, path + ["neutral"])
                    super().__init__(service, version, mode, path)
                class neutral(TUIMethod):
                    """
                    Reads a PATRAN Neutral file (zones defined by named components) as a case file.
                    """

            class abaqus(TUIMenu):
                """
                Imports an ABAQUS file.
                """
                def __init__(self, service, version, mode, path):
                    self.input = self.__class__.input(service, version, mode, path + ["input"])
                    self.odb = self.__class__.odb(service, version, mode, path + ["odb"])
                    self.fil = self.__class__.fil(service, version, mode, path + ["fil"])
                    super().__init__(service, version, mode, path)
                class input(TUIMethod):
                    """
                    Reads an ABAQUS input file as a case file.
                    """
                class odb(TUIMethod):
                    """
                    Reads an ABAQUS odb file as a case file.
                    """
                class fil(TUIMethod):
                    """
                    Reads an ABAQUS .fil result file as a case file.
                    """

        class solution_files(TUIMenu):
            """
            Enters the solution files menu.
            """
            def __init__(self, service, version, mode, path):
                self.delete_solution = self.__class__.delete_solution(service, version, mode, path + ["delete_solution"])
                self.load_solution = self.__class__.load_solution(service, version, mode, path + ["load_solution"])
                self.print_solution_files = self.__class__.print_solution_files(service, version, mode, path + ["print_solution_files"])
                super().__init__(service, version, mode, path)
            class delete_solution(TUIMethod):
                """
                Deletes solution files.
                """
            class load_solution(TUIMethod):
                """
                Loads a solution file.
                """
            class print_solution_files(TUIMethod):
                """
                Prints a list of available solution files.
                """

        class fsi(TUIMenu):
            """
            Enters the fluid-structure interaction menu.
            """
            def __init__(self, service, version, mode, path):
                self.read_fsi_mesh = self.__class__.read_fsi_mesh(service, version, mode, path + ["read_fsi_mesh"])
                self.display_fsi_mesh = self.__class__.display_fsi_mesh(service, version, mode, path + ["display_fsi_mesh"])
                self.write_fsi_mesh = self.__class__.write_fsi_mesh(service, version, mode, path + ["write_fsi_mesh"])
                self.conserve_force = self.__class__.conserve_force(service, version, mode, path + ["conserve_force"])
                super().__init__(service, version, mode, path)
            class read_fsi_mesh(TUIMethod):
                """
                Reads an FEM mesh for one-way data mapping from ANSYS Fluent.
                """
            class display_fsi_mesh(TUIMethod):
                """
                Displays the mesh for a fluid-structure interaction.
                """
            class write_fsi_mesh(TUIMethod):
                """
                Writes a fluid-structure interaction mesh file.
                """
            class conserve_force(TUIMethod):
                """
                Conserve the forces for linear line, tri and tet elements.
                """

        class project(TUIMenu):
            """
            Enter to create new project, open project, save and archive project.
            """
            def __init__(self, service, version, mode, path):
                self.open = self.__class__.open(service, version, mode, path + ["open"])
                self.new = self.__class__.new(service, version, mode, path + ["new"])
                self.archive = self.__class__.archive(service, version, mode, path + ["archive"])
                self.save_as_copy = self.__class__.save_as_copy(service, version, mode, path + ["save_as_copy"])
                self.save = self.__class__.save(service, version, mode, path + ["save"])
                self.save_as = self.__class__.save_as(service, version, mode, path + ["save_as"])
                super().__init__(service, version, mode, path)
            class open(TUIMethod):
                """
                Open project.
                """
            class new(TUIMethod):
                """
                Create New Project.
                """
            class archive(TUIMethod):
                """
                Archive Project.
                """
            class save_as_copy(TUIMethod):
                """
                Save As Copy.
                """
            class save(TUIMethod):
                """
                Save Project.
                """
            class save_as(TUIMethod):
                """
                Save As Project.
                """

        class interpolate(TUIMenu):
            """
            Interpolates data to/from another grid.
            """
            def __init__(self, service, version, mode, path):
                self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
                self.read_data = self.__class__.read_data(service, version, mode, path + ["read_data"])
                self.zone_selection = self.__class__.zone_selection(service, version, mode, path + ["zone_selection"])
                super().__init__(service, version, mode, path)
            class write_data(TUIMethod):
                """
                Writes data for interpolation.
                """
            class read_data(TUIMethod):
                """
                Reads and interpolates data.
                """
            class zone_selection(TUIMethod):
                """
                Defines a list of cell zone IDs. If specified, interpolation data will be read/written for these cell zones only.
                """

    class icing(TUIMenu):
        """
        FENSAP-ICE options.
        """
        def __init__(self, service, version, mode, path):
            self.flow = self.__class__.flow(service, version, mode, path + ["flow"])
            self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
            self.drop = self.__class__.drop(service, version, mode, path + ["drop"])
            self.ice = self.__class__.ice(service, version, mode, path + ["ice"])
            self.file = self.__class__.file(service, version, mode, path + ["file"])
            self.multishot = self.__class__.multishot(service, version, mode, path + ["multishot"])
            super().__init__(service, version, mode, path)
        class flow(TUIMethod):
            """
            Flow solver menu.
            """
        class settings(TUIMethod):
            """
            Global settings menu.
            """
        class drop(TUIMethod):
            """
            Droplet impingement menu.
            """
        class ice(TUIMethod):
            """
            Ice accretion menu.
            """
        class file(TUIMethod):
            """
            File menu.
            """
        class multishot(TUIMethod):
            """
            Multi-shot accretion menu.
            """

    class parametric_study(TUIMenu):
        """
        Enter the parametric study menu.
        """
        def __init__(self, service, version, mode, path):
            self.update = self.__class__.update(service, version, mode, path + ["update"])
            self.study = self.__class__.study(service, version, mode, path + ["study"])
            self.design_points = self.__class__.design_points(service, version, mode, path + ["design_points"])
            self.set_as_current_study = self.__class__.set_as_current_study(service, version, mode, path + ["set_as_current_study"])
            self.list_studies = self.__class__.list_studies(service, version, mode, path + ["list_studies"])
            self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
            self.delete_study = self.__class__.delete_study(service, version, mode, path + ["delete_study"])
            self.duplicate_study = self.__class__.duplicate_study(service, version, mode, path + ["duplicate_study"])
            self.rename_study = self.__class__.rename_study(service, version, mode, path + ["rename_study"])
            self.export_design_table = self.__class__.export_design_table(service, version, mode, path + ["export_design_table"])
            self.use_base_data = self.__class__.use_base_data(service, version, mode, path + ["use_base_data"])
            self.import_design_table = self.__class__.import_design_table(service, version, mode, path + ["import_design_table"])
            self.case_settings_changed = self.__class__.case_settings_changed(service, version, mode, path + ["case_settings_changed"])
            super().__init__(service, version, mode, path)
        class set_as_current_study(TUIMethod):
            """
            Set As Current Study.
            """
        class list_studies(TUIMethod):
            """
            List Studies.
            """
        class initialize(TUIMethod):
            """
            Start Parametric Study.
            """
        class delete_study(TUIMethod):
            """
            Delete Study.
            """
        class duplicate_study(TUIMethod):
            """
            Duplicate Parametric Study.
            """
        class rename_study(TUIMethod):
            """
            Rename Study.
            """
        class export_design_table(TUIMethod):
            """
            Export Design Point Table.
            """
        class use_base_data(TUIMethod):
            """
            Use Base Data.
            """
        class import_design_table(TUIMethod):
            """
            Import Design Point Table.
            """
        class case_settings_changed(TUIMethod):
            """
            Check if case settings are changed.
            """

        class update(TUIMenu):
            """
            Enter the update menu.
            """
            def __init__(self, service, version, mode, path):
                self.concurrent = self.__class__.concurrent(service, version, mode, path + ["concurrent"])
                self.update_current = self.__class__.update_current(service, version, mode, path + ["update_current"])
                self.update_all = self.__class__.update_all(service, version, mode, path + ["update_all"])
                self.update_selected_design_points = self.__class__.update_selected_design_points(service, version, mode, path + ["update_selected_design_points"])
                self.set_update_method = self.__class__.set_update_method(service, version, mode, path + ["set_update_method"])
                self.print_update_method = self.__class__.print_update_method(service, version, mode, path + ["print_update_method"])
                super().__init__(service, version, mode, path)
            class update_current(TUIMethod):
                """
                Update Current Design Point.
                """
            class update_all(TUIMethod):
                """
                Update All Design Points.
                """
            class update_selected_design_points(TUIMethod):
                """
                Update Selected Design Points.
                """
            class set_update_method(TUIMethod):
                """
                Set update method.
                """
            class print_update_method(TUIMethod):
                """
                Print update method.
                """

            class concurrent(TUIMenu):
                """
                Enter Concurrent Update menu.
                """
                def __init__(self, service, version, mode, path):
                    self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    self.licensing = self.__class__.licensing(service, version, mode, path + ["licensing"])
                    self.register_new_endpoint = self.__class__.register_new_endpoint(service, version, mode, path + ["register_new_endpoint"])
                    self.delete_endpoint = self.__class__.delete_endpoint(service, version, mode, path + ["delete_endpoint"])
                    super().__init__(service, version, mode, path)
                class register_new_endpoint(TUIMethod):
                    """
                    Register a new endpoint.
                    """
                class delete_endpoint(TUIMethod):
                    """
                    Delete endpoint.
                    """

                class print_to_console(TUIMenu):
                    """
                    Print to console concurrent options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.current_queue = self.__class__.current_queue(service, version, mode, path + ["current_queue"])
                        self.number_of_cores_per_dp = self.__class__.number_of_cores_per_dp(service, version, mode, path + ["number_of_cores_per_dp"])
                        self.registered_endpoints = self.__class__.registered_endpoints(service, version, mode, path + ["registered_endpoints"])
                        self.current_endpoint = self.__class__.current_endpoint(service, version, mode, path + ["current_endpoint"])
                        self.number_of_concurrent_dps = self.__class__.number_of_concurrent_dps(service, version, mode, path + ["number_of_concurrent_dps"])
                        super().__init__(service, version, mode, path)
                    class current_queue(TUIMethod):
                        """
                        Get the current queue.
                        """
                    class number_of_cores_per_dp(TUIMethod):
                        """
                        Get Number of Cores per Design Point.
                        """
                    class registered_endpoints(TUIMethod):
                        """
                        List registered endpoints.
                        """
                    class current_endpoint(TUIMethod):
                        """
                        Get the current endpoint.
                        """
                    class number_of_concurrent_dps(TUIMethod):
                        """
                        Print Number of Concurrent Design Points.
                        """

                class set(TUIMenu):
                    """
                    Set concurrent update options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.current_endpoint = self.__class__.current_endpoint(service, version, mode, path + ["current_endpoint"])
                        self.number_of_cores_per_dp = self.__class__.number_of_cores_per_dp(service, version, mode, path + ["number_of_cores_per_dp"])
                        self.current_queue = self.__class__.current_queue(service, version, mode, path + ["current_queue"])
                        self.number_of_concurrent_dps = self.__class__.number_of_concurrent_dps(service, version, mode, path + ["number_of_concurrent_dps"])
                        super().__init__(service, version, mode, path)
                    class current_endpoint(TUIMethod):
                        """
                        Set the current endpoint.
                        """
                    class number_of_cores_per_dp(TUIMethod):
                        """
                        Set Number of Cores per Design Point.
                        """
                    class current_queue(TUIMethod):
                        """
                        Set the current queue.
                        """
                    class number_of_concurrent_dps(TUIMethod):
                        """
                        Set Number of Concurrent Design Points.
                        """

                class licensing(TUIMenu):
                    """
                    Enter Concurrent Licensing menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        super().__init__(service, version, mode, path)

                    class print_to_console(TUIMenu):
                        """
                        Print Concurrent Licensing Settings.
                        """
                        def __init__(self, service, version, mode, path):
                            self.optislang_license_count = self.__class__.optislang_license_count(service, version, mode, path + ["optislang_license_count"])
                            self.optislang_license_type = self.__class__.optislang_license_type(service, version, mode, path + ["optislang_license_type"])
                            self.license_type = self.__class__.license_type(service, version, mode, path + ["license_type"])
                            super().__init__(service, version, mode, path)
                        class optislang_license_count(TUIMethod):
                            """
                            OptiSLang License Count.
                            """
                        class optislang_license_type(TUIMethod):
                            """
                            OptiSLang License Type.
                            """
                        class license_type(TUIMethod):
                            """
                            License Type.
                            """

                    class set(TUIMenu):
                        """
                        Enter Concurrent Licensing Menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.optislang_license_count = self.__class__.optislang_license_count(service, version, mode, path + ["optislang_license_count"])
                            self.optislang_license_type = self.__class__.optislang_license_type(service, version, mode, path + ["optislang_license_type"])
                            self.license_type = self.__class__.license_type(service, version, mode, path + ["license_type"])
                            super().__init__(service, version, mode, path)
                        class optislang_license_count(TUIMethod):
                            """
                            OptiSLang License Count.
                            """
                        class optislang_license_type(TUIMethod):
                            """
                            OptiSLang License Type.
                            """
                        class license_type(TUIMethod):
                            """
                            License Type.
                            """

        class study(TUIMenu):
            """
            Enter the study menu.
            """
            def __init__(self, service, version, mode, path):
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.set_as_current = self.__class__.set_as_current(service, version, mode, path + ["set_as_current"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.duplicate = self.__class__.duplicate(service, version, mode, path + ["duplicate"])
                self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.use_base_data = self.__class__.use_base_data(service, version, mode, path + ["use_base_data"])
                super().__init__(service, version, mode, path)
            class list(TUIMethod):
                """
                List Studies.
                """
            class set_as_current(TUIMethod):
                """
                Set As Current Study.
                """
            class rename(TUIMethod):
                """
                Rename Study.
                """
            class duplicate(TUIMethod):
                """
                Duplicate Parametric Study.
                """
            class initialize(TUIMethod):
                """
                Start Parametric Study.
                """
            class delete(TUIMethod):
                """
                Delete Study.
                """
            class use_base_data(TUIMethod):
                """
                Use Base Data for Current Study.
                """

        class design_points(TUIMenu):
            """
            Enter the design points menu.
            """
            def __init__(self, service, version, mode, path):
                self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                self.table = self.__class__.table(service, version, mode, path + ["table"])
                self.auto_create = self.__class__.auto_create(service, version, mode, path + ["auto_create"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.concurrent = self.__class__.concurrent(service, version, mode, path + ["concurrent"])
                self.save_journals = self.__class__.save_journals(service, version, mode, path + ["save_journals"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.clear_data_and_edit_values = self.__class__.clear_data_and_edit_values(service, version, mode, path + ["clear_data_and_edit_values"])
                self.load_case_data_for_current_dp = self.__class__.load_case_data_for_current_dp(service, version, mode, path + ["load_case_data_for_current_dp"])
                self.duplicate = self.__class__.duplicate(service, version, mode, path + ["duplicate"])
                super().__init__(service, version, mode, path)
            class save_journals(TUIMethod):
                """
                Save Journals.
                """
            class add(TUIMethod):
                """
                Add new design point.
                """
            class delete(TUIMethod):
                """
                Delete Design Point.
                """
            class clear_data_and_edit_values(TUIMethod):
                """
                Clear Generated Data.
                """
            class load_case_data_for_current_dp(TUIMethod):
                """
                Loads relevant case/data file for current design point.
                """
            class duplicate(TUIMethod):
                """
                Duplicate Design Point.
                """

            class print_to_console(TUIMenu):
                """
                Enter the design points print menu.
                """
                def __init__(self, service, version, mode, path):
                    self.current_dp = self.__class__.current_dp(service, version, mode, path + ["current_dp"])
                    self.output_parameters_of_dp = self.__class__.output_parameters_of_dp(service, version, mode, path + ["output_parameters_of_dp"])
                    self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
                    self.status_of_dp = self.__class__.status_of_dp(service, version, mode, path + ["status_of_dp"])
                    self.status_of_all_dps = self.__class__.status_of_all_dps(service, version, mode, path + ["status_of_all_dps"])
                    self.capture_simulation_report_data = self.__class__.capture_simulation_report_data(service, version, mode, path + ["capture_simulation_report_data"])
                    self.input_parameters_of_dp = self.__class__.input_parameters_of_dp(service, version, mode, path + ["input_parameters_of_dp"])
                    super().__init__(service, version, mode, path)
                class current_dp(TUIMethod):
                    """
                    Print Name of Current Design Point.
                    """
                class output_parameters_of_dp(TUIMethod):
                    """
                    Print Output Parameter Values of Design Point.
                    """
                class write_data(TUIMethod):
                    """
                    Print WriteData option for Design Point.
                    """
                class status_of_dp(TUIMethod):
                    """
                    Print Status of given DP.
                    """
                class status_of_all_dps(TUIMethod):
                    """
                    Print Statuses of all Design Points.
                    """
                class capture_simulation_report_data(TUIMethod):
                    """
                    Print Capture Simulation Report Data option for Design Point.
                    """
                class input_parameters_of_dp(TUIMethod):
                    """
                    Print Input Parameter Values of Current Design Point.
                    """

            class table(TUIMenu):
                """
                Enter the design point table menu.
                """
                def __init__(self, service, version, mode, path):
                    self.import_design_table = self.__class__.import_design_table(service, version, mode, path + ["import_design_table"])
                    self.export_design_table = self.__class__.export_design_table(service, version, mode, path + ["export_design_table"])
                    super().__init__(service, version, mode, path)
                class import_design_table(TUIMethod):
                    """
                    Import Design Points Table.
                    """
                class export_design_table(TUIMethod):
                    """
                    Export Design Points Table.
                    """

            class auto_create(TUIMenu):
                """
                Enter the auto-crate design points menu.
                """
                def __init__(self, service, version, mode, path):
                    self.go_to_optislang = self.__class__.go_to_optislang(service, version, mode, path + ["go_to_optislang"])
                    self.export_designs = self.__class__.export_designs(service, version, mode, path + ["export_designs"])
                    self.create_design_points = self.__class__.create_design_points(service, version, mode, path + ["create_design_points"])
                    self.list_current_settings = self.__class__.list_current_settings(service, version, mode, path + ["list_current_settings"])
                    self.open_designs_in_optislang_postprocessor = self.__class__.open_designs_in_optislang_postprocessor(service, version, mode, path + ["open_designs_in_optislang_postprocessor"])
                    super().__init__(service, version, mode, path)
                class go_to_optislang(TUIMethod):
                    """
                    Open the optiSLang project.
                    """
                class export_designs(TUIMethod):
                    """
                    Export designs by writing a JSON file.
                    """
                class create_design_points(TUIMethod):
                    """
                    Create design points automatically.
                    """
                class list_current_settings(TUIMethod):
                    """
                    List current settings for auto-create design points.
                    """
                class open_designs_in_optislang_postprocessor(TUIMethod):
                    """
                    Export designs into JSON and open this JSON into optiSLang Postprocessor.
                    """

            class set(TUIMenu):
                """
                Enter the design points Set menu.
                """
                def __init__(self, service, version, mode, path):
                    self.input_parameters_of_dp = self.__class__.input_parameters_of_dp(service, version, mode, path + ["input_parameters_of_dp"])
                    self.capture_simulation_report_data = self.__class__.capture_simulation_report_data(service, version, mode, path + ["capture_simulation_report_data"])
                    self.current_dp = self.__class__.current_dp(service, version, mode, path + ["current_dp"])
                    self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
                    super().__init__(service, version, mode, path)
                class input_parameters_of_dp(TUIMethod):
                    """
                    Set Input Parameter Values of Design Point.
                    """
                class capture_simulation_report_data(TUIMethod):
                    """
                    Set Capture Simulation Report Data option for Design Point.
                    """
                class current_dp(TUIMethod):
                    """
                    Set current design point.
                    """
                class write_data(TUIMethod):
                    """
                    Set WriteData option for Design Point.
                    """

            class concurrent(TUIMenu):
                """
                Enter the concurrent design points menu.
                """
                def __init__(self, service, version, mode, path):
                    self.abort_design_point = self.__class__.abort_design_point(service, version, mode, path + ["abort_design_point"])
                    self.refresh_status = self.__class__.refresh_status(service, version, mode, path + ["refresh_status"])
                    self.abort_all_design_points = self.__class__.abort_all_design_points(service, version, mode, path + ["abort_all_design_points"])
                    super().__init__(service, version, mode, path)
                class abort_design_point(TUIMethod):
                    """
                    Interrupt Design Point.
                    """
                class refresh_status(TUIMethod):
                    """
                    Refresh Status.
                    """
                class abort_all_design_points(TUIMethod):
                    """
                    Interrupt All Design Points.
                    """

    class display(TUIMenu):
        """
        Enter the display menu.
        """
        def __init__(self, service, version, mode, path):
            self.embedded_windows = self.__class__.embedded_windows(service, version, mode, path + ["embedded_windows"])
            self.objects = self.__class__.objects(service, version, mode, path + ["objects"])
            self.set = self.__class__.set(service, version, mode, path + ["set"])
            self.view_sync = self.__class__.view_sync(service, version, mode, path + ["view_sync"])
            self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
            self.define = self.__class__.define(service, version, mode, path + ["define"])
            self.inverse_dft = self.__class__.inverse_dft(service, version, mode, path + ["inverse_dft"])
            self.update_scene = self.__class__.update_scene(service, version, mode, path + ["update_scene"])
            self.views = self.__class__.views(service, version, mode, path + ["views"])
            self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
            self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
            self.flamelet_data = self.__class__.flamelet_data(service, version, mode, path + ["flamelet_data"])
            self.pdf_data = self.__class__.pdf_data(service, version, mode, path + ["pdf_data"])
            self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
            self.close_window = self.__class__.close_window(service, version, mode, path + ["close_window"])
            self.zone_mesh = self.__class__.zone_mesh(service, version, mode, path + ["zone_mesh"])
            self.velocity_vector = self.__class__.velocity_vector(service, version, mode, path + ["velocity_vector"])
            self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
            self.reacting_channel_curves = self.__class__.reacting_channel_curves(service, version, mode, path + ["reacting_channel_curves"])
            self.annotate = self.__class__.annotate(service, version, mode, path + ["annotate"])
            self.update_layout = self.__class__.update_layout(service, version, mode, path + ["update_layout"])
            self.re_render = self.__class__.re_render(service, version, mode, path + ["re_render"])
            self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
            self.set_window = self.__class__.set_window(service, version, mode, path + ["set_window"])
            self.set_window_by_name = self.__class__.set_window_by_name(service, version, mode, path + ["set_window_by_name"])
            self.open_window = self.__class__.open_window(service, version, mode, path + ["open_window"])
            self.add_custom_vector = self.__class__.add_custom_vector(service, version, mode, path + ["add_custom_vector"])
            self.profile = self.__class__.profile(service, version, mode, path + ["profile"])
            self.switch_to_primary_volume = self.__class__.switch_to_primary_volume(service, version, mode, path + ["switch_to_primary_volume"])
            self.surface_mesh = self.__class__.surface_mesh(service, version, mode, path + ["surface_mesh"])
            self.contour = self.__class__.contour(service, version, mode, path + ["contour"])
            self.close_window_by_name = self.__class__.close_window_by_name(service, version, mode, path + ["close_window_by_name"])
            self.mesh_outline = self.__class__.mesh_outline(service, version, mode, path + ["mesh_outline"])
            self.display_custom_vector = self.__class__.display_custom_vector(service, version, mode, path + ["display_custom_vector"])
            self.clear_annotations = self.__class__.clear_annotations(service, version, mode, path + ["clear_annotations"])
            self.mesh_partition_boundary = self.__class__.mesh_partition_boundary(service, version, mode, path + ["mesh_partition_boundary"])
            self.switch_to_post_processing_volume = self.__class__.switch_to_post_processing_volume(service, version, mode, path + ["switch_to_post_processing_volume"])
            self.hsf_file = self.__class__.hsf_file(service, version, mode, path + ["hsf_file"])
            self.save_picture = self.__class__.save_picture(service, version, mode, path + ["save_picture"])
            self.re_scale = self.__class__.re_scale(service, version, mode, path + ["re_scale"])
            self.multigrid_coarsening = self.__class__.multigrid_coarsening(service, version, mode, path + ["multigrid_coarsening"])
            self.set_list_tree_separator = self.__class__.set_list_tree_separator(service, version, mode, path + ["set_list_tree_separator"])
            self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
            self.graphics_window_layout = self.__class__.graphics_window_layout(service, version, mode, path + ["graphics_window_layout"])
            super().__init__(service, version, mode, path)
        class close_window(TUIMethod):
            """
            Close a "user" graphics window. User windows are specified by number (1-50), with the associated number corresponding to the order, left-to-right, that the windows were created in.
            """
        class zone_mesh(TUIMethod):
            """
            Draws the mesh defined by specified face zones. Zone names can be indicated using wildcards (\\*).
            """
        class velocity_vector(TUIMethod):
            """
            Prompts for a scalar field by which to color the vectors, the minimum and maximum values, and the scale factor, and then draws the velocity vectors.
            """
        class vector(TUIMethod):
            """
            Displays vectors of a space vector variable.
            """
        class reacting_channel_curves(TUIMethod):
            """
            Plots the reacting channel variables.
            """
        class annotate(TUIMethod):
            """
            Add a text annotation string to the active graphics window.
            """
        class update_layout(TUIMethod):
            """
            Update the fluent layout.
            """
        class re_render(TUIMethod):
            """
            Re-renders the last contour, profile, or vector plot with updated surfaces, meshed, lights, colormap, rendering options, and so on, without recalculating the contour data.
            """
        class mesh(TUIMethod):
            """
            Displays the entire mesh. For 3D, you will be asked to confirm that you really want to draw the entire mesh (not just themesh-outline).
            """
        class set_window(TUIMethod):
            """
            Sets a "user" graphics window to be the active window. User windows are specified by number (1-50), with the associated number corresponding to the order, left-to-right, that the windows were created in.
            """
        class set_window_by_name(TUIMethod):
            """
            Sets the specified graphics window as active. The graphics windows specified using this command are "reserved" windows, that is, residual monitors, report plots, and animation definitions. The name will match the name you provided when creating the object (report plots and animation definitions).
            """
        class open_window(TUIMethod):
            """
            Opens a graphics window.
            """
        class add_custom_vector(TUIMethod):
            """
            Adds new custom vector definition.
            """
        class profile(TUIMethod):
            """
            Displays profiles of a flow variable.
            """
        class switch_to_primary_volume(TUIMethod):
            """
            Switch to primary volume.
            """
        class surface_mesh(TUIMethod):
            """
            Draws the mesh defined by the specified surfaces. You can include a wildcard (\\*) within the surface names.
            """
        class contour(TUIMethod):
            """
            Prompts for a scalar field and minimum and maximum values, and then displays a contour plot.
            """
        class close_window_by_name(TUIMethod):
            """
            Close a reserved graphics window (windows used for residuals, report plots, and animation definitions).
            """
        class mesh_outline(TUIMethod):
            """
            Displays the mesh boundaries.
            """
        class display_custom_vector(TUIMethod):
            """
            Displays custom vector.
            """
        class clear_annotations(TUIMethod):
            """
            Removes all annotations and attachment lines from the active graphics window.
            """
        class mesh_partition_boundary(TUIMethod):
            """
            Displays mesh partition boundaries.
            """
        class switch_to_post_processing_volume(TUIMethod):
            """
            Switch to post processing volume.
            """
        class hsf_file(TUIMethod):
            """
            Loads an HSF file for viewing.
            """
        class save_picture(TUIMethod):
            """
            Generate a "hardcopy" of the active window.
            """
        class re_scale(TUIMethod):
            """
            Re-renders the last contour, profile, or vector plot with updated scale, surfaces, meshes, lights, colormap, rendering options, and so on, but without recalculating the field data.
            """
        class multigrid_coarsening(TUIMethod):
            """
            Displays a coarse mesh level from the last multigrid coarsening.
            """
        class set_list_tree_separator(TUIMethod):
            """
            Set the separator character for list tree.
            """
        class surface_cells(TUIMethod):
            """
            Draws the cells on the specified surfaces. You can include a wildcard (\\*) within the surface names.
            """
        class graphics_window_layout(TUIMethod):
            """
            Arranges the graphics window layout.
            """

        class embedded_windows(TUIMenu):
            """
            Enter the embedded window menu.
            """
            def __init__(self, service, version, mode, path):
                self.close = self.__class__.close(service, version, mode, path + ["close"])
                self.embed_in = self.__class__.embed_in(service, version, mode, path + ["embed_in"])
                self.close_all = self.__class__.close_all(service, version, mode, path + ["close_all"])
                self.move_out_all = self.__class__.move_out_all(service, version, mode, path + ["move_out_all"])
                self.move_out = self.__class__.move_out(service, version, mode, path + ["move_out"])
                super().__init__(service, version, mode, path)
            class close(TUIMethod):
                """
                Close an embedded window.
                """
            class embed_in(TUIMethod):
                """
                Specify a window to embed and a parent window to receive the embedded window.
                """
            class close_all(TUIMethod):
                """
                Close all the embedded windows within the specified parent window.
                """
            class move_out_all(TUIMethod):
                """
                Move all the embedded windows out of the specified parent window.
                """
            class move_out(TUIMethod):
                """
                Move an embedded window out of the parent window, returning the embedded window to a non-embedded state.
                """

        class objects(TUIMenu):
            """
            Enter to add, edit, delete or display graphics objects.
            """
            def __init__(self, service, version, mode, path):
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class copy(TUIMethod):
                """
                Copy graphics object.
                """
            class edit(TUIMethod):
                """
                Edit graphics object.
                """
            class add_to_graphics(TUIMethod):
                """
                Add graphics object to existing graphics.
                """
            class display(TUIMethod):
                """
                Display graphics object.
                """
            class create(TUIMethod):
                """
                Create new graphics object.
                """
            class delete(TUIMethod):
                """
                Delete graphics object.
                """

        class set(TUIMenu):
            """
            Enter the set menu to set display parameters.
            """
            def __init__(self, service, version, mode, path):
                self.rendering_options = self.__class__.rendering_options(service, version, mode, path + ["rendering_options"])
                self.lights = self.__class__.lights(service, version, mode, path + ["lights"])
                self.picture = self.__class__.picture(service, version, mode, path + ["picture"])
                self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
                self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
                self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                self.titles = self.__class__.titles(service, version, mode, path + ["titles"])
                self.velocity_vectors = self.__class__.velocity_vectors(service, version, mode, path + ["velocity_vectors"])
                self.colors = self.__class__.colors(service, version, mode, path + ["colors"])
                self.contours = self.__class__.contours(service, version, mode, path + ["contours"])
                self.mesh_surfaces = self.__class__.mesh_surfaces(service, version, mode, path + ["mesh_surfaces"])
                self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                self.n_stream_func = self.__class__.n_stream_func(service, version, mode, path + ["n_stream_func"])
                self.reset_graphics = self.__class__.reset_graphics(service, version, mode, path + ["reset_graphics"])
                self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                self.proximity_zones = self.__class__.proximity_zones(service, version, mode, path + ["proximity_zones"])
                self.mesh_level = self.__class__.mesh_level(service, version, mode, path + ["mesh_level"])
                self.zero_angle_dir = self.__class__.zero_angle_dir(service, version, mode, path + ["zero_angle_dir"])
                self.marker_symbol = self.__class__.marker_symbol(service, version, mode, path + ["marker_symbol"])
                self.mesh_display_configuration = self.__class__.mesh_display_configuration(service, version, mode, path + ["mesh_display_configuration"])
                self.element_shrink = self.__class__.element_shrink(service, version, mode, path + ["element_shrink"])
                self.duplicate_node_display = self.__class__.duplicate_node_display(service, version, mode, path + ["duplicate_node_display"])
                self.line_weight = self.__class__.line_weight(service, version, mode, path + ["line_weight"])
                self.mirror_zones = self.__class__.mirror_zones(service, version, mode, path + ["mirror_zones"])
                self.color_map = self.__class__.color_map(service, version, mode, path + ["color_map"])
                self.mesh_zones = self.__class__.mesh_zones(service, version, mode, path + ["mesh_zones"])
                self.overlays = self.__class__.overlays(service, version, mode, path + ["overlays"])
                self.mesh_partitions = self.__class__.mesh_partitions(service, version, mode, path + ["mesh_partitions"])
                self.periodic_instancing = self.__class__.periodic_instancing(service, version, mode, path + ["periodic_instancing"])
                self.filled_mesh = self.__class__.filled_mesh(service, version, mode, path + ["filled_mesh"])
                self.nodewt_based_interp = self.__class__.nodewt_based_interp(service, version, mode, path + ["nodewt_based_interp"])
                super().__init__(service, version, mode, path)
            class mesh_surfaces(TUIMethod):
                """
                Sets surface IDs to be drawn as meshes. You can include a wildcard  (\\*) within the surface names.
                """
            class marker_size(TUIMethod):
                """
                Sets the size of markers used to represent points.
                """
            class n_stream_func(TUIMethod):
                """
                Sets number of iterations used in computing stream function.
                """
            class reset_graphics(TUIMethod):
                """
                Reset the graphics system.
                """
            class render_mesh(TUIMethod):
                """
                Enables/disables rendering the mesh on top of contours, vectors, and so on.
                """
            class proximity_zones(TUIMethod):
                """
                Sets zones to be used for boundary cell distance and boundary proximity.
                """
            class mesh_level(TUIMethod):
                """
                Sets coarse mesh level to be drawn.
                """
            class zero_angle_dir(TUIMethod):
                """
                Sets the vector having zero angular coordinates.
                """
            class marker_symbol(TUIMethod):
                """
                Sets the type of markers used to represent points.
                """
            class mesh_display_configuration(TUIMethod):
                """
                Changes the default mesh display. If set tomeshing, it draws the mesh on edges and faces of the outline surfaces, colored by their zone ID with lighting enabled. If set tosolution, it draws the mesh on edges and faces of the outline surfaces, colored by their zone type with lighting enabled. If set to post-processing, it draws the object outline with lighting disabled. If set toclassic, it draws the mesh on all edges of the outline surfaces.  This only applies for 3D cases.
                """
            class element_shrink(TUIMethod):
                """
                Sets shrinkage of both faces and cells. A value of zero indicates no shrinkage, while a value of one will shrink each face or cell to a point.
                """
            class duplicate_node_display(TUIMethod):
                """
                Set flag to remove duplicate nodes in mesh display.
                """
            class line_weight(TUIMethod):
                """
                Set the line-weight factor for the window.
                """
            class mirror_zones(TUIMethod):
                """
                Sets the zones about which the domain is mirrored (symmetry planes).
                """
            class color_map(TUIMethod):
                """
                Enters the color map menu, which contains names of predefined and user-defined (in the Colormap Editor panel) colormaps that can be selected. It prompts you for the name of the colormap to be used.
                """
            class mesh_zones(TUIMethod):
                """
                Sets zone IDs to be drawn as meshes.
                """
            class overlays(TUIMethod):
                """
                Enable/disable overlays.
                """
            class mesh_partitions(TUIMethod):
                """
                Enables/disables option to draw mesh partition boundaries.
                """
            class periodic_instancing(TUIMethod):
                """
                Sets the number of periodic repetitions.
                """
            class filled_mesh(TUIMethod):
                """
                Determines whether the meshes are drawn as wireframe or solid.
                """
            class nodewt_based_interp(TUIMethod):
                """
                Disables/enables the use of node weights for node-based gradients in postprocessing.
                """

            class rendering_options(TUIMenu):
                """
                Enter the rendering options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.hidden_surfaces = self.__class__.hidden_surfaces(service, version, mode, path + ["hidden_surfaces"])
                    self.face_displacement = self.__class__.face_displacement(service, version, mode, path + ["face_displacement"])
                    self.hidden_surface_method = self.__class__.hidden_surface_method(service, version, mode, path + ["hidden_surface_method"])
                    self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                    self.outer_face_cull = self.__class__.outer_face_cull(service, version, mode, path + ["outer_face_cull"])
                    self.device_info = self.__class__.device_info(service, version, mode, path + ["device_info"])
                    self.color_map_alignment = self.__class__.color_map_alignment(service, version, mode, path + ["color_map_alignment"])
                    self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                    self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                    self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                    self.surface_edge_visibility = self.__class__.surface_edge_visibility(service, version, mode, path + ["surface_edge_visibility"])
                    self.auto_spin = self.__class__.auto_spin(service, version, mode, path + ["auto_spin"])
                    self.help_text_color = self.__class__.help_text_color(service, version, mode, path + ["help_text_color"])
                    self.set_rendering_options = self.__class__.set_rendering_options(service, version, mode, path + ["set_rendering_options"])
                    super().__init__(service, version, mode, path)
                class hidden_surfaces(TUIMethod):
                    """
                    Enable/disable hidden surface removal.
                    """
                class face_displacement(TUIMethod):
                    """
                    Set face displacement value in Z-buffer units along the Camera Z-axis.
                    """
                class hidden_surface_method(TUIMethod):
                    """
                    Specify the method to perform hidden line and hidden surface rendering.
                    """
                class show_colormap(TUIMethod):
                    """
                    Enable/Disable colormap.
                    """
                class outer_face_cull(TUIMethod):
                    """
                    Enable/disable discarding outer faces during display.
                    """
                class device_info(TUIMethod):
                    """
                    List information for the graphics device.
                    """
                class color_map_alignment(TUIMethod):
                    """
                    Set the color bar alignment.
                    """
                class animation_option(TUIMethod):
                    """
                    Using Wireframe / All option during animation.
                    """
                class driver(TUIMethod):
                    """
                    Change the current graphics driver.
                    """
                class double_buffering(TUIMethod):
                    """
                    Enable/disable double-buffering.
                    """
                class surface_edge_visibility(TUIMethod):
                    """
                    Set edge visibility flags for surfaces.
                    """
                class auto_spin(TUIMethod):
                    """
                    Enable/disable mouse view rotations to continue to spin the display after the button is released.
                    """
                class help_text_color(TUIMethod):
                    """
                    Set the color of screen help text.
                    """
                class set_rendering_options(TUIMethod):
                    """
                    Set the rendering options.
                    """

            class lights(TUIMenu):
                """
                Enter the lights menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set_ambient_color = self.__class__.set_ambient_color(service, version, mode, path + ["set_ambient_color"])
                    self.lighting_interpolation = self.__class__.lighting_interpolation(service, version, mode, path + ["lighting_interpolation"])
                    self.lights_on = self.__class__.lights_on(service, version, mode, path + ["lights_on"])
                    self.headlight_on = self.__class__.headlight_on(service, version, mode, path + ["headlight_on"])
                    self.set_light = self.__class__.set_light(service, version, mode, path + ["set_light"])
                    super().__init__(service, version, mode, path)
                class set_ambient_color(TUIMethod):
                    """
                    Set the ambient light color for the scene.
                    """
                class lighting_interpolation(TUIMethod):
                    """
                    Set lighting interpolation method.
                    """
                class lights_on(TUIMethod):
                    """
                    Turn all active lighting on/off.
                    """
                class headlight_on(TUIMethod):
                    """
                    Turn the light that moves with the camera on or off.
                    """
                class set_light(TUIMethod):
                    """
                    Add or modify a directional, colored light.
                    """

            class picture(TUIMenu):
                """
                Enter the hardcopy/save-picture options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.color_mode = self.__class__.color_mode(service, version, mode, path + ["color_mode"])
                    self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                    self.y_resolution = self.__class__.y_resolution(service, version, mode, path + ["y_resolution"])
                    self.invert_background = self.__class__.invert_background(service, version, mode, path + ["invert_background"])
                    self.x_resolution = self.__class__.x_resolution(service, version, mode, path + ["x_resolution"])
                    self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                    self.dpi = self.__class__.dpi(service, version, mode, path + ["dpi"])
                    self.preview = self.__class__.preview(service, version, mode, path + ["preview"])
                    self.landscape = self.__class__.landscape(service, version, mode, path + ["landscape"])
                    self.jpeg_hardcopy_quality = self.__class__.jpeg_hardcopy_quality(service, version, mode, path + ["jpeg_hardcopy_quality"])
                    self.use_window_resolution = self.__class__.use_window_resolution(service, version, mode, path + ["use_window_resolution"])
                    super().__init__(service, version, mode, path)
                class y_resolution(TUIMethod):
                    """
                    Set the height of raster-formatted images in pixels (0 implies current window size).
                    """
                class invert_background(TUIMethod):
                    """
                    Use a white background when the picture is saved.
                    """
                class x_resolution(TUIMethod):
                    """
                    Set the width of raster-formatted images in pixels (0 implies current window size).
                    """
                class set_standard_resolution(TUIMethod):
                    """
                    Select from pre-defined resolution list.
                    """
                class dpi(TUIMethod):
                    """
                    Set the DPI for EPS and Postscript files, specifies the resolution in dots per inch (DPI) instead of setting the width and height.
                    """
                class preview(TUIMethod):
                    """
                    Display a preview image of a hardcopy.
                    """
                class landscape(TUIMethod):
                    """
                    Plot hardcopies in landscape or portrait orientation.
                    """
                class jpeg_hardcopy_quality(TUIMethod):
                    """
                    To set jpeg hardcopy quality.
                    """
                class use_window_resolution(TUIMethod):
                    """
                    Use the currently active window's resolution for hardcopy (ignores the x-resolution and y-resolution in this case).
                    """

                class color_mode(TUIMenu):
                    """
                    Enter the hardcopy color mode menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.gray_scale = self.__class__.gray_scale(service, version, mode, path + ["gray_scale"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.color = self.__class__.color(service, version, mode, path + ["color"])
                        self.mono_chrome = self.__class__.mono_chrome(service, version, mode, path + ["mono_chrome"])
                        super().__init__(service, version, mode, path)
                    class gray_scale(TUIMethod):
                        """
                        Convert color to grayscale for hardcopy.
                        """
                    class list(TUIMethod):
                        """
                        Display the current hardcopy color mode.
                        """
                    class color(TUIMethod):
                        """
                        Plot hardcopies in color.
                        """
                    class mono_chrome(TUIMethod):
                        """
                        Convert color to monochrome (black and white) for hardcopy.
                        """

                class driver(TUIMenu):
                    """
                    Enter the set hardcopy driver menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.post_format = self.__class__.post_format(service, version, mode, path + ["post_format"])
                        self.glb = self.__class__.glb(service, version, mode, path + ["glb"])
                        self.hsf = self.__class__.hsf(service, version, mode, path + ["hsf"])
                        self.post_script = self.__class__.post_script(service, version, mode, path + ["post_script"])
                        self.vrml = self.__class__.vrml(service, version, mode, path + ["vrml"])
                        self.tiff = self.__class__.tiff(service, version, mode, path + ["tiff"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.jpeg = self.__class__.jpeg(service, version, mode, path + ["jpeg"])
                        self.eps = self.__class__.eps(service, version, mode, path + ["eps"])
                        self.avz = self.__class__.avz(service, version, mode, path + ["avz"])
                        self.dump_window = self.__class__.dump_window(service, version, mode, path + ["dump_window"])
                        self.png = self.__class__.png(service, version, mode, path + ["png"])
                        self.ppm = self.__class__.ppm(service, version, mode, path + ["ppm"])
                        self.options = self.__class__.options(service, version, mode, path + ["options"])
                        super().__init__(service, version, mode, path)
                    class glb(TUIMethod):
                        """
                        Use GLB output for hardcopies.
                        """
                    class hsf(TUIMethod):
                        """
                        Use HSF output for hardcopies.
                        """
                    class post_script(TUIMethod):
                        """
                        Produce PostScript output for hardcopies.
                        """
                    class vrml(TUIMethod):
                        """
                        Use VRML output for hardcopies.
                        """
                    class tiff(TUIMethod):
                        """
                        Use TIFF output for hardcopies.
                        """
                    class list(TUIMethod):
                        """
                        List the current hardcopy driver.
                        """
                    class jpeg(TUIMethod):
                        """
                        Produce JPEG output for hardcopies.
                        """
                    class eps(TUIMethod):
                        """
                        Produce encapsulated PostScript (EPS) output for hardcopies.
                        """
                    class avz(TUIMethod):
                        """
                        Use AVZ output for hardcopies.
                        """
                    class dump_window(TUIMethod):
                        """
                        Set the command used to dump the graphics window to a file.
                        """
                    class png(TUIMethod):
                        """
                        Use PNG output for hardcopies.
                        """
                    class ppm(TUIMethod):
                        """
                        Produce PPM output for hardcopies.
                        """
                    class options(TUIMethod):
                        """
                        Set the hardcopy options. Available options are:
                        "no gamma correction", disables gamma correction of colors,
                        "physical size = (width,height)", where width and height
                        are the actual measurements of the printable area of the page
                        in centimeters.
                        "subscreen = (left,right,bottom,top)", where left,right,
                        bottom, and top are numbers in [-1,1] describing a subwindow on
                        the page in which to place the hardcopy.
                        The options may be combined by separating them with commas.
                        """

                    class post_format(TUIMenu):
                        """
                        Enter the PostScript driver format menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
                            self.fast_raster = self.__class__.fast_raster(service, version, mode, path + ["fast_raster"])
                            self.raster = self.__class__.raster(service, version, mode, path + ["raster"])
                            self.rle_raster = self.__class__.rle_raster(service, version, mode, path + ["rle_raster"])
                            super().__init__(service, version, mode, path)
                        class vector(TUIMethod):
                            """
                            Use vector format.
                            """
                        class fast_raster(TUIMethod):
                            """
                            Use the new raster format.
                            """
                        class raster(TUIMethod):
                            """
                            Use the original raster format.
                            """
                        class rle_raster(TUIMethod):
                            """
                            Use the run-length encoded raster format.
                            """

            class path_lines(TUIMenu):
                """
                Sets parameters for display of pathlines.
                """
                def __init__(self, service, version, mode, path):
                    self.sphere_attrib = self.__class__.sphere_attrib(service, version, mode, path + ["sphere_attrib"])
                    self.display_steps = self.__class__.display_steps(service, version, mode, path + ["display_steps"])
                    self.twist_factor = self.__class__.twist_factor(service, version, mode, path + ["twist_factor"])
                    self.reverse = self.__class__.reverse(service, version, mode, path + ["reverse"])
                    self.step_size = self.__class__.step_size(service, version, mode, path + ["step_size"])
                    self.style = self.__class__.style(service, version, mode, path + ["style"])
                    self.line_width = self.__class__.line_width(service, version, mode, path + ["line_width"])
                    self.arrow_scale = self.__class__.arrow_scale(service, version, mode, path + ["arrow_scale"])
                    self.maximum_steps = self.__class__.maximum_steps(service, version, mode, path + ["maximum_steps"])
                    self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                    self.relative_pathlines = self.__class__.relative_pathlines(service, version, mode, path + ["relative_pathlines"])
                    self.error_control = self.__class__.error_control(service, version, mode, path + ["error_control"])
                    self.maximum_error = self.__class__.maximum_error(service, version, mode, path + ["maximum_error"])
                    self.arrow_space = self.__class__.arrow_space(service, version, mode, path + ["arrow_space"])
                    self.track_in_phase = self.__class__.track_in_phase(service, version, mode, path + ["track_in_phase"])
                    self.radius = self.__class__.radius(service, version, mode, path + ["radius"])
                    super().__init__(service, version, mode, path)
                class sphere_attrib(TUIMethod):
                    """
                    Specifies the size and number of slices to be used in drawing spheres.
                    """
                class display_steps(TUIMethod):
                    """
                    Sets the display stepping for pathlines.
                    """
                class twist_factor(TUIMethod):
                    """
                    Sets the scale factor for twisting (ribbons only).
                    """
                class reverse(TUIMethod):
                    """
                    Sets direction of path tracking.
                    """
                class step_size(TUIMethod):
                    """
                    Sets the step length between particle positions for pathlines.
                    """
                class style(TUIMethod):
                    """
                    Selects the pathline style (line, point, ribbon, triangle, cylinder).
                    """
                class line_width(TUIMethod):
                    """
                    Sets the width for pathlines.
                    """
                class arrow_scale(TUIMethod):
                    """
                    Sets the scale factor for arrows drawn on pathlines.
                    """
                class maximum_steps(TUIMethod):
                    """
                    Sets the maximum number of steps to take for pathlines.
                    """
                class marker_size(TUIMethod):
                    """
                    Sets the marker size for particle drawing.
                    """
                class relative_pathlines(TUIMethod):
                    """
                    Enables/disables the tracking of pathlines in a relative coordinate system.
                    """
                class error_control(TUIMethod):
                    """
                    Sets error control during pathline computation.
                    """
                class maximum_error(TUIMethod):
                    """
                    Sets the maximum error allowed while computing the pathlines.
                    """
                class arrow_space(TUIMethod):
                    """
                    Sets the spacing factor for arrows drawn on pathlines.
                    """
                class track_in_phase(TUIMethod):
                    """
                    Selects the phase in which particle pathlines will be computed (Multiphase Eulerian Model only).
                    """
                class radius(TUIMethod):
                    """
                    Sets the radius for pathline (ribbons/cylinder only) cross-section.
                    """

            class particle_tracks(TUIMenu):
                """
                Enters the particle-tracks menu to set parameters for display of particle tracks.
                """
                def __init__(self, service, version, mode, path):
                    self.vector_settings = self.__class__.vector_settings(service, version, mode, path + ["vector_settings"])
                    self.sphere_settings = self.__class__.sphere_settings(service, version, mode, path + ["sphere_settings"])
                    self.filter_settings = self.__class__.filter_settings(service, version, mode, path + ["filter_settings"])
                    self.report_default_variables = self.__class__.report_default_variables(service, version, mode, path + ["report_default_variables"])
                    self.history_filename = self.__class__.history_filename(service, version, mode, path + ["history_filename"])
                    self.twist_factor = self.__class__.twist_factor(service, version, mode, path + ["twist_factor"])
                    self.radius = self.__class__.radius(service, version, mode, path + ["radius"])
                    self.sphere_attrib = self.__class__.sphere_attrib(service, version, mode, path + ["sphere_attrib"])
                    self.arrow_space = self.__class__.arrow_space(service, version, mode, path + ["arrow_space"])
                    self.report_to = self.__class__.report_to(service, version, mode, path + ["report_to"])
                    self.track_single_particle_stream = self.__class__.track_single_particle_stream(service, version, mode, path + ["track_single_particle_stream"])
                    self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                    self.coarsen_factor = self.__class__.coarsen_factor(service, version, mode, path + ["coarsen_factor"])
                    self.line_width = self.__class__.line_width(service, version, mode, path + ["line_width"])
                    self.style = self.__class__.style(service, version, mode, path + ["style"])
                    self.arrow_scale = self.__class__.arrow_scale(service, version, mode, path + ["arrow_scale"])
                    self.report_variables = self.__class__.report_variables(service, version, mode, path + ["report_variables"])
                    self.report_type = self.__class__.report_type(service, version, mode, path + ["report_type"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.particle_skip = self.__class__.particle_skip(service, version, mode, path + ["particle_skip"])
                    super().__init__(service, version, mode, path)
                class report_default_variables(TUIMethod):
                    """
                    Sets the report variables to default.
                    """
                class history_filename(TUIMethod):
                    """
                    Specifies the name of the particle history file.
                    """
                class twist_factor(TUIMethod):
                    """
                    Sets the scale factor for twisting (ribbons only).
                    """
                class radius(TUIMethod):
                    """
                    Sets the radius for particle track (ribbon/cylinder only) cross-section.
                    """
                class sphere_attrib(TUIMethod):
                    """
                    Specifies the size and number of slices to be used in drawing spheres.
                    """
                class arrow_space(TUIMethod):
                    """
                    Sets the spacing factor for arrows drawn on particle tracks.
                    """
                class report_to(TUIMethod):
                    """
                    Specifies the destination for the report (console, file, none).
                    """
                class track_single_particle_stream(TUIMethod):
                    """
                    Specifies the stream ID to be tracked.
                    """
                class marker_size(TUIMethod):
                    """
                    Sets the size of markers used to represent particle tracks.
                    """
                class coarsen_factor(TUIMethod):
                    """
                    Sets the coarsening factor for particle tracks.
                    """
                class line_width(TUIMethod):
                    """
                    Sets the width for particle track.
                    """
                class style(TUIMethod):
                    """
                    Sets the display style for particle track (line/ribbon/cylinder/sphere).
                    """
                class arrow_scale(TUIMethod):
                    """
                    Sets the scale factor for arrows drawn on particle tracks.
                    """
                class report_variables(TUIMethod):
                    """
                    Sets the report variables.
                    """
                class report_type(TUIMethod):
                    """
                    Sets the report type for particle tracks.
                    """
                class display(TUIMethod):
                    """
                    Determines whether particle tracks shall be displayed or only tracked.
                    """
                class particle_skip(TUIMethod):
                    """
                    Specifies how many particle tracks should be displayed.
                    """

                class vector_settings(TUIMenu):
                    """
                    Set vector specific input.
                    """
                    def __init__(self, service, version, mode, path):
                        self.vector_length_variable = self.__class__.vector_length_variable(service, version, mode, path + ["vector_length_variable"])
                        self.vector_length = self.__class__.vector_length(service, version, mode, path + ["vector_length"])
                        self.style = self.__class__.style(service, version, mode, path + ["style"])
                        self.vector_variable = self.__class__.vector_variable(service, version, mode, path + ["vector_variable"])
                        self.length_to_head_ratio = self.__class__.length_to_head_ratio(service, version, mode, path + ["length_to_head_ratio"])
                        self.scale_factor = self.__class__.scale_factor(service, version, mode, path + ["scale_factor"])
                        self.color_variable = self.__class__.color_variable(service, version, mode, path + ["color_variable"])
                        self.length_variable = self.__class__.length_variable(service, version, mode, path + ["length_variable"])
                        self.constant_color = self.__class__.constant_color(service, version, mode, path + ["constant_color"])
                        super().__init__(service, version, mode, path)
                    class vector_length_variable(TUIMethod):
                        """
                        Selects a particle variable to specify the length of vectors.
                        """
                    class vector_length(TUIMethod):
                        """
                        Specifies the length of constant vectors.
                        """
                    class style(TUIMethod):
                        """
                        Enables and sets the display style for particle vectors (none/vector/centered-vector/centered-cylinder).
                        """
                    class vector_variable(TUIMethod):
                        """
                        Selects a particle vector function to specify vector direction.
                        """
                    class length_to_head_ratio(TUIMethod):
                        """
                        Specifies ratio of length to head for vectors and length to diameter for cylinders.
                        """
                    class scale_factor(TUIMethod):
                        """
                        Specifies a scale factor to enlarge/reduce the length of vectors.
                        """
                    class color_variable(TUIMethod):
                        """
                        Specifies whether the vectors should be colored by variable specified in /display/particle-track/particle-track (if false use a constant color).
                        """
                    class length_variable(TUIMethod):
                        """
                        Specifies whether the displayed vectors have length varying with another variable.
                        """
                    class constant_color(TUIMethod):
                        """
                        Specifies a constant color for the vectors.
                        """

                class sphere_settings(TUIMenu):
                    """
                    Provide sphere specific input.
                    """
                    def __init__(self, service, version, mode, path):
                        self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                        self.scale_factor = self.__class__.scale_factor(service, version, mode, path + ["scale_factor"])
                        self.vary_diameter = self.__class__.vary_diameter(service, version, mode, path + ["vary_diameter"])
                        self.smooth_parameter = self.__class__.smooth_parameter(service, version, mode, path + ["smooth_parameter"])
                        self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                        self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                        self.size_variable = self.__class__.size_variable(service, version, mode, path + ["size_variable"])
                        self.diameter = self.__class__.diameter(service, version, mode, path + ["diameter"])
                        super().__init__(service, version, mode, path)
                    class auto_range(TUIMethod):
                        """
                        Specifies whether displayed spheres should include auto range of variable to size spheres.
                        """
                    class scale_factor(TUIMethod):
                        """
                        Specifies a scale factor to enlarge/reduce the size of spheres.
                        """
                    class vary_diameter(TUIMethod):
                        """
                        Specifies whether the spheres can vary with another variable.
                        """
                    class smooth_parameter(TUIMethod):
                        """
                        Specifies number of slices to be used in drawing spheres.
                        """
                    class maximum(TUIMethod):
                        """
                        Sets the maximum value of the sphere to be displayed.
                        """
                    class minimum(TUIMethod):
                        """
                        Sets the minimum value of the sphere to be displayed.
                        """
                    class size_variable(TUIMethod):
                        """
                        Selects a particle variable to size the spheres.
                        """
                    class diameter(TUIMethod):
                        """
                        Diameter of the spheres whenvary-diameter is disabled.
                        """

                class filter_settings(TUIMenu):
                    """
                    Set filter for particle display.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enable_filtering = self.__class__.enable_filtering(service, version, mode, path + ["enable_filtering"])
                        self.inside = self.__class__.inside(service, version, mode, path + ["inside"])
                        self.filter_variable = self.__class__.filter_variable(service, version, mode, path + ["filter_variable"])
                        self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                        self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                        super().__init__(service, version, mode, path)
                    class enable_filtering(TUIMethod):
                        """
                        Specifies whether particle display is filtered.
                        """
                    class inside(TUIMethod):
                        """
                        Specifies whether filter variable must be inside min/max to be displayed (else outside min/max).
                        """
                    class filter_variable(TUIMethod):
                        """
                        Selects a variable used for filtering of particles.
                        """
                    class minimum(TUIMethod):
                        """
                        Specifies the lower bound for the filter variable.
                        """
                    class maximum(TUIMethod):
                        """
                        Specifies the upper bound for the filter variable.
                        """

            class windows(TUIMenu):
                """
                Enter the window options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.xy = self.__class__.xy(service, version, mode, path + ["xy"])
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                    self.main = self.__class__.main(service, version, mode, path + ["main"])
                    self.text = self.__class__.text(service, version, mode, path + ["text"])
                    self.ruler = self.__class__.ruler(service, version, mode, path + ["ruler"])
                    self.logo = self.__class__.logo(service, version, mode, path + ["logo"])
                    self.logo_color = self.__class__.logo_color(service, version, mode, path + ["logo_color"])
                    self.aspect_ratio = self.__class__.aspect_ratio(service, version, mode, path + ["aspect_ratio"])
                    super().__init__(service, version, mode, path)
                class ruler(TUIMethod):
                    """
                    Turns the ruler on/off. Note that if you are running Fluent in 3D, then the view must be set toorthographic.
                    """
                class logo(TUIMethod):
                    """
                    .
                    """
                class logo_color(TUIMethod):
                    """
                    .
                    """
                class aspect_ratio(TUIMethod):
                    """
                    Sets the aspect ratio of the active window.
                    """

                class xy(TUIMenu):
                    """
                    Enters the XY plot window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        super().__init__(service, version, mode, path)
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the XY plot window.
                        """
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the XY plot window.
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the XY plot window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the XY plot window.
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the XY plot window.
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the XY plot window.
                        """

                class axes(TUIMenu):
                    """
                    Enters the axes window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        super().__init__(service, version, mode, path)
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the axes window.
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the axes window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the axes window.
                        """
                    class clear(TUIMethod):
                        """
                        Sets the transparency of the axes window.
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the axes window.
                        """

                class video(TUIMenu):
                    """
                    Contains options for modifying a video. This menu is not relevant for the meshing mode.
                    """
                    def __init__(self, service, version, mode, path):
                        self.color_filter = self.__class__.color_filter(service, version, mode, path + ["color_filter"])
                        self.on = self.__class__.on(service, version, mode, path + ["on"])
                        self.pixel_size = self.__class__.pixel_size(service, version, mode, path + ["pixel_size"])
                        self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                        self.background = self.__class__.background(service, version, mode, path + ["background"])
                        super().__init__(service, version, mode, path)
                    class color_filter(TUIMethod):
                        """
                        Sets the video color filter. For example, to change the color filter from its default setting  to PAL video with a saturation of 80percentage and a brightness of 90percentage, you would  enter "video=pal,sat=.8,gain=.9" after selecting the color-filter command.
                        """
                    class on(TUIMethod):
                        """
                        Enables or disables the video picture settings.
                        """
                    class pixel_size(TUIMethod):
                        """
                        Sets the window size in pixels.
                        """
                    class foreground(TUIMethod):
                        """
                        Sets the foreground (text) color of the graphics window. The color is specified as a string of three comma-separated numbers between 0 and 1, representing red, green, and blue. For example, to change the foreground from white (default) to gray, you would enter ".5,.5,.5" after selecting the foreground command.
                        """
                    class background(TUIMethod):
                        """
                        Sets the background color of the graphics window. The color is specified as a string of three comma-separated numbers between 0 and 1, representing red, green, and blue. For example, to change the background from black (default) to gray, you would enter ".5,.5,.5" after selecting the background command.
                        """

                class scale(TUIMenu):
                    """
                    Enters the color scale window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.font_size = self.__class__.font_size(service, version, mode, path + ["font_size"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.margin = self.__class__.margin(service, version, mode, path + ["margin"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        super().__init__(service, version, mode, path)
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the color scale window.
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the color scale window.
                        """
                    class font_size(TUIMethod):
                        """
                        Sets the font size of the color scale window.
                        """
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the color scale window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the color scale window.
                        """
                    class margin(TUIMethod):
                        """
                        Sets the margin of the color scale window.
                        """
                    class clear(TUIMethod):
                        """
                        Sets the transparency of the color scale window.
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the color scale window.
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the color scale window.
                        """
                    class format(TUIMethod):
                        """
                        Sets the number format of the color scale window (for example, percentage0.2e).
                        """

                class main(TUIMenu):
                    """
                    Enters the main view window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        super().__init__(service, version, mode, path)
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the main viewing window.
                        """
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the main viewing window.
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the main viewing window.
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the main viewing window.
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the main viewing window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the main viewing window.
                        """

                class text(TUIMenu):
                    """
                    Enters the text window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.date = self.__class__.date(service, version, mode, path + ["date"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.application = self.__class__.application(service, version, mode, path + ["application"])
                        self.company = self.__class__.company(service, version, mode, path + ["company"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.alignment = self.__class__.alignment(service, version, mode, path + ["alignment"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        super().__init__(service, version, mode, path)
                    class date(TUIMethod):
                        """
                        Shows or hides the date in the picture.
                        """
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the text window.
                        """
                    class application(TUIMethod):
                        """
                        Shows or hides the application name in the picture.
                        """
                    class company(TUIMethod):
                        """
                        Shows or hides the company name in the picture.
                        """
                    class clear(TUIMethod):
                        """
                        Enables/disables the transparency of the text window.
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the text window.
                        """
                    class alignment(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the text window.
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the text window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the text window.
                        """
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the text window.
                        """

            class titles(TUIMenu):
                """
                Set problem title.
                """
                def __init__(self, service, version, mode, path):
                    self.right_middle = self.__class__.right_middle(service, version, mode, path + ["right_middle"])
                    self.right_top = self.__class__.right_top(service, version, mode, path + ["right_top"])
                    self.left_top = self.__class__.left_top(service, version, mode, path + ["left_top"])
                    self.right_bottom = self.__class__.right_bottom(service, version, mode, path + ["right_bottom"])
                    self.left_bottom = self.__class__.left_bottom(service, version, mode, path + ["left_bottom"])
                    super().__init__(service, version, mode, path)
                class right_middle(TUIMethod):
                    """
                    Set the title text for right middle in title segment.
                    """
                class right_top(TUIMethod):
                    """
                    Set the title text for right top in title segment.
                    """
                class left_top(TUIMethod):
                    """
                    Set the title text for left top in title segment.
                    """
                class right_bottom(TUIMethod):
                    """
                    Set the title text for right bottom in title segment.
                    """
                class left_bottom(TUIMethod):
                    """
                    Set the title text for left bottom in title segment.
                    """

            class velocity_vectors(TUIMenu):
                """
                Enters the menu to set parameters for display of velocity vectors.
                """
                def __init__(self, service, version, mode, path):
                    self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                    self.component_z = self.__class__.component_z(service, version, mode, path + ["component_z"])
                    self.constant_length = self.__class__.constant_length(service, version, mode, path + ["constant_length"])
                    self.in_plane = self.__class__.in_plane(service, version, mode, path + ["in_plane"])
                    self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                    self.relative = self.__class__.relative(service, version, mode, path + ["relative"])
                    self.component_y = self.__class__.component_y(service, version, mode, path + ["component_y"])
                    self.node_values = self.__class__.node_values(service, version, mode, path + ["node_values"])
                    self.scale_head = self.__class__.scale_head(service, version, mode, path + ["scale_head"])
                    self.color = self.__class__.color(service, version, mode, path + ["color"])
                    self.style = self.__class__.style(service, version, mode, path + ["style"])
                    self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                    self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                    self.global_range = self.__class__.global_range(service, version, mode, path + ["global_range"])
                    self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                    self.component_x = self.__class__.component_x(service, version, mode, path + ["component_x"])
                    self.color_levels = self.__class__.color_levels(service, version, mode, path + ["color_levels"])
                    super().__init__(service, version, mode, path)
                class render_mesh(TUIMethod):
                    """
                    Enables/disables rendering the mesh on top of contours, vectors, and so on.
                    """
                class component_z(TUIMethod):
                    """
                    Sets the option to use only the  component of the velocity vectors during display.
                    """
                class constant_length(TUIMethod):
                    """
                    Sets the option to draw velocity vectors of constant length. This shows only the direction of the velocity vectors.
                    """
                class in_plane(TUIMethod):
                    """
                    Toggles the display of velocity vector components in the plane of the surface selected for display.
                    """
                class scale(TUIMethod):
                    """
                    Sets the value by which the vector length will be scaled.
                    """
                class relative(TUIMethod):
                    """
                    Toggles the display of relative velocity vectors.
                    """
                class component_y(TUIMethod):
                    """
                    Sets the option to use only the  component of the velocity vectors during display.
                    """
                class node_values(TUIMethod):
                    """
                    Enables/disables the plotting of node values. Cell values will be plotted if "no".
                    """
                class scale_head(TUIMethod):
                    """
                    Sets the value by which the vector head will be scaled.
                    """
                class color(TUIMethod):
                    """
                    Sets the color of all velocity vectors to the color specified. The color scale is ignored. This is useful when overlaying a vector plot over a contour plot.
                    """
                class style(TUIMethod):
                    """
                    Specifies the vector style that will be used when the vectors are displayed. You can choose from:3d arrow,3d arrowhead, cone,filled-arrow, arrow,harpoon, or headless.
                    """
                class auto_scale(TUIMethod):
                    """
                    Auto-scales all vectors so that vector overlap is minimal.
                    """
                class log_scale(TUIMethod):
                    """
                    Toggles whether color scale is logarithmic or linear.
                    """
                class global_range(TUIMethod):
                    """
                    Turns global range for vectors on/off.
                    """
                class surfaces(TUIMethod):
                    """
                    Sets surfaces on which vectors are drawn. You can include a wildcard (\\*) within the surface names.
                    """
                class component_x(TUIMethod):
                    """
                    Sets the option to use only the  component of the velocity vectors during display.
                    """
                class color_levels(TUIMethod):
                    """
                    Sets the number of colors used from the colormap.
                    """

            class colors(TUIMenu):
                """
                Enter the color options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.by_type = self.__class__.by_type(service, version, mode, path + ["by_type"])
                    self.by_surface = self.__class__.by_surface(service, version, mode, path + ["by_surface"])
                    self.reset_user_colors = self.__class__.reset_user_colors(service, version, mode, path + ["reset_user_colors"])
                    self.automatic_skip = self.__class__.automatic_skip(service, version, mode, path + ["automatic_skip"])
                    self.inlet_faces = self.__class__.inlet_faces(service, version, mode, path + ["inlet_faces"])
                    self.symmetry_faces = self.__class__.symmetry_faces(service, version, mode, path + ["symmetry_faces"])
                    self.outlet_faces = self.__class__.outlet_faces(service, version, mode, path + ["outlet_faces"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.interior_faces = self.__class__.interior_faces(service, version, mode, path + ["interior_faces"])
                    self.wall_faces = self.__class__.wall_faces(service, version, mode, path + ["wall_faces"])
                    self.interface_faces = self.__class__.interface_faces(service, version, mode, path + ["interface_faces"])
                    self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                    self.reset_colors = self.__class__.reset_colors(service, version, mode, path + ["reset_colors"])
                    self.axis_faces = self.__class__.axis_faces(service, version, mode, path + ["axis_faces"])
                    self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                    self.free_surface_faces = self.__class__.free_surface_faces(service, version, mode, path + ["free_surface_faces"])
                    self.overset_faces = self.__class__.overset_faces(service, version, mode, path + ["overset_faces"])
                    self.traction_faces = self.__class__.traction_faces(service, version, mode, path + ["traction_faces"])
                    self.rans_les_interface_faces = self.__class__.rans_les_interface_faces(service, version, mode, path + ["rans_les_interface_faces"])
                    self.color_by_type = self.__class__.color_by_type(service, version, mode, path + ["color_by_type"])
                    self.periodic_faces = self.__class__.periodic_faces(service, version, mode, path + ["periodic_faces"])
                    self.user_color = self.__class__.user_color(service, version, mode, path + ["user_color"])
                    self.far_field_faces = self.__class__.far_field_faces(service, version, mode, path + ["far_field_faces"])
                    self.graphics_color_theme = self.__class__.graphics_color_theme(service, version, mode, path + ["graphics_color_theme"])
                    self.background = self.__class__.background(service, version, mode, path + ["background"])
                    self.internal_faces = self.__class__.internal_faces(service, version, mode, path + ["internal_faces"])
                    self.show_user_colors = self.__class__.show_user_colors(service, version, mode, path + ["show_user_colors"])
                    self.skip_label = self.__class__.skip_label(service, version, mode, path + ["skip_label"])
                    super().__init__(service, version, mode, path)
                class reset_user_colors(TUIMethod):
                    """
                    Reset all user colors.
                    """
                class automatic_skip(TUIMethod):
                    """
                    Determine whether to skip labels in the colopmap scale automatically.
                    """
                class inlet_faces(TUIMethod):
                    """
                    Set the color of inlet faces.
                    """
                class symmetry_faces(TUIMethod):
                    """
                    Set the color of symmetric faces.
                    """
                class outlet_faces(TUIMethod):
                    """
                    Set the color of outlet faces.
                    """
                class list(TUIMethod):
                    """
                    List available colors.
                    """
                class interior_faces(TUIMethod):
                    """
                    Set the color of interior faces.
                    """
                class wall_faces(TUIMethod):
                    """
                    Set the color of wall faces.
                    """
                class interface_faces(TUIMethod):
                    """
                    Set the color of mesh Interfaces.
                    """
                class surface(TUIMethod):
                    """
                    Set the color of surfaces.
                    """
                class reset_colors(TUIMethod):
                    """
                    Reset individual mesh surface colors to the defaults.
                    """
                class axis_faces(TUIMethod):
                    """
                    Set the color of axisymmetric faces.
                    """
                class foreground(TUIMethod):
                    """
                    Set the foreground (text and window frame) color.
                    """
                class free_surface_faces(TUIMethod):
                    """
                    Set the color of free-surface faces.
                    """
                class overset_faces(TUIMethod):
                    """
                    Set the color of overset faces.
                    """
                class traction_faces(TUIMethod):
                    """
                    Set the color of traction faces.
                    """
                class rans_les_interface_faces(TUIMethod):
                    """
                    Set the color of RANS/LES interface faces.
                    """
                class color_by_type(TUIMethod):
                    """
                    Determine whether to color meshes by type or by surface (ID).
                    """
                class periodic_faces(TUIMethod):
                    """
                    Set the color of periodic faces.
                    """
                class user_color(TUIMethod):
                    """
                    Explicitly set color of display zone.
                    """
                class far_field_faces(TUIMethod):
                    """
                    Set the color of far field faces.
                    """
                class graphics_color_theme(TUIMethod):
                    """
                    Enter the graphics color theme menu.
                    """
                class background(TUIMethod):
                    """
                    Set the background (window) color.
                    """
                class internal_faces(TUIMethod):
                    """
                    Set the color of internal interface faces.
                    """
                class show_user_colors(TUIMethod):
                    """
                    List currently defined user colors.
                    """
                class skip_label(TUIMethod):
                    """
                    Set the number of labels to be skipped in the colopmap scale.
                    """

                class by_type(TUIMenu):
                    """
                    Enter the zone type color and material assignment menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.type_name = self.__class__.type_name(service, version, mode, path + ["type_name"])
                        self.only_list_case_boundaries = self.__class__.only_list_case_boundaries(service, version, mode, path + ["only_list_case_boundaries"])
                        self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                        super().__init__(service, version, mode, path)
                    class only_list_case_boundaries(TUIMethod):
                        """
                        Only list the boundary types that are assigned in this case.
                        """
                    class reset(TUIMethod):
                        """
                        To reset colors and/or materials to the defaults.
                        """

                    class type_name(TUIMenu):
                        """
                        Select the boundary type to specify colors and/or materials.
                        """
                        def __init__(self, service, version, mode, path):
                            self.traction = self.__class__.traction(service, version, mode, path + ["traction"])
                            self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                            self.free_surface = self.__class__.free_surface(service, version, mode, path + ["free_surface"])
                            self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                            self.outlet = self.__class__.outlet(service, version, mode, path + ["outlet"])
                            self.far_field = self.__class__.far_field(service, version, mode, path + ["far_field"])
                            self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                            self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                            self.inlet = self.__class__.inlet(service, version, mode, path + ["inlet"])
                            self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                            self.internal = self.__class__.internal(service, version, mode, path + ["internal"])
                            self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                            self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                            self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                            self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                            super().__init__(service, version, mode, path)
                        class traction(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class symmetry(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class free_surface(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class axis(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class outlet(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class far_field(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class surface(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class periodic(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class inlet(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class rans_les_interface(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class internal(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class interior(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class overset(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class wall(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                        class interface(TUIMethod):
                            """
                            Set the material and/or color for the selected boundary type.
                            """

                class by_surface(TUIMenu):
                    """
                    Enter the surface(s) color and material assignment menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list_surfaces_by_material = self.__class__.list_surfaces_by_material(service, version, mode, path + ["list_surfaces_by_material"])
                        self.list_surfaces_by_color = self.__class__.list_surfaces_by_color(service, version, mode, path + ["list_surfaces_by_color"])
                        self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                        self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                        super().__init__(service, version, mode, path)
                    class list_surfaces_by_material(TUIMethod):
                        """
                        To list the surfaces by its material.
                        """
                    class list_surfaces_by_color(TUIMethod):
                        """
                        To list the surfaces by its color.
                        """
                    class surfaces(TUIMethod):
                        """
                        Select the surface(s) to specify colors and/or materials.
                        """
                    class reset(TUIMethod):
                        """
                        To reset colors and/or materials to the defaults.
                        """

            class contours(TUIMenu):
                """
                Enters the contour options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.n_contour = self.__class__.n_contour(service, version, mode, path + ["n_contour"])
                    self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                    self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                    self.line_contours = self.__class__.line_contours(service, version, mode, path + ["line_contours"])
                    self.global_range = self.__class__.global_range(service, version, mode, path + ["global_range"])
                    self.filled_contours = self.__class__.filled_contours(service, version, mode, path + ["filled_contours"])
                    self.coloring = self.__class__.coloring(service, version, mode, path + ["coloring"])
                    self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                    self.clip_to_range = self.__class__.clip_to_range(service, version, mode, path + ["clip_to_range"])
                    self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                    self.node_values = self.__class__.node_values(service, version, mode, path + ["node_values"])
                    super().__init__(service, version, mode, path)
                class n_contour(TUIMethod):
                    """
                    Sets the number of contour levels.
                    """
                class log_scale(TUIMethod):
                    """
                    Specifies a decimal or logarithmic color scale for contours.
                    """
                class render_mesh(TUIMethod):
                    """
                    Determines whether or not to render the mesh on top of contours, vectors, and so on.
                    """
                class line_contours(TUIMethod):
                    """
                    Turns the line contours option on/off (deselects filled-contours?).
                    """
                class global_range(TUIMethod):
                    """
                    Turns the global range for contours on/off.
                    """
                class filled_contours(TUIMethod):
                    """
                    Turns the filled contours option on/off (deselects line-contours?).
                    """
                class coloring(TUIMethod):
                    """
                    Specifies whether contours are displayed in bands or with smooth transitions. Note that you can only display smooth contours if node-values are enabled.
                    """
                class auto_range(TUIMethod):
                    """
                    Enables/disables auto-computation of the contour range.
                    """
                class clip_to_range(TUIMethod):
                    """
                    Turns the clip to range option for filled contours on/off.
                    """
                class surfaces(TUIMethod):
                    """
                    Sets the surfaces on which contours are drawn. You can include a wildcard (\\*) within the surface names.
                    """
                class node_values(TUIMethod):
                    """
                    Sets the option to use scalar field at nodes when computing the contours.
                    """

        class view_sync(TUIMenu):
            """
            Synchronize window views.
            """
            def __init__(self, service, version, mode, path):
                self.add_all = self.__class__.add_all(service, version, mode, path + ["add_all"])
                self.stop = self.__class__.stop(service, version, mode, path + ["stop"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.remove_all = self.__class__.remove_all(service, version, mode, path + ["remove_all"])
                self.remove = self.__class__.remove(service, version, mode, path + ["remove"])
                self.start = self.__class__.start(service, version, mode, path + ["start"])
                super().__init__(service, version, mode, path)
            class add_all(TUIMethod):
                """
                Synchronize all windows.
                """
            class stop(TUIMethod):
                """
                Stop view synchronization.
                """
            class list(TUIMethod):
                """
                Print window ids of open windows.
                """
            class add(TUIMethod):
                """
                Add list of window ids for synchronization.
                """
            class remove_all(TUIMethod):
                """
                Unsynchronize all windows.
                """
            class remove(TUIMethod):
                """
                Remove list of window ids from synchronization.
                """
            class start(TUIMethod):
                """
                Start view synchronization.
                """

        class particle_tracks(TUIMenu):
            """
            Enters the particle tracks menu.
            """
            def __init__(self, service, version, mode, path):
                self.plot_write_xy_plot = self.__class__.plot_write_xy_plot(service, version, mode, path + ["plot_write_xy_plot"])
                self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
                super().__init__(service, version, mode, path)
            class plot_write_xy_plot(TUIMethod):
                """
                Plots or writes an XY plot of particle tracks.
                """
            class particle_tracks(TUIMethod):
                """
                Calculates and displays particle tracks from defined injections.
                """

        class define(TUIMenu):
            """
            Enter Display define menu.
            """
            def __init__(self, service, version, mode, path):
                self.material = self.__class__.material(service, version, mode, path + ["material"])
                super().__init__(service, version, mode, path)

            class material(TUIMenu):
                """
                Add, Edit, Remove materials in case file.
                """
                def __init__(self, service, version, mode, path):
                    self.new = self.__class__.new(service, version, mode, path + ["new"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class new(TUIMethod):
                    """
                    Create new material.
                    """
                class delete(TUIMethod):
                    """
                    Remove  material.
                    """
                class copy(TUIMethod):
                    """
                    Copy to new material.
                    """
                class edit(TUIMethod):
                    """
                    Edit material.
                    """

        class inverse_dft(TUIMenu):
            """
            Reconstruct DFT signal.
            """
            def __init__(self, service, version, mode, path):
                self.reconstruct = self.__class__.reconstruct(service, version, mode, path + ["reconstruct"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                super().__init__(service, version, mode, path)
            class reconstruct(TUIMethod):
                """
                Make inverse DFT recontruction.
                """
            class set(TUIMethod):
                """
                Set reconstruction parameters.
                """

        class update_scene(TUIMenu):
            """
            Enter the scene options menu.
            """
            def __init__(self, service, version, mode, path):
                self.select_geometry = self.__class__.select_geometry(service, version, mode, path + ["select_geometry"])
                self.transform = self.__class__.transform(service, version, mode, path + ["transform"])
                self.iso_sweep = self.__class__.iso_sweep(service, version, mode, path + ["iso_sweep"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.set_frame = self.__class__.set_frame(service, version, mode, path + ["set_frame"])
                self.draw_frame = self.__class__.draw_frame(service, version, mode, path + ["draw_frame"])
                self.pathline = self.__class__.pathline(service, version, mode, path + ["pathline"])
                self.overlays = self.__class__.overlays(service, version, mode, path + ["overlays"])
                self.time = self.__class__.time(service, version, mode, path + ["time"])
                super().__init__(service, version, mode, path)
            class select_geometry(TUIMethod):
                """
                Select geometry to be updated.
                """
            class transform(TUIMethod):
                """
                Apply transformation matrix on selected geometries.
                """
            class iso_sweep(TUIMethod):
                """
                Change iso-sweep values.
                """
            class delete(TUIMethod):
                """
                Delete selected geometries.
                """
            class display(TUIMethod):
                """
                Display selected geometries.
                """
            class set_frame(TUIMethod):
                """
                Change frame options.
                """
            class draw_frame(TUIMethod):
                """
                Enable/disable drawing of the bounding frame.
                """
            class pathline(TUIMethod):
                """
                Change pathline attributes.
                """
            class overlays(TUIMethod):
                """
                Enable/disable the overlays option.
                """
            class time(TUIMethod):
                """
                Change time-step value.
                """

        class views(TUIMenu):
            """
            Enter the view manipulation menu.
            """
            def __init__(self, service, version, mode, path):
                self.camera = self.__class__.camera(service, version, mode, path + ["camera"])
                self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
                self.default_view = self.__class__.default_view(service, version, mode, path + ["default_view"])
                self.restore_view = self.__class__.restore_view(service, version, mode, path + ["restore_view"])
                self.list_views = self.__class__.list_views(service, version, mode, path + ["list_views"])
                self.write_views = self.__class__.write_views(service, version, mode, path + ["write_views"])
                self.delete_view = self.__class__.delete_view(service, version, mode, path + ["delete_view"])
                self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                self.read_views = self.__class__.read_views(service, version, mode, path + ["read_views"])
                self.save_view = self.__class__.save_view(service, version, mode, path + ["save_view"])
                self.last_view = self.__class__.last_view(service, version, mode, path + ["last_view"])
                self.next_view = self.__class__.next_view(service, version, mode, path + ["next_view"])
                super().__init__(service, version, mode, path)
            class default_view(TUIMethod):
                """
                Resets the view to front and center.
                """
            class restore_view(TUIMethod):
                """
                Sets the current view to one of the stored views.
                """
            class list_views(TUIMethod):
                """
                Lists all predefined and saved views.
                """
            class write_views(TUIMethod):
                """
                Writes views to an external view file.
                """
            class delete_view(TUIMethod):
                """
                Deletes a particular view from the list of stored views.
                """
            class auto_scale(TUIMethod):
                """
                Scales and centers the current scene without changing its orientation.
                """
            class read_views(TUIMethod):
                """
                Reads views from an external view file.
                """
            class save_view(TUIMethod):
                """
                Saves the currently displayed view into the list of stored views.
                """
            class last_view(TUIMethod):
                """
                Returns to the camera position before the last manipulation.
                """
            class next_view(TUIMethod):
                """
                .
                """

            class camera(TUIMenu):
                """
                Contains commands to set the camera options.
                """
                def __init__(self, service, version, mode, path):
                    self.position = self.__class__.position(service, version, mode, path + ["position"])
                    self.target = self.__class__.target(service, version, mode, path + ["target"])
                    self.dolly_camera = self.__class__.dolly_camera(service, version, mode, path + ["dolly_camera"])
                    self.orbit_camera = self.__class__.orbit_camera(service, version, mode, path + ["orbit_camera"])
                    self.field = self.__class__.field(service, version, mode, path + ["field"])
                    self.pan_camera = self.__class__.pan_camera(service, version, mode, path + ["pan_camera"])
                    self.roll_camera = self.__class__.roll_camera(service, version, mode, path + ["roll_camera"])
                    self.up_vector = self.__class__.up_vector(service, version, mode, path + ["up_vector"])
                    self.zoom_camera = self.__class__.zoom_camera(service, version, mode, path + ["zoom_camera"])
                    self.projection = self.__class__.projection(service, version, mode, path + ["projection"])
                    super().__init__(service, version, mode, path)
                class position(TUIMethod):
                    """
                    Sets the camera position.
                    """
                class target(TUIMethod):
                    """
                    Sets the point the camera will look at.
                    """
                class dolly_camera(TUIMethod):
                    """
                    Enables you to move the camera left, right, up, down, in, and out.
                    """
                class orbit_camera(TUIMethod):
                    """
                    Enables you to move the camera around the target. Gives the effect of circling around the target.
                    """
                class field(TUIMethod):
                    """
                    Enables you to set the field of view (width and height) of the scene.
                    """
                class pan_camera(TUIMethod):
                    """
                    Gives you the effect of sweeping the camera across the scene. The camera remains at its position but its target changes.
                    """
                class roll_camera(TUIMethod):
                    """
                    Lets you adjust the camera up-vector.
                    """
                class up_vector(TUIMethod):
                    """
                    Sets the camera up-vector.
                    """
                class zoom_camera(TUIMethod):
                    """
                    Adjusts the camera’s field of view. This operation is similar to dollying the camera in or out of the scene. Dollying causes objects in front to move past you. Zooming changes the perspective effect in the scene (and can be disconcerting).
                    """
                class projection(TUIMethod):
                    """
                    Lets you switch between perspective and orthographic views.
                    """

            class display_states(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.read = self.__class__.read(service, version, mode, path + ["read"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.new = self.__class__.new(service, version, mode, path + ["new"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.restore_state = self.__class__.restore_state(service, version, mode, path + ["restore_state"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class read(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class new(TUIMethod):
                    """
                    Create a new display-states object.
                    """
                class write(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    Delete object.
                    """
                class restore_state(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename object.
                    """
                class use_active(TUIMethod):
                    """
                    .
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit display-states object.
                    """

        class surface(TUIMenu):
            """
            Enters the data surface-manipulation menu. For a description of the items in this menu, see surface/.
            """
            def __init__(self, service, version, mode, path):
                self.post_processing_volume = self.__class__.post_processing_volume(service, version, mode, path + ["post_processing_volume"])
                self.query = self.__class__.query(service, version, mode, path + ["query"])
                self.multiple_iso_surfaces = self.__class__.multiple_iso_surfaces(service, version, mode, path + ["multiple_iso_surfaces"])
                self.reset_zone_surfaces = self.__class__.reset_zone_surfaces(service, version, mode, path + ["reset_zone_surfaces"])
                self.partition_surface = self.__class__.partition_surface(service, version, mode, path + ["partition_surface"])
                self.cone_slice = self.__class__.cone_slice(service, version, mode, path + ["cone_slice"])
                self.ellipsoid_slice = self.__class__.ellipsoid_slice(service, version, mode, path + ["ellipsoid_slice"])
                self.multiple_plane_surfaces = self.__class__.multiple_plane_surfaces(service, version, mode, path + ["multiple_plane_surfaces"])
                self.mouse_rake = self.__class__.mouse_rake(service, version, mode, path + ["mouse_rake"])
                self.ungroup_surface = self.__class__.ungroup_surface(service, version, mode, path + ["ungroup_surface"])
                self.closest_point_search = self.__class__.closest_point_search(service, version, mode, path + ["closest_point_search"])
                self.circle_slice = self.__class__.circle_slice(service, version, mode, path + ["circle_slice"])
                self.line_surface = self.__class__.line_surface(service, version, mode, path + ["line_surface"])
                self.iso_surface = self.__class__.iso_surface(service, version, mode, path + ["iso_surface"])
                self.mouse_line = self.__class__.mouse_line(service, version, mode, path + ["mouse_line"])
                self.plane_surface = self.__class__.plane_surface(service, version, mode, path + ["plane_surface"])
                self.edit_surface = self.__class__.edit_surface(service, version, mode, path + ["edit_surface"])
                self.delete_surface = self.__class__.delete_surface(service, version, mode, path + ["delete_surface"])
                self.group_surfaces = self.__class__.group_surfaces(service, version, mode, path + ["group_surfaces"])
                self.multiple_zone_surfaces = self.__class__.multiple_zone_surfaces(service, version, mode, path + ["multiple_zone_surfaces"])
                self.transform_surface = self.__class__.transform_surface(service, version, mode, path + ["transform_surface"])
                self.plane_slice = self.__class__.plane_slice(service, version, mode, path + ["plane_slice"])
                self.iso_clip = self.__class__.iso_clip(service, version, mode, path + ["iso_clip"])
                self.structural_point_surface = self.__class__.structural_point_surface(service, version, mode, path + ["structural_point_surface"])
                self.rake_surface = self.__class__.rake_surface(service, version, mode, path + ["rake_surface"])
                self.quadric_slice = self.__class__.quadric_slice(service, version, mode, path + ["quadric_slice"])
                self.sphere_slice = self.__class__.sphere_slice(service, version, mode, path + ["sphere_slice"])
                self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
                self.point_surface = self.__class__.point_surface(service, version, mode, path + ["point_surface"])
                self.plane = self.__class__.plane(service, version, mode, path + ["plane"])
                self.point_array = self.__class__.point_array(service, version, mode, path + ["point_array"])
                self.line_slice = self.__class__.line_slice(service, version, mode, path + ["line_slice"])
                self.mouse_plane = self.__class__.mouse_plane(service, version, mode, path + ["mouse_plane"])
                self.expression_volume = self.__class__.expression_volume(service, version, mode, path + ["expression_volume"])
                self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
                self.zone_surface = self.__class__.zone_surface(service, version, mode, path + ["zone_surface"])
                self.rename_surface = self.__class__.rename_surface(service, version, mode, path + ["rename_surface"])
                self.create_imprint_surface = self.__class__.create_imprint_surface(service, version, mode, path + ["create_imprint_surface"])
                super().__init__(service, version, mode, path)
            class multiple_iso_surfaces(TUIMethod):
                """
                Create multiple iso-surfaces from the data field at specified spacing.
                """
            class reset_zone_surfaces(TUIMethod):
                """
                Reset case surface list.
                """
            class partition_surface(TUIMethod):
                """
                Define a data surface on mesh faces on the partition boundary.
                """
            class cone_slice(TUIMethod):
                """
                Extract a cone slice.
                """
            class ellipsoid_slice(TUIMethod):
                """
                Extract a ellipsoid slice.
                """
            class multiple_plane_surfaces(TUIMethod):
                """
                Create multiple plane surfaces at specified spacing.
                """
            class mouse_rake(TUIMethod):
                """
                Define a "rake" surface using the mouse to select the end points.
                """
            class ungroup_surface(TUIMethod):
                """
                Ungroup the surface(if grouped).
                """
            class closest_point_search(TUIMethod):
                """
                Enable the point surface algorithm to look for the nearest point instead of reporting a creation failure.
                """
            class circle_slice(TUIMethod):
                """
                Extract a circular slice.
                """
            class line_surface(TUIMethod):
                """
                Define a "line" surface by specifying the two endpoint coordinates.
                """
            class iso_surface(TUIMethod):
                """
                Extract an iso-surface (surface, curve, or point) from the curent data field.
                """
            class mouse_line(TUIMethod):
                """
                Define a line surface using the mouse to select two points.
                """
            class plane_surface(TUIMethod):
                """
                Create a plane from a coordinate plane, point and normal, or three points.
                """
            class edit_surface(TUIMethod):
                """
                Edit a defined data surface.
                """
            class delete_surface(TUIMethod):
                """
                Remove a defined data surface.
                """
            class group_surfaces(TUIMethod):
                """
                Group a set of surfaces.
                """
            class multiple_zone_surfaces(TUIMethod):
                """
                Create multiple data surfaces at a time.
                """
            class transform_surface(TUIMethod):
                """
                Transform surface.
                """
            class plane_slice(TUIMethod):
                """
                Extract a planar slice.
                """
            class iso_clip(TUIMethod):
                """
                Clip a data surface (surface, curve, or point) between two iso-values.
                """
            class structural_point_surface(TUIMethod):
                """
                Define a "structural point" surface by specifying the coordinates.
                """
            class rake_surface(TUIMethod):
                """
                Define a "rake" surface by specifying the end points.
                """
            class quadric_slice(TUIMethod):
                """
                Extract a quadric slice.
                """
            class sphere_slice(TUIMethod):
                """
                Extract a spherical slice.
                """
            class surface_cells(TUIMethod):
                """
                Extract all cells intersected by a data surface.
                """
            class point_surface(TUIMethod):
                """
                Define a "point" surface by specifying the coordinates.
                """
            class plane(TUIMethod):
                """
                Create a plane given 3 points bounded by the domain.
                """
            class point_array(TUIMethod):
                """
                Extract a rectangular array of data points.
                """
            class line_slice(TUIMethod):
                """
                Extract a linear slice.
                """
            class mouse_plane(TUIMethod):
                """
                Define a plane surface using the mouse to select three points.
                """
            class expression_volume(TUIMethod):
                """
                Create volume with boolean expression.
                """
            class list_surfaces(TUIMethod):
                """
                List the number of facets in the defined surfaces.
                """
            class zone_surface(TUIMethod):
                """
                Define a data surface on a mesh zone.
                """
            class rename_surface(TUIMethod):
                """
                Rename a defined data surface.
                """
            class create_imprint_surface(TUIMethod):
                """
                Imprint surface.
                """

            class post_processing_volume(TUIMenu):
                """
                Enter post-processing volume menu.
                """
                def __init__(self, service, version, mode, path):
                    self.create_from_file = self.__class__.create_from_file(service, version, mode, path + ["create_from_file"])
                    self.create_octree = self.__class__.create_octree(service, version, mode, path + ["create_octree"])
                    super().__init__(service, version, mode, path)
                class create_from_file(TUIMethod):
                    """
                    Read post-processing mesh from file.
                    """
                class create_octree(TUIMethod):
                    """
                    Create post-processing octree mesh based on current case.
                    """

            class query(TUIMenu):
                """
                Enter surface query menu.
                """
                def __init__(self, service, version, mode, path):
                    self.delete_query = self.__class__.delete_query(service, version, mode, path + ["delete_query"])
                    self.named_surface_list = self.__class__.named_surface_list(service, version, mode, path + ["named_surface_list"])
                    self.list_queries = self.__class__.list_queries(service, version, mode, path + ["list_queries"])
                    self.list_named_selection = self.__class__.list_named_selection(service, version, mode, path + ["list_named_selection"])
                    self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
                    super().__init__(service, version, mode, path)
                class delete_query(TUIMethod):
                    """
                    Delete saved query.
                    """
                class named_surface_list(TUIMethod):
                    """
                    Create named list of surfaces.
                    """
                class list_queries(TUIMethod):
                    """
                    List all saved queries.
                    """
                class list_named_selection(TUIMethod):
                    """
                    List named selection of surface type.
                    """
                class list_surfaces(TUIMethod):
                    """
                    List surfaces.
                    """

        class path_lines(TUIMenu):
            """
            Enters the pathlines menu.
            """
            def __init__(self, service, version, mode, path):
                self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
                self.plot_write_xy_plot = self.__class__.plot_write_xy_plot(service, version, mode, path + ["plot_write_xy_plot"])
                self.write_to_files = self.__class__.write_to_files(service, version, mode, path + ["write_to_files"])
                super().__init__(service, version, mode, path)
            class path_lines(TUIMethod):
                """
                Displays pathlines from a surface.
                """
            class plot_write_xy_plot(TUIMethod):
                """
                Plots or writes an XY plot of pathlines.
                """
            class write_to_files(TUIMethod):
                """
                Writes pathlines to a file.
                """

        class flamelet_data(TUIMenu):
            """
            Displays flamelet data.
            """
            def __init__(self, service, version, mode, path):
                self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                self.draw_number_box = self.__class__.draw_number_box(service, version, mode, path + ["draw_number_box"])
                self.carpet_plot = self.__class__.carpet_plot(service, version, mode, path + ["carpet_plot"])
                self.plot_1d_slice = self.__class__.plot_1d_slice(service, version, mode, path + ["plot_1d_slice"])
                super().__init__(service, version, mode, path)
            class write_to_file(TUIMethod):
                """
                Enables/disables writing the 1D-slice to file instead of plot.
                """
            class draw_number_box(TUIMethod):
                """
                Enables/disables display of the numbers box.
                """
            class carpet_plot(TUIMethod):
                """
                Enables/disables display of carpet plot of a property.
                """
            class plot_1d_slice(TUIMethod):
                """
                Enables/disables plot of the 1D-slice.
                """

        class pdf_data(TUIMenu):
            """
            Enters the PDF data menu.
            """
            def __init__(self, service, version, mode, path):
                self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                self.draw_number_box = self.__class__.draw_number_box(service, version, mode, path + ["draw_number_box"])
                self.carpet_plot = self.__class__.carpet_plot(service, version, mode, path + ["carpet_plot"])
                self.plot_1d_slice = self.__class__.plot_1d_slice(service, version, mode, path + ["plot_1d_slice"])
                super().__init__(service, version, mode, path)
            class write_to_file(TUIMethod):
                """
                Enables/disables writing the 1D-slice to file instead of plot.
                """
            class draw_number_box(TUIMethod):
                """
                Enables/disables the display of the numbers box.
                """
            class carpet_plot(TUIMethod):
                """
                Enables/disables the display of a carpet plot of a property.
                """
            class plot_1d_slice(TUIMethod):
                """
                Enables/disables a plot of the 1D-slice.
                """

        class display_states(TUIMenu):
            """
            Enter the display state manipulation menu.
            """
            def __init__(self, service, version, mode, path):
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.write = self.__class__.write(service, version, mode, path + ["write"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.read = self.__class__.read(service, version, mode, path + ["read"])
                self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.apply = self.__class__.apply(service, version, mode, path + ["apply"])
                super().__init__(service, version, mode, path)
            class list(TUIMethod):
                """
                Print the names of the available display states to the console.
                """
            class write(TUIMethod):
                """
                Write display states to a file.
                """
            class copy(TUIMethod):
                """
                Create a new display state with settings copied from an existing display state.
                """
            class read(TUIMethod):
                """
                Read display states from a file.
                """
            class use_active(TUIMethod):
                """
                Update an existing display state's settings to match those of the active graphics window.
                """
            class delete(TUIMethod):
                """
                Delete a display state.
                """
            class create(TUIMethod):
                """
                Create a new display state.
                """
            class edit(TUIMethod):
                """
                Edit a particular display state setting.
                """
            class apply(TUIMethod):
                """
                Apply a display state to the active window.
                """

    class adjoint(TUIMenu):
        """
        Adjoint.
        """
        def __init__(self, service, version, mode, path):
            self.run = self.__class__.run(service, version, mode, path + ["run"])
            self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
            self.design_tool = self.__class__.design_tool(service, version, mode, path + ["design_tool"])
            self.optimizer = self.__class__.optimizer(service, version, mode, path + ["optimizer"])
            self.methods = self.__class__.methods(service, version, mode, path + ["methods"])
            self.postprocess_options = self.__class__.postprocess_options(service, version, mode, path + ["postprocess_options"])
            self.utilities = self.__class__.utilities(service, version, mode, path + ["utilities"])
            self.reporting = self.__class__.reporting(service, version, mode, path + ["reporting"])
            self.morphing = self.__class__.morphing(service, version, mode, path + ["morphing"])
            self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
            self.observable = self.__class__.observable(service, version, mode, path + ["observable"])
            self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
            self.monitors = self.__class__.monitors(service, version, mode, path + ["monitors"])
            self.multi_objective = self.__class__.multi_objective(service, version, mode, path + ["multi_objective"])
            super().__init__(service, version, mode, path)
        class run(TUIMethod):
            """
            Menu to initialize and compute the adjoint solution.
            """
        class expert(TUIMethod):
            """
            Provides text commands that allow you to undo enhancements to the default adjoint solver behavior.
            """
        class design_tool(TUIMethod):
            """
            Enters the design-tool menu.
            """
        class optimizer(TUIMethod):
            """
            Enters the optimizer menu, where you can use a gradient-based optimizer to optimize the geometry to meet multiple goals for multiple observables at multiple operating conditions.
            """
        class methods(TUIMethod):
            """
            Menu to configure adjoint solver settings.
            """
        class postprocess_options(TUIMethod):
            """
            Postprocess options.
            """
        class utilities(TUIMethod):
            """
            Enters the utilities menu.
            """
        class reporting(TUIMethod):
            """
            Menu to report sensitivity data from the adjoint solution.
            """
        class morphing(TUIMethod):
            """
            Morphing menu.
            """
        class controls(TUIMethod):
            """
            Menu to configure adjoint solver controls.
            """
        class observable(TUIMethod):
            """
            Menu to create and configure observables of interest.
            """
        class geometry(TUIMethod):
            """
            Geometry menu.
            """
        class monitors(TUIMethod):
            """
            Menu to configure monitors for the adjoint solver.
            """
        class multi_objective(TUIMethod):
            """
            Multi-Objective menu.
            """

    class preferences(TUIMenu):
        """
        Set preferences.
        """
        def __init__(self, service, version, mode, path):
            self.appearance = self.__class__.appearance(service, version, mode, path + ["appearance"])
            self.simulation = self.__class__.simulation(service, version, mode, path + ["simulation"])
            self.gpuapp = self.__class__.gpuapp(service, version, mode, path + ["gpuapp"])
            self.mat_pro_app = self.__class__.mat_pro_app(service, version, mode, path + ["mat_pro_app"])
            self.turbo_workflow = self.__class__.turbo_workflow(service, version, mode, path + ["turbo_workflow"])
            self.graphics = self.__class__.graphics(service, version, mode, path + ["graphics"])
            self.parametric_study = self.__class__.parametric_study(service, version, mode, path + ["parametric_study"])
            self.navigation = self.__class__.navigation(service, version, mode, path + ["navigation"])
            self.meshing_workflow = self.__class__.meshing_workflow(service, version, mode, path + ["meshing_workflow"])
            self.general = self.__class__.general(service, version, mode, path + ["general"])
            super().__init__(service, version, mode, path)

        class appearance(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.charts = self.__class__.charts(service, version, mode, path + ["charts"])
                self.selections = self.__class__.selections(service, version, mode, path + ["selections"])
                self.ansys_logo = self.__class__.ansys_logo(service, version, mode, path + ["ansys_logo"])
                self.solution_mode_edge_color_in_meshing_mode = self.__class__.solution_mode_edge_color_in_meshing_mode(service, version, mode, path + ["solution_mode_edge_color_in_meshing_mode"])
                self.graphics_background_color1 = self.__class__.graphics_background_color1(service, version, mode, path + ["graphics_background_color1"])
                self.default_view = self.__class__.default_view(service, version, mode, path + ["default_view"])
                self.graphics_surface_color = self.__class__.graphics_surface_color(service, version, mode, path + ["graphics_surface_color"])
                self.application_font_size = self.__class__.application_font_size(service, version, mode, path + ["application_font_size"])
                self.graphics_color_theme = self.__class__.graphics_color_theme(service, version, mode, path + ["graphics_color_theme"])
                self.number_of_files_recently_used = self.__class__.number_of_files_recently_used(service, version, mode, path + ["number_of_files_recently_used"])
                self.titles = self.__class__.titles(service, version, mode, path + ["titles"])
                self.quick_property_view = self.__class__.quick_property_view(service, version, mode, path + ["quick_property_view"])
                self.surface_specularity_for_contours = self.__class__.surface_specularity_for_contours(service, version, mode, path + ["surface_specularity_for_contours"])
                self.show_interface_children_zone = self.__class__.show_interface_children_zone(service, version, mode, path + ["show_interface_children_zone"])
                self.graphics_background_style = self.__class__.graphics_background_style(service, version, mode, path + ["graphics_background_style"])
                self.graphics_title_window_framecolor = self.__class__.graphics_title_window_framecolor(service, version, mode, path + ["graphics_title_window_framecolor"])
                self.show_enabled_models = self.__class__.show_enabled_models(service, version, mode, path + ["show_enabled_models"])
                self.number_of_pastel_colors = self.__class__.number_of_pastel_colors(service, version, mode, path + ["number_of_pastel_colors"])
                self.show_model_edges = self.__class__.show_model_edges(service, version, mode, path + ["show_model_edges"])
                self.pastel_color_saturation = self.__class__.pastel_color_saturation(service, version, mode, path + ["pastel_color_saturation"])
                self.completer = self.__class__.completer(service, version, mode, path + ["completer"])
                self.custom_title_bar = self.__class__.custom_title_bar(service, version, mode, path + ["custom_title_bar"])
                self.graphics_view = self.__class__.graphics_view(service, version, mode, path + ["graphics_view"])
                self.graphics_default_manual_face_color = self.__class__.graphics_default_manual_face_color(service, version, mode, path + ["graphics_default_manual_face_color"])
                self.surface_emissivity = self.__class__.surface_emissivity(service, version, mode, path + ["surface_emissivity"])
                self.graphics_background_color2 = self.__class__.graphics_background_color2(service, version, mode, path + ["graphics_background_color2"])
                self.ruler = self.__class__.ruler(service, version, mode, path + ["ruler"])
                self.graphics_partition_boundary_color = self.__class__.graphics_partition_boundary_color(service, version, mode, path + ["graphics_partition_boundary_color"])
                self.graphics_edge_color = self.__class__.graphics_edge_color(service, version, mode, path + ["graphics_edge_color"])
                self.graphics_foreground_color = self.__class__.graphics_foreground_color(service, version, mode, path + ["graphics_foreground_color"])
                self.titles_border_offset = self.__class__.titles_border_offset(service, version, mode, path + ["titles_border_offset"])
                self.graphics_default_manual_node_color = self.__class__.graphics_default_manual_node_color(service, version, mode, path + ["graphics_default_manual_node_color"])
                self.graphics_wall_face_color = self.__class__.graphics_wall_face_color(service, version, mode, path + ["graphics_wall_face_color"])
                self.axis_triad = self.__class__.axis_triad(service, version, mode, path + ["axis_triad"])
                self.pastel_color_value = self.__class__.pastel_color_value(service, version, mode, path + ["pastel_color_value"])
                self.surface_specularity = self.__class__.surface_specularity(service, version, mode, path + ["surface_specularity"])
                self.color_theme = self.__class__.color_theme(service, version, mode, path + ["color_theme"])
                self.model_color_scheme = self.__class__.model_color_scheme(service, version, mode, path + ["model_color_scheme"])
                self.group_by_tree_view = self.__class__.group_by_tree_view(service, version, mode, path + ["group_by_tree_view"])
                super().__init__(service, version, mode, path)
            class solution_mode_edge_color_in_meshing_mode(TUIMethod):
                """
                .
                """
            class graphics_background_color1(TUIMethod):
                """
                .
                """
            class default_view(TUIMethod):
                """
                .
                """
            class graphics_surface_color(TUIMethod):
                """
                .
                """
            class application_font_size(TUIMethod):
                """
                .
                """
            class graphics_color_theme(TUIMethod):
                """
                .
                """
            class number_of_files_recently_used(TUIMethod):
                """
                .
                """
            class titles(TUIMethod):
                """
                .
                """
            class quick_property_view(TUIMethod):
                """
                .
                """
            class surface_specularity_for_contours(TUIMethod):
                """
                .
                """
            class show_interface_children_zone(TUIMethod):
                """
                .
                """
            class graphics_background_style(TUIMethod):
                """
                .
                """
            class graphics_title_window_framecolor(TUIMethod):
                """
                .
                """
            class show_enabled_models(TUIMethod):
                """
                .
                """
            class number_of_pastel_colors(TUIMethod):
                """
                .
                """
            class show_model_edges(TUIMethod):
                """
                .
                """
            class pastel_color_saturation(TUIMethod):
                """
                .
                """
            class completer(TUIMethod):
                """
                .
                """
            class custom_title_bar(TUIMethod):
                """
                .
                """
            class graphics_view(TUIMethod):
                """
                .
                """
            class graphics_default_manual_face_color(TUIMethod):
                """
                .
                """
            class surface_emissivity(TUIMethod):
                """
                .
                """
            class graphics_background_color2(TUIMethod):
                """
                .
                """
            class ruler(TUIMethod):
                """
                .
                """
            class graphics_partition_boundary_color(TUIMethod):
                """
                .
                """
            class graphics_edge_color(TUIMethod):
                """
                .
                """
            class graphics_foreground_color(TUIMethod):
                """
                .
                """
            class titles_border_offset(TUIMethod):
                """
                .
                """
            class graphics_default_manual_node_color(TUIMethod):
                """
                .
                """
            class graphics_wall_face_color(TUIMethod):
                """
                .
                """
            class axis_triad(TUIMethod):
                """
                .
                """
            class pastel_color_value(TUIMethod):
                """
                .
                """
            class surface_specularity(TUIMethod):
                """
                .
                """
            class color_theme(TUIMethod):
                """
                .
                """
            class model_color_scheme(TUIMethod):
                """
                .
                """
            class group_by_tree_view(TUIMethod):
                """
                .
                """

            class charts(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.text_color = self.__class__.text_color(service, version, mode, path + ["text_color"])
                    self.font = self.__class__.font(service, version, mode, path + ["font"])
                    self.plots_behavior = self.__class__.plots_behavior(service, version, mode, path + ["plots_behavior"])
                    self.tooltip_interpolation = self.__class__.tooltip_interpolation(service, version, mode, path + ["tooltip_interpolation"])
                    self.modern_plots_points_threshold = self.__class__.modern_plots_points_threshold(service, version, mode, path + ["modern_plots_points_threshold"])
                    self.modern_plots_enabled = self.__class__.modern_plots_enabled(service, version, mode, path + ["modern_plots_enabled"])
                    self.print_residuals_data = self.__class__.print_residuals_data(service, version, mode, path + ["print_residuals_data"])
                    self.threshold = self.__class__.threshold(service, version, mode, path + ["threshold"])
                    self.legend_visibility = self.__class__.legend_visibility(service, version, mode, path + ["legend_visibility"])
                    self.print_plot_data = self.__class__.print_plot_data(service, version, mode, path + ["print_plot_data"])
                    self.curve_colors = self.__class__.curve_colors(service, version, mode, path + ["curve_colors"])
                    self.legend_alignment = self.__class__.legend_alignment(service, version, mode, path + ["legend_alignment"])
                    self.enable_open_glfor_modern_plots = self.__class__.enable_open_glfor_modern_plots(service, version, mode, path + ["enable_open_glfor_modern_plots"])
                    super().__init__(service, version, mode, path)
                class plots_behavior(TUIMethod):
                    """
                    .
                    """
                class tooltip_interpolation(TUIMethod):
                    """
                    .
                    """
                class modern_plots_points_threshold(TUIMethod):
                    """
                    .
                    """
                class modern_plots_enabled(TUIMethod):
                    """
                    .
                    """
                class print_residuals_data(TUIMethod):
                    """
                    .
                    """
                class threshold(TUIMethod):
                    """
                    .
                    """
                class legend_visibility(TUIMethod):
                    """
                    .
                    """
                class print_plot_data(TUIMethod):
                    """
                    .
                    """
                class curve_colors(TUIMethod):
                    """
                    .
                    """
                class legend_alignment(TUIMethod):
                    """
                    .
                    """
                class enable_open_glfor_modern_plots(TUIMethod):
                    """
                    .
                    """

                class text_color(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.legend = self.__class__.legend(service, version, mode, path + ["legend"])
                        self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                        self.axes_titles = self.__class__.axes_titles(service, version, mode, path + ["axes_titles"])
                        self.title = self.__class__.title(service, version, mode, path + ["title"])
                        super().__init__(service, version, mode, path)
                    class legend(TUIMethod):
                        """
                        .
                        """
                    class axes(TUIMethod):
                        """
                        .
                        """
                    class axes_titles(TUIMethod):
                        """
                        .
                        """
                    class title(TUIMethod):
                        """
                        .
                        """

                class font(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.title = self.__class__.title(service, version, mode, path + ["title"])
                        self.legend = self.__class__.legend(service, version, mode, path + ["legend"])
                        self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                        self.axes_titles = self.__class__.axes_titles(service, version, mode, path + ["axes_titles"])
                        super().__init__(service, version, mode, path)
                    class title(TUIMethod):
                        """
                        .
                        """
                    class legend(TUIMethod):
                        """
                        .
                        """
                    class axes(TUIMethod):
                        """
                        .
                        """
                    class axes_titles(TUIMethod):
                        """
                        .
                        """

            class selections(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.highlight_edge_weight = self.__class__.highlight_edge_weight(service, version, mode, path + ["highlight_edge_weight"])
                    self.highlight_edge_color = self.__class__.highlight_edge_color(service, version, mode, path + ["highlight_edge_color"])
                    self.probe_tooltip_hide_delay_timer = self.__class__.probe_tooltip_hide_delay_timer(service, version, mode, path + ["probe_tooltip_hide_delay_timer"])
                    self.mouse_over_highlight_enabled = self.__class__.mouse_over_highlight_enabled(service, version, mode, path + ["mouse_over_highlight_enabled"])
                    self.highlight_specular_component = self.__class__.highlight_specular_component(service, version, mode, path + ["highlight_specular_component"])
                    self.highlight_gloss = self.__class__.highlight_gloss(service, version, mode, path + ["highlight_gloss"])
                    self.mouse_hover_probe_values_enabled = self.__class__.mouse_hover_probe_values_enabled(service, version, mode, path + ["mouse_hover_probe_values_enabled"])
                    self.general_displacement = self.__class__.general_displacement(service, version, mode, path + ["general_displacement"])
                    self.probe_tooltip_show_delay_timer = self.__class__.probe_tooltip_show_delay_timer(service, version, mode, path + ["probe_tooltip_show_delay_timer"])
                    self.highlight_face_color = self.__class__.highlight_face_color(service, version, mode, path + ["highlight_face_color"])
                    self.highlight_transparency = self.__class__.highlight_transparency(service, version, mode, path + ["highlight_transparency"])
                    super().__init__(service, version, mode, path)
                class highlight_edge_weight(TUIMethod):
                    """
                    .
                    """
                class highlight_edge_color(TUIMethod):
                    """
                    .
                    """
                class probe_tooltip_hide_delay_timer(TUIMethod):
                    """
                    .
                    """
                class mouse_over_highlight_enabled(TUIMethod):
                    """
                    .
                    """
                class highlight_specular_component(TUIMethod):
                    """
                    .
                    """
                class highlight_gloss(TUIMethod):
                    """
                    .
                    """
                class mouse_hover_probe_values_enabled(TUIMethod):
                    """
                    .
                    """
                class general_displacement(TUIMethod):
                    """
                    .
                    """
                class probe_tooltip_show_delay_timer(TUIMethod):
                    """
                    .
                    """
                class highlight_face_color(TUIMethod):
                    """
                    .
                    """
                class highlight_transparency(TUIMethod):
                    """
                    .
                    """

            class ansys_logo(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.color = self.__class__.color(service, version, mode, path + ["color"])
                    self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                    super().__init__(service, version, mode, path)
                class color(TUIMethod):
                    """
                    .
                    """
                class visible(TUIMethod):
                    """
                    .
                    """

        class simulation(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.report_definitions = self.__class__.report_definitions(service, version, mode, path + ["report_definitions"])
                self.local_residual_scaling = self.__class__.local_residual_scaling(service, version, mode, path + ["local_residual_scaling"])
                self.flow_model = self.__class__.flow_model(service, version, mode, path + ["flow_model"])
                super().__init__(service, version, mode, path)
            class local_residual_scaling(TUIMethod):
                """
                .
                """
            class flow_model(TUIMethod):
                """
                .
                """

            class report_definitions(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.automatic_plot_file = self.__class__.automatic_plot_file(service, version, mode, path + ["automatic_plot_file"])
                    self.report_plot_history_data_size = self.__class__.report_plot_history_data_size(service, version, mode, path + ["report_plot_history_data_size"])
                    super().__init__(service, version, mode, path)
                class automatic_plot_file(TUIMethod):
                    """
                    .
                    """
                class report_plot_history_data_size(TUIMethod):
                    """
                    .
                    """

        class gpuapp(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.alpha_features = self.__class__.alpha_features(service, version, mode, path + ["alpha_features"])
                super().__init__(service, version, mode, path)
            class alpha_features(TUIMethod):
                """
                .
                """

        class mat_pro_app(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.warning = self.__class__.warning(service, version, mode, path + ["warning"])
                self.beta_features = self.__class__.beta_features(service, version, mode, path + ["beta_features"])
                self.focus = self.__class__.focus(service, version, mode, path + ["focus"])
                super().__init__(service, version, mode, path)
            class warning(TUIMethod):
                """
                .
                """
            class beta_features(TUIMethod):
                """
                .
                """
            class focus(TUIMethod):
                """
                .
                """

        class turbo_workflow(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.face_zone_settings = self.__class__.face_zone_settings(service, version, mode, path + ["face_zone_settings"])
                self.cell_zone_settings = self.__class__.cell_zone_settings(service, version, mode, path + ["cell_zone_settings"])
                self.graphics_settings = self.__class__.graphics_settings(service, version, mode, path + ["graphics_settings"])
                self.checkpointing_option = self.__class__.checkpointing_option(service, version, mode, path + ["checkpointing_option"])
                self.save_checkpoint_files = self.__class__.save_checkpoint_files(service, version, mode, path + ["save_checkpoint_files"])
                super().__init__(service, version, mode, path)
            class checkpointing_option(TUIMethod):
                """
                .
                """
            class save_checkpoint_files(TUIMethod):
                """
                .
                """

            class face_zone_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.shroud_region = self.__class__.shroud_region(service, version, mode, path + ["shroud_region"])
                    self.tip1_region = self.__class__.tip1_region(service, version, mode, path + ["tip1_region"])
                    self.outlet_region = self.__class__.outlet_region(service, version, mode, path + ["outlet_region"])
                    self.periodic1_region = self.__class__.periodic1_region(service, version, mode, path + ["periodic1_region"])
                    self.interior_region = self.__class__.interior_region(service, version, mode, path + ["interior_region"])
                    self.periodic2_region = self.__class__.periodic2_region(service, version, mode, path + ["periodic2_region"])
                    self.blade_region = self.__class__.blade_region(service, version, mode, path + ["blade_region"])
                    self.symmetry_region = self.__class__.symmetry_region(service, version, mode, path + ["symmetry_region"])
                    self.tip2_region = self.__class__.tip2_region(service, version, mode, path + ["tip2_region"])
                    self.fzsearch_order = self.__class__.fzsearch_order(service, version, mode, path + ["fzsearch_order"])
                    self.inlet_region = self.__class__.inlet_region(service, version, mode, path + ["inlet_region"])
                    self.hub_region = self.__class__.hub_region(service, version, mode, path + ["hub_region"])
                    super().__init__(service, version, mode, path)
                class shroud_region(TUIMethod):
                    """
                    .
                    """
                class tip1_region(TUIMethod):
                    """
                    .
                    """
                class outlet_region(TUIMethod):
                    """
                    .
                    """
                class periodic1_region(TUIMethod):
                    """
                    .
                    """
                class interior_region(TUIMethod):
                    """
                    .
                    """
                class periodic2_region(TUIMethod):
                    """
                    .
                    """
                class blade_region(TUIMethod):
                    """
                    .
                    """
                class symmetry_region(TUIMethod):
                    """
                    .
                    """
                class tip2_region(TUIMethod):
                    """
                    .
                    """
                class fzsearch_order(TUIMethod):
                    """
                    .
                    """
                class inlet_region(TUIMethod):
                    """
                    .
                    """
                class hub_region(TUIMethod):
                    """
                    .
                    """

            class cell_zone_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.czsearch_order = self.__class__.czsearch_order(service, version, mode, path + ["czsearch_order"])
                    self.stationary = self.__class__.stationary(service, version, mode, path + ["stationary"])
                    self.rotating = self.__class__.rotating(service, version, mode, path + ["rotating"])
                    super().__init__(service, version, mode, path)
                class czsearch_order(TUIMethod):
                    """
                    .
                    """
                class stationary(TUIMethod):
                    """
                    .
                    """
                class rotating(TUIMethod):
                    """
                    .
                    """

            class graphics_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.auto_draw = self.__class__.auto_draw(service, version, mode, path + ["auto_draw"])
                    super().__init__(service, version, mode, path)
                class auto_draw(TUIMethod):
                    """
                    .
                    """

        class graphics(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.boundary_markers = self.__class__.boundary_markers(service, version, mode, path + ["boundary_markers"])
                self.graphics_effects = self.__class__.graphics_effects(service, version, mode, path + ["graphics_effects"])
                self.vector_settings = self.__class__.vector_settings(service, version, mode, path + ["vector_settings"])
                self.transparency = self.__class__.transparency(service, version, mode, path + ["transparency"])
                self.export_video_settings = self.__class__.export_video_settings(service, version, mode, path + ["export_video_settings"])
                self.lighting = self.__class__.lighting(service, version, mode, path + ["lighting"])
                self.embedded_windows = self.__class__.embedded_windows(service, version, mode, path + ["embedded_windows"])
                self.meshing_mode = self.__class__.meshing_mode(service, version, mode, path + ["meshing_mode"])
                self.performance = self.__class__.performance(service, version, mode, path + ["performance"])
                self.material_effects = self.__class__.material_effects(service, version, mode, path + ["material_effects"])
                self.hardcopy_settings = self.__class__.hardcopy_settings(service, version, mode, path + ["hardcopy_settings"])
                self.colormap_settings = self.__class__.colormap_settings(service, version, mode, path + ["colormap_settings"])
                self.manage_hoops_memory = self.__class__.manage_hoops_memory(service, version, mode, path + ["manage_hoops_memory"])
                self.lower_resolution_graphics_window_line_width = self.__class__.lower_resolution_graphics_window_line_width(service, version, mode, path + ["lower_resolution_graphics_window_line_width"])
                self.plot_legend_margin = self.__class__.plot_legend_margin(service, version, mode, path + ["plot_legend_margin"])
                self.show_hidden_surfaces = self.__class__.show_hidden_surfaces(service, version, mode, path + ["show_hidden_surfaces"])
                self.event_poll_interval = self.__class__.event_poll_interval(service, version, mode, path + ["event_poll_interval"])
                self.event_poll_timeout = self.__class__.event_poll_timeout(service, version, mode, path + ["event_poll_timeout"])
                self.remove_partition_lines_tolerance = self.__class__.remove_partition_lines_tolerance(service, version, mode, path + ["remove_partition_lines_tolerance"])
                self.switch_to_open_glfor_remote_visualization = self.__class__.switch_to_open_glfor_remote_visualization(service, version, mode, path + ["switch_to_open_glfor_remote_visualization"])
                self.enable_non_object_based_workflow = self.__class__.enable_non_object_based_workflow(service, version, mode, path + ["enable_non_object_based_workflow"])
                self.remove_partition_lines = self.__class__.remove_partition_lines(service, version, mode, path + ["remove_partition_lines"])
                self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                self.scroll_wheel_event_end_timer = self.__class__.scroll_wheel_event_end_timer(service, version, mode, path + ["scroll_wheel_event_end_timer"])
                self.point_tool_size = self.__class__.point_tool_size(service, version, mode, path + ["point_tool_size"])
                self.hidden_surface_removal_method = self.__class__.hidden_surface_removal_method(service, version, mode, path + ["hidden_surface_removal_method"])
                self.rotation_centerpoint_visible = self.__class__.rotation_centerpoint_visible(service, version, mode, path + ["rotation_centerpoint_visible"])
                self.force_key_frame_animation_markers_to_off = self.__class__.force_key_frame_animation_markers_to_off(service, version, mode, path + ["force_key_frame_animation_markers_to_off"])
                self.graphics_window_point_symbol = self.__class__.graphics_window_point_symbol(service, version, mode, path + ["graphics_window_point_symbol"])
                self.set_camera_normal_to_surface_increments = self.__class__.set_camera_normal_to_surface_increments(service, version, mode, path + ["set_camera_normal_to_surface_increments"])
                self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                self.min_graphics_text_size = self.__class__.min_graphics_text_size(service, version, mode, path + ["min_graphics_text_size"])
                self.higher_resolution_graphics_window_line_width = self.__class__.higher_resolution_graphics_window_line_width(service, version, mode, path + ["higher_resolution_graphics_window_line_width"])
                self.text_window_line_width = self.__class__.text_window_line_width(service, version, mode, path + ["text_window_line_width"])
                self.marker_drawing_mode = self.__class__.marker_drawing_mode(service, version, mode, path + ["marker_drawing_mode"])
                self.max_graphics_text_size = self.__class__.max_graphics_text_size(service, version, mode, path + ["max_graphics_text_size"])
                self.test_use_external_function = self.__class__.test_use_external_function(service, version, mode, path + ["test_use_external_function"])
                self.graphics_window_line_width = self.__class__.graphics_window_line_width(service, version, mode, path + ["graphics_window_line_width"])
                self.show_hidden_lines = self.__class__.show_hidden_lines(service, version, mode, path + ["show_hidden_lines"])
                super().__init__(service, version, mode, path)
            class lower_resolution_graphics_window_line_width(TUIMethod):
                """
                .
                """
            class plot_legend_margin(TUIMethod):
                """
                .
                """
            class show_hidden_surfaces(TUIMethod):
                """
                .
                """
            class event_poll_interval(TUIMethod):
                """
                .
                """
            class event_poll_timeout(TUIMethod):
                """
                .
                """
            class remove_partition_lines_tolerance(TUIMethod):
                """
                .
                """
            class switch_to_open_glfor_remote_visualization(TUIMethod):
                """
                .
                """
            class enable_non_object_based_workflow(TUIMethod):
                """
                .
                """
            class remove_partition_lines(TUIMethod):
                """
                .
                """
            class animation_option(TUIMethod):
                """
                .
                """
            class scroll_wheel_event_end_timer(TUIMethod):
                """
                .
                """
            class point_tool_size(TUIMethod):
                """
                .
                """
            class hidden_surface_removal_method(TUIMethod):
                """
                .
                """
            class rotation_centerpoint_visible(TUIMethod):
                """
                .
                """
            class force_key_frame_animation_markers_to_off(TUIMethod):
                """
                .
                """
            class graphics_window_point_symbol(TUIMethod):
                """
                .
                """
            class set_camera_normal_to_surface_increments(TUIMethod):
                """
                .
                """
            class double_buffering(TUIMethod):
                """
                .
                """
            class min_graphics_text_size(TUIMethod):
                """
                .
                """
            class higher_resolution_graphics_window_line_width(TUIMethod):
                """
                .
                """
            class text_window_line_width(TUIMethod):
                """
                .
                """
            class marker_drawing_mode(TUIMethod):
                """
                .
                """
            class max_graphics_text_size(TUIMethod):
                """
                .
                """
            class test_use_external_function(TUIMethod):
                """
                .
                """
            class graphics_window_line_width(TUIMethod):
                """
                .
                """
            class show_hidden_lines(TUIMethod):
                """
                .
                """

            class boundary_markers(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.scale_marker = self.__class__.scale_marker(service, version, mode, path + ["scale_marker"])
                    self.inlet_color = self.__class__.inlet_color(service, version, mode, path + ["inlet_color"])
                    self.show_outlet_markers = self.__class__.show_outlet_markers(service, version, mode, path + ["show_outlet_markers"])
                    self.markers_limit = self.__class__.markers_limit(service, version, mode, path + ["markers_limit"])
                    self.exclude_from_bounding = self.__class__.exclude_from_bounding(service, version, mode, path + ["exclude_from_bounding"])
                    self.marker_fraction = self.__class__.marker_fraction(service, version, mode, path + ["marker_fraction"])
                    self.show_inlet_markers = self.__class__.show_inlet_markers(service, version, mode, path + ["show_inlet_markers"])
                    self.marker_size_limiting_scale_multiplier = self.__class__.marker_size_limiting_scale_multiplier(service, version, mode, path + ["marker_size_limiting_scale_multiplier"])
                    self.outlet_color = self.__class__.outlet_color(service, version, mode, path + ["outlet_color"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    self.color_option = self.__class__.color_option(service, version, mode, path + ["color_option"])
                    super().__init__(service, version, mode, path)
                class scale_marker(TUIMethod):
                    """
                    .
                    """
                class inlet_color(TUIMethod):
                    """
                    .
                    """
                class show_outlet_markers(TUIMethod):
                    """
                    .
                    """
                class markers_limit(TUIMethod):
                    """
                    .
                    """
                class exclude_from_bounding(TUIMethod):
                    """
                    .
                    """
                class marker_fraction(TUIMethod):
                    """
                    .
                    """
                class show_inlet_markers(TUIMethod):
                    """
                    .
                    """
                class marker_size_limiting_scale_multiplier(TUIMethod):
                    """
                    .
                    """
                class outlet_color(TUIMethod):
                    """
                    .
                    """
                class enabled(TUIMethod):
                    """
                    .
                    """
                class color_option(TUIMethod):
                    """
                    .
                    """

            class graphics_effects(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.grid_plane_size_factor = self.__class__.grid_plane_size_factor(service, version, mode, path + ["grid_plane_size_factor"])
                    self.ambient_occlusion_enabled = self.__class__.ambient_occlusion_enabled(service, version, mode, path + ["ambient_occlusion_enabled"])
                    self.ambient_occlusion_quality = self.__class__.ambient_occlusion_quality(service, version, mode, path + ["ambient_occlusion_quality"])
                    self.bloom_strength = self.__class__.bloom_strength(service, version, mode, path + ["bloom_strength"])
                    self.grid_plane_enabled = self.__class__.grid_plane_enabled(service, version, mode, path + ["grid_plane_enabled"])
                    self.grid_plane_offset = self.__class__.grid_plane_offset(service, version, mode, path + ["grid_plane_offset"])
                    self.show_marker_reflections = self.__class__.show_marker_reflections(service, version, mode, path + ["show_marker_reflections"])
                    self.ambient_occlusion_strength = self.__class__.ambient_occlusion_strength(service, version, mode, path + ["ambient_occlusion_strength"])
                    self.reflections_enabled = self.__class__.reflections_enabled(service, version, mode, path + ["reflections_enabled"])
                    self.simple_shadows_enabled = self.__class__.simple_shadows_enabled(service, version, mode, path + ["simple_shadows_enabled"])
                    self.anti_aliasing = self.__class__.anti_aliasing(service, version, mode, path + ["anti_aliasing"])
                    self.bloom_blur = self.__class__.bloom_blur(service, version, mode, path + ["bloom_blur"])
                    self.shadow_map_enabled = self.__class__.shadow_map_enabled(service, version, mode, path + ["shadow_map_enabled"])
                    self.plane_direction = self.__class__.plane_direction(service, version, mode, path + ["plane_direction"])
                    self.grid_color = self.__class__.grid_color(service, version, mode, path + ["grid_color"])
                    self.update_after_mouse_release = self.__class__.update_after_mouse_release(service, version, mode, path + ["update_after_mouse_release"])
                    self.bloom_enabled = self.__class__.bloom_enabled(service, version, mode, path + ["bloom_enabled"])
                    self.grid_plane_count = self.__class__.grid_plane_count(service, version, mode, path + ["grid_plane_count"])
                    self.show_edge_reflections = self.__class__.show_edge_reflections(service, version, mode, path + ["show_edge_reflections"])
                    super().__init__(service, version, mode, path)
                class grid_plane_size_factor(TUIMethod):
                    """
                    .
                    """
                class ambient_occlusion_enabled(TUIMethod):
                    """
                    .
                    """
                class ambient_occlusion_quality(TUIMethod):
                    """
                    .
                    """
                class bloom_strength(TUIMethod):
                    """
                    .
                    """
                class grid_plane_enabled(TUIMethod):
                    """
                    .
                    """
                class grid_plane_offset(TUIMethod):
                    """
                    .
                    """
                class show_marker_reflections(TUIMethod):
                    """
                    .
                    """
                class ambient_occlusion_strength(TUIMethod):
                    """
                    .
                    """
                class reflections_enabled(TUIMethod):
                    """
                    .
                    """
                class simple_shadows_enabled(TUIMethod):
                    """
                    .
                    """
                class anti_aliasing(TUIMethod):
                    """
                    .
                    """
                class bloom_blur(TUIMethod):
                    """
                    .
                    """
                class shadow_map_enabled(TUIMethod):
                    """
                    .
                    """
                class plane_direction(TUIMethod):
                    """
                    .
                    """
                class grid_color(TUIMethod):
                    """
                    .
                    """
                class update_after_mouse_release(TUIMethod):
                    """
                    .
                    """
                class bloom_enabled(TUIMethod):
                    """
                    .
                    """
                class grid_plane_count(TUIMethod):
                    """
                    .
                    """
                class show_edge_reflections(TUIMethod):
                    """
                    .
                    """

            class vector_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.line_arrow3_dperpendicular_radius = self.__class__.line_arrow3_dperpendicular_radius(service, version, mode, path + ["line_arrow3_dperpendicular_radius"])
                    self.arrow3_dradius1_factor = self.__class__.arrow3_dradius1_factor(service, version, mode, path + ["arrow3_dradius1_factor"])
                    self.arrow3_dradius2_factor = self.__class__.arrow3_dradius2_factor(service, version, mode, path + ["arrow3_dradius2_factor"])
                    self.arrowhead3_dradius1_factor = self.__class__.arrowhead3_dradius1_factor(service, version, mode, path + ["arrowhead3_dradius1_factor"])
                    super().__init__(service, version, mode, path)
                class line_arrow3_dperpendicular_radius(TUIMethod):
                    """
                    .
                    """
                class arrow3_dradius1_factor(TUIMethod):
                    """
                    .
                    """
                class arrow3_dradius2_factor(TUIMethod):
                    """
                    .
                    """
                class arrowhead3_dradius1_factor(TUIMethod):
                    """
                    .
                    """

            class transparency(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.algorithm_for_modern_drivers = self.__class__.algorithm_for_modern_drivers(service, version, mode, path + ["algorithm_for_modern_drivers"])
                    self.zsort_options = self.__class__.zsort_options(service, version, mode, path + ["zsort_options"])
                    self.depth_peeling_layers = self.__class__.depth_peeling_layers(service, version, mode, path + ["depth_peeling_layers"])
                    self.quick_moves = self.__class__.quick_moves(service, version, mode, path + ["quick_moves"])
                    self.depth_peeling_preference = self.__class__.depth_peeling_preference(service, version, mode, path + ["depth_peeling_preference"])
                    super().__init__(service, version, mode, path)
                class algorithm_for_modern_drivers(TUIMethod):
                    """
                    .
                    """
                class zsort_options(TUIMethod):
                    """
                    .
                    """
                class depth_peeling_layers(TUIMethod):
                    """
                    .
                    """
                class quick_moves(TUIMethod):
                    """
                    .
                    """
                class depth_peeling_preference(TUIMethod):
                    """
                    .
                    """

            class export_video_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.advanced_video_quality_options = self.__class__.advanced_video_quality_options(service, version, mode, path + ["advanced_video_quality_options"])
                    self.video_use_frame_resolution = self.__class__.video_use_frame_resolution(service, version, mode, path + ["video_use_frame_resolution"])
                    self.video_scale = self.__class__.video_scale(service, version, mode, path + ["video_scale"])
                    self.video_quality = self.__class__.video_quality(service, version, mode, path + ["video_quality"])
                    self.video_format = self.__class__.video_format(service, version, mode, path + ["video_format"])
                    self.video_fps = self.__class__.video_fps(service, version, mode, path + ["video_fps"])
                    self.video_resoution_x = self.__class__.video_resoution_x(service, version, mode, path + ["video_resoution_x"])
                    self.video_resoution_y = self.__class__.video_resoution_y(service, version, mode, path + ["video_resoution_y"])
                    self.video_smooth_scaling = self.__class__.video_smooth_scaling(service, version, mode, path + ["video_smooth_scaling"])
                    super().__init__(service, version, mode, path)
                class video_use_frame_resolution(TUIMethod):
                    """
                    .
                    """
                class video_scale(TUIMethod):
                    """
                    .
                    """
                class video_quality(TUIMethod):
                    """
                    .
                    """
                class video_format(TUIMethod):
                    """
                    .
                    """
                class video_fps(TUIMethod):
                    """
                    .
                    """
                class video_resoution_x(TUIMethod):
                    """
                    .
                    """
                class video_resoution_y(TUIMethod):
                    """
                    .
                    """
                class video_smooth_scaling(TUIMethod):
                    """
                    .
                    """

                class advanced_video_quality_options(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.bitrate = self.__class__.bitrate(service, version, mode, path + ["bitrate"])
                        self.compression_method = self.__class__.compression_method(service, version, mode, path + ["compression_method"])
                        self.bit_rate_quality = self.__class__.bit_rate_quality(service, version, mode, path + ["bit_rate_quality"])
                        self.enable_h264 = self.__class__.enable_h264(service, version, mode, path + ["enable_h264"])
                        super().__init__(service, version, mode, path)
                    class bitrate(TUIMethod):
                        """
                        .
                        """
                    class compression_method(TUIMethod):
                        """
                        .
                        """
                    class bit_rate_quality(TUIMethod):
                        """
                        .
                        """
                    class enable_h264(TUIMethod):
                        """
                        .
                        """

            class lighting(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.ambient_light_intensity = self.__class__.ambient_light_intensity(service, version, mode, path + ["ambient_light_intensity"])
                    self.lighting_method = self.__class__.lighting_method(service, version, mode, path + ["lighting_method"])
                    self.headlight = self.__class__.headlight(service, version, mode, path + ["headlight"])
                    self.headlight_intensity = self.__class__.headlight_intensity(service, version, mode, path + ["headlight_intensity"])
                    super().__init__(service, version, mode, path)
                class ambient_light_intensity(TUIMethod):
                    """
                    .
                    """
                class lighting_method(TUIMethod):
                    """
                    .
                    """
                class headlight(TUIMethod):
                    """
                    .
                    """
                class headlight_intensity(TUIMethod):
                    """
                    .
                    """

            class embedded_windows(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.save_embedded_window_layout = self.__class__.save_embedded_window_layout(service, version, mode, path + ["save_embedded_window_layout"])
                    self.show_border_for_embedded_window = self.__class__.show_border_for_embedded_window(service, version, mode, path + ["show_border_for_embedded_window"])
                    self.default_embedded_windows_view = self.__class__.default_embedded_windows_view(service, version, mode, path + ["default_embedded_windows_view"])
                    self.default_embedded_mesh_windows_view = self.__class__.default_embedded_mesh_windows_view(service, version, mode, path + ["default_embedded_mesh_windows_view"])
                    super().__init__(service, version, mode, path)
                class save_embedded_window_layout(TUIMethod):
                    """
                    .
                    """
                class show_border_for_embedded_window(TUIMethod):
                    """
                    .
                    """
                class default_embedded_windows_view(TUIMethod):
                    """
                    .
                    """
                class default_embedded_mesh_windows_view(TUIMethod):
                    """
                    .
                    """

            class meshing_mode(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.graphics_window_display_timeout_value = self.__class__.graphics_window_display_timeout_value(service, version, mode, path + ["graphics_window_display_timeout_value"])
                    self.graphics_window_display_timeout = self.__class__.graphics_window_display_timeout(service, version, mode, path + ["graphics_window_display_timeout"])
                    super().__init__(service, version, mode, path)
                class graphics_window_display_timeout_value(TUIMethod):
                    """
                    .
                    """
                class graphics_window_display_timeout(TUIMethod):
                    """
                    .
                    """

            class performance(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.minimum_frame_rate = self.__class__.minimum_frame_rate(service, version, mode, path + ["minimum_frame_rate"])
                    self.fast_display_mode = self.__class__.fast_display_mode(service, version, mode, path + ["fast_display_mode"])
                    self.ratio_of_target_frame_rate_to_declassify_heavy_geometry = self.__class__.ratio_of_target_frame_rate_to_declassify_heavy_geometry(service, version, mode, path + ["ratio_of_target_frame_rate_to_declassify_heavy_geometry"])
                    self.ratio_of_target_frame_rate_to_classify_heavy_geometry = self.__class__.ratio_of_target_frame_rate_to_classify_heavy_geometry(service, version, mode, path + ["ratio_of_target_frame_rate_to_classify_heavy_geometry"])
                    self.optimize_for = self.__class__.optimize_for(service, version, mode, path + ["optimize_for"])
                    super().__init__(service, version, mode, path)
                class ratio_of_target_frame_rate_to_declassify_heavy_geometry(TUIMethod):
                    """
                    .
                    """
                class ratio_of_target_frame_rate_to_classify_heavy_geometry(TUIMethod):
                    """
                    .
                    """
                class optimize_for(TUIMethod):
                    """
                    .
                    """

                class minimum_frame_rate(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.dynamic_adjustment = self.__class__.dynamic_adjustment(service, version, mode, path + ["dynamic_adjustment"])
                        self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                        self.fixed_culling_value = self.__class__.fixed_culling_value(service, version, mode, path + ["fixed_culling_value"])
                        self.minimum_culling_threshold = self.__class__.minimum_culling_threshold(service, version, mode, path + ["minimum_culling_threshold"])
                        self.target_fps = self.__class__.target_fps(service, version, mode, path + ["target_fps"])
                        self.maximum_culling_threshold = self.__class__.maximum_culling_threshold(service, version, mode, path + ["maximum_culling_threshold"])
                        super().__init__(service, version, mode, path)
                    class dynamic_adjustment(TUIMethod):
                        """
                        .
                        """
                    class enabled(TUIMethod):
                        """
                        .
                        """
                    class fixed_culling_value(TUIMethod):
                        """
                        .
                        """
                    class minimum_culling_threshold(TUIMethod):
                        """
                        .
                        """
                    class target_fps(TUIMethod):
                        """
                        .
                        """
                    class maximum_culling_threshold(TUIMethod):
                        """
                        .
                        """

                class fast_display_mode(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.status = self.__class__.status(service, version, mode, path + ["status"])
                        self.perimeter_edges_shown = self.__class__.perimeter_edges_shown(service, version, mode, path + ["perimeter_edges_shown"])
                        self.silhouette_shown = self.__class__.silhouette_shown(service, version, mode, path + ["silhouette_shown"])
                        self.faces_shown = self.__class__.faces_shown(service, version, mode, path + ["faces_shown"])
                        self.nodes_shown = self.__class__.nodes_shown(service, version, mode, path + ["nodes_shown"])
                        self.culling = self.__class__.culling(service, version, mode, path + ["culling"])
                        self.markers_decimation = self.__class__.markers_decimation(service, version, mode, path + ["markers_decimation"])
                        self.transparency = self.__class__.transparency(service, version, mode, path + ["transparency"])
                        super().__init__(service, version, mode, path)
                    class status(TUIMethod):
                        """
                        .
                        """
                    class perimeter_edges_shown(TUIMethod):
                        """
                        .
                        """
                    class silhouette_shown(TUIMethod):
                        """
                        .
                        """
                    class faces_shown(TUIMethod):
                        """
                        .
                        """
                    class nodes_shown(TUIMethod):
                        """
                        .
                        """
                    class culling(TUIMethod):
                        """
                        .
                        """
                    class markers_decimation(TUIMethod):
                        """
                        .
                        """
                    class transparency(TUIMethod):
                        """
                        .
                        """

            class material_effects(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.parameterization_source = self.__class__.parameterization_source(service, version, mode, path + ["parameterization_source"])
                    self.decimation_filter = self.__class__.decimation_filter(service, version, mode, path + ["decimation_filter"])
                    self.tiling_style = self.__class__.tiling_style(service, version, mode, path + ["tiling_style"])
                    super().__init__(service, version, mode, path)
                class parameterization_source(TUIMethod):
                    """
                    .
                    """
                class decimation_filter(TUIMethod):
                    """
                    .
                    """
                class tiling_style(TUIMethod):
                    """
                    .
                    """

            class hardcopy_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.save_embedded_windows_in_hardcopy = self.__class__.save_embedded_windows_in_hardcopy(service, version, mode, path + ["save_embedded_windows_in_hardcopy"])
                    self.hardware_image_accel = self.__class__.hardware_image_accel(service, version, mode, path + ["hardware_image_accel"])
                    self.hardcopy_line_width = self.__class__.hardcopy_line_width(service, version, mode, path + ["hardcopy_line_width"])
                    self.export_edges_for_avz = self.__class__.export_edges_for_avz(service, version, mode, path + ["export_edges_for_avz"])
                    self.hardcopy_driver = self.__class__.hardcopy_driver(service, version, mode, path + ["hardcopy_driver"])
                    self.save_embedded_hardcopies_separately = self.__class__.save_embedded_hardcopies_separately(service, version, mode, path + ["save_embedded_hardcopies_separately"])
                    self.post_script_permission_override = self.__class__.post_script_permission_override(service, version, mode, path + ["post_script_permission_override"])
                    self.transparent_embedded_windows = self.__class__.transparent_embedded_windows(service, version, mode, path + ["transparent_embedded_windows"])
                    super().__init__(service, version, mode, path)
                class save_embedded_windows_in_hardcopy(TUIMethod):
                    """
                    .
                    """
                class hardware_image_accel(TUIMethod):
                    """
                    .
                    """
                class hardcopy_line_width(TUIMethod):
                    """
                    .
                    """
                class export_edges_for_avz(TUIMethod):
                    """
                    .
                    """
                class hardcopy_driver(TUIMethod):
                    """
                    .
                    """
                class save_embedded_hardcopies_separately(TUIMethod):
                    """
                    .
                    """
                class post_script_permission_override(TUIMethod):
                    """
                    .
                    """
                class transparent_embedded_windows(TUIMethod):
                    """
                    .
                    """

            class colormap_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.levels = self.__class__.levels(service, version, mode, path + ["levels"])
                    self.text_font_fixed_size = self.__class__.text_font_fixed_size(service, version, mode, path + ["text_font_fixed_size"])
                    self.text_font_fixed_vertical_size = self.__class__.text_font_fixed_vertical_size(service, version, mode, path + ["text_font_fixed_vertical_size"])
                    self.aspect_ratio_when_vertical = self.__class__.aspect_ratio_when_vertical(service, version, mode, path + ["aspect_ratio_when_vertical"])
                    self.number_format_precision = self.__class__.number_format_precision(service, version, mode, path + ["number_format_precision"])
                    self.preserve_aspect_ratio_for_hardcopy = self.__class__.preserve_aspect_ratio_for_hardcopy(service, version, mode, path + ["preserve_aspect_ratio_for_hardcopy"])
                    self.auto_refit_on_resize = self.__class__.auto_refit_on_resize(service, version, mode, path + ["auto_refit_on_resize"])
                    self.text_font_fixed_horizontal_size = self.__class__.text_font_fixed_horizontal_size(service, version, mode, path + ["text_font_fixed_horizontal_size"])
                    self.text_font_name = self.__class__.text_font_name(service, version, mode, path + ["text_font_name"])
                    self.alignment = self.__class__.alignment(service, version, mode, path + ["alignment"])
                    self.text_font_automatic_size = self.__class__.text_font_automatic_size(service, version, mode, path + ["text_font_automatic_size"])
                    self.border_style = self.__class__.border_style(service, version, mode, path + ["border_style"])
                    self.major_length_to_screen_ratio_when_horizontal = self.__class__.major_length_to_screen_ratio_when_horizontal(service, version, mode, path + ["major_length_to_screen_ratio_when_horizontal"])
                    self.text_truncation_limit_for_horizontal_colormaps = self.__class__.text_truncation_limit_for_horizontal_colormaps(service, version, mode, path + ["text_truncation_limit_for_horizontal_colormaps"])
                    self.type = self.__class__.type(service, version, mode, path + ["type"])
                    self.skip_value = self.__class__.skip_value(service, version, mode, path + ["skip_value"])
                    self.isolines_position_offset = self.__class__.isolines_position_offset(service, version, mode, path + ["isolines_position_offset"])
                    self.aspect_ratio_when_horizontal = self.__class__.aspect_ratio_when_horizontal(service, version, mode, path + ["aspect_ratio_when_horizontal"])
                    self.text_font_automatic_units = self.__class__.text_font_automatic_units(service, version, mode, path + ["text_font_automatic_units"])
                    self.use_no_sub_windows = self.__class__.use_no_sub_windows(service, version, mode, path + ["use_no_sub_windows"])
                    self.max_size_scale_factor = self.__class__.max_size_scale_factor(service, version, mode, path + ["max_size_scale_factor"])
                    self.text_font_fixed_units = self.__class__.text_font_fixed_units(service, version, mode, path + ["text_font_fixed_units"])
                    self.min_size_scale_factor = self.__class__.min_size_scale_factor(service, version, mode, path + ["min_size_scale_factor"])
                    self.text_font_automatic_vertical_size = self.__class__.text_font_automatic_vertical_size(service, version, mode, path + ["text_font_automatic_vertical_size"])
                    self.labels = self.__class__.labels(service, version, mode, path + ["labels"])
                    self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                    self.major_length_to_screen_ratio_when_vertical = self.__class__.major_length_to_screen_ratio_when_vertical(service, version, mode, path + ["major_length_to_screen_ratio_when_vertical"])
                    self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                    self.number_format_type = self.__class__.number_format_type(service, version, mode, path + ["number_format_type"])
                    self.automatic_resize = self.__class__.automatic_resize(service, version, mode, path + ["automatic_resize"])
                    self.text_behavior = self.__class__.text_behavior(service, version, mode, path + ["text_behavior"])
                    self.text_font_automatic_horizontal_size = self.__class__.text_font_automatic_horizontal_size(service, version, mode, path + ["text_font_automatic_horizontal_size"])
                    self.colormap = self.__class__.colormap(service, version, mode, path + ["colormap"])
                    self.margin_from_edge_to_screen_ratio = self.__class__.margin_from_edge_to_screen_ratio(service, version, mode, path + ["margin_from_edge_to_screen_ratio"])
                    self.text_truncation_limit_for_vertical_colormaps = self.__class__.text_truncation_limit_for_vertical_colormaps(service, version, mode, path + ["text_truncation_limit_for_vertical_colormaps"])
                    super().__init__(service, version, mode, path)
                class levels(TUIMethod):
                    """
                    .
                    """
                class text_font_fixed_size(TUIMethod):
                    """
                    .
                    """
                class text_font_fixed_vertical_size(TUIMethod):
                    """
                    .
                    """
                class aspect_ratio_when_vertical(TUIMethod):
                    """
                    .
                    """
                class number_format_precision(TUIMethod):
                    """
                    .
                    """
                class preserve_aspect_ratio_for_hardcopy(TUIMethod):
                    """
                    .
                    """
                class auto_refit_on_resize(TUIMethod):
                    """
                    .
                    """
                class text_font_fixed_horizontal_size(TUIMethod):
                    """
                    .
                    """
                class text_font_name(TUIMethod):
                    """
                    .
                    """
                class alignment(TUIMethod):
                    """
                    .
                    """
                class text_font_automatic_size(TUIMethod):
                    """
                    .
                    """
                class border_style(TUIMethod):
                    """
                    .
                    """
                class major_length_to_screen_ratio_when_horizontal(TUIMethod):
                    """
                    .
                    """
                class text_truncation_limit_for_horizontal_colormaps(TUIMethod):
                    """
                    .
                    """
                class type(TUIMethod):
                    """
                    .
                    """
                class skip_value(TUIMethod):
                    """
                    .
                    """
                class isolines_position_offset(TUIMethod):
                    """
                    .
                    """
                class aspect_ratio_when_horizontal(TUIMethod):
                    """
                    .
                    """
                class text_font_automatic_units(TUIMethod):
                    """
                    .
                    """
                class use_no_sub_windows(TUIMethod):
                    """
                    .
                    """
                class max_size_scale_factor(TUIMethod):
                    """
                    .
                    """
                class text_font_fixed_units(TUIMethod):
                    """
                    .
                    """
                class min_size_scale_factor(TUIMethod):
                    """
                    .
                    """
                class text_font_automatic_vertical_size(TUIMethod):
                    """
                    .
                    """
                class labels(TUIMethod):
                    """
                    .
                    """
                class log_scale(TUIMethod):
                    """
                    .
                    """
                class major_length_to_screen_ratio_when_vertical(TUIMethod):
                    """
                    .
                    """
                class show_colormap(TUIMethod):
                    """
                    .
                    """
                class number_format_type(TUIMethod):
                    """
                    .
                    """
                class automatic_resize(TUIMethod):
                    """
                    .
                    """
                class text_behavior(TUIMethod):
                    """
                    .
                    """
                class text_font_automatic_horizontal_size(TUIMethod):
                    """
                    .
                    """
                class colormap(TUIMethod):
                    """
                    .
                    """
                class margin_from_edge_to_screen_ratio(TUIMethod):
                    """
                    .
                    """
                class text_truncation_limit_for_vertical_colormaps(TUIMethod):
                    """
                    .
                    """

            class manage_hoops_memory(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    self.hsfimport_limit = self.__class__.hsfimport_limit(service, version, mode, path + ["hsfimport_limit"])
                    super().__init__(service, version, mode, path)
                class enabled(TUIMethod):
                    """
                    .
                    """
                class hsfimport_limit(TUIMethod):
                    """
                    .
                    """

        class parametric_study(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.layout_options = self.__class__.layout_options(service, version, mode, path + ["layout_options"])
                self.update_options = self.__class__.update_options(service, version, mode, path + ["update_options"])
                super().__init__(service, version, mode, path)

            class layout_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.current_case_parameters = self.__class__.current_case_parameters(service, version, mode, path + ["current_case_parameters"])
                    self.parametric_study_tree = self.__class__.parametric_study_tree(service, version, mode, path + ["parametric_study_tree"])
                    super().__init__(service, version, mode, path)
                class current_case_parameters(TUIMethod):
                    """
                    .
                    """
                class parametric_study_tree(TUIMethod):
                    """
                    .
                    """

            class update_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.auto_refresh_time = self.__class__.auto_refresh_time(service, version, mode, path + ["auto_refresh_time"])
                    self.capture_sim_report_data = self.__class__.capture_sim_report_data(service, version, mode, path + ["capture_sim_report_data"])
                    self.save_project_after_dpupdate = self.__class__.save_project_after_dpupdate(service, version, mode, path + ["save_project_after_dpupdate"])
                    self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
                    self.enable_auto_refresh = self.__class__.enable_auto_refresh(service, version, mode, path + ["enable_auto_refresh"])
                    super().__init__(service, version, mode, path)
                class auto_refresh_time(TUIMethod):
                    """
                    .
                    """
                class capture_sim_report_data(TUIMethod):
                    """
                    .
                    """
                class save_project_after_dpupdate(TUIMethod):
                    """
                    .
                    """
                class write_data(TUIMethod):
                    """
                    .
                    """
                class enable_auto_refresh(TUIMethod):
                    """
                    .
                    """

        class navigation(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.mouse_mapping = self.__class__.mouse_mapping(service, version, mode, path + ["mouse_mapping"])
                super().__init__(service, version, mode, path)

            class mouse_mapping(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.additional = self.__class__.additional(service, version, mode, path + ["additional"])
                    self.basic = self.__class__.basic(service, version, mode, path + ["basic"])
                    self.mousemaptheme = self.__class__.mousemaptheme(service, version, mode, path + ["mousemaptheme"])
                    super().__init__(service, version, mode, path)
                class mousemaptheme(TUIMethod):
                    """
                    .
                    """

                class additional(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.ctrlrmbdrag = self.__class__.ctrlrmbdrag(service, version, mode, path + ["ctrlrmbdrag"])
                        self.shiftrmbdrag = self.__class__.shiftrmbdrag(service, version, mode, path + ["shiftrmbdrag"])
                        self.shiftlmbdrag = self.__class__.shiftlmbdrag(service, version, mode, path + ["shiftlmbdrag"])
                        self.shiftmmbdrag = self.__class__.shiftmmbdrag(service, version, mode, path + ["shiftmmbdrag"])
                        self.shiftmmbclick = self.__class__.shiftmmbclick(service, version, mode, path + ["shiftmmbclick"])
                        self.ctrlmmbclick = self.__class__.ctrlmmbclick(service, version, mode, path + ["ctrlmmbclick"])
                        self.shiftlmbclick = self.__class__.shiftlmbclick(service, version, mode, path + ["shiftlmbclick"])
                        self.mousewheel = self.__class__.mousewheel(service, version, mode, path + ["mousewheel"])
                        self.mousewheelsensitivity = self.__class__.mousewheelsensitivity(service, version, mode, path + ["mousewheelsensitivity"])
                        self.ctrllmbdrag = self.__class__.ctrllmbdrag(service, version, mode, path + ["ctrllmbdrag"])
                        self.reversewheeldirection = self.__class__.reversewheeldirection(service, version, mode, path + ["reversewheeldirection"])
                        self.ctrlrmbclick = self.__class__.ctrlrmbclick(service, version, mode, path + ["ctrlrmbclick"])
                        self.ctrllmbclick = self.__class__.ctrllmbclick(service, version, mode, path + ["ctrllmbclick"])
                        self.shiftrmbclick = self.__class__.shiftrmbclick(service, version, mode, path + ["shiftrmbclick"])
                        self.ctrlmmbdrag = self.__class__.ctrlmmbdrag(service, version, mode, path + ["ctrlmmbdrag"])
                        self.mouseprobe = self.__class__.mouseprobe(service, version, mode, path + ["mouseprobe"])
                        super().__init__(service, version, mode, path)
                    class ctrlrmbdrag(TUIMethod):
                        """
                        .
                        """
                    class shiftrmbdrag(TUIMethod):
                        """
                        .
                        """
                    class shiftlmbdrag(TUIMethod):
                        """
                        .
                        """
                    class shiftmmbdrag(TUIMethod):
                        """
                        .
                        """
                    class shiftmmbclick(TUIMethod):
                        """
                        .
                        """
                    class ctrlmmbclick(TUIMethod):
                        """
                        .
                        """
                    class shiftlmbclick(TUIMethod):
                        """
                        .
                        """
                    class mousewheel(TUIMethod):
                        """
                        .
                        """
                    class mousewheelsensitivity(TUIMethod):
                        """
                        .
                        """
                    class ctrllmbdrag(TUIMethod):
                        """
                        .
                        """
                    class reversewheeldirection(TUIMethod):
                        """
                        .
                        """
                    class ctrlrmbclick(TUIMethod):
                        """
                        .
                        """
                    class ctrllmbclick(TUIMethod):
                        """
                        .
                        """
                    class shiftrmbclick(TUIMethod):
                        """
                        .
                        """
                    class ctrlmmbdrag(TUIMethod):
                        """
                        .
                        """
                    class mouseprobe(TUIMethod):
                        """
                        .
                        """

                class basic(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.rmbclick = self.__class__.rmbclick(service, version, mode, path + ["rmbclick"])
                        self.rmb = self.__class__.rmb(service, version, mode, path + ["rmb"])
                        self.lmb = self.__class__.lmb(service, version, mode, path + ["lmb"])
                        self.mmbclick = self.__class__.mmbclick(service, version, mode, path + ["mmbclick"])
                        self.lmbclick = self.__class__.lmbclick(service, version, mode, path + ["lmbclick"])
                        self.mmb = self.__class__.mmb(service, version, mode, path + ["mmb"])
                        super().__init__(service, version, mode, path)
                    class rmbclick(TUIMethod):
                        """
                        .
                        """
                    class rmb(TUIMethod):
                        """
                        .
                        """
                    class lmb(TUIMethod):
                        """
                        .
                        """
                    class mmbclick(TUIMethod):
                        """
                        .
                        """
                    class lmbclick(TUIMethod):
                        """
                        .
                        """
                    class mmb(TUIMethod):
                        """
                        .
                        """

        class meshing_workflow(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.draw_settings = self.__class__.draw_settings(service, version, mode, path + ["draw_settings"])
                self.save_checkpoint_files = self.__class__.save_checkpoint_files(service, version, mode, path + ["save_checkpoint_files"])
                self.templates_folder = self.__class__.templates_folder(service, version, mode, path + ["templates_folder"])
                self.checkpointing_option = self.__class__.checkpointing_option(service, version, mode, path + ["checkpointing_option"])
                self.temp_folder = self.__class__.temp_folder(service, version, mode, path + ["temp_folder"])
                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                super().__init__(service, version, mode, path)
            class save_checkpoint_files(TUIMethod):
                """
                .
                """
            class templates_folder(TUIMethod):
                """
                .
                """
            class checkpointing_option(TUIMethod):
                """
                .
                """
            class temp_folder(TUIMethod):
                """
                .
                """
            class verbosity(TUIMethod):
                """
                .
                """

            class draw_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.face_zone_limit = self.__class__.face_zone_limit(service, version, mode, path + ["face_zone_limit"])
                    self.facet_limit = self.__class__.facet_limit(service, version, mode, path + ["facet_limit"])
                    self.auto_draw = self.__class__.auto_draw(service, version, mode, path + ["auto_draw"])
                    super().__init__(service, version, mode, path)
                class face_zone_limit(TUIMethod):
                    """
                    .
                    """
                class facet_limit(TUIMethod):
                    """
                    .
                    """
                class auto_draw(TUIMethod):
                    """
                    .
                    """

        class general(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.initial_physics_volume_definitions = self.__class__.initial_physics_volume_definitions(service, version, mode, path + ["initial_physics_volume_definitions"])
                self.default_ioformat = self.__class__.default_ioformat(service, version, mode, path + ["default_ioformat"])
                self.utlmode = self.__class__.utlmode(service, version, mode, path + ["utlmode"])
                self.laplace_auto_partition_default = self.__class__.laplace_auto_partition_default(service, version, mode, path + ["laplace_auto_partition_default"])
                self.enable_parametric_study = self.__class__.enable_parametric_study(service, version, mode, path + ["enable_parametric_study"])
                self.advanced_partition = self.__class__.advanced_partition(service, version, mode, path + ["advanced_partition"])
                self.key_behavioral_changes_message = self.__class__.key_behavioral_changes_message(service, version, mode, path + ["key_behavioral_changes_message"])
                self.dock_editor = self.__class__.dock_editor(service, version, mode, path + ["dock_editor"])
                self.idle_timeout = self.__class__.idle_timeout(service, version, mode, path + ["idle_timeout"])
                self.qaservice_message = self.__class__.qaservice_message(service, version, mode, path + ["qaservice_message"])
                self.flow_model = self.__class__.flow_model(service, version, mode, path + ["flow_model"])
                self.utlcreate_physics_on_mode_change = self.__class__.utlcreate_physics_on_mode_change(service, version, mode, path + ["utlcreate_physics_on_mode_change"])
                self.automatic_transcript = self.__class__.automatic_transcript(service, version, mode, path + ["automatic_transcript"])
                super().__init__(service, version, mode, path)
            class initial_physics_volume_definitions(TUIMethod):
                """
                .
                """
            class default_ioformat(TUIMethod):
                """
                .
                """
            class utlmode(TUIMethod):
                """
                .
                """
            class laplace_auto_partition_default(TUIMethod):
                """
                .
                """
            class enable_parametric_study(TUIMethod):
                """
                .
                """
            class advanced_partition(TUIMethod):
                """
                .
                """
            class key_behavioral_changes_message(TUIMethod):
                """
                .
                """
            class dock_editor(TUIMethod):
                """
                .
                """
            class idle_timeout(TUIMethod):
                """
                .
                """
            class qaservice_message(TUIMethod):
                """
                .
                """
            class flow_model(TUIMethod):
                """
                .
                """
            class utlcreate_physics_on_mode_change(TUIMethod):
                """
                .
                """
            class automatic_transcript(TUIMethod):
                """
                .
                """

    class turbo_workflow(TUIMenu):
        """
        Enter the turbo workflow menu.
        """
        def __init__(self, service, version, mode, path):
            self.workflow = self.__class__.workflow(service, version, mode, path + ["workflow"])
            super().__init__(service, version, mode, path)

        class workflow(TUIMenu):
            """
            Enter the workflow menu.
            """
            def __init__(self, service, version, mode, path):
                self.disable = self.__class__.disable(service, version, mode, path + ["disable"])
                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                super().__init__(service, version, mode, path)
            class disable(TUIMethod):
                """
                Disable the workflow.
                """
            class enable(TUIMethod):
                """
                Enable the workflow.
                """
            class reset(TUIMethod):
                """
                Reset the workflow.
                """

    class simulation_reports(TUIMenu):
        """
        Enter the simulation reports menu.
        """
        def __init__(self, service, version, mode, path):
            self.parametric_study = self.__class__.parametric_study(service, version, mode, path + ["parametric_study"])
            self.export_simulation_report_as_html = self.__class__.export_simulation_report_as_html(service, version, mode, path + ["export_simulation_report_as_html"])
            self.export_simulation_report_as_pdf = self.__class__.export_simulation_report_as_pdf(service, version, mode, path + ["export_simulation_report_as_pdf"])
            self.list_simulation_reports = self.__class__.list_simulation_reports(service, version, mode, path + ["list_simulation_reports"])
            self.read_simulation_report_template_file = self.__class__.read_simulation_report_template_file(service, version, mode, path + ["read_simulation_report_template_file"])
            self.rename_simulation_report = self.__class__.rename_simulation_report(service, version, mode, path + ["rename_simulation_report"])
            self.view_simulation_report = self.__class__.view_simulation_report(service, version, mode, path + ["view_simulation_report"])
            self.generate_simulation_report = self.__class__.generate_simulation_report(service, version, mode, path + ["generate_simulation_report"])
            self.write_simulation_report_template_file = self.__class__.write_simulation_report_template_file(service, version, mode, path + ["write_simulation_report_template_file"])
            self.reset_report_to_defaults = self.__class__.reset_report_to_defaults(service, version, mode, path + ["reset_report_to_defaults"])
            self.delete_simulation_report = self.__class__.delete_simulation_report(service, version, mode, path + ["delete_simulation_report"])
            self.duplicate_simulation_report = self.__class__.duplicate_simulation_report(service, version, mode, path + ["duplicate_simulation_report"])
            self.write_report_names_to_file = self.__class__.write_report_names_to_file(service, version, mode, path + ["write_report_names_to_file"])
            self.export_simulation_report_as_pptx = self.__class__.export_simulation_report_as_pptx(service, version, mode, path + ["export_simulation_report_as_pptx"])
            super().__init__(service, version, mode, path)
        class export_simulation_report_as_html(TUIMethod):
            """
            Export the provided simulation report as HTML.
            """
        class export_simulation_report_as_pdf(TUIMethod):
            """
            Export the provided simulation report as a PDF file.
            """
        class list_simulation_reports(TUIMethod):
            """
            List all report names.
            """
        class read_simulation_report_template_file(TUIMethod):
            """
            Read a JSON template file with existing Simulation Report settings.
            """
        class rename_simulation_report(TUIMethod):
            """
            Rename a report which has already been generated.
            """
        class view_simulation_report(TUIMethod):
            """
            View a simulation report that has already been generated. In batch mode this will print the report's URL.
            """
        class generate_simulation_report(TUIMethod):
            """
            Generate a new simulation report or regenerate an existing simulation report with the provided name.
            """
        class write_simulation_report_template_file(TUIMethod):
            """
            Write a JSON template file with this case's Simulation Report settings.
            """
        class reset_report_to_defaults(TUIMethod):
            """
            Reset all report settings to default for the provided simulation report.
            """
        class delete_simulation_report(TUIMethod):
            """
            Delete the provided simulation report.
            """
        class duplicate_simulation_report(TUIMethod):
            """
            Duplicate a report and all of its settings to a new report.
            """
        class write_report_names_to_file(TUIMethod):
            """
            Write the list of currently generated report names to a txt file.
            """
        class export_simulation_report_as_pptx(TUIMethod):
            """
            Export the provided simulation report as a PPT file.
            """

        class parametric_study(TUIMenu):
            """
            Enter the parametric study menu.
            """
            def __init__(self, service, version, mode, path):
                self.generate_design_point_report = self.__class__.generate_design_point_report(service, version, mode, path + ["generate_design_point_report"])
                self.generate_parametric_report = self.__class__.generate_parametric_report(service, version, mode, path + ["generate_parametric_report"])
                super().__init__(service, version, mode, path)
            class generate_design_point_report(TUIMethod):
                """
                Generate a simulation report for an updated design point.
                """
            class generate_parametric_report(TUIMethod):
                """
                Generate a parametric report for your study.
                """
