"""Fluent solver TUI commands"""
#
# This is an auto-generated file.  DO NOT EDIT!
#
# pylint: disable=line-too-long

from ansys.fluent.core.services.datamodel_tui import PyMenu, TUIMenu, TUIMethod



class main_menu(TUIMenu):
    """
    Fluent solver main menu.
    """
    def __init__(self, service, version, mode, path):
        self.turbo_post = self.__class__.turbo_post(service, version, mode, path + ["turbo_post"])
        self.icing = self.__class__.icing(service, version, mode, path + ["icing"])
        self.server = self.__class__.server(service, version, mode, path + ["server"])
        self.define = self.__class__.define(service, version, mode, path + ["define"])
        self.solution = self.__class__.solution(service, version, mode, path + ["solution"])
        self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
        self.setup = self.__class__.setup(service, version, mode, path + ["setup"])
        self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
        self.parametric_study = self.__class__.parametric_study(service, version, mode, path + ["parametric_study"])
        self.results = self.__class__.results(service, version, mode, path + ["results"])
        self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
        self.solve = self.__class__.solve(service, version, mode, path + ["solve"])
        self.parallel = self.__class__.parallel(service, version, mode, path + ["parallel"])
        self.preferences = self.__class__.preferences(service, version, mode, path + ["preferences"])
        self.file = self.__class__.file(service, version, mode, path + ["file"])
        self.report = self.__class__.report(service, version, mode, path + ["report"])
        self.display = self.__class__.display(service, version, mode, path + ["display"])
        self.turbo_workflow = self.__class__.turbo_workflow(service, version, mode, path + ["turbo_workflow"])
        self.adjoint = self.__class__.adjoint(service, version, mode, path + ["adjoint"])
        self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
        self.views = self.__class__.views(service, version, mode, path + ["views"])
        self.switch_to_meshing_mode = self.__class__.switch_to_meshing_mode(service, version, mode, path + ["switch_to_meshing_mode"])
        self.print_license_usage = self.__class__.print_license_usage(service, version, mode, path + ["print_license_usage"])
        self.exit = self.__class__.exit(service, version, mode, path + ["exit"])
        self.close_fluent = self.__class__.close_fluent(service, version, mode, path + ["close_fluent"])
        super().__init__(service, version, mode, path)
    class switch_to_meshing_mode(TUIMethod):
        """
        Switches from the solution mode to the meshing mode. This text command is only available if you have not yet read a mesh or a case file.
        """
    class print_license_usage(TUIMethod):
        """
        Print license usage information.
        """
    class exit(TUIMethod):
        """
        Exit program.
        """
    class close_fluent(TUIMethod):
        """
        Exit program.
        """

    class turbo_post(TUIMenu):
        """
        Enter the turbo menu.
        """
        def __init__(self, service, version, mode, path):
            self.current_topology = self.__class__.current_topology(service, version, mode, path + ["current_topology"])
            self.write_report = self.__class__.write_report(service, version, mode, path + ["write_report"])
            self.xy_plot_avg = self.__class__.xy_plot_avg(service, version, mode, path + ["xy_plot_avg"])
            self.two_d_contours = self.__class__.two_d_contours(service, version, mode, path + ["two_d_contours"])
            self.compute_report = self.__class__.compute_report(service, version, mode, path + ["compute_report"])
            self.avg_contours = self.__class__.avg_contours(service, version, mode, path + ["avg_contours"])
            super().__init__(service, version, mode, path)
        class current_topology(TUIMethod):
            """
            Sets the current turbo topology for global use.
            """
        class write_report(TUIMethod):
            """
            Writes the turbo report to file.
            """
        class xy_plot_avg(TUIMethod):
            """
            Displays average XY plots.
            """
        class two_d_contours(TUIMethod):
            """
            Display 2d contours.
            """
        class compute_report(TUIMethod):
            """
            Computes turbomachinery quantities.
            """
        class avg_contours(TUIMethod):
            """
            Displays average contours.
            """

    class icing(TUIMenu):
        """
        FENSAP-ICE options.
        """
        def __init__(self, service, version, mode, path):
            self.drop = self.__class__.drop(service, version, mode, path + ["drop"])
            self.flow = self.__class__.flow(service, version, mode, path + ["flow"])
            self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
            self.file = self.__class__.file(service, version, mode, path + ["file"])
            self.multishot = self.__class__.multishot(service, version, mode, path + ["multishot"])
            self.ice = self.__class__.ice(service, version, mode, path + ["ice"])
            super().__init__(service, version, mode, path)
        class drop(TUIMethod):
            """
            Droplet impingement menu.
            """
        class flow(TUIMethod):
            """
            Flow solver menu.
            """
        class settings(TUIMethod):
            """
            Global settings menu.
            """
        class file(TUIMethod):
            """
            File menu.
            """
        class multishot(TUIMethod):
            """
            Multi-shot accretion menu.
            """
        class ice(TUIMethod):
            """
            Ice accretion menu.
            """

    class server(TUIMenu):
        """
        Enter the server menu.
        """
        def __init__(self, service, version, mode, path):
            self.print_server_address = self.__class__.print_server_address(service, version, mode, path + ["print_server_address"])
            self.print_connected_clients = self.__class__.print_connected_clients(service, version, mode, path + ["print_connected_clients"])
            self.print_web_server_info = self.__class__.print_web_server_info(service, version, mode, path + ["print_web_server_info"])
            self.start_web_server = self.__class__.start_web_server(service, version, mode, path + ["start_web_server"])
            self.start_server = self.__class__.start_server(service, version, mode, path + ["start_server"])
            self.shutdown_server = self.__class__.shutdown_server(service, version, mode, path + ["shutdown_server"])
            self.stop_web_server = self.__class__.stop_web_server(service, version, mode, path + ["stop_web_server"])
            self.write_or_reset_server_info = self.__class__.write_or_reset_server_info(service, version, mode, path + ["write_or_reset_server_info"])
            self.start_client = self.__class__.start_client(service, version, mode, path + ["start_client"])
            super().__init__(service, version, mode, path)
        class print_server_address(TUIMethod):
            """
            Prints the host address and port number of the server to the console.
            """
        class print_connected_clients(TUIMethod):
            """
            Prints the name of the connected client and its IP address to the console.
            """
        class print_web_server_info(TUIMethod):
            """
            .
            """
        class start_web_server(TUIMethod):
            """
            .
            """
        class start_server(TUIMethod):
            """
            Starts the server for the ANSYS Fluent remote visualization client.
            """
        class shutdown_server(TUIMethod):
            """
            Shuts-down the server and disconnects the connected client.
            """
        class stop_web_server(TUIMethod):
            """
            .
            """
        class write_or_reset_server_info(TUIMethod):
            """
            Allows you to create a new server_info.txt file (with any name you specify), which resets the password for connecting to this server session. It does not restart the server.
            """
        class start_client(TUIMethod):
            """
            Start the ANSYS Fluent remote visualization client.
            """

    class define(TUIMenu):
        """
        Enter the define menu.
        """
        def __init__(self, service, version, mode, path):
            self.virtual_boundary = self.__class__.virtual_boundary(service, version, mode, path + ["virtual_boundary"])
            self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
            self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
            self.reference_frames = self.__class__.reference_frames(service, version, mode, path + ["reference_frames"])
            self.motion_definitions = self.__class__.motion_definitions(service, version, mode, path + ["motion_definitions"])
            self.named_expressions = self.__class__.named_expressions(service, version, mode, path + ["named_expressions"])
            self.boundary_conditions = self.__class__.boundary_conditions(service, version, mode, path + ["boundary_conditions"])
            self.gap_model = self.__class__.gap_model(service, version, mode, path + ["gap_model"])
            self.mixing_planes = self.__class__.mixing_planes(service, version, mode, path + ["mixing_planes"])
            self.curvilinear_coordinate_system = self.__class__.curvilinear_coordinate_system(service, version, mode, path + ["curvilinear_coordinate_system"])
            self.dynamic_mesh = self.__class__.dynamic_mesh(service, version, mode, path + ["dynamic_mesh"])
            self.operating_conditions = self.__class__.operating_conditions(service, version, mode, path + ["operating_conditions"])
            self.periodic_conditions = self.__class__.periodic_conditions(service, version, mode, path + ["periodic_conditions"])
            self.phases = self.__class__.phases(service, version, mode, path + ["phases"])
            self.spectral = self.__class__.spectral(service, version, mode, path + ["spectral"])
            self.models = self.__class__.models(service, version, mode, path + ["models"])
            self.overset_interfaces = self.__class__.overset_interfaces(service, version, mode, path + ["overset_interfaces"])
            self.materials = self.__class__.materials(service, version, mode, path + ["materials"])
            self.profiles = self.__class__.profiles(service, version, mode, path + ["profiles"])
            self.mesh_interfaces = self.__class__.mesh_interfaces(service, version, mode, path + ["mesh_interfaces"])
            self.turbo_model = self.__class__.turbo_model(service, version, mode, path + ["turbo_model"])
            self.custom_field_functions = self.__class__.custom_field_functions(service, version, mode, path + ["custom_field_functions"])
            self.solution_strategy = self.__class__.solution_strategy(service, version, mode, path + ["solution_strategy"])
            self.enable_expressions = self.__class__.enable_expressions(service, version, mode, path + ["enable_expressions"])
            self.beta_feature_access = self.__class__.beta_feature_access(service, version, mode, path + ["beta_feature_access"])
            self.enable_mesh_morpher_optimizer = self.__class__.enable_mesh_morpher_optimizer(service, version, mode, path + ["enable_mesh_morpher_optimizer"])
            self.set_unit_system = self.__class__.set_unit_system(service, version, mode, path + ["set_unit_system"])
            self.physics = self.__class__.physics(service, version, mode, path + ["physics"])
            self.injections = self.__class__.injections(service, version, mode, path + ["injections"])
            self.units = self.__class__.units(service, version, mode, path + ["units"])
            self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
            super().__init__(service, version, mode, path)
        class boundary_conditions(TUIMethod):
            """
            Enter the boundary conditions menu.
            """
        class enable_expressions(TUIMethod):
            """
            Enable the expressions feature.
            """
        class beta_feature_access(TUIMethod):
            """
            Enable access to beta features in the interface.
            """
        class enable_mesh_morpher_optimizer(TUIMethod):
            """
            Enables the mesh morpher/optimizer. When the mesh morpher/optimizer is enabled, the define/mesh-morpher-optimizer text command becomes available.
            """
        class set_unit_system(TUIMethod):
            """
            Applies a standard set of units to all quantities. The options include default,si, british, andcgs.
            """
        class physics(TUIMethod):
            """
            Manage Physics-regions.
            """
        class injections(TUIMethod):
            """
            Enters the injections menu.  For a description of the items in this menu, see define/models/dpm/injections.
            """
        class units(TUIMethod):
            """
            Sets unit conversion factors.
            """
        class geometry(TUIMethod):
            """
            Enter Geometry menu.
            """

        class virtual_boundary(TUIMenu):
            """
            Manage Virtual Boundaries.
            """
            def __init__(self, service, version, mode, path):
                self.boundary_interface = self.__class__.boundary_interface(service, version, mode, path + ["boundary_interface"])
                self.hole_geometry = self.__class__.hole_geometry(service, version, mode, path + ["hole_geometry"])
                super().__init__(service, version, mode, path)
            class boundary_interface(TUIMethod):
                """
                Create a Boundary Interface.
                """
            class hole_geometry(TUIMethod):
                """
                Create a Hole Geometry template.
                """

        class parameters(TUIMenu):
            """
            Enters the parameters menu.
            """
            def __init__(self, service, version, mode, path):
                self.list_parameters = self.__class__.list_parameters(service, version, mode, path + ["list_parameters"])
                self.output_parameters = self.__class__.output_parameters(service, version, mode, path + ["output_parameters"])
                self.input_parameters = self.__class__.input_parameters(service, version, mode, path + ["input_parameters"])
                self.enable_in_TUI = self.__class__.enable_in_TUI(service, version, mode, path + ["enable_in_TUI"])
                super().__init__(service, version, mode, path)
            class enable_in_TUI(TUIMethod):
                """
                Enables/disables parameters in the text user interface.
                """

            class list_parameters(TUIMenu):
                """
                Enter list-param menu.
                """
                def __init__(self, service, version, mode, path):
                    self.input_parameters = self.__class__.input_parameters(service, version, mode, path + ["input_parameters"])
                    self.output_parameters = self.__class__.output_parameters(service, version, mode, path + ["output_parameters"])
                    super().__init__(service, version, mode, path)
                class input_parameters(TUIMethod):
                    """
                    .
                    """
                class output_parameters(TUIMethod):
                    """
                    .
                    """

            class output_parameters(TUIMenu):
                """
                Enters the output-parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.print_all_to_console = self.__class__.print_all_to_console(service, version, mode, path + ["print_all_to_console"])
                    self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                    self.write_all_to_file = self.__class__.write_all_to_file(service, version, mode, path + ["write_all_to_file"])
                    self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edits an output parameter.
                    """
                class delete(TUIMethod):
                    """
                    Deletes an output parameter.
                    """
                class create(TUIMethod):
                    """
                    Creates an output parameter.
                    """
                class rename(TUIMethod):
                    """
                    Renames an output parameter.
                    """
                class print_all_to_console(TUIMethod):
                    """
                    Displays all parameter values in the console.
                    """
                class write_to_file(TUIMethod):
                    """
                    Writes parameter value to file.
                    """
                class write_all_to_file(TUIMethod):
                    """
                    Writes all parameter values to file.
                    """
                class print_to_console(TUIMethod):
                    """
                    Displays parameter value in the console.
                    """

            class input_parameters(TUIMenu):
                """
                Enters the input-parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.advance = self.__class__.advance(service, version, mode, path + ["advance"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    Deletes an input parameter.
                    """
                class edit(TUIMethod):
                    """
                    Edits an input parameter.
                    """

                class advance(TUIMenu):
                    """
                    Define custom variable to use input parameter.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.use_in = self.__class__.use_in(service, version, mode, path + ["use_in"])
                        super().__init__(service, version, mode, path)
                    class list(TUIMethod):
                        """
                        List of custom-input-parameters.
                        """
                    class delete(TUIMethod):
                        """
                        Delete selected custom-input-parameters.
                        """
                    class use_in(TUIMethod):
                        """
                        Use input parameter in solver-udf or in scheme-procedure.
                        """

        class user_defined(TUIMenu):
            """
            Enters the user-defined functions and scalars menu.
            """
            def __init__(self, service, version, mode, path):
                self.real_gas_models = self.__class__.real_gas_models(service, version, mode, path + ["real_gas_models"])
                self.one_D_coupling = self.__class__.one_D_coupling(service, version, mode, path + ["one_D_coupling"])
                self.user_defined_memory = self.__class__.user_defined_memory(service, version, mode, path + ["user_defined_memory"])
                self.compile_customized_addon_module = self.__class__.compile_customized_addon_module(service, version, mode, path + ["compile_customized_addon_module"])
                self.enable_udf_on_gpu = self.__class__.enable_udf_on_gpu(service, version, mode, path + ["enable_udf_on_gpu"])
                self.user_defined_scalars = self.__class__.user_defined_scalars(service, version, mode, path + ["user_defined_scalars"])
                self.auto_compile_compiled_udfs = self.__class__.auto_compile_compiled_udfs(service, version, mode, path + ["auto_compile_compiled_udfs"])
                self.function_hooks = self.__class__.function_hooks(service, version, mode, path + ["function_hooks"])
                self.use_contributed_cpp = self.__class__.use_contributed_cpp(service, version, mode, path + ["use_contributed_cpp"])
                self.user_defined_node_memory = self.__class__.user_defined_node_memory(service, version, mode, path + ["user_defined_node_memory"])
                self.use_built_in_compiler = self.__class__.use_built_in_compiler(service, version, mode, path + ["use_built_in_compiler"])
                self.execute_on_demand = self.__class__.execute_on_demand(service, version, mode, path + ["execute_on_demand"])
                self.use_zone_based_udm = self.__class__.use_zone_based_udm(service, version, mode, path + ["use_zone_based_udm"])
                self.interpreted_functions = self.__class__.interpreted_functions(service, version, mode, path + ["interpreted_functions"])
                self.fan_model = self.__class__.fan_model(service, version, mode, path + ["fan_model"])
                self.compiled_functions = self.__class__.compiled_functions(service, version, mode, path + ["compiled_functions"])
                super().__init__(service, version, mode, path)
            class one_D_coupling(TUIMethod):
                """
                Load 1D library.
                """
            class user_defined_memory(TUIMethod):
                """
                Allocates user-defined memory.
                """
            class compile_customized_addon_module(TUIMethod):
                """
                Compile customized addon module?.
                """
            class enable_udf_on_gpu(TUIMethod):
                """
                Compile UDFs with OpenCL support.
                """
            class user_defined_scalars(TUIMethod):
                """
                Defines user-defined scalars.
                """
            class auto_compile_compiled_udfs(TUIMethod):
                """
                For this Fluent session, specify whether to allow auto-compilation of compiled UDF when a case file (or settings file) is read.
                """
            class function_hooks(TUIMethod):
                """
                Hooks up user-defined functions.
                """
            class use_contributed_cpp(TUIMethod):
                """
                Enable/disable use of cpp from the Fluent.Inc/contrib directory.
                """
            class user_defined_node_memory(TUIMethod):
                """
                Allocate user-defined node memory.
                """
            class use_built_in_compiler(TUIMethod):
                """
                Enables/disables the use of a built-in compiler (Clang) when the define/user-defined/compiled-functions text command is used. This text command / compiler is available for Windows only, and is provided as part of the ANSYS Fluent installation. It is recommended that you enable this text command when the compiler you installed on your machine is an older version that is no longer supported. Note that the built-in compiler is used automatically if Fluent determines that you have not installed Microsoft Visual Studio or Clang on your computer, whether this text command is enabled or not.
                """
            class execute_on_demand(TUIMethod):
                """
                Executes UDFs on demand.
                """
            class use_zone_based_udm(TUIMethod):
                """
                Zone based user-defined memory.
                """
            class interpreted_functions(TUIMethod):
                """
                Loads interpreted user-defined functions.
                """
            class fan_model(TUIMethod):
                """
                Configures user-defined fan model.
                """
            class compiled_functions(TUIMethod):
                """
                Opens user-defined function library.
                """

            class real_gas_models(TUIMenu):
                """
                Enters the real-gas menu to enable/configure real gas model.
                """
                def __init__(self, service, version, mode, path):
                    self.user_defined_real_gas_model = self.__class__.user_defined_real_gas_model(service, version, mode, path + ["user_defined_real_gas_model"])
                    self.nist_real_gas_model = self.__class__.nist_real_gas_model(service, version, mode, path + ["nist_real_gas_model"])
                    self.user_defined_multispecies_real_gas_model = self.__class__.user_defined_multispecies_real_gas_model(service, version, mode, path + ["user_defined_multispecies_real_gas_model"])
                    self.nist_settings = self.__class__.nist_settings(service, version, mode, path + ["nist_settings"])
                    self.set_state = self.__class__.set_state(service, version, mode, path + ["set_state"])
                    self.nist_multispecies_real_gas_model = self.__class__.nist_multispecies_real_gas_model(service, version, mode, path + ["nist_multispecies_real_gas_model"])
                    super().__init__(service, version, mode, path)
                class user_defined_real_gas_model(TUIMethod):
                    """
                    Loads the user-defined real-gas library.
                    """
                class nist_real_gas_model(TUIMethod):
                    """
                    Loads the NIST real-gas library.
                    """
                class user_defined_multispecies_real_gas_model(TUIMethod):
                    """
                    Loads a user-defined multispecies real-gas library.
                    """
                class nist_settings(TUIMethod):
                    """
                    Specifies the name and the location for the REFPROP library and fluid files.
                    """
                class set_state(TUIMethod):
                    """
                    Selects the state for NIST real gas model.
                    """
                class nist_multispecies_real_gas_model(TUIMethod):
                    """
                    Loads the NIST real-gas library.
                    """

        class reference_frames(TUIMenu):
            """
            Enters the reference frames menu.
            """
            def __init__(self, service, version, mode, path):
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.display_edit = self.__class__.display_edit(service, version, mode, path + ["display_edit"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.hide = self.__class__.hide(service, version, mode, path + ["hide"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                super().__init__(service, version, mode, path)
            class add(TUIMethod):
                """
                Creates a new reference frame.
                """
            class delete(TUIMethod):
                """
                Deletes the reference frame you specify.
                """
            class display(TUIMethod):
                """
                Displays the reference frame you specify.
                """
            class display_edit(TUIMethod):
                """
                Display and edit reference frame from graphics.
                """
            class edit(TUIMethod):
                """
                Allows you to edit a reference frame.
                """
            class list(TUIMethod):
                """
                Lists all of the reference frames.
                """
            class hide(TUIMethod):
                """
                Removes the specified reference frame from the graphics window.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of the reference frame you specify.
                """

        class motion_definitions(TUIMenu):
            """
            Manage motion definitions.
            """
            def __init__(self, service, version, mode, path):
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                super().__init__(service, version, mode, path)
            class list(TUIMethod):
                """
                List objects.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class delete(TUIMethod):
                """
                Delete an object.
                """
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class list_properties(TUIMethod):
                """
                List properties of an object.
                """

        class named_expressions(TUIMenu):
            """
            Enters the named expressions menu.
            """
            def __init__(self, service, version, mode, path):
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.export_to_tsv = self.__class__.export_to_tsv(service, version, mode, path + ["export_to_tsv"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.import_from_tsv = self.__class__.import_from_tsv(service, version, mode, path + ["import_from_tsv"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class edit(TUIMethod):
                """
                Allows you to edit the definition of a named expression.
                """
            class compute(TUIMethod):
                """
                Computes and prints the value of an expression. This is only available for expressions that evaluate to a single value.
                """
            class export_to_tsv(TUIMethod):
                """
                Export one or more named expressions to a file in TSV format.
                """
            class add(TUIMethod):
                """
                Creates a new named expression.
                """
            class list_properties(TUIMethod):
                """
                Lists the definition of a named expression.
                """
            class list(TUIMethod):
                """
                Lists all of the currently defined named expressions.
                """
            class import_from_tsv(TUIMethod):
                """
                Import one or more named expressions saved in TSV format.
                """
            class copy(TUIMethod):
                """
                Allows you to copy an existing named expression.
                """
            class delete(TUIMethod):
                """
                Allows you to delete a named expression, as long as it is not in use.
                """

        class gap_model(TUIMenu):
            """
            Enters the gap model menu, where you can define one or more gap regions where the flow is blocked or decelerated when face zones move within a specified proximity threshold of each other.
            """
            def __init__(self, service, version, mode, path):
                self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.list_gap_regions = self.__class__.list_gap_regions(service, version, mode, path + ["list_gap_regions"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list_gap_cell_zones = self.__class__.list_gap_cell_zones(service, version, mode, path + ["list_gap_cell_zones"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.list_gap_face_zones = self.__class__.list_gap_face_zones(service, version, mode, path + ["list_gap_face_zones"])
                self.render_gap_regions = self.__class__.render_gap_regions(service, version, mode, path + ["render_gap_regions"])
                super().__init__(service, version, mode, path)
            class create(TUIMethod):
                """
                Creates a single gap region, so that when selected face zones move within a specified proximity threshold of each other, flow blockage / deceleration is applied to the cells that lie within the threshold.
                """
            class list_gap_regions(TUIMethod):
                """
                Lists the properties of the gap regions.
                """
            class delete(TUIMethod):
                """
                Deletes an existing gap region.
                """
            class list_gap_cell_zones(TUIMethod):
                """
                Lists the names of the cell zones that can be excluded for individual gap regions (so that such cells are not marked for flow blockage / deceleration).
                """
            class edit(TUIMethod):
                """
                Edits an existing gap region.
                """
            class enable(TUIMethod):
                """
                Enables/disables the gap model.
                """
            class delete_all(TUIMethod):
                """
                Deletes all of the existing gap regions.
                """
            class list_gap_face_zones(TUIMethod):
                """
                Lists the names of the face zones that can be used for creating gap regions.
                """
            class render_gap_regions(TUIMethod):
                """
                Update gap regions for postprocessing.
                """

            class advanced_options(TUIMenu):
                """
                Enters the advanced options menu for the gap model.
                """
                def __init__(self, service, version, mode, path):
                    self.fill_data_in_gap_regions = self.__class__.fill_data_in_gap_regions(service, version, mode, path + ["fill_data_in_gap_regions"])
                    self.enhanced_data_interpolation = self.__class__.enhanced_data_interpolation(service, version, mode, path + ["enhanced_data_interpolation"])
                    self.alternative_marking = self.__class__.alternative_marking(service, version, mode, path + ["alternative_marking"])
                    self.render_gap_interface = self.__class__.render_gap_interface(service, version, mode, path + ["render_gap_interface"])
                    self.precise_gap_marking = self.__class__.precise_gap_marking(service, version, mode, path + ["precise_gap_marking"])
                    self.render_flow_modeling_gaps = self.__class__.render_flow_modeling_gaps(service, version, mode, path + ["render_flow_modeling_gaps"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.revert_controls_to_default = self.__class__.revert_controls_to_default(service, version, mode, path + ["revert_controls_to_default"])
                    self.reduce_gap_regions = self.__class__.reduce_gap_regions(service, version, mode, path + ["reduce_gap_regions"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.sponge_layer = self.__class__.sponge_layer(service, version, mode, path + ["sponge_layer"])
                    self.include_coupled_walls = self.__class__.include_coupled_walls(service, version, mode, path + ["include_coupled_walls"])
                    self.check_cfl_condition = self.__class__.check_cfl_condition(service, version, mode, path + ["check_cfl_condition"])
                    self.cell_check_distance_factor = self.__class__.cell_check_distance_factor(service, version, mode, path + ["cell_check_distance_factor"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.flow_blocking_stabilization_parameters = self.__class__.flow_blocking_stabilization_parameters(service, version, mode, path + ["flow_blocking_stabilization_parameters"])
                    self.extend_gap_regions = self.__class__.extend_gap_regions(service, version, mode, path + ["extend_gap_regions"])
                    self.clear_gap_regions = self.__class__.clear_gap_regions(service, version, mode, path + ["clear_gap_regions"])
                    self.update_gap_regions = self.__class__.update_gap_regions(service, version, mode, path + ["update_gap_regions"])
                    super().__init__(service, version, mode, path)
                class fill_data_in_gap_regions(TUIMethod):
                    """
                    Enables/disables the interpolation of solution data throughout the gap regions. This 	text command is only available if you have enabled the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class enhanced_data_interpolation(TUIMethod):
                    """
                    Enables/disables the use of enhanced data 	interpolation when updating information in gap regions. 	This text command is only available if you have enabled 	the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class alternative_marking(TUIMethod):
                    """
                    Mark gap regions using an alternative marking algorithm.
                    """
                class render_gap_interface(TUIMethod):
                    """
                    Enables/disables the rendering of the mesh surfaces inside the gap regions when 	displaying the mesh with contours. Note that the 	solution is still not rendered inside the flow-blocking 	gap regions.
                    """
                class precise_gap_marking(TUIMethod):
                    """
                    Enables/disables the use of a more accurate search algorithm for marking cells in 	gap regions. Note that it can be costly, particularly 	for 3D cases or those with a large number of cells 	inside the gap regions. This text command is only 	available if you have enabled the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class render_flow_modeling_gaps(TUIMethod):
                    """
                    Enables/disables the rendering of the solution in the cells of flow-modeling gap 	regions during postprocessing. This text command is only 	available if you have enabled the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class verbosity(TUIMethod):
                    """
                    Sets the verbosity for messages printed in the console 	related to the gap model.
                    """
                class revert_controls_to_default(TUIMethod):
                    """
                    Reverts the global gap stabilization level and any related 	solver settings to the default.
                    """
                class reduce_gap_regions(TUIMethod):
                    """
                    Enables/disables a more restrictive algorithm for marking cells in gap regions. This 	text command is only available if you have enabled the 	define/gap-model/advanced-options/expert? 	text command.
                    """
                class solution_stabilization(TUIMethod):
                    """
                    Sets the global solution stabilization level for the gap 	regions.
                    """
                class sponge_layer(TUIMethod):
                    """
                    Allows you to edit the solution stabilization settings for flow-modeling gap regions 	that have sponge-layer local stabilization 	enabled.
                    """
                class include_coupled_walls(TUIMethod):
                    """
                    Include coupled walls in gap face zones.
                    """
                class check_cfl_condition(TUIMethod):
                    """
                    Enables/disables the printing of warnings if the time 	step size is too large based on a Courant (CFL) number 	automatically determined for your specified solution 	stability level.
                    """
                class cell_check_distance_factor(TUIMethod):
                    """
                    Enter value of the cell distance factor.
                    """
                class expert(TUIMethod):
                    """
                    Enables/disables access to expert-level text commands 	for the gap model.
                    """
                class flow_blocking_stabilization_parameters(TUIMethod):
                    """
                    Adjust stabilization settings for the sponge layer used for blocked gap regions.
                    """
                class extend_gap_regions(TUIMethod):
                    """
                    Enables/disables the extending of the gap regions by including additional cells in 	the vicinity of the gap interfaces during marking. This 	is useful when the default shape of the marked cells is 	negatively affecting solution stability or convergence 	behavior.
                    """
                class clear_gap_regions(TUIMethod):
                    """
                    Clear gap model solution information and marks.
                    """
                class update_gap_regions(TUIMethod):
                    """
                    Update gap regions and gap model solution information.
                    """

        class mixing_planes(TUIMenu):
            """
            Enters the mixing planes menu.
            """
            def __init__(self, service, version, mode, path):
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class create(TUIMethod):
                """
                Creates a mixing plane.
                """
            class list(TUIMethod):
                """
                Lists defined mixing plane(s).
                """
            class delete(TUIMethod):
                """
                Deletes a mixing plane.
                """

            class set(TUIMenu):
                """
                Sets global parameters relevant to mixing planes.
                """
                def __init__(self, service, version, mode, path):
                    self.conserve_total_enthalpy = self.__class__.conserve_total_enthalpy(service, version, mode, path + ["conserve_total_enthalpy"])
                    self.conserve_swirl = self.__class__.conserve_swirl(service, version, mode, path + ["conserve_swirl"])
                    self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                    self.fix_pressure_level = self.__class__.fix_pressure_level(service, version, mode, path + ["fix_pressure_level"])
                    self.averaging_method = self.__class__.averaging_method(service, version, mode, path + ["averaging_method"])
                    super().__init__(service, version, mode, path)
                class under_relaxation(TUIMethod):
                    """
                    Sets mixing plane under-relaxation factor.
                    """
                class fix_pressure_level(TUIMethod):
                    """
                    Sets fixed pressure level using value based on define/reference-pressure-location.
                    """
                class averaging_method(TUIMethod):
                    """
                    Sets the mixing plane profile averaging method.
                    """

                class conserve_total_enthalpy(TUIMenu):
                    """
                    Enters the menu to set total enthalpy conservation in mixing plane menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class verbosity(TUIMethod):
                        """
                        Enables/disables verbosity in total-enthalpy conservation calculations.
                        """
                    class enable(TUIMethod):
                        """
                        Enables/disables total enthalpy conservation in mixing plane.
                        """

                class conserve_swirl(TUIMenu):
                    """
                    Enters the menu to set swirl conservation in mixing plane menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.report_swirl_integration = self.__class__.report_swirl_integration(service, version, mode, path + ["report_swirl_integration"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class verbosity(TUIMethod):
                        """
                        Enables/disables verbosity in swirl conservation calculations.
                        """
                    class report_swirl_integration(TUIMethod):
                        """
                        Reports swirl integration (Torque) on inflow and outflow zones.
                        """
                    class enable(TUIMethod):
                        """
                        Enables/disables swirl conservation in mixing plane.
                        """

        class curvilinear_coordinate_system(TUIMenu):
            """
            Curvilinear Coordinate System.
            """
            def __init__(self, service, version, mode, path):
                self.display_settings = self.__class__.display_settings(service, version, mode, path + ["display_settings"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.new = self.__class__.new(service, version, mode, path + ["new"])
                self.calculation_settings = self.__class__.calculation_settings(service, version, mode, path + ["calculation_settings"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class display_settings(TUIMethod):
                """
                Display settings for Curvilinear Coordinate System.
                """
            class display(TUIMethod):
                """
                Display Curvilinear Coordinate System.
                """
            class new(TUIMethod):
                """
                Define a new curvilinear coordinate system.
                """
            class calculation_settings(TUIMethod):
                """
                Define Settings for curvilinear coordinate system.
                """
            class edit(TUIMethod):
                """
                Edit an existing curvilinear coordinate system.
                """
            class delete(TUIMethod):
                """
                Delete Curvilinear Coordinate System.
                """

        class dynamic_mesh(TUIMenu):
            """
            Enters the dynamic mesh menu.
            """
            def __init__(self, service, version, mode, path):
                self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                self.zones = self.__class__.zones(service, version, mode, path + ["zones"])
                self.transient_settings = self.__class__.transient_settings(service, version, mode, path + ["transient_settings"])
                self.events = self.__class__.events(service, version, mode, path + ["events"])
                self.actions = self.__class__.actions(service, version, mode, path + ["actions"])
                self.dynamic_mesh = self.__class__.dynamic_mesh(service, version, mode, path + ["dynamic_mesh"])
                super().__init__(service, version, mode, path)
            class dynamic_mesh(TUIMethod):
                """
                Enables/disables the dynamic mesh solver.
                """

            class controls(TUIMenu):
                """
                Enters the dynamic mesh controls menu. This text command is only available when the define/dynamic-mesh/dynamic-mesh? text command is enabled.
                """
                def __init__(self, service, version, mode, path):
                    self.remeshing_parameters = self.__class__.remeshing_parameters(service, version, mode, path + ["remeshing_parameters"])
                    self.periodic_displacement_parameters = self.__class__.periodic_displacement_parameters(service, version, mode, path + ["periodic_displacement_parameters"])
                    self.in_cylinder_parameters = self.__class__.in_cylinder_parameters(service, version, mode, path + ["in_cylinder_parameters"])
                    self.contact_parameters = self.__class__.contact_parameters(service, version, mode, path + ["contact_parameters"])
                    self.six_dof_parameters = self.__class__.six_dof_parameters(service, version, mode, path + ["six_dof_parameters"])
                    self.smoothing_parameters = self.__class__.smoothing_parameters(service, version, mode, path + ["smoothing_parameters"])
                    self.implicit_update_parameters = self.__class__.implicit_update_parameters(service, version, mode, path + ["implicit_update_parameters"])
                    self.layering_parameters = self.__class__.layering_parameters(service, version, mode, path + ["layering_parameters"])
                    self.smoothing = self.__class__.smoothing(service, version, mode, path + ["smoothing"])
                    self.in_cylinder_output = self.__class__.in_cylinder_output(service, version, mode, path + ["in_cylinder_output"])
                    self.remeshing = self.__class__.remeshing(service, version, mode, path + ["remeshing"])
                    self.steady_pseudo_time_control = self.__class__.steady_pseudo_time_control(service, version, mode, path + ["steady_pseudo_time_control"])
                    self.layering = self.__class__.layering(service, version, mode, path + ["layering"])
                    super().__init__(service, version, mode, path)
                class smoothing(TUIMethod):
                    """
                    Enables/disables smoothing in cell zones.
                    """
                class in_cylinder_output(TUIMethod):
                    """
                    Enables/disables in-cylinder output.
                    """
                class remeshing(TUIMethod):
                    """
                    Enables/disables local remeshing in tri/tet and mixed cell zones.
                    """
                class steady_pseudo_time_control(TUIMethod):
                    """
                    Enables/disables the pseudo time step control in the 	graphical user interface.
                    """
                class layering(TUIMethod):
                    """
                    Enables/disables dynamic-layering in quad/hex cell zones.
                    """

                class remeshing_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh remeshing menu to set 	parameters for all remeshing methods.
                    """
                    def __init__(self, service, version, mode, path):
                        self.prism_controls = self.__class__.prism_controls(service, version, mode, path + ["prism_controls"])
                        self.prism_layer_parameters = self.__class__.prism_layer_parameters(service, version, mode, path + ["prism_layer_parameters"])
                        self.sizing_controls = self.__class__.sizing_controls(service, version, mode, path + ["sizing_controls"])
                        self.cell_skew_max = self.__class__.cell_skew_max(service, version, mode, path + ["cell_skew_max"])
                        self.remeshing_methods = self.__class__.remeshing_methods(service, version, mode, path + ["remeshing_methods"])
                        self.face_skew_max = self.__class__.face_skew_max(service, version, mode, path + ["face_skew_max"])
                        self.remeshing_after_moving = self.__class__.remeshing_after_moving(service, version, mode, path + ["remeshing_after_moving"])
                        self.poly_remeshing = self.__class__.poly_remeshing(service, version, mode, path + ["poly_remeshing"])
                        self.length_min = self.__class__.length_min(service, version, mode, path + ["length_min"])
                        self.length_max = self.__class__.length_max(service, version, mode, path + ["length_max"])
                        self.sizing_function = self.__class__.sizing_function(service, version, mode, path + ["sizing_function"])
                        self.sizing_funct_resolution = self.__class__.sizing_funct_resolution(service, version, mode, path + ["sizing_funct_resolution"])
                        self.sizing_funct_variation = self.__class__.sizing_funct_variation(service, version, mode, path + ["sizing_funct_variation"])
                        self.retain_size_distribution = self.__class__.retain_size_distribution(service, version, mode, path + ["retain_size_distribution"])
                        self.size_remesh_interval = self.__class__.size_remesh_interval(service, version, mode, path + ["size_remesh_interval"])
                        self.sizing_funct_rate = self.__class__.sizing_funct_rate(service, version, mode, path + ["sizing_funct_rate"])
                        self.sizing_funct_defaults = self.__class__.sizing_funct_defaults(service, version, mode, path + ["sizing_funct_defaults"])
                        self.parallel_remeshing = self.__class__.parallel_remeshing(service, version, mode, path + ["parallel_remeshing"])
                        self.unified_remeshing = self.__class__.unified_remeshing(service, version, mode, path + ["unified_remeshing"])
                        self.zone_remeshing = self.__class__.zone_remeshing(service, version, mode, path + ["zone_remeshing"])
                        super().__init__(service, version, mode, path)
                    class cell_skew_max(TUIMethod):
                        """
                        Sets the cell skewness threshold above which cells will be remeshed.
                        """
                    class remeshing_methods(TUIMethod):
                        """
                        Enables/disables individual remeshing options as part of methods-based remeshing.
                        """
                    class face_skew_max(TUIMethod):
                        """
                        Sets the face skewness threshold above which faces will be remeshed.
                        """
                    class remeshing_after_moving(TUIMethod):
                        """
                        Enables a second round of remeshing based on the skewness parameters after the boundary has moved as part of methods-based remeshing.
                        """
                    class poly_remeshing(TUIMethod):
                        """
                        Enable/disable poly remeshing.
                        """
                    class length_min(TUIMethod):
                        """
                        Sets the length threshold below which cells will be remeshed.
                        """
                    class length_max(TUIMethod):
                        """
                        Sets the length threshold above which cells will be remeshed.
                        """
                    class sizing_function(TUIMethod):
                        """
                        Enables/disables the sizing function as part of methods-based remeshing.
                        """
                    class sizing_funct_resolution(TUIMethod):
                        """
                        Sets the sizing function resolution with respect to shortest boundary.
                        """
                    class sizing_funct_variation(TUIMethod):
                        """
                        Sets the maximum sizing function increase/decrease in the interior.
                        """
                    class retain_size_distribution(TUIMethod):
                        """
                        Enables/disables the use of local size criteria when marking cells for unified remeshing (in an attempt to maintain the initial mesh size distribution even as the mesh moves), rather than marking cells based on the minimum and maximum length scale values of the cell zone in the initial mesh. Either marking can be overridden if more restrictive values are specified using the define/dynamic-mesh/controls/remeshing-parameters/length-min and define/dynamic-mesh/controls/remeshing-parameters/length-max text commands.
                        """
                    class size_remesh_interval(TUIMethod):
                        """
                        Sets the interval (in time steps) when remeshing based on size is done for methods-based remeshing.
                        """
                    class sizing_funct_rate(TUIMethod):
                        """
                        Determines how far from the boundary the increase/decrease happens.
                        """
                    class sizing_funct_defaults(TUIMethod):
                        """
                        Sets sizing function defaults.
                        """
                    class parallel_remeshing(TUIMethod):
                        """
                        Disables/enables parallel remeshing as part of methods-based remeshing..
                        """
                    class unified_remeshing(TUIMethod):
                        """
                        Enables/disables unified remeshing, which specifies that an algorithm is used that combines aspects of a variety of remeshing methods. It is applied to triangular or tetrahedral cells and can produce wedge cells in 3D boundary layer meshes. Unified remeshing simplifies the remeshing setup and can provide increased robustness compared to methods-based remeshing, especially for parallel simulations.
                        """
                    class zone_remeshing(TUIMethod):
                        """
                        Enables/disables the cell zone remeshing method as part of methods-based remeshing.
                        """

                    class prism_controls(TUIMenu):
                        """
                        Enters the dynamic mesh prism controls menu, which provides text commands that can be useful when you want to modify the algorithm that attempts to retain the size distribution during unified remeshing. Each prism control definition is applied to one or more boundary zones, and then affects the height distribution and number of layers of the wedge cells in the adjacent boundary layers.
                        """
                        def __init__(self, service, version, mode, path):
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.add = self.__class__.add(service, version, mode, path + ["add"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            super().__init__(service, version, mode, path)
                        class list(TUIMethod):
                            """
                            Prints a list of the existing prism controls definitions in the console.
                            """
                        class add(TUIMethod):
                            """
                            Adds a new prism controls definition.   After being prompted for a name, you can enter the following to complete the definition:
                            first-height  Sets the height of the first layer of wedge cells in the boundary layer adjacent to the specified zones.
                            growth-method  Specifies the method used to determine the increase in height of the wedge cell layers beyond the first layer. The only available option is geometric, so that the height of each layer is the height of the previous layer multiplied by the rate.
                            name  Specifies the name of the prism controls definition.
                            nlayers  Sets the number of layers of wedge cells in the boundary layer adjacent to the specified zones.
                            rate  Sets the coefficient for the growth-method used to determine the increase in height of the wedge cell layers beyond the first layer.
                            zones  Specifies all of the boundary zones on which this prism controls definition is applied.
                            Enter q when the definition is complete to return to the text command menu.
                            """
                        class list_properties(TUIMethod):
                            """
                            Prints the properties of an existing prism controls definition of your choice in the console.
                            """
                        class edit(TUIMethod):
                            """
                            Edits an existing prism controls definition. You can revise the fields listed previously for the define/dynamic-mesh/controls/remeshing-parameters/prism-controls/add text command.
                            """
                        class delete(TUIMethod):
                            """
                            Deletes an existing prism controls definition.
                            """

                    class prism_layer_parameters(TUIMenu):
                        """
                        Enters the dynamic mesh prism layer parameters menu, where you can define the parameters of the prism layers as part of methods-based remeshing.
                        """
                        def __init__(self, service, version, mode, path):
                            self.first_height = self.__class__.first_height(service, version, mode, path + ["first_height"])
                            self.number_of_layers = self.__class__.number_of_layers(service, version, mode, path + ["number_of_layers"])
                            self.growth_rate = self.__class__.growth_rate(service, version, mode, path + ["growth_rate"])
                            super().__init__(service, version, mode, path)
                        class first_height(TUIMethod):
                            """
                            Sets the first cell height in the prism layer.
                            """
                        class number_of_layers(TUIMethod):
                            """
                            Sets the number of elements in the prism layer.
                            """
                        class growth_rate(TUIMethod):
                            """
                            Sets the geometric growth rate of the prism layer.
                            """

                    class sizing_controls(TUIMenu):
                        """
                        Enters the dynamic mesh sizing controls menu, which provides text commands that can be useful when you want to modify the algorithm that attempts to retain the size distribution during unified remeshing. Each sizing control definition is applied to one or more boundary zones, and then affects the size of the cells throughout the mesh based on their distance from those boundary zone(s) and your settings in the definition.
                        """
                        def __init__(self, service, version, mode, path):
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            self.add = self.__class__.add(service, version, mode, path + ["add"])
                            super().__init__(service, version, mode, path)
                        class list(TUIMethod):
                            """
                            Prints a list of the existing sizing controls definitions in the console.
                            """
                        class list_properties(TUIMethod):
                            """
                            Prints the properties of an existing sizing controls definition of your choice in the console.
                            """
                        class delete(TUIMethod):
                            """
                            Deletes an existing sizing controls definition.
                            """
                        class edit(TUIMethod):
                            """
                            Edits an existing sizing controls definition. You can revise the fields listed previously for the define/dynamic-mesh/controls/remeshing-parameters/sizing-controls/add text command.
                            """
                        class add(TUIMethod):
                            """
                            Adds a new sizing controls definition.   After being prompted for a name, you can enter the following to complete the definition:
                            growth-rate  Sets the growth rate of the sizing controls definition.
                            max-length  Sets a maximum length threshold that is used when the type is set to auto or soft.
                            min-length  Sets a maximum length threshold that is used when the type is set to auto.
                            motion  Determines whether the size control definition affects the remeshing based on whether the mesh undergoes motion: auto specifies that it is applied whether or not there is motion; and static specifies that it is only applied if there is no motion.
                            name  Specifies the name of the sizing controls definition.
                            type  Specifies how the sizing is affected by the selected boundary zones: auto specifies that the default size distribution (rather than the initial size distribution in your selected boundary zones) is used, along with your specified max-length and min-length values; soft specifies that the maximum length scale of your selected boundary zones is used, along with your specified min-length value; and meshed specifies that the maximum and minimum length scales of your selected boundary zones are used, in order to respect their initial size distribution. This setting is only relevant if you have more than one sizing controls definition.
                            zones  Specifies all of the boundary zones on which the sizing controls definition is applied.
                            Enter q when the definition is complete to return to the text command menu.
                            """

                class periodic_displacement_parameters(TUIMenu):
                    """
                    Enters the periodic displacement parameters 	menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.delete_all_groups = self.__class__.delete_all_groups(service, version, mode, path + ["delete_all_groups"])
                        self.copy_displacement = self.__class__.copy_displacement(service, version, mode, path + ["copy_displacement"])
                        self.set_active_displacement = self.__class__.set_active_displacement(service, version, mode, path + ["set_active_displacement"])
                        self.delete_displacement = self.__class__.delete_displacement(service, version, mode, path + ["delete_displacement"])
                        self.edit_group = self.__class__.edit_group(service, version, mode, path + ["edit_group"])
                        self.create_group = self.__class__.create_group(service, version, mode, path + ["create_group"])
                        self.delete_group = self.__class__.delete_group(service, version, mode, path + ["delete_group"])
                        self.edit_displacement = self.__class__.edit_displacement(service, version, mode, path + ["edit_displacement"])
                        self.create_displacement = self.__class__.create_displacement(service, version, mode, path + ["create_displacement"])
                        self.list_groups = self.__class__.list_groups(service, version, mode, path + ["list_groups"])
                        self.delete_all_displacements = self.__class__.delete_all_displacements(service, version, mode, path + ["delete_all_displacements"])
                        self.list_displacements = self.__class__.list_displacements(service, version, mode, path + ["list_displacements"])
                        super().__init__(service, version, mode, path)
                    class delete_all_groups(TUIMethod):
                        """
                        Delete All Periodic Displacement Groups.
                        """
                    class copy_displacement(TUIMethod):
                        """
                        Copy Periodic Displacement.
                        """
                    class set_active_displacement(TUIMethod):
                        """
                        Set Active Periodic Displacement in Group.
                        """
                    class delete_displacement(TUIMethod):
                        """
                        Delete Periodic Displacement.
                        """
                    class edit_group(TUIMethod):
                        """
                        Edit Periodic Displacement Group.
                        """
                    class create_group(TUIMethod):
                        """
                        Create Periodic Displacement Group.
                        """
                    class delete_group(TUIMethod):
                        """
                        Delete Periodic Displacement Group.
                        """
                    class edit_displacement(TUIMethod):
                        """
                        Edit Periodic Displacement.
                        """
                    class create_displacement(TUIMethod):
                        """
                        Create Periodic Displacement.
                        """
                    class list_groups(TUIMethod):
                        """
                        List Periodic Displacement Groups.
                        """
                    class delete_all_displacements(TUIMethod):
                        """
                        Delete All Periodic Displacements.
                        """
                    class list_displacements(TUIMethod):
                        """
                        List Periodic Displacements.
                        """

                class in_cylinder_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh in-cylinder menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.modify_lift = self.__class__.modify_lift(service, version, mode, path + ["modify_lift"])
                        self.print_plot_lift = self.__class__.print_plot_lift(service, version, mode, path + ["print_plot_lift"])
                        self.crank_angle_step = self.__class__.crank_angle_step(service, version, mode, path + ["crank_angle_step"])
                        self.piston_stroke_cutoff = self.__class__.piston_stroke_cutoff(service, version, mode, path + ["piston_stroke_cutoff"])
                        self.piston_data = self.__class__.piston_data(service, version, mode, path + ["piston_data"])
                        self.max_crank_angle_step = self.__class__.max_crank_angle_step(service, version, mode, path + ["max_crank_angle_step"])
                        self.crank_period = self.__class__.crank_period(service, version, mode, path + ["crank_period"])
                        self.minimum_lift = self.__class__.minimum_lift(service, version, mode, path + ["minimum_lift"])
                        self.starting_crank_angle = self.__class__.starting_crank_angle(service, version, mode, path + ["starting_crank_angle"])
                        self.position_starting_mesh = self.__class__.position_starting_mesh(service, version, mode, path + ["position_starting_mesh"])
                        super().__init__(service, version, mode, path)
                    class modify_lift(TUIMethod):
                        """
                        Modifies lift curve (shift or scale).
                        """
                    class print_plot_lift(TUIMethod):
                        """
                        Prints or plot valve lift curve.
                        """
                    class crank_angle_step(TUIMethod):
                        """
                        Specifies crank angle step size.
                        """
                    class piston_stroke_cutoff(TUIMethod):
                        """
                        Specifies the cut off point for in-cylinder piston.
                        """
                    class piston_data(TUIMethod):
                        """
                        Specifies the crank radius and connecting rod length.
                        """
                    class max_crank_angle_step(TUIMethod):
                        """
                        Specifies maximum crank angle step size.
                        """
                    class crank_period(TUIMethod):
                        """
                        Specifies the crank period.
                        """
                    class minimum_lift(TUIMethod):
                        """
                        Specifies minimum lift for in-cylinder valves.
                        """
                    class starting_crank_angle(TUIMethod):
                        """
                        Specifies the initial value for the crank angle.
                        """
                    class position_starting_mesh(TUIMethod):
                        """
                        Moves mesh from top dead center to starting crank angle.
                        """

                class contact_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh contact-parameters menu. This text command is only available 	when you enable contact detection using the prompts of 	the define/dynamic-mesh/dynamic-mesh? 	text command.
                    """
                    def __init__(self, service, version, mode, path):
                        self.flow_control_parameters = self.__class__.flow_control_parameters(service, version, mode, path + ["flow_control_parameters"])
                        self.contact_face_zones = self.__class__.contact_face_zones(service, version, mode, path + ["contact_face_zones"])
                        self.contact_threshold = self.__class__.contact_threshold(service, version, mode, path + ["contact_threshold"])
                        self.update_contact_marks = self.__class__.update_contact_marks(service, version, mode, path + ["update_contact_marks"])
                        self.contact_method = self.__class__.contact_method(service, version, mode, path + ["contact_method"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.flow_control = self.__class__.flow_control(service, version, mode, path + ["flow_control"])
                        self.render_contact_cells = self.__class__.render_contact_cells(service, version, mode, path + ["render_contact_cells"])
                        self.contact_udf = self.__class__.contact_udf(service, version, mode, path + ["contact_udf"])
                        super().__init__(service, version, mode, path)
                    class contact_face_zones(TUIMethod):
                        """
                        Selects face zones involved in contact detection.
                        """
                    class contact_threshold(TUIMethod):
                        """
                        Specifies threshold distance for contact detection.
                        """
                    class update_contact_marks(TUIMethod):
                        """
                        Updates which cells are marked in order to block flow in the contact region as part of the contact marks method.
                        """
                    class contact_method(TUIMethod):
                        """
                        Selects the method used for flow control in the contact region. Enter 0 for the contact zones method (which restricts the flow using additional cell zones with porous zone properties) or 1 for the contact marks method (which blocks the flow using zero-mass-flux boundaries).
                        """
                    class verbosity(TUIMethod):
                        """
                        Sets the level of detail printed in the console regarding contact detection.
                        """
                    class flow_control(TUIMethod):
                        """
                        Enables/disables flow control in the contact region.
                        """
                    class render_contact_cells(TUIMethod):
                        """
                        Enables/disables the availability of a field variable (contact-cell-mark) that can be used to display contours of cells marked for flow blocking as part of the contact marks method, and allows you to postprocess other field variables on those cells.
                        """
                    class contact_udf(TUIMethod):
                        """
                        Selects the UDF to be invoked when contact is detected.
                        """

                    class flow_control_parameters(TUIMenu):
                        """
                        Enters the flow control parameters menu, which provides settings related to controlling the flow in the contact region.
                        """
                        def __init__(self, service, version, mode, path):
                            self.create_flow_control_zone = self.__class__.create_flow_control_zone(service, version, mode, path + ["create_flow_control_zone"])
                            self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                            self.delete_flow_control_zone = self.__class__.delete_flow_control_zone(service, version, mode, path + ["delete_flow_control_zone"])
                            super().__init__(service, version, mode, path)
                        class create_flow_control_zone(TUIMethod):
                            """
                            Creates a flow control zone as part of the contact zones method.
                            """
                        class solution_stabilization(TUIMethod):
                            """
                            Enables/disables the performance of additional iterations per time step and the application of solution controls to improve the stability of the solver as part of the contact marks method.
                            """
                        class delete_flow_control_zone(TUIMethod):
                            """
                            Deletes a flow control zone as part of the contact zones method.
                            """

                class six_dof_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh six degrees of freedom (DOF) solver menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.delete_properties = self.__class__.delete_properties(service, version, mode, path + ["delete_properties"])
                        self.motion_history = self.__class__.motion_history(service, version, mode, path + ["motion_history"])
                        self.z_component_of_gravity = self.__class__.z_component_of_gravity(service, version, mode, path + ["z_component_of_gravity"])
                        self.create_properties = self.__class__.create_properties(service, version, mode, path + ["create_properties"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.y_component_of_gravity = self.__class__.y_component_of_gravity(service, version, mode, path + ["y_component_of_gravity"])
                        self.motion_history_file_name = self.__class__.motion_history_file_name(service, version, mode, path + ["motion_history_file_name"])
                        self.x_component_of_gravity = self.__class__.x_component_of_gravity(service, version, mode, path + ["x_component_of_gravity"])
                        self.second_order = self.__class__.second_order(service, version, mode, path + ["second_order"])
                        super().__init__(service, version, mode, path)
                    class delete_properties(TUIMethod):
                        """
                        Deletes a set of six DOF properties for rigid body motion.
                        """
                    class motion_history(TUIMethod):
                        """
                        Enables/disables writing position/orientation of six DOF zones to file.
                        """
                    class z_component_of_gravity(TUIMethod):
                        """
                        Specifies z-component of gravity.
                        """
                    class create_properties(TUIMethod):
                        """
                        Creates/edits a set of six DOF properties for rigid body motion.
                        """
                    class list_properties(TUIMethod):
                        """
                        Prints summaries of the existing sets of six DOF properties for rigid body motion.
                        """
                    class y_component_of_gravity(TUIMethod):
                        """
                        Specifies y-component of gravity.
                        """
                    class motion_history_file_name(TUIMethod):
                        """
                        Specifies the name and location of the six DOF motion history file.
                        """
                    class x_component_of_gravity(TUIMethod):
                        """
                        Specifies x-component of gravity.
                        """
                    class second_order(TUIMethod):
                        """
                        Enables/disables the second order six degrees of freedom solver.
                        """

                class smoothing_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh smoothing-parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.convergence_tolerance = self.__class__.convergence_tolerance(service, version, mode, path + ["convergence_tolerance"])
                        self.spring_on_simplex_elements = self.__class__.spring_on_simplex_elements(service, version, mode, path + ["spring_on_simplex_elements"])
                        self.local_smoothing = self.__class__.local_smoothing(service, version, mode, path + ["local_smoothing"])
                        self.smoothing_method = self.__class__.smoothing_method(service, version, mode, path + ["smoothing_method"])
                        self.diffusion_fvm = self.__class__.diffusion_fvm(service, version, mode, path + ["diffusion_fvm"])
                        self.diffusion_coeff_function = self.__class__.diffusion_coeff_function(service, version, mode, path + ["diffusion_coeff_function"])
                        self.skew_smooth_cell_skew_max = self.__class__.skew_smooth_cell_skew_max(service, version, mode, path + ["skew_smooth_cell_skew_max"])
                        self.skew_smooth_niter = self.__class__.skew_smooth_niter(service, version, mode, path + ["skew_smooth_niter"])
                        self.bnd_stiffness_factor = self.__class__.bnd_stiffness_factor(service, version, mode, path + ["bnd_stiffness_factor"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.bnd_node_relaxation = self.__class__.bnd_node_relaxation(service, version, mode, path + ["bnd_node_relaxation"])
                        self.smooth_boundary_layers_with_adjacent_zone = self.__class__.smooth_boundary_layers_with_adjacent_zone(service, version, mode, path + ["smooth_boundary_layers_with_adjacent_zone"])
                        self.spring_on_all_elements = self.__class__.spring_on_all_elements(service, version, mode, path + ["spring_on_all_elements"])
                        self.relative_convergence_tolerance = self.__class__.relative_convergence_tolerance(service, version, mode, path + ["relative_convergence_tolerance"])
                        self.poisson_ratio = self.__class__.poisson_ratio(service, version, mode, path + ["poisson_ratio"])
                        self.number_local_layers = self.__class__.number_local_layers(service, version, mode, path + ["number_local_layers"])
                        self.skew_smooth_face_skew_max = self.__class__.skew_smooth_face_skew_max(service, version, mode, path + ["skew_smooth_face_skew_max"])
                        self.skew_smooth_all_deforming_boundaries = self.__class__.skew_smooth_all_deforming_boundaries(service, version, mode, path + ["skew_smooth_all_deforming_boundaries"])
                        self.max_iter = self.__class__.max_iter(service, version, mode, path + ["max_iter"])
                        self.laplace_node_relaxation = self.__class__.laplace_node_relaxation(service, version, mode, path + ["laplace_node_relaxation"])
                        self.constant_factor = self.__class__.constant_factor(service, version, mode, path + ["constant_factor"])
                        self.smooth_from_reference_position = self.__class__.smooth_from_reference_position(service, version, mode, path + ["smooth_from_reference_position"])
                        self.diffusion_coeff_parameter = self.__class__.diffusion_coeff_parameter(service, version, mode, path + ["diffusion_coeff_parameter"])
                        self.amg_stabilization = self.__class__.amg_stabilization(service, version, mode, path + ["amg_stabilization"])
                        self.boundary_distance_method = self.__class__.boundary_distance_method(service, version, mode, path + ["boundary_distance_method"])
                        super().__init__(service, version, mode, path)
                    class convergence_tolerance(TUIMethod):
                        """
                        Sets the convergence tolerance for spring-based solver.
                        """
                    class spring_on_simplex_elements(TUIMethod):
                        """
                        Enable/disable spring-based smoothing for tri/tet elements in mixed element zones.
                        """
                    class local_smoothing(TUIMethod):
                        """
                        Enable local smoothing (Radial Basis Function).
                        """
                    class smoothing_method(TUIMethod):
                        """
                        Specify the smoothing method used by the dynamic mesh model.
                        """
                    class diffusion_fvm(TUIMethod):
                        """
                        Answering yes at the prompt changes the diffusion-based smoothing method to the cell-based finite volume approach that was the default in releases prior to Fluent 15.0. Answering no at the prompt changes the diffusion-based smoothing method to the default node-based finite element method.
                        """
                    class diffusion_coeff_function(TUIMethod):
                        """
                        Specifies whether the diffusion coefficient for diffusion-based smoothing is based on the boundary distance or the cell volume.
                        """
                    class skew_smooth_cell_skew_max(TUIMethod):
                        """
                        Sets the skewness threshold, above which cells will be smoothed using the skewness method.
                        """
                    class skew_smooth_niter(TUIMethod):
                        """
                        Sets the number of skewness-based smoothing cycles.
                        """
                    class bnd_stiffness_factor(TUIMethod):
                        """
                        Sets the stiffness factor for springs connected to boundary nodes.
                        """
                    class verbosity(TUIMethod):
                        """
                        Set the verbosity for spring smoothing.
                        """
                    class bnd_node_relaxation(TUIMethod):
                        """
                        The boundary node relaxation is used by spring smoothing. The boundary node relaxation allows you to relax the update of the node positions at deforming boundaries. A value of 0 prevents deforming boundary nodes from moving and a value of 1 indicates no under-relaxation.
                        """
                    class smooth_boundary_layers_with_adjacent_zone(TUIMethod):
                        """
                        Enable smoothing of boundary layers solely on adjacent zone motion (Radial Basis Function).
                        """
                    class spring_on_all_elements(TUIMethod):
                        """
                        Enables/disables spring-based smoothing for all cell shapes; if disabled, the spring-based smoothing is applied based on the setting of the define/dynamic-mesh/controls/smoothing-parameters/spring-on-simplex-shapes? text command.
                        """
                    class relative_convergence_tolerance(TUIMethod):
                        """
                        Sets the relative residual convergence tolerance for smoothing based on diffusion or the linearly elastic solid model.
                        """
                    class poisson_ratio(TUIMethod):
                        """
                        Sets the Poisson’s ratio used for smoothing based on the linearly elastic solid model.
                        """
                    class number_local_layers(TUIMethod):
                        """
                        Set number of layers for local smoothing (Radial Basis Function).
                        """
                    class skew_smooth_face_skew_max(TUIMethod):
                        """
                        Sets the skewness threshold, above which faces will be smoothed using the skewness method.
                        """
                    class skew_smooth_all_deforming_boundaries(TUIMethod):
                        """
                        Enables/disables skewness smoothing for all deforming dynamic boundary zones. This is enabled by default. If disabled, skewness smoothing is only applied to the deforming dynamic boundary zones that have smoothing explicitly enabled or use local face remeshing.
                        """
                    class max_iter(TUIMethod):
                        """
                        Set the maximum number of iterations for spring-based solver.
                        """
                    class laplace_node_relaxation(TUIMethod):
                        """
                        Set the Laplace boundary node relaxation factor.
                        """
                    class constant_factor(TUIMethod):
                        """
                        Sets the spring constant relaxation factor.
                        """
                    class smooth_from_reference_position(TUIMethod):
                        """
                        Enables/disables smoothing from a reference position. Such smoothing may produce greater mesh quality consistency for stationary or moving meshes with periodic or quasi-periodic motion, and is only available when the smoothing method is based on diffusion or the linearly elastic solid model.
                        """
                    class diffusion_coeff_parameter(TUIMethod):
                        """
                        Sets the diffusion coefficient parameter used for diffusion-based smoothing.
                        """
                    class amg_stabilization(TUIMethod):
                        """
                        Set the AMG stabilization method for mesh smoothing (FEM).
                        """
                    class boundary_distance_method(TUIMethod):
                        """
                        Sets the method used to evaluate the boundary distance for the diffusion coefficient calculation, when diffusion-based smoothing is enabled.
                        """

                class implicit_update_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh implicit update menu. This text command is only available 	when you enable implicit mesh updating using the prompts 	of the define/dynamic-mesh/dynamic-mesh? 	text command.
                    """
                    def __init__(self, service, version, mode, path):
                        self.motion_relaxation = self.__class__.motion_relaxation(service, version, mode, path + ["motion_relaxation"])
                        self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                        self.residual_criteria = self.__class__.residual_criteria(service, version, mode, path + ["residual_criteria"])
                        super().__init__(service, version, mode, path)
                    class motion_relaxation(TUIMethod):
                        """
                        Specifies a value (within the range of 0 to 1) for the motion relaxation, which is applied during the implicit mesh update.
                        """
                    class update_interval(TUIMethod):
                        """
                        Specifies the update interval (that is, the frequency in iterations) at which the mesh is updated within a time step.
                        """
                    class residual_criteria(TUIMethod):
                        """
                        Specifies the relative residual threshold that is used to check the motion convergence during the implicit mesh update.
                        """

                class layering_parameters(TUIMenu):
                    """
                    Enters the dynamic mesh layering menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.constant_height = self.__class__.constant_height(service, version, mode, path + ["constant_height"])
                        self.split_factor = self.__class__.split_factor(service, version, mode, path + ["split_factor"])
                        self.collapse_factor = self.__class__.collapse_factor(service, version, mode, path + ["collapse_factor"])
                        super().__init__(service, version, mode, path)
                    class constant_height(TUIMethod):
                        """
                        Enables/disables layering based on constant height, else layering based on constant ratio.
                        """
                    class split_factor(TUIMethod):
                        """
                        Sets the factor determining when to split dynamic layers.
                        """
                    class collapse_factor(TUIMethod):
                        """
                        Sets the factor determining when to collapse dynamic layers.
                        """

            class zones(TUIMenu):
                """
                Enters the dynamic mesh zones menu.
                """
                def __init__(self, service, version, mode, path):
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.insert_interior_layer = self.__class__.insert_interior_layer(service, version, mode, path + ["insert_interior_layer"])
                    self.remove_boundary_layer = self.__class__.remove_boundary_layer(service, version, mode, path + ["remove_boundary_layer"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.remove_interior_layer = self.__class__.remove_interior_layer(service, version, mode, path + ["remove_interior_layer"])
                    self.insert_boundary_layer = self.__class__.insert_boundary_layer(service, version, mode, path + ["insert_boundary_layer"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    Lists the dynamic zones.
                    """
                class insert_interior_layer(TUIMethod):
                    """
                    Inserts a new layer cell zone at a specified location.
                    """
                class remove_boundary_layer(TUIMethod):
                    """
                    Removes a cell zone.
                    """
                class delete(TUIMethod):
                    """
                    Deletes a dynamic zone.
                    """
                class create(TUIMethod):
                    """
                    Create dynamic zone.
                    """
                class remove_interior_layer(TUIMethod):
                    """
                    Removes an interior layer cell zone.
                    """
                class insert_boundary_layer(TUIMethod):
                    """
                    Inserts a new cell zone.
                    """

            class transient_settings(TUIMenu):
                """
                Enters the transient dynamic mesh settings menu. This text command is only available when you enable dynamic mesh using the prompts of the define/dynamic-mesh/dynamic-mesh? text command. Solver time must also be set to Transient.
                """
                def __init__(self, service, version, mode, path):
                    self.allow_second_order = self.__class__.allow_second_order(service, version, mode, path + ["allow_second_order"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    super().__init__(service, version, mode, path)
                class allow_second_order(TUIMethod):
                    """
                    Enables/disables second order transient scheme for dynamic mesh cases.
                    """
                class verbosity(TUIMethod):
                    """
                    Enables/disables transient scheme verbosity for dynamic mesh cases.
                    """

            class events(TUIMenu):
                """
                Enters the dynamic mesh events menu.
                """
                def __init__(self, service, version, mode, path):
                    self.import_event_file = self.__class__.import_event_file(service, version, mode, path + ["import_event_file"])
                    self.export_event_file = self.__class__.export_event_file(service, version, mode, path + ["export_event_file"])
                    super().__init__(service, version, mode, path)
                class import_event_file(TUIMethod):
                    """
                    Imports dynamic mesh event file.
                    """
                class export_event_file(TUIMethod):
                    """
                    Exports dynamic mesh events to file.
                    """

            class actions(TUIMenu):
                """
                Enters the dynamic mesh action menu, where you can initiate manual remeshing (that is, remeshing without running a calculation).
                """
                def __init__(self, service, version, mode, path):
                    self.remesh_cell_zone = self.__class__.remesh_cell_zone(service, version, mode, path + ["remesh_cell_zone"])
                    super().__init__(service, version, mode, path)
                class remesh_cell_zone(TUIMethod):
                    """
                    Manually remeshes a cell zone with option to remesh adjacent dynamic face 	zones.
                    """

        class operating_conditions(TUIMenu):
            """
            Enters the define operating conditions menu.
            """
            def __init__(self, service, version, mode, path):
                self.operating_density = self.__class__.operating_density(service, version, mode, path + ["operating_density"])
                self.set_state = self.__class__.set_state(service, version, mode, path + ["set_state"])
                self.gravity = self.__class__.gravity(service, version, mode, path + ["gravity"])
                self.operating_temperature = self.__class__.operating_temperature(service, version, mode, path + ["operating_temperature"])
                self.used_ref_pressure_location = self.__class__.used_ref_pressure_location(service, version, mode, path + ["used_ref_pressure_location"])
                self.reference_pressure_location = self.__class__.reference_pressure_location(service, version, mode, path + ["reference_pressure_location"])
                self.reference_pressure_method = self.__class__.reference_pressure_method(service, version, mode, path + ["reference_pressure_method"])
                self.use_inlet_temperature_for_operating_density = self.__class__.use_inlet_temperature_for_operating_density(service, version, mode, path + ["use_inlet_temperature_for_operating_density"])
                self.gravity_mrf_behavior = self.__class__.gravity_mrf_behavior(service, version, mode, path + ["gravity_mrf_behavior"])
                self.operating_pressure = self.__class__.operating_pressure(service, version, mode, path + ["operating_pressure"])
                super().__init__(service, version, mode, path)
            class operating_density(TUIMethod):
                """
                Multiphase flow Operating Density menu.
                """
            class set_state(TUIMethod):
                """
                Selects state for real gas EOS subcritical condition.
                """
            class gravity(TUIMethod):
                """
                Sets gravitational acceleration.
                """
            class operating_temperature(TUIMethod):
                """
                Sets the operating temperature for Boussinesq.
                """
            class used_ref_pressure_location(TUIMethod):
                """
                Prints the coordinates of the reference pressure cell or cells (depending on the selected reference pressure method). The pressure value in such cells can be used to adjust the gauge pressure field after each iteration to keep it from floating.
                """
            class reference_pressure_location(TUIMethod):
                """
                Sets a location that determines the reference pressure cell or cells (depending on the selected reference pressure method). The pressure value in such cells can be used to adjust the gauge pressure field after each iteration to keep it from floating.
                """
            class reference_pressure_method(TUIMethod):
                """
                Specifies the method used for adjusting the gauge pressure field after each iteration to keep it from floating: the method can assume that all of the cell zones are connected by internal boundary zones (such as interior zones), or can account for connected and disconnected cell zones. Such adjustment is only allowed for incompressible flows, and will be limited partially or entirely by the presence of a pressure boundary.
                """
            class use_inlet_temperature_for_operating_density(TUIMethod):
                """
                Uses inlet temperature to calculate operating density.
                """
            class gravity_mrf_behavior(TUIMethod):
                """
                .
                """
            class operating_pressure(TUIMethod):
                """
                Sets the operating pressure.
                """

        class periodic_conditions(TUIMenu):
            """
            Enters the periodic conditions menu.
            """
            def __init__(self, service, version, mode, path):
                self.pressure_gradient_specification = self.__class__.pressure_gradient_specification(service, version, mode, path + ["pressure_gradient_specification"])
                self.massflow_rate_specification = self.__class__.massflow_rate_specification(service, version, mode, path + ["massflow_rate_specification"])
                super().__init__(service, version, mode, path)
            class pressure_gradient_specification(TUIMethod):
                """
                Enables/disables specification of pressure gradient at the periodic boundary.
                """
            class massflow_rate_specification(TUIMethod):
                """
                Enables/disables specification of mass flow rate at the periodic boundary.
                """

        class phases(TUIMenu):
            """
            Enters the phases menu.
            """
            def __init__(self, service, version, mode, path):
                self.iac_expert = self.__class__.iac_expert(service, version, mode, path + ["iac_expert"])
                self.set_domain_properties = self.__class__.set_domain_properties(service, version, mode, path + ["set_domain_properties"])
                self.interaction_domain = self.__class__.interaction_domain(service, version, mode, path + ["interaction_domain"])
                self.phase_domain = self.__class__.phase_domain(service, version, mode, path + ["phase_domain"])
                super().__init__(service, version, mode, path)
            class interaction_domain(TUIMethod):
                """
                Enter the menu to set interaction domain properties.
                """
            class phase_domain(TUIMethod):
                """
                Enter the menu to set phase domain properties.
                """

            class iac_expert(TUIMenu):
                """
                Enters the IAC expert setting menu.
                """
                def __init__(self, service, version, mode, path):
                    self.ishii_kim_model = self.__class__.ishii_kim_model(service, version, mode, path + ["ishii_kim_model"])
                    self.iac_pseudo_time_step = self.__class__.iac_pseudo_time_step(service, version, mode, path + ["iac_pseudo_time_step"])
                    self.hibiki_ishii_model = self.__class__.hibiki_ishii_model(service, version, mode, path + ["hibiki_ishii_model"])
                    self.yao_morel_model = self.__class__.yao_morel_model(service, version, mode, path + ["yao_morel_model"])
                    super().__init__(service, version, mode, path)
                class ishii_kim_model(TUIMethod):
                    """
                    Sets Ishii-Kim model coefficients.
                    """
                class iac_pseudo_time_step(TUIMethod):
                    """
                    Set iac pseudo-time.
                    """
                class hibiki_ishii_model(TUIMethod):
                    """
                    Sets Hibiki-Ishii model coefficients.
                    """
                class yao_morel_model(TUIMethod):
                    """
                    Sets Yao-Morel model coefficients.
                    """

            class set_domain_properties(TUIMenu):
                """
                Enters the menu to set phase domain properties.
                """
                def __init__(self, service, version, mode, path):
                    self.interaction_domain = self.__class__.interaction_domain(service, version, mode, path + ["interaction_domain"])
                    self.change_phases_names = self.__class__.change_phases_names(service, version, mode, path + ["change_phases_names"])
                    self.phase_domains = self.__class__.phase_domains(service, version, mode, path + ["phase_domains"])
                    super().__init__(service, version, mode, path)
                class change_phases_names(TUIMethod):
                    """
                    Allows you to change the names of all the phases in your simulation.
                    """
                class phase_domains(TUIMethod):
                    """
                    Enters the menu to select a specific phase.
                    """

                class interaction_domain(TUIMenu):
                    """
                    Enters the menu to set the interaction domain 	properties.
                    """
                    def __init__(self, service, version, mode, path):
                        self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                        self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                        self.heat_mass_reactions = self.__class__.heat_mass_reactions(service, version, mode, path + ["heat_mass_reactions"])
                        self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                        self.forces = self.__class__.forces(service, version, mode, path + ["forces"])
                        super().__init__(service, version, mode, path)

                    class interfacial_area(TUIMenu):
                        """
                        Enters the menu to set interfacial area models. This menu is available only for the Mixture and Eulerian multiphase models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            super().__init__(service, version, mode, path)
                        class interfacial_area(TUIMethod):
                            """
                            Specifies the interfacial area model for each pair of phases.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specify the slip velocity function for each secondary phase with respect to the primary phase.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specify the turbulence interaction model for each primary-secondary phase pair.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class model_transition(TUIMethod):
                            """
                            Set the model transition mechanism.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Specify the heat transfer coefficient function between each pair of phases.
                            """
                        class restitution(TUIMethod):
                            """
                            Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                            """
                        class drag(TUIMethod):
                            """
                            Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specify the wall lubrication model for each primary-secondary phase pair.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specify the turbulent dispersion model for each primary-secondary phase pair.
                            """
                        class reactions(TUIMethod):
                            """
                            Define multiple heterogeneous reactions and stoichiometry.
                            """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                super().__init__(service, version, mode, path)
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enter the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                super().__init__(service, version, mode, path)
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """

                        class virtual_mass(TUIMenu):
                            """
                            Enter the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                super().__init__(service, version, mode, path)
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """

                        class lift(TUIMenu):
                            """
                            Enter the menu to set lift models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                super().__init__(service, version, mode, path)
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enter the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                super().__init__(service, version, mode, path)
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """

                        class cavitation(TUIMenu):
                            """
                            Enter the menu to set cavitation models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                super().__init__(service, version, mode, path)
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """

                    class numerics(TUIMenu):
                        """
                        Enters the menu to set numerics models. This menu is available for multiphase models with the sharp-dispersed and phase localized discretization interface modeling options (set in define/models/multiphase/interface-modeling-options).
                        """
                        def __init__(self, service, version, mode, path):
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            super().__init__(service, version, mode, path)
                        class wall_lubrication(TUIMethod):
                            """
                            Specify the wall lubrication model for each primary-secondary phase pair.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specify the turbulence interaction model for each primary-secondary phase pair.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specify the turbulent dispersion model for each primary-secondary phase pair.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Specify the heat transfer coefficient function between each pair of phases.
                            """
                        class drag(TUIMethod):
                            """
                            Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                            """
                        class reactions(TUIMethod):
                            """
                            Define multiple heterogeneous reactions and stoichiometry.
                            """
                        class model_transition(TUIMethod):
                            """
                            Set the model transition mechanism.
                            """
                        class restitution(TUIMethod):
                            """
                            Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Set the interfacial area parameters for each pair of phases.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specify the slip velocity function for each secondary phase with respect to the primary phase.
                            """

                        class lift(TUIMenu):
                            """
                            Enter the menu to set lift models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                super().__init__(service, version, mode, path)
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enter the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                super().__init__(service, version, mode, path)
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                super().__init__(service, version, mode, path)
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """

                        class virtual_mass(TUIMenu):
                            """
                            Enter the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                super().__init__(service, version, mode, path)
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """

                        class cavitation(TUIMenu):
                            """
                            Enter the menu to set cavitation models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                super().__init__(service, version, mode, path)
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enters the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                super().__init__(service, version, mode, path)
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enables/disables phase localized compressive scheme.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specifies the slope limiter to set a specific discretization scheme for each phase pair. A value of 0 corresponds to first order upwind, a value of 1 corresponds to second order upwind, a value of 2 applies the compressive scheme, and a value between 0 and 2 corresponds to a blended scheme. This option is available only wheninterphase-discr? is enabled.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """

                    class heat_mass_reactions(TUIMenu):
                        """
                        Enters the menu to set heat, mass-transfer, and reaction models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            super().__init__(service, version, mode, path)
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class reactions(TUIMethod):
                            """
                            Allows you to define multiple heterogeneous reactions and stoichiometry. This option is available only with the species model.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specify the turbulence interaction model for each primary-secondary phase pair.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specify the slip velocity function for each secondary phase with respect to the primary phase.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Species the heat transfer coefficient function between each pair of phases (constant-htc, nusselt-number, ranz-marshall, hughmark, tomiyama, fixed-to-sat-temp, two-resistance, or user-defined). This command is enable only with the Eulerian multiphase model.
                            """
                        class drag(TUIMethod):
                            """
                            Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specify the wall lubrication model for each primary-secondary phase pair.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Set the interfacial area parameters for each pair of phases.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specify the turbulent dispersion model for each primary-secondary phase pair.
                            """
                        class model_transition(TUIMethod):
                            """
                            Set the model transition mechanism.
                            """
                        class restitution(TUIMethod):
                            """
                            Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                            """

                        class virtual_mass(TUIMenu):
                            """
                            Enter the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                super().__init__(service, version, mode, path)
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enter the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                super().__init__(service, version, mode, path)
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """

                        class cavitation(TUIMenu):
                            """
                            Enters the menu to set cavitation models. This option is available only for the Mixture multiphase model with the Singhal-et-al cavitation model enabled via solve/set/advanced/singhal-et-al-cavitation-model.
                            """
                            def __init__(self, service, version, mode, path):
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                super().__init__(service, version, mode, path)
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Sets the vaporization pressure, surface tension coefficient, and non-condensable gas mass fraction. This command is available only when cavitation? is enabled.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """

                        class lift(TUIMenu):
                            """
                            Enter the menu to set lift models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                super().__init__(service, version, mode, path)
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enter the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                super().__init__(service, version, mode, path)
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                super().__init__(service, version, mode, path)
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """

                    class model_transition(TUIMenu):
                        """
                        Enters the menu to set model transition mechanisms.
                        """
                        def __init__(self, service, version, mode, path):
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            super().__init__(service, version, mode, path)
                        class heat_coeff(TUIMethod):
                            """
                            Specify the heat transfer coefficient function between each pair of phases.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specify the turbulent dispersion model for each primary-secondary phase pair.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class model_transition(TUIMethod):
                            """
                            Sets the VOF-to-DPM model transition mechanism.
                            """
                        class restitution(TUIMethod):
                            """
                            Specify the restitution coefficient for collisions between each pair of granular phases and for collisions between particles of the same granular phase.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specify the wall lubrication model for each primary-secondary phase pair.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specify the turbulence interaction model for each primary-secondary phase pair.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specify the slip velocity function for each secondary phase with respect to the primary phase.
                            """
                        class reactions(TUIMethod):
                            """
                            Define multiple heterogeneous reactions and stoichiometry.
                            """
                        class drag(TUIMethod):
                            """
                            Specify the drag function for each pair of phases. It also enables drag modification and allow specifying the drag factor.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Set the interfacial area parameters for each pair of phases.
                            """

                        class interphase_discretization(TUIMenu):
                            """
                            Enter the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                super().__init__(service, version, mode, path)
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """

                        class lift(TUIMenu):
                            """
                            Enter the menu to set lift models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                super().__init__(service, version, mode, path)
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """

                        class virtual_mass(TUIMenu):
                            """
                            Enter the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                super().__init__(service, version, mode, path)
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enter the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                super().__init__(service, version, mode, path)
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """

                        class cavitation(TUIMenu):
                            """
                            Enter the menu to set cavitation models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                super().__init__(service, version, mode, path)
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                super().__init__(service, version, mode, path)
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """

                    class forces(TUIMenu):
                        """
                        Enters the menu to set interfacial forces models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                            self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                            self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                            self.interphase_discretization = self.__class__.interphase_discretization(service, version, mode, path + ["interphase_discretization"])
                            self.interphase_viscous_dissipation = self.__class__.interphase_viscous_dissipation(service, version, mode, path + ["interphase_viscous_dissipation"])
                            self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                            self.model_transition = self.__class__.model_transition(service, version, mode, path + ["model_transition"])
                            self.wall_lubrication = self.__class__.wall_lubrication(service, version, mode, path + ["wall_lubrication"])
                            self.interfacial_area = self.__class__.interfacial_area(service, version, mode, path + ["interfacial_area"])
                            self.heat_coeff = self.__class__.heat_coeff(service, version, mode, path + ["heat_coeff"])
                            self.slip_velocity = self.__class__.slip_velocity(service, version, mode, path + ["slip_velocity"])
                            self.turbulence_interaction = self.__class__.turbulence_interaction(service, version, mode, path + ["turbulence_interaction"])
                            self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                            self.mass_transfer = self.__class__.mass_transfer(service, version, mode, path + ["mass_transfer"])
                            self.restitution = self.__class__.restitution(service, version, mode, path + ["restitution"])
                            self.turbulent_dispersion = self.__class__.turbulent_dispersion(service, version, mode, path + ["turbulent_dispersion"])
                            self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                            super().__init__(service, version, mode, path)
                        class model_transition(TUIMethod):
                            """
                            Set the model transition mechanism.
                            """
                        class wall_lubrication(TUIMethod):
                            """
                            Specifies the wall lubrication model for each primary-secondary phase pair. This command is available only with the Eulerian multiphase model.
                            """
                        class interfacial_area(TUIMethod):
                            """
                            Set the interfacial area parameters for each pair of phases.
                            """
                        class heat_coeff(TUIMethod):
                            """
                            Specify the heat transfer coefficient function between each pair of phases.
                            """
                        class slip_velocity(TUIMethod):
                            """
                            Specifies the slip velocity function for each secondary phase with respect to the primary phase. This command is available only for the Mixture multiphase model.
                            """
                        class turbulence_interaction(TUIMethod):
                            """
                            Specifies the turbulence interaction model for each primary-secondary phase pair. This command is available only with the Eulerian multiphase model.
                            """
                        class reactions(TUIMethod):
                            """
                            Define multiple heterogeneous reactions and stoichiometry.
                            """
                        class mass_transfer(TUIMethod):
                            """
                            Specify the mass transfer mechanisms.
                            """
                        class restitution(TUIMethod):
                            """
                            Specifies the restitution coefficient for collisions between each pair of granular phases, and for collisions between particles of the same granular phase. This command is available only for multiphase flows with two or more granular phases.
                            """
                        class turbulent_dispersion(TUIMethod):
                            """
                            Specifies the turbulent dispersion model for each primary-secondary phase pair. This command is available only with the Eulerian multiphase model.
                            """
                        class drag(TUIMethod):
                            """
                            Specifies the drag function, drag modification, and drag factor for each pair of phases. This command is available only with the Eulerian and Mixture multiphase models.
                            """

                        class cavitation(TUIMenu):
                            """
                            Enter the menu to set cavitation models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                super().__init__(service, version, mode, path)
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """

                        class virtual_mass(TUIMenu):
                            """
                            Enters the menu to set virtual mass models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                super().__init__(service, version, mode, path)
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Allows you to include the virtual mass force effect that occurs when a secondary phase accelerates relative to the primary phase. This command is available only with the Eulerian multiphase model.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specifies the virtual mass coefficient for each pair of phases. This option is available only ifvirtual-mass? is enabled.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enables/disables the implicit method for the virtual mass force. This option can improve convergence in some cases. This option is available only if virtual-mass? is enabled.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Specifies what form of the implicit method to use (default, option-2, or option-3). default models the entire virtual mass force while option-2 and option-3 model truncated expressions which may further improve convergence. This option is available only if vmass-implicit? is enabled.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """

                        class surface_tension(TUIMenu):
                            """
                            Enters the menu to set surface tension models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                super().__init__(service, version, mode, path)
                            class sfc_modeling(TUIMethod):
                                """
                                Allows you to include the effects of surface tension along the fluid-fluid interface. This option is only available for the VOF and Eulerian multiphase models.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enables/disables the treatment of the contact angle specification at the porous jump boundary. This command is available only for the VOF multiphase model with the continuum surface stress model option and when sfc-modeling? is enabled.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specifies the surface tension coefficient for each pair of phases.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Selects the surface tension model. You can choose between the continuum surface force and continuum surface stress methods. This item is available only when sfc-modeling? is enabled.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enables/disables the specification for a wall adhesion angle. This item is available only whensfc-modeling? is enabled.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """

                        class interphase_discretization(TUIMenu):
                            """
                            Enter the menu to set interphase discretization models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                super().__init__(service, version, mode, path)
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """

                        class interphase_viscous_dissipation(TUIMenu):
                            """
                            Enter the menu to set interphase viscous dissipation related models.
                            """
                            def __init__(self, service, version, mode, path):
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                super().__init__(service, version, mode, path)
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Include the Shaver-Podowski correction for Lift.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class lift(TUIMethod):
                                """
                                .
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """

                        class lift(TUIMenu):
                            """
                            Enters the menu to set the lift force. This item is available only with the Eulerian multiphase model.
                            """
                            def __init__(self, service, version, mode, path):
                                self.sfc_modeling = self.__class__.sfc_modeling(service, version, mode, path + ["sfc_modeling"])
                                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                                self.lift_shaver_podowski = self.__class__.lift_shaver_podowski(service, version, mode, path + ["lift_shaver_podowski"])
                                self.interphase_visc_disp = self.__class__.interphase_visc_disp(service, version, mode, path + ["interphase_visc_disp"])
                                self.vmass_coeff = self.__class__.vmass_coeff(service, version, mode, path + ["vmass_coeff"])
                                self.vmass_implicit = self.__class__.vmass_implicit(service, version, mode, path + ["vmass_implicit"])
                                self.visc_disp_factor = self.__class__.visc_disp_factor(service, version, mode, path + ["visc_disp_factor"])
                                self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                                self.wall_adhesion = self.__class__.wall_adhesion(service, version, mode, path + ["wall_adhesion"])
                                self.vmass_implicit_options = self.__class__.vmass_implicit_options(service, version, mode, path + ["vmass_implicit_options"])
                                self.sfc_model_type = self.__class__.sfc_model_type(service, version, mode, path + ["sfc_model_type"])
                                self.sfc_tension_coeff = self.__class__.sfc_tension_coeff(service, version, mode, path + ["sfc_tension_coeff"])
                                self.virtual_mass = self.__class__.virtual_mass(service, version, mode, path + ["virtual_mass"])
                                self.slope_limiter = self.__class__.slope_limiter(service, version, mode, path + ["slope_limiter"])
                                self.interphase_discr = self.__class__.interphase_discr(service, version, mode, path + ["interphase_discr"])
                                self.jump_adhesion = self.__class__.jump_adhesion(service, version, mode, path + ["jump_adhesion"])
                                self.lift_montoya = self.__class__.lift_montoya(service, version, mode, path + ["lift_montoya"])
                                super().__init__(service, version, mode, path)
                            class sfc_modeling(TUIMethod):
                                """
                                Include the effects of surface tension along the fluid-fluid interface?.
                                """
                            class lift(TUIMethod):
                                """
                                Specifies the lift function for each pair of phases.
                                """
                            class lift_shaver_podowski(TUIMethod):
                                """
                                Enables/disables the Shaver-Podowski lift correction.
                                """
                            class interphase_visc_disp(TUIMethod):
                                """
                                Enable the interfacial viscous dissipation method, which introduces an artificial viscous damping term in the momentum equation?.
                                """
                            class vmass_coeff(TUIMethod):
                                """
                                Specify the virtual mass coefficient for each pair of phases.
                                """
                            class vmass_implicit(TUIMethod):
                                """
                                Enable the implicit method for the virtual mass force?.
                                """
                            class visc_disp_factor(TUIMethod):
                                """
                                Set the dissipation intensity.
                                """
                            class cavitation(TUIMethod):
                                """
                                Set the vaporization pressure, the surface tension coefficient, and the non-condensable gas mass fraction.
                                """
                            class wall_adhesion(TUIMethod):
                                """
                                Enable the specification for a wall adhesion angle?.
                                """
                            class vmass_implicit_options(TUIMethod):
                                """
                                Select the virtual mass implicit option.
                                """
                            class sfc_model_type(TUIMethod):
                                """
                                Select the surface tension model.
                                """
                            class sfc_tension_coeff(TUIMethod):
                                """
                                Specify the surface tension coefficient for each pair of phases.
                                """
                            class virtual_mass(TUIMethod):
                                """
                                Include the virtual mass force that is present when a secondary phase accelerates relative to the primary phase?.
                                """
                            class slope_limiter(TUIMethod):
                                """
                                Specify the slope limiter to set a specific discretization scheme. 0: first order upwind, 1: second order reconstruction bounded by the global minimum/maximum of the volume fraction, 2: compressive. Value between 0 and 2: blended scheme.
                                """
                            class interphase_discr(TUIMethod):
                                """
                                Enable the phase localized compressive discretization scheme where the degree of diffusion/sharpness is controlled through the value of the slope limiters?.
                                """
                            class jump_adhesion(TUIMethod):
                                """
                                Enable the treatment of the contact angle specification at the porous jump boundary?.
                                """
                            class lift_montoya(TUIMethod):
                                """
                                Include the Montoya correction for Lift.
                                """

        class spectral(TUIMenu):
            """
            Enter the Spectral menu.
            """
            def __init__(self, service, version, mode, path):
                self.calculate_fourier_coefficients = self.__class__.calculate_fourier_coefficients(service, version, mode, path + ["calculate_fourier_coefficients"])
                self.calculate_harmonic_exports = self.__class__.calculate_harmonic_exports(service, version, mode, path + ["calculate_harmonic_exports"])
                self.delete_harmonic_exports = self.__class__.delete_harmonic_exports(service, version, mode, path + ["delete_harmonic_exports"])
                self.delete_fourier_coefficients = self.__class__.delete_fourier_coefficients(service, version, mode, path + ["delete_fourier_coefficients"])
                super().__init__(service, version, mode, path)
            class calculate_fourier_coefficients(TUIMethod):
                """
                Calculates Fourier coefficient data.
                """
            class calculate_harmonic_exports(TUIMethod):
                """
                Calculates Harmonic Export data.
                """
            class delete_harmonic_exports(TUIMethod):
                """
                Deletes Harmonic Export data.
                """
            class delete_fourier_coefficients(TUIMethod):
                """
                Deletes Fourier coefficient data.
                """

        class models(TUIMenu):
            """
            Enters the models menu to configure the solver.
            """
            def __init__(self, service, version, mode, path):
                self.radiation = self.__class__.radiation(service, version, mode, path + ["radiation"])
                self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                self.eulerian_wallfilm = self.__class__.eulerian_wallfilm(service, version, mode, path + ["eulerian_wallfilm"])
                self.solver = self.__class__.solver(service, version, mode, path + ["solver"])
                self.acoustics = self.__class__.acoustics(service, version, mode, path + ["acoustics"])
                self.soot_parameters = self.__class__.soot_parameters(service, version, mode, path + ["soot_parameters"])
                self.dpm = self.__class__.dpm(service, version, mode, path + ["dpm"])
                self.system_coupling_settings = self.__class__.system_coupling_settings(service, version, mode, path + ["system_coupling_settings"])
                self.structure = self.__class__.structure(service, version, mode, path + ["structure"])
                self.multiphase = self.__class__.multiphase(service, version, mode, path + ["multiphase"])
                self.virtual_blade_model = self.__class__.virtual_blade_model(service, version, mode, path + ["virtual_blade_model"])
                self.optics = self.__class__.optics(service, version, mode, path + ["optics"])
                self.shell_conduction = self.__class__.shell_conduction(service, version, mode, path + ["shell_conduction"])
                self.species = self.__class__.species(service, version, mode, path + ["species"])
                self.cht = self.__class__.cht(service, version, mode, path + ["cht"])
                self.two_temperature = self.__class__.two_temperature(service, version, mode, path + ["two_temperature"])
                self.viscous = self.__class__.viscous(service, version, mode, path + ["viscous"])
                self.electrolysis_setup = self.__class__.electrolysis_setup(service, version, mode, path + ["electrolysis_setup"])
                self.nox_parameters = self.__class__.nox_parameters(service, version, mode, path + ["nox_parameters"])
                self.energy = self.__class__.energy(service, version, mode, path + ["energy"])
                self.frozen_flux = self.__class__.frozen_flux(service, version, mode, path + ["frozen_flux"])
                self.steady = self.__class__.steady(service, version, mode, path + ["steady"])
                self.unsteady_2nd_order_bounded = self.__class__.unsteady_2nd_order_bounded(service, version, mode, path + ["unsteady_2nd_order_bounded"])
                self.axisymmetric = self.__class__.axisymmetric(service, version, mode, path + ["axisymmetric"])
                self.noniterative_time_advance = self.__class__.noniterative_time_advance(service, version, mode, path + ["noniterative_time_advance"])
                self.crevice_model_controls = self.__class__.crevice_model_controls(service, version, mode, path + ["crevice_model_controls"])
                self.soot = self.__class__.soot(service, version, mode, path + ["soot"])
                self.ablation = self.__class__.ablation(service, version, mode, path + ["ablation"])
                self.nox = self.__class__.nox(service, version, mode, path + ["nox"])
                self.crevice_model = self.__class__.crevice_model(service, version, mode, path + ["crevice_model"])
                self.addon_module = self.__class__.addon_module(service, version, mode, path + ["addon_module"])
                self.potential_and_li_ion_battery = self.__class__.potential_and_li_ion_battery(service, version, mode, path + ["potential_and_li_ion_battery"])
                self.unsteady_2nd_order = self.__class__.unsteady_2nd_order(service, version, mode, path + ["unsteady_2nd_order"])
                self.swirl = self.__class__.swirl(service, version, mode, path + ["swirl"])
                self.unsteady_global_time = self.__class__.unsteady_global_time(service, version, mode, path + ["unsteady_global_time"])
                self.unsteady_1st_order = self.__class__.unsteady_1st_order(service, version, mode, path + ["unsteady_1st_order"])
                self.unsteady_structure_euler = self.__class__.unsteady_structure_euler(service, version, mode, path + ["unsteady_structure_euler"])
                self.solidification_melting = self.__class__.solidification_melting(service, version, mode, path + ["solidification_melting"])
                self.battery_model = self.__class__.battery_model(service, version, mode, path + ["battery_model"])
                self.unsteady_structure_newmark = self.__class__.unsteady_structure_newmark(service, version, mode, path + ["unsteady_structure_newmark"])
                super().__init__(service, version, mode, path)
            class energy(TUIMethod):
                """
                .
                """
            class frozen_flux(TUIMethod):
                """
                Enables/disables frozen flux formulation for transient flows.
                """
            class steady(TUIMethod):
                """
                Enables/disables the steady solution model.
                """
            class unsteady_2nd_order_bounded(TUIMethod):
                """
                Selects the bounded second-order implicit formulation for transient simulations.
                """
            class axisymmetric(TUIMethod):
                """
                Specifies whether or not the domain is axisymmetric.
                """
            class noniterative_time_advance(TUIMethod):
                """
                Enables/disables noniterative time advancement scheme.
                """
            class crevice_model_controls(TUIMethod):
                """
                Enters the crevice model controls menu.
                """
            class soot(TUIMethod):
                """
                Enables/disables the soot model.
                """
            class ablation(TUIMethod):
                """
                Enables/disables the ablation model.
                """
            class nox(TUIMethod):
                """
                Enables/disables the NOx model.
                """
            class crevice_model(TUIMethod):
                """
                Enables/disables the crevice model.
                """
            class addon_module(TUIMethod):
                """
                Loads addon module.
                """
            class potential_and_li_ion_battery(TUIMethod):
                """
                Enables/disables the electric-potential model.
                """
            class unsteady_2nd_order(TUIMethod):
                """
                Selects the second-order implicit formulation for transient simulations.
                """
            class swirl(TUIMethod):
                """
                Enables/disables axisymmetric swirl velocity.
                """
            class unsteady_global_time(TUIMethod):
                """
                Selects the explicit transient formulation. This text command is only available for unsteady cases that use the density-based solver with the explicit formulation.
                """
            class unsteady_1st_order(TUIMethod):
                """
                Selects the first-order implicit formulation for transient simulations.
                """
            class unsteady_structure_euler(TUIMethod):
                """
                Selects the backward Euler method for the direct time integration of the finite element semi-discrete equation of motion. This text command is only available for transient simulations that use the structural model.
                """
            class solidification_melting(TUIMethod):
                """
                Enables/disables the solidification and melting model.
                """
            class battery_model(TUIMethod):
                """
                Enables the dual potential MSMD battery model. For text commands that become available when the battery model is enabled, refer to Battery Model Text Commands.
                """
            class unsteady_structure_newmark(TUIMethod):
                """
                Selects the Newmark method for the direct time integration of the finite element semi-discrete equation of motion. This text command is only available for transient simulations that use the structural model.
                """

            class radiation(TUIMenu):
                """
                Enters the radiation models menu.
                """
                def __init__(self, service, version, mode, path):
                    self.s2s_parameters = self.__class__.s2s_parameters(service, version, mode, path + ["s2s_parameters"])
                    self.solar_parameters = self.__class__.solar_parameters(service, version, mode, path + ["solar_parameters"])
                    self.dtrm_parameters = self.__class__.dtrm_parameters(service, version, mode, path + ["dtrm_parameters"])
                    self.p1 = self.__class__.p1(service, version, mode, path + ["p1"])
                    self.method_partially_specular_wall = self.__class__.method_partially_specular_wall(service, version, mode, path + ["method_partially_specular_wall"])
                    self.beta_radiation_features = self.__class__.beta_radiation_features(service, version, mode, path + ["beta_radiation_features"])
                    self.solar_calculator = self.__class__.solar_calculator(service, version, mode, path + ["solar_calculator"])
                    self.solar = self.__class__.solar(service, version, mode, path + ["solar"])
                    self.radiation_model_parameters = self.__class__.radiation_model_parameters(service, version, mode, path + ["radiation_model_parameters"])
                    self.solution_method_for_do_coupling = self.__class__.solution_method_for_do_coupling(service, version, mode, path + ["solution_method_for_do_coupling"])
                    self.apply_full_solar_irradiation = self.__class__.apply_full_solar_irradiation(service, version, mode, path + ["apply_full_solar_irradiation"])
                    self.mc_model_parameters = self.__class__.mc_model_parameters(service, version, mode, path + ["mc_model_parameters"])
                    self.target_cells_per_volume_cluster = self.__class__.target_cells_per_volume_cluster(service, version, mode, path + ["target_cells_per_volume_cluster"])
                    self.s2s = self.__class__.s2s(service, version, mode, path + ["s2s"])
                    self.do_coupling = self.__class__.do_coupling(service, version, mode, path + ["do_coupling"])
                    self.mc_under_relaxation = self.__class__.mc_under_relaxation(service, version, mode, path + ["mc_under_relaxation"])
                    self.discrete_transfer = self.__class__.discrete_transfer(service, version, mode, path + ["discrete_transfer"])
                    self.discrete_ordinates = self.__class__.discrete_ordinates(service, version, mode, path + ["discrete_ordinates"])
                    self.rosseland = self.__class__.rosseland(service, version, mode, path + ["rosseland"])
                    self.blending_factor = self.__class__.blending_factor(service, version, mode, path + ["blending_factor"])
                    self.do_acceleration = self.__class__.do_acceleration(service, version, mode, path + ["do_acceleration"])
                    self.wsggm_cell_based = self.__class__.wsggm_cell_based(service, version, mode, path + ["wsggm_cell_based"])
                    self.non_gray_model_parameters = self.__class__.non_gray_model_parameters(service, version, mode, path + ["non_gray_model_parameters"])
                    self.solar_irradiation = self.__class__.solar_irradiation(service, version, mode, path + ["solar_irradiation"])
                    self.radiation_iteration_parameters = self.__class__.radiation_iteration_parameters(service, version, mode, path + ["radiation_iteration_parameters"])
                    self.montecarlo = self.__class__.montecarlo(service, version, mode, path + ["montecarlo"])
                    self.fast_second_order_discrete_ordinate = self.__class__.fast_second_order_discrete_ordinate(service, version, mode, path + ["fast_second_order_discrete_ordinate"])
                    super().__init__(service, version, mode, path)
                class p1(TUIMethod):
                    """
                    Enables/disables P1 radiation model.
                    """
                class method_partially_specular_wall(TUIMethod):
                    """
                    Sets the method for partially specular wall with discrete ordinate model.
                    """
                class beta_radiation_features(TUIMethod):
                    """
                    Enable Radiation Models with Non-Iterative Time Advancement (NITA) as Beta features in FL12.0.
                    """
                class solar_calculator(TUIMethod):
                    """
                    Calculates sun direction and intensity.
                    """
                class solar(TUIMethod):
                    """
                    Enables/disables solar model.
                    """
                class radiation_model_parameters(TUIMethod):
                    """
                    Set parameters for radiation models.
                    """
                class solution_method_for_do_coupling(TUIMethod):
                    """
                    Enables/disables the solution method for DO/energy coupling.
                    """
                class apply_full_solar_irradiation(TUIMethod):
                    """
                    Enables/disables the application of the complete solar load to the first wavelength 	band only, reverting to the pre-2019 R1 behavior of the 	Solar Load and Discrete Ordinates models.
                    """
                class mc_model_parameters(TUIMethod):
                    """
                    Specifies Monte Carlo model parameters. This text command is available only when the 	Monte Carlo model is enabled.
                    """
                class target_cells_per_volume_cluster(TUIMethod):
                    """
                    Sets the amount of coarsening of the radiation mesh 	for the Monte Carlo radiation model. A number greater 	than one implies coarsening, whereas equal to one 	implies no coarsening.
                    """
                class s2s(TUIMethod):
                    """
                    Enables/disables S2S radiation model.
                    """
                class do_coupling(TUIMethod):
                    """
                    Enables/disables DO/energy coupling.
                    """
                class mc_under_relaxation(TUIMethod):
                    """
                    Sets the under-relaxation factor for Monte Carlo radiation sources used in the 	energy equation.
                    """
                class discrete_transfer(TUIMethod):
                    """
                    Enables/disables discrete transfer radiation model.
                    """
                class discrete_ordinates(TUIMethod):
                    """
                    Enables/disables discrete ordinates radiation model.
                    """
                class rosseland(TUIMethod):
                    """
                    Enables/disables Rosseland radiation model.
                    """
                class blending_factor(TUIMethod):
                    """
                    Sets numeric option for Discrete Ordinate model. Make sure thatSecond Order Upwind is selected for the Discrete Ordinates spatial 	discretization for the blending-factor option to 	appear in the text command list.
                    """
                class do_acceleration(TUIMethod):
                    """
                    Enables/disables the acceleration of the discrete 	ordinates (DO) radiation model calculations. Note that 	this text command is only available when running on 	Linux in parallel.
                    """
                class wsggm_cell_based(TUIMethod):
                    """
                    Enables/disables WSGGM cell based method. Note that when enabled, the wsggm-cell-based option will 	become available in theAbsorption Coefficient drop-down list in the Create/Edit Materials dialog 	box.
                    """
                class non_gray_model_parameters(TUIMethod):
                    """
                    Sets parameters for non-gray model.
                    """
                class solar_irradiation(TUIMethod):
                    """
                    Enables/disables the solar irradiation model.
                    """
                class radiation_iteration_parameters(TUIMethod):
                    """
                    Sets iteration parameters for radiation models.
                    """
                class montecarlo(TUIMethod):
                    """
                    Enables/disables the Monte Carlo radiation model.
                    """
                class fast_second_order_discrete_ordinate(TUIMethod):
                    """
                    Enables/disables the fast-second-order option for Discrete Ordinate Model.
                    """

                class s2s_parameters(TUIMenu):
                    """
                    Enters the S2S parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.read_vf_file = self.__class__.read_vf_file(service, version, mode, path + ["read_vf_file"])
                        self.set_global_faces_per_surface_cluster = self.__class__.set_global_faces_per_surface_cluster(service, version, mode, path + ["set_global_faces_per_surface_cluster"])
                        self.print_thread_clusters = self.__class__.print_thread_clusters(service, version, mode, path + ["print_thread_clusters"])
                        self.print_zonewise_radiation = self.__class__.print_zonewise_radiation(service, version, mode, path + ["print_zonewise_radiation"])
                        self.compute_clusters_and_vf_accelerated = self.__class__.compute_clusters_and_vf_accelerated(service, version, mode, path + ["compute_clusters_and_vf_accelerated"])
                        self.compute_write_vf = self.__class__.compute_write_vf(service, version, mode, path + ["compute_write_vf"])
                        self.compute_vf_only = self.__class__.compute_vf_only(service, version, mode, path + ["compute_vf_only"])
                        self.set_vf_parameters = self.__class__.set_vf_parameters(service, version, mode, path + ["set_vf_parameters"])
                        self.enable_mesh_interface_clustering = self.__class__.enable_mesh_interface_clustering(service, version, mode, path + ["enable_mesh_interface_clustering"])
                        self.use_old_cluster_algorithm = self.__class__.use_old_cluster_algorithm(service, version, mode, path + ["use_old_cluster_algorithm"])
                        self.use_new_cluster_algorithm = self.__class__.use_new_cluster_algorithm(service, version, mode, path + ["use_new_cluster_algorithm"])
                        self.non_participating_boundary_zones_temperature = self.__class__.non_participating_boundary_zones_temperature(service, version, mode, path + ["non_participating_boundary_zones_temperature"])
                        self.compute_fpsc_values = self.__class__.compute_fpsc_values(service, version, mode, path + ["compute_fpsc_values"])
                        self.compute_vf_accelerated = self.__class__.compute_vf_accelerated(service, version, mode, path + ["compute_vf_accelerated"])
                        self.split_angle = self.__class__.split_angle(service, version, mode, path + ["split_angle"])
                        super().__init__(service, version, mode, path)
                    class read_vf_file(TUIMethod):
                        """
                        Reads S2S file.
                        """
                    class set_global_faces_per_surface_cluster(TUIMethod):
                        """
                        Sets global value of faces per surface cluster for all boundary zones.
                        """
                    class print_thread_clusters(TUIMethod):
                        """
                        Prints the following for all boundary threads: thread-id, number of faces, faces per surface cluster, and the number of surface clusters.
                        """
                    class print_zonewise_radiation(TUIMethod):
                        """
                        Prints the zonewise incoming radiation, viewfactors, and average temperature.
                        """
                    class compute_clusters_and_vf_accelerated(TUIMethod):
                        """
                        .
                        """
                    class compute_write_vf(TUIMethod):
                        """
                        Computes/writes surface clusters and view factors for S2S radiation model.
                        """
                    class compute_vf_only(TUIMethod):
                        """
                        Computes/writes view factors only.
                        """
                    class set_vf_parameters(TUIMethod):
                        """
                        Sets the parameters needed for the viewfactor calculations.
                        """
                    class enable_mesh_interface_clustering(TUIMethod):
                        """
                        Enables surface clusters on mesh interfaces.
                        """
                    class use_old_cluster_algorithm(TUIMethod):
                        """
                        Uses the old surface clustering algorithm.
                        """
                    class use_new_cluster_algorithm(TUIMethod):
                        """
                        Uses the new surface clustering algorithm.
                        """
                    class non_participating_boundary_zones_temperature(TUIMethod):
                        """
                        Sets temperature for the non-participating boundary zones.
                        """
                    class compute_fpsc_values(TUIMethod):
                        """
                        Computes only fpsc values based on current settings.
                        """
                    class compute_vf_accelerated(TUIMethod):
                        """
                        .
                        """
                    class split_angle(TUIMethod):
                        """
                        Sets split angle for the clustering algorithm.
                        """

                class solar_parameters(TUIMenu):
                    """
                    Enters the solar parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.scattering_fraction = self.__class__.scattering_fraction(service, version, mode, path + ["scattering_fraction"])
                        self.iteration_parameters = self.__class__.iteration_parameters(service, version, mode, path + ["iteration_parameters"])
                        self.autosave_solar_data = self.__class__.autosave_solar_data(service, version, mode, path + ["autosave_solar_data"])
                        self.sun_direction_vector = self.__class__.sun_direction_vector(service, version, mode, path + ["sun_direction_vector"])
                        self.illumination_parameters = self.__class__.illumination_parameters(service, version, mode, path + ["illumination_parameters"])
                        self.use_direction_from_sol_calc = self.__class__.use_direction_from_sol_calc(service, version, mode, path + ["use_direction_from_sol_calc"])
                        self.solar_thread_control = self.__class__.solar_thread_control(service, version, mode, path + ["solar_thread_control"])
                        self.sol_on_demand = self.__class__.sol_on_demand(service, version, mode, path + ["sol_on_demand"])
                        self.autoread_solar_data = self.__class__.autoread_solar_data(service, version, mode, path + ["autoread_solar_data"])
                        self.ground_reflectivity = self.__class__.ground_reflectivity(service, version, mode, path + ["ground_reflectivity"])
                        self.sol_camera_pos = self.__class__.sol_camera_pos(service, version, mode, path + ["sol_camera_pos"])
                        self.quad_tree_parameters = self.__class__.quad_tree_parameters(service, version, mode, path + ["quad_tree_parameters"])
                        self.sol_adjacent_fluidcells = self.__class__.sol_adjacent_fluidcells(service, version, mode, path + ["sol_adjacent_fluidcells"])
                        super().__init__(service, version, mode, path)
                    class scattering_fraction(TUIMethod):
                        """
                        Sets scattering fraction parameters.
                        """
                    class iteration_parameters(TUIMethod):
                        """
                        Sets update parameters.
                        """
                    class autosave_solar_data(TUIMethod):
                        """
                        Sets autosave solar data parameters.
                        """
                    class sun_direction_vector(TUIMethod):
                        """
                        Sets sun direction vector.
                        """
                    class illumination_parameters(TUIMethod):
                        """
                        Sets illumination parameters.
                        """
                    class use_direction_from_sol_calc(TUIMethod):
                        """
                        Sets direction computed from solar calculator.
                        """
                    class solar_thread_control(TUIMethod):
                        """
                        Sets the number of threads to run the solar flux calculation. This item appears only when running in parallel with nodes located on a separate machine from the one running the host process andSolar Ray Tracing is enabled.
                        """
                    class sol_on_demand(TUIMethod):
                        """
                        Sets solar load on demand.
                        """
                    class autoread_solar_data(TUIMethod):
                        """
                        Sets autoread solar data parameters.
                        """
                    class ground_reflectivity(TUIMethod):
                        """
                        Sets ground reflectivity parameters.
                        """
                    class sol_camera_pos(TUIMethod):
                        """
                        Sets camera position based on sun direction vector.
                        """
                    class quad_tree_parameters(TUIMethod):
                        """
                        Sets quad-tree refinement parameters.
                        """
                    class sol_adjacent_fluidcells(TUIMethod):
                        """
                        Sets solar load on for adjacent fluid cells.
                        """

                class dtrm_parameters(TUIMenu):
                    """
                    Enters the dtrm parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                        self.ray_trace = self.__class__.ray_trace(service, version, mode, path + ["ray_trace"])
                        self.check_ray_file = self.__class__.check_ray_file(service, version, mode, path + ["check_ray_file"])
                        self.make_globs = self.__class__.make_globs(service, version, mode, path + ["make_globs"])
                        super().__init__(service, version, mode, path)
                    class controls(TUIMethod):
                        """
                        Sets dtrm solution controls.
                        """
                    class ray_trace(TUIMethod):
                        """
                        Creates DTRM rays for radiation.
                        """
                    class check_ray_file(TUIMethod):
                        """
                        Reads DTRM rays file.
                        """
                    class make_globs(TUIMethod):
                        """
                        Makes globs (coarser mesh) for radiation.
                        """

            class heat_exchanger(TUIMenu):
                """
                Enters the heat exchanger menu.
                """
                def __init__(self, service, version, mode, path):
                    self.macro_model = self.__class__.macro_model(service, version, mode, path + ["macro_model"])
                    self.dual_cell_model = self.__class__.dual_cell_model(service, version, mode, path + ["dual_cell_model"])
                    super().__init__(service, version, mode, path)

                class macro_model(TUIMenu):
                    """
                    Enters the heat macro-model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.heat_exchanger_group = self.__class__.heat_exchanger_group(service, version, mode, path + ["heat_exchanger_group"])
                        self.heat_exchanger_report = self.__class__.heat_exchanger_report(service, version, mode, path + ["heat_exchanger_report"])
                        self.write_NTU = self.__class__.write_NTU(service, version, mode, path + ["write_NTU"])
                        self.heat_exchanger_zone = self.__class__.heat_exchanger_zone(service, version, mode, path + ["heat_exchanger_zone"])
                        self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                        self.heat_exchanger_model = self.__class__.heat_exchanger_model(service, version, mode, path + ["heat_exchanger_model"])
                        self.delete_heat_exchanger_group = self.__class__.delete_heat_exchanger_group(service, version, mode, path + ["delete_heat_exchanger_group"])
                        self.heat_exchanger_macro_report = self.__class__.heat_exchanger_macro_report(service, version, mode, path + ["heat_exchanger_macro_report"])
                        self.plot_NTU = self.__class__.plot_NTU(service, version, mode, path + ["plot_NTU"])
                        super().__init__(service, version, mode, path)
                    class heat_exchanger_group(TUIMethod):
                        """
                        Defines heat-exchanger group.
                        """
                    class heat_exchanger_report(TUIMethod):
                        """
                        Reports the computed values of total heat rejection, outlet temperature, and inlet temperature for a specified heat-exchanger core.
                        """
                    class write_NTU(TUIMethod):
                        """
                        Writes NTU vs. primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class heat_exchanger_zone(TUIMethod):
                        """
                        Specifies the zone that represents the heat exchanger, the dimensions of the heat exchanger, the macro grid, and the coolant direction and properties.
                        """
                    class heat_exchanger(TUIMethod):
                        """
                        Enables/disables heat-exchanger model.
                        """
                    class heat_exchanger_model(TUIMethod):
                        """
                        Defines heat-exchanger core model.
                        """
                    class delete_heat_exchanger_group(TUIMethod):
                        """
                        Deletes heat-exchanger group.
                        """
                    class heat_exchanger_macro_report(TUIMethod):
                        """
                        Reports the computed values of heat rejection, outlet temperature, and inlet temperature for the macroscopic cells (macros) in a heat exchanger.
                        """
                    class plot_NTU(TUIMethod):
                        """
                        Plots NTU vs. primary mass flow rate for each auxiliary mass flow rate.
                        """

                class dual_cell_model(TUIMenu):
                    """
                    Enters the dual cell model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.delete_heat_exchanger = self.__class__.delete_heat_exchanger(service, version, mode, path + ["delete_heat_exchanger"])
                        self.alternative_formulation = self.__class__.alternative_formulation(service, version, mode, path + ["alternative_formulation"])
                        self.plot_NTU = self.__class__.plot_NTU(service, version, mode, path + ["plot_NTU"])
                        self.write_NTU = self.__class__.write_NTU(service, version, mode, path + ["write_NTU"])
                        self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                        self.add_heat_exchanger = self.__class__.add_heat_exchanger(service, version, mode, path + ["add_heat_exchanger"])
                        self.modify_heat_exchanger = self.__class__.modify_heat_exchanger(service, version, mode, path + ["modify_heat_exchanger"])
                        super().__init__(service, version, mode, path)
                    class delete_heat_exchanger(TUIMethod):
                        """
                        Deletes heat-exchanger.
                        """
                    class alternative_formulation(TUIMethod):
                        """
                        Enables/disables alternative formulation for heat transfer calculations.
                        """
                    class plot_NTU(TUIMethod):
                        """
                        Plots NTU vs. primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class write_NTU(TUIMethod):
                        """
                        Writes NTU vs. primary mass flow rate for each auxiliary mass flow rate.
                        """
                    class heat_exchanger(TUIMethod):
                        """
                        Enables/disables the dual cell heat-exchanger model.
                        """
                    class add_heat_exchanger(TUIMethod):
                        """
                        Adds heat-exchanger.
                        """
                    class modify_heat_exchanger(TUIMethod):
                        """
                        Modifies heat-exchanger.
                        """

            class eulerian_wallfilm(TUIMenu):
                """
                Enters the Eulerian wall film model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.coupled_solution = self.__class__.coupled_solution(service, version, mode, path + ["coupled_solution"])
                    self.implicit_options = self.__class__.implicit_options(service, version, mode, path + ["implicit_options"])
                    self.film_material = self.__class__.film_material(service, version, mode, path + ["film_material"])
                    self.enable_wallfilm_model = self.__class__.enable_wallfilm_model(service, version, mode, path + ["enable_wallfilm_model"])
                    self.initialize_wallfilm_model = self.__class__.initialize_wallfilm_model(service, version, mode, path + ["initialize_wallfilm_model"])
                    self.solve_wallfilm_equation = self.__class__.solve_wallfilm_equation(service, version, mode, path + ["solve_wallfilm_equation"])
                    self.enable_film_vof_transition_message = self.__class__.enable_film_vof_transition_message(service, version, mode, path + ["enable_film_vof_transition_message"])
                    self.model_options = self.__class__.model_options(service, version, mode, path + ["model_options"])
                    self.list_film_walls = self.__class__.list_film_walls(service, version, mode, path + ["list_film_walls"])
                    self.enable_film_nci_support = self.__class__.enable_film_nci_support(service, version, mode, path + ["enable_film_nci_support"])
                    self.solution_options = self.__class__.solution_options(service, version, mode, path + ["solution_options"])
                    super().__init__(service, version, mode, path)
                class film_material(TUIMethod):
                    """
                    Sets Film Material and Properties.
                    """
                class enable_wallfilm_model(TUIMethod):
                    """
                    Enables/disables Eulerian Wall Film Model.
                    """
                class initialize_wallfilm_model(TUIMethod):
                    """
                    Initializes Eulerian Wall Film Model.
                    """
                class solve_wallfilm_equation(TUIMethod):
                    """
                    Activates Eulerian Wall Film Equations.
                    """
                class enable_film_vof_transition_message(TUIMethod):
                    """
                    Enable film-VOF transition message.
                    """
                class model_options(TUIMethod):
                    """
                    Set Eulerian wall film model options.
                    """
                class list_film_walls(TUIMethod):
                    """
                    List film walls.
                    """
                class enable_film_nci_support(TUIMethod):
                    """
                    Enable wall film NCI support.
                    """
                class solution_options(TUIMethod):
                    """
                    Sets Eulerian Wall Film Model Solution Options.
                    """

                class coupled_solution(TUIMenu):
                    """
                    Enters the Coupled-Solution menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enable_curvature_smoothing = self.__class__.enable_curvature_smoothing(service, version, mode, path + ["enable_curvature_smoothing"])
                        self.enable_coupled_solution = self.__class__.enable_coupled_solution(service, version, mode, path + ["enable_coupled_solution"])
                        super().__init__(service, version, mode, path)
                    class enable_curvature_smoothing(TUIMethod):
                        """
                        Enables/disables the film curvature smoothing option and sets the smoothing parameters.
                        """
                    class enable_coupled_solution(TUIMethod):
                        """
                        Enables/disables the coupled solution method.
                        """

                class implicit_options(TUIMenu):
                    """
                    Enter Implicit Scheme Option (beta).
                    """
                    def __init__(self, service, version, mode, path):
                        self.new_implicit_scheme = self.__class__.new_implicit_scheme(service, version, mode, path + ["new_implicit_scheme"])
                        self.relative_error_residual = self.__class__.relative_error_residual(service, version, mode, path + ["relative_error_residual"])
                        super().__init__(service, version, mode, path)
                    class new_implicit_scheme(TUIMethod):
                        """
                        Enable alternative implicit scheme.
                        """
                    class relative_error_residual(TUIMethod):
                        """
                        Enable relative error residual.
                        """

            class solver(TUIMenu):
                """
                Enters the menu to select the solver.
                """
                def __init__(self, service, version, mode, path):
                    self.density_based_explicit = self.__class__.density_based_explicit(service, version, mode, path + ["density_based_explicit"])
                    self.pressure_based = self.__class__.pressure_based(service, version, mode, path + ["pressure_based"])
                    self.adjust_solver_defaults_based_on_setup = self.__class__.adjust_solver_defaults_based_on_setup(service, version, mode, path + ["adjust_solver_defaults_based_on_setup"])
                    self.density_based_implicit = self.__class__.density_based_implicit(service, version, mode, path + ["density_based_implicit"])
                    super().__init__(service, version, mode, path)
                class density_based_explicit(TUIMethod):
                    """
                    Enables/disables the density-based-explicit solver.
                    """
                class pressure_based(TUIMethod):
                    """
                    Enables/disables the pressure-based solver.
                    """
                class adjust_solver_defaults_based_on_setup(TUIMethod):
                    """
                    .
                    """
                class density_based_implicit(TUIMethod):
                    """
                    Enables/disables the density-based-implicit solver.
                    """

            class acoustics(TUIMenu):
                """
                Enters the acoustics menu.
                """
                def __init__(self, service, version, mode, path):
                    self.sources_fft = self.__class__.sources_fft(service, version, mode, path + ["sources_fft"])
                    self.far_field_parameters = self.__class__.far_field_parameters(service, version, mode, path + ["far_field_parameters"])
                    self.sponge_layers = self.__class__.sponge_layers(service, version, mode, path + ["sponge_layers"])
                    self.wave_equation_options = self.__class__.wave_equation_options(service, version, mode, path + ["wave_equation_options"])
                    self.off = self.__class__.off(service, version, mode, path + ["off"])
                    self.ffowcs_williams = self.__class__.ffowcs_williams(service, version, mode, path + ["ffowcs_williams"])
                    self.broad_band_noise = self.__class__.broad_band_noise(service, version, mode, path + ["broad_band_noise"])
                    self.receivers = self.__class__.receivers(service, version, mode, path + ["receivers"])
                    self.write_centroid_info = self.__class__.write_centroid_info(service, version, mode, path + ["write_centroid_info"])
                    self.cylindrical_export = self.__class__.cylindrical_export(service, version, mode, path + ["cylindrical_export"])
                    self.acoustic_modal_analysis = self.__class__.acoustic_modal_analysis(service, version, mode, path + ["acoustic_modal_analysis"])
                    self.sources = self.__class__.sources(service, version, mode, path + ["sources"])
                    self.moving_receiver = self.__class__.moving_receiver(service, version, mode, path + ["moving_receiver"])
                    self.export_volumetric_sources = self.__class__.export_volumetric_sources(service, version, mode, path + ["export_volumetric_sources"])
                    self.auto_prune = self.__class__.auto_prune(service, version, mode, path + ["auto_prune"])
                    self.display_flow_time = self.__class__.display_flow_time(service, version, mode, path + ["display_flow_time"])
                    self.write_acoustic_signals = self.__class__.write_acoustic_signals(service, version, mode, path + ["write_acoustic_signals"])
                    self.compute_write = self.__class__.compute_write(service, version, mode, path + ["compute_write"])
                    self.convective_effects = self.__class__.convective_effects(service, version, mode, path + ["convective_effects"])
                    self.modal_analysis = self.__class__.modal_analysis(service, version, mode, path + ["modal_analysis"])
                    self.wave_equation = self.__class__.wave_equation(service, version, mode, path + ["wave_equation"])
                    self.export_source_data = self.__class__.export_source_data(service, version, mode, path + ["export_source_data"])
                    self.read_compute_write = self.__class__.read_compute_write(service, version, mode, path + ["read_compute_write"])
                    self.display_frequencies = self.__class__.display_frequencies(service, version, mode, path + ["display_frequencies"])
                    self.export_source_data_cgns = self.__class__.export_source_data_cgns(service, version, mode, path + ["export_source_data_cgns"])
                    self.export_volumetric_sources_cgns = self.__class__.export_volumetric_sources_cgns(service, version, mode, path + ["export_volumetric_sources_cgns"])
                    super().__init__(service, version, mode, path)
                class off(TUIMethod):
                    """
                    Enables/disables the acoustics model.
                    """
                class ffowcs_williams(TUIMethod):
                    """
                    Enables/disables the Ffowcs-Williams-and-Hawkings model.
                    """
                class broad_band_noise(TUIMethod):
                    """
                    Enables/disables the broadband noise model.
                    """
                class receivers(TUIMethod):
                    """
                    Sets acoustic receivers.
                    """
                class write_centroid_info(TUIMethod):
                    """
                    Writes centroid info.
                    """
                class cylindrical_export(TUIMethod):
                    """
                    Enables/disables the export of data in cylindrical coordinates.
                    """
                class acoustic_modal_analysis(TUIMethod):
                    """
                    Iterate linear acoustic solver to compute the resonance frequencies and the acoustic modes.
                    """
                class sources(TUIMethod):
                    """
                    Sets acoustic sources.
                    """
                class moving_receiver(TUIMethod):
                    """
                    Enables/disables the moving receiver option.
                    """
                class export_volumetric_sources(TUIMethod):
                    """
                    Enables/disables the export of fluid zones.
                    """
                class auto_prune(TUIMethod):
                    """
                    Enables/disables auto prune of the receiver signal(s) during 	read-and-compute.
                    """
                class display_flow_time(TUIMethod):
                    """
                    Enables/disables the display of flow time during read-and-compute.
                    """
                class write_acoustic_signals(TUIMethod):
                    """
                    Writes on-the-fly sound pressure.
                    """
                class compute_write(TUIMethod):
                    """
                    Computes sound pressure.
                    """
                class convective_effects(TUIMethod):
                    """
                    Enables/disables the convective effects option.
                    """
                class modal_analysis(TUIMethod):
                    """
                    Enable/disable the modal analysis model.
                    """
                class wave_equation(TUIMethod):
                    """
                    Enables/disables the wave equation model.
                    """
                class export_source_data(TUIMethod):
                    """
                    Enables/disables the export of acoustic source data in 	ASD format during the wave equation model run.
                    """
                class read_compute_write(TUIMethod):
                    """
                    Reads acoustic source data files and computes sound pressure.
                    """
                class display_frequencies(TUIMethod):
                    """
                    Display resonance frequencies.
                    """
                class export_source_data_cgns(TUIMethod):
                    """
                    Enables/disables the export of acoustic source data in CGNS format.
                    """
                class export_volumetric_sources_cgns(TUIMethod):
                    """
                    Enables/disables the export of fluid zones.
                    """

                class sources_fft(TUIMenu):
                    """
                    Enters the acoustic sources fast Fourier transform (FFT) menu, to compute Fourier 	spectra from acoustic source data (ASD) files, create 	postprocessing variables for the pressure signals, and 	write CGNS files of the spectrum data.
                    """
                    def __init__(self, service, version, mode, path):
                        self.fft_surface_variables = self.__class__.fft_surface_variables(service, version, mode, path + ["fft_surface_variables"])
                        self.write_cgns_files = self.__class__.write_cgns_files(service, version, mode, path + ["write_cgns_files"])
                        self.compute_fft_fields = self.__class__.compute_fft_fields(service, version, mode, path + ["compute_fft_fields"])
                        self.clean_up_storage_area = self.__class__.clean_up_storage_area(service, version, mode, path + ["clean_up_storage_area"])
                        self.read_asd_files = self.__class__.read_asd_files(service, version, mode, path + ["read_asd_files"])
                        super().__init__(service, version, mode, path)
                    class write_cgns_files(TUIMethod):
                        """
                        Writes surface pressure spectra in CGNS format, which can be used for one-way coupling with Ansys Mechanical in the frequency domain.
                        """
                    class compute_fft_fields(TUIMethod):
                        """
                        Computes FFT of the read pressure histories. The computed spectra replace the pressure histories in memory.
                        """
                    class clean_up_storage_area(TUIMethod):
                        """
                        De-allocates memory used to store the pressure histories and their Fourier spectra, as well as any created surface variables for the visualization.
                        """
                    class read_asd_files(TUIMethod):
                        """
                        Reads ASD files to perform FFT of the pressure history field.
                        """

                    class fft_surface_variables(TUIMenu):
                        """
                        Enters the menu to create surface variables from the computed Fourier spectra for visualization.
                        """
                        def __init__(self, service, version, mode, path):
                            self.create_constant_width_bands = self.__class__.create_constant_width_bands(service, version, mode, path + ["create_constant_width_bands"])
                            self.create_set_of_modes = self.__class__.create_set_of_modes(service, version, mode, path + ["create_set_of_modes"])
                            self.create_octave_bands = self.__class__.create_octave_bands(service, version, mode, path + ["create_octave_bands"])
                            self.remove_variables = self.__class__.remove_variables(service, version, mode, path + ["remove_variables"])
                            self.create_third_bands = self.__class__.create_third_bands(service, version, mode, path + ["create_third_bands"])
                            super().__init__(service, version, mode, path)
                        class create_constant_width_bands(TUIMethod):
                            """
                            Selects up to 20 constant width bands and creates either the surface pressures level (SPL) variables or the PSD of dp/dt variables for them.
                            """
                        class create_set_of_modes(TUIMethod):
                            """
                            Selects up to 20 individual Fourier modes and create variable pairs for them, containing the real and the imaginary parts of the complex Fourier amplitudes.
                            """
                        class create_octave_bands(TUIMethod):
                            """
                            Creates either the surface pressure level (SPL) variables or the PSD of dp/dt variables for 17 technical octaves.
                            """
                        class remove_variables(TUIMethod):
                            """
                            Removes all variables created in this menu.
                            """
                        class create_third_bands(TUIMethod):
                            """
                            Creates either the surface pressure level (SPL) variables or the PSD of dp/dt variables for 54 technical thirds.
                            """

                class far_field_parameters(TUIMenu):
                    """
                    Enters the menu to specify the far-field density and 	speed of sound. Note that this menu is currently 	available only with the acoustics wave equation model.
                    """
                    def __init__(self, service, version, mode, path):
                        self.far_field_density = self.__class__.far_field_density(service, version, mode, path + ["far_field_density"])
                        self.far_field_sound_speed = self.__class__.far_field_sound_speed(service, version, mode, path + ["far_field_sound_speed"])
                        super().__init__(service, version, mode, path)
                    class far_field_density(TUIMethod):
                        """
                        Specifies the far-field density value for the acoustics wave equation model.
                        """
                    class far_field_sound_speed(TUIMethod):
                        """
                        Specifies the far-field speed of sound value for the acoustics wave equation model.
                        """

                class sponge_layers(TUIMenu):
                    """
                    Manage sponge layers where density is blended to eliminate reflections from boundary zones.
                    """
                    def __init__(self, service, version, mode, path):
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        self.activate = self.__class__.activate(service, version, mode, path + ["activate"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.list_active = self.__class__.list_active(service, version, mode, path + ["list_active"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.deactivate = self.__class__.deactivate(service, version, mode, path + ["deactivate"])
                        super().__init__(service, version, mode, path)
                    class edit(TUIMethod):
                        """
                        Edits an existing sponge layer. You can revise the fields listed previously for the define/models/acoustics/sponge-layers/add text command.
                        """
                    class add(TUIMethod):
                        """
                        Add a new sponge layer definition.
                        """
                    class activate(TUIMethod):
                        """
                        Activate a sponge object.
                        """
                    class list_properties(TUIMethod):
                        """
                        Prints the properties of an existing sponge layer of your choice in the console.
                        """
                    class delete(TUIMethod):
                        """
                        Deletes an existing sponge layer definition.
                        """
                    class list_active(TUIMethod):
                        """
                        List the names of the active sponge layer definitions.
                        """
                    class list(TUIMethod):
                        """
                        Prints a list of the existing sponge layers in the console.
                        """
                    class deactivate(TUIMethod):
                        """
                        Deactivate a sponge layer definition.
                        """

                class wave_equation_options(TUIMenu):
                    """
                    Enters the menu to define the acoustics wave equation 	model options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.basic_shapes = self.__class__.basic_shapes(service, version, mode, path + ["basic_shapes"])
                        self.remote_receivers_options = self.__class__.remote_receivers_options(service, version, mode, path + ["remote_receivers_options"])
                        self.sponge_layer_factor = self.__class__.sponge_layer_factor(service, version, mode, path + ["sponge_layer_factor"])
                        self.remote_receivers = self.__class__.remote_receivers(service, version, mode, path + ["remote_receivers"])
                        self.time_filter_source = self.__class__.time_filter_source(service, version, mode, path + ["time_filter_source"])
                        self.source_mask_udf = self.__class__.source_mask_udf(service, version, mode, path + ["source_mask_udf"])
                        self.sponge_layer_base_level = self.__class__.sponge_layer_base_level(service, version, mode, path + ["sponge_layer_base_level"])
                        self.sponge_layer_udf = self.__class__.sponge_layer_udf(service, version, mode, path + ["sponge_layer_udf"])
                        super().__init__(service, version, mode, path)
                    class sponge_layer_factor(TUIMethod):
                        """
                        Specifies the factor of the artificial viscosity coefficient.
                        """
                    class remote_receivers(TUIMethod):
                        """
                        Enables/disables the Kirchhoff integral model.
                        """
                    class time_filter_source(TUIMethod):
                        """
                        Enables/disables a time filter for the sound source.
                        """
                    class source_mask_udf(TUIMethod):
                        """
                        Specifies the name of a user-defined function, which defines geometry of the source mask.
                        """
                    class sponge_layer_base_level(TUIMethod):
                        """
                        Specify artificial viscosity base level applied everywhere.
                        """
                    class sponge_layer_udf(TUIMethod):
                        """
                        Specifies the name of a user-defined function, which defines geometry of the sponge layer.
                        """

                    class basic_shapes(TUIMenu):
                        """
                        Enters the menu to define the geometry of the source mask and sponge layer using the basic shapes, represented by the cell registers of the type "Region".
                        """
                        def __init__(self, service, version, mode, path):
                            self.add_source_mask_shape = self.__class__.add_source_mask_shape(service, version, mode, path + ["add_source_mask_shape"])
                            self.list_region_registers = self.__class__.list_region_registers(service, version, mode, path + ["list_region_registers"])
                            self.list_sponge_layer_shapes = self.__class__.list_sponge_layer_shapes(service, version, mode, path + ["list_sponge_layer_shapes"])
                            self.remove_source_mask_shape = self.__class__.remove_source_mask_shape(service, version, mode, path + ["remove_source_mask_shape"])
                            self.add_sponge_layer_shape = self.__class__.add_sponge_layer_shape(service, version, mode, path + ["add_sponge_layer_shape"])
                            self.remove_sponge_layer_shape = self.__class__.remove_sponge_layer_shape(service, version, mode, path + ["remove_sponge_layer_shape"])
                            self.list_source_mask_shapes = self.__class__.list_source_mask_shapes(service, version, mode, path + ["list_source_mask_shapes"])
                            super().__init__(service, version, mode, path)
                        class add_source_mask_shape(TUIMethod):
                            """
                            Adds a basic shape to the definition of the source mask geometry.
                            """
                        class list_region_registers(TUIMethod):
                            """
                            List all available cell registers of the type "Region".
                            """
                        class list_sponge_layer_shapes(TUIMethod):
                            """
                            List basic shapes, which are currently used in the definition of the sponge layer geometry.
                            """
                        class remove_source_mask_shape(TUIMethod):
                            """
                            Remove a basic shape from the definition of the source mask geometry.
                            """
                        class add_sponge_layer_shape(TUIMethod):
                            """
                            Adds a basic shape to the definition of the sponge layer geometry.
                            """
                        class remove_sponge_layer_shape(TUIMethod):
                            """
                            Remove a basic shape from the definition of the sponge layer geometry.
                            """
                        class list_source_mask_shapes(TUIMethod):
                            """
                            List basic shapes, which are currently used in the definition of the source mask geometry.
                            """

                    class remote_receivers_options(TUIMenu):
                        """
                        Enters the menu to define remote receivers for the Kirchhoff integral model.
                        """
                        def __init__(self, service, version, mode, path):
                            self.integration_surface = self.__class__.integration_surface(service, version, mode, path + ["integration_surface"])
                            self.write_signals = self.__class__.write_signals(service, version, mode, path + ["write_signals"])
                            super().__init__(service, version, mode, path)
                        class integration_surface(TUIMethod):
                            """
                            Selects the integration surface for the Kirchhoff model.
                            """
                        class write_signals(TUIMethod):
                            """
                            Writes the computed receiver signals to the ASCII files.
                            """

            class soot_parameters(TUIMenu):
                """
                Enters the soot parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.soot_radiation_interaction = self.__class__.soot_radiation_interaction(service, version, mode, path + ["soot_radiation_interaction"])
                    self.soot_model_udfs = self.__class__.soot_model_udfs(service, version, mode, path + ["soot_model_udfs"])
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    self.soot_model_parameters = self.__class__.soot_model_parameters(service, version, mode, path + ["soot_model_parameters"])
                    self.soot_process_parameters = self.__class__.soot_process_parameters(service, version, mode, path + ["soot_process_parameters"])
                    self.modify_schmidt_number = self.__class__.modify_schmidt_number(service, version, mode, path + ["modify_schmidt_number"])
                    self.soot_turbulence_interaction = self.__class__.soot_turbulence_interaction(service, version, mode, path + ["soot_turbulence_interaction"])
                    super().__init__(service, version, mode, path)
                class soot_radiation_interaction(TUIMethod):
                    """
                    Enables/disables the soot-radiation interaction model.
                    """
                class soot_model_udfs(TUIMethod):
                    """
                    User defined functions for soot model.
                    """
                class inlet_diffusion(TUIMethod):
                    """
                    Enables/disables inclusion of diffusion at inlets.
                    """
                class soot_model_parameters(TUIMethod):
                    """
                    Selects soot model parameters.
                    """
                class soot_process_parameters(TUIMethod):
                    """
                    Selects soot process parameters.
                    """
                class modify_schmidt_number(TUIMethod):
                    """
                    Changes the turbulent Schmidt number for soot/nuclei equations.
                    """
                class soot_turbulence_interaction(TUIMethod):
                    """
                    Sets soot-turbulence interaction model.
                    """

            class dpm(TUIMenu):
                """
                Enters the dispersed phase model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.stripping_options = self.__class__.stripping_options(service, version, mode, path + ["stripping_options"])
                    self.interaction = self.__class__.interaction(service, version, mode, path + ["interaction"])
                    self.collisions = self.__class__.collisions(service, version, mode, path + ["collisions"])
                    self.options = self.__class__.options(service, version, mode, path + ["options"])
                    self.erosion_dynamic_mesh = self.__class__.erosion_dynamic_mesh(service, version, mode, path + ["erosion_dynamic_mesh"])
                    self.parallel = self.__class__.parallel(service, version, mode, path + ["parallel"])
                    self.splash_options = self.__class__.splash_options(service, version, mode, path + ["splash_options"])
                    self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                    self.clear_particles_from_domain = self.__class__.clear_particles_from_domain(service, version, mode, path + ["clear_particles_from_domain"])
                    self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
                    self.fill_injection_material_sources = self.__class__.fill_injection_material_sources(service, version, mode, path + ["fill_injection_material_sources"])
                    self.spray_model = self.__class__.spray_model(service, version, mode, path + ["spray_model"])
                    self.unsteady_tracking = self.__class__.unsteady_tracking(service, version, mode, path + ["unsteady_tracking"])
                    self.injections = self.__class__.injections(service, version, mode, path + ["injections"])
                    super().__init__(service, version, mode, path)
                class clear_particles_from_domain(TUIMethod):
                    """
                    Removes/keeps all particles currently in the domain.
                    """
                class user_defined(TUIMethod):
                    """
                    Sets DPM user-defined functions.
                    """
                class fill_injection_material_sources(TUIMethod):
                    """
                    Initialize the DPM sources corresponding to each material.
                    """
                class spray_model(TUIMethod):
                    """
                    Enters the spray model menu. This command is available only if the breakup model 	enabled globally.
                    """
                class unsteady_tracking(TUIMethod):
                    """
                    Enables/disables unsteady particle tracking.
                    """
                class injections(TUIMethod):
                    """
                    Enters the injections menu.
                    """

                class stripping_options(TUIMenu):
                    """
                    Enters the stripping options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mass_coefficient = self.__class__.mass_coefficient(service, version, mode, path + ["mass_coefficient"])
                        self.diameter_coefficient = self.__class__.diameter_coefficient(service, version, mode, path + ["diameter_coefficient"])
                        super().__init__(service, version, mode, path)
                    class mass_coefficient(TUIMethod):
                        """
                        Sets the mass coefficient (  in  in the Theory Guide).
                        """
                    class diameter_coefficient(TUIMethod):
                        """
                        Sets the diameter coefficient (  in  in the Theory Guide).
                        """

                class interaction(TUIMenu):
                    """
                    Sets parameters for coupled discrete phase calculations.
                    """
                    def __init__(self, service, version, mode, path):
                        self.second_order_time_accurate_sources_enabled = self.__class__.second_order_time_accurate_sources_enabled(service, version, mode, path + ["second_order_time_accurate_sources_enabled"])
                        self.linearized_dpm_source_terms_limiter = self.__class__.linearized_dpm_source_terms_limiter(service, version, mode, path + ["linearized_dpm_source_terms_limiter"])
                        self.update_dpm_sources_every_flow_iteration = self.__class__.update_dpm_sources_every_flow_iteration(service, version, mode, path + ["update_dpm_sources_every_flow_iteration"])
                        self.linearized_dpm_species_source_terms = self.__class__.linearized_dpm_species_source_terms(service, version, mode, path + ["linearized_dpm_species_source_terms"])
                        self.underrelaxation_factor = self.__class__.underrelaxation_factor(service, version, mode, path + ["underrelaxation_factor"])
                        self.ddpm_enhanced_inter_phase_exchange = self.__class__.ddpm_enhanced_inter_phase_exchange(service, version, mode, path + ["ddpm_enhanced_inter_phase_exchange"])
                        self.dpm_iteration_interval = self.__class__.dpm_iteration_interval(service, version, mode, path + ["dpm_iteration_interval"])
                        self.linearized_dpm_source_terms = self.__class__.linearized_dpm_source_terms(service, version, mode, path + ["linearized_dpm_source_terms"])
                        self.ddpm_energy_coupling_via_source_term = self.__class__.ddpm_energy_coupling_via_source_term(service, version, mode, path + ["ddpm_energy_coupling_via_source_term"])
                        self.keep_linearized_dpm_source_terms_constant = self.__class__.keep_linearized_dpm_source_terms_constant(service, version, mode, path + ["keep_linearized_dpm_source_terms_constant"])
                        self.linear_growth_of_dpm_source_term = self.__class__.linear_growth_of_dpm_source_term(service, version, mode, path + ["linear_growth_of_dpm_source_term"])
                        self.reset_sources_at_timestep = self.__class__.reset_sources_at_timestep(service, version, mode, path + ["reset_sources_at_timestep"])
                        self.linearized_dpm_mixture_fraction_source_terms = self.__class__.linearized_dpm_mixture_fraction_source_terms(service, version, mode, path + ["linearized_dpm_mixture_fraction_source_terms"])
                        self.choice_of_eulerian_phase_for_interaction = self.__class__.choice_of_eulerian_phase_for_interaction(service, version, mode, path + ["choice_of_eulerian_phase_for_interaction"])
                        self.ddpm_iad_particle = self.__class__.ddpm_iad_particle(service, version, mode, path + ["ddpm_iad_particle"])
                        self.replace_dpm_mass_source_by_mixture_fraction = self.__class__.replace_dpm_mass_source_by_mixture_fraction(service, version, mode, path + ["replace_dpm_mass_source_by_mixture_fraction"])
                        self.enhanced_source_term_linearization_enabled = self.__class__.enhanced_source_term_linearization_enabled(service, version, mode, path + ["enhanced_source_term_linearization_enabled"])
                        self.enable_mom_source_scaling_due_to_flow_blocking = self.__class__.enable_mom_source_scaling_due_to_flow_blocking(service, version, mode, path + ["enable_mom_source_scaling_due_to_flow_blocking"])
                        self.implicit_source_term_coupling = self.__class__.implicit_source_term_coupling(service, version, mode, path + ["implicit_source_term_coupling"])
                        self.max_vf_allowed_for_blocking = self.__class__.max_vf_allowed_for_blocking(service, version, mode, path + ["max_vf_allowed_for_blocking"])
                        self.enable_drag_scaling_due_to_flow_blocking = self.__class__.enable_drag_scaling_due_to_flow_blocking(service, version, mode, path + ["enable_drag_scaling_due_to_flow_blocking"])
                        self.enable_flow_blocking_by_particles = self.__class__.enable_flow_blocking_by_particles(service, version, mode, path + ["enable_flow_blocking_by_particles"])
                        self.coupled_calculations = self.__class__.coupled_calculations(service, version, mode, path + ["coupled_calculations"])
                        self.enable_source_scaling_due_to_flow_blocking = self.__class__.enable_source_scaling_due_to_flow_blocking(service, version, mode, path + ["enable_source_scaling_due_to_flow_blocking"])
                        self.min_vf_threshold_for_dpm_src_scaling = self.__class__.min_vf_threshold_for_dpm_src_scaling(service, version, mode, path + ["min_vf_threshold_for_dpm_src_scaling"])
                        self.implicit_momentum_coupling = self.__class__.implicit_momentum_coupling(service, version, mode, path + ["implicit_momentum_coupling"])
                        self.enable_other_source_scaling_due_to_flow_blocking = self.__class__.enable_other_source_scaling_due_to_flow_blocking(service, version, mode, path + ["enable_other_source_scaling_due_to_flow_blocking"])
                        super().__init__(service, version, mode, path)
                    class second_order_time_accurate_sources_enabled(TUIMethod):
                        """
                        .
                        """
                    class linearized_dpm_source_terms_limiter(TUIMethod):
                        """
                        .
                        """
                    class update_dpm_sources_every_flow_iteration(TUIMethod):
                        """
                        Enables/disables the update of DPM source terms every flow iteration (if this option is not enabled, the terms will be updated every DPM iteration).
                        """
                    class linearized_dpm_species_source_terms(TUIMethod):
                        """
                        Perform linearization of species source terms.
                        """
                    class underrelaxation_factor(TUIMethod):
                        """
                        Sets the under-relaxation factor for the discrete phase sources.
                        """
                    class ddpm_enhanced_inter_phase_exchange(TUIMethod):
                        """
                        Enhanced Eulerian inter-phase exchange.
                        """
                    class dpm_iteration_interval(TUIMethod):
                        """
                        Sets the frequency with which the particle trajectory calculations are introduced.
                        """
                    class linearized_dpm_source_terms(TUIMethod):
                        """
                        Enables/disables linearization of source terms for the discrete phase.
                        """
                    class ddpm_energy_coupling_via_source_term(TUIMethod):
                        """
                        Energy coupling in DDPM established via source term.
                        """
                    class keep_linearized_dpm_source_terms_constant(TUIMethod):
                        """
                        .
                        """
                    class linear_growth_of_dpm_source_term(TUIMethod):
                        """
                        Enables/disables the linear ramping up of the DPM source terms at every DPM iteration.
                        """
                    class reset_sources_at_timestep(TUIMethod):
                        """
                        Enables/disables flush of DPM source terms at beginning of every time step.
                        """
                    class linearized_dpm_mixture_fraction_source_terms(TUIMethod):
                        """
                        Enables/disables linearization of mixture fraction source terms. This command is available only for non- or partially-premixed combustion cases.
                        """
                    class choice_of_eulerian_phase_for_interaction(TUIMethod):
                        """
                        Enable/disable the option to choose for every injection the Eulerian phase for the DPM continuous phase interaction.
                        """
                    class ddpm_iad_particle(TUIMethod):
                        """
                        Enable/disable the non-default interfacial area method IA-particle.
                        """
                    class replace_dpm_mass_source_by_mixture_fraction(TUIMethod):
                        """
                        When enabled, recalculates the mixture fraction source terms as a function of the primary mixture fraction. This command is available for non- or partially-premixed combustion cases only.
                        """
                    class enhanced_source_term_linearization_enabled(TUIMethod):
                        """
                        .
                        """
                    class enable_mom_source_scaling_due_to_flow_blocking(TUIMethod):
                        """
                        .
                        """
                    class implicit_source_term_coupling(TUIMethod):
                        """
                        Enables/disables implicit treatment for all DPM source terms.
                        """
                    class max_vf_allowed_for_blocking(TUIMethod):
                        """
                        .
                        """
                    class enable_drag_scaling_due_to_flow_blocking(TUIMethod):
                        """
                        .
                        """
                    class enable_flow_blocking_by_particles(TUIMethod):
                        """
                        .
                        """
                    class coupled_calculations(TUIMethod):
                        """
                        Selects whether or not to couple continuous and discrete phase calculations.
                        """
                    class enable_source_scaling_due_to_flow_blocking(TUIMethod):
                        """
                        Enable/disable scaling of DPM source terms due to inclusion of DPM volume fraction in continuous flow.
                        """
                    class min_vf_threshold_for_dpm_src_scaling(TUIMethod):
                        """
                        Minimum DPM volume fraction below which no DPM source scaling is applied.
                        """
                    class implicit_momentum_coupling(TUIMethod):
                        """
                        Enables/disables implicit treatment for the DPM momentum source terms.
                        """
                    class enable_other_source_scaling_due_to_flow_blocking(TUIMethod):
                        """
                        .
                        """

                class collisions(TUIMenu):
                    """
                    Enters the DEM collisions menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.collision_partners = self.__class__.collision_partners(service, version, mode, path + ["collision_partners"])
                        self.max_particle_velocity = self.__class__.max_particle_velocity(service, version, mode, path + ["max_particle_velocity"])
                        self.dem_collisions = self.__class__.dem_collisions(service, version, mode, path + ["dem_collisions"])
                        self.list_all_pair_settings = self.__class__.list_all_pair_settings(service, version, mode, path + ["list_all_pair_settings"])
                        self.collision_mesh = self.__class__.collision_mesh(service, version, mode, path + ["collision_mesh"])
                        self.collision_pair_settings = self.__class__.collision_pair_settings(service, version, mode, path + ["collision_pair_settings"])
                        super().__init__(service, version, mode, path)
                    class max_particle_velocity(TUIMethod):
                        """
                        Sets the maximum particle velocity that may arise from collisions.
                        """
                    class dem_collisions(TUIMethod):
                        """
                        Enables/disables the DEM collision model.
                        """
                    class list_all_pair_settings(TUIMethod):
                        """
                        For each pair of collision partners, lists the collision laws and their parameters.
                        """
                    class collision_mesh(TUIMethod):
                        """
                        Input for the collision mesh.
                        """
                    class collision_pair_settings(TUIMethod):
                        """
                        Supplies settings for collisions to a pair of collision partners. You will be prompted to specify theImpact collision partner and the Target collision partner.
                        """

                    class collision_partners(TUIMenu):
                        """
                        Manages collision partners.
                        """
                        def __init__(self, service, version, mode, path):
                            self.create = self.__class__.create(service, version, mode, path + ["create"])
                            self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            super().__init__(service, version, mode, path)
                        class create(TUIMethod):
                            """
                            Creates a collision partner.
                            """
                        class copy(TUIMethod):
                            """
                            Copies a collision partner.
                            """
                        class list(TUIMethod):
                            """
                            Lists all known collision partners.
                            """
                        class rename(TUIMethod):
                            """
                            Renames a collision partner.
                            """
                        class delete(TUIMethod):
                            """
                            Deletes a collision partner.
                            """

                class options(TUIMenu):
                    """
                    Enters the options menu to set optional models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.stagger_spatially_atomizer_injections = self.__class__.stagger_spatially_atomizer_injections(service, version, mode, path + ["stagger_spatially_atomizer_injections"])
                        self.film_movement = self.__class__.film_movement(service, version, mode, path + ["film_movement"])
                        self.two_way_coupling = self.__class__.two_way_coupling(service, version, mode, path + ["two_way_coupling"])
                        self.allow_supercritical_pressure_vaporization = self.__class__.allow_supercritical_pressure_vaporization(service, version, mode, path + ["allow_supercritical_pressure_vaporization"])
                        self.thermophoretic_force = self.__class__.thermophoretic_force(service, version, mode, path + ["thermophoretic_force"])
                        self.staggering_factor = self.__class__.staggering_factor(service, version, mode, path + ["staggering_factor"])
                        self.scr_urea_deposition_risk_analysis = self.__class__.scr_urea_deposition_risk_analysis(service, version, mode, path + ["scr_urea_deposition_risk_analysis"])
                        self.stagger_radius = self.__class__.stagger_radius(service, version, mode, path + ["stagger_radius"])
                        self.init_erosion_accretion_rate = self.__class__.init_erosion_accretion_rate(service, version, mode, path + ["init_erosion_accretion_rate"])
                        self.include_lwf_particles_in_dpm_concentration = self.__class__.include_lwf_particles_in_dpm_concentration(service, version, mode, path + ["include_lwf_particles_in_dpm_concentration"])
                        self.use_absolute_pressure_for_vaporization = self.__class__.use_absolute_pressure_for_vaporization(service, version, mode, path + ["use_absolute_pressure_for_vaporization"])
                        self.ensemble_average = self.__class__.ensemble_average(service, version, mode, path + ["ensemble_average"])
                        self.uniform_mass_distribution_for_injections = self.__class__.uniform_mass_distribution_for_injections(service, version, mode, path + ["uniform_mass_distribution_for_injections"])
                        self.treat_multicomponent_saturation_temperature_failure = self.__class__.treat_multicomponent_saturation_temperature_failure(service, version, mode, path + ["treat_multicomponent_saturation_temperature_failure"])
                        self.saffman_lift_force = self.__class__.saffman_lift_force(service, version, mode, path + ["saffman_lift_force"])
                        self.set_thermolysis_limit = self.__class__.set_thermolysis_limit(service, version, mode, path + ["set_thermolysis_limit"])
                        self.step_report_sig_figures = self.__class__.step_report_sig_figures(service, version, mode, path + ["step_report_sig_figures"])
                        self.current_positions_in_sample_file_format = self.__class__.current_positions_in_sample_file_format(service, version, mode, path + ["current_positions_in_sample_file_format"])
                        self.brownian_motion = self.__class__.brownian_motion(service, version, mode, path + ["brownian_motion"])
                        self.pressure_gradient_force = self.__class__.pressure_gradient_force(service, version, mode, path + ["pressure_gradient_force"])
                        self.track_in_absolute_frame = self.__class__.track_in_absolute_frame(service, version, mode, path + ["track_in_absolute_frame"])
                        self.stagger_temporally = self.__class__.stagger_temporally(service, version, mode, path + ["stagger_temporally"])
                        self.maximum_udf_species = self.__class__.maximum_udf_species(service, version, mode, path + ["maximum_udf_species"])
                        self.vaporization_options = self.__class__.vaporization_options(service, version, mode, path + ["vaporization_options"])
                        self.convective_film_heat_transfer = self.__class__.convective_film_heat_transfer(service, version, mode, path + ["convective_film_heat_transfer"])
                        self.set_minimum_particle_diameter = self.__class__.set_minimum_particle_diameter(service, version, mode, path + ["set_minimum_particle_diameter"])
                        self.particle_radiation = self.__class__.particle_radiation(service, version, mode, path + ["particle_radiation"])
                        self.stagger_spatially_standard_injections = self.__class__.stagger_spatially_standard_injections(service, version, mode, path + ["stagger_spatially_standard_injections"])
                        self.virtual_mass_force = self.__class__.virtual_mass_force(service, version, mode, path + ["virtual_mass_force"])
                        self.vaporization_heat_transfer_averaging = self.__class__.vaporization_heat_transfer_averaging(service, version, mode, path + ["vaporization_heat_transfer_averaging"])
                        self.erosion_accretion = self.__class__.erosion_accretion(service, version, mode, path + ["erosion_accretion"])
                        self.remove_wall_film_temperature_limiter = self.__class__.remove_wall_film_temperature_limiter(service, version, mode, path + ["remove_wall_film_temperature_limiter"])
                        self.lowest_volatiles_mass_fraction = self.__class__.lowest_volatiles_mass_fraction(service, version, mode, path + ["lowest_volatiles_mass_fraction"])
                        self.enable_contour_plots = self.__class__.enable_contour_plots(service, version, mode, path + ["enable_contour_plots"])
                        super().__init__(service, version, mode, path)
                    class stagger_spatially_atomizer_injections(TUIMethod):
                        """
                        Enables/disables spatial staggering for atomizer and solid-cone injections.
                        """
                    class film_movement(TUIMethod):
                        """
                        .
                        """
                    class two_way_coupling(TUIMethod):
                        """
                        Enables/disables calculation of DPM sources in TKE equation.
                        """
                    class allow_supercritical_pressure_vaporization(TUIMethod):
                        """
                        Enforces the switching from vaporization to boiling even if the boiling point is not calculated from the vapor pressure data. If the pressure in your model is above critical you must retain the default setting (yes). This options is available only if whenPressure Dependent Boiling is enabled in the Physical Models tab of the Discrete Phase Models dialog box. For more details, see .
                        """
                    class thermophoretic_force(TUIMethod):
                        """
                        Enables/disables thermophoretic force.
                        """
                    class staggering_factor(TUIMethod):
                        """
                        S.
                        """
                    class scr_urea_deposition_risk_analysis(TUIMethod):
                        """
                        Enters the menu for setting up the risk for solids deposit formation for the Selective Catalytic Reduction (SCR) process. For more information, see .
                        """
                    class stagger_radius(TUIMethod):
                        """
                        Specifies the region over which to spatially stagger particles when particle-staggering is enabled for non-atomizer injections.
                        """
                    class init_erosion_accretion_rate(TUIMethod):
                        """
                        Initializes the erosion/accretion rates with zero.
                        """
                    class include_lwf_particles_in_dpm_concentration(TUIMethod):
                        """
                        .
                        """
                    class use_absolute_pressure_for_vaporization(TUIMethod):
                        """
                        Determines whether the absolute pressure or constant operating pressure (specified in define/operating-conditions/operating-pressure) will be used in vaporization rates calculations.
                        """
                    class ensemble_average(TUIMethod):
                        """
                        Ensembles average cloud properties.
                        """
                    class uniform_mass_distribution_for_injections(TUIMethod):
                        """
                        Specifies a uniform distribution of mass over the cross-section of solid cone and atomizer injections. This can become important when the mesh is smaller than the diameter (or another characteristic size) of the injection.
                        """
                    class treat_multicomponent_saturation_temperature_failure(TUIMethod):
                        """
                        Enables/disables dumping multicomponent particle mass into the continuous phase if the saturation temperature calculation fails.
                        """
                    class saffman_lift_force(TUIMethod):
                        """
                        Enables/disables Saffman lift force.
                        """
                    class set_thermolysis_limit(TUIMethod):
                        """
                        Sets the limit for the thermolysis model.
                        """
                    class step_report_sig_figures(TUIMethod):
                        """
                        Sets significant figures in the step-by-step report.
                        """
                    class current_positions_in_sample_file_format(TUIMethod):
                        """
                        When enabled, generates a file containing particle current positions (step-by-step history report for unsteady tracking) in the sampling file format.
                        """
                    class brownian_motion(TUIMethod):
                        """
                        Enables/disables Brownian motion of particles.
                        """
                    class pressure_gradient_force(TUIMethod):
                        """
                        Enables/disables inclusion of pressure gradient effects in the particle force balance.
                        """
                    class track_in_absolute_frame(TUIMethod):
                        """
                        Enables/disables tracking in absolute frame.
                        """
                    class stagger_temporally(TUIMethod):
                        """
                        Enables/disables temporal staggering.
                        """
                    class maximum_udf_species(TUIMethod):
                        """
                        Specifies the maximum number of species that will be accessible from discrete phase model UDFs. Only species with indices up to this value are accessible in discrete phase model UDFs.
                        """
                    class vaporization_options(TUIMethod):
                        """
                        Sets Vaporization options.
                        """
                    class convective_film_heat_transfer(TUIMethod):
                        """
                        Enable/disable convection/conduction film to wall heat transfer model.
                        """
                    class set_minimum_particle_diameter(TUIMethod):
                        """
                        Set the minimum particle diameter.
                        """
                    class particle_radiation(TUIMethod):
                        """
                        Enables/disables particle radiation.
                        """
                    class stagger_spatially_standard_injections(TUIMethod):
                        """
                        Enables/disables spatial staggering for standard (non-atomizer and non-solid-cone) injections.
                        """
                    class virtual_mass_force(TUIMethod):
                        """
                        Enables/disables inclusion of the virtual mass force in the particle force balance.
                        """
                    class vaporization_heat_transfer_averaging(TUIMethod):
                        """
                        Enables averaging of the Spalding heat transfer term for the convection/diffusion-controlled model.
                        """
                    class erosion_accretion(TUIMethod):
                        """
                        Enables/disables erosion/accretion.
                        """
                    class remove_wall_film_temperature_limiter(TUIMethod):
                        """
                        Answering yes at the prompt removes the wall temperature limiter for Lagrangian wall-film walls. If you enter no (default), two additional prompts will appear in the console allowing you to define the temperature difference above the boiling point and to enable/disable the reporting of the Leidenfrost temperature on the wall faces.
                        """
                    class lowest_volatiles_mass_fraction(TUIMethod):
                        """
                        Set the lowest volatiles mass fraction.
                        """
                    class enable_contour_plots(TUIMethod):
                        """
                        Enables computation of mean and/or RMS values of additional discrete phase variables for postprocessing.
                        """

                class erosion_dynamic_mesh(TUIMenu):
                    """
                    Enters the menu to enable/configure/run the erosion-dynamic mesh interaction.
                    """
                    def __init__(self, service, version, mode, path):
                        self.run_parameters = self.__class__.run_parameters(service, version, mode, path + ["run_parameters"])
                        self.general_parameters = self.__class__.general_parameters(service, version, mode, path + ["general_parameters"])
                        self.enable_erosion_dynamic_mesh_coupling = self.__class__.enable_erosion_dynamic_mesh_coupling(service, version, mode, path + ["enable_erosion_dynamic_mesh_coupling"])
                        self.run_simulation = self.__class__.run_simulation(service, version, mode, path + ["run_simulation"])
                        super().__init__(service, version, mode, path)
                    class enable_erosion_dynamic_mesh_coupling(TUIMethod):
                        """
                        Enables mesh deformation due to wall erosion.
                        """
                    class run_simulation(TUIMethod):
                        """
                        Performs a coupled erosion-dynamic mesh simulation.
                        """

                    class run_parameters(TUIMenu):
                        """
                        Manages erosion-dynamic mesh run settings.
                        """
                        def __init__(self, service, version, mode, path):
                            self.flow_simulation_control = self.__class__.flow_simulation_control(service, version, mode, path + ["flow_simulation_control"])
                            self.autosave_graphics = self.__class__.autosave_graphics(service, version, mode, path + ["autosave_graphics"])
                            self.mesh_motion_time_step = self.__class__.mesh_motion_time_step(service, version, mode, path + ["mesh_motion_time_step"])
                            self.autosave_files = self.__class__.autosave_files(service, version, mode, path + ["autosave_files"])
                            self.simulation_termination = self.__class__.simulation_termination(service, version, mode, path + ["simulation_termination"])
                            super().__init__(service, version, mode, path)
                        class flow_simulation_control(TUIMethod):
                            """
                            Sets the number of iterations per flow simulation step.
                            """
                        class autosave_graphics(TUIMethod):
                            """
                            Sets the iteration increment to save graphics files.
                            """
                        class mesh_motion_time_step(TUIMethod):
                            """
                            Sets the mesh motion time stepping parameters and method.
                            """
                        class autosave_files(TUIMethod):
                            """
                            Sets the iteration increment and filename to save data files.
                            """
                        class simulation_termination(TUIMethod):
                            """
                            Sets the total time of erosion.
                            """

                    class general_parameters(TUIMenu):
                        """
                        Enters the menu for setting erosion coupling with dynamic mesh.
                        """
                        def __init__(self, service, version, mode, path):
                            self.dynamic_mesh_settings = self.__class__.dynamic_mesh_settings(service, version, mode, path + ["dynamic_mesh_settings"])
                            self.participating_walls = self.__class__.participating_walls(service, version, mode, path + ["participating_walls"])
                            self.erosion_settings = self.__class__.erosion_settings(service, version, mode, path + ["erosion_settings"])
                            super().__init__(service, version, mode, path)
                        class dynamic_mesh_settings(TUIMethod):
                            """
                            Sets parameters for dynamic mesh calculations.
                            """
                        class participating_walls(TUIMethod):
                            """
                            Specifies all participating walls.
                            """
                        class erosion_settings(TUIMethod):
                            """
                            Sets parameters for erosion calculations.
                            """

                class parallel(TUIMenu):
                    """
                    Enters the parallel menu to set parameters for parallel DPM calculations.
                    """
                    def __init__(self, service, version, mode, path):
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.hybrid_collision_variant = self.__class__.hybrid_collision_variant(service, version, mode, path + ["hybrid_collision_variant"])
                        self.n_threads = self.__class__.n_threads(service, version, mode, path + ["n_threads"])
                        self.enable_workpile = self.__class__.enable_workpile(service, version, mode, path + ["enable_workpile"])
                        self.fix_source_term_accumulation_order = self.__class__.fix_source_term_accumulation_order(service, version, mode, path + ["fix_source_term_accumulation_order"])
                        self.report = self.__class__.report(service, version, mode, path + ["report"])
                        self.use_shared_memory = self.__class__.use_shared_memory(service, version, mode, path + ["use_shared_memory"])
                        self.hybrid_workpile = self.__class__.hybrid_workpile(service, version, mode, path + ["hybrid_workpile"])
                        self.hybrid_collision_unidirectional = self.__class__.hybrid_collision_unidirectional(service, version, mode, path + ["hybrid_collision_unidirectional"])
                        self.use_hybrid = self.__class__.use_hybrid(service, version, mode, path + ["use_hybrid"])
                        self.hybrid_collision_model = self.__class__.hybrid_collision_model(service, version, mode, path + ["hybrid_collision_model"])
                        self.hybrid_2domain = self.__class__.hybrid_2domain(service, version, mode, path + ["hybrid_2domain"])
                        self.use_message_passing = self.__class__.use_message_passing(service, version, mode, path + ["use_message_passing"])
                        super().__init__(service, version, mode, path)
                    class hybrid_collision_variant(TUIMethod):
                        """
                        Further reduce the residual risk of dead-locks in the experimental feature that
                        allows 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """
                    class n_threads(TUIMethod):
                        """
                        Sets the number of processors to use for DPM. This option is only available when the define/models/dpm/parallel/enable-workpile? option is enabled.
                        """
                    class enable_workpile(TUIMethod):
                        """
                        Turns on/off particle workpile algorithm. This option is only available when the define/models/dpm/parallel/use-shared-memory option is selected.
                        """
                    class fix_source_term_accumulation_order(TUIMethod):
                        """
                        .
                        """
                    class report(TUIMethod):
                        """
                        Prints particle workpile statistics. This option is only available when the define/models/dpm/parallel/enable-workpile? option is enabled.
                        """
                    class use_shared_memory(TUIMethod):
                        """
                        Specifies that the calculations are performed on shared-memory multiprocessor machines.
                        """
                    class hybrid_workpile(TUIMethod):
                        """
                        Optimize multi-thread load balancing within each partition in hybrid-parallel DPM tracking.
                        """
                    class hybrid_collision_unidirectional(TUIMethod):
                        """
                        A faster, yet potentially somewhat less accurate, modification to the beta feature
                        that allows 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """
                    class use_hybrid(TUIMethod):
                        """
                        Specifies that the calculations are performed using multicore cluster computing or shared-memory machines. This option works in conjunction withopenmpi for a dynamic load balancing without migration of cells.
                        """
                    class hybrid_collision_model(TUIMethod):
                        """
                        An EXPERIMENTAL feature to allow 'hybrid' DPM parallel tracking with the collision / coalescence model.
                        """
                    class hybrid_2domain(TUIMethod):
                        """
                        Enables/disables the use of a second domain for DPM particle tracking.
                        """
                    class use_message_passing(TUIMethod):
                        """
                        Specifies that the calculations are performed using cluster computing or shared-memory machines. With this option, the compute node processes themselves perform the particle work on their local partitions and particle migration to other compute nodes is implemented using message passing primitives.
                        """

                    class expert(TUIMenu):
                        """
                        Enters the menu for expert DPM parallel text commands.
                        """
                        def __init__(self, service, version, mode, path):
                            self.partition_method_hybrid_2domain = self.__class__.partition_method_hybrid_2domain(service, version, mode, path + ["partition_method_hybrid_2domain"])
                            super().__init__(service, version, mode, path)
                        class partition_method_hybrid_2domain(TUIMethod):
                            """
                            Enables/disables a partitioning method that is more granular and can yield faster calculations (especially for cases that are running on a low to moderate number of processors). This partitioning method is only applied when you use the DPM domain for the hybrid parallel DPM tracking mode (that is, when you have enabled the define/models/dpm/parallel/hybrid-2domain? text command).
                            """

                class splash_options(TUIMenu):
                    """
                    Enters the splash option menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.splash_pdf_limiting = self.__class__.splash_pdf_limiting(service, version, mode, path + ["splash_pdf_limiting"])
                        self.orourke_splash_fraction = self.__class__.orourke_splash_fraction(service, version, mode, path + ["orourke_splash_fraction"])
                        super().__init__(service, version, mode, path)
                    class splash_pdf_limiting(TUIMethod):
                        """
                        Sets the splash pdf limiting method. Available methods are: the splash pdf tail limiting (default for the LWF model) and the splash pdf peak limiting (default for the EWF model). For the splash pdf peak limiting, you will be prompted to specify the peak limiting value.
                        """
                    class orourke_splash_fraction(TUIMethod):
                        """
                        Enables/disables the O’Rourke formulation (default for the Lagrangian Wall Film (LWF) model). If the O’Rourke formulation is disabled, the Stanton formulation (default for the Eulerian Wall Film (EWF) model) is used in a simulation.
                        """

                class numerics(TUIMenu):
                    """
                    Enters the numerics menu to set numerical solution parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.high_resolution_tracking = self.__class__.high_resolution_tracking(service, version, mode, path + ["high_resolution_tracking"])
                        self.dynamic_interaction = self.__class__.dynamic_interaction(service, version, mode, path + ["dynamic_interaction"])
                        self.enable_node_based_averaging = self.__class__.enable_node_based_averaging(service, version, mode, path + ["enable_node_based_averaging"])
                        self.gaussian_factor = self.__class__.gaussian_factor(service, version, mode, path + ["gaussian_factor"])
                        self.underrelax_film_height = self.__class__.underrelax_film_height(service, version, mode, path + ["underrelax_film_height"])
                        self.re_randomize_every_timestep = self.__class__.re_randomize_every_timestep(service, version, mode, path + ["re_randomize_every_timestep"])
                        self.coupled_heat_mass_update = self.__class__.coupled_heat_mass_update(service, version, mode, path + ["coupled_heat_mass_update"])
                        self.error_control = self.__class__.error_control(service, version, mode, path + ["error_control"])
                        self.vaporization_limiting_factors = self.__class__.vaporization_limiting_factors(service, version, mode, path + ["vaporization_limiting_factors"])
                        self.average_source_terms = self.__class__.average_source_terms(service, version, mode, path + ["average_source_terms"])
                        self.mppic_settings = self.__class__.mppic_settings(service, version, mode, path + ["mppic_settings"])
                        self.tracking_scheme = self.__class__.tracking_scheme(service, version, mode, path + ["tracking_scheme"])
                        self.predictor_corrector = self.__class__.predictor_corrector(service, version, mode, path + ["predictor_corrector"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.limit_granular_forces = self.__class__.limit_granular_forces(service, version, mode, path + ["limit_granular_forces"])
                        self.packed_region_detection_enabled = self.__class__.packed_region_detection_enabled(service, version, mode, path + ["packed_region_detection_enabled"])
                        self.average_kernel = self.__class__.average_kernel(service, version, mode, path + ["average_kernel"])
                        self.minimum_liquid_fraction = self.__class__.minimum_liquid_fraction(service, version, mode, path + ["minimum_liquid_fraction"])
                        self.re_randomize_every_iteration = self.__class__.re_randomize_every_iteration(service, version, mode, path + ["re_randomize_every_iteration"])
                        self.enhanced_packing_limit_numerics = self.__class__.enhanced_packing_limit_numerics(service, version, mode, path + ["enhanced_packing_limit_numerics"])
                        self.average_each_step = self.__class__.average_each_step(service, version, mode, path + ["average_each_step"])
                        self.tracking_parameters = self.__class__.tracking_parameters(service, version, mode, path + ["tracking_parameters"])
                        self.drag_law = self.__class__.drag_law(service, version, mode, path + ["drag_law"])
                        self.granular_stress_tensor = self.__class__.granular_stress_tensor(service, version, mode, path + ["granular_stress_tensor"])
                        self.automated_scheme_selection = self.__class__.automated_scheme_selection(service, version, mode, path + ["automated_scheme_selection"])
                        self.average_DDPM_variables = self.__class__.average_DDPM_variables(service, version, mode, path + ["average_DDPM_variables"])
                        self.tracking_statistics = self.__class__.tracking_statistics(service, version, mode, path + ["tracking_statistics"])
                        super().__init__(service, version, mode, path)
                    class dynamic_interaction(TUIMethod):
                        """
                        Enable/disable dynamic interaction range.
                        """
                    class enable_node_based_averaging(TUIMethod):
                        """
                        Enables/disables mesh node averaging of DPM quantities.
                        """
                    class gaussian_factor(TUIMethod):
                        """
                        Specifies the Gaussian constant when using thegaussian kernel for mesh node averaging.
                        """
                    class underrelax_film_height(TUIMethod):
                        """
                        Sets the under-relaxation factor for the film height calculation. The recommended values range between 0.5 (default) and 0.9.
                        """
                    class re_randomize_every_timestep(TUIMethod):
                        """
                        Determines whether or not the initial particle positions will vary from time step to time step.
                        """
                    class coupled_heat_mass_update(TUIMethod):
                        """
                        Enables/disables coupled heat and mass update.
                        """
                    class error_control(TUIMethod):
                        """
                        Adapts integration step length based on a maximum error.
                        """
                    class vaporization_limiting_factors(TUIMethod):
                        """
                        Sets the Vaporization Fractional Change Limits.
                        """
                    class average_source_terms(TUIMethod):
                        """
                        Enables/disables mesh node averaging of DPM source terms.
                        """
                    class mppic_settings(TUIMethod):
                        """
                        Enable PIC and MPPIC to compute DPM and DDPM source terms.
                        """
                    class tracking_scheme(TUIMethod):
                        """
                        Specifies a tracking scheme.
                        """
                    class predictor_corrector(TUIMethod):
                        """
                        Enable predictor/corrector approach to track particles.
                        """
                    class verbosity(TUIMethod):
                        """
                        .
                        """
                    class limit_granular_forces(TUIMethod):
                        """
                        Enable limiting of granular forces from solid pressure gradients to avoid particle velocity overshoots.
                        """
                    class packed_region_detection_enabled(TUIMethod):
                        """
                        Identify cells in packed region to apply limiting of granular forces.
                        """
                    class average_kernel(TUIMethod):
                        """
                        Specifies the averaging kernel to use for mesh node averaging.
                        """
                    class minimum_liquid_fraction(TUIMethod):
                        """
                        A droplet evaporates completely when the remaining mass is below this fraction of the initial droplet mass.
                        """
                    class re_randomize_every_iteration(TUIMethod):
                        """
                        Determines whether or not the initial particle positions will vary from iteration to iteration.
                        """
                    class enhanced_packing_limit_numerics(TUIMethod):
                        """
                        Enable enhanced packing limit numerics to avoid exceeding of packing limit for granular phases.
                        """
                    class average_each_step(TUIMethod):
                        """
                        Enables/disables mesh node averaging during integration time step.
                        """
                    class tracking_parameters(TUIMethod):
                        """
                        Sets parameters for the (initial) tracking step length.
                        """
                    class drag_law(TUIMethod):
                        """
                        Sets the drag law.
                        """
                    class granular_stress_tensor(TUIMethod):
                        """
                        Enable granular stress tensor to be considered with solid pressure gradient as collision force.
                        """
                    class automated_scheme_selection(TUIMethod):
                        """
                        Enables/disables the adaptation of integration step length based on a maximum error.
                        """
                    class average_DDPM_variables(TUIMethod):
                        """
                        Enables/disables mesh node averaging of DDPM quantities.
                        """
                    class tracking_statistics(TUIMethod):
                        """
                        Controls the format of the one-line tracking statistics to be printed after every DPM tracking pass. A value of 0 (the default) prints only fates with non-zero values. A value of 1 prints all fates, including fates with zero values.
                        """

                    class high_resolution_tracking(TUIMenu):
                        """
                        Enters the high resolution tracking menu. See  for more information about these options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.barycentric_interpolation = self.__class__.barycentric_interpolation(service, version, mode, path + ["barycentric_interpolation"])
                            self.particle_relocation = self.__class__.particle_relocation(service, version, mode, path + ["particle_relocation"])
                            self.enable_barycentric_intersections = self.__class__.enable_barycentric_intersections(service, version, mode, path + ["enable_barycentric_intersections"])
                            self.project_wall_film_particles_to_film = self.__class__.project_wall_film_particles_to_film(service, version, mode, path + ["project_wall_film_particles_to_film"])
                            self.enable_automatic_intersection_tolerance = self.__class__.enable_automatic_intersection_tolerance(service, version, mode, path + ["enable_automatic_intersection_tolerance"])
                            self.wallfilm_relocation_tolerance = self.__class__.wallfilm_relocation_tolerance(service, version, mode, path + ["wallfilm_relocation_tolerance"])
                            self.enhanced_wallfilm_location_method = self.__class__.enhanced_wallfilm_location_method(service, version, mode, path + ["enhanced_wallfilm_location_method"])
                            self.use_legacy_particle_location_method = self.__class__.use_legacy_particle_location_method(service, version, mode, path + ["use_legacy_particle_location_method"])
                            self.use_quad_face_centroid = self.__class__.use_quad_face_centroid(service, version, mode, path + ["use_quad_face_centroid"])
                            self.use_velocity_based_error_control = self.__class__.use_velocity_based_error_control(service, version, mode, path + ["use_velocity_based_error_control"])
                            self.set_film_spreading_parameter = self.__class__.set_film_spreading_parameter(service, version, mode, path + ["set_film_spreading_parameter"])
                            self.always_use_face_centroid_with_periodics = self.__class__.always_use_face_centroid_with_periodics(service, version, mode, path + ["always_use_face_centroid_with_periodics"])
                            self.sliding_interface_crossover_fraction = self.__class__.sliding_interface_crossover_fraction(service, version, mode, path + ["sliding_interface_crossover_fraction"])
                            self.load_legacy_particles = self.__class__.load_legacy_particles(service, version, mode, path + ["load_legacy_particles"])
                            self.enable_high_resolution_tracking = self.__class__.enable_high_resolution_tracking(service, version, mode, path + ["enable_high_resolution_tracking"])
                            self.boundary_layer_tracking = self.__class__.boundary_layer_tracking(service, version, mode, path + ["boundary_layer_tracking"])
                            self.remove_stuck_particles = self.__class__.remove_stuck_particles(service, version, mode, path + ["remove_stuck_particles"])
                            self.use_particle_timestep_for_intersection_tolerance = self.__class__.use_particle_timestep_for_intersection_tolerance(service, version, mode, path + ["use_particle_timestep_for_intersection_tolerance"])
                            self.use_barycentric_sampling = self.__class__.use_barycentric_sampling(service, version, mode, path + ["use_barycentric_sampling"])
                            self.check_subtet_validity = self.__class__.check_subtet_validity(service, version, mode, path + ["check_subtet_validity"])
                            self.set_subtet_intersection_tolerance = self.__class__.set_subtet_intersection_tolerance(service, version, mode, path + ["set_subtet_intersection_tolerance"])
                            super().__init__(service, version, mode, path)
                        class enable_barycentric_intersections(TUIMethod):
                            """
                            Enables/disables an alternative method of calculating intersections with cell boundaries. Barycentric intersections are linear calculations and are faster than the default intersection algorithm. The default intersection algorithm is second-order for stationary meshes; therefore, using the barycentric intersection may sacrifice accuracy. You must verify that the barycentric intersections provide comparable results to the default intersection method. This option is available only for 3D stationary meshes and the double precision solver.
                            """
                        class project_wall_film_particles_to_film(TUIMethod):
                            """
                            Enables/disables projecting existing particles to Lagrangian wall film to track using high-resolution tracking.  When reading in a data file that contains wall film particles previously tracked with the existing ANSYS Fluent tracking method, you need to either clear the particles from the domain or project their positions to the wall film surface using the project-wall-film-particles-to-film? text command prior to using the high-resolution tracking method. After tracking the particles for one timestep, this option can be disabled to improve performance.
                            """
                        class enable_automatic_intersection_tolerance(TUIMethod):
                            """
                            Enables/disables the automatic calculation of intersection tolerance. By default, the tolerance used in intersection calculations is scaled by the residence time of the particle in the cell to improve robustness. For most cases, the scaled tolerance is sufficient to identify all intersections of the particle trajectory and the subtet faces. You can set the intersection tolerance manually using the set-subtet-intersection-tolerance text command.
                            """
                        class wallfilm_relocation_tolerance(TUIMethod):
                            """
                            Set the relocation tolerance for wallfilm particles after remeshing.
                            """
                        class enhanced_wallfilm_location_method(TUIMethod):
                            """
                            Enable enhanced method of locating film particles on faces.
                            """
                        class use_legacy_particle_location_method(TUIMethod):
                            """
                            Enable legacy method of locating particles in cells.
                            """
                        class use_quad_face_centroid(TUIMethod):
                            """
                            Enables/disables using quad face centroids when creating subtets. This option changes the way hexahedral cells are decomposed to avoid creating degenerate subtets.
                            """
                        class use_velocity_based_error_control(TUIMethod):
                            """
                            Enables/disables an alternative method of timestep adaption. By default, ANSYS Fluent uses the half-step method of timestep adaption with particle integration. This alternative method of controlling the integration timestep based upon velocity changes is faster; however, you need to ensure that the accuracy is comparable for your specific application.
                            """
                        class set_film_spreading_parameter(TUIMethod):
                            """
                            Set the spreading parameter for Lagrangian wallfilm particles.
                            """
                        class always_use_face_centroid_with_periodics(TUIMethod):
                            """
                            When enabled, ANSYS Fluent uses quad face centroids when creating subtets in cases with periodic boundaries.
                            """
                        class sliding_interface_crossover_fraction(TUIMethod):
                            """
                            Specifies the fraction of the distance to the subtet center to move the particle.  At non-conformal interfaces, the nodes used for the barycentric interpolation are different on either side of the interface. This may result in incomplete particles due to discontinuities in the variable interpolation. The number of incomplete particles may be reduced by moving the particles slightly off of the sliding interface. Recommended values range between 0 and 0.5.
                            """
                        class load_legacy_particles(TUIMethod):
                            """
                            Load particles that were tracked without high-resolution tracking enabled.
                            """
                        class enable_high_resolution_tracking(TUIMethod):
                            """
                            Enables/disables high resolution tracking.
                            """
                        class boundary_layer_tracking(TUIMethod):
                            """
                            Enables/disables the calculation of the particle time step that considers both the cell aspect ratio and the particle trajectory. This method improves the accuracy of the predictions in boundary layer cells, particularly in layers where flow gradients are large.
                            """
                        class remove_stuck_particles(TUIMethod):
                            """
                            .
                            """
                        class use_particle_timestep_for_intersection_tolerance(TUIMethod):
                            """
                            Enables/disables the use of the particle timestep for the subtet intersection tolerance with axisymmetric grids (default: enabled). If disabled, the tolerance will be calculated in the same manner as non-axisymmetric meshes (a scaled value of the tolerance which is set using the define/models/dpm/numerics/high-resolution-tracking/set-subtet-intersection-tolerance text command).
                            """
                        class use_barycentric_sampling(TUIMethod):
                            """
                            When enabled, this option provides improved accuracy and parallel consistency when sampling particles at planes. This item is available only with the 3D solver. Using the double-precision solver and bounded planes is recommended.
                            """
                        class check_subtet_validity(TUIMethod):
                            """
                            When enabled, checks the validity of a subtet when the particle first enters it. If the subtet is found to be degenerate, the tracking algorithm modifies to accommodate it.
                            """
                        class set_subtet_intersection_tolerance(TUIMethod):
                            """
                            Specifies the tolerance used in intersection calculations. This tolerance will be scaled by the characteristic cell crossing time of the particle if the enable-automatic-intersection-tolerance? text command is enabled. If that option is disabled, the specified tolerance will be used without scaling. The default intersection tolerance is 10-5.
                            """

                        class barycentric_interpolation(TUIMenu):
                            """
                            Enter the barycentric interpolation menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.interpolate_temperature = self.__class__.interpolate_temperature(service, version, mode, path + ["interpolate_temperature"])
                                self.nodal_reconstruction_frequency = self.__class__.nodal_reconstruction_frequency(service, version, mode, path + ["nodal_reconstruction_frequency"])
                                self.interpolate_flow_cp = self.__class__.interpolate_flow_cp(service, version, mode, path + ["interpolate_flow_cp"])
                                self.precompute_pdf_species = self.__class__.precompute_pdf_species(service, version, mode, path + ["precompute_pdf_species"])
                                self.interpolate_flow_density = self.__class__.interpolate_flow_density(service, version, mode, path + ["interpolate_flow_density"])
                                self.interpolate_flow_viscosity = self.__class__.interpolate_flow_viscosity(service, version, mode, path + ["interpolate_flow_viscosity"])
                                self.interpolate_flow_solution_gradients = self.__class__.interpolate_flow_solution_gradients(service, version, mode, path + ["interpolate_flow_solution_gradients"])
                                self.interpolate_wallfilm_properties = self.__class__.interpolate_wallfilm_properties(service, version, mode, path + ["interpolate_wallfilm_properties"])
                                self.zero_nodal_velocity_on_walls = self.__class__.zero_nodal_velocity_on_walls(service, version, mode, path + ["zero_nodal_velocity_on_walls"])
                                self.enable_transient_variable_interpolation = self.__class__.enable_transient_variable_interpolation(service, version, mode, path + ["enable_transient_variable_interpolation"])
                                self.user_interpolation_function = self.__class__.user_interpolation_function(service, version, mode, path + ["user_interpolation_function"])
                                super().__init__(service, version, mode, path)
                            class interpolate_temperature(TUIMethod):
                                """
                                Enables/disables the barycentric interpolation of temperature to the particle position. The cell temperature is used by default in calculations of heat transfer to/from the particle.
                                """
                            class nodal_reconstruction_frequency(TUIMethod):
                                """
                                Update nodal reconstruction every N'th DPM iteration.
                                """
                            class interpolate_flow_cp(TUIMethod):
                                """
                                Enables/disables the barycentric interpolation of specific heat to the particle position. This option is recommended when the specific heat varies with position to avoid discontinuities in the interpolated variable at cell boundaries. For flows with constant specific heat, this option is unnecessary.
                                """
                            class precompute_pdf_species(TUIMethod):
                                """
                                When this option is enabled for premixed or non-premixed combustion simulations, the species composition in each cell is precomputed prior to tracking particles. This approach may improve performance for cases with many particles and relatively few cells. By default, this option is set to no, and ANSYS Fluent calculates the species composition during particle tracking. The solution results will be identical for both methods.
                                """
                            class interpolate_flow_density(TUIMethod):
                                """
                                Enables/disables the barycentric interpolation of the flow density. This option is recommended when the density varies with position to avoid discontinuities in the interpolated variable at cell boundaries. For constant density flows, this option is unnecessary.
                                """
                            class interpolate_flow_viscosity(TUIMethod):
                                """
                                Enables/disables the barycentric interpolation of flow viscosity to the particle position. This option is recommended when the flow viscosity varies with position to avoid discontinuities in the interpolated variable at cell boundaries. For flows with constant viscosity, this option is unnecessary.
                                """
                            class interpolate_flow_solution_gradients(TUIMethod):
                                """
                                When enabled, flow solution gradients are interpolated to the particle position. This can be useful when using physical models that depend on these gradients (for example, the thermophoretic force, pressure-gradient force, or virtual mass force). Interpolating the gradients also improves the accuracy and robustness of the trapezoidal numerics scheme, which is the default method for pathlines.
                                """
                            class interpolate_wallfilm_properties(TUIMethod):
                                """
                                When enabled, the wall film properties (film height, film mass, and wall shear) are interpolated to the particle position.
                                """
                            class zero_nodal_velocity_on_walls(TUIMethod):
                                """
                                When enabled, sets the velocity at wall nodes to zero. (By default, the nodal velocities on walls are first reconstructed from cell and face values and then corrected to ensure that there are no velocity components directed towards the walls). This may be useful if you want to consider particle impingement on the walls. Note that enabling this option will more likely produce incomplete particles as some particles may settle on the walls.
                                """
                            class enable_transient_variable_interpolation(TUIMethod):
                                """
                                Enable transient variable interpolation.
                                """
                            class user_interpolation_function(TUIMethod):
                                """
                                .
                                """

                        class particle_relocation(TUIMenu):
                            """
                            Enter the particle relocation menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.overset_relocation_robustness_level = self.__class__.overset_relocation_robustness_level(service, version, mode, path + ["overset_relocation_robustness_level"])
                                self.use_legacy_particle_location_method = self.__class__.use_legacy_particle_location_method(service, version, mode, path + ["use_legacy_particle_location_method"])
                                self.enhanced_wallfilm_location_method = self.__class__.enhanced_wallfilm_location_method(service, version, mode, path + ["enhanced_wallfilm_location_method"])
                                self.enhanced_cell_relocation_method = self.__class__.enhanced_cell_relocation_method(service, version, mode, path + ["enhanced_cell_relocation_method"])
                                self.load_legacy_particles = self.__class__.load_legacy_particles(service, version, mode, path + ["load_legacy_particles"])
                                self.wallfilm_relocation_tolerance_scale_factor = self.__class__.wallfilm_relocation_tolerance_scale_factor(service, version, mode, path + ["wallfilm_relocation_tolerance_scale_factor"])
                                super().__init__(service, version, mode, path)
                            class overset_relocation_robustness_level(TUIMethod):
                                """
                                .
                                """
                            class use_legacy_particle_location_method(TUIMethod):
                                """
                                .
                                """
                            class enhanced_wallfilm_location_method(TUIMethod):
                                """
                                Enable enhanced method of locating film particles on faces.
                                """
                            class enhanced_cell_relocation_method(TUIMethod):
                                """
                                .
                                """
                            class load_legacy_particles(TUIMethod):
                                """
                                .
                                """
                            class wallfilm_relocation_tolerance_scale_factor(TUIMethod):
                                """
                                Set the relocation tolerance scaling factor for wallfilm particles after remeshing.
                                """

            class system_coupling_settings(TUIMenu):
                """
                Enters the system coupling menu.
                """
                def __init__(self, service, version, mode, path):
                    self.unsteady_statistics = self.__class__.unsteady_statistics(service, version, mode, path + ["unsteady_statistics"])
                    self.htc = self.__class__.htc(service, version, mode, path + ["htc"])
                    self.use_face_or_element_based_data_transfer = self.__class__.use_face_or_element_based_data_transfer(service, version, mode, path + ["use_face_or_element_based_data_transfer"])
                    self.user_defined_coupling_variables_via_udm = self.__class__.user_defined_coupling_variables_via_udm(service, version, mode, path + ["user_defined_coupling_variables_via_udm"])
                    super().__init__(service, version, mode, path)
                class use_face_or_element_based_data_transfer(TUIMethod):
                    """
                    Answering yes at the prompt 	enables Fluent to use element data for mapping surface 	conservative quantities such as surface forces and heat 	flows.
                    """
                class user_defined_coupling_variables_via_udm(TUIMethod):
                    """
                    User defined coupling variables via UDM.
                    """

                class unsteady_statistics(TUIMenu):
                    """
                    Enter the unsteady statistics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.sc_enable_sub_stepping_option_per_coupling_step = self.__class__.sc_enable_sub_stepping_option_per_coupling_step(service, version, mode, path + ["sc_enable_sub_stepping_option_per_coupling_step"])
                        super().__init__(service, version, mode, path)
                    class sc_enable_sub_stepping_option_per_coupling_step(TUIMethod):
                        """
                        Enable/disable sub stepping option per coupling step.
                        """

                class htc(TUIMenu):
                    """
                    Enter the heat transfer coeficient menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.htc_calculation_method = self.__class__.htc_calculation_method(service, version, mode, path + ["htc_calculation_method"])
                        super().__init__(service, version, mode, path)

                    class htc_calculation_method(TUIMenu):
                        """
                        Enter the htc calculation menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.use_wall_function_based_htc = self.__class__.use_wall_function_based_htc(service, version, mode, path + ["use_wall_function_based_htc"])
                            self.use_yplus_based_htc_calculation = self.__class__.use_yplus_based_htc_calculation(service, version, mode, path + ["use_yplus_based_htc_calculation"])
                            self.use_tref_in_htc_calculation = self.__class__.use_tref_in_htc_calculation(service, version, mode, path + ["use_tref_in_htc_calculation"])
                            super().__init__(service, version, mode, path)
                        class use_wall_function_based_htc(TUIMethod):
                            """
                            Enable/disable wall function based htc computation.
                            """
                        class use_yplus_based_htc_calculation(TUIMethod):
                            """
                            Enable/disable yplus in htc computation.
                            """
                        class use_tref_in_htc_calculation(TUIMethod):
                            """
                            Enable/disable tref in htc computation.
                            """

            class structure(TUIMenu):
                """
                Enters the structure model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
                    self.structure_off = self.__class__.structure_off(service, version, mode, path + ["structure_off"])
                    self.thermal_effects = self.__class__.thermal_effects(service, version, mode, path + ["thermal_effects"])
                    self.nonlinear_elasticity = self.__class__.nonlinear_elasticity(service, version, mode, path + ["nonlinear_elasticity"])
                    self.linear_elasticity = self.__class__.linear_elasticity(service, version, mode, path + ["linear_elasticity"])
                    super().__init__(service, version, mode, path)
                class structure_off(TUIMethod):
                    """
                    Disables the structural model.
                    """
                class thermal_effects(TUIMethod):
                    """
                    .
                    """
                class nonlinear_elasticity(TUIMethod):
                    """
                    Enable the nonlinear elasticity model.
                    """
                class linear_elasticity(TUIMethod):
                    """
                    Enables the linear elasticity model.
                    """

                class expert(TUIMenu):
                    """
                    Enters the structure expert menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.include_viscous_fsi_force = self.__class__.include_viscous_fsi_force(service, version, mode, path + ["include_viscous_fsi_force"])
                        self.explicit_fsi_force = self.__class__.explicit_fsi_force(service, version, mode, path + ["explicit_fsi_force"])
                        self.steady_2way_fsi = self.__class__.steady_2way_fsi(service, version, mode, path + ["steady_2way_fsi"])
                        self.starting_t_re_initialization = self.__class__.starting_t_re_initialization(service, version, mode, path + ["starting_t_re_initialization"])
                        self.include_pop_in_fsi_force = self.__class__.include_pop_in_fsi_force(service, version, mode, path + ["include_pop_in_fsi_force"])
                        super().__init__(service, version, mode, path)
                    class include_viscous_fsi_force(TUIMethod):
                        """
                        Enables/disables the inclusion of a viscous fluid-structure interaction force.
                        """
                    class explicit_fsi_force(TUIMethod):
                        """
                        Enables/disables an explicit fluid-structure interaction force.
                        """
                    class steady_2way_fsi(TUIMethod):
                        """
                        .
                        """
                    class starting_t_re_initialization(TUIMethod):
                        """
                        .
                        """
                    class include_pop_in_fsi_force(TUIMethod):
                        """
                        Enables/disables the inclusion of operating pressure into the fluid-structure interaction force.
                        """

                class controls(TUIMenu):
                    """
                    Enters the structure controls menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.numerical_damping_factor = self.__class__.numerical_damping_factor(service, version, mode, path + ["numerical_damping_factor"])
                        self.unsteady_damping_rayleigh = self.__class__.unsteady_damping_rayleigh(service, version, mode, path + ["unsteady_damping_rayleigh"])
                        self.enhanced_strain = self.__class__.enhanced_strain(service, version, mode, path + ["enhanced_strain"])
                        self.amg_stabilization = self.__class__.amg_stabilization(service, version, mode, path + ["amg_stabilization"])
                        self.max_iter = self.__class__.max_iter(service, version, mode, path + ["max_iter"])
                        super().__init__(service, version, mode, path)
                    class numerical_damping_factor(TUIMethod):
                        """
                        Sets the damping factor for the structural model (that is, the amplitude decay factor  in  in the Theory Guide).
                        """
                    class unsteady_damping_rayleigh(TUIMethod):
                        """
                        .
                        """
                    class enhanced_strain(TUIMethod):
                        """
                        .
                        """
                    class amg_stabilization(TUIMethod):
                        """
                        Sets the algebraic multigrid (AMG) stabilization method for the structural model calculations.
                        """
                    class max_iter(TUIMethod):
                        """
                        Sets the maximum number of iterations for the structural model calculations.
                        """

            class multiphase(TUIMenu):
                """
                Enters the multiphase model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.population_balance = self.__class__.population_balance(service, version, mode, path + ["population_balance"])
                    self.sub_models = self.__class__.sub_models(service, version, mode, path + ["sub_models"])
                    self.volume_fraction_parameters = self.__class__.volume_fraction_parameters(service, version, mode, path + ["volume_fraction_parameters"])
                    self.hybrid_models = self.__class__.hybrid_models(service, version, mode, path + ["hybrid_models"])
                    self.explicit_expert_options = self.__class__.explicit_expert_options(service, version, mode, path + ["explicit_expert_options"])
                    self.wet_steam = self.__class__.wet_steam(service, version, mode, path + ["wet_steam"])
                    self.flow_regime_modeling = self.__class__.flow_regime_modeling(service, version, mode, path + ["flow_regime_modeling"])
                    self.coupled_level_set = self.__class__.coupled_level_set(service, version, mode, path + ["coupled_level_set"])
                    self.boiling_model_options = self.__class__.boiling_model_options(service, version, mode, path + ["boiling_model_options"])
                    self.body_force_formulation = self.__class__.body_force_formulation(service, version, mode, path + ["body_force_formulation"])
                    self.regime_transition_modeling = self.__class__.regime_transition_modeling(service, version, mode, path + ["regime_transition_modeling"])
                    self.mixture_parameters = self.__class__.mixture_parameters(service, version, mode, path + ["mixture_parameters"])
                    self.number_of_phases = self.__class__.number_of_phases(service, version, mode, path + ["number_of_phases"])
                    self.vof_sub_models = self.__class__.vof_sub_models(service, version, mode, path + ["vof_sub_models"])
                    self.expert_options = self.__class__.expert_options(service, version, mode, path + ["expert_options"])
                    self.interface_modeling_options = self.__class__.interface_modeling_options(service, version, mode, path + ["interface_modeling_options"])
                    self.model = self.__class__.model(service, version, mode, path + ["model"])
                    self.eulerian_parameters = self.__class__.eulerian_parameters(service, version, mode, path + ["eulerian_parameters"])
                    super().__init__(service, version, mode, path)
                class volume_fraction_parameters(TUIMethod):
                    """
                    Volume fraction parameters.
                    """
                class coupled_level_set(TUIMethod):
                    """
                    Enables coupled level set interface tracking method.
                    """
                class boiling_model_options(TUIMethod):
                    """
                    Specifies the boiling model options. You can choose theRPI boiling model,Non-equilibrium boiling, orCritical heat flux.
                    """
                class body_force_formulation(TUIMethod):
                    """
                    Specifies body force formulation.
                    """
                class regime_transition_modeling(TUIMethod):
                    """
                    Enables the Algebraic Interfacial Area Density (AIAD) 	model and sets the AIAD secondary continuous phase and 	the secondary entrained phase. Entering 0 as a phase ID cancels any 	previous phase selection. Note that you must define the 	phases in your simulation using the define/phases/ text command 	prior to using the regime-transition-modeling 	text command. This option is available only with the 	Eulerian multiphase model.
                    """
                class mixture_parameters(TUIMethod):
                    """
                    Specifies mixture parameters.
                    """
                class number_of_phases(TUIMethod):
                    """
                    Specifies the number of phases.
                    """
                class vof_sub_models(TUIMethod):
                    """
                    Enables the Open Channel sub-model and/or the Open Channel Wave Boundary Condition 	sub-model.
                    """
                class expert_options(TUIMethod):
                    """
                    Expert Options.
                    """
                class interface_modeling_options(TUIMethod):
                    """
                    Specifies interface modeling options.
                    """
                class model(TUIMethod):
                    """
                    Specifies multiphase model.
                    """
                class eulerian_parameters(TUIMethod):
                    """
                    Specifies Eulerian parameters.
                    """

                class population_balance(TUIMenu):
                    """
                    Enters the population balance models menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.phenomena = self.__class__.phenomena(service, version, mode, path + ["phenomena"])
                        self.size_calculator = self.__class__.size_calculator(service, version, mode, path + ["size_calculator"])
                        self.model = self.__class__.model(service, version, mode, path + ["model"])
                        self.include_expansion = self.__class__.include_expansion(service, version, mode, path + ["include_expansion"])
                        super().__init__(service, version, mode, path)
                    class size_calculator(TUIMethod):
                        """
                        Gives you recommendations for appropriate bubble sizes and/or droplet size limits.
                        """
                    class model(TUIMethod):
                        """
                        Allows you to select the population balance model and set its parameters.
                        """
                    class include_expansion(TUIMethod):
                        """
                        Set expansion.
                        """

                    class expert(TUIMenu):
                        """
                        Enter the expert menu for quadrature-based population balance method.
                        """
                        def __init__(self, service, version, mode, path):
                            self.qmom = self.__class__.qmom(service, version, mode, path + ["qmom"])
                            self.qbmm = self.__class__.qbmm(service, version, mode, path + ["qbmm"])
                            super().__init__(service, version, mode, path)

                        class qmom(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.inversion_algorithm = self.__class__.inversion_algorithm(service, version, mode, path + ["inversion_algorithm"])
                                self.realizable_moments = self.__class__.realizable_moments(service, version, mode, path + ["realizable_moments"])
                                self.retain_qmom_sources_for_low_vof = self.__class__.retain_qmom_sources_for_low_vof(service, version, mode, path + ["retain_qmom_sources_for_low_vof"])
                                self.print_realizable_moment_warning = self.__class__.print_realizable_moment_warning(service, version, mode, path + ["print_realizable_moment_warning"])
                                super().__init__(service, version, mode, path)
                            class inversion_algorithm(TUIMethod):
                                """
                                Select the inversion algorithm for quadrature-based population balance method.
                                """
                            class realizable_moments(TUIMethod):
                                """
                                Set the population balance model.
                                """
                            class retain_qmom_sources_for_low_vof(TUIMethod):
                                """
                                Retain qmom source calculation for low secondary phase vof.
                                """
                            class print_realizable_moment_warning(TUIMethod):
                                """
                                Print the information for realizable moments in the population balance model.
                                """

                        class qbmm(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.advection_int_scheme = self.__class__.advection_int_scheme(service, version, mode, path + ["advection_int_scheme"])
                                self.advection_cfl = self.__class__.advection_cfl(service, version, mode, path + ["advection_cfl"])
                                self.exit_on_non_real = self.__class__.exit_on_non_real(service, version, mode, path + ["exit_on_non_real"])
                                self.zero_moment_plus = self.__class__.zero_moment_plus(service, version, mode, path + ["zero_moment_plus"])
                                self.verbosity_level = self.__class__.verbosity_level(service, version, mode, path + ["verbosity_level"])
                                self.source_int_scheme = self.__class__.source_int_scheme(service, version, mode, path + ["source_int_scheme"])
                                self.zero_moment_minus = self.__class__.zero_moment_minus(service, version, mode, path + ["zero_moment_minus"])
                                self.source_ode_factor_min = self.__class__.source_ode_factor_min(service, version, mode, path + ["source_ode_factor_min"])
                                self.sort_abscissas = self.__class__.sort_abscissas(service, version, mode, path + ["sort_abscissas"])
                                self.source_min_dt = self.__class__.source_min_dt(service, version, mode, path + ["source_min_dt"])
                                self.source_ode_err_rel = self.__class__.source_ode_err_rel(service, version, mode, path + ["source_ode_err_rel"])
                                self.source_ode_factor = self.__class__.source_ode_factor(service, version, mode, path + ["source_ode_factor"])
                                self.zero_zeta_minus = self.__class__.zero_zeta_minus(service, version, mode, path + ["zero_zeta_minus"])
                                self.source_ode_err_abs = self.__class__.source_ode_err_abs(service, version, mode, path + ["source_ode_err_abs"])
                                self.solve_advection = self.__class__.solve_advection(service, version, mode, path + ["solve_advection"])
                                self.zero_zeta_plus = self.__class__.zero_zeta_plus(service, version, mode, path + ["zero_zeta_plus"])
                                self.source_ode_factor_max = self.__class__.source_ode_factor_max(service, version, mode, path + ["source_ode_factor_max"])
                                super().__init__(service, version, mode, path)
                            class advection_int_scheme(TUIMethod):
                                """
                                Select QBMM advection time integration scheme.
                                """
                            class advection_cfl(TUIMethod):
                                """
                                Select the QBMM advection Courant number.
                                """
                            class exit_on_non_real(TUIMethod):
                                """
                                Exit on non-realizable moments detection.
                                """
                            class zero_moment_plus(TUIMethod):
                                """
                                Select a small positive value bellow which the moments are considered negligible.
                                """
                            class verbosity_level(TUIMethod):
                                """
                                Select a verbosity level (0-4) for QBMM.
                                """
                            class source_int_scheme(TUIMethod):
                                """
                                Select QBMM source time integration scheme.
                                """
                            class zero_moment_minus(TUIMethod):
                                """
                                Select a small negative value above which the moments are considered negligible.
                                """
                            class source_ode_factor_min(TUIMethod):
                                """
                                Select the source time integration minimum factor for error estimation.
                                """
                            class sort_abscissas(TUIMethod):
                                """
                                Sort quadrature points based on abscissas.
                                """
                            class source_min_dt(TUIMethod):
                                """
                                Select the minimum acceptable time step for source time integration.
                                """
                            class source_ode_err_rel(TUIMethod):
                                """
                                Select the source time integration relative error.
                                """
                            class source_ode_factor(TUIMethod):
                                """
                                Select the source time integration factor for error estimation.
                                """
                            class zero_zeta_minus(TUIMethod):
                                """
                                Select a small negative value above which the auxiliary quantities are considered negligible.
                                """
                            class source_ode_err_abs(TUIMethod):
                                """
                                Select the source time integration absolute error.
                                """
                            class solve_advection(TUIMethod):
                                """
                                Solve the advection part of the QBMM equation?.
                                """
                            class zero_zeta_plus(TUIMethod):
                                """
                                Select a small postitive value bellow which the auxiliary quantities are considered negligible.
                                """
                            class source_ode_factor_max(TUIMethod):
                                """
                                Select the source time integration maximum factor for error estimation.
                                """

                    class phenomena(TUIMenu):
                        """
                        Enters the phenomena menu for population balance.
                        """
                        def __init__(self, service, version, mode, path):
                            self.breakage_factor = self.__class__.breakage_factor(service, version, mode, path + ["breakage_factor"])
                            self.nucleation = self.__class__.nucleation(service, version, mode, path + ["nucleation"])
                            self.growth = self.__class__.growth(service, version, mode, path + ["growth"])
                            self.aggregation_factor = self.__class__.aggregation_factor(service, version, mode, path + ["aggregation_factor"])
                            self.breakage_aggregation_vof_cutoff = self.__class__.breakage_aggregation_vof_cutoff(service, version, mode, path + ["breakage_aggregation_vof_cutoff"])
                            self.aggregation = self.__class__.aggregation(service, version, mode, path + ["aggregation"])
                            self.breakage = self.__class__.breakage(service, version, mode, path + ["breakage"])
                            super().__init__(service, version, mode, path)
                        class breakage_factor(TUIMethod):
                            """
                            Specifies a factor that controls the intensity of the selected breakage kernel.
                            """
                        class nucleation(TUIMethod):
                            """
                            Specifies the nucleation rate.
                            """
                        class growth(TUIMethod):
                            """
                            Specifies the growth rate.
                            """
                        class aggregation_factor(TUIMethod):
                            """
                            Specifies a factor that controls the intensity of the selected aggregation kernel.
                            """
                        class breakage_aggregation_vof_cutoff(TUIMethod):
                            """
                            Specifies a cutoff limit for the volume fraction values for the breakage and aggregation kernels.
                            """
                        class aggregation(TUIMethod):
                            """
                            Sets the aggregation kernel.
                            """
                        class breakage(TUIMethod):
                            """
                            Set the breakage kernel.
                            """

                class sub_models(TUIMenu):
                    """
                    Enter the menu to select sub-models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.boiling_options = self.__class__.boiling_options(service, version, mode, path + ["boiling_options"])
                        self.boiling = self.__class__.boiling(service, version, mode, path + ["boiling"])
                        super().__init__(service, version, mode, path)
                    class boiling(TUIMethod):
                        """
                        Activate boiling model.
                        """

                    class boiling_options(TUIMenu):
                        """
                        Set boiling options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.nlbf_model = self.__class__.nlbf_model(service, version, mode, path + ["nlbf_model"])
                            self.options = self.__class__.options(service, version, mode, path + ["options"])
                            super().__init__(service, version, mode, path)
                        class nlbf_model(TUIMethod):
                            """
                            Set the non-local boundary field correction.
                            """
                        class options(TUIMethod):
                            """
                            Choose the type of boiling model.
                            """

                class hybrid_models(TUIMenu):
                    """
                    Enter the menu to select hybrid models.
                    """
                    def __init__(self, service, version, mode, path):
                        self.ddpm = self.__class__.ddpm(service, version, mode, path + ["ddpm"])
                        self.multi_fluid_vof = self.__class__.multi_fluid_vof(service, version, mode, path + ["multi_fluid_vof"])
                        super().__init__(service, version, mode, path)
                    class ddpm(TUIMethod):
                        """
                        Enable the dense discrete phase model.
                        """
                    class multi_fluid_vof(TUIMethod):
                        """
                        Enable the multi-fluid VOF model.
                        """

                class explicit_expert_options(TUIMenu):
                    """
                    Enters the menu to set explicit VOF expert 	options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.volume_fraction_filtering = self.__class__.volume_fraction_filtering(service, version, mode, path + ["volume_fraction_filtering"])
                        self.sub_time_step_method = self.__class__.sub_time_step_method(service, version, mode, path + ["sub_time_step_method"])
                        self.solve_vof_every_iter = self.__class__.solve_vof_every_iter(service, version, mode, path + ["solve_vof_every_iter"])
                        super().__init__(service, version, mode, path)
                    class sub_time_step_method(TUIMethod):
                        """
                        Selects the sub-time step method.
                        """
                    class solve_vof_every_iter(TUIMethod):
                        """
                        If you enter yes, the volume fraction equations will be solved every iteration. By default, the volume fraction equations will be solved only once per time step.
                        """

                    class volume_fraction_filtering(TUIMenu):
                        """
                        Enters the volume fraction filtering menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.filtering_options = self.__class__.filtering_options(service, version, mode, path + ["filtering_options"])
                            self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                            self.vol_frac_cutoff = self.__class__.vol_frac_cutoff(service, version, mode, path + ["vol_frac_cutoff"])
                            super().__init__(service, version, mode, path)
                        class filtering_options(TUIMethod):
                            """
                            Selects the volume fraction filtering method. This command becomes available once the define/models/multiphase/explicit-expert-options/volume-fraction-filtering/enable? text option has been set to yes.
                            """
                        class enable(TUIMethod):
                            """
                            Enables/disables the volume fraction filtering treatment.
                            """
                        class vol_frac_cutoff(TUIMethod):
                            """
                            Specifies a cut-off value for the volume fraction filtering. This command becomes available after you select the node averaged cutoff method using the define/models/multiphase/explicit-expert-options/volume-fraction-filtering/filtering-options text command.
                            """

                class wet_steam(TUIMenu):
                    """
                    Enters the wet steam model menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        self.load_unload_user_defined_wetsteam_library = self.__class__.load_unload_user_defined_wetsteam_library(service, version, mode, path + ["load_unload_user_defined_wetsteam_library"])
                        self.compile_user_defined_wetsteam_functions = self.__class__.compile_user_defined_wetsteam_functions(service, version, mode, path + ["compile_user_defined_wetsteam_functions"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class load_unload_user_defined_wetsteam_library(TUIMethod):
                        """
                        Loads or unloads user-defined wet steam library.
                        """
                    class compile_user_defined_wetsteam_functions(TUIMethod):
                        """
                        Compiles user-defined wet steam library.
                        """
                    class enable(TUIMethod):
                        """
                        Enables/disables the wet steam model.
                        """

                    class set(TUIMenu):
                        """
                        Enters the set menu for setting wet steam model options.
                        """
                        def __init__(self, service, version, mode, path):
                            self.virial_equation = self.__class__.virial_equation(service, version, mode, path + ["virial_equation"])
                            self.max_liquid_mass_fraction = self.__class__.max_liquid_mass_fraction(service, version, mode, path + ["max_liquid_mass_fraction"])
                            self.stagnation_conditions = self.__class__.stagnation_conditions(service, version, mode, path + ["stagnation_conditions"])
                            self.rgp_tables = self.__class__.rgp_tables(service, version, mode, path + ["rgp_tables"])
                            self.zonal_phase_change = self.__class__.zonal_phase_change(service, version, mode, path + ["zonal_phase_change"])
                            self.droplet_growth_rate = self.__class__.droplet_growth_rate(service, version, mode, path + ["droplet_growth_rate"])
                            super().__init__(service, version, mode, path)
                        class virial_equation(TUIMethod):
                            """
                            Sets the equation of state for steam to either Vukalovich formulation (default) or Young formulation.
                            """
                        class max_liquid_mass_fraction(TUIMethod):
                            """
                            Sets the maximum limit on the condensed liquid-phase mass-fraction to prevent divergence.
                            """
                        class stagnation_conditions(TUIMethod):
                            """
                            Computes stagnation conditions using either gas phase only, or mixture. For details, see .
                            """
                        class rgp_tables(TUIMethod):
                            """
                            Sets the RGP (real gas property) table to be used with the Wet Steam model.
                            """
                        class zonal_phase_change(TUIMethod):
                            """
                            Select cell zones where phase change process is active.
                            """
                        class droplet_growth_rate(TUIMethod):
                            """
                            S formulation (default) or Hill.
                            """

                class flow_regime_modeling(TUIMenu):
                    """
                    Flow Regime Modeling.
                    """
                    def __init__(self, service, version, mode, path):
                        self.aiad_parameters = self.__class__.aiad_parameters(service, version, mode, path + ["aiad_parameters"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class enable(TUIMethod):
                        """
                        Enable flow regime modeling framework including phase state and morphology.
                        """

                    class aiad_parameters(TUIMenu):
                        """
                        AIAD parameters.
                        """
                        def __init__(self, service, version, mode, path):
                            self.delta_grad = self.__class__.delta_grad(service, version, mode, path + ["delta_grad"])
                            self.critical_vf = self.__class__.critical_vf(service, version, mode, path + ["critical_vf"])
                            self.ncells_fs = self.__class__.ncells_fs(service, version, mode, path + ["ncells_fs"])
                            self.delta_vf = self.__class__.delta_vf(service, version, mode, path + ["delta_vf"])
                            super().__init__(service, version, mode, path)
                        class delta_grad(TUIMethod):
                            """
                            Parameter for determining transition width for free surface blending factor.
                            """
                        class critical_vf(TUIMethod):
                            """
                            Critical volume fraction for bubbly and droplet flow blending factors.
                            """
                        class ncells_fs(TUIMethod):
                            """
                            Parameter for determining interfacial width.
                            """
                        class delta_vf(TUIMethod):
                            """
                            Parameter for transition width for bubbly and droplet flow blending factors.
                            """

            class virtual_blade_model(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rotor = self.__class__.rotor(service, version, mode, path + ["rotor"])
                    self.mode = self.__class__.mode(service, version, mode, path + ["mode"])
                    self.apply = self.__class__.apply(service, version, mode, path + ["apply"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class mode(TUIMethod):
                    """
                    .
                    """
                class apply(TUIMethod):
                    """
                    .
                    """
                class enable(TUIMethod):
                    """
                    .
                    """

                class rotor(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.new = self.__class__.new(service, version, mode, path + ["new"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        super().__init__(service, version, mode, path)
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename rotor object.
                        """
                    class new(TUIMethod):
                        """
                        Create a new rotor object.
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class edit(TUIMethod):
                        """
                        Edit rotor object.
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """

            class optics(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.beams = self.__class__.beams(service, version, mode, path + ["beams"])
                    self.statistics = self.__class__.statistics(service, version, mode, path + ["statistics"])
                    self.index_of_refraction = self.__class__.index_of_refraction(service, version, mode, path + ["index_of_refraction"])
                    self.report = self.__class__.report(service, version, mode, path + ["report"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.sampling_iterations = self.__class__.sampling_iterations(service, version, mode, path + ["sampling_iterations"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    super().__init__(service, version, mode, path)
                class index_of_refraction(TUIMethod):
                    """
                    .
                    """
                class report(TUIMethod):
                    """
                    .
                    """
                class enable(TUIMethod):
                    """
                    .
                    """
                class sampling_iterations(TUIMethod):
                    """
                    .
                    """
                class verbosity(TUIMethod):
                    """
                    .
                    """

                class beams(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        super().__init__(service, version, mode, path)
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class add(TUIMethod):
                        """
                        Create a new beams object.
                        """
                    class edit(TUIMethod):
                        """
                        Edit beams object.
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class copy(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename beams object.
                        """
                    class list(TUIMethod):
                        """
                        .
                        """

                class statistics(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.reset_statistics = self.__class__.reset_statistics(service, version, mode, path + ["reset_statistics"])
                        self.statistics_controls = self.__class__.statistics_controls(service, version, mode, path + ["statistics_controls"])
                        super().__init__(service, version, mode, path)
                    class reset_statistics(TUIMethod):
                        """
                        .
                        """
                    class statistics_controls(TUIMethod):
                        """
                        .
                        """

            class shell_conduction(TUIMenu):
                """
                Enters the shell conduction models menu.
                """
                def __init__(self, service, version, mode, path):
                    self.read_csv = self.__class__.read_csv(service, version, mode, path + ["read_csv"])
                    self.multi_layer_shell = self.__class__.multi_layer_shell(service, version, mode, path + ["multi_layer_shell"])
                    self.enhanced_encapsulation = self.__class__.enhanced_encapsulation(service, version, mode, path + ["enhanced_encapsulation"])
                    self.write_csv = self.__class__.write_csv(service, version, mode, path + ["write_csv"])
                    self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
                    self.save_shell_zones = self.__class__.save_shell_zones(service, version, mode, path + ["save_shell_zones"])
                    super().__init__(service, version, mode, path)
                class read_csv(TUIMethod):
                    """
                    Defines the shell conduction settings by reading a CSV file.
                    """
                class multi_layer_shell(TUIMethod):
                    """
                    Enables/disables the ability to define multi-layer 	shell conduction for walls. Note that the warped-face 	gradient correction (WFGC) is not supported when 	multi-layer shells are disabled.
                    """
                class enhanced_encapsulation(TUIMethod):
                    """
                    Enables/disables an enhanced routine for the encapsulation of coupled walls during 	mesh partitioning that is enabled by default when shell 	conduction and/or the surface to surface (S2S) radiation 	model is used.
                    """
                class write_csv(TUIMethod):
                    """
                    Writes your saved shell conduction settings to a CSV file.
                    """
                class settings(TUIMethod):
                    """
                    Enables shell conduction and defines the settings for any wall or group of walls by 	manually entering the number and properties of the 	layers.
                    """
                class save_shell_zones(TUIMethod):
                    """
                    Enables the saving of shell zones to case 	files.
                    """

            class species(TUIMenu):
                """
                Enters the species models menu.
                """
                def __init__(self, service, version, mode, path):
                    self.CHEMKIN_CFD_parameters = self.__class__.CHEMKIN_CFD_parameters(service, version, mode, path + ["CHEMKIN_CFD_parameters"])
                    self.premixed_combustion = self.__class__.premixed_combustion(service, version, mode, path + ["premixed_combustion"])
                    self.partially_premixed_combustion_expert = self.__class__.partially_premixed_combustion_expert(service, version, mode, path + ["partially_premixed_combustion_expert"])
                    self.species_transport_expert = self.__class__.species_transport_expert(service, version, mode, path + ["species_transport_expert"])
                    self.reaction_diffusion_balance = self.__class__.reaction_diffusion_balance(service, version, mode, path + ["reaction_diffusion_balance"])
                    self.combustion_expert = self.__class__.combustion_expert(service, version, mode, path + ["combustion_expert"])
                    self.non_premixed_combustion = self.__class__.non_premixed_combustion(service, version, mode, path + ["non_premixed_combustion"])
                    self.reactor_network_model = self.__class__.reactor_network_model(service, version, mode, path + ["reactor_network_model"])
                    self.inert_transport_controls = self.__class__.inert_transport_controls(service, version, mode, path + ["inert_transport_controls"])
                    self.inert_transport_model = self.__class__.inert_transport_model(service, version, mode, path + ["inert_transport_model"])
                    self.thickened_flame_model = self.__class__.thickened_flame_model(service, version, mode, path + ["thickened_flame_model"])
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    self.re_calc_par_premix_props = self.__class__.re_calc_par_premix_props(service, version, mode, path + ["re_calc_par_premix_props"])
                    self.init_unsteady_flamelet_prob = self.__class__.init_unsteady_flamelet_prob(service, version, mode, path + ["init_unsteady_flamelet_prob"])
                    self.mass_deposition_source = self.__class__.mass_deposition_source(service, version, mode, path + ["mass_deposition_source"])
                    self.premixed_model = self.__class__.premixed_model(service, version, mode, path + ["premixed_model"])
                    self.ignition_model_controls = self.__class__.ignition_model_controls(service, version, mode, path + ["ignition_model_controls"])
                    self.epdf_energy = self.__class__.epdf_energy(service, version, mode, path + ["epdf_energy"])
                    self.save_gradients = self.__class__.save_gradients(service, version, mode, path + ["save_gradients"])
                    self.partially_premixed_properties = self.__class__.partially_premixed_properties(service, version, mode, path + ["partially_premixed_properties"])
                    self.diffusion_energy_source = self.__class__.diffusion_energy_source(service, version, mode, path + ["diffusion_energy_source"])
                    self.multicomponent_diffusion = self.__class__.multicomponent_diffusion(service, version, mode, path + ["multicomponent_diffusion"])
                    self.stiff_chemistry = self.__class__.stiff_chemistry(service, version, mode, path + ["stiff_chemistry"])
                    self.volumetric_reactions = self.__class__.volumetric_reactions(service, version, mode, path + ["volumetric_reactions"])
                    self.wall_surface_reactions = self.__class__.wall_surface_reactions(service, version, mode, path + ["wall_surface_reactions"])
                    self.pdf_transport_expert = self.__class__.pdf_transport_expert(service, version, mode, path + ["pdf_transport_expert"])
                    self.spark_model = self.__class__.spark_model(service, version, mode, path + ["spark_model"])
                    self.clear_isat_table = self.__class__.clear_isat_table(service, version, mode, path + ["clear_isat_table"])
                    self.set_premixed_combustion = self.__class__.set_premixed_combustion(service, version, mode, path + ["set_premixed_combustion"])
                    self.CHEMKIN_CFD = self.__class__.CHEMKIN_CFD(service, version, mode, path + ["CHEMKIN_CFD"])
                    self.full_tabulation = self.__class__.full_tabulation(service, version, mode, path + ["full_tabulation"])
                    self.electro_chemical_surface_reactions = self.__class__.electro_chemical_surface_reactions(service, version, mode, path + ["electro_chemical_surface_reactions"])
                    self.relax_to_equil = self.__class__.relax_to_equil(service, version, mode, path + ["relax_to_equil"])
                    self.coal_calculator = self.__class__.coal_calculator(service, version, mode, path + ["coal_calculator"])
                    self.water_corrosion_pre = self.__class__.water_corrosion_pre(service, version, mode, path + ["water_corrosion_pre"])
                    self.mixing_model = self.__class__.mixing_model(service, version, mode, path + ["mixing_model"])
                    self.import_flamelet_for_restart = self.__class__.import_flamelet_for_restart(service, version, mode, path + ["import_flamelet_for_restart"])
                    self.liquid_energy_diffusion = self.__class__.liquid_energy_diffusion(service, version, mode, path + ["liquid_energy_diffusion"])
                    self.partially_premixed_combustion_grids = self.__class__.partially_premixed_combustion_grids(service, version, mode, path + ["partially_premixed_combustion_grids"])
                    self.set_multi_regime_fgm = self.__class__.set_multi_regime_fgm(service, version, mode, path + ["set_multi_regime_fgm"])
                    self.decoupled_detailed_chemistry = self.__class__.decoupled_detailed_chemistry(service, version, mode, path + ["decoupled_detailed_chemistry"])
                    self.pdf_transport = self.__class__.pdf_transport(service, version, mode, path + ["pdf_transport"])
                    self.ignition_model = self.__class__.ignition_model(service, version, mode, path + ["ignition_model"])
                    self.species_migration = self.__class__.species_migration(service, version, mode, path + ["species_migration"])
                    self.particle_surface_reactions = self.__class__.particle_surface_reactions(service, version, mode, path + ["particle_surface_reactions"])
                    self.combustion_numerics = self.__class__.combustion_numerics(service, version, mode, path + ["combustion_numerics"])
                    self.thermal_diffusion = self.__class__.thermal_diffusion(service, version, mode, path + ["thermal_diffusion"])
                    self.heat_of_surface_reactions = self.__class__.heat_of_surface_reactions(service, version, mode, path + ["heat_of_surface_reactions"])
                    self.off = self.__class__.off(service, version, mode, path + ["off"])
                    self.surf_reaction_aggressiveness_factor = self.__class__.surf_reaction_aggressiveness_factor(service, version, mode, path + ["surf_reaction_aggressiveness_factor"])
                    self.reacting_channel_model_options = self.__class__.reacting_channel_model_options(service, version, mode, path + ["reacting_channel_model_options"])
                    self.partially_premixed_combustion_parameters = self.__class__.partially_premixed_combustion_parameters(service, version, mode, path + ["partially_premixed_combustion_parameters"])
                    self.surf_reaction_netm_params = self.__class__.surf_reaction_netm_params(service, version, mode, path + ["surf_reaction_netm_params"])
                    self.flamelet_expert = self.__class__.flamelet_expert(service, version, mode, path + ["flamelet_expert"])
                    self.non_premixed_combustion_expert = self.__class__.non_premixed_combustion_expert(service, version, mode, path + ["non_premixed_combustion_expert"])
                    self.set_turb_chem_interaction = self.__class__.set_turb_chem_interaction(service, version, mode, path + ["set_turb_chem_interaction"])
                    self.reacting_channel_model = self.__class__.reacting_channel_model(service, version, mode, path + ["reacting_channel_model"])
                    self.partially_premixed_combustion = self.__class__.partially_premixed_combustion(service, version, mode, path + ["partially_premixed_combustion"])
                    self.non_premixed_combustion_parameters = self.__class__.non_premixed_combustion_parameters(service, version, mode, path + ["non_premixed_combustion_parameters"])
                    self.liquid_micro_mixing = self.__class__.liquid_micro_mixing(service, version, mode, path + ["liquid_micro_mixing"])
                    self.integration_parameters = self.__class__.integration_parameters(service, version, mode, path + ["integration_parameters"])
                    self.species_transport = self.__class__.species_transport(service, version, mode, path + ["species_transport"])
                    super().__init__(service, version, mode, path)
                class premixed_combustion(TUIMethod):
                    """
                    Enables/disables premixed combustion model.
                    """
                class partially_premixed_combustion_expert(TUIMethod):
                    """
                    Sets PDF expert parameters.
                    """
                class species_transport_expert(TUIMethod):
                    """
                    Sets the convergence acceleration expert parameters. This command is only available 	when the species transport model is enabled.
                    """
                class reaction_diffusion_balance(TUIMethod):
                    """
                    Enables/disables reaction diffusion balance at reacting surface for surface 	reactions.
                    """
                class combustion_expert(TUIMethod):
                    """
                    Enables import of the CHEMKIN mechanism transport 	data. When this option is enabled, you will be prompted 	for importing CHEMKIN transport property database when 	setting your combustion case.
                    """
                class non_premixed_combustion(TUIMethod):
                    """
                    Enables/disables non-premixed combustion model.
                    """
                class reactor_network_model(TUIMethod):
                    """
                    Enables/disables the Reactor Network Model.
                    """
                class inert_transport_controls(TUIMethod):
                    """
                    Sets inert transport model parameters.
                    """
                class inert_transport_model(TUIMethod):
                    """
                    Enables/disables the inert transport model.
                    """
                class thickened_flame_model(TUIMethod):
                    """
                    Enables/disables the Relaxation to Chemical Equilibrium model.
                    """
                class inlet_diffusion(TUIMethod):
                    """
                    Enables/disables inclusion of diffusion at inlets.
                    """
                class re_calc_par_premix_props(TUIMethod):
                    """
                    Re-calculate partially-premixed properties.
                    """
                class init_unsteady_flamelet_prob(TUIMethod):
                    """
                    Initializes Unsteady Flamelet Probability.
                    """
                class mass_deposition_source(TUIMethod):
                    """
                    Enables/disables mass deposition source due to surface reactions.
                    """
                class premixed_model(TUIMethod):
                    """
                    Sets premixed combustion model.
                    """
                class ignition_model_controls(TUIMethod):
                    """
                    Sets ignition model parameters.
                    """
                class epdf_energy(TUIMethod):
                    """
                    Enables/disables EPDF energy option.
                    """
                class save_gradients(TUIMethod):
                    """
                    Enables/disables storage of species mass fraction gradients.
                    """
                class partially_premixed_properties(TUIMethod):
                    """
                    Sets/changes partially-premixed mixture properties. 	This command is only available when partially-premixed-combustion? 	is enabled.
                    """
                class diffusion_energy_source(TUIMethod):
                    """
                    Enables/disables diffusion energy source.
                    """
                class multicomponent_diffusion(TUIMethod):
                    """
                    Enables/disables multicomponent diffusion.
                    """
                class stiff_chemistry(TUIMethod):
                    """
                    Enables/disables stiff chemistry option.
                    """
                class volumetric_reactions(TUIMethod):
                    """
                    Enables/disables volumetric reactions.
                    """
                class wall_surface_reactions(TUIMethod):
                    """
                    Enables/disables wall surface reactions.
                    """
                class pdf_transport_expert(TUIMethod):
                    """
                    Enables/disables PDF Transport expert user.
                    """
                class spark_model(TUIMethod):
                    """
                    Switches between the R15 and R14.5 spark models and sets spark model 	parameters.
                    """
                class clear_isat_table(TUIMethod):
                    """
                    Clears ISAT table.
                    """
                class set_premixed_combustion(TUIMethod):
                    """
                    Sets premixed combustion parameters.
                    """
                class CHEMKIN_CFD(TUIMethod):
                    """
                    Enables/disables the Ansys CHEMKIN-CFD solver.
                    """
                class full_tabulation(TUIMethod):
                    """
                    Enables/disables building of a full 2-mixture fraction table.
                    """
                class electro_chemical_surface_reactions(TUIMethod):
                    """
                    Enables/disables electrochemical surface reactions.
                    """
                class relax_to_equil(TUIMethod):
                    """
                    Enables/disables the Relaxation to Chemical Equilibrium model.
                    """
                class coal_calculator(TUIMethod):
                    """
                    Sets up coal modeling inputs.
                    """
                class water_corrosion_pre(TUIMethod):
                    """
                    Compute water chemistry and set up corrosion material.
                    """
                class mixing_model(TUIMethod):
                    """
                    Sets PDF Transport mixing model.
                    """
                class import_flamelet_for_restart(TUIMethod):
                    """
                    Imports Flamelet File for Restart.
                    """
                class liquid_energy_diffusion(TUIMethod):
                    """
                    .
                    """
                class partially_premixed_combustion_grids(TUIMethod):
                    """
                    Sets values for the grid distribution for PDF table or 	flamelet parameter. This text command is available only 	for partially premixed combustion cases with FGM.
                    """
                class set_multi_regime_fgm(TUIMethod):
                    """
                    Set-multi-regim-fgm-parameters.
                    """
                class decoupled_detailed_chemistry(TUIMethod):
                    """
                    Enables/disables the Decoupled Detailed Chemistry model.
                    """
                class pdf_transport(TUIMethod):
                    """
                    Enables/disables the composition PDF transport combustion model.
                    """
                class ignition_model(TUIMethod):
                    """
                    Enables/disables the ignition model.
                    """
                class species_migration(TUIMethod):
                    """
                    Includes species migration in electric field. This command is available only when 	the electrochemical surface reactions are 	enabled.
                    """
                class particle_surface_reactions(TUIMethod):
                    """
                    Enables/disables particle surface reactions.
                    """
                class combustion_numerics(TUIMethod):
                    """
                    Applies optimal solver settings automatically to provide a faster solution time. 	This command is available only for transient 	non-premixed and partially premixed combustion 	models.
                    """
                class thermal_diffusion(TUIMethod):
                    """
                    Enables/disables thermal diffusion.
                    """
                class heat_of_surface_reactions(TUIMethod):
                    """
                    Enables/disables heat of surface reactions.
                    """
                class off(TUIMethod):
                    """
                    Enables/disables solution of species models.
                    """
                class surf_reaction_aggressiveness_factor(TUIMethod):
                    """
                    Sets the surface reaction aggressiveness factor.
                    """
                class reacting_channel_model_options(TUIMethod):
                    """
                    Sets Reacting Channel Model parameters.
                    """
                class partially_premixed_combustion_parameters(TUIMethod):
                    """
                    Sets PDF parameters.
                    """
                class surf_reaction_netm_params(TUIMethod):
                    """
                    Sets the surface reaction parameters for the Non-Equilibrium Thermal Model.
                    """
                class flamelet_expert(TUIMethod):
                    """
                    Sets flamelet expert parameters.
                    """
                class non_premixed_combustion_expert(TUIMethod):
                    """
                    Sets PDF expert parameters.
                    """
                class set_turb_chem_interaction(TUIMethod):
                    """
                    Sets EDC model constants.
                    """
                class reacting_channel_model(TUIMethod):
                    """
                    Enables/disables the Reacting Channel Model.
                    """
                class partially_premixed_combustion(TUIMethod):
                    """
                    Enables/disables partially premixed combustion model.
                    """
                class non_premixed_combustion_parameters(TUIMethod):
                    """
                    Sets PDF parameters.
                    """
                class liquid_micro_mixing(TUIMethod):
                    """
                    Enables/disables liquid micro mixing.
                    """
                class integration_parameters(TUIMethod):
                    """
                    Sets chemistry ODE integrator parameters. Enables/disables stiff chemistry 	acceleration methods and set their parameters.
                    """
                class species_transport(TUIMethod):
                    """
                    Enables/disables the species transport model.
                    """

                class CHEMKIN_CFD_parameters(TUIMenu):
                    """
                    Enters the expert CHEMKIN-CFD parameters menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                        self.list_cell_monitors = self.__class__.list_cell_monitors(service, version, mode, path + ["list_cell_monitors"])
                        self.basic_options = self.__class__.basic_options(service, version, mode, path + ["basic_options"])
                        self.delete_cell_monitors = self.__class__.delete_cell_monitors(service, version, mode, path + ["delete_cell_monitors"])
                        self.add_cell_monitor = self.__class__.add_cell_monitor(service, version, mode, path + ["add_cell_monitor"])
                        super().__init__(service, version, mode, path)
                    class advanced_options(TUIMethod):
                        """
                        Sets advanced parameter options.
                        """
                    class list_cell_monitors(TUIMethod):
                        """
                        Lists cell monitors.
                        """
                    class basic_options(TUIMethod):
                        """
                        Sets basic parameter options.
                        """
                    class delete_cell_monitors(TUIMethod):
                        """
                        Deletes cell monitors.
                        """
                    class add_cell_monitor(TUIMethod):
                        """
                        Monitors cell for debug output.
                        """

            class cht(TUIMenu):
                """
                Enters the cht (conjugate heat transfer) menu.
                """
                def __init__(self, service, version, mode, path):
                    self.explicit_time_averaged_coupling = self.__class__.explicit_time_averaged_coupling(service, version, mode, path + ["explicit_time_averaged_coupling"])
                    self.write_mi_type_wall = self.__class__.write_mi_type_wall(service, version, mode, path + ["write_mi_type_wall"])
                    self.read_mi_type_wall = self.__class__.read_mi_type_wall(service, version, mode, path + ["read_mi_type_wall"])
                    self.implicit_coupling = self.__class__.implicit_coupling(service, version, mode, path + ["implicit_coupling"])
                    super().__init__(service, version, mode, path)
                class write_mi_type_wall(TUIMethod):
                    """
                    Write mapped interface settings to a scv file.
                    """
                class read_mi_type_wall(TUIMethod):
                    """
                    Read mapped interface data settings from a csv file.
                    """
                class implicit_coupling(TUIMethod):
                    """
                    Enables the implicit mapping scheme for any 	fluid-solid pair with a mapped mesh interface (only 	required for cases set up in version 19.2 or 	earlier).
                    """

                class explicit_time_averaged_coupling(TUIMenu):
                    """
                    Enters the explicit time averaged thermal coupling 	menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mapped_interfaces = self.__class__.mapped_interfaces(service, version, mode, path + ["mapped_interfaces"])
                        self.fuse_explicit_cht_zones = self.__class__.fuse_explicit_cht_zones(service, version, mode, path + ["fuse_explicit_cht_zones"])
                        self.coupling_controls = self.__class__.coupling_controls(service, version, mode, path + ["coupling_controls"])
                        self.conformal_coupled_walls = self.__class__.conformal_coupled_walls(service, version, mode, path + ["conformal_coupled_walls"])
                        super().__init__(service, version, mode, path)
                    class mapped_interfaces(TUIMethod):
                        """
                        Select fluid-solid mapped interfaces for explicit coupling using time averaged thermal variables.
                        """
                    class fuse_explicit_cht_zones(TUIMethod):
                        """
                        Fuse slitted conformal coupled walls marked for transient explicit thermal coupling.
                        """
                    class coupling_controls(TUIMethod):
                        """
                        Specify explcit coupling controls.
                        """
                    class conformal_coupled_walls(TUIMethod):
                        """
                        Select fluid-solid coupled walls (without shell) for explicit coupling using time averaged thermal variables.
                        """

            class two_temperature(TUIMenu):
                """
                Enters the Two-Temperature model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.translational_vibrational_energy_relaxation = self.__class__.translational_vibrational_energy_relaxation(service, version, mode, path + ["translational_vibrational_energy_relaxation"])
                    self.set_verbosity = self.__class__.set_verbosity(service, version, mode, path + ["set_verbosity"])
                    self.nasa9_enhancement = self.__class__.nasa9_enhancement(service, version, mode, path + ["nasa9_enhancement"])
                    self.robustness_enhancement = self.__class__.robustness_enhancement(service, version, mode, path + ["robustness_enhancement"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class set_verbosity(TUIMethod):
                    """
                    Specifies the level of detail printed in the console 	about the Two-Temperature model. For a verbosity of one, 	Fluent will print the number of cells that reach the 	temperature limit, have an excessive temperature change, 	or get a negative temperature.
                    """
                class nasa9_enhancement(TUIMethod):
                    """
                    .
                    """
                class robustness_enhancement(TUIMethod):
                    """
                    Enables/disables the robustness enhancement, which is 	on by default.
                    """
                class enable(TUIMethod):
                    """
                    Enables/disables the Two-Temperature model.
                    """

                class translational_vibrational_energy_relaxation(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                        self.model = self.__class__.model(service, version, mode, path + ["model"])
                        super().__init__(service, version, mode, path)
                    class model(TUIMethod):
                        """
                        .
                        """

                    class expert(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.list_all = self.__class__.list_all(service, version, mode, path + ["list_all"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            self.number_of_objects = self.__class__.number_of_objects(service, version, mode, path + ["number_of_objects"])
                            super().__init__(service, version, mode, path)
                        class list_properties(TUIMethod):
                            """
                            .
                            """
                        class list_all(TUIMethod):
                            """
                            .
                            """
                        class edit(TUIMethod):
                            """
                            Edit expert object.
                            """
                        class number_of_objects(TUIMethod):
                            """
                            Set number of objects for expert.
                            """

            class viscous(TUIMenu):
                """
                Enters the viscous model menu.
                """
                def __init__(self, service, version, mode, path):
                    self.transition_model_options = self.__class__.transition_model_options(service, version, mode, path + ["transition_model_options"])
                    self.turbulence_expert = self.__class__.turbulence_expert(service, version, mode, path + ["turbulence_expert"])
                    self.geko_options = self.__class__.geko_options(service, version, mode, path + ["geko_options"])
                    self.multiphase_turbulence = self.__class__.multiphase_turbulence(service, version, mode, path + ["multiphase_turbulence"])
                    self.near_wall_treatment = self.__class__.near_wall_treatment(service, version, mode, path + ["near_wall_treatment"])
                    self.les_model_options = self.__class__.les_model_options(service, version, mode, path + ["les_model_options"])
                    self.les_subgrid_wmles_s_minus_omega = self.__class__.les_subgrid_wmles_s_minus_omega(service, version, mode, path + ["les_subgrid_wmles_s_minus_omega"])
                    self.zero_equation_hvac = self.__class__.zero_equation_hvac(service, version, mode, path + ["zero_equation_hvac"])
                    self.v2f = self.__class__.v2f(service, version, mode, path + ["v2f"])
                    self.mixing_length = self.__class__.mixing_length(service, version, mode, path + ["mixing_length"])
                    self.des_limiter_option = self.__class__.des_limiter_option(service, version, mode, path + ["des_limiter_option"])
                    self.rsm_ssg_pressure_strain = self.__class__.rsm_ssg_pressure_strain(service, version, mode, path + ["rsm_ssg_pressure_strain"])
                    self.les_subgrid_dynamic_fvar = self.__class__.les_subgrid_dynamic_fvar(service, version, mode, path + ["les_subgrid_dynamic_fvar"])
                    self.turb_compressibility = self.__class__.turb_compressibility(service, version, mode, path + ["turb_compressibility"])
                    self.les_subgrid_tke = self.__class__.les_subgrid_tke(service, version, mode, path + ["les_subgrid_tke"])
                    self.ke_easm = self.__class__.ke_easm(service, version, mode, path + ["ke_easm"])
                    self.kw_shear_correction = self.__class__.kw_shear_correction(service, version, mode, path + ["kw_shear_correction"])
                    self.corner_flow_correction = self.__class__.corner_flow_correction(service, version, mode, path + ["corner_flow_correction"])
                    self.rsm_omega_based = self.__class__.rsm_omega_based(service, version, mode, path + ["rsm_omega_based"])
                    self.k_kl_w = self.__class__.k_kl_w(service, version, mode, path + ["k_kl_w"])
                    self.add_intermittency_transition_model = self.__class__.add_intermittency_transition_model(service, version, mode, path + ["add_intermittency_transition_model"])
                    self.user_defined_transition = self.__class__.user_defined_transition(service, version, mode, path + ["user_defined_transition"])
                    self.large_eddy_simulation = self.__class__.large_eddy_simulation(service, version, mode, path + ["large_eddy_simulation"])
                    self.kw_low_re_correction = self.__class__.kw_low_re_correction(service, version, mode, path + ["kw_low_re_correction"])
                    self.detached_eddy_simulation = self.__class__.detached_eddy_simulation(service, version, mode, path + ["detached_eddy_simulation"])
                    self.rsm_solve_tke = self.__class__.rsm_solve_tke(service, version, mode, path + ["rsm_solve_tke"])
                    self.sas = self.__class__.sas(service, version, mode, path + ["sas"])
                    self.add_transition_model = self.__class__.add_transition_model(service, version, mode, path + ["add_transition_model"])
                    self.geko = self.__class__.geko(service, version, mode, path + ["geko"])
                    self.les_subgrid_wmles = self.__class__.les_subgrid_wmles(service, version, mode, path + ["les_subgrid_wmles"])
                    self.transition_sst = self.__class__.transition_sst(service, version, mode, path + ["transition_sst"])
                    self.les_subgrid_smagorinsky = self.__class__.les_subgrid_smagorinsky(service, version, mode, path + ["les_subgrid_smagorinsky"])
                    self.laminar = self.__class__.laminar(service, version, mode, path + ["laminar"])
                    self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
                    self.kw_geko = self.__class__.kw_geko(service, version, mode, path + ["kw_geko"])
                    self.ke_standard = self.__class__.ke_standard(service, version, mode, path + ["ke_standard"])
                    self.ke1e = self.__class__.ke1e(service, version, mode, path + ["ke1e"])
                    self.curvature_correction_ccurv = self.__class__.curvature_correction_ccurv(service, version, mode, path + ["curvature_correction_ccurv"])
                    self.sa_damping = self.__class__.sa_damping(service, version, mode, path + ["sa_damping"])
                    self.les_subgrid_sigma = self.__class__.les_subgrid_sigma(service, version, mode, path + ["les_subgrid_sigma"])
                    self.rsm_linear_pressure_strain = self.__class__.rsm_linear_pressure_strain(service, version, mode, path + ["rsm_linear_pressure_strain"])
                    self.rsm_bsl_based = self.__class__.rsm_bsl_based(service, version, mode, path + ["rsm_bsl_based"])
                    self.kw_standard = self.__class__.kw_standard(service, version, mode, path + ["kw_standard"])
                    self.trans_sst_roughness_correlation = self.__class__.trans_sst_roughness_correlation(service, version, mode, path + ["trans_sst_roughness_correlation"])
                    self.turb_buoyancy_effects = self.__class__.turb_buoyancy_effects(service, version, mode, path + ["turb_buoyancy_effects"])
                    self.inviscid = self.__class__.inviscid(service, version, mode, path + ["inviscid"])
                    self.les_subgrid_rng = self.__class__.les_subgrid_rng(service, version, mode, path + ["les_subgrid_rng"])
                    self.kw_easm = self.__class__.kw_easm(service, version, mode, path + ["kw_easm"])
                    self.sa_enhanced_wall_treatment = self.__class__.sa_enhanced_wall_treatment(service, version, mode, path + ["sa_enhanced_wall_treatment"])
                    self.rsm_or_earsm_geko_option = self.__class__.rsm_or_earsm_geko_option(service, version, mode, path + ["rsm_or_earsm_geko_option"])
                    self.kw_bsl = self.__class__.kw_bsl(service, version, mode, path + ["kw_bsl"])
                    self.ke_realizable = self.__class__.ke_realizable(service, version, mode, path + ["ke_realizable"])
                    self.sa_alternate_prod = self.__class__.sa_alternate_prod(service, version, mode, path + ["sa_alternate_prod"])
                    self.rng_swirl_model = self.__class__.rng_swirl_model(service, version, mode, path + ["rng_swirl_model"])
                    self.corner_flow_correction_ccorner = self.__class__.corner_flow_correction_ccorner(service, version, mode, path + ["corner_flow_correction_ccorner"])
                    self.rng_differential_visc = self.__class__.rng_differential_visc(service, version, mode, path + ["rng_differential_visc"])
                    self.les_subgrid_vreman = self.__class__.les_subgrid_vreman(service, version, mode, path + ["les_subgrid_vreman"])
                    self.curvature_correction = self.__class__.curvature_correction(service, version, mode, path + ["curvature_correction"])
                    self.kw_buoyancy_effects = self.__class__.kw_buoyancy_effects(service, version, mode, path + ["kw_buoyancy_effects"])
                    self.les_dynamic_energy_flux = self.__class__.les_dynamic_energy_flux(service, version, mode, path + ["les_dynamic_energy_flux"])
                    self.buoyancy_effects = self.__class__.buoyancy_effects(service, version, mode, path + ["buoyancy_effects"])
                    self.rsm_wall_echo = self.__class__.rsm_wall_echo(service, version, mode, path + ["rsm_wall_echo"])
                    self.low_pressure_boundary_slip = self.__class__.low_pressure_boundary_slip(service, version, mode, path + ["low_pressure_boundary_slip"])
                    self.les_subgrid_wale = self.__class__.les_subgrid_wale(service, version, mode, path + ["les_subgrid_wale"])
                    self.spalart_allmaras = self.__class__.spalart_allmaras(service, version, mode, path + ["spalart_allmaras"])
                    self.ke_rng = self.__class__.ke_rng(service, version, mode, path + ["ke_rng"])
                    self.les_dynamic_scalar_flux = self.__class__.les_dynamic_scalar_flux(service, version, mode, path + ["les_dynamic_scalar_flux"])
                    self.kw_sst = self.__class__.kw_sst(service, version, mode, path + ["kw_sst"])
                    self.kw_wj_bsl_earsm = self.__class__.kw_wj_bsl_earsm(service, version, mode, path + ["kw_wj_bsl_earsm"])
                    self.reynolds_stress_model = self.__class__.reynolds_stress_model(service, version, mode, path + ["reynolds_stress_model"])
                    super().__init__(service, version, mode, path)
                class les_subgrid_wmles_s_minus_omega(TUIMethod):
                    """
                    Enables/disables the WMLES -  subgrid-scale model.
                    """
                class zero_equation_hvac(TUIMethod):
                    """
                    Enables/disables zero-equation HVAC turbulence model.
                    """
                class v2f(TUIMethod):
                    """
                    Enables/disables V2F turbulence model.
                    """
                class mixing_length(TUIMethod):
                    """
                    Enables/disables mixing-length (algebraic) turbulence model.
                    """
                class des_limiter_option(TUIMethod):
                    """
                    Selects the DES limiter option (none, F1, F2, Delayed DES, or Improved Delayed 	DES).
                    """
                class rsm_ssg_pressure_strain(TUIMethod):
                    """
                    Enables/disables quadratic pressure-strain model in RSM.
                    """
                class les_subgrid_dynamic_fvar(TUIMethod):
                    """
                    Enables/disables the dynamic subgrid-scale mixture fraction variance model.
                    """
                class turb_compressibility(TUIMethod):
                    """
                    Enables/disables the compressibility correction option.
                    """
                class les_subgrid_tke(TUIMethod):
                    """
                    Enables/disables kinetic energy transport subgrid-scale model.
                    """
                class ke_easm(TUIMethod):
                    """
                    Enables/disables the EASM -  turbulence model.
                    """
                class kw_shear_correction(TUIMethod):
                    """
                    Enables/disables the -  shear-flow correction option. This 	text command is only available for the standard  -  model and the stress-omega RSM 	model.
                    """
                class corner_flow_correction(TUIMethod):
                    """
                    Enables/disables the corner flow correction.
                    """
                class rsm_omega_based(TUIMethod):
                    """
                    Enables/disables the stress-omega Reynolds stress model.
                    """
                class k_kl_w(TUIMethod):
                    """
                    Enables/disables the k-kl-  turbulence model.
                    """
                class add_intermittency_transition_model(TUIMethod):
                    """
                    Enable/disable the intermittency transition model to account for transitional effects.
                    """
                class user_defined_transition(TUIMethod):
                    """
                    Sets user-defined transition correlations.
                    """
                class large_eddy_simulation(TUIMethod):
                    """
                    Enables/disables large eddy simulation.
                    """
                class kw_low_re_correction(TUIMethod):
                    """
                    Enables/disables the -  low Re option.
                    """
                class detached_eddy_simulation(TUIMethod):
                    """
                    Enables/disables detached eddy simulation.
                    """
                class rsm_solve_tke(TUIMethod):
                    """
                    Enables/disables the solution of T.K.E. in RSM model.
                    """
                class sas(TUIMethod):
                    """
                    Enables/disables Scale-Adaptive Simulation (SAS) in combination with the SST  -  turbulence model.
                    """
                class add_transition_model(TUIMethod):
                    """
                    Sets Transition model to account for transitional effects. The default is none, however you can 	select gamma-algebraic or gamma-transport-eqn.  After a transition model has been enabled, you have additional options in the 	submenu transition-model-options.
                    """
                class geko(TUIMethod):
                    """
                    Enable/disable the GEKO model.
                    """
                class les_subgrid_wmles(TUIMethod):
                    """
                    Enables/disables the WMLES subgrid-scale model.
                    """
                class transition_sst(TUIMethod):
                    """
                    Enables/disables the transition SST turbulence model.
                    """
                class les_subgrid_smagorinsky(TUIMethod):
                    """
                    Enables/disables the Smagorinsky-Lilly subgrid-scale model.
                    """
                class laminar(TUIMethod):
                    """
                    Enables/disables laminar flow model.
                    """
                class user_defined(TUIMethod):
                    """
                    Selects user-defined functions to define the turbulent viscosity and the turbulent 	Prandtl and Schmidt numbers.
                    """
                class kw_geko(TUIMethod):
                    """
                    Enables/disables the generalized -  (GEKO) turbulence model.
                    """
                class ke_standard(TUIMethod):
                    """
                    Enables/disables the standard -  turbulence model.
                    """
                class ke1e(TUIMethod):
                    """
                    Enable/disable the KE1E turbulence model.
                    """
                class curvature_correction_ccurv(TUIMethod):
                    """
                    Sets the strength of the curvature correction term. 	The default value is 1. This is available after the curvature-correction? 	option is enabled.
                    """
                class sa_damping(TUIMethod):
                    """
                    Enables/disables full low-Reynolds number form of Spalart-Allmaras model. This option is only available if your response wasno to sa-enhanced-wall-treatment?.
                    """
                class les_subgrid_sigma(TUIMethod):
                    """
                    Enable/disable the Sigma subgrid-scale model.
                    """
                class rsm_linear_pressure_strain(TUIMethod):
                    """
                    Enables/disables the linear pressure-strain model in RSM.
                    """
                class rsm_bsl_based(TUIMethod):
                    """
                    Enables/disables the stress-BSL Reynolds stress model.
                    """
                class kw_standard(TUIMethod):
                    """
                    Enables/disables the standard -  turbulence model.
                    """
                class trans_sst_roughness_correlation(TUIMethod):
                    """
                    Enables/disables the Transition-SST roughness correlation option.
                    """
                class turb_buoyancy_effects(TUIMethod):
                    """
                    Enables/disables effects of buoyancy on 	turbulence.
                    """
                class inviscid(TUIMethod):
                    """
                    Enables/disables inviscid flow model.
                    """
                class les_subgrid_rng(TUIMethod):
                    """
                    Enable/disable the RNG subgrid-scale model.
                    """
                class kw_easm(TUIMethod):
                    """
                    Enables/disables the EASM -  turbulence model.
                    """
                class sa_enhanced_wall_treatment(TUIMethod):
                    """
                    Enables/disables the enhanced wall treatment for the Spalart-Allmaras model. If 	disabled, no smooth blending between the viscous 	sublayer and the log-law formulation is employed, as was 	done in versions previous to Fluent 14.
                    """
                class rsm_or_earsm_geko_option(TUIMethod):
                    """
                    Enables/disables the RSM version of the GEKO model.
                    """
                class kw_bsl(TUIMethod):
                    """
                    Enables/disables the baseline (BSL) -  turbulence model.
                    """
                class ke_realizable(TUIMethod):
                    """
                    Enables/disables the realizable -  turbulence model.
                    """
                class sa_alternate_prod(TUIMethod):
                    """
                    Enables/disables strain/vorticity production in Spalart-Allmaras model.
                    """
                class rng_swirl_model(TUIMethod):
                    """
                    Enables/disables swirl corrections for rng-model.
                    """
                class corner_flow_correction_ccorner(TUIMethod):
                    """
                    Sets the strength of the quadratic term of the corner flow correction. The default 	value is 1. This is available after the corner-flow-correction? 	option is enabled.
                    """
                class rng_differential_visc(TUIMethod):
                    """
                    Enables/disables the differential-viscosity model.
                    """
                class les_subgrid_vreman(TUIMethod):
                    """
                    Enable/disable the Vreman subgrid-scale model.
                    """
                class curvature_correction(TUIMethod):
                    """
                    Enables/disables the curvature correction.
                    """
                class kw_buoyancy_effects(TUIMethod):
                    """
                    Enable/disable effects of buoyancy on k-omega turbulence model.
                    """
                class les_dynamic_energy_flux(TUIMethod):
                    """
                    Enables/disables the dynamic sub-grid scale turbulent Prandtl Number.
                    """
                class buoyancy_effects(TUIMethod):
                    """
                    Enable/disable effects of buoyancy on turbulence.
                    """
                class rsm_wall_echo(TUIMethod):
                    """
                    Enables/disables wall-echo effects in RSM model.
                    """
                class low_pressure_boundary_slip(TUIMethod):
                    """
                    Enables/disables the slip boundary formulation for 	low-pressure gas systems.
                    """
                class les_subgrid_wale(TUIMethod):
                    """
                    Enables/disables WALE subgrid-scale model.
                    """
                class spalart_allmaras(TUIMethod):
                    """
                    Enables/disables Spalart-Allmaras turbulence model.
                    """
                class ke_rng(TUIMethod):
                    """
                    Enables/disables the RNG -  turbulence model.
                    """
                class les_dynamic_scalar_flux(TUIMethod):
                    """
                    Enables/disables the dynamic sub-grid scale turbulent Schmidt Number.
                    """
                class kw_sst(TUIMethod):
                    """
                    Enables/disables the SST -  turbulence model.
                    """
                class kw_wj_bsl_earsm(TUIMethod):
                    """
                    Enable/disable the EASM k-omega turbulence model.
                    """
                class reynolds_stress_model(TUIMethod):
                    """
                    Enables/disables the Reynolds-stress turbulence model.
                    """

                class transition_model_options(TUIMenu):
                    """
                    Enters the transition model options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.capg_lowtu = self.__class__.capg_lowtu(service, version, mode, path + ["capg_lowtu"])
                        self.capg_hightu = self.__class__.capg_hightu(service, version, mode, path + ["capg_hightu"])
                        self.crossflow_transition = self.__class__.crossflow_transition(service, version, mode, path + ["crossflow_transition"])
                        self.rv1_switch = self.__class__.rv1_switch(service, version, mode, path + ["rv1_switch"])
                        self.clambda_scale = self.__class__.clambda_scale(service, version, mode, path + ["clambda_scale"])
                        self.cfpg_hightu = self.__class__.cfpg_hightu(service, version, mode, path + ["cfpg_hightu"])
                        self.critical_reynolds_number_correlation = self.__class__.critical_reynolds_number_correlation(service, version, mode, path + ["critical_reynolds_number_correlation"])
                        self.cbubble_c1 = self.__class__.cbubble_c1(service, version, mode, path + ["cbubble_c1"])
                        self.rec_max = self.__class__.rec_max(service, version, mode, path + ["rec_max"])
                        self.cbubble_c2 = self.__class__.cbubble_c2(service, version, mode, path + ["cbubble_c2"])
                        self.rec_c1 = self.__class__.rec_c1(service, version, mode, path + ["rec_c1"])
                        self.cfpg_lowtu = self.__class__.cfpg_lowtu(service, version, mode, path + ["cfpg_lowtu"])
                        self.rec_c2 = self.__class__.rec_c2(service, version, mode, path + ["rec_c2"])
                        self.ctu_lowtu = self.__class__.ctu_lowtu(service, version, mode, path + ["ctu_lowtu"])
                        self.ctu_hightu = self.__class__.ctu_hightu(service, version, mode, path + ["ctu_hightu"])
                        super().__init__(service, version, mode, path)
                    class capg_lowtu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CAPG_LOWTU.
                        """
                    class capg_hightu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CAPG_HIGHTU.
                        """
                    class crossflow_transition(TUIMethod):
                        """
                        Enables/disables the effects of crossflow instability.
                        """
                    class rv1_switch(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient RV1_SWITCH.
                        """
                    class clambda_scale(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CLAMBDA_SCALE.
                        """
                    class cfpg_hightu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CFPG_HIGHTU.
                        """
                    class critical_reynolds_number_correlation(TUIMethod):
                        """
                        Sets the critical Reynolds number correlation.
                        """
                    class cbubble_c1(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CBUBBLE_C1.
                        """
                    class rec_max(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient REC_MAX.
                        """
                    class cbubble_c2(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CBUBBLE_C2.
                        """
                    class rec_c1(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient REC_C1.
                        """
                    class cfpg_lowtu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CFPG_LOWTU.
                        """
                    class rec_c2(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient REC_C2.
                        """
                    class ctu_lowtu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CTU_LOWTU.
                        """
                    class ctu_hightu(TUIMethod):
                        """
                        Sets the algebraic transition model coefficient CTU_HIGHTU.
                        """

                class turbulence_expert(TUIMenu):
                    """
                    Enters the turbulence expert menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.turb_add_sbes_sdes = self.__class__.turb_add_sbes_sdes(service, version, mode, path + ["turb_add_sbes_sdes"])
                        self.turb_non_newtonian = self.__class__.turb_non_newtonian(service, version, mode, path + ["turb_non_newtonian"])
                        self.sbes_sgs_option = self.__class__.sbes_sgs_option(service, version, mode, path + ["sbes_sgs_option"])
                        self.sbes_sdes_hybrid_model = self.__class__.sbes_sdes_hybrid_model(service, version, mode, path + ["sbes_sdes_hybrid_model"])
                        self.turbulence_damping = self.__class__.turbulence_damping(service, version, mode, path + ["turbulence_damping"])
                        self.production_limiter = self.__class__.production_limiter(service, version, mode, path + ["production_limiter"])
                        self.low_re_ke_index = self.__class__.low_re_ke_index(service, version, mode, path + ["low_re_ke_index"])
                        self.rke_cmu_rotation_term = self.__class__.rke_cmu_rotation_term(service, version, mode, path + ["rke_cmu_rotation_term"])
                        self.thermal_p_function = self.__class__.thermal_p_function(service, version, mode, path + ["thermal_p_function"])
                        self.kato_launder_model = self.__class__.kato_launder_model(service, version, mode, path + ["kato_launder_model"])
                        self.restore_sst_v61 = self.__class__.restore_sst_v61(service, version, mode, path + ["restore_sst_v61"])
                        self.turb_pk_compressible = self.__class__.turb_pk_compressible(service, version, mode, path + ["turb_pk_compressible"])
                        self.curvature_correction_coefficient = self.__class__.curvature_correction_coefficient(service, version, mode, path + ["curvature_correction_coefficient"])
                        self.low_re_ke = self.__class__.low_re_ke(service, version, mode, path + ["low_re_ke"])
                        self.non_newtonian_modification = self.__class__.non_newtonian_modification(service, version, mode, path + ["non_newtonian_modification"])
                        self.kw_add_sas = self.__class__.kw_add_sas(service, version, mode, path + ["kw_add_sas"])
                        self.kw_vorticity_based_production = self.__class__.kw_vorticity_based_production(service, version, mode, path + ["kw_vorticity_based_production"])
                        self.sbes_update_interval_k_omega = self.__class__.sbes_update_interval_k_omega(service, version, mode, path + ["sbes_update_interval_k_omega"])
                        self.kw_add_des = self.__class__.kw_add_des(service, version, mode, path + ["kw_add_des"])
                        self.sbes_les_subgrid_dynamic_fvar = self.__class__.sbes_les_subgrid_dynamic_fvar(service, version, mode, path + ["sbes_les_subgrid_dynamic_fvar"])
                        super().__init__(service, version, mode, path)
                    class turb_add_sbes_sdes(TUIMethod):
                        """
                        Enables/disables the Stress-Blended Eddy Simulation (SBES) model or Shielded Detached Eddy Simulation (SDES) model.
                        """
                    class turb_non_newtonian(TUIMethod):
                        """
                        Enables/disables turbulence for non-Newtonian fluids.
                        """
                    class sbes_sgs_option(TUIMethod):
                        """
                        Selects the subgrid-scale model for the LES portion of your Stress-Blended Eddy Simulation (SBES).
                        """
                    class sbes_sdes_hybrid_model(TUIMethod):
                        """
                        Selects the hybrid model, to specify whether you want to apply the Shielded Detached Eddy Simulation (SDES) model, Stress-Blended Eddy Simulation (SBES), or SBES with a user-defined function.
                        """
                    class turbulence_damping(TUIMethod):
                        """
                        Enables/disables turbulence damping and sets turbulence damping parameters.
                        """
                    class production_limiter(TUIMethod):
                        """
                        Enables/disables Production Limiter modification.
                        """
                    class low_re_ke_index(TUIMethod):
                        """
                        Specifies which low-Reynolds-number -  model is to be used. Six models are available:
                        Index
                        Model
                        0
                        Abid
                        1
                        Lam-Bremhorst
                        2
                        Launder-Sharma
                        3
                        Yang-Shih
                        4
                        Abe-Kondoh-Nagano
                        5
                        Chang-Hsieh-Chen
                        Contact your Ansys, Inc. technical support engineer for more details.
                        """
                    class rke_cmu_rotation_term(TUIMethod):
                        """
                        Modifies the  definition for the realizable  -  model.
                        """
                    class thermal_p_function(TUIMethod):
                        """
                        Enables/disables Jayatilleke P function.
                        """
                    class kato_launder_model(TUIMethod):
                        """
                        Enables/disables Kato-Launder modification.
                        """
                    class restore_sst_v61(TUIMethod):
                        """
                        Enables/disables SST formulation of v6.1.
                        """
                    class turb_pk_compressible(TUIMethod):
                        """
                        Enables/disables turbulent production due to compressible divergence.
                        """
                    class curvature_correction_coefficient(TUIMethod):
                        """
                        Set the strength of the curvature correction term. The default value is 1.
                        """
                    class low_re_ke(TUIMethod):
                        """
                        Enables/disables the low-Re -  turbulence model.
                        """
                    class non_newtonian_modification(TUIMethod):
                        """
                        Enables/disables non-Newtonian modification for Lam-Bremhorst model.
                        """
                    class kw_add_sas(TUIMethod):
                        """
                        Enables/disables Scale-Adaptive Simulation (SAS) in combination with the currently selected -based URANS turbulence model. This text command is only available for transient cases.
                        """
                    class kw_vorticity_based_production(TUIMethod):
                        """
                        Enables/disables vorticity-based production.
                        """
                    class sbes_update_interval_k_omega(TUIMethod):
                        """
                        Sets the number of time steps between updates of the k-ω part of the SBES model.
                        """
                    class kw_add_des(TUIMethod):
                        """
                        Enables/disables Detached Eddy Simulation (DES) in combination with the currently selected BSL -  model or transition SST model. This text command is only available for transient cases.
                        """
                    class sbes_les_subgrid_dynamic_fvar(TUIMethod):
                        """
                        .
                        """

                class geko_options(TUIMenu):
                    """
                    Enters the GEKO model menu..
                    """
                    def __init__(self, service, version, mode, path):
                        self.cbf_tur = self.__class__.cbf_tur(service, version, mode, path + ["cbf_tur"])
                        self.creal = self.__class__.creal(service, version, mode, path + ["creal"])
                        self.geko_defaults = self.__class__.geko_defaults(service, version, mode, path + ["geko_defaults"])
                        self.cbf_lam = self.__class__.cbf_lam(service, version, mode, path + ["cbf_lam"])
                        self.cjet = self.__class__.cjet(service, version, mode, path + ["cjet"])
                        self.cjet_aux = self.__class__.cjet_aux(service, version, mode, path + ["cjet_aux"])
                        self.cmix = self.__class__.cmix(service, version, mode, path + ["cmix"])
                        self.csep = self.__class__.csep(service, version, mode, path + ["csep"])
                        self.cnw_sub = self.__class__.cnw_sub(service, version, mode, path + ["cnw_sub"])
                        self.wall_distance_free = self.__class__.wall_distance_free(service, version, mode, path + ["wall_distance_free"])
                        self.blending_function = self.__class__.blending_function(service, version, mode, path + ["blending_function"])
                        self.cnw = self.__class__.cnw(service, version, mode, path + ["cnw"])
                        super().__init__(service, version, mode, path)
                    class cbf_tur(TUIMethod):
                        """
                        Setscbf_tur, a factor for the main blending factor, controlling the thickness of the layer near walls.
                        """
                    class creal(TUIMethod):
                        """
                        Setscreal, a realizability limiter that ensures positive normal stresses in the entire domain.
                        """
                    class geko_defaults(TUIMethod):
                        """
                        Restores the defaults of all GEKO parameters.
                        """
                    class cbf_lam(TUIMethod):
                        """
                        Setscbf_lam, a part of the blending function and shields the laminar boundary layer.
                        """
                    class cjet(TUIMethod):
                        """
                        Setscjet, the parameter to optimize free shear layer mixing (optimize free jets independent of mixing layer).
                        """
                    class cjet_aux(TUIMethod):
                        """
                        Setscjet_aux, which allows fine-tuning of the parameter to optimize free jets.
                        """
                    class cmix(TUIMethod):
                        """
                        Setscmix, the parameter to optimize strength of mixing in free shear flows.
                        """
                    class csep(TUIMethod):
                        """
                        Setscsep, the parameter to optimize flow separation from smooth surfaces.
                        """
                    class cnw_sub(TUIMethod):
                        """
                        Setscnw_sub, which allows the adjustment of log-layer and cf.
                        """
                    class wall_distance_free(TUIMethod):
                        """
                        Enables/disables the wall distance free version of the GEKO model.
                        """
                    class blending_function(TUIMethod):
                        """
                        Sets the blending function, which deactivatescmix and cjet inside boundary layers.
                        """
                    class cnw(TUIMethod):
                        """
                        Setscnw, the parameter to optimize flow in non-equilibrium near wall regions.
                        """

                class multiphase_turbulence(TUIMenu):
                    """
                    Enters the multiphase turbulence menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.rsm_multiphase_models = self.__class__.rsm_multiphase_models(service, version, mode, path + ["rsm_multiphase_models"])
                        self.subgrid_turbulence_contribution_aiad = self.__class__.subgrid_turbulence_contribution_aiad(service, version, mode, path + ["subgrid_turbulence_contribution_aiad"])
                        self.multiphase_options = self.__class__.multiphase_options(service, version, mode, path + ["multiphase_options"])
                        self.turbulence_multiphase_models = self.__class__.turbulence_multiphase_models(service, version, mode, path + ["turbulence_multiphase_models"])
                        super().__init__(service, version, mode, path)
                    class rsm_multiphase_models(TUIMethod):
                        """
                        Selects Reynolds Stress multiphase model.
                        """
                    class subgrid_turbulence_contribution_aiad(TUIMethod):
                        """
                        .
                        """
                    class multiphase_options(TUIMethod):
                        """
                        Enables/disables multiphase options.
                        """
                    class turbulence_multiphase_models(TUIMethod):
                        """
                        Selects -  multiphase model.
                        """

                class near_wall_treatment(TUIMenu):
                    """
                    Enters the near wall treatment menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.wf_thermal_effects = self.__class__.wf_thermal_effects(service, version, mode, path + ["wf_thermal_effects"])
                        self.user_defined_wall_functions = self.__class__.user_defined_wall_functions(service, version, mode, path + ["user_defined_wall_functions"])
                        self.enhanced_wall_treatment = self.__class__.enhanced_wall_treatment(service, version, mode, path + ["enhanced_wall_treatment"])
                        self.wall_omega_treatment = self.__class__.wall_omega_treatment(service, version, mode, path + ["wall_omega_treatment"])
                        self.harmonic_blend_rplus_wf = self.__class__.harmonic_blend_rplus_wf(service, version, mode, path + ["harmonic_blend_rplus_wf"])
                        self.non_equilibrium_wall_fn = self.__class__.non_equilibrium_wall_fn(service, version, mode, path + ["non_equilibrium_wall_fn"])
                        self.menter_lechner = self.__class__.menter_lechner(service, version, mode, path + ["menter_lechner"])
                        self.scalable_wall_functions = self.__class__.scalable_wall_functions(service, version, mode, path + ["scalable_wall_functions"])
                        self.werner_wengle_wall_fn = self.__class__.werner_wengle_wall_fn(service, version, mode, path + ["werner_wengle_wall_fn"])
                        self.wf_pressure_gradient_effects = self.__class__.wf_pressure_gradient_effects(service, version, mode, path + ["wf_pressure_gradient_effects"])
                        super().__init__(service, version, mode, path)
                    class wf_thermal_effects(TUIMethod):
                        """
                        Enables/disables wall function thermal effects.
                        """
                    class user_defined_wall_functions(TUIMethod):
                        """
                        Enables/disables user-defined wall functions.
                        """
                    class enhanced_wall_treatment(TUIMethod):
                        """
                        Enables/disables enhanced wall functions.
                        """
                    class wall_omega_treatment(TUIMethod):
                        """
                        .
                        """
                    class harmonic_blend_rplus_wf(TUIMethod):
                        """
                        Enable/disable harmonic blended wall functions based on r-plus.
                        """
                    class non_equilibrium_wall_fn(TUIMethod):
                        """
                        Enables/disables non-equilibrium wall functions.
                        """
                    class menter_lechner(TUIMethod):
                        """
                        Enables/disables the Menter-Lechner near-wall treatment.
                        """
                    class scalable_wall_functions(TUIMethod):
                        """
                        Enables/disables scalable wall functions.
                        """
                    class werner_wengle_wall_fn(TUIMethod):
                        """
                        Enables/disables Werner-Wengle wall functions.
                        """
                    class wf_pressure_gradient_effects(TUIMethod):
                        """
                        Enables/disables wall function pressure- gradient effects.
                        """

                class les_model_options(TUIMenu):
                    """
                    Enter the LES model options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.cw1 = self.__class__.cw1(service, version, mode, path + ["cw1"])
                        self.cvreman = self.__class__.cvreman(service, version, mode, path + ["cvreman"])
                        self.near_wall_rans_layer = self.__class__.near_wall_rans_layer(service, version, mode, path + ["near_wall_rans_layer"])
                        self.csigma = self.__class__.csigma(service, version, mode, path + ["csigma"])
                        self.cw2 = self.__class__.cw2(service, version, mode, path + ["cw2"])
                        super().__init__(service, version, mode, path)
                    class cw1(TUIMethod):
                        """
                        .
                        """
                    class cvreman(TUIMethod):
                        """
                        .
                        """
                    class near_wall_rans_layer(TUIMethod):
                        """
                        .
                        """
                    class csigma(TUIMethod):
                        """
                        .
                        """
                    class cw2(TUIMethod):
                        """
                        .
                        """

            class electrolysis_setup(TUIMenu):
                """
                Enter the electrolysis and H2 pump model setup menu.
                """
                def __init__(self, service, version, mode, path):
                    self.advanced_setup = self.__class__.advanced_setup(service, version, mode, path + ["advanced_setup"])
                    self.cathode_setup = self.__class__.cathode_setup(service, version, mode, path + ["cathode_setup"])
                    self.membrane_setup = self.__class__.membrane_setup(service, version, mode, path + ["membrane_setup"])
                    self.anode_setup = self.__class__.anode_setup(service, version, mode, path + ["anode_setup"])
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    self.electrical_tabs_setup = self.__class__.electrical_tabs_setup(service, version, mode, path + ["electrical_tabs_setup"])
                    self.model_options = self.__class__.model_options(service, version, mode, path + ["model_options"])
                    super().__init__(service, version, mode, path)
                class parameters(TUIMethod):
                    """
                    Specify electrolysis model parameters.
                    """
                class electrical_tabs_setup(TUIMethod):
                    """
                    Specify settings for the electrical tabs.
                    """
                class model_options(TUIMethod):
                    """
                    Specify electrolysis model options.
                    """

                class advanced_setup(TUIMenu):
                    """
                    Enter the menu for the advanced controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.contact_resistivity = self.__class__.contact_resistivity(service, version, mode, path + ["contact_resistivity"])
                        super().__init__(service, version, mode, path)
                    class contact_resistivity(TUIMethod):
                        """
                        Set Contact Resistivity.
                        """

                class cathode_setup(TUIMenu):
                    """
                    Enter the menu for the cathode controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        super().__init__(service, version, mode, path)
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """

                class membrane_setup(TUIMenu):
                    """
                    Specify parameters for electrolyte.
                    """
                    def __init__(self, service, version, mode, path):
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        super().__init__(service, version, mode, path)
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """

                class anode_setup(TUIMenu):
                    """
                    Enter the menu for the anode controls.
                    """
                    def __init__(self, service, version, mode, path):
                        self.current_collector = self.__class__.current_collector(service, version, mode, path + ["current_collector"])
                        self.flow_channel = self.__class__.flow_channel(service, version, mode, path + ["flow_channel"])
                        self.electrolyte = self.__class__.electrolyte(service, version, mode, path + ["electrolyte"])
                        self.porous_layer = self.__class__.porous_layer(service, version, mode, path + ["porous_layer"])
                        self.catalyst_layer = self.__class__.catalyst_layer(service, version, mode, path + ["catalyst_layer"])
                        super().__init__(service, version, mode, path)
                    class current_collector(TUIMethod):
                        """
                        Set parameters for the current collector.
                        """
                    class flow_channel(TUIMethod):
                        """
                        Set parameters for the flow channel.
                        """
                    class electrolyte(TUIMethod):
                        """
                        Set parameters for the electrolyte.
                        """
                    class porous_layer(TUIMethod):
                        """
                        Set parameters for the porous layer.
                        """
                    class catalyst_layer(TUIMethod):
                        """
                        Set parameters for the catalyst layer.
                        """

            class nox_parameters(TUIMenu):
                """
                Enters the NOx parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.inlet_diffusion = self.__class__.inlet_diffusion(service, version, mode, path + ["inlet_diffusion"])
                    self.nox_chemistry = self.__class__.nox_chemistry(service, version, mode, path + ["nox_chemistry"])
                    self.nox_expert = self.__class__.nox_expert(service, version, mode, path + ["nox_expert"])
                    self.nox_turbulence_interaction = self.__class__.nox_turbulence_interaction(service, version, mode, path + ["nox_turbulence_interaction"])
                    super().__init__(service, version, mode, path)
                class inlet_diffusion(TUIMethod):
                    """
                    Enables/disables inclusion of diffusion at inlets.
                    """
                class nox_chemistry(TUIMethod):
                    """
                    Selects NOx chemistry model.
                    """
                class nox_expert(TUIMethod):
                    """
                    Selects additional NOx equations.
                    """
                class nox_turbulence_interaction(TUIMethod):
                    """
                    Sets NOx turbulence interaction model.
                    """

        class overset_interfaces(TUIMenu):
            """
            Enters the overset interfaces menu.
            """
            def __init__(self, service, version, mode, path):
                self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
                self.cut_control = self.__class__.cut_control(service, version, mode, path + ["cut_control"])
                self.options = self.__class__.options(service, version, mode, path + ["options"])
                self.check = self.__class__.check(service, version, mode, path + ["check"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                self.fill_dci = self.__class__.fill_dci(service, version, mode, path + ["fill_dci"])
                self.find_bounding_cell = self.__class__.find_bounding_cell(service, version, mode, path + ["find_bounding_cell"])
                self.intersect = self.__class__.intersect(service, version, mode, path + ["intersect"])
                self.write_dci = self.__class__.write_dci(service, version, mode, path + ["write_dci"])
                self.clear_all = self.__class__.clear_all(service, version, mode, path + ["clear_all"])
                self.display_cells = self.__class__.display_cells(service, version, mode, path + ["display_cells"])
                self.update_from_dci = self.__class__.update_from_dci(service, version, mode, path + ["update_from_dci"])
                self.free_dci = self.__class__.free_dci(service, version, mode, path + ["free_dci"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.read_dci_from_case = self.__class__.read_dci_from_case(service, version, mode, path + ["read_dci_from_case"])
                self.set_mark_bounds = self.__class__.set_mark_bounds(service, version, mode, path + ["set_mark_bounds"])
                self.mark_cell_change = self.__class__.mark_cell_change(service, version, mode, path + ["mark_cell_change"])
                self.find_all_bounding_cells = self.__class__.find_all_bounding_cells(service, version, mode, path + ["find_all_bounding_cells"])
                self.grid_priorities = self.__class__.grid_priorities(service, version, mode, path + ["grid_priorities"])
                self.intersect_all = self.__class__.intersect_all(service, version, mode, path + ["intersect_all"])
                self.debug_hole_cut = self.__class__.debug_hole_cut(service, version, mode, path + ["debug_hole_cut"])
                self.mark_cells = self.__class__.mark_cells(service, version, mode, path + ["mark_cells"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.write_dci_to_case = self.__class__.write_dci_to_case(service, version, mode, path + ["write_dci_to_case"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.write_cell_types = self.__class__.write_cell_types(service, version, mode, path + ["write_cell_types"])
                super().__init__(service, version, mode, path)
            class check(TUIMethod):
                """
                Checks the integrity of the overset interfaces. Reports orphan cells and errors in the domain connectivity.
                """
            class list(TUIMethod):
                """
                Lists information about the overset interfaces. The output depends on the overset verbosity setting.
                """
            class clear(TUIMethod):
                """
                Clears the domain connectivity of an overset interface. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class fill_dci(TUIMethod):
                """
                Fill overset domain connectivity information (DCI).
                """
            class find_bounding_cell(TUIMethod):
                """
                Find bounding cell for given cell or search point.
                """
            class intersect(TUIMethod):
                """
                Executes the hole cutting of an overset interface and establishes the domain connectivity. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class write_dci(TUIMethod):
                """
                Save domain connectivity information (DCI) to a text file.
                """
            class clear_all(TUIMethod):
                """
                Clears the domain connectivity of all overset interfaces. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class display_cells(TUIMethod):
                """
                Displays the overset cells marked using the text command define/overset-interfaces/mark-cells.
                """
            class update_from_dci(TUIMethod):
                """
                Update all overset intrfaces from stored domain connectivity information (DCI).
                """
            class free_dci(TUIMethod):
                """
                Free overset domain connectivity information (DCI).
                """
            class create(TUIMethod):
                """
                Creates an overset interface.
                """
            class read_dci_from_case(TUIMethod):
                """
                Read domain connectivity information (DCI) from case file.
                """
            class set_mark_bounds(TUIMethod):
                """
                Allows you to set bounds so that any marking of cells is performed within a spherical region based on a specified origin and radius. This can be useful when diagnosing a local problem on a large mesh. This text command is only available if define/overset-interfaces/options/expert? is set to yes. After defining the bounds, you can then mark the cells using the define/overset-interfaces/mark-cell-change or define/overset-interfaces/mark-cells text command. To disable the bounds, enter a radius of 0.
                """
            class mark_cell_change(TUIMethod):
                """
                Marks cells that have undergone a specified overset cell type change (from solve,receptor, or dead to any other type) in the last time step. Adaption registers are automatically filled based on these markings. This text command is only available for unsteady simulations and if define/overset-interfaces/options/expert? is set to yes.
                """
            class find_all_bounding_cells(TUIMethod):
                """
                Find bounding cells for all cell centroids.
                """
            class grid_priorities(TUIMethod):
                """
                Allows you to specify grid priorities on background and component meshes, used in the overlap minimization of an overset interface.
                """
            class intersect_all(TUIMethod):
                """
                Executes hole cutting for all overset interfaces in the domain. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class debug_hole_cut(TUIMethod):
                """
                Debugging tool to troubleshoot hole cutting of overset interfaces. This text command is only available when define/overset-interfaces/options/expert? is set to yes.
                """
            class mark_cells(TUIMethod):
                """
                Marks the specified overset cells (solve, receptor, donor, orphan, or dead) and fills registers based on the markings. Display the marked cells via the text command define/overset-interfaces/display-cells.
                """
            class delete_all(TUIMethod):
                """
                Deletes all overset interfaces in the domain.
                """
            class write_dci_to_case(TUIMethod):
                """
                Save domain connectivity information (DCI) to case file.
                """
            class delete(TUIMethod):
                """
                Deletes an overset interface.
                """
            class write_cell_types(TUIMethod):
                """
                Write overset cell types into file.
                """

            class adapt(TUIMenu):
                """
                Enters the overset adaption menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    self.adapt_mesh = self.__class__.adapt_mesh(service, version, mode, path + ["adapt_mesh"])
                    self.mark_adaption = self.__class__.mark_adaption(service, version, mode, path + ["mark_adaption"])
                    super().__init__(service, version, mode, path)
                class adapt_mesh(TUIMethod):
                    """
                    Marks and adapts the mesh to improve your overset 	mesh.
                    """
                class mark_adaption(TUIMethod):
                    """
                    Marks cells to identify those that can be adapted in 	order to improve your overset mesh.
                    """

                class set(TUIMenu):
                    """
                    Enters the overset adaption set menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.maximum_refinement_level = self.__class__.maximum_refinement_level(service, version, mode, path + ["maximum_refinement_level"])
                        self.automatic = self.__class__.automatic(service, version, mode, path + ["automatic"])
                        self.mark_size = self.__class__.mark_size(service, version, mode, path + ["mark_size"])
                        self.adaption_sweeps = self.__class__.adaption_sweeps(service, version, mode, path + ["adaption_sweeps"])
                        self.mark_gaps = self.__class__.mark_gaps(service, version, mode, path + ["mark_gaps"])
                        self.mark_fixed_orphans = self.__class__.mark_fixed_orphans(service, version, mode, path + ["mark_fixed_orphans"])
                        self.mark_coarsening = self.__class__.mark_coarsening(service, version, mode, path + ["mark_coarsening"])
                        self.gap_resolution = self.__class__.gap_resolution(service, version, mode, path + ["gap_resolution"])
                        self.mark_orphans = self.__class__.mark_orphans(service, version, mode, path + ["mark_orphans"])
                        self.length_ratio_max = self.__class__.length_ratio_max(service, version, mode, path + ["length_ratio_max"])
                        self.prismatic = self.__class__.prismatic(service, version, mode, path + ["prismatic"])
                        self.buffer_layers = self.__class__.buffer_layers(service, version, mode, path + ["buffer_layers"])
                        super().__init__(service, version, mode, path)
                    class maximum_refinement_level(TUIMethod):
                        """
                        Sets the maximum level of refinement during overset adaption, in conjunction with the value set using the mesh/adapt/set/maximum-refinement-level text command (the larger of the two values is used).
                        """
                    class automatic(TUIMethod):
                        """
                        Enable the option to automatically adapt overset meshes during solution update.
                        """
                    class mark_size(TUIMethod):
                        """
                        Enables/disables the option to adapt based on donor-receptor cell size differences.
                        """
                    class adaption_sweeps(TUIMethod):
                        """
                        Sets the number of rounds of adaption applied during each adaption cycle.
                        """
                    class mark_gaps(TUIMethod):
                        """
                        Enable the option to adapt underresolved gaps.
                        """
                    class mark_fixed_orphans(TUIMethod):
                        """
                        Enables/disables the option to also adapt based on cells that are not actual orphans because they were fixed by accepting neighbor donors. This option is only applied if define/overset-interfaces/adapt/set/mark-orphans? is enabled.
                        """
                    class mark_coarsening(TUIMethod):
                        """
                        Enables/disables the option to coarsen the mesh if mesh refinement is no longer needed. This option is enabled by default.
                        """
                    class gap_resolution(TUIMethod):
                        """
                        Set the target (minimum) gap resolution used when marking cells for gap adaption.
                        """
                    class mark_orphans(TUIMethod):
                        """
                        Enables/disables the option to adapt for orphan reduction.
                        """
                    class length_ratio_max(TUIMethod):
                        """
                        Sets the length scale ratio threshold used to determine which cells are marked for adaption based on donor-receptor cell size differences.
                        """
                    class prismatic(TUIMethod):
                        """
                        Enable the option to use anisotropic adaption in prismatic cells.
                        """
                    class buffer_layers(TUIMethod):
                        """
                        Sets the number of cell layers marked in addition to the cells marked for orphan adaption.
                        """

            class cut_control(TUIMenu):
                """
                Enters the overset hole cut control menu.
                """
                def __init__(self, service, version, mode, path):
                    self.cut_seeds = self.__class__.cut_seeds(service, version, mode, path + ["cut_seeds"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class add(TUIMethod):
                    """
                    Adds a hole cut control, so that a boundary zone does 	not cut specified cell zones.
                    """
                class list(TUIMethod):
                    """
                    Lists the defined hole cut controls.
                    """
                class delete_all(TUIMethod):
                    """
                    Deletes the hole cut controls for all boundary 	zones.
                    """
                class delete(TUIMethod):
                    """
                    Deletes the hole cut control for a boundary 	zone.
                    """

                class cut_seeds(TUIMenu):
                    """
                    Enters the overset hole cut seeds menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.cut_seeds_for_all_component_zones = self.__class__.cut_seeds_for_all_component_zones(service, version, mode, path + ["cut_seeds_for_all_component_zones"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                        super().__init__(service, version, mode, path)
                    class list(TUIMethod):
                        """
                        List the defined hole cut seeds.
                        """
                    class cut_seeds_for_all_component_zones(TUIMethod):
                        """
                        Specifies whether all component zones get cut seeds, which cut pilot holes into the overlapping meshes that will then be enlarged during overlap minimization.
                        """
                    class delete(TUIMethod):
                        """
                        Delete a hole cut seed.
                        """
                    class add(TUIMethod):
                        """
                        Add a hole cut seed.
                        """
                    class delete_all(TUIMethod):
                        """
                        Delete all hole cut seeds.
                        """

            class options(TUIMenu):
                """
                Enters the overset interface options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.dead_cell_update = self.__class__.dead_cell_update(service, version, mode, path + ["dead_cell_update"])
                    self.auto_create = self.__class__.auto_create(service, version, mode, path + ["auto_create"])
                    self.minimize_overlap = self.__class__.minimize_overlap(service, version, mode, path + ["minimize_overlap"])
                    self.mesh_interfaces = self.__class__.mesh_interfaces(service, version, mode, path + ["mesh_interfaces"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.modified_donor_search = self.__class__.modified_donor_search(service, version, mode, path + ["modified_donor_search"])
                    self.modified_hole_cutting = self.__class__.modified_hole_cutting(service, version, mode, path + ["modified_hole_cutting"])
                    self.donor_priority_method = self.__class__.donor_priority_method(service, version, mode, path + ["donor_priority_method"])
                    self.solve_island_removal = self.__class__.solve_island_removal(service, version, mode, path + ["solve_island_removal"])
                    self.node_connected_donors = self.__class__.node_connected_donors(service, version, mode, path + ["node_connected_donors"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.partial_cut_faces = self.__class__.partial_cut_faces(service, version, mode, path + ["partial_cut_faces"])
                    self.update_before_case_write = self.__class__.update_before_case_write(service, version, mode, path + ["update_before_case_write"])
                    self.overlap_boundaries = self.__class__.overlap_boundaries(service, version, mode, path + ["overlap_boundaries"])
                    self.transient_caching = self.__class__.transient_caching(service, version, mode, path + ["transient_caching"])
                    self.parallel = self.__class__.parallel(service, version, mode, path + ["parallel"])
                    self.render_receptor_cells = self.__class__.render_receptor_cells(service, version, mode, path + ["render_receptor_cells"])
                    super().__init__(service, version, mode, path)
                class dead_cell_update(TUIMethod):
                    """
                    Enables/disables the updating of dead cells during the solution process, which may 	be helpful for some moving and dynamic mesh simulations 	(though at the cost of solver performance). You can 	enter the number of layers of dead cells adjacent to the 	receptor cells that you want updated, or enter -1 to request that all dead 	cells are updated. This text command is only available 	for transient simulations when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class auto_create(TUIMethod):
                    """
                    Enables the automatic creation of a default overset interface during 	initialization or mesh motion update.
                    """
                class minimize_overlap(TUIMethod):
                    """
                    Allows you to disable overlap minimization during hole cutting.
                    """
                class mesh_interfaces(TUIMethod):
                    """
                    Allows the inclusion of non-conformal mesh interfaces 	inside overset cell zones, as long as the mesh 	interfaces do not spatially overlap with the cells where 	the overset interfaces lie.
                    """
                class verbosity(TUIMethod):
                    """
                    Specifies the level of detail printed in the console about overset 	interfaces.
                    """
                class modified_donor_search(TUIMethod):
                    """
                    Enables / disables modified donor search parameters. When enabled, these parameters result in 	a more extended donor search, which can be helpful for 	meshes with orphans. This text command is only available 	when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class modified_hole_cutting(TUIMethod):
                    """
                    Enables / disables modified hole cutting parameters. When enabled, the parameters used can 	help avoid dead cell zones that result from a hole 	cutting failure. This text command is only available 	when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class donor_priority_method(TUIMethod):
                    """
                    Allows you to specify whether the cell donor priority used in the overlap 	minimization of an overset interface is inversely proportional to either the 	cell size or the distance to the nearest boundary.
                    """
                class solve_island_removal(TUIMethod):
                    """
                    Sets the method used to control the removal of isolated patches of solve cells. This text 	command is only available when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class node_connected_donors(TUIMethod):
                    """
                    Allows you to switch between face or node connected donor cells. This text command is only 	available when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class expert(TUIMethod):
                    """
                    Enables / disables overset-related expert tools.
                    """
                class partial_cut_faces(TUIMethod):
                    """
                    Enables/disables enhanced hole cutting, where partially overlapping cut faces are 	decomposed into overlapping and non-overlapping 	fractions, and only the non-overlapping fractions 	participate in the hole cutting. This can help avoid the 	situation where a region or cell zone is erroneously 	identified as dead because of leakage during flood 	filling, even though it has overlapping boundaries that 	match well. When this text command is disabled, the 	partially overlapping faces are entirely protected from 	cutting.
                    """
                class update_before_case_write(TUIMethod):
                    """
                    Enables/disables the updating of the overset interfaces before writing a case file in the 	Common Fluids Format (CFF). This text command is only 	available when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class overlap_boundaries(TUIMethod):
                    """
                    Allows you to disable the detection of overlapping boundaries during hole cutting, 	in order to reduce the computational expense for cases 	that do not include such boundaries. When enabled, this 	text command also allows you to specify which boundary 	zones should be considered when detecting overlapping 	boundaries; this can be helpful when the default hole 	cutting process fails.
                    """
                class transient_caching(TUIMethod):
                    """
                    Sets the options to control caching of entities in transient overset simulations. This text 	command is only available when define/overset-interfaces/options/expert? 	is set to yes.
                    """
                class parallel(TUIMethod):
                    """
                    Allows you to select the algorithm used for overset parallel processing. You can 	select from the default cell exchange model or the local 	cell zone replication model; the cell exchange model 	should require less memory and may result in faster 	calculations.
                    """
                class render_receptor_cells(TUIMethod):
                    """
                    Allows you to enable visualization of receptor cells in contour and mesh 	displays.
                    """

        class materials(TUIMenu):
            """
            Enters the materials menu.
            """
            def __init__(self, service, version, mode, path):
                self.data_base = self.__class__.data_base(service, version, mode, path + ["data_base"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.list_materials = self.__class__.list_materials(service, version, mode, path + ["list_materials"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.copy_by_formula = self.__class__.copy_by_formula(service, version, mode, path + ["copy_by_formula"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.change_create = self.__class__.change_create(service, version, mode, path + ["change_create"])
                super().__init__(service, version, mode, path)
            class list_properties(TUIMethod):
                """
                Lists the properties of a locally-stored material.
                """
            class list_materials(TUIMethod):
                """
                Lists all locally-stored materials.
                """
            class copy(TUIMethod):
                """
                Copies a material from the database.
                """
            class copy_by_formula(TUIMethod):
                """
                Copies a material from the database by formula.
                """
            class delete(TUIMethod):
                """
                Deletes a material from local storage.
                """
            class change_create(TUIMethod):
                """
                Changes the properties of a locally-stored material or create a new material.   Generally, the properties you enter at the prompts will be filtered according to your case and model settings. However, some of the listed properties may not match the selection choice in the Graphics User Interface. Typically, those excessive properties in the Text User Interface will not be used in your simulation.
                """

            class data_base(TUIMenu):
                """
                Enters the material database menu.
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.new = self.__class__.new(service, version, mode, path + ["new"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.list_materials = self.__class__.list_materials(service, version, mode, path + ["list_materials"])
                    self.save = self.__class__.save(service, version, mode, path + ["save"])
                    self.database_type = self.__class__.database_type(service, version, mode, path + ["database_type"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edits material.
                    """
                class new(TUIMethod):
                    """
                    Defines new material.
                    """
                class list_properties(TUIMethod):
                    """
                    Lists the properties of a material in the database.
                    """
                class list_materials(TUIMethod):
                    """
                    Lists all materials in the database.
                    """
                class save(TUIMethod):
                    """
                    Saves user-defined database.
                    """
                class database_type(TUIMethod):
                    """
                    Sets the database type 	(fluent-database, 	granta-mds, or 	user-defined).
                    """

        class profiles(TUIMenu):
            """
            Enters the boundary profiles menu.
            """
            def __init__(self, service, version, mode, path):
                self.overlay_profile_point_cloud_data = self.__class__.overlay_profile_point_cloud_data(service, version, mode, path + ["overlay_profile_point_cloud_data"])
                self.list_profiles = self.__class__.list_profiles(service, version, mode, path + ["list_profiles"])
                self.link_profile_to_reference_frame = self.__class__.link_profile_to_reference_frame(service, version, mode, path + ["link_profile_to_reference_frame"])
                self.display_profile_surface = self.__class__.display_profile_surface(service, version, mode, path + ["display_profile_surface"])
                self.list_profile_fields = self.__class__.list_profile_fields(service, version, mode, path + ["list_profile_fields"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.interpolation_method = self.__class__.interpolation_method(service, version, mode, path + ["interpolation_method"])
                self.replicate_profile = self.__class__.replicate_profile(service, version, mode, path + ["replicate_profile"])
                self.set_preference_profile_point_cloud_data = self.__class__.set_preference_profile_point_cloud_data(service, version, mode, path + ["set_preference_profile_point_cloud_data"])
                self.orient_profile = self.__class__.orient_profile(service, version, mode, path + ["orient_profile"])
                self.list_profile_parameters = self.__class__.list_profile_parameters(service, version, mode, path + ["list_profile_parameters"])
                self.morphing = self.__class__.morphing(service, version, mode, path + ["morphing"])
                self.display_profile_point_cloud_data = self.__class__.display_profile_point_cloud_data(service, version, mode, path + ["display_profile_point_cloud_data"])
                self.overlay_profile_surface = self.__class__.overlay_profile_surface(service, version, mode, path + ["overlay_profile_surface"])
                self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                super().__init__(service, version, mode, path)
            class overlay_profile_point_cloud_data(TUIMethod):
                """
                Overlay Profile Point Cloud Data.
                """
            class list_profiles(TUIMethod):
                """
                Lists all profiles.
                """
            class link_profile_to_reference_frame(TUIMethod):
                """
                Attaches a profile to a reference frame so that the profile will rotate according to the reference frame.
                """
            class display_profile_surface(TUIMethod):
                """
                Display the profile as a surface (this option is only available if the specified profile contains node-connectivity data).
                """
            class list_profile_fields(TUIMethod):
                """
                Lists the fields of a particular profile.
                """
            class delete(TUIMethod):
                """
                Deletes a profile.
                """
            class delete_all(TUIMethod):
                """
                Deletes all boundary-profiles.
                """
            class interpolation_method(TUIMethod):
                """
                Chooses the method for interpolation of profiles.
                """
            class replicate_profile(TUIMethod):
                """
                Replicate Profile.
                """
            class set_preference_profile_point_cloud_data(TUIMethod):
                """
                Set Preference Profile Point Cloud Data e.g., Point marker symbol,size,color.
                """
            class orient_profile(TUIMethod):
                """
                Re-orient an existing profile.
                """
            class list_profile_parameters(TUIMethod):
                """
                List the parameters of a particular profile.
                """
            class morphing(TUIMethod):
                """
                Enables/disables profile morphing options in Orient Profile panel.
                """
            class display_profile_point_cloud_data(TUIMethod):
                """
                Display Profile Point Cloud Data.
                """
            class overlay_profile_surface(TUIMethod):
                """
                Overlay Profile Surface.
                """
            class update_interval(TUIMethod):
                """
                Sets interval between updates of dynamic profiles.
                """

        class mesh_interfaces(TUIMenu):
            """
            Enters the mesh-interfaces menu.
            """
            def __init__(self, service, version, mode, path):
                self.non_conformal_interface_numerics = self.__class__.non_conformal_interface_numerics(service, version, mode, path + ["non_conformal_interface_numerics"])
                self.mapped_interface_options = self.__class__.mapped_interface_options(service, version, mode, path + ["mapped_interface_options"])
                self.auto_options = self.__class__.auto_options(service, version, mode, path + ["auto_options"])
                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.turbo_create = self.__class__.turbo_create(service, version, mode, path + ["turbo_create"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.enforce_coupled_wall_between_solids = self.__class__.enforce_coupled_wall_between_solids(service, version, mode, path + ["enforce_coupled_wall_between_solids"])
                self.delete_interfaces_with_small_overlap = self.__class__.delete_interfaces_with_small_overlap(service, version, mode, path + ["delete_interfaces_with_small_overlap"])
                self.enable_si_with_nodes = self.__class__.enable_si_with_nodes(service, version, mode, path + ["enable_si_with_nodes"])
                self.coupled_interfaces_inherit_bcs = self.__class__.coupled_interfaces_inherit_bcs(service, version, mode, path + ["coupled_interfaces_inherit_bcs"])
                self.make_periodic = self.__class__.make_periodic(service, version, mode, path + ["make_periodic"])
                self.make_phaselag_from_boundaries = self.__class__.make_phaselag_from_boundaries(service, version, mode, path + ["make_phaselag_from_boundaries"])
                self.make_phaselag_from_periodic = self.__class__.make_phaselag_from_periodic(service, version, mode, path + ["make_phaselag_from_periodic"])
                self.auto_pairing = self.__class__.auto_pairing(service, version, mode, path + ["auto_pairing"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.improve_quality = self.__class__.improve_quality(service, version, mode, path + ["improve_quality"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.remove_left_handed_interface_faces = self.__class__.remove_left_handed_interface_faces(service, version, mode, path + ["remove_left_handed_interface_faces"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.non_overlapping_zone_name = self.__class__.non_overlapping_zone_name(service, version, mode, path + ["non_overlapping_zone_name"])
                self.one_to_one_pairing = self.__class__.one_to_one_pairing(service, version, mode, path + ["one_to_one_pairing"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.transfer_motion_across_interfaces = self.__class__.transfer_motion_across_interfaces(service, version, mode, path + ["transfer_motion_across_interfaces"])
                self.enable_visualization_of_interfaces = self.__class__.enable_visualization_of_interfaces(service, version, mode, path + ["enable_visualization_of_interfaces"])
                self.enforce_continuity_after_bc = self.__class__.enforce_continuity_after_bc(service, version, mode, path + ["enforce_continuity_after_bc"])
                super().__init__(service, version, mode, path)
            class verbosity(TUIMethod):
                """
                Sets the mesh interface verbosity.
                """
            class edit(TUIMethod):
                """
                Edits attributes of existing mesh interfaces. For one-to-one interfaces, you can edit the name; for many-to-many interfaces, you can edit the interface options and (for a single interface) the name and the list of interface zones assigned to the interface.
                """
            class turbo_create(TUIMethod):
                """
                Creates a general turbo interface. This text command is only available if the define/turbo-model/enable-turbo-model? text command is enabled.
                """
            class delete_all(TUIMethod):
                """
                Deletes all mesh interfaces.
                """
            class enforce_coupled_wall_between_solids(TUIMethod):
                """
                Enables/disables automatic definition of solid-solid interfaces as coupled walls. By default this option is disabled and ANSYS Fluent creates interior boundaries at solid-solid interfaces.
                """
            class delete_interfaces_with_small_overlap(TUIMethod):
                """
                .
                """
            class enable_si_with_nodes(TUIMethod):
                """
                .
                """
            class coupled_interfaces_inherit_bcs(TUIMethod):
                """
                .
                """
            class make_periodic(TUIMethod):
                """
                Make interface zones periodic.
                """
            class make_phaselag_from_boundaries(TUIMethod):
                """
                .
                """
            class make_phaselag_from_periodic(TUIMethod):
                """
                .
                """
            class auto_pairing(TUIMethod):
                """
                Automatically "pairs" some or all of the interface zones, in order to create mesh interfaces. This text command is only available when the define/mesh-interfaces/one-to-one-pairing? text command is disabled.
                """
            class create(TUIMethod):
                """
                Creates mesh interfaces.
                """
            class improve_quality(TUIMethod):
                """
                Checks the quality of all mapped interfaces. If Fluent finds any mapped interfaces that require improvement it will list them and ask you if you would like to increase the tolerance to improve the interfaces.
                """
            class delete(TUIMethod):
                """
                Deletes a mesh interface.
                """
            class remove_left_handed_interface_faces(TUIMethod):
                """
                Removes left-handed faces (which can cause the mesh to be invalid) during mesh interface creation.
                """
            class display(TUIMethod):
                """
                Displays the specified mesh interface zone.
                """
            class non_overlapping_zone_name(TUIMethod):
                """
                .
                """
            class one_to_one_pairing(TUIMethod):
                """
                .
                """
            class list(TUIMethod):
                """
                Lists all mesh interfaces.
                """
            class transfer_motion_across_interfaces(TUIMethod):
                """
                Enables/disables the automatic transfer of motion across a mesh interface when only one side is moving as a result of user-defined or system coupling motion. You can specify the method by which the motion is transferred: transfer-displacements (the default) interpolates nodal displacement from the active side of the interface to the passive side, and is recommended when there are gaps and/or penetrations in the mesh interface that must be maintained; project-nodes projects the passive nodes onto the faces of active side, and is recommended when the active side includes significant tangential motion (as only the normal displacement is effectively transferred in this method).
                """
            class enable_visualization_of_interfaces(TUIMethod):
                """
                Enables/disables the filling of node coordinates on the zones of mesh interfaces, so that they can be displayed in the graphics window.
                """
            class enforce_continuity_after_bc(TUIMethod):
                """
                Enables/disables continuity across the boundary condition interface for contour plots in postprocessing.
                """

            class non_conformal_interface_numerics(TUIMenu):
                """
                Setting non-conformal numerics options.
                """
                def __init__(self, service, version, mode, path):
                    self.change_numerics = self.__class__.change_numerics(service, version, mode, path + ["change_numerics"])
                    super().__init__(service, version, mode, path)
                class change_numerics(TUIMethod):
                    """
                    .
                    """

            class mapped_interface_options(TUIMenu):
                """
                Enter the mapped-interface-options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.convert_to_mapped_interface = self.__class__.convert_to_mapped_interface(service, version, mode, path + ["convert_to_mapped_interface"])
                    self.solution_controls = self.__class__.solution_controls(service, version, mode, path + ["solution_controls"])
                    self.tolerance = self.__class__.tolerance(service, version, mode, path + ["tolerance"])
                    super().__init__(service, version, mode, path)
                class convert_to_mapped_interface(TUIMethod):
                    """
                    .
                    """
                class solution_controls(TUIMethod):
                    """
                    .
                    """
                class tolerance(TUIMethod):
                    """
                    .
                    """

            class auto_options(TUIMenu):
                """
                Enters the auto-options menu. This menu is only available when the define/mesh-interfaces/one-to-one-pairing? text command is enabled.
                """
                def __init__(self, service, version, mode, path):
                    self.naming_option = self.__class__.naming_option(service, version, mode, path + ["naming_option"])
                    self.set_one_to_one_pairing_tolerance = self.__class__.set_one_to_one_pairing_tolerance(service, version, mode, path + ["set_one_to_one_pairing_tolerance"])
                    self.proximity_tolerance = self.__class__.proximity_tolerance(service, version, mode, path + ["proximity_tolerance"])
                    self.keep_empty_interface = self.__class__.keep_empty_interface(service, version, mode, path + ["keep_empty_interface"])
                    self.pairing_between_different_cell_zones_only = self.__class__.pairing_between_different_cell_zones_only(service, version, mode, path + ["pairing_between_different_cell_zones_only"])
                    self.pairing_between_interface_zones_only = self.__class__.pairing_between_interface_zones_only(service, version, mode, path + ["pairing_between_interface_zones_only"])
                    self.set_minimum_area_percentage = self.__class__.set_minimum_area_percentage(service, version, mode, path + ["set_minimum_area_percentage"])
                    self.set_default_name_prefix = self.__class__.set_default_name_prefix(service, version, mode, path + ["set_default_name_prefix"])
                    super().__init__(service, version, mode, path)
                class naming_option(TUIMethod):
                    """
                    Specifies whether the name of each new one-to-one mesh 	interface (as well as existing mesh interfaces, if you 	so desire) has no additional suffix, or a suffix that 	includes the names of the associated boundary zones, the 	IDs of the associated boundary zones, or the names of 	the adjacent cell zones.
                    """
                class set_one_to_one_pairing_tolerance(TUIMethod):
                    """
                    Enables/disables the use of adjustable tolerances to 	determine which of the selected boundary zones can be 	paired up to make the mesh interfaces, in order to 	account for gaps, thin layers, and/or complex 	geometries.
                    """
                class proximity_tolerance(TUIMethod):
                    """
                    Sets the tolerance used as part 	of the automatic grouping of zones to create mesh 	interfaces when the define/mesh-interfaces/one-to-one-pairing? 	text command is disabled. The proximity tolerance is 	defined relative to the edge lengths in the interface 	zones, and can range from 0 to 1 (representing the minimum 	and maximum edge lengths, respectively).
                    """
                class keep_empty_interface(TUIMethod):
                    """
                    .
                    """
                class pairing_between_different_cell_zones_only(TUIMethod):
                    """
                    Specifies whether the 	one-to-one mesh interfaces are only created between 	different cell zones.
                    """
                class pairing_between_interface_zones_only(TUIMethod):
                    """
                    .
                    """
                class set_minimum_area_percentage(TUIMethod):
                    """
                    .
                    """
                class set_default_name_prefix(TUIMethod):
                    """
                    Specifies the default interface 	name prefix used for one-to-one mesh interfaces.
                    """

        class turbo_model(TUIMenu):
            """
            Enters the turbo menu.
            """
            def __init__(self, service, version, mode, path):
                self.blade_flutter_harmonics = self.__class__.blade_flutter_harmonics(service, version, mode, path + ["blade_flutter_harmonics"])
                self.legacy_models = self.__class__.legacy_models(service, version, mode, path + ["legacy_models"])
                self.general_turbo_interface_settings = self.__class__.general_turbo_interface_settings(service, version, mode, path + ["general_turbo_interface_settings"])
                self.turbo_topology = self.__class__.turbo_topology(service, version, mode, path + ["turbo_topology"])
                self.make_phaselag_from_boundaries = self.__class__.make_phaselag_from_boundaries(service, version, mode, path + ["make_phaselag_from_boundaries"])
                self.separate_nonoverlapping_interface_boundary = self.__class__.separate_nonoverlapping_interface_boundary(service, version, mode, path + ["separate_nonoverlapping_interface_boundary"])
                self.list_phaselag_state = self.__class__.list_phaselag_state(service, version, mode, path + ["list_phaselag_state"])
                self.create_phaselag_spectral_content = self.__class__.create_phaselag_spectral_content(service, version, mode, path + ["create_phaselag_spectral_content"])
                self.create_graphics_spectral_content = self.__class__.create_graphics_spectral_content(service, version, mode, path + ["create_graphics_spectral_content"])
                self.create_turbomachine_description = self.__class__.create_turbomachine_description(service, version, mode, path + ["create_turbomachine_description"])
                self.make_phaselag_from_periodic = self.__class__.make_phaselag_from_periodic(service, version, mode, path + ["make_phaselag_from_periodic"])
                self.append_graphics_spectral_content = self.__class__.append_graphics_spectral_content(service, version, mode, path + ["append_graphics_spectral_content"])
                self.delete_turbomachine_description = self.__class__.delete_turbomachine_description(service, version, mode, path + ["delete_turbomachine_description"])
                self.list_graphics_spectral_content = self.__class__.list_graphics_spectral_content(service, version, mode, path + ["list_graphics_spectral_content"])
                self.turbo_interface_check = self.__class__.turbo_interface_check(service, version, mode, path + ["turbo_interface_check"])
                self.delete_phaselag_spectral_content = self.__class__.delete_phaselag_spectral_content(service, version, mode, path + ["delete_phaselag_spectral_content"])
                self.export_boundary_mesh = self.__class__.export_boundary_mesh(service, version, mode, path + ["export_boundary_mesh"])
                self.append_phaselag_spectral_content = self.__class__.append_phaselag_spectral_content(service, version, mode, path + ["append_phaselag_spectral_content"])
                self.graphics_extra_settings = self.__class__.graphics_extra_settings(service, version, mode, path + ["graphics_extra_settings"])
                self.turbo_create = self.__class__.turbo_create(service, version, mode, path + ["turbo_create"])
                self.enable_turbo_model = self.__class__.enable_turbo_model(service, version, mode, path + ["enable_turbo_model"])
                self.delete_graphics_spectral_content = self.__class__.delete_graphics_spectral_content(service, version, mode, path + ["delete_graphics_spectral_content"])
                self.list_turbomachine_description = self.__class__.list_turbomachine_description(service, version, mode, path + ["list_turbomachine_description"])
                self.blade_flutter_row = self.__class__.blade_flutter_row(service, version, mode, path + ["blade_flutter_row"])
                self.phaselag_extra_settings = self.__class__.phaselag_extra_settings(service, version, mode, path + ["phaselag_extra_settings"])
                super().__init__(service, version, mode, path)
            class make_phaselag_from_boundaries(TUIMethod):
                """
                Make interface zones phase lagged.
                """
            class separate_nonoverlapping_interface_boundary(TUIMethod):
                """
                Split a general turbo interface non-overlapping zone.
                """
            class list_phaselag_state(TUIMethod):
                """
                List all phaselag related case settings.
                """
            class create_phaselag_spectral_content(TUIMethod):
                """
                Define phaselag related spectral content.
                """
            class create_graphics_spectral_content(TUIMethod):
                """
                Define post-processing related spectral content.
                """
            class create_turbomachine_description(TUIMethod):
                """
                Define turbomachine description.
                """
            class make_phaselag_from_periodic(TUIMethod):
                """
                Convert periodic interface to phase lagged.
                """
            class append_graphics_spectral_content(TUIMethod):
                """
                Define post-processing related spectral content.
                """
            class delete_turbomachine_description(TUIMethod):
                """
                Delete turbomachine description.
                """
            class list_graphics_spectral_content(TUIMethod):
                """
                List post-processing related spectral content.
                """
            class turbo_interface_check(TUIMethod):
                """
                Check General Turbo Interface and Phase-lag.
                """
            class delete_phaselag_spectral_content(TUIMethod):
                """
                Delete phaselag related spectral content.
                """
            class export_boundary_mesh(TUIMethod):
                """
                Export boundary mesh file.
                """
            class append_phaselag_spectral_content(TUIMethod):
                """
                Define phaselag related spectral content.
                """
            class graphics_extra_settings(TUIMethod):
                """
                Define phaselag related extra settings.
                """
            class turbo_create(TUIMethod):
                """
                Creates a general turbo interface.
                """
            class enable_turbo_model(TUIMethod):
                """
                Enables/disables turbo model menu.
                """
            class delete_graphics_spectral_content(TUIMethod):
                """
                Delete post-processing related spectral content.
                """
            class list_turbomachine_description(TUIMethod):
                """
                List turbomachine description.
                """
            class blade_flutter_row(TUIMethod):
                """
                Define the periodic displacement row.
                """
            class phaselag_extra_settings(TUIMethod):
                """
                Define phaselag related extra settings.
                """

            class blade_flutter_harmonics(TUIMenu):
                """
                Enters the blade flutter harmonics options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable_harmonic_exports = self.__class__.enable_harmonic_exports(service, version, mode, path + ["enable_harmonic_exports"])
                    self.write_aerodamping_vs_nodal_diameter = self.__class__.write_aerodamping_vs_nodal_diameter(service, version, mode, path + ["write_aerodamping_vs_nodal_diameter"])
                    self.write_harmonic_exports = self.__class__.write_harmonic_exports(service, version, mode, path + ["write_harmonic_exports"])
                    super().__init__(service, version, mode, path)
                class enable_harmonic_exports(TUIMethod):
                    """
                    Calculates/Deletes flutter harmonic export data.
                    """
                class write_aerodamping_vs_nodal_diameter(TUIMethod):
                    """
                    Reads report definition file and Writes influence coefficient aerodynamic damping values vs nodal diameter.
                    """
                class write_harmonic_exports(TUIMethod):
                    """
                    Writes harmonic export data.
                    """

            class legacy_models(TUIMenu):
                """
                Enter Legacy Turbo Model Menu.
                """
                def __init__(self, service, version, mode, path):
                    self.legacy_mixing_plane = self.__class__.legacy_mixing_plane(service, version, mode, path + ["legacy_mixing_plane"])
                    super().__init__(service, version, mode, path)

                class legacy_mixing_plane(TUIMenu):
                    """
                    Enter the legacy mixing planes menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.mixing_plane_gui = self.__class__.mixing_plane_gui(service, version, mode, path + ["mixing_plane_gui"])
                        super().__init__(service, version, mode, path)
                    class delete(TUIMethod):
                        """
                        Delete a mixing plane.
                        """
                    class list(TUIMethod):
                        """
                        List defined mixing plane(s).
                        """
                    class create(TUIMethod):
                        """
                        Create a mixing plane.
                        """
                    class mixing_plane_gui(TUIMethod):
                        """
                        GUI for setting up legacy mixing plane model.
                        """

                    class set(TUIMenu):
                        """
                        Enter the mixing plane set menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.conserve_swirl = self.__class__.conserve_swirl(service, version, mode, path + ["conserve_swirl"])
                            self.conserve_total_enthalpy = self.__class__.conserve_total_enthalpy(service, version, mode, path + ["conserve_total_enthalpy"])
                            self.fix_pressure_level = self.__class__.fix_pressure_level(service, version, mode, path + ["fix_pressure_level"])
                            self.averaging_method = self.__class__.averaging_method(service, version, mode, path + ["averaging_method"])
                            self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                            super().__init__(service, version, mode, path)
                        class fix_pressure_level(TUIMethod):
                            """
                            Set fix pressure level using define/reference-pressure-location.
                            """
                        class averaging_method(TUIMethod):
                            """
                            Set mixing plane profile averaging method.
                            """
                        class under_relaxation(TUIMethod):
                            """
                            Set mixing plane under-relaxation factor.
                            """

                        class conserve_swirl(TUIMenu):
                            """
                            Enter the mixing plane conserve-swirl menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                                self.report_swirl_integration = self.__class__.report_swirl_integration(service, version, mode, path + ["report_swirl_integration"])
                                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                                super().__init__(service, version, mode, path)
                            class enable(TUIMethod):
                                """
                                Enable/disable swirl conservation in mixing plane.
                                """
                            class report_swirl_integration(TUIMethod):
                                """
                                Report swirl integration (torque) on inflow and outflow zones.
                                """
                            class verbosity(TUIMethod):
                                """
                                Enable/disable verbosity in swirl conservation calculations.
                                """

                        class conserve_total_enthalpy(TUIMenu):
                            """
                            Enter the menu to set total enthalpy conservation in mixing plane menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                                super().__init__(service, version, mode, path)
                            class enable(TUIMethod):
                                """
                                Enable/disable total enthalpy conservation in mixing plane.
                                """
                            class verbosity(TUIMethod):
                                """
                                Enable/disable verbosity in total-enthalpy conservation calculations.
                                """

            class general_turbo_interface_settings(TUIMenu):
                """
                Enters the General Turbo Interface options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.mixing_plane_model_settings = self.__class__.mixing_plane_model_settings(service, version, mode, path + ["mixing_plane_model_settings"])
                    super().__init__(service, version, mode, path)

                class expert(TUIMenu):
                    """
                    Set the expert parameters for turbo interfaces.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list_settings = self.__class__.list_settings(service, version, mode, path + ["list_settings"])
                        self.enforce_flux_scaling = self.__class__.enforce_flux_scaling(service, version, mode, path + ["enforce_flux_scaling"])
                        super().__init__(service, version, mode, path)
                    class list_settings(TUIMethod):
                        """
                        List the flux scale settings at the turbo interfaces.
                        """
                    class enforce_flux_scaling(TUIMethod):
                        """
                        Enforce flux scaling ON/OFF at the turbo interfaces.
                        """

                class mixing_plane_model_settings(TUIMenu):
                    """
                    Defines settings for the mixing plane model.
                    """
                    def __init__(self, service, version, mode, path):
                        self.number_of_bands = self.__class__.number_of_bands(service, version, mode, path + ["number_of_bands"])
                        self.list_mixing_planes = self.__class__.list_mixing_planes(service, version, mode, path + ["list_mixing_planes"])
                        self.bands_type = self.__class__.bands_type(service, version, mode, path + ["bands_type"])
                        self.mixing_set_constraint = self.__class__.mixing_set_constraint(service, version, mode, path + ["mixing_set_constraint"])
                        self.averaging_method = self.__class__.averaging_method(service, version, mode, path + ["averaging_method"])
                        super().__init__(service, version, mode, path)
                    class list_mixing_planes(TUIMethod):
                        """
                        List the settings of mixing planes in the case.
                        """
                    class bands_type(TUIMethod):
                        """
                        Specifies the averaging bands for mixing as fixed or variable width.
                        """
                    class mixing_set_constraint(TUIMethod):
                        """
                        To set the mixing of primitive or total variable approach.
                        """
                    class averaging_method(TUIMethod):
                        """
                        Set the averaging method for the mixing.
                        """

                    class number_of_bands(TUIMenu):
                        """
                        Sets the number of bands to be used for mixing.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_specific_interface = self.__class__.set_specific_interface(service, version, mode, path + ["set_specific_interface"])
                            self.set_all_interfaces = self.__class__.set_all_interfaces(service, version, mode, path + ["set_all_interfaces"])
                            super().__init__(service, version, mode, path)
                        class set_specific_interface(TUIMethod):
                            """
                            Set number of band to be used for mixing.
                            """
                        class set_all_interfaces(TUIMethod):
                            """
                            Set number of band to be used for mixing.
                            """

            class turbo_topology(TUIMenu):
                """
                Enters the turbo topology menu.
                """
                def __init__(self, service, version, mode, path):
                    self.projection_method = self.__class__.projection_method(service, version, mode, path + ["projection_method"])
                    self.search_method = self.__class__.search_method(service, version, mode, path + ["search_method"])
                    self.mesh_method = self.__class__.mesh_method(service, version, mode, path + ["mesh_method"])
                    self.define_topology = self.__class__.define_topology(service, version, mode, path + ["define_topology"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class projection_method(TUIMethod):
                    """
                    Sets 2D projection method.
                    """
                class search_method(TUIMethod):
                    """
                    Sets search method for a topology.
                    """
                class mesh_method(TUIMethod):
                    """
                    Sets turbo structured mesh generation method.
                    """
                class define_topology(TUIMethod):
                    """
                    Defines a turbo topology.
                    """
                class delete(TUIMethod):
                    """
                    Deletes a previously created turbo topology.
                    """

        class custom_field_functions(TUIMenu):
            """
            Enters the custom field functions menu.
            """
            def __init__(self, service, version, mode, path):
                self.example_cff_definitions = self.__class__.example_cff_definitions(service, version, mode, path + ["example_cff_definitions"])
                self.save = self.__class__.save(service, version, mode, path + ["save"])
                self.define = self.__class__.define(service, version, mode, path + ["define"])
                self.list_valid_cell_function_names = self.__class__.list_valid_cell_function_names(service, version, mode, path + ["list_valid_cell_function_names"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.load = self.__class__.load(service, version, mode, path + ["load"])
                super().__init__(service, version, mode, path)
            class example_cff_definitions(TUIMethod):
                """
                Lists example custom field functions.
                """
            class save(TUIMethod):
                """
                Saves a custom field function.
                """
            class define(TUIMethod):
                """
                Defines a custom field function.
                """
            class list_valid_cell_function_names(TUIMethod):
                """
                Lists the names of cell functions that can be used in a custom field function.
                """
            class delete(TUIMethod):
                """
                Deletes a custom field function.
                """
            class load(TUIMethod):
                """
                Loads a custom field function.
                """

        class solution_strategy(TUIMenu):
            """
            Enters the automatic initialization and case modification strategy menu.
            """
            def __init__(self, service, version, mode, path):
                self.automatic_case_modification = self.__class__.automatic_case_modification(service, version, mode, path + ["automatic_case_modification"])
                self.continue_strategy_execution = self.__class__.continue_strategy_execution(service, version, mode, path + ["continue_strategy_execution"])
                self.import_modifications = self.__class__.import_modifications(service, version, mode, path + ["import_modifications"])
                self.add_edit_modification = self.__class__.add_edit_modification(service, version, mode, path + ["add_edit_modification"])
                self.execute_strategy = self.__class__.execute_strategy(service, version, mode, path + ["execute_strategy"])
                self.automatic_initialization = self.__class__.automatic_initialization(service, version, mode, path + ["automatic_initialization"])
                self.delete_modification = self.__class__.delete_modification(service, version, mode, path + ["delete_modification"])
                self.copy_modification = self.__class__.copy_modification(service, version, mode, path + ["copy_modification"])
                self.export_modifications = self.__class__.export_modifications(service, version, mode, path + ["export_modifications"])
                self.enable_modification = self.__class__.enable_modification(service, version, mode, path + ["enable_modification"])
                self.enable_strategy = self.__class__.enable_strategy(service, version, mode, path + ["enable_strategy"])
                self.disable_modification = self.__class__.disable_modification(service, version, mode, path + ["disable_modification"])
                super().__init__(service, version, mode, path)
            class continue_strategy_execution(TUIMethod):
                """
                Continues execution of the currently defined automatic initialization and case modification strategy.
                """
            class import_modifications(TUIMethod):
                """
                .
                """
            class add_edit_modification(TUIMethod):
                """
                Define a single case modification.
                """
            class execute_strategy(TUIMethod):
                """
                Executes the currently defined automatic initialization and case modification strategy.
                """
            class automatic_initialization(TUIMethod):
                """
                Defines how the case is to be automatically initialized.
                """
            class delete_modification(TUIMethod):
                """
                .
                """
            class copy_modification(TUIMethod):
                """
                .
                """
            class export_modifications(TUIMethod):
                """
                .
                """
            class enable_modification(TUIMethod):
                """
                .
                """
            class enable_strategy(TUIMethod):
                """
                Enables/disables automatic initialization and case modification.
                """
            class disable_modification(TUIMethod):
                """
                .
                """

            class automatic_case_modification(TUIMenu):
                """
                Enters the automatic case modification menu.
                """
                def __init__(self, service, version, mode, path):
                    self.modifications = self.__class__.modifications(service, version, mode, path + ["modifications"])
                    self.original_settings = self.__class__.original_settings(service, version, mode, path + ["original_settings"])
                    self.before_init_modification = self.__class__.before_init_modification(service, version, mode, path + ["before_init_modification"])
                    super().__init__(service, version, mode, path)
                class modifications(TUIMethod):
                    """
                    Specifies modifications to be performed during solution.
                    """
                class original_settings(TUIMethod):
                    """
                    Specifies modification to be performed after initialization to restore to original 	settings.
                    """
                class before_init_modification(TUIMethod):
                    """
                    Specifies modification to be performed before initialization.
                    """

    class solution(TUIMenu):
        """
        .
        """
        def __init__(self, service, version, mode, path):
            self.report_definitions = self.__class__.report_definitions(service, version, mode, path + ["report_definitions"])
            self.run_calculation = self.__class__.run_calculation(service, version, mode, path + ["run_calculation"])
            self.methods = self.__class__.methods(service, version, mode, path + ["methods"])
            self.monitor = self.__class__.monitor(service, version, mode, path + ["monitor"])
            self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
            self.calculation_activity = self.__class__.calculation_activity(service, version, mode, path + ["calculation_activity"])
            self.initialization = self.__class__.initialization(service, version, mode, path + ["initialization"])
            self.cell_registers = self.__class__.cell_registers(service, version, mode, path + ["cell_registers"])
            super().__init__(service, version, mode, path)

        class report_definitions(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.moment = self.__class__.moment(service, version, mode, path + ["moment"])
                self.icing = self.__class__.icing(service, version, mode, path + ["icing"])
                self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                self.injection = self.__class__.injection(service, version, mode, path + ["injection"])
                self.user_defined = self.__class__.user_defined(service, version, mode, path + ["user_defined"])
                self.force = self.__class__.force(service, version, mode, path + ["force"])
                self.custom = self.__class__.custom(service, version, mode, path + ["custom"])
                self.volume = self.__class__.volume(service, version, mode, path + ["volume"])
                self.time = self.__class__.time(service, version, mode, path + ["time"])
                self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                self.expression = self.__class__.expression(service, version, mode, path + ["expression"])
                self.aeromechanics = self.__class__.aeromechanics(service, version, mode, path + ["aeromechanics"])
                self.drag = self.__class__.drag(service, version, mode, path + ["drag"])
                self.flux = self.__class__.flux(service, version, mode, path + ["flux"])
                self.single_valued_expression = self.__class__.single_valued_expression(service, version, mode, path + ["single_valued_expression"])
                self.lift = self.__class__.lift(service, version, mode, path + ["lift"])
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                super().__init__(service, version, mode, path)
            class compute(TUIMethod):
                """
                .
                """
            class copy(TUIMethod):
                """
                .
                """

            class moment(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit moment object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new moment object.
                    """
                class rename(TUIMethod):
                    """
                    Rename moment object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """

            class icing(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit icing object.
                    """
                class create(TUIMethod):
                    """
                    Create a new icing object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename icing object.
                    """

            class surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit surface object.
                    """
                class rename(TUIMethod):
                    """
                    Rename surface object.
                    """
                class create(TUIMethod):
                    """
                    Create a new surface object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """

            class injection(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename injection object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new injection object.
                    """
                class edit(TUIMethod):
                    """
                    Edit injection object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """

            class user_defined(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit user-defined object.
                    """
                class rename(TUIMethod):
                    """
                    Rename user-defined object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new user-defined object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

            class force(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new force object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename force object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit force object.
                    """

            class custom(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename custom object.
                    """
                class edit(TUIMethod):
                    """
                    Edit custom object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new custom object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """

            class volume(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit volume object.
                    """
                class create(TUIMethod):
                    """
                    Create a new volume object.
                    """
                class rename(TUIMethod):
                    """
                    Rename volume object.
                    """

            class time(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new time object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit time object.
                    """
                class rename(TUIMethod):
                    """
                    Rename time object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

            class mesh(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit mesh object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename mesh object.
                    """
                class create(TUIMethod):
                    """
                    Create a new mesh object.
                    """

            class expression(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit expression object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename expression object.
                    """
                class create(TUIMethod):
                    """
                    Create a new expression object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """

            class aeromechanics(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename aeromechanics object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit aeromechanics object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new aeromechanics object.
                    """

            class drag(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new drag object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename drag object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit drag object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """

            class flux(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class create(TUIMethod):
                    """
                    Create a new flux object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit flux object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename flux object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

            class single_valued_expression(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class create(TUIMethod):
                    """
                    Create a new single-valued-expression object.
                    """
                class edit(TUIMethod):
                    """
                    Edit single-valued-expression object.
                    """
                class rename(TUIMethod):
                    """
                    Rename single-valued-expression object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """

            class lift(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class create(TUIMethod):
                    """
                    Create a new lift object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit lift object.
                    """
                class rename(TUIMethod):
                    """
                    Rename lift object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """

        class run_calculation(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.transient_controls = self.__class__.transient_controls(service, version, mode, path + ["transient_controls"])
                self.adaptive_time_stepping = self.__class__.adaptive_time_stepping(service, version, mode, path + ["adaptive_time_stepping"])
                self.pseudo_time_settings = self.__class__.pseudo_time_settings(service, version, mode, path + ["pseudo_time_settings"])
                self.cfl_based_adaptive_time_stepping = self.__class__.cfl_based_adaptive_time_stepping(service, version, mode, path + ["cfl_based_adaptive_time_stepping"])
                self.data_sampling_options = self.__class__.data_sampling_options(service, version, mode, path + ["data_sampling_options"])
                self.data_sampling = self.__class__.data_sampling(service, version, mode, path + ["data_sampling"])
                self.profile_update_interval = self.__class__.profile_update_interval(service, version, mode, path + ["profile_update_interval"])
                self.reporting_interval = self.__class__.reporting_interval(service, version, mode, path + ["reporting_interval"])
                self.time_step_count = self.__class__.time_step_count(service, version, mode, path + ["time_step_count"])
                self.iter_count = self.__class__.iter_count(service, version, mode, path + ["iter_count"])
                self.iterate = self.__class__.iterate(service, version, mode, path + ["iterate"])
                self.dual_time_iterate = self.__class__.dual_time_iterate(service, version, mode, path + ["dual_time_iterate"])
                self.calculate = self.__class__.calculate(service, version, mode, path + ["calculate"])
                self.interrupt = self.__class__.interrupt(service, version, mode, path + ["interrupt"])
                self.residual_verbosity = self.__class__.residual_verbosity(service, version, mode, path + ["residual_verbosity"])
                super().__init__(service, version, mode, path)
            class profile_update_interval(TUIMethod):
                """
                .
                """
            class reporting_interval(TUIMethod):
                """
                .
                """
            class time_step_count(TUIMethod):
                """
                .
                """
            class iter_count(TUIMethod):
                """
                .
                """
            class iterate(TUIMethod):
                """
                .
                """
            class dual_time_iterate(TUIMethod):
                """
                .
                """
            class calculate(TUIMethod):
                """
                .
                """
            class interrupt(TUIMethod):
                """
                .
                """
            class residual_verbosity(TUIMethod):
                """
                .
                """

            class transient_controls(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.solid_time_step_size = self.__class__.solid_time_step_size(service, version, mode, path + ["solid_time_step_size"])
                    self.cfl_based_time_stepping = self.__class__.cfl_based_time_stepping(service, version, mode, path + ["cfl_based_time_stepping"])
                    self.multiphase_specific_time_constraints = self.__class__.multiphase_specific_time_constraints(service, version, mode, path + ["multiphase_specific_time_constraints"])
                    self.cfl_based_time_stepping_advanced_options = self.__class__.cfl_based_time_stepping_advanced_options(service, version, mode, path + ["cfl_based_time_stepping_advanced_options"])
                    self.fixed_periodic = self.__class__.fixed_periodic(service, version, mode, path + ["fixed_periodic"])
                    self.error_based_time_stepping = self.__class__.error_based_time_stepping(service, version, mode, path + ["error_based_time_stepping"])
                    self.mp_specific_time_stepping = self.__class__.mp_specific_time_stepping(service, version, mode, path + ["mp_specific_time_stepping"])
                    self.extrapolate_eqn_vars = self.__class__.extrapolate_eqn_vars(service, version, mode, path + ["extrapolate_eqn_vars"])
                    self.incremental_time = self.__class__.incremental_time(service, version, mode, path + ["incremental_time"])
                    self.type = self.__class__.type(service, version, mode, path + ["type"])
                    self.total_time = self.__class__.total_time(service, version, mode, path + ["total_time"])
                    self.predict_next = self.__class__.predict_next(service, version, mode, path + ["predict_next"])
                    self.solution_status = self.__class__.solution_status(service, version, mode, path + ["solution_status"])
                    self.time_step_size = self.__class__.time_step_size(service, version, mode, path + ["time_step_size"])
                    self.udf_hook = self.__class__.udf_hook(service, version, mode, path + ["udf_hook"])
                    self.max_flow_time = self.__class__.max_flow_time(service, version, mode, path + ["max_flow_time"])
                    self.duration_specification_method = self.__class__.duration_specification_method(service, version, mode, path + ["duration_specification_method"])
                    self.extrapolate_variables = self.__class__.extrapolate_variables(service, version, mode, path + ["extrapolate_variables"])
                    self.total_time_step_count = self.__class__.total_time_step_count(service, version, mode, path + ["total_time_step_count"])
                    self.time_step_size_for_acoustic_export = self.__class__.time_step_size_for_acoustic_export(service, version, mode, path + ["time_step_size_for_acoustic_export"])
                    self.undo_timestep = self.__class__.undo_timestep(service, version, mode, path + ["undo_timestep"])
                    self.method = self.__class__.method(service, version, mode, path + ["method"])
                    self.specified_time_step = self.__class__.specified_time_step(service, version, mode, path + ["specified_time_step"])
                    self.rotating_mesh_flow_predictor = self.__class__.rotating_mesh_flow_predictor(service, version, mode, path + ["rotating_mesh_flow_predictor"])
                    self.time_step_count = self.__class__.time_step_count(service, version, mode, path + ["time_step_count"])
                    self.max_iter_per_time_step = self.__class__.max_iter_per_time_step(service, version, mode, path + ["max_iter_per_time_step"])
                    super().__init__(service, version, mode, path)
                class incremental_time(TUIMethod):
                    """
                    .
                    """
                class type(TUIMethod):
                    """
                    .
                    """
                class total_time(TUIMethod):
                    """
                    .
                    """
                class predict_next(TUIMethod):
                    """
                    .
                    """
                class solution_status(TUIMethod):
                    """
                    .
                    """
                class time_step_size(TUIMethod):
                    """
                    .
                    """
                class udf_hook(TUIMethod):
                    """
                    .
                    """
                class max_flow_time(TUIMethod):
                    """
                    .
                    """
                class duration_specification_method(TUIMethod):
                    """
                    .
                    """
                class extrapolate_variables(TUIMethod):
                    """
                    .
                    """
                class total_time_step_count(TUIMethod):
                    """
                    .
                    """
                class time_step_size_for_acoustic_export(TUIMethod):
                    """
                    .
                    """
                class undo_timestep(TUIMethod):
                    """
                    .
                    """
                class method(TUIMethod):
                    """
                    .
                    """
                class specified_time_step(TUIMethod):
                    """
                    .
                    """
                class rotating_mesh_flow_predictor(TUIMethod):
                    """
                    .
                    """
                class time_step_count(TUIMethod):
                    """
                    .
                    """
                class max_iter_per_time_step(TUIMethod):
                    """
                    .
                    """

                class solid_time_step_size(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.time_step_size = self.__class__.time_step_size(service, version, mode, path + ["time_step_size"])
                        self.choose_auto_time_stepping = self.__class__.choose_auto_time_stepping(service, version, mode, path + ["choose_auto_time_stepping"])
                        self.enable_solid_time_step = self.__class__.enable_solid_time_step(service, version, mode, path + ["enable_solid_time_step"])
                        super().__init__(service, version, mode, path)
                    class time_step_size(TUIMethod):
                        """
                        .
                        """
                    class choose_auto_time_stepping(TUIMethod):
                        """
                        .
                        """
                    class enable_solid_time_step(TUIMethod):
                        """
                        .
                        """

                class cfl_based_time_stepping(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.max_time_step_size = self.__class__.max_time_step_size(service, version, mode, path + ["max_time_step_size"])
                        self.courant_number = self.__class__.courant_number(service, version, mode, path + ["courant_number"])
                        self.fixed_time_step_size = self.__class__.fixed_time_step_size(service, version, mode, path + ["fixed_time_step_size"])
                        self.max_step_change_factor = self.__class__.max_step_change_factor(service, version, mode, path + ["max_step_change_factor"])
                        self.initial_time_step_size = self.__class__.initial_time_step_size(service, version, mode, path + ["initial_time_step_size"])
                        self.min_time_step_size = self.__class__.min_time_step_size(service, version, mode, path + ["min_time_step_size"])
                        self.min_step_change_factor = self.__class__.min_step_change_factor(service, version, mode, path + ["min_step_change_factor"])
                        self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                        super().__init__(service, version, mode, path)
                    class max_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class courant_number(TUIMethod):
                        """
                        .
                        """
                    class fixed_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class max_step_change_factor(TUIMethod):
                        """
                        .
                        """
                    class initial_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class min_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class min_step_change_factor(TUIMethod):
                        """
                        .
                        """
                    class update_interval(TUIMethod):
                        """
                        .
                        """

                class multiphase_specific_time_constraints(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.moving_mesh_cfl_constraint = self.__class__.moving_mesh_cfl_constraint(service, version, mode, path + ["moving_mesh_cfl_constraint"])
                        self.time_scale_options = self.__class__.time_scale_options(service, version, mode, path + ["time_scale_options"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.physics_based_constraint = self.__class__.physics_based_constraint(service, version, mode, path + ["physics_based_constraint"])
                        super().__init__(service, version, mode, path)
                    class verbosity(TUIMethod):
                        """
                        .
                        """
                    class physics_based_constraint(TUIMethod):
                        """
                        .
                        """

                    class moving_mesh_cfl_constraint(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.moving_mesh_constraint = self.__class__.moving_mesh_constraint(service, version, mode, path + ["moving_mesh_constraint"])
                            self.mesh_courant_number = self.__class__.mesh_courant_number(service, version, mode, path + ["mesh_courant_number"])
                            super().__init__(service, version, mode, path)
                        class moving_mesh_constraint(TUIMethod):
                            """
                            .
                            """
                        class mesh_courant_number(TUIMethod):
                            """
                            .
                            """

                    class time_scale_options(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.viscous_scale = self.__class__.viscous_scale(service, version, mode, path + ["viscous_scale"])
                            self.surface_tension_scale = self.__class__.surface_tension_scale(service, version, mode, path + ["surface_tension_scale"])
                            self.acoustic_scale = self.__class__.acoustic_scale(service, version, mode, path + ["acoustic_scale"])
                            self.gravity_scale = self.__class__.gravity_scale(service, version, mode, path + ["gravity_scale"])
                            super().__init__(service, version, mode, path)
                        class viscous_scale(TUIMethod):
                            """
                            .
                            """
                        class surface_tension_scale(TUIMethod):
                            """
                            .
                            """
                        class acoustic_scale(TUIMethod):
                            """
                            .
                            """
                        class gravity_scale(TUIMethod):
                            """
                            .
                            """

                class cfl_based_time_stepping_advanced_options(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.cfl_type = self.__class__.cfl_type(service, version, mode, path + ["cfl_type"])
                        self.use_average_cfl = self.__class__.use_average_cfl(service, version, mode, path + ["use_average_cfl"])
                        self.control_time_step_size_variation = self.__class__.control_time_step_size_variation(service, version, mode, path + ["control_time_step_size_variation"])
                        super().__init__(service, version, mode, path)
                    class cfl_type(TUIMethod):
                        """
                        .
                        """
                    class use_average_cfl(TUIMethod):
                        """
                        .
                        """
                    class control_time_step_size_variation(TUIMethod):
                        """
                        .
                        """

                class fixed_periodic(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.fixed_periodic_type = self.__class__.fixed_periodic_type(service, version, mode, path + ["fixed_periodic_type"])
                        self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                        self.total_periods = self.__class__.total_periods(service, version, mode, path + ["total_periods"])
                        self.period = self.__class__.period(service, version, mode, path + ["period"])
                        self.times_steps_per_period = self.__class__.times_steps_per_period(service, version, mode, path + ["times_steps_per_period"])
                        super().__init__(service, version, mode, path)
                    class fixed_periodic_type(TUIMethod):
                        """
                        .
                        """
                    class enabled(TUIMethod):
                        """
                        .
                        """
                    class total_periods(TUIMethod):
                        """
                        .
                        """
                    class period(TUIMethod):
                        """
                        .
                        """
                    class times_steps_per_period(TUIMethod):
                        """
                        .
                        """

                class error_based_time_stepping(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.max_time_step_size = self.__class__.max_time_step_size(service, version, mode, path + ["max_time_step_size"])
                        self.initial_time_step_size = self.__class__.initial_time_step_size(service, version, mode, path + ["initial_time_step_size"])
                        self.min_step_change_factor = self.__class__.min_step_change_factor(service, version, mode, path + ["min_step_change_factor"])
                        self.fixed_time_step_size = self.__class__.fixed_time_step_size(service, version, mode, path + ["fixed_time_step_size"])
                        self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                        self.error_tolerance = self.__class__.error_tolerance(service, version, mode, path + ["error_tolerance"])
                        self.max_step_change_factor = self.__class__.max_step_change_factor(service, version, mode, path + ["max_step_change_factor"])
                        self.min_time_step_size = self.__class__.min_time_step_size(service, version, mode, path + ["min_time_step_size"])
                        super().__init__(service, version, mode, path)
                    class max_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class initial_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class min_step_change_factor(TUIMethod):
                        """
                        .
                        """
                    class fixed_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class update_interval(TUIMethod):
                        """
                        .
                        """
                    class error_tolerance(TUIMethod):
                        """
                        .
                        """
                    class max_step_change_factor(TUIMethod):
                        """
                        .
                        """
                    class min_time_step_size(TUIMethod):
                        """
                        .
                        """

                class mp_specific_time_stepping(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.fixed_time_step_size = self.__class__.fixed_time_step_size(service, version, mode, path + ["fixed_time_step_size"])
                        self.global_courant_number = self.__class__.global_courant_number(service, version, mode, path + ["global_courant_number"])
                        self.max_time_step_size = self.__class__.max_time_step_size(service, version, mode, path + ["max_time_step_size"])
                        self.min_step_change_factor = self.__class__.min_step_change_factor(service, version, mode, path + ["min_step_change_factor"])
                        self.initial_time_step_size = self.__class__.initial_time_step_size(service, version, mode, path + ["initial_time_step_size"])
                        self.min_time_step_size = self.__class__.min_time_step_size(service, version, mode, path + ["min_time_step_size"])
                        self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                        self.update_interval = self.__class__.update_interval(service, version, mode, path + ["update_interval"])
                        self.max_step_change_factor = self.__class__.max_step_change_factor(service, version, mode, path + ["max_step_change_factor"])
                        super().__init__(service, version, mode, path)
                    class fixed_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class global_courant_number(TUIMethod):
                        """
                        .
                        """
                    class max_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class min_step_change_factor(TUIMethod):
                        """
                        .
                        """
                    class initial_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class min_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class enabled(TUIMethod):
                        """
                        .
                        """
                    class update_interval(TUIMethod):
                        """
                        .
                        """
                    class max_step_change_factor(TUIMethod):
                        """
                        .
                        """

                class extrapolate_eqn_vars(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        super().__init__(service, version, mode, path)
                    class rename(TUIMethod):
                        """
                        Rename extrapolate-eqn-vars object.
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class create(TUIMethod):
                        """
                        Create a new extrapolate-eqn-vars object.
                        """
                    class edit(TUIMethod):
                        """
                        Edit extrapolate-eqn-vars object.
                        """

            class adaptive_time_stepping(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.max_step_change_factor = self.__class__.max_step_change_factor(service, version, mode, path + ["max_step_change_factor"])
                    self.min_time_step = self.__class__.min_time_step(service, version, mode, path + ["min_time_step"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    self.user_defined_timestep = self.__class__.user_defined_timestep(service, version, mode, path + ["user_defined_timestep"])
                    self.max_time_step = self.__class__.max_time_step(service, version, mode, path + ["max_time_step"])
                    self.error_tolerance = self.__class__.error_tolerance(service, version, mode, path + ["error_tolerance"])
                    self.min_step_change_factor = self.__class__.min_step_change_factor(service, version, mode, path + ["min_step_change_factor"])
                    self.time_end = self.__class__.time_end(service, version, mode, path + ["time_end"])
                    self.fixed_time_step_count = self.__class__.fixed_time_step_count(service, version, mode, path + ["fixed_time_step_count"])
                    super().__init__(service, version, mode, path)
                class max_step_change_factor(TUIMethod):
                    """
                    .
                    """
                class min_time_step(TUIMethod):
                    """
                    .
                    """
                class enabled(TUIMethod):
                    """
                    .
                    """
                class user_defined_timestep(TUIMethod):
                    """
                    .
                    """
                class max_time_step(TUIMethod):
                    """
                    .
                    """
                class error_tolerance(TUIMethod):
                    """
                    .
                    """
                class min_step_change_factor(TUIMethod):
                    """
                    .
                    """
                class time_end(TUIMethod):
                    """
                    .
                    """
                class fixed_time_step_count(TUIMethod):
                    """
                    .
                    """

            class pseudo_time_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.time_step_method = self.__class__.time_step_method(service, version, mode, path + ["time_step_method"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    super().__init__(service, version, mode, path)
                class verbosity(TUIMethod):
                    """
                    .
                    """

                class time_step_method(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.time_step_size_for_solid_zone = self.__class__.time_step_size_for_solid_zone(service, version, mode, path + ["time_step_size_for_solid_zone"])
                        self.time_solid_scale_factor = self.__class__.time_solid_scale_factor(service, version, mode, path + ["time_solid_scale_factor"])
                        self.auto_time_size_calc_solid_zone = self.__class__.auto_time_size_calc_solid_zone(service, version, mode, path + ["auto_time_size_calc_solid_zone"])
                        self.time_step_method = self.__class__.time_step_method(service, version, mode, path + ["time_step_method"])
                        self.pseudo_time_step_size = self.__class__.pseudo_time_step_size(service, version, mode, path + ["pseudo_time_step_size"])
                        self.length_scale = self.__class__.length_scale(service, version, mode, path + ["length_scale"])
                        self.length_scale_methods = self.__class__.length_scale_methods(service, version, mode, path + ["length_scale_methods"])
                        self.time_step_size_scale_factor = self.__class__.time_step_size_scale_factor(service, version, mode, path + ["time_step_size_scale_factor"])
                        super().__init__(service, version, mode, path)
                    class time_step_size_for_solid_zone(TUIMethod):
                        """
                        .
                        """
                    class time_solid_scale_factor(TUIMethod):
                        """
                        .
                        """
                    class auto_time_size_calc_solid_zone(TUIMethod):
                        """
                        .
                        """
                    class time_step_method(TUIMethod):
                        """
                        .
                        """
                    class pseudo_time_step_size(TUIMethod):
                        """
                        .
                        """
                    class length_scale(TUIMethod):
                        """
                        .
                        """
                    class length_scale_methods(TUIMethod):
                        """
                        .
                        """
                    class time_step_size_scale_factor(TUIMethod):
                        """
                        .
                        """

            class cfl_based_adaptive_time_stepping(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.min_time_step = self.__class__.min_time_step(service, version, mode, path + ["min_time_step"])
                    self.max_fixed_time_step = self.__class__.max_fixed_time_step(service, version, mode, path + ["max_fixed_time_step"])
                    self.desired_cfl = self.__class__.desired_cfl(service, version, mode, path + ["desired_cfl"])
                    self.max_step_change_factor = self.__class__.max_step_change_factor(service, version, mode, path + ["max_step_change_factor"])
                    self.update_interval_time_step_size = self.__class__.update_interval_time_step_size(service, version, mode, path + ["update_interval_time_step_size"])
                    self.user_defined_timestep = self.__class__.user_defined_timestep(service, version, mode, path + ["user_defined_timestep"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    self.max_time_step = self.__class__.max_time_step(service, version, mode, path + ["max_time_step"])
                    self.min_step_change_factor = self.__class__.min_step_change_factor(service, version, mode, path + ["min_step_change_factor"])
                    self.time_end = self.__class__.time_end(service, version, mode, path + ["time_end"])
                    self.initial_time_step = self.__class__.initial_time_step(service, version, mode, path + ["initial_time_step"])
                    super().__init__(service, version, mode, path)
                class min_time_step(TUIMethod):
                    """
                    .
                    """
                class max_fixed_time_step(TUIMethod):
                    """
                    .
                    """
                class desired_cfl(TUIMethod):
                    """
                    .
                    """
                class max_step_change_factor(TUIMethod):
                    """
                    .
                    """
                class update_interval_time_step_size(TUIMethod):
                    """
                    .
                    """
                class user_defined_timestep(TUIMethod):
                    """
                    .
                    """
                class enabled(TUIMethod):
                    """
                    .
                    """
                class max_time_step(TUIMethod):
                    """
                    .
                    """
                class min_step_change_factor(TUIMethod):
                    """
                    .
                    """
                class time_end(TUIMethod):
                    """
                    .
                    """
                class initial_time_step(TUIMethod):
                    """
                    .
                    """

            class data_sampling_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.data_sets = self.__class__.data_sets(service, version, mode, path + ["data_sets"])
                    self.add_datasets = self.__class__.add_datasets(service, version, mode, path + ["add_datasets"])
                    self.list_datasets = self.__class__.list_datasets(service, version, mode, path + ["list_datasets"])
                    super().__init__(service, version, mode, path)
                class add_datasets(TUIMethod):
                    """
                    .
                    """
                class list_datasets(TUIMethod):
                    """
                    .
                    """

                class data_sets(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        super().__init__(service, version, mode, path)
                    class create(TUIMethod):
                        """
                        Create a new data-sets object.
                        """
                    class rename(TUIMethod):
                        """
                        Rename data-sets object.
                        """
                    class edit(TUIMethod):
                        """
                        Edit data-sets object.
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """

            class data_sampling(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.force_statistics = self.__class__.force_statistics(service, version, mode, path + ["force_statistics"])
                    self.custom_field_functions = self.__class__.custom_field_functions(service, version, mode, path + ["custom_field_functions"])
                    self.dpm_variables = self.__class__.dpm_variables(service, version, mode, path + ["dpm_variables"])
                    self.wall_statistics = self.__class__.wall_statistics(service, version, mode, path + ["wall_statistics"])
                    self.enable_custom_field_functions = self.__class__.enable_custom_field_functions(service, version, mode, path + ["enable_custom_field_functions"])
                    self.flow_heat_fluxes = self.__class__.flow_heat_fluxes(service, version, mode, path + ["flow_heat_fluxes"])
                    self.sampling_interval = self.__class__.sampling_interval(service, version, mode, path + ["sampling_interval"])
                    self.statistics_reaction_progress = self.__class__.statistics_reaction_progress(service, version, mode, path + ["statistics_reaction_progress"])
                    self.species_list = self.__class__.species_list(service, version, mode, path + ["species_list"])
                    self.flow_shear_stresses = self.__class__.flow_shear_stresses(service, version, mode, path + ["flow_shear_stresses"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    self.statistics_mixture_fraction = self.__class__.statistics_mixture_fraction(service, version, mode, path + ["statistics_mixture_fraction"])
                    super().__init__(service, version, mode, path)
                class force_statistics(TUIMethod):
                    """
                    .
                    """
                class custom_field_functions(TUIMethod):
                    """
                    .
                    """
                class dpm_variables(TUIMethod):
                    """
                    .
                    """
                class wall_statistics(TUIMethod):
                    """
                    .
                    """
                class enable_custom_field_functions(TUIMethod):
                    """
                    .
                    """
                class flow_heat_fluxes(TUIMethod):
                    """
                    .
                    """
                class sampling_interval(TUIMethod):
                    """
                    .
                    """
                class statistics_reaction_progress(TUIMethod):
                    """
                    .
                    """
                class species_list(TUIMethod):
                    """
                    .
                    """
                class flow_shear_stresses(TUIMethod):
                    """
                    .
                    """
                class enabled(TUIMethod):
                    """
                    .
                    """
                class statistics_mixture_fraction(TUIMethod):
                    """
                    .
                    """

        class methods(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.nita_expert_controls = self.__class__.nita_expert_controls(service, version, mode, path + ["nita_expert_controls"])
                self.convergence_acceleration_for_stretched_meshes = self.__class__.convergence_acceleration_for_stretched_meshes(service, version, mode, path + ["convergence_acceleration_for_stretched_meshes"])
                self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                self.pseudo_time_method = self.__class__.pseudo_time_method(service, version, mode, path + ["pseudo_time_method"])
                self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                self.flux_type = self.__class__.flux_type(service, version, mode, path + ["flux_type"])
                self.reduced_rank_extrapolation_options = self.__class__.reduced_rank_extrapolation_options(service, version, mode, path + ["reduced_rank_extrapolation_options"])
                self.nb_gradient_boundary_option = self.__class__.nb_gradient_boundary_option(service, version, mode, path + ["nb_gradient_boundary_option"])
                self.warped_face_gradient_correction = self.__class__.warped_face_gradient_correction(service, version, mode, path + ["warped_face_gradient_correction"])
                self.vof_numerics = self.__class__.vof_numerics(service, version, mode, path + ["vof_numerics"])
                self.high_order_term_relaxation = self.__class__.high_order_term_relaxation(service, version, mode, path + ["high_order_term_relaxation"])
                self.multiphase_numerics = self.__class__.multiphase_numerics(service, version, mode, path + ["multiphase_numerics"])
                self.discretization_scheme = self.__class__.discretization_scheme(service, version, mode, path + ["discretization_scheme"])
                self.residual_smoothing = self.__class__.residual_smoothing(service, version, mode, path + ["residual_smoothing"])
                self.phase_based_vof_discretization = self.__class__.phase_based_vof_discretization(service, version, mode, path + ["phase_based_vof_discretization"])
                self.frozen_flux = self.__class__.frozen_flux(service, version, mode, path + ["frozen_flux"])
                self.accelerated_non_iterative_time_marching = self.__class__.accelerated_non_iterative_time_marching(service, version, mode, path + ["accelerated_non_iterative_time_marching"])
                self.set_solution_methods_to_default = self.__class__.set_solution_methods_to_default(service, version, mode, path + ["set_solution_methods_to_default"])
                self.reduced_rank_extrapolation = self.__class__.reduced_rank_extrapolation(service, version, mode, path + ["reduced_rank_extrapolation"])
                self.nita = self.__class__.nita(service, version, mode, path + ["nita"])
                self.gradient_scheme = self.__class__.gradient_scheme(service, version, mode, path + ["gradient_scheme"])
                self.transient_formulation = self.__class__.transient_formulation(service, version, mode, path + ["transient_formulation"])
                self.unsteady_global_time = self.__class__.unsteady_global_time(service, version, mode, path + ["unsteady_global_time"])
                super().__init__(service, version, mode, path)
            class frozen_flux(TUIMethod):
                """
                .
                """
            class accelerated_non_iterative_time_marching(TUIMethod):
                """
                .
                """
            class set_solution_methods_to_default(TUIMethod):
                """
                .
                """
            class reduced_rank_extrapolation(TUIMethod):
                """
                .
                """
            class nita(TUIMethod):
                """
                .
                """
            class gradient_scheme(TUIMethod):
                """
                .
                """
            class transient_formulation(TUIMethod):
                """
                .
                """
            class unsteady_global_time(TUIMethod):
                """
                .
                """

            class nita_expert_controls(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.hybrid_nita_settings = self.__class__.hybrid_nita_settings(service, version, mode, path + ["hybrid_nita_settings"])
                    self.skewness_neighbor_coupling = self.__class__.skewness_neighbor_coupling(service, version, mode, path + ["skewness_neighbor_coupling"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    super().__init__(service, version, mode, path)
                class skewness_neighbor_coupling(TUIMethod):
                    """
                    .
                    """
                class verbosity(TUIMethod):
                    """
                    .
                    """

                class hybrid_nita_settings(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.multi_phase_setting = self.__class__.multi_phase_setting(service, version, mode, path + ["multi_phase_setting"])
                        self.single_phase_setting = self.__class__.single_phase_setting(service, version, mode, path + ["single_phase_setting"])
                        super().__init__(service, version, mode, path)
                    class single_phase_setting(TUIMethod):
                        """
                        .
                        """

                    class multi_phase_setting(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.options = self.__class__.options(service, version, mode, path + ["options"])
                            self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                            super().__init__(service, version, mode, path)
                        class options(TUIMethod):
                            """
                            .
                            """
                        class enable(TUIMethod):
                            """
                            .
                            """

            class convergence_acceleration_for_stretched_meshes(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.casm_cutoff_multiplier = self.__class__.casm_cutoff_multiplier(service, version, mode, path + ["casm_cutoff_multiplier"])
                    self.convergence_acceleration_type = self.__class__.convergence_acceleration_type(service, version, mode, path + ["convergence_acceleration_type"])
                    super().__init__(service, version, mode, path)
                class casm_cutoff_multiplier(TUIMethod):
                    """
                    .
                    """
                class convergence_acceleration_type(TUIMethod):
                    """
                    .
                    """

            class p_v_coupling(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.flow_scheme = self.__class__.flow_scheme(service, version, mode, path + ["flow_scheme"])
                    self.coupled_form = self.__class__.coupled_form(service, version, mode, path + ["coupled_form"])
                    self.solve_n_phase = self.__class__.solve_n_phase(service, version, mode, path + ["solve_n_phase"])
                    super().__init__(service, version, mode, path)
                class flow_scheme(TUIMethod):
                    """
                    .
                    """
                class coupled_form(TUIMethod):
                    """
                    .
                    """
                class solve_n_phase(TUIMethod):
                    """
                    .
                    """

            class pseudo_time_method(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.convergence_acceleration_for_stretched_meshes = self.__class__.convergence_acceleration_for_stretched_meshes(service, version, mode, path + ["convergence_acceleration_for_stretched_meshes"])
                    self.formulation = self.__class__.formulation(service, version, mode, path + ["formulation"])
                    self.relaxation_bounds = self.__class__.relaxation_bounds(service, version, mode, path + ["relaxation_bounds"])
                    self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                    super().__init__(service, version, mode, path)
                class relaxation_bounds(TUIMethod):
                    """
                    .
                    """
                class relaxation_method(TUIMethod):
                    """
                    .
                    """

                class convergence_acceleration_for_stretched_meshes(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.casm_cutoff_multiplier = self.__class__.casm_cutoff_multiplier(service, version, mode, path + ["casm_cutoff_multiplier"])
                        self.convergence_acceleration_type = self.__class__.convergence_acceleration_type(service, version, mode, path + ["convergence_acceleration_type"])
                        super().__init__(service, version, mode, path)
                    class casm_cutoff_multiplier(TUIMethod):
                        """
                        .
                        """
                    class convergence_acceleration_type(TUIMethod):
                        """
                        .
                        """

                class formulation(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.segregated_solver = self.__class__.segregated_solver(service, version, mode, path + ["segregated_solver"])
                        self.coupled_solver = self.__class__.coupled_solver(service, version, mode, path + ["coupled_solver"])
                        self.density_based_solver = self.__class__.density_based_solver(service, version, mode, path + ["density_based_solver"])
                        super().__init__(service, version, mode, path)
                    class segregated_solver(TUIMethod):
                        """
                        .
                        """
                    class coupled_solver(TUIMethod):
                        """
                        .
                        """
                    class density_based_solver(TUIMethod):
                        """
                        .
                        """

            class overset(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.high_order_pressure = self.__class__.high_order_pressure(service, version, mode, path + ["high_order_pressure"])
                    self.orphan_cell_treatment = self.__class__.orphan_cell_treatment(service, version, mode, path + ["orphan_cell_treatment"])
                    self.interpolation_method = self.__class__.interpolation_method(service, version, mode, path + ["interpolation_method"])
                    super().__init__(service, version, mode, path)
                class high_order_pressure(TUIMethod):
                    """
                    .
                    """
                class orphan_cell_treatment(TUIMethod):
                    """
                    .
                    """
                class interpolation_method(TUIMethod):
                    """
                    .
                    """

                class expert(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.hybrid_mode_selection = self.__class__.hybrid_mode_selection(service, version, mode, path + ["hybrid_mode_selection"])
                        self.mass_flux_correction_method = self.__class__.mass_flux_correction_method(service, version, mode, path + ["mass_flux_correction_method"])
                        super().__init__(service, version, mode, path)
                    class hybrid_mode_selection(TUIMethod):
                        """
                        .
                        """
                    class mass_flux_correction_method(TUIMethod):
                        """
                        .
                        """

            class expert(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.numerics_dbns = self.__class__.numerics_dbns(service, version, mode, path + ["numerics_dbns"])
                    self.numerics_pbns = self.__class__.numerics_pbns(service, version, mode, path + ["numerics_pbns"])
                    self.reaction_source_term_relaxation_factor = self.__class__.reaction_source_term_relaxation_factor(service, version, mode, path + ["reaction_source_term_relaxation_factor"])
                    self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                    super().__init__(service, version, mode, path)
                class reaction_source_term_relaxation_factor(TUIMethod):
                    """
                    .
                    """
                class reactions(TUIMethod):
                    """
                    .
                    """

                class numerics_dbns(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.first_to_second_order_blending_dbns = self.__class__.first_to_second_order_blending_dbns(service, version, mode, path + ["first_to_second_order_blending_dbns"])
                        super().__init__(service, version, mode, path)
                    class first_to_second_order_blending_dbns(TUIMethod):
                        """
                        .
                        """

                class numerics_pbns(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.alternate_diffusion_for_porous_region_solids = self.__class__.alternate_diffusion_for_porous_region_solids(service, version, mode, path + ["alternate_diffusion_for_porous_region_solids"])
                        self.presto_pressure_scheme = self.__class__.presto_pressure_scheme(service, version, mode, path + ["presto_pressure_scheme"])
                        self.first_to_second_order_blending = self.__class__.first_to_second_order_blending(service, version, mode, path + ["first_to_second_order_blending"])
                        self.implicit_bodyforce_treatment = self.__class__.implicit_bodyforce_treatment(service, version, mode, path + ["implicit_bodyforce_treatment"])
                        self.disable_rhie_chow_flux = self.__class__.disable_rhie_chow_flux(service, version, mode, path + ["disable_rhie_chow_flux"])
                        self.velocity_formulation = self.__class__.velocity_formulation(service, version, mode, path + ["velocity_formulation"])
                        self.physical_velocity_formulation = self.__class__.physical_velocity_formulation(service, version, mode, path + ["physical_velocity_formulation"])
                        super().__init__(service, version, mode, path)
                    class alternate_diffusion_for_porous_region_solids(TUIMethod):
                        """
                        .
                        """
                    class presto_pressure_scheme(TUIMethod):
                        """
                        .
                        """
                    class first_to_second_order_blending(TUIMethod):
                        """
                        .
                        """
                    class implicit_bodyforce_treatment(TUIMethod):
                        """
                        .
                        """
                    class disable_rhie_chow_flux(TUIMethod):
                        """
                        .
                        """
                    class velocity_formulation(TUIMethod):
                        """
                        .
                        """
                    class physical_velocity_formulation(TUIMethod):
                        """
                        .
                        """

            class flux_type(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.dbns_cases = self.__class__.dbns_cases(service, version, mode, path + ["dbns_cases"])
                    self.pbns_cases = self.__class__.pbns_cases(service, version, mode, path + ["pbns_cases"])
                    super().__init__(service, version, mode, path)

                class dbns_cases(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.flux_type = self.__class__.flux_type(service, version, mode, path + ["flux_type"])
                        super().__init__(service, version, mode, path)
                    class flux_type(TUIMethod):
                        """
                        .
                        """

                class pbns_cases(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.flux_auto_select = self.__class__.flux_auto_select(service, version, mode, path + ["flux_auto_select"])
                        self.flux_type = self.__class__.flux_type(service, version, mode, path + ["flux_type"])
                        super().__init__(service, version, mode, path)
                    class flux_auto_select(TUIMethod):
                        """
                        .
                        """
                    class flux_type(TUIMethod):
                        """
                        .
                        """

            class reduced_rank_extrapolation_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.skip_iter_count = self.__class__.skip_iter_count(service, version, mode, path + ["skip_iter_count"])
                    self.subspace_size = self.__class__.subspace_size(service, version, mode, path + ["subspace_size"])
                    super().__init__(service, version, mode, path)
                class skip_iter_count(TUIMethod):
                    """
                    .
                    """
                class subspace_size(TUIMethod):
                    """
                    .
                    """

            class nb_gradient_boundary_option(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.nb_gradient = self.__class__.nb_gradient(service, version, mode, path + ["nb_gradient"])
                    self.nb_gradient_dbns = self.__class__.nb_gradient_dbns(service, version, mode, path + ["nb_gradient_dbns"])
                    super().__init__(service, version, mode, path)
                class nb_gradient(TUIMethod):
                    """
                    .
                    """
                class nb_gradient_dbns(TUIMethod):
                    """
                    .
                    """

            class warped_face_gradient_correction(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.turbulence_options = self.__class__.turbulence_options(service, version, mode, path + ["turbulence_options"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.mode = self.__class__.mode(service, version, mode, path + ["mode"])
                    super().__init__(service, version, mode, path)
                class turbulence_options(TUIMethod):
                    """
                    .
                    """
                class enable(TUIMethod):
                    """
                    .
                    """
                class mode(TUIMethod):
                    """
                    .
                    """

            class vof_numerics(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.high_order_rc_hybrid_treatment = self.__class__.high_order_rc_hybrid_treatment(service, version, mode, path + ["high_order_rc_hybrid_treatment"])
                    self.unstructured_var_presto_scheme = self.__class__.unstructured_var_presto_scheme(service, version, mode, path + ["unstructured_var_presto_scheme"])
                    self.high_order_rc = self.__class__.high_order_rc(service, version, mode, path + ["high_order_rc"])
                    self.force_treatment_of_unsteady_rc = self.__class__.force_treatment_of_unsteady_rc(service, version, mode, path + ["force_treatment_of_unsteady_rc"])
                    self.new_framework_for_vof_specific_node_based_treatment = self.__class__.new_framework_for_vof_specific_node_based_treatment(service, version, mode, path + ["new_framework_for_vof_specific_node_based_treatment"])
                    super().__init__(service, version, mode, path)
                class high_order_rc_hybrid_treatment(TUIMethod):
                    """
                    .
                    """
                class unstructured_var_presto_scheme(TUIMethod):
                    """
                    .
                    """
                class high_order_rc(TUIMethod):
                    """
                    .
                    """
                class force_treatment_of_unsteady_rc(TUIMethod):
                    """
                    .
                    """
                class new_framework_for_vof_specific_node_based_treatment(TUIMethod):
                    """
                    .
                    """

            class high_order_term_relaxation(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.options = self.__class__.options(service, version, mode, path + ["options"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    .
                    """

                class options(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                        self.type = self.__class__.type(service, version, mode, path + ["type"])
                        self.select_variables = self.__class__.select_variables(service, version, mode, path + ["select_variables"])
                        super().__init__(service, version, mode, path)
                    class relaxation_factor(TUIMethod):
                        """
                        .
                        """
                    class type(TUIMethod):
                        """
                        .
                        """
                    class select_variables(TUIMethod):
                        """
                        .
                        """

            class multiphase_numerics(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.advanced_stability_controls = self.__class__.advanced_stability_controls(service, version, mode, path + ["advanced_stability_controls"])
                    self.compressible_flow = self.__class__.compressible_flow(service, version, mode, path + ["compressible_flow"])
                    self.porous_media = self.__class__.porous_media(service, version, mode, path + ["porous_media"])
                    self.boiling_parameters = self.__class__.boiling_parameters(service, version, mode, path + ["boiling_parameters"])
                    self.heat_mass_transfer = self.__class__.heat_mass_transfer(service, version, mode, path + ["heat_mass_transfer"])
                    self.default_controls = self.__class__.default_controls(service, version, mode, path + ["default_controls"])
                    self.viscous_flow = self.__class__.viscous_flow(service, version, mode, path + ["viscous_flow"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.face_pressure_controls = self.__class__.face_pressure_controls(service, version, mode, path + ["face_pressure_controls"])
                    super().__init__(service, version, mode, path)

                class advanced_stability_controls(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.pseudo_transient = self.__class__.pseudo_transient(service, version, mode, path + ["pseudo_transient"])
                        self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                        self.equation_order = self.__class__.equation_order(service, version, mode, path + ["equation_order"])
                        self.hybrid_nita = self.__class__.hybrid_nita(service, version, mode, path + ["hybrid_nita"])
                        self.anti_diffusion = self.__class__.anti_diffusion(service, version, mode, path + ["anti_diffusion"])
                        super().__init__(service, version, mode, path)

                    class pseudo_transient(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.auto_dt_advanced_controls = self.__class__.auto_dt_advanced_controls(service, version, mode, path + ["auto_dt_advanced_controls"])
                            self.false_time_step_linearization = self.__class__.false_time_step_linearization(service, version, mode, path + ["false_time_step_linearization"])
                            self.num_of_density_smoothing = self.__class__.num_of_density_smoothing(service, version, mode, path + ["num_of_density_smoothing"])
                            self.smoothed_density_stabilization_method = self.__class__.smoothed_density_stabilization_method(service, version, mode, path + ["smoothed_density_stabilization_method"])
                            super().__init__(service, version, mode, path)
                        class false_time_step_linearization(TUIMethod):
                            """
                            .
                            """
                        class num_of_density_smoothing(TUIMethod):
                            """
                            .
                            """
                        class smoothed_density_stabilization_method(TUIMethod):
                            """
                            .
                            """

                        class auto_dt_advanced_controls(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.dt_init_limit = self.__class__.dt_init_limit(service, version, mode, path + ["dt_init_limit"])
                                self.max_velocity_ratio = self.__class__.max_velocity_ratio(service, version, mode, path + ["max_velocity_ratio"])
                                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                                self.dt_max = self.__class__.dt_max(service, version, mode, path + ["dt_max"])
                                self.dt_factor_max = self.__class__.dt_factor_max(service, version, mode, path + ["dt_factor_max"])
                                self.dt_factor_min = self.__class__.dt_factor_min(service, version, mode, path + ["dt_factor_min"])
                                super().__init__(service, version, mode, path)
                            class dt_init_limit(TUIMethod):
                                """
                                .
                                """
                            class max_velocity_ratio(TUIMethod):
                                """
                                .
                                """
                            class enable(TUIMethod):
                                """
                                .
                                """
                            class dt_max(TUIMethod):
                                """
                                .
                                """
                            class dt_factor_max(TUIMethod):
                                """
                                .
                                """
                            class dt_factor_min(TUIMethod):
                                """
                                .
                                """

                    class p_v_coupling(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.skewness_correction = self.__class__.skewness_correction(service, version, mode, path + ["skewness_correction"])
                            self.rhie_chow_flux = self.__class__.rhie_chow_flux(service, version, mode, path + ["rhie_chow_flux"])
                            self.coupled_vof = self.__class__.coupled_vof(service, version, mode, path + ["coupled_vof"])
                            super().__init__(service, version, mode, path)

                        class skewness_correction(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.limit_pressure_correction_gradient = self.__class__.limit_pressure_correction_gradient(service, version, mode, path + ["limit_pressure_correction_gradient"])
                                super().__init__(service, version, mode, path)
                            class limit_pressure_correction_gradient(TUIMethod):
                                """
                                .
                                """

                        class rhie_chow_flux(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.low_order_rhie_chow = self.__class__.low_order_rhie_chow(service, version, mode, path + ["low_order_rhie_chow"])
                                super().__init__(service, version, mode, path)
                            class low_order_rhie_chow(TUIMethod):
                                """
                                .
                                """

                        class coupled_vof(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.buoyancy_force_linearization = self.__class__.buoyancy_force_linearization(service, version, mode, path + ["buoyancy_force_linearization"])
                                self.blended_treatment_for_buoyancy_forces = self.__class__.blended_treatment_for_buoyancy_forces(service, version, mode, path + ["blended_treatment_for_buoyancy_forces"])
                                super().__init__(service, version, mode, path)
                            class buoyancy_force_linearization(TUIMethod):
                                """
                                .
                                """
                            class blended_treatment_for_buoyancy_forces(TUIMethod):
                                """
                                .
                                """

                    class equation_order(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.solve_exp_vof_at_end = self.__class__.solve_exp_vof_at_end(service, version, mode, path + ["solve_exp_vof_at_end"])
                            self.solve_flow_last = self.__class__.solve_flow_last(service, version, mode, path + ["solve_flow_last"])
                            super().__init__(service, version, mode, path)
                        class solve_exp_vof_at_end(TUIMethod):
                            """
                            .
                            """
                        class solve_flow_last(TUIMethod):
                            """
                            .
                            """

                    class hybrid_nita(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.instability_detector = self.__class__.instability_detector(service, version, mode, path + ["instability_detector"])
                            self.initial_outer_iterations = self.__class__.initial_outer_iterations(service, version, mode, path + ["initial_outer_iterations"])
                            self.outer_iterations = self.__class__.outer_iterations(service, version, mode, path + ["outer_iterations"])
                            super().__init__(service, version, mode, path)
                        class outer_iterations(TUIMethod):
                            """
                            .
                            """

                        class instability_detector(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.enable_instability_detector = self.__class__.enable_instability_detector(service, version, mode, path + ["enable_instability_detector"])
                                self.set_velocity_limit = self.__class__.set_velocity_limit(service, version, mode, path + ["set_velocity_limit"])
                                self.set_cfl_limit = self.__class__.set_cfl_limit(service, version, mode, path + ["set_cfl_limit"])
                                self.set_cfl_type = self.__class__.set_cfl_type(service, version, mode, path + ["set_cfl_type"])
                                self.unstable_event_outer_iterations = self.__class__.unstable_event_outer_iterations(service, version, mode, path + ["unstable_event_outer_iterations"])
                                super().__init__(service, version, mode, path)
                            class enable_instability_detector(TUIMethod):
                                """
                                .
                                """
                            class set_velocity_limit(TUIMethod):
                                """
                                .
                                """
                            class set_cfl_limit(TUIMethod):
                                """
                                .
                                """
                            class set_cfl_type(TUIMethod):
                                """
                                .
                                """
                            class unstable_event_outer_iterations(TUIMethod):
                                """
                                .
                                """

                        class initial_outer_iterations(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.initial_time_steps = self.__class__.initial_time_steps(service, version, mode, path + ["initial_time_steps"])
                                self.initial_outer_iter = self.__class__.initial_outer_iter(service, version, mode, path + ["initial_outer_iter"])
                                super().__init__(service, version, mode, path)
                            class initial_time_steps(TUIMethod):
                                """
                                .
                                """
                            class initial_outer_iter(TUIMethod):
                                """
                                .
                                """

                    class anti_diffusion(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_maximum_dynamic_strength = self.__class__.set_maximum_dynamic_strength(service, version, mode, path + ["set_maximum_dynamic_strength"])
                            self.enable_dynamic_strength = self.__class__.enable_dynamic_strength(service, version, mode, path + ["enable_dynamic_strength"])
                            self.set_dynamic_strength_exponent = self.__class__.set_dynamic_strength_exponent(service, version, mode, path + ["set_dynamic_strength_exponent"])
                            super().__init__(service, version, mode, path)
                        class set_maximum_dynamic_strength(TUIMethod):
                            """
                            .
                            """
                        class enable_dynamic_strength(TUIMethod):
                            """
                            .
                            """
                        class set_dynamic_strength_exponent(TUIMethod):
                            """
                            .
                            """

                class compressible_flow(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.alternate_bc_formulation = self.__class__.alternate_bc_formulation(service, version, mode, path + ["alternate_bc_formulation"])
                        self.analytical_thermodynamic_derivatives = self.__class__.analytical_thermodynamic_derivatives(service, version, mode, path + ["analytical_thermodynamic_derivatives"])
                        self.enhanced_numerics = self.__class__.enhanced_numerics(service, version, mode, path + ["enhanced_numerics"])
                        super().__init__(service, version, mode, path)
                    class alternate_bc_formulation(TUIMethod):
                        """
                        .
                        """
                    class analytical_thermodynamic_derivatives(TUIMethod):
                        """
                        .
                        """
                    class enhanced_numerics(TUIMethod):
                        """
                        .
                        """

                class porous_media(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.capillary_pressure_as_diffusion = self.__class__.capillary_pressure_as_diffusion(service, version, mode, path + ["capillary_pressure_as_diffusion"])
                        self.relative_permeability = self.__class__.relative_permeability(service, version, mode, path + ["relative_permeability"])
                        super().__init__(service, version, mode, path)
                    class capillary_pressure_as_diffusion(TUIMethod):
                        """
                        .
                        """
                    class relative_permeability(TUIMethod):
                        """
                        .
                        """

                class boiling_parameters(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.thin_film = self.__class__.thin_film(service, version, mode, path + ["thin_film"])
                        self.liquid_vof_factor = self.__class__.liquid_vof_factor(service, version, mode, path + ["liquid_vof_factor"])
                        super().__init__(service, version, mode, path)
                    class thin_film(TUIMethod):
                        """
                        .
                        """
                    class liquid_vof_factor(TUIMethod):
                        """
                        .
                        """

                class heat_mass_transfer(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.evaporation_condensation = self.__class__.evaporation_condensation(service, version, mode, path + ["evaporation_condensation"])
                        self.area_density = self.__class__.area_density(service, version, mode, path + ["area_density"])
                        self.boiling = self.__class__.boiling(service, version, mode, path + ["boiling"])
                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                        self.alternative_energy_treatment = self.__class__.alternative_energy_treatment(service, version, mode, path + ["alternative_energy_treatment"])
                        super().__init__(service, version, mode, path)
                    class alternative_energy_treatment(TUIMethod):
                        """
                        .
                        """

                    class evaporation_condensation(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.vof_from_min_limit = self.__class__.vof_from_min_limit(service, version, mode, path + ["vof_from_min_limit"])
                            self.ia_norm_min_limit = self.__class__.ia_norm_min_limit(service, version, mode, path + ["ia_norm_min_limit"])
                            self.vof_to_max_limit = self.__class__.vof_to_max_limit(service, version, mode, path + ["vof_to_max_limit"])
                            self.vof_to_min_limit = self.__class__.vof_to_min_limit(service, version, mode, path + ["vof_to_min_limit"])
                            self.max_rel_humidity = self.__class__.max_rel_humidity(service, version, mode, path + ["max_rel_humidity"])
                            self.vof_from_max_limit = self.__class__.vof_from_max_limit(service, version, mode, path + ["vof_from_max_limit"])
                            super().__init__(service, version, mode, path)
                        class vof_from_min_limit(TUIMethod):
                            """
                            .
                            """
                        class ia_norm_min_limit(TUIMethod):
                            """
                            .
                            """
                        class vof_to_max_limit(TUIMethod):
                            """
                            .
                            """
                        class vof_to_min_limit(TUIMethod):
                            """
                            .
                            """
                        class max_rel_humidity(TUIMethod):
                            """
                            .
                            """
                        class vof_from_max_limit(TUIMethod):
                            """
                            .
                            """

                    class area_density(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.vof_min_seeding = self.__class__.vof_min_seeding(service, version, mode, path + ["vof_min_seeding"])
                            self.ia_grad_sym = self.__class__.ia_grad_sym(service, version, mode, path + ["ia_grad_sym"])
                            super().__init__(service, version, mode, path)
                        class vof_min_seeding(TUIMethod):
                            """
                            .
                            """
                        class ia_grad_sym(TUIMethod):
                            """
                            .
                            """

                    class boiling(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.show_expert_options = self.__class__.show_expert_options(service, version, mode, path + ["show_expert_options"])
                            self.two_resistance_boiling_framework = self.__class__.two_resistance_boiling_framework(service, version, mode, path + ["two_resistance_boiling_framework"])
                            self.heat_flux_relaxation_factor = self.__class__.heat_flux_relaxation_factor(service, version, mode, path + ["heat_flux_relaxation_factor"])
                            super().__init__(service, version, mode, path)
                        class show_expert_options(TUIMethod):
                            """
                            .
                            """
                        class two_resistance_boiling_framework(TUIMethod):
                            """
                            .
                            """
                        class heat_flux_relaxation_factor(TUIMethod):
                            """
                            .
                            """

                    class cavitation(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.display_clipped_pressure = self.__class__.display_clipped_pressure(service, version, mode, path + ["display_clipped_pressure"])
                            self.min_vapor_pressure = self.__class__.min_vapor_pressure(service, version, mode, path + ["min_vapor_pressure"])
                            self.schnerr_cond_coeff = self.__class__.schnerr_cond_coeff(service, version, mode, path + ["schnerr_cond_coeff"])
                            self.p_limit_method = self.__class__.p_limit_method(service, version, mode, path + ["p_limit_method"])
                            self.schnerr_evap_coeff = self.__class__.schnerr_evap_coeff(service, version, mode, path + ["schnerr_evap_coeff"])
                            self.turbulent_diffusion = self.__class__.turbulent_diffusion(service, version, mode, path + ["turbulent_diffusion"])
                            self.old_treatment_for_turbulent_diffusion = self.__class__.old_treatment_for_turbulent_diffusion(service, version, mode, path + ["old_treatment_for_turbulent_diffusion"])
                            self.max_vapor_pressure_ratio = self.__class__.max_vapor_pressure_ratio(service, version, mode, path + ["max_vapor_pressure_ratio"])
                            super().__init__(service, version, mode, path)
                        class display_clipped_pressure(TUIMethod):
                            """
                            .
                            """
                        class min_vapor_pressure(TUIMethod):
                            """
                            .
                            """
                        class schnerr_cond_coeff(TUIMethod):
                            """
                            .
                            """
                        class p_limit_method(TUIMethod):
                            """
                            .
                            """
                        class schnerr_evap_coeff(TUIMethod):
                            """
                            .
                            """
                        class turbulent_diffusion(TUIMethod):
                            """
                            .
                            """
                        class old_treatment_for_turbulent_diffusion(TUIMethod):
                            """
                            .
                            """
                        class max_vapor_pressure_ratio(TUIMethod):
                            """
                            .
                            """

                class default_controls(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.revert_to_pre_r20_1_default_settings = self.__class__.revert_to_pre_r20_1_default_settings(service, version, mode, path + ["revert_to_pre_r20_1_default_settings"])
                        self.recommended_defaults_for_existing_cases = self.__class__.recommended_defaults_for_existing_cases(service, version, mode, path + ["recommended_defaults_for_existing_cases"])
                        super().__init__(service, version, mode, path)
                    class recommended_defaults_for_existing_cases(TUIMethod):
                        """
                        .
                        """

                    class revert_to_pre_r20_1_default_settings(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.old_default_of_volume_fraction_smoothing = self.__class__.old_default_of_volume_fraction_smoothing(service, version, mode, path + ["old_default_of_volume_fraction_smoothing"])
                            self.old_variant_of_pesto_for_cases_using_structured_mesh = self.__class__.old_variant_of_pesto_for_cases_using_structured_mesh(service, version, mode, path + ["old_variant_of_pesto_for_cases_using_structured_mesh"])
                            self.old_default_of_operating_density_method = self.__class__.old_default_of_operating_density_method(service, version, mode, path + ["old_default_of_operating_density_method"])
                            super().__init__(service, version, mode, path)
                        class old_default_of_volume_fraction_smoothing(TUIMethod):
                            """
                            .
                            """
                        class old_variant_of_pesto_for_cases_using_structured_mesh(TUIMethod):
                            """
                            .
                            """
                        class old_default_of_operating_density_method(TUIMethod):
                            """
                            .
                            """

                class viscous_flow(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.interfacial_artificial_viscosity = self.__class__.interfacial_artificial_viscosity(service, version, mode, path + ["interfacial_artificial_viscosity"])
                        self.turb_visc_based_damping = self.__class__.turb_visc_based_damping(service, version, mode, path + ["turb_visc_based_damping"])
                        self.density_ratio_cutoff = self.__class__.density_ratio_cutoff(service, version, mode, path + ["density_ratio_cutoff"])
                        self.density_func_expo = self.__class__.density_func_expo(service, version, mode, path + ["density_func_expo"])
                        self.viscosity_averaging = self.__class__.viscosity_averaging(service, version, mode, path + ["viscosity_averaging"])
                        super().__init__(service, version, mode, path)
                    class turb_visc_based_damping(TUIMethod):
                        """
                        .
                        """
                    class density_ratio_cutoff(TUIMethod):
                        """
                        .
                        """
                    class density_func_expo(TUIMethod):
                        """
                        .
                        """
                    class viscosity_averaging(TUIMethod):
                        """
                        .
                        """

                    class interfacial_artificial_viscosity(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.viscous_func_options = self.__class__.viscous_func_options(service, version, mode, path + ["viscous_func_options"])
                            self.sm_relax_factor = self.__class__.sm_relax_factor(service, version, mode, path + ["sm_relax_factor"])
                            self.n_smooth_for_interfacial_regims = self.__class__.n_smooth_for_interfacial_regims(service, version, mode, path + ["n_smooth_for_interfacial_regims"])
                            self.density_func_options = self.__class__.density_func_options(service, version, mode, path + ["density_func_options"])
                            self.exponent_density_func = self.__class__.exponent_density_func(service, version, mode, path + ["exponent_density_func"])
                            self.boundry_treatment = self.__class__.boundry_treatment(service, version, mode, path + ["boundry_treatment"])
                            self.exponent_smoothing_func = self.__class__.exponent_smoothing_func(service, version, mode, path + ["exponent_smoothing_func"])
                            self.near_wall_treatment = self.__class__.near_wall_treatment(service, version, mode, path + ["near_wall_treatment"])
                            super().__init__(service, version, mode, path)
                        class viscous_func_options(TUIMethod):
                            """
                            .
                            """
                        class sm_relax_factor(TUIMethod):
                            """
                            .
                            """
                        class n_smooth_for_interfacial_regims(TUIMethod):
                            """
                            .
                            """
                        class density_func_options(TUIMethod):
                            """
                            .
                            """
                        class exponent_density_func(TUIMethod):
                            """
                            .
                            """
                        class boundry_treatment(TUIMethod):
                            """
                            .
                            """
                        class exponent_smoothing_func(TUIMethod):
                            """
                            .
                            """
                        class near_wall_treatment(TUIMethod):
                            """
                            .
                            """

                class solution_stabilization(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.additional_stabilization_controls = self.__class__.additional_stabilization_controls(service, version, mode, path + ["additional_stabilization_controls"])
                        self.velocity_limiting_treatment = self.__class__.velocity_limiting_treatment(service, version, mode, path + ["velocity_limiting_treatment"])
                        self.execute_settings_optimization = self.__class__.execute_settings_optimization(service, version, mode, path + ["execute_settings_optimization"])
                        self.execute_advanced_stabilization = self.__class__.execute_advanced_stabilization(service, version, mode, path + ["execute_advanced_stabilization"])
                        self.execute_additional_stability_controls = self.__class__.execute_additional_stability_controls(service, version, mode, path + ["execute_additional_stability_controls"])
                        super().__init__(service, version, mode, path)
                    class execute_settings_optimization(TUIMethod):
                        """
                        .
                        """
                    class execute_advanced_stabilization(TUIMethod):
                        """
                        .
                        """
                    class execute_additional_stability_controls(TUIMethod):
                        """
                        .
                        """

                    class additional_stabilization_controls(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.pseudo_time_stabilization = self.__class__.pseudo_time_stabilization(service, version, mode, path + ["pseudo_time_stabilization"])
                            self.blended_compressive_scheme = self.__class__.blended_compressive_scheme(service, version, mode, path + ["blended_compressive_scheme"])
                            super().__init__(service, version, mode, path)
                        class pseudo_time_stabilization(TUIMethod):
                            """
                            .
                            """
                        class blended_compressive_scheme(TUIMethod):
                            """
                            .
                            """

                    class velocity_limiting_treatment(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_velocity_and_vof_cutoffs = self.__class__.set_velocity_and_vof_cutoffs(service, version, mode, path + ["set_velocity_and_vof_cutoffs"])
                            self.set_damping_strengths = self.__class__.set_damping_strengths(service, version, mode, path + ["set_damping_strengths"])
                            self.enable_velocity_limiting = self.__class__.enable_velocity_limiting(service, version, mode, path + ["enable_velocity_limiting"])
                            self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                            self.set_damping_strength = self.__class__.set_damping_strength(service, version, mode, path + ["set_damping_strength"])
                            self.set_velocity_cutoff = self.__class__.set_velocity_cutoff(service, version, mode, path + ["set_velocity_cutoff"])
                            super().__init__(service, version, mode, path)
                        class enable_velocity_limiting(TUIMethod):
                            """
                            .
                            """
                        class verbosity(TUIMethod):
                            """
                            .
                            """
                        class set_damping_strength(TUIMethod):
                            """
                            .
                            """
                        class set_velocity_cutoff(TUIMethod):
                            """
                            .
                            """

                        class set_velocity_and_vof_cutoffs(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.list = self.__class__.list(service, version, mode, path + ["list"])
                                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                                self.create = self.__class__.create(service, version, mode, path + ["create"])
                                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                                self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                                super().__init__(service, version, mode, path)
                            class list(TUIMethod):
                                """
                                .
                                """
                            class delete(TUIMethod):
                                """
                                .
                                """
                            class create(TUIMethod):
                                """
                                Create a new set-velocity-and-vof-cutoffs object.
                                """
                            class list_properties(TUIMethod):
                                """
                                .
                                """
                            class rename(TUIMethod):
                                """
                                Rename set-velocity-and-vof-cutoffs object.
                                """
                            class edit(TUIMethod):
                                """
                                Edit set-velocity-and-vof-cutoffs object.
                                """
                            class make_a_copy(TUIMethod):
                                """
                                .
                                """

                        class set_damping_strengths(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                                self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                                self.create = self.__class__.create(service, version, mode, path + ["create"])
                                self.list = self.__class__.list(service, version, mode, path + ["list"])
                                super().__init__(service, version, mode, path)
                            class rename(TUIMethod):
                                """
                                Rename set-damping-strengths object.
                                """
                            class make_a_copy(TUIMethod):
                                """
                                .
                                """
                            class list_properties(TUIMethod):
                                """
                                .
                                """
                            class edit(TUIMethod):
                                """
                                Edit set-damping-strengths object.
                                """
                            class delete(TUIMethod):
                                """
                                .
                                """
                            class create(TUIMethod):
                                """
                                Create a new set-damping-strengths object.
                                """
                            class list(TUIMethod):
                                """
                                .
                                """

                class face_pressure_controls(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.face_pressure_options = self.__class__.face_pressure_options(service, version, mode, path + ["face_pressure_options"])
                        super().__init__(service, version, mode, path)

                    class face_pressure_options(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.face_pressure_calculation_method = self.__class__.face_pressure_calculation_method(service, version, mode, path + ["face_pressure_calculation_method"])
                            self.exclude_transient_term_in_face_pressure_calc = self.__class__.exclude_transient_term_in_face_pressure_calc(service, version, mode, path + ["exclude_transient_term_in_face_pressure_calc"])
                            self.pressure_corr_grad = self.__class__.pressure_corr_grad(service, version, mode, path + ["pressure_corr_grad"])
                            super().__init__(service, version, mode, path)
                        class face_pressure_calculation_method(TUIMethod):
                            """
                            .
                            """
                        class exclude_transient_term_in_face_pressure_calc(TUIMethod):
                            """
                            .
                            """
                        class pressure_corr_grad(TUIMethod):
                            """
                            .
                            """

            class discretization_scheme(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit discretization-scheme object.
                    """
                class create(TUIMethod):
                    """
                    Create a new discretization-scheme object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename discretization-scheme object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

            class residual_smoothing(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.residual_smoothing_factor = self.__class__.residual_smoothing_factor(service, version, mode, path + ["residual_smoothing_factor"])
                    self.residual_smoothing_iter_count = self.__class__.residual_smoothing_iter_count(service, version, mode, path + ["residual_smoothing_iter_count"])
                    super().__init__(service, version, mode, path)
                class residual_smoothing_factor(TUIMethod):
                    """
                    .
                    """
                class residual_smoothing_iter_count(TUIMethod):
                    """
                    .
                    """

            class phase_based_vof_discretization(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit phase-based-vof-discretization object.
                    """
                class create(TUIMethod):
                    """
                    Create a new phase-based-vof-discretization object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename phase-based-vof-discretization object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """

        class monitor(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.report_files = self.__class__.report_files(service, version, mode, path + ["report_files"])
                self.report_plots = self.__class__.report_plots(service, version, mode, path + ["report_plots"])
                self.residual = self.__class__.residual(service, version, mode, path + ["residual"])
                self.convergence_conditions = self.__class__.convergence_conditions(service, version, mode, path + ["convergence_conditions"])
                super().__init__(service, version, mode, path)

            class report_files(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename report-files object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit report-files object.
                    """
                class create(TUIMethod):
                    """
                    Create a new report-files object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

            class report_plots(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new report-plots object.
                    """
                class edit(TUIMethod):
                    """
                    Edit report-plots object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename report-plots object.
                    """

            class residual(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.options = self.__class__.options(service, version, mode, path + ["options"])
                    self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.equations = self.__class__.equations(service, version, mode, path + ["equations"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    self.renormalize = self.__class__.renormalize(service, version, mode, path + ["renormalize"])
                    self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                    super().__init__(service, version, mode, path)
                class plot(TUIMethod):
                    """
                    .
                    """
                class renormalize(TUIMethod):
                    """
                    .
                    """
                class reset(TUIMethod):
                    """
                    .
                    """

                class options(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.residual_values = self.__class__.residual_values(service, version, mode, path + ["residual_values"])
                        self.n_display = self.__class__.n_display(service, version, mode, path + ["n_display"])
                        self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                        self.print = self.__class__.print(service, version, mode, path + ["print"])
                        self.n_save = self.__class__.n_save(service, version, mode, path + ["n_save"])
                        self.normalize = self.__class__.normalize(service, version, mode, path + ["normalize"])
                        self.n_maximize_norms = self.__class__.n_maximize_norms(service, version, mode, path + ["n_maximize_norms"])
                        self.enhanced_continuity_residual = self.__class__.enhanced_continuity_residual(service, version, mode, path + ["enhanced_continuity_residual"])
                        self.criterion_type = self.__class__.criterion_type(service, version, mode, path + ["criterion_type"])
                        super().__init__(service, version, mode, path)
                    class n_display(TUIMethod):
                        """
                        .
                        """
                    class plot(TUIMethod):
                        """
                        .
                        """
                    class print(TUIMethod):
                        """
                        .
                        """
                    class n_save(TUIMethod):
                        """
                        .
                        """
                    class normalize(TUIMethod):
                        """
                        .
                        """
                    class n_maximize_norms(TUIMethod):
                        """
                        .
                        """
                    class enhanced_continuity_residual(TUIMethod):
                        """
                        .
                        """
                    class criterion_type(TUIMethod):
                        """
                        .
                        """

                    class residual_values(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.scale_type = self.__class__.scale_type(service, version, mode, path + ["scale_type"])
                            self.compute_local_scale = self.__class__.compute_local_scale(service, version, mode, path + ["compute_local_scale"])
                            self.scale_residuals = self.__class__.scale_residuals(service, version, mode, path + ["scale_residuals"])
                            super().__init__(service, version, mode, path)
                        class scale_type(TUIMethod):
                            """
                            .
                            """
                        class compute_local_scale(TUIMethod):
                            """
                            .
                            """
                        class scale_residuals(TUIMethod):
                            """
                            .
                            """

                class curves(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.number_of_objects = self.__class__.number_of_objects(service, version, mode, path + ["number_of_objects"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        super().__init__(service, version, mode, path)
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class number_of_objects(TUIMethod):
                        """
                        Set number of objects for curves.
                        """
                    class edit(TUIMethod):
                        """
                        Edit curves object.
                        """

                class axes(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.x = self.__class__.x(service, version, mode, path + ["x"])
                        self.y = self.__class__.y(service, version, mode, path + ["y"])
                        self.background_color = self.__class__.background_color(service, version, mode, path + ["background_color"])
                        super().__init__(service, version, mode, path)
                    class background_color(TUIMethod):
                        """
                        .
                        """

                    class x(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.major_gridlines = self.__class__.major_gridlines(service, version, mode, path + ["major_gridlines"])
                            self.minor_gridlines = self.__class__.minor_gridlines(service, version, mode, path + ["minor_gridlines"])
                            self.number_format = self.__class__.number_format(service, version, mode, path + ["number_format"])
                            self.show_minor_gridlines = self.__class__.show_minor_gridlines(service, version, mode, path + ["show_minor_gridlines"])
                            self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                            self.show_major_gridlines = self.__class__.show_major_gridlines(service, version, mode, path + ["show_major_gridlines"])
                            self.max = self.__class__.max(service, version, mode, path + ["max"])
                            self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                            self.min = self.__class__.min(service, version, mode, path + ["min"])
                            self.label = self.__class__.label(service, version, mode, path + ["label"])
                            super().__init__(service, version, mode, path)
                        class show_minor_gridlines(TUIMethod):
                            """
                            .
                            """
                        class log_scale(TUIMethod):
                            """
                            .
                            """
                        class show_major_gridlines(TUIMethod):
                            """
                            .
                            """
                        class max(TUIMethod):
                            """
                            .
                            """
                        class auto_range(TUIMethod):
                            """
                            .
                            """
                        class min(TUIMethod):
                            """
                            .
                            """
                        class label(TUIMethod):
                            """
                            .
                            """

                        class major_gridlines(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.weight = self.__class__.weight(service, version, mode, path + ["weight"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                .
                                """
                            class weight(TUIMethod):
                                """
                                .
                                """

                        class minor_gridlines(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.weight = self.__class__.weight(service, version, mode, path + ["weight"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class weight(TUIMethod):
                                """
                                .
                                """
                            class color(TUIMethod):
                                """
                                .
                                """

                        class number_format(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.format_type = self.__class__.format_type(service, version, mode, path + ["format_type"])
                                self.precision = self.__class__.precision(service, version, mode, path + ["precision"])
                                super().__init__(service, version, mode, path)
                            class format_type(TUIMethod):
                                """
                                .
                                """
                            class precision(TUIMethod):
                                """
                                .
                                """

                    class y(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.major_gridlines = self.__class__.major_gridlines(service, version, mode, path + ["major_gridlines"])
                            self.number_format = self.__class__.number_format(service, version, mode, path + ["number_format"])
                            self.minor_gridlines = self.__class__.minor_gridlines(service, version, mode, path + ["minor_gridlines"])
                            self.show_minor_gridlines = self.__class__.show_minor_gridlines(service, version, mode, path + ["show_minor_gridlines"])
                            self.show_major_gridlines = self.__class__.show_major_gridlines(service, version, mode, path + ["show_major_gridlines"])
                            self.min = self.__class__.min(service, version, mode, path + ["min"])
                            self.max = self.__class__.max(service, version, mode, path + ["max"])
                            self.label = self.__class__.label(service, version, mode, path + ["label"])
                            self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                            self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                            super().__init__(service, version, mode, path)
                        class show_minor_gridlines(TUIMethod):
                            """
                            .
                            """
                        class show_major_gridlines(TUIMethod):
                            """
                            .
                            """
                        class min(TUIMethod):
                            """
                            .
                            """
                        class max(TUIMethod):
                            """
                            .
                            """
                        class label(TUIMethod):
                            """
                            .
                            """
                        class auto_range(TUIMethod):
                            """
                            .
                            """
                        class log_scale(TUIMethod):
                            """
                            .
                            """

                        class major_gridlines(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.weight = self.__class__.weight(service, version, mode, path + ["weight"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class weight(TUIMethod):
                                """
                                .
                                """
                            class color(TUIMethod):
                                """
                                .
                                """

                        class number_format(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.precision = self.__class__.precision(service, version, mode, path + ["precision"])
                                self.format_type = self.__class__.format_type(service, version, mode, path + ["format_type"])
                                super().__init__(service, version, mode, path)
                            class precision(TUIMethod):
                                """
                                .
                                """
                            class format_type(TUIMethod):
                                """
                                .
                                """

                        class minor_gridlines(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.weight = self.__class__.weight(service, version, mode, path + ["weight"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class weight(TUIMethod):
                                """
                                .
                                """
                            class color(TUIMethod):
                                """
                                .
                                """

                class equations(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        super().__init__(service, version, mode, path)
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class create(TUIMethod):
                        """
                        Create a new equations object.
                        """
                    class rename(TUIMethod):
                        """
                        Rename equations object.
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class edit(TUIMethod):
                        """
                        Edit equations object.
                        """

            class convergence_conditions(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.convergence_reports = self.__class__.convergence_reports(service, version, mode, path + ["convergence_reports"])
                    self.check_for = self.__class__.check_for(service, version, mode, path + ["check_for"])
                    self.condition = self.__class__.condition(service, version, mode, path + ["condition"])
                    self.frequency = self.__class__.frequency(service, version, mode, path + ["frequency"])
                    super().__init__(service, version, mode, path)
                class check_for(TUIMethod):
                    """
                    .
                    """
                class condition(TUIMethod):
                    """
                    .
                    """
                class frequency(TUIMethod):
                    """
                    .
                    """

                class convergence_reports(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        super().__init__(service, version, mode, path)
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename convergence-reports object.
                        """
                    class edit(TUIMethod):
                        """
                        Edit convergence-reports object.
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class create(TUIMethod):
                        """
                        Create a new convergence-reports object.
                        """

        class controls(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.contact_solution_controls = self.__class__.contact_solution_controls(service, version, mode, path + ["contact_solution_controls"])
                self.acoustics_wave_eqn_controls = self.__class__.acoustics_wave_eqn_controls(service, version, mode, path + ["acoustics_wave_eqn_controls"])
                self.pseudo_time_explicit_relaxation_factor = self.__class__.pseudo_time_explicit_relaxation_factor(service, version, mode, path + ["pseudo_time_explicit_relaxation_factor"])
                self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                self.advanced = self.__class__.advanced(service, version, mode, path + ["advanced"])
                self.pseudo_time_method_local_time_step = self.__class__.pseudo_time_method_local_time_step(service, version, mode, path + ["pseudo_time_method_local_time_step"])
                self.p_v_controls = self.__class__.p_v_controls(service, version, mode, path + ["p_v_controls"])
                self.equations = self.__class__.equations(service, version, mode, path + ["equations"])
                self.limits = self.__class__.limits(service, version, mode, path + ["limits"])
                self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                self.reset_pseudo_time_method_relaxations = self.__class__.reset_pseudo_time_method_relaxations(service, version, mode, path + ["reset_pseudo_time_method_relaxations"])
                self.reset_pseudo_time_method_equations = self.__class__.reset_pseudo_time_method_equations(service, version, mode, path + ["reset_pseudo_time_method_equations"])
                self.reset_multi_stage_parameters = self.__class__.reset_multi_stage_parameters(service, version, mode, path + ["reset_multi_stage_parameters"])
                self.reset_pseudo_time_method_scale_factors = self.__class__.reset_pseudo_time_method_scale_factors(service, version, mode, path + ["reset_pseudo_time_method_scale_factors"])
                self.reset_amg_controls = self.__class__.reset_amg_controls(service, version, mode, path + ["reset_amg_controls"])
                self.reset_solution_controls = self.__class__.reset_solution_controls(service, version, mode, path + ["reset_solution_controls"])
                self.courant_number = self.__class__.courant_number(service, version, mode, path + ["courant_number"])
                self.reset_limits = self.__class__.reset_limits(service, version, mode, path + ["reset_limits"])
                self.reset_pseudo_time_method_generic = self.__class__.reset_pseudo_time_method_generic(service, version, mode, path + ["reset_pseudo_time_method_generic"])
                super().__init__(service, version, mode, path)
            class reset_pseudo_time_method_relaxations(TUIMethod):
                """
                .
                """
            class reset_pseudo_time_method_equations(TUIMethod):
                """
                .
                """
            class reset_multi_stage_parameters(TUIMethod):
                """
                .
                """
            class reset_pseudo_time_method_scale_factors(TUIMethod):
                """
                .
                """
            class reset_amg_controls(TUIMethod):
                """
                .
                """
            class reset_solution_controls(TUIMethod):
                """
                .
                """
            class courant_number(TUIMethod):
                """
                .
                """
            class reset_limits(TUIMethod):
                """
                .
                """
            class reset_pseudo_time_method_generic(TUIMethod):
                """
                .
                """

            class contact_solution_controls(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.spatial = self.__class__.spatial(service, version, mode, path + ["spatial"])
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    self.models = self.__class__.models(service, version, mode, path + ["models"])
                    self.transient = self.__class__.transient(service, version, mode, path + ["transient"])
                    self.methods = self.__class__.methods(service, version, mode, path + ["methods"])
                    self.amg = self.__class__.amg(service, version, mode, path + ["amg"])
                    self.miscellaneous = self.__class__.miscellaneous(service, version, mode, path + ["miscellaneous"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.set_settings_to_default = self.__class__.set_settings_to_default(service, version, mode, path + ["set_settings_to_default"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    super().__init__(service, version, mode, path)
                class solution_stabilization(TUIMethod):
                    """
                    .
                    """
                class set_settings_to_default(TUIMethod):
                    """
                    .
                    """
                class verbosity(TUIMethod):
                    """
                    .
                    """

                class spatial(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.rhie_chow_flux_specify = self.__class__.rhie_chow_flux_specify(service, version, mode, path + ["rhie_chow_flux_specify"])
                        self.flow_skew_diffusion_exclude = self.__class__.flow_skew_diffusion_exclude(service, version, mode, path + ["flow_skew_diffusion_exclude"])
                        self.first_to_second_order_blending_list = self.__class__.first_to_second_order_blending_list(service, version, mode, path + ["first_to_second_order_blending_list"])
                        self.scalars_skew_diffusion_exclude = self.__class__.scalars_skew_diffusion_exclude(service, version, mode, path + ["scalars_skew_diffusion_exclude"])
                        self.scheme = self.__class__.scheme(service, version, mode, path + ["scheme"])
                        self.rhie_chow_method = self.__class__.rhie_chow_method(service, version, mode, path + ["rhie_chow_method"])
                        self.first_to_second_order_blending = self.__class__.first_to_second_order_blending(service, version, mode, path + ["first_to_second_order_blending"])
                        super().__init__(service, version, mode, path)
                    class rhie_chow_flux_specify(TUIMethod):
                        """
                        .
                        """
                    class flow_skew_diffusion_exclude(TUIMethod):
                        """
                        .
                        """
                    class first_to_second_order_blending_list(TUIMethod):
                        """
                        .
                        """
                    class scalars_skew_diffusion_exclude(TUIMethod):
                        """
                        .
                        """
                    class scheme(TUIMethod):
                        """
                        .
                        """
                    class rhie_chow_method(TUIMethod):
                        """
                        .
                        """
                    class first_to_second_order_blending(TUIMethod):
                        """
                        .
                        """

                class parameters(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.persistence_fixed_duration = self.__class__.persistence_fixed_duration(service, version, mode, path + ["persistence_fixed_duration"])
                        self.persistence_fixed_time_steps = self.__class__.persistence_fixed_time_steps(service, version, mode, path + ["persistence_fixed_time_steps"])
                        self.solution_stabilization_persistence = self.__class__.solution_stabilization_persistence(service, version, mode, path + ["solution_stabilization_persistence"])
                        self.extrapolation_method = self.__class__.extrapolation_method(service, version, mode, path + ["extrapolation_method"])
                        self.iter_count = self.__class__.iter_count(service, version, mode, path + ["iter_count"])
                        super().__init__(service, version, mode, path)
                    class persistence_fixed_duration(TUIMethod):
                        """
                        .
                        """
                    class persistence_fixed_time_steps(TUIMethod):
                        """
                        .
                        """
                    class solution_stabilization_persistence(TUIMethod):
                        """
                        .
                        """
                    class extrapolation_method(TUIMethod):
                        """
                        .
                        """
                    class iter_count(TUIMethod):
                        """
                        .
                        """

                class models(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.ramp_flow = self.__class__.ramp_flow(service, version, mode, path + ["ramp_flow"])
                        self.ramp_scalars = self.__class__.ramp_scalars(service, version, mode, path + ["ramp_scalars"])
                        self.ramp_turbulence = self.__class__.ramp_turbulence(service, version, mode, path + ["ramp_turbulence"])
                        self.model_ramping = self.__class__.model_ramping(service, version, mode, path + ["model_ramping"])
                        super().__init__(service, version, mode, path)
                    class ramp_flow(TUIMethod):
                        """
                        .
                        """
                    class ramp_scalars(TUIMethod):
                        """
                        .
                        """
                    class ramp_turbulence(TUIMethod):
                        """
                        .
                        """
                    class model_ramping(TUIMethod):
                        """
                        .
                        """

                class transient(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.time_scale_modification_factor = self.__class__.time_scale_modification_factor(service, version, mode, path + ["time_scale_modification_factor"])
                        self.transient_parameters_specify = self.__class__.transient_parameters_specify(service, version, mode, path + ["transient_parameters_specify"])
                        self.time_scale_modification_method = self.__class__.time_scale_modification_method(service, version, mode, path + ["time_scale_modification_method"])
                        self.transient_scheme = self.__class__.transient_scheme(service, version, mode, path + ["transient_scheme"])
                        super().__init__(service, version, mode, path)
                    class time_scale_modification_factor(TUIMethod):
                        """
                        .
                        """
                    class transient_parameters_specify(TUIMethod):
                        """
                        .
                        """
                    class time_scale_modification_method(TUIMethod):
                        """
                        .
                        """
                    class transient_scheme(TUIMethod):
                        """
                        .
                        """

                class methods(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.pv_coupling_method = self.__class__.pv_coupling_method(service, version, mode, path + ["pv_coupling_method"])
                        self.gradient_controls = self.__class__.gradient_controls(service, version, mode, path + ["gradient_controls"])
                        self.specify_gradient_method = self.__class__.specify_gradient_method(service, version, mode, path + ["specify_gradient_method"])
                        self.pv_coupling_controls = self.__class__.pv_coupling_controls(service, version, mode, path + ["pv_coupling_controls"])
                        super().__init__(service, version, mode, path)
                    class pv_coupling_method(TUIMethod):
                        """
                        .
                        """
                    class gradient_controls(TUIMethod):
                        """
                        .
                        """
                    class specify_gradient_method(TUIMethod):
                        """
                        .
                        """
                    class pv_coupling_controls(TUIMethod):
                        """
                        .
                        """

                class amg(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.enforce_laplace_coarsening = self.__class__.enforce_laplace_coarsening(service, version, mode, path + ["enforce_laplace_coarsening"])
                        self.increase_pre_sweeps = self.__class__.increase_pre_sweeps(service, version, mode, path + ["increase_pre_sweeps"])
                        self.coarsen_rate = self.__class__.coarsen_rate(service, version, mode, path + ["coarsen_rate"])
                        self.pre_sweeps = self.__class__.pre_sweeps(service, version, mode, path + ["pre_sweeps"])
                        self.specify_coarsening_rate = self.__class__.specify_coarsening_rate(service, version, mode, path + ["specify_coarsening_rate"])
                        super().__init__(service, version, mode, path)
                    class enforce_laplace_coarsening(TUIMethod):
                        """
                        .
                        """
                    class increase_pre_sweeps(TUIMethod):
                        """
                        .
                        """
                    class coarsen_rate(TUIMethod):
                        """
                        .
                        """
                    class pre_sweeps(TUIMethod):
                        """
                        .
                        """
                    class specify_coarsening_rate(TUIMethod):
                        """
                        .
                        """

                class miscellaneous(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.statistics_level = self.__class__.statistics_level(service, version, mode, path + ["statistics_level"])
                        self.compute_statistics = self.__class__.compute_statistics(service, version, mode, path + ["compute_statistics"])
                        super().__init__(service, version, mode, path)
                    class statistics_level(TUIMethod):
                        """
                        .
                        """
                    class compute_statistics(TUIMethod):
                        """
                        .
                        """

            class acoustics_wave_eqn_controls(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.max_iter_per_timestep_count = self.__class__.max_iter_per_timestep_count(service, version, mode, path + ["max_iter_per_timestep_count"])
                    self.relative_convergence_criterion = self.__class__.relative_convergence_criterion(service, version, mode, path + ["relative_convergence_criterion"])
                    super().__init__(service, version, mode, path)
                class max_iter_per_timestep_count(TUIMethod):
                    """
                    .
                    """
                class relative_convergence_criterion(TUIMethod):
                    """
                    .
                    """

                class expert(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.under_relaxation_factor = self.__class__.under_relaxation_factor(service, version, mode, path + ["under_relaxation_factor"])
                        self.explicit_relaxation_factor = self.__class__.explicit_relaxation_factor(service, version, mode, path + ["explicit_relaxation_factor"])
                        super().__init__(service, version, mode, path)
                    class under_relaxation_factor(TUIMethod):
                        """
                        .
                        """
                    class explicit_relaxation_factor(TUIMethod):
                        """
                        .
                        """

            class pseudo_time_explicit_relaxation_factor(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.global_dt_pseudo_relax = self.__class__.global_dt_pseudo_relax(service, version, mode, path + ["global_dt_pseudo_relax"])
                    self.local_dt_dualts_relax = self.__class__.local_dt_dualts_relax(service, version, mode, path + ["local_dt_dualts_relax"])
                    super().__init__(service, version, mode, path)

                class global_dt_pseudo_relax(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        super().__init__(service, version, mode, path)
                    class edit(TUIMethod):
                        """
                        Edit global-dt-pseudo-relax object.
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class create(TUIMethod):
                        """
                        Create a new global-dt-pseudo-relax object.
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename global-dt-pseudo-relax object.
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """

                class local_dt_dualts_relax(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        super().__init__(service, version, mode, path)
                    class create(TUIMethod):
                        """
                        Create a new local-dt-dualts-relax object.
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class edit(TUIMethod):
                        """
                        Edit local-dt-dualts-relax object.
                        """
                    class rename(TUIMethod):
                        """
                        Rename local-dt-dualts-relax object.
                        """

            class relaxation_factor(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit relaxation-factor object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename relaxation-factor object.
                    """
                class create(TUIMethod):
                    """
                    Create a new relaxation-factor object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """

            class advanced(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.anisotropic_solid_heat_transfer = self.__class__.anisotropic_solid_heat_transfer(service, version, mode, path + ["anisotropic_solid_heat_transfer"])
                    self.multi_grid = self.__class__.multi_grid(service, version, mode, path + ["multi_grid"])
                    self.multi_stage = self.__class__.multi_stage(service, version, mode, path + ["multi_stage"])
                    self.correction_tolerance = self.__class__.correction_tolerance(service, version, mode, path + ["correction_tolerance"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.fast_transient_settings = self.__class__.fast_transient_settings(service, version, mode, path + ["fast_transient_settings"])
                    self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                    super().__init__(service, version, mode, path)
                class relaxation_method(TUIMethod):
                    """
                    .
                    """

                class anisotropic_solid_heat_transfer(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.gradient = self.__class__.gradient(service, version, mode, path + ["gradient"])
                        self.relaxation = self.__class__.relaxation(service, version, mode, path + ["relaxation"])
                        self.flux = self.__class__.flux(service, version, mode, path + ["flux"])
                        super().__init__(service, version, mode, path)
                    class gradient(TUIMethod):
                        """
                        .
                        """
                    class relaxation(TUIMethod):
                        """
                        .
                        """
                    class flux(TUIMethod):
                        """
                        .
                        """

                class multi_grid(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.amg_gpgpu_options = self.__class__.amg_gpgpu_options(service, version, mode, path + ["amg_gpgpu_options"])
                        self.fas_mg_controls = self.__class__.fas_mg_controls(service, version, mode, path + ["fas_mg_controls"])
                        self.mg_controls = self.__class__.mg_controls(service, version, mode, path + ["mg_controls"])
                        self.amg_controls = self.__class__.amg_controls(service, version, mode, path + ["amg_controls"])
                        super().__init__(service, version, mode, path)

                    class amg_gpgpu_options(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                            self.create = self.__class__.create(service, version, mode, path + ["create"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            super().__init__(service, version, mode, path)
                        class rename(TUIMethod):
                            """
                            Rename amg-gpgpu-options object.
                            """
                        class delete(TUIMethod):
                            """
                            .
                            """
                        class make_a_copy(TUIMethod):
                            """
                            .
                            """
                        class create(TUIMethod):
                            """
                            Create a new amg-gpgpu-options object.
                            """
                        class list(TUIMethod):
                            """
                            .
                            """
                        class list_properties(TUIMethod):
                            """
                            .
                            """
                        class edit(TUIMethod):
                            """
                            Edit amg-gpgpu-options object.
                            """

                    class fas_mg_controls(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.options = self.__class__.options(service, version, mode, path + ["options"])
                            self.fixed_cycle_parameters = self.__class__.fixed_cycle_parameters(service, version, mode, path + ["fixed_cycle_parameters"])
                            self.coarsening_parameters = self.__class__.coarsening_parameters(service, version, mode, path + ["coarsening_parameters"])
                            self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                            super().__init__(service, version, mode, path)

                        class options(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                                super().__init__(service, version, mode, path)
                            class verbosity(TUIMethod):
                                """
                                .
                                """

                        class fixed_cycle_parameters(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.post_sweeps = self.__class__.post_sweeps(service, version, mode, path + ["post_sweeps"])
                                self.pre_sweeps = self.__class__.pre_sweeps(service, version, mode, path + ["pre_sweeps"])
                                super().__init__(service, version, mode, path)
                            class post_sweeps(TUIMethod):
                                """
                                .
                                """
                            class pre_sweeps(TUIMethod):
                                """
                                .
                                """

                        class coarsening_parameters(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.max_coarse_levels = self.__class__.max_coarse_levels(service, version, mode, path + ["max_coarse_levels"])
                                self.coarsen_by_interval = self.__class__.coarsen_by_interval(service, version, mode, path + ["coarsen_by_interval"])
                                super().__init__(service, version, mode, path)
                            class max_coarse_levels(TUIMethod):
                                """
                                .
                                """
                            class coarsen_by_interval(TUIMethod):
                                """
                                .
                                """

                        class relaxation_factor(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.correction_smoothing = self.__class__.correction_smoothing(service, version, mode, path + ["correction_smoothing"])
                                self.courant_number_reduction = self.__class__.courant_number_reduction(service, version, mode, path + ["courant_number_reduction"])
                                self.correction_reduction = self.__class__.correction_reduction(service, version, mode, path + ["correction_reduction"])
                                self.species_correction_reduction = self.__class__.species_correction_reduction(service, version, mode, path + ["species_correction_reduction"])
                                super().__init__(service, version, mode, path)
                            class correction_smoothing(TUIMethod):
                                """
                                .
                                """
                            class courant_number_reduction(TUIMethod):
                                """
                                .
                                """
                            class correction_reduction(TUIMethod):
                                """
                                .
                                """
                            class species_correction_reduction(TUIMethod):
                                """
                                .
                                """

                    class mg_controls(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.create = self.__class__.create(service, version, mode, path + ["create"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                            self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                            super().__init__(service, version, mode, path)
                        class list_properties(TUIMethod):
                            """
                            .
                            """
                        class list(TUIMethod):
                            """
                            .
                            """
                        class create(TUIMethod):
                            """
                            Create a new mg-controls object.
                            """
                        class edit(TUIMethod):
                            """
                            Edit mg-controls object.
                            """
                        class delete(TUIMethod):
                            """
                            .
                            """
                        class rename(TUIMethod):
                            """
                            Rename mg-controls object.
                            """
                        class make_a_copy(TUIMethod):
                            """
                            .
                            """

                    class amg_controls(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.flexible_cycle_parameters = self.__class__.flexible_cycle_parameters(service, version, mode, path + ["flexible_cycle_parameters"])
                            self.options = self.__class__.options(service, version, mode, path + ["options"])
                            self.coupled_parameters = self.__class__.coupled_parameters(service, version, mode, path + ["coupled_parameters"])
                            self.scalar_parameters = self.__class__.scalar_parameters(service, version, mode, path + ["scalar_parameters"])
                            super().__init__(service, version, mode, path)

                        class flexible_cycle_parameters(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.max_fine_relaxations = self.__class__.max_fine_relaxations(service, version, mode, path + ["max_fine_relaxations"])
                                self.max_coarse_relaxations = self.__class__.max_coarse_relaxations(service, version, mode, path + ["max_coarse_relaxations"])
                                super().__init__(service, version, mode, path)
                            class max_fine_relaxations(TUIMethod):
                                """
                                .
                                """
                            class max_coarse_relaxations(TUIMethod):
                                """
                                .
                                """

                        class options(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                                super().__init__(service, version, mode, path)
                            class verbosity(TUIMethod):
                                """
                                .
                                """

                        class coupled_parameters(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.fixed_cycle_parameters = self.__class__.fixed_cycle_parameters(service, version, mode, path + ["fixed_cycle_parameters"])
                                self.coarsening_parameters = self.__class__.coarsening_parameters(service, version, mode, path + ["coarsening_parameters"])
                                self.smoother_type = self.__class__.smoother_type(service, version, mode, path + ["smoother_type"])
                                super().__init__(service, version, mode, path)
                            class smoother_type(TUIMethod):
                                """
                                .
                                """

                            class fixed_cycle_parameters(TUIMenu):
                                """
                                .
                                """
                                def __init__(self, service, version, mode, path):
                                    self.pre_sweeps = self.__class__.pre_sweeps(service, version, mode, path + ["pre_sweeps"])
                                    self.post_sweeps = self.__class__.post_sweeps(service, version, mode, path + ["post_sweeps"])
                                    self.max_cycle = self.__class__.max_cycle(service, version, mode, path + ["max_cycle"])
                                    super().__init__(service, version, mode, path)
                                class pre_sweeps(TUIMethod):
                                    """
                                    .
                                    """
                                class post_sweeps(TUIMethod):
                                    """
                                    .
                                    """
                                class max_cycle(TUIMethod):
                                    """
                                    .
                                    """

                            class coarsening_parameters(TUIMenu):
                                """
                                .
                                """
                                def __init__(self, service, version, mode, path):
                                    self.aggressive_coarsening = self.__class__.aggressive_coarsening(service, version, mode, path + ["aggressive_coarsening"])
                                    self.max_coarse_levels = self.__class__.max_coarse_levels(service, version, mode, path + ["max_coarse_levels"])
                                    self.laplace_coarsening = self.__class__.laplace_coarsening(service, version, mode, path + ["laplace_coarsening"])
                                    self.conservative_coarsening = self.__class__.conservative_coarsening(service, version, mode, path + ["conservative_coarsening"])
                                    self.coarsen_by_interval = self.__class__.coarsen_by_interval(service, version, mode, path + ["coarsen_by_interval"])
                                    super().__init__(service, version, mode, path)
                                class aggressive_coarsening(TUIMethod):
                                    """
                                    .
                                    """
                                class max_coarse_levels(TUIMethod):
                                    """
                                    .
                                    """
                                class laplace_coarsening(TUIMethod):
                                    """
                                    .
                                    """
                                class conservative_coarsening(TUIMethod):
                                    """
                                    .
                                    """
                                class coarsen_by_interval(TUIMethod):
                                    """
                                    .
                                    """

                        class scalar_parameters(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.coarsening_parameters = self.__class__.coarsening_parameters(service, version, mode, path + ["coarsening_parameters"])
                                self.fixed_cycle_parameters = self.__class__.fixed_cycle_parameters(service, version, mode, path + ["fixed_cycle_parameters"])
                                self.smoother_type = self.__class__.smoother_type(service, version, mode, path + ["smoother_type"])
                                super().__init__(service, version, mode, path)
                            class smoother_type(TUIMethod):
                                """
                                .
                                """

                            class coarsening_parameters(TUIMenu):
                                """
                                .
                                """
                                def __init__(self, service, version, mode, path):
                                    self.conservative_coarsening = self.__class__.conservative_coarsening(service, version, mode, path + ["conservative_coarsening"])
                                    self.coarsen_by_interval = self.__class__.coarsen_by_interval(service, version, mode, path + ["coarsen_by_interval"])
                                    self.aggressive_coarsening = self.__class__.aggressive_coarsening(service, version, mode, path + ["aggressive_coarsening"])
                                    self.max_coarse_levels = self.__class__.max_coarse_levels(service, version, mode, path + ["max_coarse_levels"])
                                    self.laplace_coarsening = self.__class__.laplace_coarsening(service, version, mode, path + ["laplace_coarsening"])
                                    super().__init__(service, version, mode, path)
                                class conservative_coarsening(TUIMethod):
                                    """
                                    .
                                    """
                                class coarsen_by_interval(TUIMethod):
                                    """
                                    .
                                    """
                                class aggressive_coarsening(TUIMethod):
                                    """
                                    .
                                    """
                                class max_coarse_levels(TUIMethod):
                                    """
                                    .
                                    """
                                class laplace_coarsening(TUIMethod):
                                    """
                                    .
                                    """

                            class fixed_cycle_parameters(TUIMenu):
                                """
                                .
                                """
                                def __init__(self, service, version, mode, path):
                                    self.post_sweeps = self.__class__.post_sweeps(service, version, mode, path + ["post_sweeps"])
                                    self.pre_sweeps = self.__class__.pre_sweeps(service, version, mode, path + ["pre_sweeps"])
                                    self.max_cycle = self.__class__.max_cycle(service, version, mode, path + ["max_cycle"])
                                    super().__init__(service, version, mode, path)
                                class post_sweeps(TUIMethod):
                                    """
                                    .
                                    """
                                class pre_sweeps(TUIMethod):
                                    """
                                    .
                                    """
                                class max_cycle(TUIMethod):
                                    """
                                    .
                                    """

                class multi_stage(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.number_of_objects = self.__class__.number_of_objects(service, version, mode, path + ["number_of_objects"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        super().__init__(service, version, mode, path)
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class number_of_objects(TUIMethod):
                        """
                        Set number of objects for multi-stage.
                        """
                    class edit(TUIMethod):
                        """
                        Edit multi-stage object.
                        """

                class correction_tolerance(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        super().__init__(service, version, mode, path)
                    class edit(TUIMethod):
                        """
                        Edit correction-tolerance object.
                        """
                    class create(TUIMethod):
                        """
                        Create a new correction-tolerance object.
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename correction-tolerance object.
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """

                class expert(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.pseudo_time_method_usage = self.__class__.pseudo_time_method_usage(service, version, mode, path + ["pseudo_time_method_usage"])
                        self.spatial_discretization_limiter = self.__class__.spatial_discretization_limiter(service, version, mode, path + ["spatial_discretization_limiter"])
                        super().__init__(service, version, mode, path)

                    class pseudo_time_method_usage(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.global_dt = self.__class__.global_dt(service, version, mode, path + ["global_dt"])
                            self.local_dt = self.__class__.local_dt(service, version, mode, path + ["local_dt"])
                            super().__init__(service, version, mode, path)

                        class global_dt(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.list = self.__class__.list(service, version, mode, path + ["list"])
                                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                                self.create = self.__class__.create(service, version, mode, path + ["create"])
                                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                                self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                                super().__init__(service, version, mode, path)
                            class list(TUIMethod):
                                """
                                .
                                """
                            class edit(TUIMethod):
                                """
                                Edit global-dt object.
                                """
                            class list_properties(TUIMethod):
                                """
                                .
                                """
                            class create(TUIMethod):
                                """
                                Create a new global-dt object.
                                """
                            class rename(TUIMethod):
                                """
                                Rename global-dt object.
                                """
                            class make_a_copy(TUIMethod):
                                """
                                .
                                """
                            class delete(TUIMethod):
                                """
                                .
                                """

                        class local_dt(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                                self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                                self.create = self.__class__.create(service, version, mode, path + ["create"])
                                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                                self.list = self.__class__.list(service, version, mode, path + ["list"])
                                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                                super().__init__(service, version, mode, path)
                            class rename(TUIMethod):
                                """
                                Rename local-dt object.
                                """
                            class delete(TUIMethod):
                                """
                                .
                                """
                            class make_a_copy(TUIMethod):
                                """
                                .
                                """
                            class create(TUIMethod):
                                """
                                Create a new local-dt object.
                                """
                            class edit(TUIMethod):
                                """
                                Edit local-dt object.
                                """
                            class list(TUIMethod):
                                """
                                .
                                """
                            class list_properties(TUIMethod):
                                """
                                .
                                """

                    class spatial_discretization_limiter(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.limiter_filter = self.__class__.limiter_filter(service, version, mode, path + ["limiter_filter"])
                            self.cell_to_limiting = self.__class__.cell_to_limiting(service, version, mode, path + ["cell_to_limiting"])
                            self.limiter_type = self.__class__.limiter_type(service, version, mode, path + ["limiter_type"])
                            super().__init__(service, version, mode, path)
                        class limiter_filter(TUIMethod):
                            """
                            .
                            """
                        class cell_to_limiting(TUIMethod):
                            """
                            .
                            """
                        class limiter_type(TUIMethod):
                            """
                            .
                            """

                class fast_transient_settings(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.runge_kutta = self.__class__.runge_kutta(service, version, mode, path + ["runge_kutta"])
                        super().__init__(service, version, mode, path)

                    class runge_kutta(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.default_multi_stage = self.__class__.default_multi_stage(service, version, mode, path + ["default_multi_stage"])
                            self.two_stage = self.__class__.two_stage(service, version, mode, path + ["two_stage"])
                            super().__init__(service, version, mode, path)
                        class default_multi_stage(TUIMethod):
                            """
                            .
                            """
                        class two_stage(TUIMethod):
                            """
                            .
                            """

            class pseudo_time_method_local_time_step(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.pseudo_time_step_method_solid_zone = self.__class__.pseudo_time_step_method_solid_zone(service, version, mode, path + ["pseudo_time_step_method_solid_zone"])
                    self.time_step_size_scale_factor = self.__class__.time_step_size_scale_factor(service, version, mode, path + ["time_step_size_scale_factor"])
                    self.pseudo_time_courant_number = self.__class__.pseudo_time_courant_number(service, version, mode, path + ["pseudo_time_courant_number"])
                    super().__init__(service, version, mode, path)
                class pseudo_time_step_method_solid_zone(TUIMethod):
                    """
                    .
                    """
                class time_step_size_scale_factor(TUIMethod):
                    """
                    .
                    """
                class pseudo_time_courant_number(TUIMethod):
                    """
                    .
                    """

            class p_v_controls(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.explicit_momentum_under_relaxation = self.__class__.explicit_momentum_under_relaxation(service, version, mode, path + ["explicit_momentum_under_relaxation"])
                    self.explicit_volume_fraction_under_relaxation = self.__class__.explicit_volume_fraction_under_relaxation(service, version, mode, path + ["explicit_volume_fraction_under_relaxation"])
                    self.flow_courant_number = self.__class__.flow_courant_number(service, version, mode, path + ["flow_courant_number"])
                    self.vof_correction_itr_count = self.__class__.vof_correction_itr_count(service, version, mode, path + ["vof_correction_itr_count"])
                    self.volume_fraction_courant_number = self.__class__.volume_fraction_courant_number(service, version, mode, path + ["volume_fraction_courant_number"])
                    self.explicit_pressure_under_relaxation = self.__class__.explicit_pressure_under_relaxation(service, version, mode, path + ["explicit_pressure_under_relaxation"])
                    self.neighbor_correction_itr_count = self.__class__.neighbor_correction_itr_count(service, version, mode, path + ["neighbor_correction_itr_count"])
                    self.skewness_correction_itr_count = self.__class__.skewness_correction_itr_count(service, version, mode, path + ["skewness_correction_itr_count"])
                    self.skewness_neighbor_coupling = self.__class__.skewness_neighbor_coupling(service, version, mode, path + ["skewness_neighbor_coupling"])
                    super().__init__(service, version, mode, path)
                class explicit_momentum_under_relaxation(TUIMethod):
                    """
                    .
                    """
                class explicit_volume_fraction_under_relaxation(TUIMethod):
                    """
                    .
                    """
                class flow_courant_number(TUIMethod):
                    """
                    .
                    """
                class vof_correction_itr_count(TUIMethod):
                    """
                    .
                    """
                class volume_fraction_courant_number(TUIMethod):
                    """
                    .
                    """
                class explicit_pressure_under_relaxation(TUIMethod):
                    """
                    .
                    """
                class neighbor_correction_itr_count(TUIMethod):
                    """
                    .
                    """
                class skewness_correction_itr_count(TUIMethod):
                    """
                    .
                    """
                class skewness_neighbor_coupling(TUIMethod):
                    """
                    .
                    """

            class equations(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new equations object.
                    """
                class rename(TUIMethod):
                    """
                    Rename equations object.
                    """
                class edit(TUIMethod):
                    """
                    Edit equations object.
                    """

            class limits(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.min_elliptic_relax_func = self.__class__.min_elliptic_relax_func(service, version, mode, path + ["min_elliptic_relax_func"])
                    self.min_v2f_epsilon = self.__class__.min_v2f_epsilon(service, version, mode, path + ["min_v2f_epsilon"])
                    self.min_des_omega = self.__class__.min_des_omega(service, version, mode, path + ["min_des_omega"])
                    self.min_des_tke = self.__class__.min_des_tke(service, version, mode, path + ["min_des_tke"])
                    self.min_pressure = self.__class__.min_pressure(service, version, mode, path + ["min_pressure"])
                    self.min_temperature = self.__class__.min_temperature(service, version, mode, path + ["min_temperature"])
                    self.min_tke = self.__class__.min_tke(service, version, mode, path + ["min_tke"])
                    self.max_pressure = self.__class__.max_pressure(service, version, mode, path + ["max_pressure"])
                    self.min_epsilon = self.__class__.min_epsilon(service, version, mode, path + ["min_epsilon"])
                    self.min_v2f_tke = self.__class__.min_v2f_tke(service, version, mode, path + ["min_v2f_tke"])
                    self.min_lam_tke = self.__class__.min_lam_tke(service, version, mode, path + ["min_lam_tke"])
                    self.min_des_epsilon = self.__class__.min_des_epsilon(service, version, mode, path + ["min_des_epsilon"])
                    self.min_vel_var_scale = self.__class__.min_vel_var_scale(service, version, mode, path + ["min_vel_var_scale"])
                    self.max_temperature = self.__class__.max_temperature(service, version, mode, path + ["max_temperature"])
                    self.min_omega = self.__class__.min_omega(service, version, mode, path + ["min_omega"])
                    self.positivity_rate = self.__class__.positivity_rate(service, version, mode, path + ["positivity_rate"])
                    self.min_vol_frac_for_matrix_sol = self.__class__.min_vol_frac_for_matrix_sol(service, version, mode, path + ["min_vol_frac_for_matrix_sol"])
                    self.max_turb_visc_ratio = self.__class__.max_turb_visc_ratio(service, version, mode, path + ["max_turb_visc_ratio"])
                    super().__init__(service, version, mode, path)
                class min_elliptic_relax_func(TUIMethod):
                    """
                    .
                    """
                class min_v2f_epsilon(TUIMethod):
                    """
                    .
                    """
                class min_des_omega(TUIMethod):
                    """
                    .
                    """
                class min_des_tke(TUIMethod):
                    """
                    .
                    """
                class min_pressure(TUIMethod):
                    """
                    .
                    """
                class min_temperature(TUIMethod):
                    """
                    .
                    """
                class min_tke(TUIMethod):
                    """
                    .
                    """
                class max_pressure(TUIMethod):
                    """
                    .
                    """
                class min_epsilon(TUIMethod):
                    """
                    .
                    """
                class min_v2f_tke(TUIMethod):
                    """
                    .
                    """
                class min_lam_tke(TUIMethod):
                    """
                    .
                    """
                class min_des_epsilon(TUIMethod):
                    """
                    .
                    """
                class min_vel_var_scale(TUIMethod):
                    """
                    .
                    """
                class max_temperature(TUIMethod):
                    """
                    .
                    """
                class min_omega(TUIMethod):
                    """
                    .
                    """
                class positivity_rate(TUIMethod):
                    """
                    .
                    """
                class min_vol_frac_for_matrix_sol(TUIMethod):
                    """
                    .
                    """
                class max_turb_visc_ratio(TUIMethod):
                    """
                    .
                    """

            class under_relaxation(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename under-relaxation object.
                    """
                class create(TUIMethod):
                    """
                    Create a new under-relaxation object.
                    """
                class edit(TUIMethod):
                    """
                    Edit under-relaxation object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

        class calculation_activity(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.case_modification = self.__class__.case_modification(service, version, mode, path + ["case_modification"])
                self.poor_mesh_numerics = self.__class__.poor_mesh_numerics(service, version, mode, path + ["poor_mesh_numerics"])
                self.execute_commands = self.__class__.execute_commands(service, version, mode, path + ["execute_commands"])
                self.solution_animations = self.__class__.solution_animations(service, version, mode, path + ["solution_animations"])
                super().__init__(service, version, mode, path)

            class case_modification(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.initialization_method = self.__class__.initialization_method(service, version, mode, path + ["initialization_method"])
                    self.case_modification = self.__class__.case_modification(service, version, mode, path + ["case_modification"])
                    self.enable_modification = self.__class__.enable_modification(service, version, mode, path + ["enable_modification"])
                    self.enable_strategy = self.__class__.enable_strategy(service, version, mode, path + ["enable_strategy"])
                    self.automatic_initialization = self.__class__.automatic_initialization(service, version, mode, path + ["automatic_initialization"])
                    self.continue_strategy_execution = self.__class__.continue_strategy_execution(service, version, mode, path + ["continue_strategy_execution"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    self.copy_modification = self.__class__.copy_modification(service, version, mode, path + ["copy_modification"])
                    self.export_modifications = self.__class__.export_modifications(service, version, mode, path + ["export_modifications"])
                    self.delete_modification = self.__class__.delete_modification(service, version, mode, path + ["delete_modification"])
                    self.execute_strategy = self.__class__.execute_strategy(service, version, mode, path + ["execute_strategy"])
                    self.disable_modification = self.__class__.disable_modification(service, version, mode, path + ["disable_modification"])
                    self.import_modifications = self.__class__.import_modifications(service, version, mode, path + ["import_modifications"])
                    super().__init__(service, version, mode, path)
                class enable_modification(TUIMethod):
                    """
                    .
                    """
                class enable_strategy(TUIMethod):
                    """
                    .
                    """
                class automatic_initialization(TUIMethod):
                    """
                    .
                    """
                class continue_strategy_execution(TUIMethod):
                    """
                    .
                    """
                class enabled(TUIMethod):
                    """
                    .
                    """
                class copy_modification(TUIMethod):
                    """
                    .
                    """
                class export_modifications(TUIMethod):
                    """
                    .
                    """
                class delete_modification(TUIMethod):
                    """
                    .
                    """
                class execute_strategy(TUIMethod):
                    """
                    .
                    """
                class disable_modification(TUIMethod):
                    """
                    .
                    """
                class import_modifications(TUIMethod):
                    """
                    .
                    """

                class initialization_method(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.init_from_solution = self.__class__.init_from_solution(service, version, mode, path + ["init_from_solution"])
                        self.init_from_data_file = self.__class__.init_from_data_file(service, version, mode, path + ["init_from_data_file"])
                        super().__init__(service, version, mode, path)
                    class init_from_data_file(TUIMethod):
                        """
                        .
                        """

                    class init_from_solution(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.option = self.__class__.option(service, version, mode, path + ["option"])
                            self.init_from_data_file = self.__class__.init_from_data_file(service, version, mode, path + ["init_from_data_file"])
                            super().__init__(service, version, mode, path)
                        class option(TUIMethod):
                            """
                            .
                            """
                        class init_from_data_file(TUIMethod):
                            """
                            .
                            """

                class case_modification(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.before_init_modification = self.__class__.before_init_modification(service, version, mode, path + ["before_init_modification"])
                        self.modifications = self.__class__.modifications(service, version, mode, path + ["modifications"])
                        self.original_settings = self.__class__.original_settings(service, version, mode, path + ["original_settings"])
                        super().__init__(service, version, mode, path)

                    class before_init_modification(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.name = self.__class__.name(service, version, mode, path + ["name"])
                            self.flowtime = self.__class__.flowtime(service, version, mode, path + ["flowtime"])
                            self.command = self.__class__.command(service, version, mode, path + ["command"])
                            self.active = self.__class__.active(service, version, mode, path + ["active"])
                            self.python_cmd = self.__class__.python_cmd(service, version, mode, path + ["python_cmd"])
                            self.count = self.__class__.count(service, version, mode, path + ["count"])
                            self.ftselected = self.__class__.ftselected(service, version, mode, path + ["ftselected"])
                            super().__init__(service, version, mode, path)
                        class name(TUIMethod):
                            """
                            .
                            """
                        class flowtime(TUIMethod):
                            """
                            .
                            """
                        class command(TUIMethod):
                            """
                            .
                            """
                        class active(TUIMethod):
                            """
                            .
                            """
                        class python_cmd(TUIMethod):
                            """
                            .
                            """
                        class count(TUIMethod):
                            """
                            .
                            """
                        class ftselected(TUIMethod):
                            """
                            .
                            """

                    class modifications(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.number_of_objects = self.__class__.number_of_objects(service, version, mode, path + ["number_of_objects"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            super().__init__(service, version, mode, path)
                        class number_of_objects(TUIMethod):
                            """
                            Set number of objects for modifications.
                            """
                        class list_properties(TUIMethod):
                            """
                            .
                            """
                        class edit(TUIMethod):
                            """
                            Edit modifications object.
                            """

                    class original_settings(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.count = self.__class__.count(service, version, mode, path + ["count"])
                            self.flowtime = self.__class__.flowtime(service, version, mode, path + ["flowtime"])
                            self.active = self.__class__.active(service, version, mode, path + ["active"])
                            self.name = self.__class__.name(service, version, mode, path + ["name"])
                            self.python_cmd = self.__class__.python_cmd(service, version, mode, path + ["python_cmd"])
                            self.command = self.__class__.command(service, version, mode, path + ["command"])
                            self.ftselected = self.__class__.ftselected(service, version, mode, path + ["ftselected"])
                            super().__init__(service, version, mode, path)
                        class count(TUIMethod):
                            """
                            .
                            """
                        class flowtime(TUIMethod):
                            """
                            .
                            """
                        class active(TUIMethod):
                            """
                            .
                            """
                        class name(TUIMethod):
                            """
                            .
                            """
                        class python_cmd(TUIMethod):
                            """
                            .
                            """
                        class command(TUIMethod):
                            """
                            .
                            """
                        class ftselected(TUIMethod):
                            """
                            .
                            """

            class poor_mesh_numerics(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.register_based = self.__class__.register_based(service, version, mode, path + ["register_based"])
                    super().__init__(service, version, mode, path)

                class register_based(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        super().__init__(service, version, mode, path)
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class edit(TUIMethod):
                        """
                        Edit a definition for poor mesh numerics.
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class create(TUIMethod):
                        """
                        Add a new definition for poor mesh numerics.
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename register-based object.
                        """
                    class set(TUIMethod):
                        """
                        .
                        """

            class execute_commands(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.import_ = self.__class__.import_(service, version, mode, path + ["import"])
                    self.export = self.__class__.export(service, version, mode, path + ["export"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.disable = self.__class__.disable(service, version, mode, path + ["disable"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    .
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class import_(TUIMethod):
                    """
                    .
                    """
                class export(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class disable(TUIMethod):
                    """
                    .
                    """

            class solution_animations(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename solution-animations object.
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class display(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit solution-animations object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new solution-animations object.
                    """

        class initialization(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.defaults = self.__class__.defaults(service, version, mode, path + ["defaults"])
                self.hybrid_init_options = self.__class__.hybrid_init_options(service, version, mode, path + ["hybrid_init_options"])
                self.localized_turb_init = self.__class__.localized_turb_init(service, version, mode, path + ["localized_turb_init"])
                self.open_channel_auto_init = self.__class__.open_channel_auto_init(service, version, mode, path + ["open_channel_auto_init"])
                self.fmg = self.__class__.fmg(service, version, mode, path + ["fmg"])
                self.patch = self.__class__.patch(service, version, mode, path + ["patch"])
                self.dpm_reset = self.__class__.dpm_reset(service, version, mode, path + ["dpm_reset"])
                self.show_time_sampled = self.__class__.show_time_sampled(service, version, mode, path + ["show_time_sampled"])
                self.show_iterations_sampled = self.__class__.show_iterations_sampled(service, version, mode, path + ["show_iterations_sampled"])
                self.levelset_auto_init = self.__class__.levelset_auto_init(service, version, mode, path + ["levelset_auto_init"])
                self.reference_frame = self.__class__.reference_frame(service, version, mode, path + ["reference_frame"])
                self.compute_defaults = self.__class__.compute_defaults(service, version, mode, path + ["compute_defaults"])
                self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
                self.init_turb_vel_fluctuations = self.__class__.init_turb_vel_fluctuations(service, version, mode, path + ["init_turb_vel_fluctuations"])
                self.init_flow_statistics = self.__class__.init_flow_statistics(service, version, mode, path + ["init_flow_statistics"])
                self.init_acoustics_options = self.__class__.init_acoustics_options(service, version, mode, path + ["init_acoustics_options"])
                self.lwf_reset = self.__class__.lwf_reset(service, version, mode, path + ["lwf_reset"])
                self.initialization_type = self.__class__.initialization_type(service, version, mode, path + ["initialization_type"])
                self.list_defaults = self.__class__.list_defaults(service, version, mode, path + ["list_defaults"])
                self.init_lwf = self.__class__.init_lwf(service, version, mode, path + ["init_lwf"])
                self.standard_initialize = self.__class__.standard_initialize(service, version, mode, path + ["standard_initialize"])
                self.hybrid_initialize = self.__class__.hybrid_initialize(service, version, mode, path + ["hybrid_initialize"])
                super().__init__(service, version, mode, path)
            class dpm_reset(TUIMethod):
                """
                .
                """
            class show_time_sampled(TUIMethod):
                """
                .
                """
            class show_iterations_sampled(TUIMethod):
                """
                .
                """
            class levelset_auto_init(TUIMethod):
                """
                .
                """
            class reference_frame(TUIMethod):
                """
                .
                """
            class compute_defaults(TUIMethod):
                """
                .
                """
            class initialize(TUIMethod):
                """
                .
                """
            class init_turb_vel_fluctuations(TUIMethod):
                """
                .
                """
            class init_flow_statistics(TUIMethod):
                """
                .
                """
            class init_acoustics_options(TUIMethod):
                """
                .
                """
            class lwf_reset(TUIMethod):
                """
                .
                """
            class initialization_type(TUIMethod):
                """
                .
                """
            class list_defaults(TUIMethod):
                """
                .
                """
            class init_lwf(TUIMethod):
                """
                .
                """
            class standard_initialize(TUIMethod):
                """
                .
                """
            class hybrid_initialize(TUIMethod):
                """
                .
                """

            class defaults(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit defaults object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename defaults object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new defaults object.
                    """

            class hybrid_init_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.general_settings = self.__class__.general_settings(service, version, mode, path + ["general_settings"])
                    self.species_setting = self.__class__.species_setting(service, version, mode, path + ["species_setting"])
                    self.turbulent_setting = self.__class__.turbulent_setting(service, version, mode, path + ["turbulent_setting"])
                    super().__init__(service, version, mode, path)

                class general_settings(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.const_velocity = self.__class__.const_velocity(service, version, mode, path + ["const_velocity"])
                        self.explicit_urf = self.__class__.explicit_urf(service, version, mode, path + ["explicit_urf"])
                        self.initial_pressure = self.__class__.initial_pressure(service, version, mode, path + ["initial_pressure"])
                        self.iter_count = self.__class__.iter_count(service, version, mode, path + ["iter_count"])
                        self.external_aero = self.__class__.external_aero(service, version, mode, path + ["external_aero"])
                        super().__init__(service, version, mode, path)
                    class const_velocity(TUIMethod):
                        """
                        .
                        """
                    class explicit_urf(TUIMethod):
                        """
                        .
                        """
                    class initial_pressure(TUIMethod):
                        """
                        .
                        """
                    class iter_count(TUIMethod):
                        """
                        .
                        """
                    class external_aero(TUIMethod):
                        """
                        .
                        """

                class species_setting(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.species = self.__class__.species(service, version, mode, path + ["species"])
                        self.user_specified_species = self.__class__.user_specified_species(service, version, mode, path + ["user_specified_species"])
                        super().__init__(service, version, mode, path)
                    class user_specified_species(TUIMethod):
                        """
                        .
                        """

                    class species(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.create = self.__class__.create(service, version, mode, path + ["create"])
                            super().__init__(service, version, mode, path)
                        class make_a_copy(TUIMethod):
                            """
                            .
                            """
                        class delete(TUIMethod):
                            """
                            .
                            """
                        class rename(TUIMethod):
                            """
                            Rename species object.
                            """
                        class edit(TUIMethod):
                            """
                            Edit species object.
                            """
                        class list(TUIMethod):
                            """
                            .
                            """
                        class list_properties(TUIMethod):
                            """
                            .
                            """
                        class create(TUIMethod):
                            """
                            Create a new species object.
                            """

                class turbulent_setting(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.viscosity_ratio = self.__class__.viscosity_ratio(service, version, mode, path + ["viscosity_ratio"])
                        self.averaged_turbulent_parameters = self.__class__.averaged_turbulent_parameters(service, version, mode, path + ["averaged_turbulent_parameters"])
                        self.turbulent_intensity = self.__class__.turbulent_intensity(service, version, mode, path + ["turbulent_intensity"])
                        super().__init__(service, version, mode, path)
                    class viscosity_ratio(TUIMethod):
                        """
                        .
                        """
                    class averaged_turbulent_parameters(TUIMethod):
                        """
                        .
                        """
                    class turbulent_intensity(TUIMethod):
                        """
                        .
                        """

            class localized_turb_init(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.turbulent_viscosity_ratio = self.__class__.turbulent_viscosity_ratio(service, version, mode, path + ["turbulent_viscosity_ratio"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    self.turbulent_intensity = self.__class__.turbulent_intensity(service, version, mode, path + ["turbulent_intensity"])
                    super().__init__(service, version, mode, path)
                class turbulent_viscosity_ratio(TUIMethod):
                    """
                    .
                    """
                class enabled(TUIMethod):
                    """
                    .
                    """
                class turbulent_intensity(TUIMethod):
                    """
                    .
                    """

            class open_channel_auto_init(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.flat_init = self.__class__.flat_init(service, version, mode, path + ["flat_init"])
                    self.boundary_zone = self.__class__.boundary_zone(service, version, mode, path + ["boundary_zone"])
                    self.wavy_surface_init = self.__class__.wavy_surface_init(service, version, mode, path + ["wavy_surface_init"])
                    super().__init__(service, version, mode, path)
                class flat_init(TUIMethod):
                    """
                    .
                    """
                class boundary_zone(TUIMethod):
                    """
                    .
                    """
                class wavy_surface_init(TUIMethod):
                    """
                    .
                    """

            class fmg(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.reset_to_defaults = self.__class__.reset_to_defaults(service, version, mode, path + ["reset_to_defaults"])
                    self.turbulent_viscosity_ratio = self.__class__.turbulent_viscosity_ratio(service, version, mode, path + ["turbulent_viscosity_ratio"])
                    self.species_reactions = self.__class__.species_reactions(service, version, mode, path + ["species_reactions"])
                    self.customize = self.__class__.customize(service, version, mode, path + ["customize"])
                    self.viscous_terms = self.__class__.viscous_terms(service, version, mode, path + ["viscous_terms"])
                    self.fmg_courant_number = self.__class__.fmg_courant_number(service, version, mode, path + ["fmg_courant_number"])
                    self.enable_fmg_verbose = self.__class__.enable_fmg_verbose(service, version, mode, path + ["enable_fmg_verbose"])
                    self.fmg_initialize = self.__class__.fmg_initialize(service, version, mode, path + ["fmg_initialize"])
                    super().__init__(service, version, mode, path)
                class reset_to_defaults(TUIMethod):
                    """
                    .
                    """
                class turbulent_viscosity_ratio(TUIMethod):
                    """
                    .
                    """
                class species_reactions(TUIMethod):
                    """
                    .
                    """
                class customize(TUIMethod):
                    """
                    .
                    """
                class viscous_terms(TUIMethod):
                    """
                    .
                    """
                class fmg_courant_number(TUIMethod):
                    """
                    .
                    """
                class enable_fmg_verbose(TUIMethod):
                    """
                    .
                    """
                class fmg_initialize(TUIMethod):
                    """
                    .
                    """

            class patch(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.vof_smooth_options = self.__class__.vof_smooth_options(service, version, mode, path + ["vof_smooth_options"])
                    self.calculate_patch = self.__class__.calculate_patch(service, version, mode, path + ["calculate_patch"])
                    super().__init__(service, version, mode, path)
                class calculate_patch(TUIMethod):
                    """
                    .
                    """

                class vof_smooth_options(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.use_volumetric_smoothing = self.__class__.use_volumetric_smoothing(service, version, mode, path + ["use_volumetric_smoothing"])
                        self.execute_smoothing = self.__class__.execute_smoothing(service, version, mode, path + ["execute_smoothing"])
                        self.smoothing_relaxation_factor = self.__class__.smoothing_relaxation_factor(service, version, mode, path + ["smoothing_relaxation_factor"])
                        self.patch_reconstructed_interface = self.__class__.patch_reconstructed_interface(service, version, mode, path + ["patch_reconstructed_interface"])
                        super().__init__(service, version, mode, path)
                    class use_volumetric_smoothing(TUIMethod):
                        """
                        .
                        """
                    class execute_smoothing(TUIMethod):
                        """
                        .
                        """
                    class smoothing_relaxation_factor(TUIMethod):
                        """
                        .
                        """
                    class patch_reconstructed_interface(TUIMethod):
                        """
                        .
                        """

        class cell_registers(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                super().__init__(service, version, mode, path)
            class list_properties(TUIMethod):
                """
                .
                """
            class delete(TUIMethod):
                """
                .
                """
            class create(TUIMethod):
                """
                Create a new cell-registers object.
                """
            class edit(TUIMethod):
                """
                Edit cell-registers object.
                """
            class rename(TUIMethod):
                """
                Rename cell-registers object.
                """
            class list(TUIMethod):
                """
                .
                """
            class make_a_copy(TUIMethod):
                """
                .
                """

    class mesh(TUIMenu):
        """
        Enter the mesh menu.
        """
        def __init__(self, service, version, mode, path):
            self.surface_mesh = self.__class__.surface_mesh(service, version, mode, path + ["surface_mesh"])
            self.anisotropic_adaption = self.__class__.anisotropic_adaption(service, version, mode, path + ["anisotropic_adaption"])
            self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
            self.repair_improve = self.__class__.repair_improve(service, version, mode, path + ["repair_improve"])
            self.polyhedra = self.__class__.polyhedra(service, version, mode, path + ["polyhedra"])
            self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
            self.reorder = self.__class__.reorder(service, version, mode, path + ["reorder"])
            self.modify_zones = self.__class__.modify_zones(service, version, mode, path + ["modify_zones"])
            self.check = self.__class__.check(service, version, mode, path + ["check"])
            self.mesh_info = self.__class__.mesh_info(service, version, mode, path + ["mesh_info"])
            self.check_before_solve = self.__class__.check_before_solve(service, version, mode, path + ["check_before_solve"])
            self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
            self.memory_usage = self.__class__.memory_usage(service, version, mode, path + ["memory_usage"])
            self.enhanced_orthogonal_quality = self.__class__.enhanced_orthogonal_quality(service, version, mode, path + ["enhanced_orthogonal_quality"])
            self.check_verbosity = self.__class__.check_verbosity(service, version, mode, path + ["check_verbosity"])
            self.wall_distance_method = self.__class__.wall_distance_method(service, version, mode, path + ["wall_distance_method"])
            self.redistribute_boundary_layer = self.__class__.redistribute_boundary_layer(service, version, mode, path + ["redistribute_boundary_layer"])
            self.swap_mesh_faces = self.__class__.swap_mesh_faces(service, version, mode, path + ["swap_mesh_faces"])
            self.adjacency = self.__class__.adjacency(service, version, mode, path + ["adjacency"])
            self.show_periodic_shadow_zones = self.__class__.show_periodic_shadow_zones(service, version, mode, path + ["show_periodic_shadow_zones"])
            self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
            self.translate = self.__class__.translate(service, version, mode, path + ["translate"])
            self.replace = self.__class__.replace(service, version, mode, path + ["replace"])
            self.size_info = self.__class__.size_info(service, version, mode, path + ["size_info"])
            self.rotate = self.__class__.rotate(service, version, mode, path + ["rotate"])
            self.smooth_mesh = self.__class__.smooth_mesh(service, version, mode, path + ["smooth_mesh"])
            super().__init__(service, version, mode, path)
        class check(TUIMethod):
            """
            Performs various mesh consistency checks and displays a report in the console that lists the domain extents, the volume statistics, the face area statistics, and any warnings, as well as details about the various checks and mesh failures (depending on the setting specified for mesh/check-verbosity).
            """
        class mesh_info(TUIMethod):
            """
            Prints zone information size.
            """
        class check_before_solve(TUIMethod):
            """
            The default value for mesh/check-before-solve is “no”. If mesh/check-before-solve is set to “yes”, a mesh check operation will be invoked prior to starting solver. If grid check fails, solver will be interrupted, and relevant information will be printed in the Fluent console.
            """
        class scale(TUIMethod):
            """
            Prompts for the scaling factors in each of the active Cartesian coordinate directions.
            """
        class memory_usage(TUIMethod):
            """
            Reports solver memory use.
            """
        class enhanced_orthogonal_quality(TUIMethod):
            """
            Enables / disables an enhanced definition when calculating the orthogonal quality. When enabled, the orthogonal quality is defined using a variety quality measures, including: the orthogonality of a face relative to a vector between the face and cell centroids; a metric that detects poor cell shape at a local edge (such as twisting and/or concavity); and the variation of normals between the faces that can be constructed from the cell face. This enhanced definition is optimal for evaluating thin prism cells.
            """
        class check_verbosity(TUIMethod):
            """
            Sets the level of details that will be added to the mesh check report generated by mesh/check. A value of 0 (the default) notes when checks are being performed, but does not list them individually. A value of 1 lists the individual checks as they are performed. A value of 2 enables the availability of additional mesh field variables, lists the individual checks as they are performed, and provides additional details (for example, the location of the problem, the affected cells).  The check-verbosity text command can also be used to set the level of detail displayed in the mesh quality report generated by mesh/quality. A value of 0 (the default) or 1 lists the minimum orthogonal quality and the maximum aspect ratio. A value of 2 adds information about the zones that contain the cells with the lowest quality, and additional metrics such as the maximum cell squish index and the minimum expansion ratio.
            """
        class wall_distance_method(TUIMethod):
            """
            .
            """
        class redistribute_boundary_layer(TUIMethod):
            """
            Redistributes the nodes in a boundary layer zone to achieve a desired growth rate after anisotropic adaption.
            """
        class swap_mesh_faces(TUIMethod):
            """
            Swaps mesh faces.
            """
        class adjacency(TUIMethod):
            """
            Views and renames face zones adjacent to selected cell  zones.
            """
        class show_periodic_shadow_zones(TUIMethod):
            """
            .
            """
        class quality(TUIMethod):
            """
            Displays information about the quality of the mesh in the console, including the minimum orthogonal quality and the maximum aspect ratio. The level of detail displayed depends on the setting specified for mesh/check-verbosity.
            """
        class translate(TUIMethod):
            """
            Prompts for the translation offset in each of the active Cartesian coordinate directions.
            """
        class replace(TUIMethod):
            """
            .
            """
        class size_info(TUIMethod):
            """
            Prints mesh size.
            """
        class rotate(TUIMethod):
            """
            Rotates the mesh.
            """
        class smooth_mesh(TUIMethod):
            """
            Smooths the mesh using quality-based, Laplacian, or skewness methods.
            """

        class surface_mesh(TUIMenu):
            """
            Enters the Surface Mesh menu.
            """
            def __init__(self, service, version, mode, path):
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.read = self.__class__.read(service, version, mode, path + ["read"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class display(TUIMethod):
                """
                Displays surface meshes.
                """
            class read(TUIMethod):
                """
                Reads surface meshes.
                """
            class delete(TUIMethod):
                """
                Deletes surface mesh.
                """

        class anisotropic_adaption(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.operations = self.__class__.operations(service, version, mode, path + ["operations"])
                self.indicator = self.__class__.indicator(service, version, mode, path + ["indicator"])
                self.target = self.__class__.target(service, version, mode, path + ["target"])
                self.minimum_edge_length = self.__class__.minimum_edge_length(service, version, mode, path + ["minimum_edge_length"])
                self.adapt_mesh = self.__class__.adapt_mesh(service, version, mode, path + ["adapt_mesh"])
                self.maximum_anisotropic_ratio = self.__class__.maximum_anisotropic_ratio(service, version, mode, path + ["maximum_anisotropic_ratio"])
                self.minimum_cell_quality = self.__class__.minimum_cell_quality(service, version, mode, path + ["minimum_cell_quality"])
                self.iterations = self.__class__.iterations(service, version, mode, path + ["iterations"])
                self.fixed_zones = self.__class__.fixed_zones(service, version, mode, path + ["fixed_zones"])
                super().__init__(service, version, mode, path)
            class minimum_edge_length(TUIMethod):
                """
                .
                """
            class adapt_mesh(TUIMethod):
                """
                .
                """
            class maximum_anisotropic_ratio(TUIMethod):
                """
                .
                """
            class minimum_cell_quality(TUIMethod):
                """
                .
                """
            class iterations(TUIMethod):
                """
                .
                """
            class fixed_zones(TUIMethod):
                """
                .
                """

            class operations(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.coarsen = self.__class__.coarsen(service, version, mode, path + ["coarsen"])
                    self.refine = self.__class__.refine(service, version, mode, path + ["refine"])
                    self.move = self.__class__.move(service, version, mode, path + ["move"])
                    self.swap = self.__class__.swap(service, version, mode, path + ["swap"])
                    super().__init__(service, version, mode, path)
                class coarsen(TUIMethod):
                    """
                    .
                    """
                class refine(TUIMethod):
                    """
                    .
                    """
                class move(TUIMethod):
                    """
                    .
                    """
                class swap(TUIMethod):
                    """
                    .
                    """

            class indicator(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.indicator_type = self.__class__.indicator_type(service, version, mode, path + ["indicator_type"])
                    self.multi_scalar_fn = self.__class__.multi_scalar_fn(service, version, mode, path + ["multi_scalar_fn"])
                    self.single_scalar_fn = self.__class__.single_scalar_fn(service, version, mode, path + ["single_scalar_fn"])
                    super().__init__(service, version, mode, path)
                class indicator_type(TUIMethod):
                    """
                    .
                    """
                class multi_scalar_fn(TUIMethod):
                    """
                    .
                    """
                class single_scalar_fn(TUIMethod):
                    """
                    .
                    """

            class target(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.number_of_cells = self.__class__.number_of_cells(service, version, mode, path + ["number_of_cells"])
                    self.target_type = self.__class__.target_type(service, version, mode, path + ["target_type"])
                    self.factor_of_cells = self.__class__.factor_of_cells(service, version, mode, path + ["factor_of_cells"])
                    super().__init__(service, version, mode, path)
                class number_of_cells(TUIMethod):
                    """
                    .
                    """
                class target_type(TUIMethod):
                    """
                    .
                    """
                class factor_of_cells(TUIMethod):
                    """
                    .
                    """

        class geometry(TUIMenu):
            """
            Enter the auxiliary geometry menu.
            """
            def __init__(self, service, version, mode, path):
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.display_options = self.__class__.display_options(service, version, mode, path + ["display_options"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Delete an object.
                """
            class list(TUIMethod):
                """
                List objects.
                """
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class display_options(TUIMethod):
                """
                Display options.
                """
            class list_properties(TUIMethod):
                """
                List properties of an object.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class display(TUIMethod):
                """
                Display geometry.
                """

        class repair_improve(TUIMenu):
            """
            Enter the repair and improve quality menu.
            """
            def __init__(self, service, version, mode, path):
                self.repair_periodic = self.__class__.repair_periodic(service, version, mode, path + ["repair_periodic"])
                self.repair_face_handedness = self.__class__.repair_face_handedness(service, version, mode, path + ["repair_face_handedness"])
                self.improve_quality = self.__class__.improve_quality(service, version, mode, path + ["improve_quality"])
                self.repair_wall_distance = self.__class__.repair_wall_distance(service, version, mode, path + ["repair_wall_distance"])
                self.include_local_polyhedra_conversion_in_repair = self.__class__.include_local_polyhedra_conversion_in_repair(service, version, mode, path + ["include_local_polyhedra_conversion_in_repair"])
                self.repair_face_node_order = self.__class__.repair_face_node_order(service, version, mode, path + ["repair_face_node_order"])
                self.repair = self.__class__.repair(service, version, mode, path + ["repair"])
                self.allow_repair_at_boundaries = self.__class__.allow_repair_at_boundaries(service, version, mode, path + ["allow_repair_at_boundaries"])
                self.report_poor_elements = self.__class__.report_poor_elements(service, version, mode, path + ["report_poor_elements"])
                super().__init__(service, version, mode, path)
            class repair_periodic(TUIMethod):
                """
                Modifies the mesh to enforce a rotational angle or translational distance for periodic boundaries. For translationally periodic boundaries, the command computes an average translation distance and adjusts the node coordinates on the shadow face zone to match this distance. For rotationally periodic boundaries, the command prompts for an angle and adjusts the node coordinates on the shadow face zone using this angle and the defined rotational axis for the cell zone.
                """
            class repair_face_handedness(TUIMethod):
                """
                Modifies cell centroids to repair meshes that contain left-handed faces without face node order problems.
                """
            class improve_quality(TUIMethod):
                """
                Improves poor quality cells in the mesh, if possible.
                """
            class repair_wall_distance(TUIMethod):
                """
                Corrects wall distance at very high aspect ratio hexahedral/polyhedral cells.
                """
            class include_local_polyhedra_conversion_in_repair(TUIMethod):
                """
                Enables/disables the local conversion of degenerate cells into polyhedra based on skewness criteria as part of the mesh repairs performed by the  mesh/repair-improve/repair text command.
                """
            class repair_face_node_order(TUIMethod):
                """
                Modifies face nodes to repair faces with improper face node order and, therefore, eliminates any resulting left-handed faces.
                """
            class repair(TUIMethod):
                """
                Repairs mesh problems identified by the mesh check, if possible. The repairs include fixing cells that have the wrong node order, the wrong face handedness, faces that are small or nonexistent, or very poor quality. Only interior nodes are repositioned by default; boundary nodes may be repositioned if the  mesh/repair-improve/allow-repair-at-boundaries text command is enabled. Note that highly skewed cells may be converted into polyhedra, depending on whether the  mesh/repair-improve/include-local-polyhedra-conversion-in-repair text command is enabled.
                """
            class allow_repair_at_boundaries(TUIMethod):
                """
                Allows the adjustment of the positions of nodes on boundaries as part of the mesh repairs performed by the mesh/repair-improve/repair text command.
                """
            class report_poor_elements(TUIMethod):
                """
                Reports invalid and poor quality elements.
                """

        class polyhedra(TUIMenu):
            """
            Enters the polyhedra menu.
            """
            def __init__(self, service, version, mode, path):
                self.options = self.__class__.options(service, version, mode, path + ["options"])
                self.convert_hanging_nodes = self.__class__.convert_hanging_nodes(service, version, mode, path + ["convert_hanging_nodes"])
                self.convert_skewed_cells = self.__class__.convert_skewed_cells(service, version, mode, path + ["convert_skewed_cells"])
                self.convert_domain = self.__class__.convert_domain(service, version, mode, path + ["convert_domain"])
                self.convert_hanging_nodes_zones = self.__class__.convert_hanging_nodes_zones(service, version, mode, path + ["convert_hanging_nodes_zones"])
                super().__init__(service, version, mode, path)
            class convert_hanging_nodes(TUIMethod):
                """
                Converts cells with hanging nodes/edges to polyhedra.
                """
            class convert_skewed_cells(TUIMethod):
                """
                Converts skewed cells to polyhedra.
                """
            class convert_domain(TUIMethod):
                """
                Converts the entire domain to polyhedra cells.
                """
            class convert_hanging_nodes_zones(TUIMethod):
                """
                Convert selected cell zones with hanging nodes and faces to polyhedra.
                The selected cell zones cannot be connected to other zones.
                """

            class options(TUIMenu):
                """
                Enters the polyhedra options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.migrate_and_reorder = self.__class__.migrate_and_reorder(service, version, mode, path + ["migrate_and_reorder"])
                    self.preserve_interior_zones = self.__class__.preserve_interior_zones(service, version, mode, path + ["preserve_interior_zones"])
                    self.preserve_boundary_layer = self.__class__.preserve_boundary_layer(service, version, mode, path + ["preserve_boundary_layer"])
                    super().__init__(service, version, mode, path)
                class migrate_and_reorder(TUIMethod):
                    """
                    Enables / disables the migration of newly created partitions to the compute-nodes and the reordering of the domain as part of polyhedra conversion. This is disabled by default, because it requires significant additional memory; when disabled, it is recommended that you save the case file after conversion, read it in a new Fluent session (so that the new / stored partitions become active), and then manually reorder using the mesh/reorder/reorder-domain text command. If you want to run the calculation in the current Fluent session you can enable the migrate-and-reorder? text command prior to conversion, but you must ensure that no more than half of the available memory of your system is currently used.
                    """
                class preserve_interior_zones(TUIMethod):
                    """
                    Enables the preservation of surfaces (that is, manifold zones of type interior) during the conversion of the domain to polyhedra. Note that only those zones with a name that includes the string you specify will be preserved.
                    """
                class preserve_boundary_layer(TUIMethod):
                    """
                    Specifies whether boundary layer cells will be preserved when the domain is converted to polyhedra. When the value is set to 0 (default) ANSYS Fluent checks for high aspect ratio cells at the boundary layer and if any are found, Fluent asks if you want to preserve the boundary layer. When the value is set to 1, the boundary layer cells are never preserved; when it is set to 2, the boundary layer cells are always preserved (regardless of the aspect ratio of the boundary layer cells).
                    """

        class adapt(TUIMenu):
            """
            Enters the mesh adaption menu.
            """
            def __init__(self, service, version, mode, path):
                self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                self.manage_criteria = self.__class__.manage_criteria(service, version, mode, path + ["manage_criteria"])
                self.multi_layer_refinement = self.__class__.multi_layer_refinement(service, version, mode, path + ["multi_layer_refinement"])
                self.profile = self.__class__.profile(service, version, mode, path + ["profile"])
                self.cell_registers = self.__class__.cell_registers(service, version, mode, path + ["cell_registers"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.adapt_mesh = self.__class__.adapt_mesh(service, version, mode, path + ["adapt_mesh"])
                self.anisotropic_adaption = self.__class__.anisotropic_adaption(service, version, mode, path + ["anisotropic_adaption"])
                self.manual_refinement_criteria = self.__class__.manual_refinement_criteria(service, version, mode, path + ["manual_refinement_criteria"])
                self.refinement_criteria = self.__class__.refinement_criteria(service, version, mode, path + ["refinement_criteria"])
                self.manual_coarsening_criteria = self.__class__.manual_coarsening_criteria(service, version, mode, path + ["manual_coarsening_criteria"])
                self.list_adaption_cells = self.__class__.list_adaption_cells(service, version, mode, path + ["list_adaption_cells"])
                self.coarsening_criteria = self.__class__.coarsening_criteria(service, version, mode, path + ["coarsening_criteria"])
                self.display_adaption_cells = self.__class__.display_adaption_cells(service, version, mode, path + ["display_adaption_cells"])
                self.free_hierarchy = self.__class__.free_hierarchy(service, version, mode, path + ["free_hierarchy"])
                super().__init__(service, version, mode, path)
            class adapt_mesh(TUIMethod):
                """
                Performs manual adaption on the mesh according to the methods and settings that you specified.
                """
            class anisotropic_adaption(TUIMethod):
                """
                Applies legacy anisotropic adaption to refine the boundary layers or registers. Cells will be split in the normal direction to the boundary face. Note that this text command is only available for 3D cases that have the adaption method set to hanging node.
                """
            class manual_refinement_criteria(TUIMethod):
                """
                .
                """
            class refinement_criteria(TUIMethod):
                """
                Allows you to provide an expression for the refinement criterion.
                """
            class manual_coarsening_criteria(TUIMethod):
                """
                .
                """
            class list_adaption_cells(TUIMethod):
                """
                Prints the number of cells marked for refinement, coarsening, and both to the console.
                """
            class coarsening_criteria(TUIMethod):
                """
                Allows you to provide an expression for the coarsening criterion.
                """
            class display_adaption_cells(TUIMethod):
                """
                Displays the cells that are marked for adaption in the graphics window.
                """
            class free_hierarchy(TUIMethod):
                """
                Deletes the defined adaption hierarchy.
                """

            class geometry(TUIMenu):
                """
                Enters the geometry menu. Note that this text command menu is not available unless the adaption method is set to hanging node.
                """
                def __init__(self, service, version, mode, path):
                    self.manage = self.__class__.manage(service, version, mode, path + ["manage"])
                    self.set_geometry_controls = self.__class__.set_geometry_controls(service, version, mode, path + ["set_geometry_controls"])
                    self.reconstruct_geometry = self.__class__.reconstruct_geometry(service, version, mode, path + ["reconstruct_geometry"])
                    super().__init__(service, version, mode, path)
                class set_geometry_controls(TUIMethod):
                    """
                    Sets geometry controls for wall zones.
                    """
                class reconstruct_geometry(TUIMethod):
                    """
                    Enables/disables geometry-based adaption.
                    """

                class manage(TUIMenu):
                    """
                    Manage geometry-based adaption.
                    """
                    def __init__(self, service, version, mode, path):
                        self.add = self.__class__.add(service, version, mode, path + ["add"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        super().__init__(service, version, mode, path)
                    class add(TUIMethod):
                        """
                        Add a new object.
                        """
                    class list_properties(TUIMethod):
                        """
                        List properties of an object.
                        """
                    class list(TUIMethod):
                        """
                        List objects.
                        """
                    class delete(TUIMethod):
                        """
                        Delete an object.
                        """
                    class edit(TUIMethod):
                        """
                        Edit an object.
                        """

            class manage_criteria(TUIMenu):
                """
                Enters the manage criteria menu, which provides text commands for managing automatic adaption criteria.
                """
                def __init__(self, service, version, mode, path):
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    Lists all the existing automatic adaption criteria.
                    """
                class list_properties(TUIMethod):
                    """
                    Lists the properties of an existing automatic adaption criterion.
                    """
                class delete(TUIMethod):
                    """
                    Deletes an existing automatic adaption criterion.
                    """
                class edit(TUIMethod):
                    """
                    Edits an existing automatic adaption criterion.
                    """
                class add(TUIMethod):
                    """
                    Adds a new automatic adaption criterion.
                    """

            class multi_layer_refinement(TUIMenu):
                """
                Enter the multiple boundary layer refinement menu.
                """
                def __init__(self, service, version, mode, path):
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    self.refine_mesh = self.__class__.refine_mesh(service, version, mode, path + ["refine_mesh"])
                    self.layer_count = self.__class__.layer_count(service, version, mode, path + ["layer_count"])
                    self.boundary_zones = self.__class__.boundary_zones(service, version, mode, path + ["boundary_zones"])
                    super().__init__(service, version, mode, path)
                class parameters(TUIMethod):
                    """
                    Specify parameters for multiple boundary layer refinement.
                    """
                class refine_mesh(TUIMethod):
                    """
                    Refine the mesh for multiple boundary layers.
                    """
                class layer_count(TUIMethod):
                    """
                    Specify the layer count for refinement.
                    """
                class boundary_zones(TUIMethod):
                    """
                    Specify boundary zones for refinement.
                    """

            class profile(TUIMenu):
                """
                Enters the profile menu.
                """
                def __init__(self, service, version, mode, path):
                    self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                    self.disable = self.__class__.disable(service, version, mode, path + ["disable"])
                    self.print = self.__class__.print(service, version, mode, path + ["print"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class clear(TUIMethod):
                    """
                    Clears the adaption profiling counters.
                    """
                class disable(TUIMethod):
                    """
                    Disables adaption profiling.
                    """
                class print(TUIMethod):
                    """
                    Prints adaption profiling results.
                    """
                class enable(TUIMethod):
                    """
                    Enables adaption profiling.
                    """

            class cell_registers(TUIMenu):
                """
                Enters the cell registers menu.
                """
                def __init__(self, service, version, mode, path):
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.refine = self.__class__.refine(service, version, mode, path + ["refine"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.add = self.__class__.add(service, version, mode, path + ["add"])
                    self.apply_poor_mesh_numerics = self.__class__.apply_poor_mesh_numerics(service, version, mode, path + ["apply_poor_mesh_numerics"])
                    self.coarsen = self.__class__.coarsen(service, version, mode, path + ["coarsen"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
                    super().__init__(service, version, mode, path)
                class display(TUIMethod):
                    """
                    Displays a cell register.
                    """
                class edit(TUIMethod):
                    """
                    Edit an object.
                    """
                class list_properties(TUIMethod):
                    """
                    Lists the properties of a cell register.
                    """
                class refine(TUIMethod):
                    """
                    Refine the mesh based on a cell register.
                    """
                class list(TUIMethod):
                    """
                    Lists all of the currently defined cell registers.
                    """
                class add(TUIMethod):
                    """
                    Add a new object.
                    """
                class apply_poor_mesh_numerics(TUIMethod):
                    """
                    Applies poor mesh numerics to the mesh of a cell register.
                    """
                class coarsen(TUIMethod):
                    """
                    Coarsen the mesh based on a cell register.
                    """
                class delete(TUIMethod):
                    """
                    Deletes a cell register.
                    """
                class adapt(TUIMethod):
                    """
                    Adapt cell register objects.
                    """

            class set(TUIMenu):
                """
                Enters the set menu.
                """
                def __init__(self, service, version, mode, path):
                    self.minimum_cell_volume = self.__class__.minimum_cell_volume(service, version, mode, path + ["minimum_cell_volume"])
                    self.prismatic_boundary_zones = self.__class__.prismatic_boundary_zones(service, version, mode, path + ["prismatic_boundary_zones"])
                    self.minimum_edge_length = self.__class__.minimum_edge_length(service, version, mode, path + ["minimum_edge_length"])
                    self.maximum_cell_count = self.__class__.maximum_cell_count(service, version, mode, path + ["maximum_cell_count"])
                    self.dynamic_adaption = self.__class__.dynamic_adaption(service, version, mode, path + ["dynamic_adaption"])
                    self.prismatic_split_ratio = self.__class__.prismatic_split_ratio(service, version, mode, path + ["prismatic_split_ratio"])
                    self.maximum_refinement_level = self.__class__.maximum_refinement_level(service, version, mode, path + ["maximum_refinement_level"])
                    self.overset_adapt_dead_cells = self.__class__.overset_adapt_dead_cells(service, version, mode, path + ["overset_adapt_dead_cells"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.method = self.__class__.method(service, version, mode, path + ["method"])
                    self.cell_zones = self.__class__.cell_zones(service, version, mode, path + ["cell_zones"])
                    self.prismatic_adaption = self.__class__.prismatic_adaption(service, version, mode, path + ["prismatic_adaption"])
                    self.dynamic_adaption_frequency = self.__class__.dynamic_adaption_frequency(service, version, mode, path + ["dynamic_adaption_frequency"])
                    self.additional_refinement_layers = self.__class__.additional_refinement_layers(service, version, mode, path + ["additional_refinement_layers"])
                    self.encapsulate_children = self.__class__.encapsulate_children(service, version, mode, path + ["encapsulate_children"])
                    self.minimum_cell_quality = self.__class__.minimum_cell_quality(service, version, mode, path + ["minimum_cell_quality"])
                    self.display_settings = self.__class__.display_settings(service, version, mode, path + ["display_settings"])
                    super().__init__(service, version, mode, path)
                class minimum_cell_volume(TUIMethod):
                    """
                    Set limit on the minimum volume of cells in the mesh.
                    """
                class prismatic_boundary_zones(TUIMethod):
                    """
                    .
                    """
                class minimum_edge_length(TUIMethod):
                    """
                    Sets an approximate limit to the edge length for cells that are considered for refinement. Even if a cell is marked for refinement, it will not be refined if (for 3D) its volume is less than the cube of this field or (for 2D) its area is less than the square of this field. The default value of zero places no limits on the size of cells that are refined.
                    """
                class maximum_cell_count(TUIMethod):
                    """
                    Sets an approximate limit to the total cell count of the mesh during adaption. Fluent uses this value to determine when to stop marking cells for refinement. A value of zero places no limits on the number of cells.
                    """
                class dynamic_adaption(TUIMethod):
                    """
                    .
                    """
                class prismatic_split_ratio(TUIMethod):
                    """
                    .
                    """
                class maximum_refinement_level(TUIMethod):
                    """
                    Controls the number of levels of refinement used to split cells during the adaption.
                    """
                class overset_adapt_dead_cells(TUIMethod):
                    """
                    Enables/disables the adaption of dead cells in overset meshes.
                    """
                class verbosity(TUIMethod):
                    """
                    Allows you set how much information about the adaption is printed to the console.
                    """
                class method(TUIMethod):
                    """
                    Sets the adaption method.
                    """
                class cell_zones(TUIMethod):
                    """
                    Sets cell zones to be used for marking adaption. An empty list specifies that all zones are considered for adaption.
                    """
                class prismatic_adaption(TUIMethod):
                    """
                    .
                    """
                class dynamic_adaption_frequency(TUIMethod):
                    """
                    .
                    """
                class additional_refinement_layers(TUIMethod):
                    """
                    Allows you to specify additional refinement layers (this is an advanced control).
                    """
                class encapsulate_children(TUIMethod):
                    """
                    .
                    """
                class minimum_cell_quality(TUIMethod):
                    """
                    Sets the minimum value allowed for the orthogonal quality of cells during adaption. If your solution diverges, you may find that using a higher minimum quality value resolves the issue. This text command is only available with the PUMA 3D adaption method.
                    """
                class display_settings(TUIMethod):
                    """
                    Sets the graphics display options for the refinement, coarsening, and common cells.
                    """

        class reorder(TUIMenu):
            """
            Reorders domain menu.
            """
            def __init__(self, service, version, mode, path):
                self.band_width = self.__class__.band_width(service, version, mode, path + ["band_width"])
                self.reorder_domain = self.__class__.reorder_domain(service, version, mode, path + ["reorder_domain"])
                self.reorder_zones = self.__class__.reorder_zones(service, version, mode, path + ["reorder_zones"])
                super().__init__(service, version, mode, path)
            class band_width(TUIMethod):
                """
                Prints cell bandwidth.
                """
            class reorder_domain(TUIMethod):
                """
                Reorders cells and faces using the reverse Cuthill-McKee algorithm. Note that you must save a new case file (and a data file, if data exists) after reordering with this text command, as well as recreate any ray files and/or surface cluster information.
                """
            class reorder_zones(TUIMethod):
                """
                Reorders zones by partition, type, and ID.
                """

        class modify_zones(TUIMenu):
            """
            Enters the zone modification menu. For a description of the items in this menu, see define/boundary-conditions/modify-zones.
            """
            def __init__(self, service, version, mode, path):
                self.slit_face_zone = self.__class__.slit_face_zone(service, version, mode, path + ["slit_face_zone"])
                self.mrf_to_sliding_mesh = self.__class__.mrf_to_sliding_mesh(service, version, mode, path + ["mrf_to_sliding_mesh"])
                self.slit_interior_between_diff_solids = self.__class__.slit_interior_between_diff_solids(service, version, mode, path + ["slit_interior_between_diff_solids"])
                self.replace_zone = self.__class__.replace_zone(service, version, mode, path + ["replace_zone"])
                self.slit_periodic = self.__class__.slit_periodic(service, version, mode, path + ["slit_periodic"])
                self.create_periodic_interface = self.__class__.create_periodic_interface(service, version, mode, path + ["create_periodic_interface"])
                self.activate_cell_zone = self.__class__.activate_cell_zone(service, version, mode, path + ["activate_cell_zone"])
                self.merge_zones = self.__class__.merge_zones(service, version, mode, path + ["merge_zones"])
                self.scale_zone = self.__class__.scale_zone(service, version, mode, path + ["scale_zone"])
                self.sep_face_zone_mark = self.__class__.sep_face_zone_mark(service, version, mode, path + ["sep_face_zone_mark"])
                self.copy_move_cell_zone = self.__class__.copy_move_cell_zone(service, version, mode, path + ["copy_move_cell_zone"])
                self.orient_face_zone = self.__class__.orient_face_zone(service, version, mode, path + ["orient_face_zone"])
                self.delete_all_shells = self.__class__.delete_all_shells(service, version, mode, path + ["delete_all_shells"])
                self.rotate_zone = self.__class__.rotate_zone(service, version, mode, path + ["rotate_zone"])
                self.recreate_all_shells = self.__class__.recreate_all_shells(service, version, mode, path + ["recreate_all_shells"])
                self.sep_face_zone_face = self.__class__.sep_face_zone_face(service, version, mode, path + ["sep_face_zone_face"])
                self.delete_cell_zone = self.__class__.delete_cell_zone(service, version, mode, path + ["delete_cell_zone"])
                self.matching_tolerance = self.__class__.matching_tolerance(service, version, mode, path + ["matching_tolerance"])
                self.extrude_face_zone_delta = self.__class__.extrude_face_zone_delta(service, version, mode, path + ["extrude_face_zone_delta"])
                self.fuse_face_zones = self.__class__.fuse_face_zones(service, version, mode, path + ["fuse_face_zones"])
                self.sep_face_zone_region = self.__class__.sep_face_zone_region(service, version, mode, path + ["sep_face_zone_region"])
                self.copy_mesh_to_mrf_motion = self.__class__.copy_mesh_to_mrf_motion(service, version, mode, path + ["copy_mesh_to_mrf_motion"])
                self.append_mesh_data = self.__class__.append_mesh_data(service, version, mode, path + ["append_mesh_data"])
                self.zone_type = self.__class__.zone_type(service, version, mode, path + ["zone_type"])
                self.copy_mrf_to_mesh_motion = self.__class__.copy_mrf_to_mesh_motion(service, version, mode, path + ["copy_mrf_to_mesh_motion"])
                self.create_all_shell_threads = self.__class__.create_all_shell_threads(service, version, mode, path + ["create_all_shell_threads"])
                self.sep_face_zone_angle = self.__class__.sep_face_zone_angle(service, version, mode, path + ["sep_face_zone_angle"])
                self.append_mesh = self.__class__.append_mesh(service, version, mode, path + ["append_mesh"])
                self.make_periodic = self.__class__.make_periodic(service, version, mode, path + ["make_periodic"])
                self.sep_cell_zone_mark = self.__class__.sep_cell_zone_mark(service, version, mode, path + ["sep_cell_zone_mark"])
                self.extrude_face_zone_para = self.__class__.extrude_face_zone_para(service, version, mode, path + ["extrude_face_zone_para"])
                self.change_zone_state = self.__class__.change_zone_state(service, version, mode, path + ["change_zone_state"])
                self.list_zones = self.__class__.list_zones(service, version, mode, path + ["list_zones"])
                self.convert_all_solid_mrf_to_solid_motion = self.__class__.convert_all_solid_mrf_to_solid_motion(service, version, mode, path + ["convert_all_solid_mrf_to_solid_motion"])
                self.translate_zone = self.__class__.translate_zone(service, version, mode, path + ["translate_zone"])
                self.deactivate_cell_zone = self.__class__.deactivate_cell_zone(service, version, mode, path + ["deactivate_cell_zone"])
                self.sep_cell_zone_region = self.__class__.sep_cell_zone_region(service, version, mode, path + ["sep_cell_zone_region"])
                self.zone_name = self.__class__.zone_name(service, version, mode, path + ["zone_name"])
                super().__init__(service, version, mode, path)
            class slit_face_zone(TUIMethod):
                """
                .
                """
            class mrf_to_sliding_mesh(TUIMethod):
                """
                .
                """
            class slit_interior_between_diff_solids(TUIMethod):
                """
                .
                """
            class replace_zone(TUIMethod):
                """
                .
                """
            class slit_periodic(TUIMethod):
                """
                .
                """
            class create_periodic_interface(TUIMethod):
                """
                .
                """
            class activate_cell_zone(TUIMethod):
                """
                .
                """
            class merge_zones(TUIMethod):
                """
                .
                """
            class scale_zone(TUIMethod):
                """
                .
                """
            class sep_face_zone_mark(TUIMethod):
                """
                .
                """
            class copy_move_cell_zone(TUIMethod):
                """
                .
                """
            class orient_face_zone(TUIMethod):
                """
                .
                """
            class delete_all_shells(TUIMethod):
                """
                .
                """
            class rotate_zone(TUIMethod):
                """
                .
                """
            class recreate_all_shells(TUIMethod):
                """
                .
                """
            class sep_face_zone_face(TUIMethod):
                """
                .
                """
            class delete_cell_zone(TUIMethod):
                """
                .
                """
            class matching_tolerance(TUIMethod):
                """
                .
                """
            class extrude_face_zone_delta(TUIMethod):
                """
                .
                """
            class fuse_face_zones(TUIMethod):
                """
                .
                """
            class sep_face_zone_region(TUIMethod):
                """
                .
                """
            class copy_mesh_to_mrf_motion(TUIMethod):
                """
                Copy motion variable values for origin, axis and velocities from Mesh Motion to Frame Motion.
                """
            class append_mesh_data(TUIMethod):
                """
                .
                """
            class zone_type(TUIMethod):
                """
                Set a zone's type.
                """
            class copy_mrf_to_mesh_motion(TUIMethod):
                """
                Copy motion variable values for origin, axis and velocities from Frame Motion to Mesh Motion.
                """
            class create_all_shell_threads(TUIMethod):
                """
                .
                """
            class sep_face_zone_angle(TUIMethod):
                """
                .
                """
            class append_mesh(TUIMethod):
                """
                .
                """
            class make_periodic(TUIMethod):
                """
                Attempt to establish conformal periodic face zone connectivity.
                """
            class sep_cell_zone_mark(TUIMethod):
                """
                .
                """
            class extrude_face_zone_para(TUIMethod):
                """
                .
                """
            class change_zone_state(TUIMethod):
                """
                .
                """
            class list_zones(TUIMethod):
                """
                .
                """
            class convert_all_solid_mrf_to_solid_motion(TUIMethod):
                """
                .
                """
            class translate_zone(TUIMethod):
                """
                .
                """
            class deactivate_cell_zone(TUIMethod):
                """
                .
                """
            class sep_cell_zone_region(TUIMethod):
                """
                .
                """
            class zone_name(TUIMethod):
                """
                .
                """

    class setup(TUIMenu):
        """
        Enter setup menu.
        """
        def __init__(self, service, version, mode, path):
            self.boundary_conditions = self.__class__.boundary_conditions(service, version, mode, path + ["boundary_conditions"])
            super().__init__(service, version, mode, path)

        class boundary_conditions(TUIMenu):
            """
            Enter the boudary conditions menu.
            """
            def __init__(self, service, version, mode, path):
                self.query = self.__class__.query(service, version, mode, path + ["query"])
                self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                self.network = self.__class__.network(service, version, mode, path + ["network"])
                self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                super().__init__(service, version, mode, path)
            class porous_jump(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class intake_fan(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class fan(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class overset(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class outlet_vent(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class outflow(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class recirculation_inlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class pressure_inlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class wall(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class geometry(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class interior(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class exhaust_fan(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class symmetry(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class interface(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class solid(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class network(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class mass_flow_outlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class pressure_far_field(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class recirculation_outlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class mass_flow_inlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class inlet_vent(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class radiator(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class rans_les_interface(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class axis(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class periodic(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class pressure_outlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class degassing(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class velocity_inlet(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class shadow(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class network_end(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """
            class fluid(TUIMethod):
                """
                Set boundary conditions for a zone of this type.
                """

            class query(TUIMenu):
                """
                Enter zone query menu.
                """
                def __init__(self, service, version, mode, path):
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    self.list_boundary_conditions = self.__class__.list_boundary_conditions(service, version, mode, path + ["list_boundary_conditions"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.list_queries = self.__class__.list_queries(service, version, mode, path + ["list_queries"])
                    self.delete_query = self.__class__.delete_query(service, version, mode, path + ["delete_query"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.list_cell_zone_conditions = self.__class__.list_cell_zone_conditions(service, version, mode, path + ["list_cell_zone_conditions"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.named_zone_list = self.__class__.named_zone_list(service, version, mode, path + ["named_zone_list"])
                    self.list_named_selection = self.__class__.list_named_selection(service, version, mode, path + ["list_named_selection"])
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    super().__init__(service, version, mode, path)
                class exhaust_fan(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class interior(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class wall(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class fan(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class overset(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class interface(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class list_boundary_conditions(TUIMethod):
                    """
                    List boundary conditions.
                    """
                class degassing(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class list_queries(TUIMethod):
                    """
                    List all saved queries.
                    """
                class delete_query(TUIMethod):
                    """
                    Delete saved query.
                    """
                class network(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class list_cell_zone_conditions(TUIMethod):
                    """
                    List cell zone conditions.
                    """
                class axis(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class solid(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class named_zone_list(TUIMethod):
                    """
                    Create named list of zones.
                    """
                class list_named_selection(TUIMethod):
                    """
                    List named selection of zone type.
                    """
                class pressure_inlet(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """
                class porous_jump(TUIMethod):
                    """
                    Show boundary conditions for a zone of this type.
                    """

    class parameters(TUIMenu):
        """
        .
        """
        def __init__(self, service, version, mode, path):
            self.output_parameters = self.__class__.output_parameters(service, version, mode, path + ["output_parameters"])
            self.input_parameters = self.__class__.input_parameters(service, version, mode, path + ["input_parameters"])
            self.enable_in_tui = self.__class__.enable_in_tui(service, version, mode, path + ["enable_in_tui"])
            super().__init__(service, version, mode, path)
        class enable_in_tui(TUIMethod):
            """
            .
            """

        class output_parameters(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.report_definitions = self.__class__.report_definitions(service, version, mode, path + ["report_definitions"])
                self.write_all_to_file = self.__class__.write_all_to_file(service, version, mode, path + ["write_all_to_file"])
                self.print_all_to_console = self.__class__.print_all_to_console(service, version, mode, path + ["print_all_to_console"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                super().__init__(service, version, mode, path)
            class write_all_to_file(TUIMethod):
                """
                .
                """
            class print_all_to_console(TUIMethod):
                """
                .
                """
            class list(TUIMethod):
                """
                .
                """

            class report_definitions(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename report-definitions object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class print_to_console(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new report-definitions object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class write_to_file(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit report-definitions object.
                    """

        class input_parameters(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.expression = self.__class__.expression(service, version, mode, path + ["expression"])
                self.scheme_proc = self.__class__.scheme_proc(service, version, mode, path + ["scheme_proc"])
                self.udf_side = self.__class__.udf_side(service, version, mode, path + ["udf_side"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                super().__init__(service, version, mode, path)
            class list(TUIMethod):
                """
                .
                """

            class expression(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename expression object.
                    """
                class edit(TUIMethod):
                    """
                    Edit expression object.
                    """
                class create(TUIMethod):
                    """
                    Create a new expression object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

            class scheme_proc(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit scheme-proc object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new scheme-proc object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename scheme-proc object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """

            class udf_side(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    super().__init__(service, version, mode, path)
                class create(TUIMethod):
                    """
                    Create a new udf-side object.
                    """
                class rename(TUIMethod):
                    """
                    Rename udf-side object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit udf-side object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """

    class parametric_study(TUIMenu):
        """
        Enter the parametric study menu.
        """
        def __init__(self, service, version, mode, path):
            self.update = self.__class__.update(service, version, mode, path + ["update"])
            self.design_points = self.__class__.design_points(service, version, mode, path + ["design_points"])
            self.study = self.__class__.study(service, version, mode, path + ["study"])
            self.use_base_data = self.__class__.use_base_data(service, version, mode, path + ["use_base_data"])
            self.case_settings_changed = self.__class__.case_settings_changed(service, version, mode, path + ["case_settings_changed"])
            self.list_studies = self.__class__.list_studies(service, version, mode, path + ["list_studies"])
            self.duplicate_study = self.__class__.duplicate_study(service, version, mode, path + ["duplicate_study"])
            self.rename_study = self.__class__.rename_study(service, version, mode, path + ["rename_study"])
            self.import_design_table = self.__class__.import_design_table(service, version, mode, path + ["import_design_table"])
            self.export_design_table = self.__class__.export_design_table(service, version, mode, path + ["export_design_table"])
            self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
            self.set_as_current_study = self.__class__.set_as_current_study(service, version, mode, path + ["set_as_current_study"])
            self.delete_study = self.__class__.delete_study(service, version, mode, path + ["delete_study"])
            super().__init__(service, version, mode, path)
        class use_base_data(TUIMethod):
            """
            Use Base Data.
            """
        class case_settings_changed(TUIMethod):
            """
            Check if case settings are changed.
            """
        class list_studies(TUIMethod):
            """
            List Studies.
            """
        class duplicate_study(TUIMethod):
            """
            Duplicate Parametric Study.
            """
        class rename_study(TUIMethod):
            """
            Rename Study.
            """
        class import_design_table(TUIMethod):
            """
            Import Design Point Table.
            """
        class export_design_table(TUIMethod):
            """
            Export Design Point Table.
            """
        class initialize(TUIMethod):
            """
            Start Parametric Study.
            """
        class set_as_current_study(TUIMethod):
            """
            Set As Current Study.
            """
        class delete_study(TUIMethod):
            """
            Delete Study.
            """

        class update(TUIMenu):
            """
            Enter the update menu.
            """
            def __init__(self, service, version, mode, path):
                self.concurrent = self.__class__.concurrent(service, version, mode, path + ["concurrent"])
                self.set_update_method = self.__class__.set_update_method(service, version, mode, path + ["set_update_method"])
                self.auto_update_mesh_morphs = self.__class__.auto_update_mesh_morphs(service, version, mode, path + ["auto_update_mesh_morphs"])
                self.update_current = self.__class__.update_current(service, version, mode, path + ["update_current"])
                self.update_selected_design_points = self.__class__.update_selected_design_points(service, version, mode, path + ["update_selected_design_points"])
                self.print_update_method = self.__class__.print_update_method(service, version, mode, path + ["print_update_method"])
                self.update_all = self.__class__.update_all(service, version, mode, path + ["update_all"])
                super().__init__(service, version, mode, path)
            class set_update_method(TUIMethod):
                """
                Set update method.
                """
            class auto_update_mesh_morphs(TUIMethod):
                """
                Enable Auto Mesh Morphing Update.
                """
            class update_current(TUIMethod):
                """
                Update Current Design Point.
                """
            class update_selected_design_points(TUIMethod):
                """
                Update Selected Design Points.
                """
            class print_update_method(TUIMethod):
                """
                Print update method.
                """
            class update_all(TUIMethod):
                """
                Update All Design Points.
                """

            class concurrent(TUIMenu):
                """
                Enter Concurrent Update menu.
                """
                def __init__(self, service, version, mode, path):
                    self.licensing = self.__class__.licensing(service, version, mode, path + ["licensing"])
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                    self.register_new_endpoint = self.__class__.register_new_endpoint(service, version, mode, path + ["register_new_endpoint"])
                    self.delete_endpoint = self.__class__.delete_endpoint(service, version, mode, path + ["delete_endpoint"])
                    super().__init__(service, version, mode, path)
                class register_new_endpoint(TUIMethod):
                    """
                    Register a new endpoint.
                    """
                class delete_endpoint(TUIMethod):
                    """
                    Delete endpoint.
                    """

                class licensing(TUIMenu):
                    """
                    Enter Concurrent Licensing menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        super().__init__(service, version, mode, path)

                    class print_to_console(TUIMenu):
                        """
                        Print Concurrent Licensing Settings.
                        """
                        def __init__(self, service, version, mode, path):
                            self.license_type = self.__class__.license_type(service, version, mode, path + ["license_type"])
                            self.optislang_license_count = self.__class__.optislang_license_count(service, version, mode, path + ["optislang_license_count"])
                            self.optislang_license_type = self.__class__.optislang_license_type(service, version, mode, path + ["optislang_license_type"])
                            super().__init__(service, version, mode, path)
                        class license_type(TUIMethod):
                            """
                            License Type.
                            """
                        class optislang_license_count(TUIMethod):
                            """
                            OptiSLang License Count.
                            """
                        class optislang_license_type(TUIMethod):
                            """
                            OptiSLang License Type.
                            """

                    class set(TUIMenu):
                        """
                        Enter Concurrent Licensing Menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.license_type = self.__class__.license_type(service, version, mode, path + ["license_type"])
                            self.optislang_license_count = self.__class__.optislang_license_count(service, version, mode, path + ["optislang_license_count"])
                            self.optislang_license_type = self.__class__.optislang_license_type(service, version, mode, path + ["optislang_license_type"])
                            super().__init__(service, version, mode, path)
                        class license_type(TUIMethod):
                            """
                            License Type.
                            """
                        class optislang_license_count(TUIMethod):
                            """
                            OptiSLang License Count.
                            """
                        class optislang_license_type(TUIMethod):
                            """
                            OptiSLang License Type.
                            """

                class set(TUIMenu):
                    """
                    Set concurrent update options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.current_endpoint = self.__class__.current_endpoint(service, version, mode, path + ["current_endpoint"])
                        self.current_queue = self.__class__.current_queue(service, version, mode, path + ["current_queue"])
                        self.number_of_concurrent_dps = self.__class__.number_of_concurrent_dps(service, version, mode, path + ["number_of_concurrent_dps"])
                        self.number_of_cores_per_dp = self.__class__.number_of_cores_per_dp(service, version, mode, path + ["number_of_cores_per_dp"])
                        super().__init__(service, version, mode, path)
                    class current_endpoint(TUIMethod):
                        """
                        Set the current endpoint.
                        """
                    class current_queue(TUIMethod):
                        """
                        Set the current queue.
                        """
                    class number_of_concurrent_dps(TUIMethod):
                        """
                        Set Number of Concurrent Design Points.
                        """
                    class number_of_cores_per_dp(TUIMethod):
                        """
                        Set Number of Cores per Design Point.
                        """

                class print_to_console(TUIMenu):
                    """
                    Print to console concurrent options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.current_endpoint = self.__class__.current_endpoint(service, version, mode, path + ["current_endpoint"])
                        self.number_of_concurrent_dps = self.__class__.number_of_concurrent_dps(service, version, mode, path + ["number_of_concurrent_dps"])
                        self.number_of_cores_per_dp = self.__class__.number_of_cores_per_dp(service, version, mode, path + ["number_of_cores_per_dp"])
                        self.registered_endpoints = self.__class__.registered_endpoints(service, version, mode, path + ["registered_endpoints"])
                        self.current_queue = self.__class__.current_queue(service, version, mode, path + ["current_queue"])
                        super().__init__(service, version, mode, path)
                    class current_endpoint(TUIMethod):
                        """
                        Get the current endpoint.
                        """
                    class number_of_concurrent_dps(TUIMethod):
                        """
                        Print Number of Concurrent Design Points.
                        """
                    class number_of_cores_per_dp(TUIMethod):
                        """
                        Get Number of Cores per Design Point.
                        """
                    class registered_endpoints(TUIMethod):
                        """
                        List registered endpoints.
                        """
                    class current_queue(TUIMethod):
                        """
                        Get the current queue.
                        """

        class design_points(TUIMenu):
            """
            Enter the design points menu.
            """
            def __init__(self, service, version, mode, path):
                self.auto_create = self.__class__.auto_create(service, version, mode, path + ["auto_create"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                self.concurrent = self.__class__.concurrent(service, version, mode, path + ["concurrent"])
                self.table = self.__class__.table(service, version, mode, path + ["table"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.duplicate = self.__class__.duplicate(service, version, mode, path + ["duplicate"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.clear_data_and_edit_values = self.__class__.clear_data_and_edit_values(service, version, mode, path + ["clear_data_and_edit_values"])
                self.save_journals = self.__class__.save_journals(service, version, mode, path + ["save_journals"])
                self.load_case_data_for_current_dp = self.__class__.load_case_data_for_current_dp(service, version, mode, path + ["load_case_data_for_current_dp"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                Delete Design Point.
                """
            class duplicate(TUIMethod):
                """
                Duplicate Design Point.
                """
            class add(TUIMethod):
                """
                Add new design point.
                """
            class clear_data_and_edit_values(TUIMethod):
                """
                Clear Generated Data.
                """
            class save_journals(TUIMethod):
                """
                Save Journals.
                """
            class load_case_data_for_current_dp(TUIMethod):
                """
                Loads relevant case/data file for current design point.
                """

            class auto_create(TUIMenu):
                """
                Enter the auto-crate design points menu.
                """
                def __init__(self, service, version, mode, path):
                    self.optimize = self.__class__.optimize(service, version, mode, path + ["optimize"])
                    self.go_to_optislang = self.__class__.go_to_optislang(service, version, mode, path + ["go_to_optislang"])
                    self.open_designs_in_optislang_postprocessor = self.__class__.open_designs_in_optislang_postprocessor(service, version, mode, path + ["open_designs_in_optislang_postprocessor"])
                    self.set_parameter_as_active_or_inactive = self.__class__.set_parameter_as_active_or_inactive(service, version, mode, path + ["set_parameter_as_active_or_inactive"])
                    self.get_number_of_designs = self.__class__.get_number_of_designs(service, version, mode, path + ["get_number_of_designs"])
                    self.create_design_points = self.__class__.create_design_points(service, version, mode, path + ["create_design_points"])
                    self.export_designs = self.__class__.export_designs(service, version, mode, path + ["export_designs"])
                    self.list_current_settings = self.__class__.list_current_settings(service, version, mode, path + ["list_current_settings"])
                    super().__init__(service, version, mode, path)
                class go_to_optislang(TUIMethod):
                    """
                    Open the optiSLang project.
                    """
                class open_designs_in_optislang_postprocessor(TUIMethod):
                    """
                    Export designs into JSON and open this JSON into optiSLang Postprocessor.
                    """
                class set_parameter_as_active_or_inactive(TUIMethod):
                    """
                    Set the parameter as Active or Inactive.
                    """
                class get_number_of_designs(TUIMethod):
                    """
                    Get number of designs.
                    """
                class create_design_points(TUIMethod):
                    """
                    Create design points automatically.
                    """
                class export_designs(TUIMethod):
                    """
                    Export designs by writing a JSON file.
                    """
                class list_current_settings(TUIMethod):
                    """
                    List current settings for auto-create design points.
                    """

                class optimize(TUIMenu):
                    """
                    Enter Optimize menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.print_to_console = self.__class__.print_to_console(service, version, mode, path + ["print_to_console"])
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        self.run_optimization = self.__class__.run_optimization(service, version, mode, path + ["run_optimization"])
                        self.export_omdb_in_optislang_postprocessor = self.__class__.export_omdb_in_optislang_postprocessor(service, version, mode, path + ["export_omdb_in_optislang_postprocessor"])
                        self.export_optimization_results_to_csv = self.__class__.export_optimization_results_to_csv(service, version, mode, path + ["export_optimization_results_to_csv"])
                        self.new_optimization = self.__class__.new_optimization(service, version, mode, path + ["new_optimization"])
                        super().__init__(service, version, mode, path)
                    class run_optimization(TUIMethod):
                        """
                        Run optimization.
                        """
                    class export_omdb_in_optislang_postprocessor(TUIMethod):
                        """
                        Export OMDB in optiSLang Postprocessor.
                        """
                    class export_optimization_results_to_csv(TUIMethod):
                        """
                        Export optimization results to csv.
                        """
                    class new_optimization(TUIMethod):
                        """
                        Start new optimization.
                        """

                    class print_to_console(TUIMenu):
                        """
                        Enter print-to-console menu for Optimization.
                        """
                        def __init__(self, service, version, mode, path):
                            self.algorithm_settings = self.__class__.algorithm_settings(service, version, mode, path + ["algorithm_settings"])
                            self.criteria = self.__class__.criteria(service, version, mode, path + ["criteria"])
                            self.results_csv_path = self.__class__.results_csv_path(service, version, mode, path + ["results_csv_path"])
                            self.algorithm = self.__class__.algorithm(service, version, mode, path + ["algorithm"])
                            self.active_and_inactive = self.__class__.active_and_inactive(service, version, mode, path + ["active_and_inactive"])
                            super().__init__(service, version, mode, path)
                        class criteria(TUIMethod):
                            """
                            Print criteria.
                            """
                        class results_csv_path(TUIMethod):
                            """
                            Path to write output results.
                            """
                        class algorithm(TUIMethod):
                            """
                            Print current algorithm.
                            """
                        class active_and_inactive(TUIMethod):
                            """
                            Print whether a parameter is active or inactive.
                            """

                        class algorithm_settings(TUIMenu):
                            """
                            Enter algorithm-properties menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.seed_value = self.__class__.seed_value(service, version, mode, path + ["seed_value"])
                                self.iteration_sampling_type = self.__class__.iteration_sampling_type(service, version, mode, path + ["iteration_sampling_type"])
                                self.number_of_stagnation_iterations = self.__class__.number_of_stagnation_iterations(service, version, mode, path + ["number_of_stagnation_iterations"])
                                self.imp_of_sample_density = self.__class__.imp_of_sample_density(service, version, mode, path + ["imp_of_sample_density"])
                                self.refinement_number_of_samples = self.__class__.refinement_number_of_samples(service, version, mode, path + ["refinement_number_of_samples"])
                                self.consider_failed_designs = self.__class__.consider_failed_designs(service, version, mode, path + ["consider_failed_designs"])
                                self.use_start_designs_only = self.__class__.use_start_designs_only(service, version, mode, path + ["use_start_designs_only"])
                                self.imp_of_local_cop = self.__class__.imp_of_local_cop(service, version, mode, path + ["imp_of_local_cop"])
                                self.number_of_designs_in_parallel = self.__class__.number_of_designs_in_parallel(service, version, mode, path + ["number_of_designs_in_parallel"])
                                self.target_cop = self.__class__.target_cop(service, version, mode, path + ["target_cop"])
                                self.max_iterations = self.__class__.max_iterations(service, version, mode, path + ["max_iterations"])
                                self.max_number_of_samples = self.__class__.max_number_of_samples(service, version, mode, path + ["max_number_of_samples"])
                                self.stagnation_iterations = self.__class__.stagnation_iterations(service, version, mode, path + ["stagnation_iterations"])
                                self.use_mop = self.__class__.use_mop(service, version, mode, path + ["use_mop"])
                                self.imp_of_criteria = self.__class__.imp_of_criteria(service, version, mode, path + ["imp_of_criteria"])
                                self.iteration_number_of_samples = self.__class__.iteration_number_of_samples(service, version, mode, path + ["iteration_number_of_samples"])
                                self.refinement_type = self.__class__.refinement_type(service, version, mode, path + ["refinement_type"])
                                self.refinement_sampling_type = self.__class__.refinement_sampling_type(service, version, mode, path + ["refinement_sampling_type"])
                                super().__init__(service, version, mode, path)
                            class seed_value(TUIMethod):
                                """
                                Print Seed Value.
                                """
                            class iteration_sampling_type(TUIMethod):
                                """
                                Print iteration sampling type.
                                """
                            class number_of_stagnation_iterations(TUIMethod):
                                """
                                Print value of Number of stagnation evaluations.
                                """
                            class imp_of_sample_density(TUIMethod):
                                """
                                Set value for importance of weight density.
                                """
                            class refinement_number_of_samples(TUIMethod):
                                """
                                Set refinement number of samples.
                                """
                            class consider_failed_designs(TUIMethod):
                                """
                                Print value for consider failed designs.
                                """
                            class use_start_designs_only(TUIMethod):
                                """
                                Print value for use start designs only.
                                """
                            class imp_of_local_cop(TUIMethod):
                                """
                                Print value for importance of local CoP.
                                """
                            class number_of_designs_in_parallel(TUIMethod):
                                """
                                Print value of Number of designs in parallel.
                                """
                            class target_cop(TUIMethod):
                                """
                                Print value for target CoP.
                                """
                            class max_iterations(TUIMethod):
                                """
                                Print value for maximum iterations.
                                """
                            class max_number_of_samples(TUIMethod):
                                """
                                Print maximum number of samples.
                                """
                            class stagnation_iterations(TUIMethod):
                                """
                                Print value for stagnation iterations.
                                """
                            class use_mop(TUIMethod):
                                """
                                Print the value for Use MOP.
                                """
                            class imp_of_criteria(TUIMethod):
                                """
                                Print value for importance of criteria.
                                """
                            class iteration_number_of_samples(TUIMethod):
                                """
                                Print iteration number of samples.
                                """
                            class refinement_type(TUIMethod):
                                """
                                Print refinement type.
                                """
                            class refinement_sampling_type(TUIMethod):
                                """
                                Print refinement sampling type.
                                """

                    class set(TUIMenu):
                        """
                        Enter Set menu for Optimization.
                        """
                        def __init__(self, service, version, mode, path):
                            self.algorithm_settings = self.__class__.algorithm_settings(service, version, mode, path + ["algorithm_settings"])
                            self.results_csv_path = self.__class__.results_csv_path(service, version, mode, path + ["results_csv_path"])
                            self.algorithm = self.__class__.algorithm(service, version, mode, path + ["algorithm"])
                            self.set_parameter_as_active_or_inactive = self.__class__.set_parameter_as_active_or_inactive(service, version, mode, path + ["set_parameter_as_active_or_inactive"])
                            self.lower_and_upper_bounds = self.__class__.lower_and_upper_bounds(service, version, mode, path + ["lower_and_upper_bounds"])
                            self.configure_algorithm_settings = self.__class__.configure_algorithm_settings(service, version, mode, path + ["configure_algorithm_settings"])
                            self.criteria = self.__class__.criteria(service, version, mode, path + ["criteria"])
                            super().__init__(service, version, mode, path)
                        class results_csv_path(TUIMethod):
                            """
                            Path to write output results.
                            """
                        class algorithm(TUIMethod):
                            """
                            Select Optimization Algorithm.
                            """
                        class set_parameter_as_active_or_inactive(TUIMethod):
                            """
                            Set the parameter as Active or Inactive.
                            """
                        class lower_and_upper_bounds(TUIMethod):
                            """
                            Enter Lower and Upper bounds for input parameters.
                            """
                        class configure_algorithm_settings(TUIMethod):
                            """
                            Configure the algorithm settings.
                            """
                        class criteria(TUIMethod):
                            """
                            Enter Criteria menu.
                            """

                        class algorithm_settings(TUIMenu):
                            """
                            Set the algorithm settings.
                            """
                            def __init__(self, service, version, mode, path):
                                self.stagnation_iterations = self.__class__.stagnation_iterations(service, version, mode, path + ["stagnation_iterations"])
                                self.iteration_number_of_samples = self.__class__.iteration_number_of_samples(service, version, mode, path + ["iteration_number_of_samples"])
                                self.imp_of_criteria = self.__class__.imp_of_criteria(service, version, mode, path + ["imp_of_criteria"])
                                self.number_of_stagnation_iterations = self.__class__.number_of_stagnation_iterations(service, version, mode, path + ["number_of_stagnation_iterations"])
                                self.refinement_number_of_samples = self.__class__.refinement_number_of_samples(service, version, mode, path + ["refinement_number_of_samples"])
                                self.consider_failed_designs = self.__class__.consider_failed_designs(service, version, mode, path + ["consider_failed_designs"])
                                self.number_of_designs_in_parallel = self.__class__.number_of_designs_in_parallel(service, version, mode, path + ["number_of_designs_in_parallel"])
                                self.target_cop = self.__class__.target_cop(service, version, mode, path + ["target_cop"])
                                self.max_number_of_samples = self.__class__.max_number_of_samples(service, version, mode, path + ["max_number_of_samples"])
                                self.use_start_designs_only = self.__class__.use_start_designs_only(service, version, mode, path + ["use_start_designs_only"])
                                self.refinement_sampling_type = self.__class__.refinement_sampling_type(service, version, mode, path + ["refinement_sampling_type"])
                                self.use_mop = self.__class__.use_mop(service, version, mode, path + ["use_mop"])
                                self.refinement_type = self.__class__.refinement_type(service, version, mode, path + ["refinement_type"])
                                self.imp_of_sample_density = self.__class__.imp_of_sample_density(service, version, mode, path + ["imp_of_sample_density"])
                                self.seed_value = self.__class__.seed_value(service, version, mode, path + ["seed_value"])
                                self.imp_of_local_cop = self.__class__.imp_of_local_cop(service, version, mode, path + ["imp_of_local_cop"])
                                self.max_iterations = self.__class__.max_iterations(service, version, mode, path + ["max_iterations"])
                                self.iteration_sampling_type = self.__class__.iteration_sampling_type(service, version, mode, path + ["iteration_sampling_type"])
                                super().__init__(service, version, mode, path)
                            class stagnation_iterations(TUIMethod):
                                """
                                Set value for stagnation iterations.
                                """
                            class iteration_number_of_samples(TUIMethod):
                                """
                                Set iteration number of samples.
                                """
                            class imp_of_criteria(TUIMethod):
                                """
                                Set value for importance of criteria.
                                """
                            class number_of_stagnation_iterations(TUIMethod):
                                """
                                Number of stagnation evaluations.
                                """
                            class refinement_number_of_samples(TUIMethod):
                                """
                                Set refinement number of samples.
                                """
                            class consider_failed_designs(TUIMethod):
                                """
                                Set value for consider failed designs.
                                """
                            class number_of_designs_in_parallel(TUIMethod):
                                """
                                Number of designs in parallel.
                                """
                            class target_cop(TUIMethod):
                                """
                                Set value for target CoP.
                                """
                            class max_number_of_samples(TUIMethod):
                                """
                                Set maximum number of samples.
                                """
                            class use_start_designs_only(TUIMethod):
                                """
                                Set value for use start designs only.
                                """
                            class refinement_sampling_type(TUIMethod):
                                """
                                Set refinement sampling type.
                                """
                            class use_mop(TUIMethod):
                                """
                                Set value fir Use MOP.
                                """
                            class refinement_type(TUIMethod):
                                """
                                Set the Refinement Type.
                                """
                            class imp_of_sample_density(TUIMethod):
                                """
                                Set value for importance of weight density.
                                """
                            class seed_value(TUIMethod):
                                """
                                Seed Value.
                                """
                            class imp_of_local_cop(TUIMethod):
                                """
                                Set value for importance of local CoP.
                                """
                            class max_iterations(TUIMethod):
                                """
                                Set value for maximum iterations.
                                """
                            class iteration_sampling_type(TUIMethod):
                                """
                                Set iteration sampling type.
                                """

            class set(TUIMenu):
                """
                Enter the design points Set menu.
                """
                def __init__(self, service, version, mode, path):
                    self.capture_simulation_report_data = self.__class__.capture_simulation_report_data(service, version, mode, path + ["capture_simulation_report_data"])
                    self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
                    self.current_dp = self.__class__.current_dp(service, version, mode, path + ["current_dp"])
                    self.input_parameters_of_dp = self.__class__.input_parameters_of_dp(service, version, mode, path + ["input_parameters_of_dp"])
                    super().__init__(service, version, mode, path)
                class capture_simulation_report_data(TUIMethod):
                    """
                    Set Capture Simulation Report Data option for Design Point.
                    """
                class write_data(TUIMethod):
                    """
                    Set WriteData option for Design Point.
                    """
                class current_dp(TUIMethod):
                    """
                    Set current design point.
                    """
                class input_parameters_of_dp(TUIMethod):
                    """
                    Set Input Parameter Values of Design Point.
                    """

            class print_to_console(TUIMenu):
                """
                Enter the design points print menu.
                """
                def __init__(self, service, version, mode, path):
                    self.output_parameters_of_dp = self.__class__.output_parameters_of_dp(service, version, mode, path + ["output_parameters_of_dp"])
                    self.current_dp = self.__class__.current_dp(service, version, mode, path + ["current_dp"])
                    self.input_parameters_of_dp = self.__class__.input_parameters_of_dp(service, version, mode, path + ["input_parameters_of_dp"])
                    self.capture_simulation_report_data = self.__class__.capture_simulation_report_data(service, version, mode, path + ["capture_simulation_report_data"])
                    self.status_of_dp = self.__class__.status_of_dp(service, version, mode, path + ["status_of_dp"])
                    self.status_of_all_dps = self.__class__.status_of_all_dps(service, version, mode, path + ["status_of_all_dps"])
                    self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
                    super().__init__(service, version, mode, path)
                class output_parameters_of_dp(TUIMethod):
                    """
                    Print Output Parameter Values of Design Point.
                    """
                class current_dp(TUIMethod):
                    """
                    Print Name of Current Design Point.
                    """
                class input_parameters_of_dp(TUIMethod):
                    """
                    Print Input Parameter Values of Current Design Point.
                    """
                class capture_simulation_report_data(TUIMethod):
                    """
                    Print Capture Simulation Report Data option for Design Point.
                    """
                class status_of_dp(TUIMethod):
                    """
                    Print Status of given DP.
                    """
                class status_of_all_dps(TUIMethod):
                    """
                    Print Statuses of all Design Points.
                    """
                class write_data(TUIMethod):
                    """
                    Print WriteData option for Design Point.
                    """

            class concurrent(TUIMenu):
                """
                Enter the concurrent design points menu.
                """
                def __init__(self, service, version, mode, path):
                    self.abort_all_design_points = self.__class__.abort_all_design_points(service, version, mode, path + ["abort_all_design_points"])
                    self.refresh_status = self.__class__.refresh_status(service, version, mode, path + ["refresh_status"])
                    self.abort_design_point = self.__class__.abort_design_point(service, version, mode, path + ["abort_design_point"])
                    super().__init__(service, version, mode, path)
                class abort_all_design_points(TUIMethod):
                    """
                    Interrupt All Design Points.
                    """
                class refresh_status(TUIMethod):
                    """
                    Refresh Status.
                    """
                class abort_design_point(TUIMethod):
                    """
                    Interrupt Design Point.
                    """

            class table(TUIMenu):
                """
                Enter the design point table menu.
                """
                def __init__(self, service, version, mode, path):
                    self.export_design_table = self.__class__.export_design_table(service, version, mode, path + ["export_design_table"])
                    self.import_design_table = self.__class__.import_design_table(service, version, mode, path + ["import_design_table"])
                    super().__init__(service, version, mode, path)
                class export_design_table(TUIMethod):
                    """
                    Export Design Points Table.
                    """
                class import_design_table(TUIMethod):
                    """
                    Import Design Points Table.
                    """

        class study(TUIMenu):
            """
            Enter the study menu.
            """
            def __init__(self, service, version, mode, path):
                self.duplicate = self.__class__.duplicate(service, version, mode, path + ["duplicate"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.set_as_current = self.__class__.set_as_current(service, version, mode, path + ["set_as_current"])
                self.use_base_data = self.__class__.use_base_data(service, version, mode, path + ["use_base_data"])
                self.read_case_before_each_dp_update = self.__class__.read_case_before_each_dp_update(service, version, mode, path + ["read_case_before_each_dp_update"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
                self.use_data_of_previous_dp = self.__class__.use_data_of_previous_dp(service, version, mode, path + ["use_data_of_previous_dp"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                super().__init__(service, version, mode, path)
            class duplicate(TUIMethod):
                """
                Duplicate Parametric Study.
                """
            class delete(TUIMethod):
                """
                Delete Study.
                """
            class set_as_current(TUIMethod):
                """
                Set As Current Study.
                """
            class use_base_data(TUIMethod):
                """
                Use Base Data to Initialize a Design Point.
                """
            class read_case_before_each_dp_update(TUIMethod):
                """
                Start Design Point Update from Base case.
                """
            class list(TUIMethod):
                """
                List Studies.
                """
            class initialize(TUIMethod):
                """
                Start Parametric Study.
                """
            class use_data_of_previous_dp(TUIMethod):
                """
                Use Data of Previous Updated Design Point.
                """
            class rename(TUIMethod):
                """
                Rename Study.
                """

    class results(TUIMenu):
        """
        .
        """
        def __init__(self, service, version, mode, path):
            self.report = self.__class__.report(service, version, mode, path + ["report"])
            self.scene = self.__class__.scene(service, version, mode, path + ["scene"])
            self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
            self.graphics = self.__class__.graphics(service, version, mode, path + ["graphics"])
            self.custom_vectors = self.__class__.custom_vectors(service, version, mode, path + ["custom_vectors"])
            self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
            self.animations = self.__class__.animations(service, version, mode, path + ["animations"])
            super().__init__(service, version, mode, path)

        class report(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.population_balance = self.__class__.population_balance(service, version, mode, path + ["population_balance"])
                self.discrete_phase = self.__class__.discrete_phase(service, version, mode, path + ["discrete_phase"])
                self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
                self.volume_integrals = self.__class__.volume_integrals(service, version, mode, path + ["volume_integrals"])
                self.surface_integrals = self.__class__.surface_integrals(service, version, mode, path + ["surface_integrals"])
                self.flow = self.__class__.flow(service, version, mode, path + ["flow"])
                self.modified_setting_options = self.__class__.modified_setting_options(service, version, mode, path + ["modified_setting_options"])
                self.simulation_reports = self.__class__.simulation_reports(service, version, mode, path + ["simulation_reports"])
                self.fluxes = self.__class__.fluxes(service, version, mode, path + ["fluxes"])
                self.system = self.__class__.system(service, version, mode, path + ["system"])
                self.multiphase_summary = self.__class__.multiphase_summary(service, version, mode, path + ["multiphase_summary"])
                self.aero_optical_distortions = self.__class__.aero_optical_distortions(service, version, mode, path + ["aero_optical_distortions"])
                self.forces = self.__class__.forces(service, version, mode, path + ["forces"])
                self.pathline_summary = self.__class__.pathline_summary(service, version, mode, path + ["pathline_summary"])
                self.summary = self.__class__.summary(service, version, mode, path + ["summary"])
                self.particle_summary = self.__class__.particle_summary(service, version, mode, path + ["particle_summary"])
                self.vbm = self.__class__.vbm(service, version, mode, path + ["vbm"])
                self.projected_surface_area = self.__class__.projected_surface_area(service, version, mode, path + ["projected_surface_area"])
                super().__init__(service, version, mode, path)
            class multiphase_summary(TUIMethod):
                """
                .
                """
            class aero_optical_distortions(TUIMethod):
                """
                .
                """
            class forces(TUIMethod):
                """
                .
                """
            class pathline_summary(TUIMethod):
                """
                .
                """
            class summary(TUIMethod):
                """
                .
                """
            class particle_summary(TUIMethod):
                """
                .
                """
            class vbm(TUIMethod):
                """
                .
                """
            class projected_surface_area(TUIMethod):
                """
                .
                """

            class population_balance(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.number_density = self.__class__.number_density(service, version, mode, path + ["number_density"])
                    self.moments = self.__class__.moments(service, version, mode, path + ["moments"])
                    super().__init__(service, version, mode, path)
                class number_density(TUIMethod):
                    """
                    .
                    """
                class moments(TUIMethod):
                    """
                    .
                    """

            class discrete_phase(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.sample_trajectories = self.__class__.sample_trajectories(service, version, mode, path + ["sample_trajectories"])
                    self.histogram = self.__class__.histogram(service, version, mode, path + ["histogram"])
                    self.evap_mass_details_in_dpm_summ_rep = self.__class__.evap_mass_details_in_dpm_summ_rep(service, version, mode, path + ["evap_mass_details_in_dpm_summ_rep"])
                    self.summary = self.__class__.summary(service, version, mode, path + ["summary"])
                    self.zone_summaries_per_injection = self.__class__.zone_summaries_per_injection(service, version, mode, path + ["zone_summaries_per_injection"])
                    self.extended_summary = self.__class__.extended_summary(service, version, mode, path + ["extended_summary"])
                    super().__init__(service, version, mode, path)
                class evap_mass_details_in_dpm_summ_rep(TUIMethod):
                    """
                    .
                    """
                class summary(TUIMethod):
                    """
                    .
                    """
                class zone_summaries_per_injection(TUIMethod):
                    """
                    .
                    """
                class extended_summary(TUIMethod):
                    """
                    .
                    """

                class sample_trajectories(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.user_defined_functions = self.__class__.user_defined_functions(service, version, mode, path + ["user_defined_functions"])
                        self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                        self.start_file_write = self.__class__.start_file_write(service, version, mode, path + ["start_file_write"])
                        self.sort_sample_files = self.__class__.sort_sample_files(service, version, mode, path + ["sort_sample_files"])
                        self.stop_file_write = self.__class__.stop_file_write(service, version, mode, path + ["stop_file_write"])
                        super().__init__(service, version, mode, path)
                    class user_defined_functions(TUIMethod):
                        """
                        .
                        """
                    class compute(TUIMethod):
                        """
                        .
                        """
                    class start_file_write(TUIMethod):
                        """
                        .
                        """
                    class sort_sample_files(TUIMethod):
                        """
                        .
                        """
                    class stop_file_write(TUIMethod):
                        """
                        .
                        """

                class histogram(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.reduction = self.__class__.reduction(service, version, mode, path + ["reduction"])
                        self.histogram_options = self.__class__.histogram_options(service, version, mode, path + ["histogram_options"])
                        self.histogram_parameters = self.__class__.histogram_parameters(service, version, mode, path + ["histogram_parameters"])
                        self.plot_write_sample = self.__class__.plot_write_sample(service, version, mode, path + ["plot_write_sample"])
                        self.delete_sample = self.__class__.delete_sample(service, version, mode, path + ["delete_sample"])
                        self.list_samples = self.__class__.list_samples(service, version, mode, path + ["list_samples"])
                        self.compute_sample = self.__class__.compute_sample(service, version, mode, path + ["compute_sample"])
                        self.read_sample_file = self.__class__.read_sample_file(service, version, mode, path + ["read_sample_file"])
                        self.dpm_sample_contour_plots = self.__class__.dpm_sample_contour_plots(service, version, mode, path + ["dpm_sample_contour_plots"])
                        super().__init__(service, version, mode, path)
                    class delete_sample(TUIMethod):
                        """
                        .
                        """
                    class list_samples(TUIMethod):
                        """
                        .
                        """
                    class compute_sample(TUIMethod):
                        """
                        .
                        """
                    class read_sample_file(TUIMethod):
                        """
                        .
                        """
                    class dpm_sample_contour_plots(TUIMethod):
                        """
                        .
                        """

                    class reduction(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.setup_reduction = self.__class__.setup_reduction(service, version, mode, path + ["setup_reduction"])
                            self.pick_sample_to_reduce = self.__class__.pick_sample_to_reduce(service, version, mode, path + ["pick_sample_to_reduce"])
                            self.reduce_picked_sample = self.__class__.reduce_picked_sample(service, version, mode, path + ["reduce_picked_sample"])
                            super().__init__(service, version, mode, path)
                        class pick_sample_to_reduce(TUIMethod):
                            """
                            .
                            """
                        class reduce_picked_sample(TUIMethod):
                            """
                            .
                            """

                        class setup_reduction(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.set_maximum = self.__class__.set_maximum(service, version, mode, path + ["set_maximum"])
                                self.set_minimum = self.__class__.set_minimum(service, version, mode, path + ["set_minimum"])
                                self.use_weighting = self.__class__.use_weighting(service, version, mode, path + ["use_weighting"])
                                self.all_variables_number_of_bins = self.__class__.all_variables_number_of_bins(service, version, mode, path + ["all_variables_number_of_bins"])
                                self.make_steady_from_unsteady_file = self.__class__.make_steady_from_unsteady_file(service, version, mode, path + ["make_steady_from_unsteady_file"])
                                self.weighting_variable = self.__class__.weighting_variable(service, version, mode, path + ["weighting_variable"])
                                self.reset_min_and_max = self.__class__.reset_min_and_max(service, version, mode, path + ["reset_min_and_max"])
                                self.use_logarithmic = self.__class__.use_logarithmic(service, version, mode, path + ["use_logarithmic"])
                                self.number_of_bins = self.__class__.number_of_bins(service, version, mode, path + ["number_of_bins"])
                                self.list_settings = self.__class__.list_settings(service, version, mode, path + ["list_settings"])
                                super().__init__(service, version, mode, path)
                            class set_maximum(TUIMethod):
                                """
                                .
                                """
                            class set_minimum(TUIMethod):
                                """
                                .
                                """
                            class use_weighting(TUIMethod):
                                """
                                .
                                """
                            class all_variables_number_of_bins(TUIMethod):
                                """
                                .
                                """
                            class make_steady_from_unsteady_file(TUIMethod):
                                """
                                .
                                """
                            class weighting_variable(TUIMethod):
                                """
                                .
                                """
                            class reset_min_and_max(TUIMethod):
                                """
                                .
                                """
                            class use_logarithmic(TUIMethod):
                                """
                                .
                                """
                            class number_of_bins(TUIMethod):
                                """
                                .
                                """
                            class list_settings(TUIMethod):
                                """
                                .
                                """

                    class histogram_options(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.logarithmic = self.__class__.logarithmic(service, version, mode, path + ["logarithmic"])
                            self.weighting = self.__class__.weighting(service, version, mode, path + ["weighting"])
                            self.percentage = self.__class__.percentage(service, version, mode, path + ["percentage"])
                            self.cumulation_curve = self.__class__.cumulation_curve(service, version, mode, path + ["cumulation_curve"])
                            self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                            self.correlation = self.__class__.correlation(service, version, mode, path + ["correlation"])
                            self.variable_cubed = self.__class__.variable_cubed(service, version, mode, path + ["variable_cubed"])
                            self.histogram_mode = self.__class__.histogram_mode(service, version, mode, path + ["histogram_mode"])
                            self.diameter_statistics = self.__class__.diameter_statistics(service, version, mode, path + ["diameter_statistics"])
                            super().__init__(service, version, mode, path)
                        class logarithmic(TUIMethod):
                            """
                            .
                            """
                        class weighting(TUIMethod):
                            """
                            .
                            """
                        class percentage(TUIMethod):
                            """
                            .
                            """
                        class cumulation_curve(TUIMethod):
                            """
                            .
                            """
                        class auto_range(TUIMethod):
                            """
                            .
                            """
                        class correlation(TUIMethod):
                            """
                            .
                            """
                        class variable_cubed(TUIMethod):
                            """
                            .
                            """
                        class histogram_mode(TUIMethod):
                            """
                            .
                            """
                        class diameter_statistics(TUIMethod):
                            """
                            .
                            """

                    class histogram_parameters(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.maximum_val = self.__class__.maximum_val(service, version, mode, path + ["maximum_val"])
                            self.number_of_bins = self.__class__.number_of_bins(service, version, mode, path + ["number_of_bins"])
                            self.minimum_val = self.__class__.minimum_val(service, version, mode, path + ["minimum_val"])
                            super().__init__(service, version, mode, path)
                        class maximum_val(TUIMethod):
                            """
                            .
                            """
                        class number_of_bins(TUIMethod):
                            """
                            .
                            """
                        class minimum_val(TUIMethod):
                            """
                            .
                            """

                    class plot_write_sample(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.plot_sample = self.__class__.plot_sample(service, version, mode, path + ["plot_sample"])
                            self.write_sample = self.__class__.write_sample(service, version, mode, path + ["write_sample"])
                            super().__init__(service, version, mode, path)
                        class plot_sample(TUIMethod):
                            """
                            .
                            """
                        class write_sample(TUIMethod):
                            """
                            .
                            """

            class heat_exchanger(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.specific_heat = self.__class__.specific_heat(service, version, mode, path + ["specific_heat"])
                    self.outlet_temperature = self.__class__.outlet_temperature(service, version, mode, path + ["outlet_temperature"])
                    self.inlet_temperature = self.__class__.inlet_temperature(service, version, mode, path + ["inlet_temperature"])
                    self.computed_heat_rejection = self.__class__.computed_heat_rejection(service, version, mode, path + ["computed_heat_rejection"])
                    self.mass_flow_rate = self.__class__.mass_flow_rate(service, version, mode, path + ["mass_flow_rate"])
                    super().__init__(service, version, mode, path)
                class specific_heat(TUIMethod):
                    """
                    .
                    """
                class outlet_temperature(TUIMethod):
                    """
                    .
                    """
                class inlet_temperature(TUIMethod):
                    """
                    .
                    """
                class computed_heat_rejection(TUIMethod):
                    """
                    .
                    """
                class mass_flow_rate(TUIMethod):
                    """
                    .
                    """

            class volume_integrals(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.twopisum = self.__class__.twopisum(service, version, mode, path + ["twopisum"])
                    self.volume = self.__class__.volume(service, version, mode, path + ["volume"])
                    self.sum = self.__class__.sum(service, version, mode, path + ["sum"])
                    self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                    self.mass_integral = self.__class__.mass_integral(service, version, mode, path + ["mass_integral"])
                    self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                    self.volume_average = self.__class__.volume_average(service, version, mode, path + ["volume_average"])
                    self.mass = self.__class__.mass(service, version, mode, path + ["mass"])
                    self.mass_average = self.__class__.mass_average(service, version, mode, path + ["mass_average"])
                    self.volume_integral = self.__class__.volume_integral(service, version, mode, path + ["volume_integral"])
                    super().__init__(service, version, mode, path)
                class twopisum(TUIMethod):
                    """
                    .
                    """
                class volume(TUIMethod):
                    """
                    .
                    """
                class sum(TUIMethod):
                    """
                    .
                    """
                class maximum(TUIMethod):
                    """
                    .
                    """
                class mass_integral(TUIMethod):
                    """
                    .
                    """
                class minimum(TUIMethod):
                    """
                    .
                    """
                class volume_average(TUIMethod):
                    """
                    .
                    """
                class mass(TUIMethod):
                    """
                    .
                    """
                class mass_average(TUIMethod):
                    """
                    .
                    """
                class volume_integral(TUIMethod):
                    """
                    .
                    """

            class surface_integrals(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.facet_min = self.__class__.facet_min(service, version, mode, path + ["facet_min"])
                    self.uniformity_index_mass_weighted = self.__class__.uniformity_index_mass_weighted(service, version, mode, path + ["uniformity_index_mass_weighted"])
                    self.uniformity_index_area_weighted = self.__class__.uniformity_index_area_weighted(service, version, mode, path + ["uniformity_index_area_weighted"])
                    self.mass_weighted_avg = self.__class__.mass_weighted_avg(service, version, mode, path + ["mass_weighted_avg"])
                    self.standard_deviation = self.__class__.standard_deviation(service, version, mode, path + ["standard_deviation"])
                    self.vector_based_flux = self.__class__.vector_based_flux(service, version, mode, path + ["vector_based_flux"])
                    self.vector_flux = self.__class__.vector_flux(service, version, mode, path + ["vector_flux"])
                    self.vector_weighted_average = self.__class__.vector_weighted_average(service, version, mode, path + ["vector_weighted_average"])
                    self.mass_flow_rate = self.__class__.mass_flow_rate(service, version, mode, path + ["mass_flow_rate"])
                    self.flow_rate = self.__class__.flow_rate(service, version, mode, path + ["flow_rate"])
                    self.volume_flow_rate = self.__class__.volume_flow_rate(service, version, mode, path + ["volume_flow_rate"])
                    self.area_weighted_avg = self.__class__.area_weighted_avg(service, version, mode, path + ["area_weighted_avg"])
                    self.sum = self.__class__.sum(service, version, mode, path + ["sum"])
                    self.vertex_max = self.__class__.vertex_max(service, version, mode, path + ["vertex_max"])
                    self.integral = self.__class__.integral(service, version, mode, path + ["integral"])
                    self.vertex_min = self.__class__.vertex_min(service, version, mode, path + ["vertex_min"])
                    self.vertex_avg = self.__class__.vertex_avg(service, version, mode, path + ["vertex_avg"])
                    self.facet_max = self.__class__.facet_max(service, version, mode, path + ["facet_max"])
                    self.area = self.__class__.area(service, version, mode, path + ["area"])
                    self.facet_avg = self.__class__.facet_avg(service, version, mode, path + ["facet_avg"])
                    super().__init__(service, version, mode, path)
                class facet_min(TUIMethod):
                    """
                    .
                    """
                class uniformity_index_mass_weighted(TUIMethod):
                    """
                    .
                    """
                class uniformity_index_area_weighted(TUIMethod):
                    """
                    .
                    """
                class mass_weighted_avg(TUIMethod):
                    """
                    .
                    """
                class standard_deviation(TUIMethod):
                    """
                    .
                    """
                class vector_based_flux(TUIMethod):
                    """
                    .
                    """
                class vector_flux(TUIMethod):
                    """
                    .
                    """
                class vector_weighted_average(TUIMethod):
                    """
                    .
                    """
                class mass_flow_rate(TUIMethod):
                    """
                    .
                    """
                class flow_rate(TUIMethod):
                    """
                    .
                    """
                class volume_flow_rate(TUIMethod):
                    """
                    .
                    """
                class area_weighted_avg(TUIMethod):
                    """
                    .
                    """
                class sum(TUIMethod):
                    """
                    .
                    """
                class vertex_max(TUIMethod):
                    """
                    .
                    """
                class integral(TUIMethod):
                    """
                    .
                    """
                class vertex_min(TUIMethod):
                    """
                    .
                    """
                class vertex_avg(TUIMethod):
                    """
                    .
                    """
                class facet_max(TUIMethod):
                    """
                    .
                    """
                class area(TUIMethod):
                    """
                    .
                    """
                class facet_avg(TUIMethod):
                    """
                    .
                    """

            class flow(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.species_mass_flow = self.__class__.species_mass_flow(service, version, mode, path + ["species_mass_flow"])
                    self.element_mass_flow = self.__class__.element_mass_flow(service, version, mode, path + ["element_mass_flow"])
                    self.uds_flow = self.__class__.uds_flow(service, version, mode, path + ["uds_flow"])
                    super().__init__(service, version, mode, path)
                class species_mass_flow(TUIMethod):
                    """
                    .
                    """
                class element_mass_flow(TUIMethod):
                    """
                    .
                    """
                class uds_flow(TUIMethod):
                    """
                    .
                    """

            class modified_setting_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.write_user_setting = self.__class__.write_user_setting(service, version, mode, path + ["write_user_setting"])
                    self.modified_setting = self.__class__.modified_setting(service, version, mode, path + ["modified_setting"])
                    super().__init__(service, version, mode, path)
                class write_user_setting(TUIMethod):
                    """
                    .
                    """
                class modified_setting(TUIMethod):
                    """
                    .
                    """

            class simulation_reports(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.export_simulation_report_as_html = self.__class__.export_simulation_report_as_html(service, version, mode, path + ["export_simulation_report_as_html"])
                    self.view_simulation_report = self.__class__.view_simulation_report(service, version, mode, path + ["view_simulation_report"])
                    self.write_simulation_report_names_to_file = self.__class__.write_simulation_report_names_to_file(service, version, mode, path + ["write_simulation_report_names_to_file"])
                    self.rename_simulation_report = self.__class__.rename_simulation_report(service, version, mode, path + ["rename_simulation_report"])
                    self.read_simulation_report_template_file = self.__class__.read_simulation_report_template_file(service, version, mode, path + ["read_simulation_report_template_file"])
                    self.generate_simulation_report = self.__class__.generate_simulation_report(service, version, mode, path + ["generate_simulation_report"])
                    self.duplicate_simulation_report = self.__class__.duplicate_simulation_report(service, version, mode, path + ["duplicate_simulation_report"])
                    self.export_simulation_report_as_pdf = self.__class__.export_simulation_report_as_pdf(service, version, mode, path + ["export_simulation_report_as_pdf"])
                    self.delete_simulation_report = self.__class__.delete_simulation_report(service, version, mode, path + ["delete_simulation_report"])
                    self.list_simulation_reports = self.__class__.list_simulation_reports(service, version, mode, path + ["list_simulation_reports"])
                    self.reset_report_to_defaults = self.__class__.reset_report_to_defaults(service, version, mode, path + ["reset_report_to_defaults"])
                    self.add_histogram_to_report = self.__class__.add_histogram_to_report(service, version, mode, path + ["add_histogram_to_report"])
                    self.write_simulation_report_template_file = self.__class__.write_simulation_report_template_file(service, version, mode, path + ["write_simulation_report_template_file"])
                    self.export_simulation_report_as_pptx = self.__class__.export_simulation_report_as_pptx(service, version, mode, path + ["export_simulation_report_as_pptx"])
                    super().__init__(service, version, mode, path)
                class export_simulation_report_as_html(TUIMethod):
                    """
                    .
                    """
                class view_simulation_report(TUIMethod):
                    """
                    .
                    """
                class write_simulation_report_names_to_file(TUIMethod):
                    """
                    .
                    """
                class rename_simulation_report(TUIMethod):
                    """
                    .
                    """
                class read_simulation_report_template_file(TUIMethod):
                    """
                    .
                    """
                class generate_simulation_report(TUIMethod):
                    """
                    .
                    """
                class duplicate_simulation_report(TUIMethod):
                    """
                    .
                    """
                class export_simulation_report_as_pdf(TUIMethod):
                    """
                    .
                    """
                class delete_simulation_report(TUIMethod):
                    """
                    .
                    """
                class list_simulation_reports(TUIMethod):
                    """
                    .
                    """
                class reset_report_to_defaults(TUIMethod):
                    """
                    .
                    """
                class add_histogram_to_report(TUIMethod):
                    """
                    .
                    """
                class write_simulation_report_template_file(TUIMethod):
                    """
                    .
                    """
                class export_simulation_report_as_pptx(TUIMethod):
                    """
                    .
                    """

            class fluxes(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.film_heat_transfer = self.__class__.film_heat_transfer(service, version, mode, path + ["film_heat_transfer"])
                    self.pressure_work = self.__class__.pressure_work(service, version, mode, path + ["pressure_work"])
                    self.viscous_work = self.__class__.viscous_work(service, version, mode, path + ["viscous_work"])
                    self.film_mass_flow = self.__class__.film_mass_flow(service, version, mode, path + ["film_mass_flow"])
                    self.radiation_heat_transfer = self.__class__.radiation_heat_transfer(service, version, mode, path + ["radiation_heat_transfer"])
                    self.electric_current = self.__class__.electric_current(service, version, mode, path + ["electric_current"])
                    self.heat_transfer = self.__class__.heat_transfer(service, version, mode, path + ["heat_transfer"])
                    self.mass_flow = self.__class__.mass_flow(service, version, mode, path + ["mass_flow"])
                    self.heat_transfer_sensible = self.__class__.heat_transfer_sensible(service, version, mode, path + ["heat_transfer_sensible"])
                    super().__init__(service, version, mode, path)
                class film_heat_transfer(TUIMethod):
                    """
                    .
                    """
                class pressure_work(TUIMethod):
                    """
                    .
                    """
                class viscous_work(TUIMethod):
                    """
                    .
                    """
                class film_mass_flow(TUIMethod):
                    """
                    .
                    """
                class radiation_heat_transfer(TUIMethod):
                    """
                    .
                    """
                class electric_current(TUIMethod):
                    """
                    .
                    """
                class heat_transfer(TUIMethod):
                    """
                    .
                    """
                class mass_flow(TUIMethod):
                    """
                    .
                    """
                class heat_transfer_sensible(TUIMethod):
                    """
                    .
                    """

            class system(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.print_system_statistics = self.__class__.print_system_statistics(service, version, mode, path + ["print_system_statistics"])
                    self.print_process_statistics = self.__class__.print_process_statistics(service, version, mode, path + ["print_process_statistics"])
                    self.print_time_statistics = self.__class__.print_time_statistics(service, version, mode, path + ["print_time_statistics"])
                    self.print_gpgpu_statistics = self.__class__.print_gpgpu_statistics(service, version, mode, path + ["print_gpgpu_statistics"])
                    super().__init__(service, version, mode, path)
                class print_system_statistics(TUIMethod):
                    """
                    .
                    """
                class print_process_statistics(TUIMethod):
                    """
                    .
                    """
                class print_time_statistics(TUIMethod):
                    """
                    .
                    """
                class print_gpgpu_statistics(TUIMethod):
                    """
                    .
                    """

        class scene(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                super().__init__(service, version, mode, path)
            class delete(TUIMethod):
                """
                .
                """
            class create(TUIMethod):
                """
                Create a new scene object.
                """
            class make_a_copy(TUIMethod):
                """
                .
                """
            class add_to_graphics(TUIMethod):
                """
                .
                """
            class edit(TUIMethod):
                """
                Edit scene object.
                """
            class list_properties(TUIMethod):
                """
                .
                """
            class copy(TUIMethod):
                """
                .
                """
            class rename(TUIMethod):
                """
                Rename scene object.
                """
            class clear_history(TUIMethod):
                """
                .
                """
            class display(TUIMethod):
                """
                .
                """
            class list(TUIMethod):
                """
                .
                """

        class plot(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.histogram = self.__class__.histogram(service, version, mode, path + ["histogram"])
                self.cumulative_plot = self.__class__.cumulative_plot(service, version, mode, path + ["cumulative_plot"])
                self.xy_plot = self.__class__.xy_plot(service, version, mode, path + ["xy_plot"])
                super().__init__(service, version, mode, path)

            class histogram(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                    self.num_divisions = self.__class__.num_divisions(service, version, mode, path + ["num_divisions"])
                    self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                    self.print = self.__class__.print(service, version, mode, path + ["print"])
                    self.zones = self.__class__.zones(service, version, mode, path + ["zones"])
                    self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    self.all_zones = self.__class__.all_zones(service, version, mode, path + ["all_zones"])
                    self.cell_function = self.__class__.cell_function(service, version, mode, path + ["cell_function"])
                    super().__init__(service, version, mode, path)
                class write(TUIMethod):
                    """
                    .
                    """
                class maximum(TUIMethod):
                    """
                    .
                    """
                class num_divisions(TUIMethod):
                    """
                    .
                    """
                class auto_range(TUIMethod):
                    """
                    .
                    """
                class print(TUIMethod):
                    """
                    .
                    """
                class zones(TUIMethod):
                    """
                    .
                    """
                class minimum(TUIMethod):
                    """
                    .
                    """
                class plot(TUIMethod):
                    """
                    .
                    """
                class all_zones(TUIMethod):
                    """
                    .
                    """
                class cell_function(TUIMethod):
                    """
                    .
                    """

                class curves(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.number_of_objects = self.__class__.number_of_objects(service, version, mode, path + ["number_of_objects"])
                        super().__init__(service, version, mode, path)
                    class edit(TUIMethod):
                        """
                        Edit curves object.
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class number_of_objects(TUIMethod):
                        """
                        Set number of objects for curves.
                        """

                class axes(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.x = self.__class__.x(service, version, mode, path + ["x"])
                        self.y = self.__class__.y(service, version, mode, path + ["y"])
                        self.background_color = self.__class__.background_color(service, version, mode, path + ["background_color"])
                        super().__init__(service, version, mode, path)
                    class background_color(TUIMethod):
                        """
                        .
                        """

                    class x(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.minor_gridlines = self.__class__.minor_gridlines(service, version, mode, path + ["minor_gridlines"])
                            self.major_gridlines = self.__class__.major_gridlines(service, version, mode, path + ["major_gridlines"])
                            self.number_format = self.__class__.number_format(service, version, mode, path + ["number_format"])
                            self.show_minor_gridlines = self.__class__.show_minor_gridlines(service, version, mode, path + ["show_minor_gridlines"])
                            self.label = self.__class__.label(service, version, mode, path + ["label"])
                            self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                            self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                            self.max = self.__class__.max(service, version, mode, path + ["max"])
                            self.min = self.__class__.min(service, version, mode, path + ["min"])
                            self.show_major_gridlines = self.__class__.show_major_gridlines(service, version, mode, path + ["show_major_gridlines"])
                            super().__init__(service, version, mode, path)
                        class show_minor_gridlines(TUIMethod):
                            """
                            .
                            """
                        class label(TUIMethod):
                            """
                            .
                            """
                        class auto_range(TUIMethod):
                            """
                            .
                            """
                        class log_scale(TUIMethod):
                            """
                            .
                            """
                        class max(TUIMethod):
                            """
                            .
                            """
                        class min(TUIMethod):
                            """
                            .
                            """
                        class show_major_gridlines(TUIMethod):
                            """
                            .
                            """

                        class minor_gridlines(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.weight = self.__class__.weight(service, version, mode, path + ["weight"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class weight(TUIMethod):
                                """
                                .
                                """
                            class color(TUIMethod):
                                """
                                .
                                """

                        class major_gridlines(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.weight = self.__class__.weight(service, version, mode, path + ["weight"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class weight(TUIMethod):
                                """
                                .
                                """
                            class color(TUIMethod):
                                """
                                .
                                """

                        class number_format(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.format_type = self.__class__.format_type(service, version, mode, path + ["format_type"])
                                self.precision = self.__class__.precision(service, version, mode, path + ["precision"])
                                super().__init__(service, version, mode, path)
                            class format_type(TUIMethod):
                                """
                                .
                                """
                            class precision(TUIMethod):
                                """
                                .
                                """

                    class y(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.major_gridlines = self.__class__.major_gridlines(service, version, mode, path + ["major_gridlines"])
                            self.number_format = self.__class__.number_format(service, version, mode, path + ["number_format"])
                            self.minor_gridlines = self.__class__.minor_gridlines(service, version, mode, path + ["minor_gridlines"])
                            self.max = self.__class__.max(service, version, mode, path + ["max"])
                            self.show_minor_gridlines = self.__class__.show_minor_gridlines(service, version, mode, path + ["show_minor_gridlines"])
                            self.min = self.__class__.min(service, version, mode, path + ["min"])
                            self.show_major_gridlines = self.__class__.show_major_gridlines(service, version, mode, path + ["show_major_gridlines"])
                            self.label = self.__class__.label(service, version, mode, path + ["label"])
                            self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                            self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                            super().__init__(service, version, mode, path)
                        class max(TUIMethod):
                            """
                            .
                            """
                        class show_minor_gridlines(TUIMethod):
                            """
                            .
                            """
                        class min(TUIMethod):
                            """
                            .
                            """
                        class show_major_gridlines(TUIMethod):
                            """
                            .
                            """
                        class label(TUIMethod):
                            """
                            .
                            """
                        class auto_range(TUIMethod):
                            """
                            .
                            """
                        class log_scale(TUIMethod):
                            """
                            .
                            """

                        class major_gridlines(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.weight = self.__class__.weight(service, version, mode, path + ["weight"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class weight(TUIMethod):
                                """
                                .
                                """
                            class color(TUIMethod):
                                """
                                .
                                """

                        class number_format(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.format_type = self.__class__.format_type(service, version, mode, path + ["format_type"])
                                self.precision = self.__class__.precision(service, version, mode, path + ["precision"])
                                super().__init__(service, version, mode, path)
                            class format_type(TUIMethod):
                                """
                                .
                                """
                            class precision(TUIMethod):
                                """
                                .
                                """

                        class minor_gridlines(TUIMenu):
                            """
                            .
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.weight = self.__class__.weight(service, version, mode, path + ["weight"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                .
                                """
                            class weight(TUIMethod):
                                """
                                .
                                """

            class cumulative_plot(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class display(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new cumulative-plot object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename cumulative-plot object.
                    """
                class edit(TUIMethod):
                    """
                    Edit cumulative-plot object.
                    """

            class xy_plot(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    super().__init__(service, version, mode, path)
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new xy-plot object.
                    """
                class edit(TUIMethod):
                    """
                    Edit xy-plot object.
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename xy-plot object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class display(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """

        class graphics(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.contour = self.__class__.contour(service, version, mode, path + ["contour"])
                self.lighting = self.__class__.lighting(service, version, mode, path + ["lighting"])
                self.picture = self.__class__.picture(service, version, mode, path + ["picture"])
                self.contours = self.__class__.contours(service, version, mode, path + ["contours"])
                self.particle_track = self.__class__.particle_track(service, version, mode, path + ["particle_track"])
                self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
                self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
                self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                self.volumes = self.__class__.volumes(service, version, mode, path + ["volumes"])
                self.raytracing_options = self.__class__.raytracing_options(service, version, mode, path + ["raytracing_options"])
                self.lic = self.__class__.lic(service, version, mode, path + ["lic"])
                self.views = self.__class__.views(service, version, mode, path + ["views"])
                self.olic = self.__class__.olic(service, version, mode, path + ["olic"])
                self.pulse = self.__class__.pulse(service, version, mode, path + ["pulse"])
                self.pathline = self.__class__.pathline(service, version, mode, path + ["pathline"])
                self.colors = self.__class__.colors(service, version, mode, path + ["colors"])
                super().__init__(service, version, mode, path)

            class contour(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename contour object.
                    """
                class display(TUIMethod):
                    """
                    .
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit contour object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new contour object.
                    """

            class lighting(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.lights = self.__class__.lights(service, version, mode, path + ["lights"])
                    self.lights_on = self.__class__.lights_on(service, version, mode, path + ["lights_on"])
                    self.lighting_interpolation = self.__class__.lighting_interpolation(service, version, mode, path + ["lighting_interpolation"])
                    self.headlight_setting = self.__class__.headlight_setting(service, version, mode, path + ["headlight_setting"])
                    self.ambient_color = self.__class__.ambient_color(service, version, mode, path + ["ambient_color"])
                    super().__init__(service, version, mode, path)
                class lights_on(TUIMethod):
                    """
                    .
                    """
                class lighting_interpolation(TUIMethod):
                    """
                    .
                    """
                class headlight_setting(TUIMethod):
                    """
                    .
                    """
                class ambient_color(TUIMethod):
                    """
                    .
                    """

                class lights(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.number_of_objects = self.__class__.number_of_objects(service, version, mode, path + ["number_of_objects"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        super().__init__(service, version, mode, path)
                    class edit(TUIMethod):
                        """
                        Edit lights object.
                        """
                    class number_of_objects(TUIMethod):
                        """
                        Set number of objects for lights.
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """

            class picture(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.driver_options = self.__class__.driver_options(service, version, mode, path + ["driver_options"])
                    self.landscape = self.__class__.landscape(service, version, mode, path + ["landscape"])
                    self.invert_background = self.__class__.invert_background(service, version, mode, path + ["invert_background"])
                    self.save_picture = self.__class__.save_picture(service, version, mode, path + ["save_picture"])
                    self.jpeg_hardcopy_quality = self.__class__.jpeg_hardcopy_quality(service, version, mode, path + ["jpeg_hardcopy_quality"])
                    self.x_resolution = self.__class__.x_resolution(service, version, mode, path + ["x_resolution"])
                    self.list_color_mode = self.__class__.list_color_mode(service, version, mode, path + ["list_color_mode"])
                    self.color_mode = self.__class__.color_mode(service, version, mode, path + ["color_mode"])
                    self.raytracer_image = self.__class__.raytracer_image(service, version, mode, path + ["raytracer_image"])
                    self.preview = self.__class__.preview(service, version, mode, path + ["preview"])
                    self.standard_resolution = self.__class__.standard_resolution(service, version, mode, path + ["standard_resolution"])
                    self.y_resolution = self.__class__.y_resolution(service, version, mode, path + ["y_resolution"])
                    self.dpi = self.__class__.dpi(service, version, mode, path + ["dpi"])
                    self.use_window_resolution = self.__class__.use_window_resolution(service, version, mode, path + ["use_window_resolution"])
                    super().__init__(service, version, mode, path)
                class landscape(TUIMethod):
                    """
                    .
                    """
                class invert_background(TUIMethod):
                    """
                    .
                    """
                class save_picture(TUIMethod):
                    """
                    .
                    """
                class jpeg_hardcopy_quality(TUIMethod):
                    """
                    .
                    """
                class x_resolution(TUIMethod):
                    """
                    .
                    """
                class list_color_mode(TUIMethod):
                    """
                    .
                    """
                class color_mode(TUIMethod):
                    """
                    .
                    """
                class raytracer_image(TUIMethod):
                    """
                    .
                    """
                class preview(TUIMethod):
                    """
                    .
                    """
                class standard_resolution(TUIMethod):
                    """
                    .
                    """
                class y_resolution(TUIMethod):
                    """
                    .
                    """
                class dpi(TUIMethod):
                    """
                    .
                    """
                class use_window_resolution(TUIMethod):
                    """
                    .
                    """

                class driver_options(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.hardcopy_options = self.__class__.hardcopy_options(service, version, mode, path + ["hardcopy_options"])
                        self.post_format = self.__class__.post_format(service, version, mode, path + ["post_format"])
                        self.current_driver = self.__class__.current_driver(service, version, mode, path + ["current_driver"])
                        self.hardcopy_format = self.__class__.hardcopy_format(service, version, mode, path + ["hardcopy_format"])
                        self.window_dump_cmd = self.__class__.window_dump_cmd(service, version, mode, path + ["window_dump_cmd"])
                        super().__init__(service, version, mode, path)
                    class hardcopy_options(TUIMethod):
                        """
                        .
                        """
                    class post_format(TUIMethod):
                        """
                        .
                        """
                    class current_driver(TUIMethod):
                        """
                        .
                        """
                    class hardcopy_format(TUIMethod):
                        """
                        .
                        """
                    class window_dump_cmd(TUIMethod):
                        """
                        .
                        """

            class contours(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.coloring = self.__class__.coloring(service, version, mode, path + ["coloring"])
                    self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                    self.n_contour = self.__class__.n_contour(service, version, mode, path + ["n_contour"])
                    self.line_contours = self.__class__.line_contours(service, version, mode, path + ["line_contours"])
                    self.global_range = self.__class__.global_range(service, version, mode, path + ["global_range"])
                    self.clip_to_range = self.__class__.clip_to_range(service, version, mode, path + ["clip_to_range"])
                    self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                    self.node_values = self.__class__.node_values(service, version, mode, path + ["node_values"])
                    self.filled_contours = self.__class__.filled_contours(service, version, mode, path + ["filled_contours"])
                    self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                    self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                    super().__init__(service, version, mode, path)
                class log_scale(TUIMethod):
                    """
                    .
                    """
                class n_contour(TUIMethod):
                    """
                    .
                    """
                class line_contours(TUIMethod):
                    """
                    .
                    """
                class global_range(TUIMethod):
                    """
                    .
                    """
                class clip_to_range(TUIMethod):
                    """
                    .
                    """
                class surfaces(TUIMethod):
                    """
                    .
                    """
                class node_values(TUIMethod):
                    """
                    .
                    """
                class filled_contours(TUIMethod):
                    """
                    .
                    """
                class render_mesh(TUIMethod):
                    """
                    .
                    """
                class auto_scale(TUIMethod):
                    """
                    .
                    """

                class coloring(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.banded_coloring = self.__class__.banded_coloring(service, version, mode, path + ["banded_coloring"])
                        self.number_of_bands = self.__class__.number_of_bands(service, version, mode, path + ["number_of_bands"])
                        super().__init__(service, version, mode, path)
                    class banded_coloring(TUIMethod):
                        """
                        .
                        """
                    class number_of_bands(TUIMethod):
                        """
                        .
                        """

            class particle_track(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class display(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new particle-track object.
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit particle-track object.
                    """
                class rename(TUIMethod):
                    """
                    Rename particle-track object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

            class vector(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class display(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new vector object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename vector object.
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit vector object.
                    """

            class mesh(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    super().__init__(service, version, mode, path)
                class display(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit mesh object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename mesh object.
                    """
                class create(TUIMethod):
                    """
                    Create a new mesh object.
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """

            class particle_tracks(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.history_filename = self.__class__.history_filename(service, version, mode, path + ["history_filename"])
                    self.report_default_variables = self.__class__.report_default_variables(service, version, mode, path + ["report_default_variables"])
                    self.arrow_space = self.__class__.arrow_space(service, version, mode, path + ["arrow_space"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.coarsen_factor = self.__class__.coarsen_factor(service, version, mode, path + ["coarsen_factor"])
                    self.line_width = self.__class__.line_width(service, version, mode, path + ["line_width"])
                    self.arrow_scale = self.__class__.arrow_scale(service, version, mode, path + ["arrow_scale"])
                    self.track_single_particle_stream = self.__class__.track_single_particle_stream(service, version, mode, path + ["track_single_particle_stream"])
                    super().__init__(service, version, mode, path)
                class history_filename(TUIMethod):
                    """
                    .
                    """
                class report_default_variables(TUIMethod):
                    """
                    .
                    """
                class arrow_space(TUIMethod):
                    """
                    .
                    """
                class display(TUIMethod):
                    """
                    .
                    """
                class coarsen_factor(TUIMethod):
                    """
                    .
                    """
                class line_width(TUIMethod):
                    """
                    .
                    """
                class arrow_scale(TUIMethod):
                    """
                    .
                    """
                class track_single_particle_stream(TUIMethod):
                    """
                    .
                    """

            class windows(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                    self.text = self.__class__.text(service, version, mode, path + ["text"])
                    self.main = self.__class__.main(service, version, mode, path + ["main"])
                    self.xy = self.__class__.xy(service, version, mode, path + ["xy"])
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.logo = self.__class__.logo(service, version, mode, path + ["logo"])
                    self.logo_color = self.__class__.logo_color(service, version, mode, path + ["logo_color"])
                    self.close_window_by_name = self.__class__.close_window_by_name(service, version, mode, path + ["close_window_by_name"])
                    self.open_window = self.__class__.open_window(service, version, mode, path + ["open_window"])
                    self.set_window = self.__class__.set_window(service, version, mode, path + ["set_window"])
                    self.set_window_by_name = self.__class__.set_window_by_name(service, version, mode, path + ["set_window_by_name"])
                    self.close_window = self.__class__.close_window(service, version, mode, path + ["close_window"])
                    self.aspect_ratio = self.__class__.aspect_ratio(service, version, mode, path + ["aspect_ratio"])
                    self.ruler = self.__class__.ruler(service, version, mode, path + ["ruler"])
                    super().__init__(service, version, mode, path)
                class logo(TUIMethod):
                    """
                    .
                    """
                class logo_color(TUIMethod):
                    """
                    .
                    """
                class close_window_by_name(TUIMethod):
                    """
                    .
                    """
                class open_window(TUIMethod):
                    """
                    .
                    """
                class set_window(TUIMethod):
                    """
                    .
                    """
                class set_window_by_name(TUIMethod):
                    """
                    .
                    """
                class close_window(TUIMethod):
                    """
                    .
                    """
                class aspect_ratio(TUIMethod):
                    """
                    .
                    """
                class ruler(TUIMethod):
                    """
                    .
                    """

                class scale(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.font_size = self.__class__.font_size(service, version, mode, path + ["font_size"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        self.margin = self.__class__.margin(service, version, mode, path + ["margin"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        super().__init__(service, version, mode, path)
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class font_size(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """
                    class right(TUIMethod):
                        """
                        .
                        """
                    class clear(TUIMethod):
                        """
                        .
                        """
                    class margin(TUIMethod):
                        """
                        .
                        """
                    class left(TUIMethod):
                        """
                        .
                        """
                    class format(TUIMethod):
                        """
                        .
                        """
                    class top(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """

                class text(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.company = self.__class__.company(service, version, mode, path + ["company"])
                        self.date = self.__class__.date(service, version, mode, path + ["date"])
                        self.application = self.__class__.application(service, version, mode, path + ["application"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.alignment = self.__class__.alignment(service, version, mode, path + ["alignment"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        super().__init__(service, version, mode, path)
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class company(TUIMethod):
                        """
                        .
                        """
                    class date(TUIMethod):
                        """
                        .
                        """
                    class application(TUIMethod):
                        """
                        .
                        """
                    class left(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """
                    class right(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """
                    class alignment(TUIMethod):
                        """
                        .
                        """
                    class top(TUIMethod):
                        """
                        .
                        """
                    class clear(TUIMethod):
                        """
                        .
                        """

                class main(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        super().__init__(service, version, mode, path)
                    class top(TUIMethod):
                        """
                        .
                        """
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class left(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """
                    class right(TUIMethod):
                        """
                        .
                        """

                class xy(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        super().__init__(service, version, mode, path)
                    class right(TUIMethod):
                        """
                        .
                        """
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class left(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """
                    class top(TUIMethod):
                        """
                        .
                        """

                class axes(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        super().__init__(service, version, mode, path)
                    class left(TUIMethod):
                        """
                        .
                        """
                    class visible(TUIMethod):
                        """
                        .
                        """
                    class top(TUIMethod):
                        """
                        .
                        """
                    class clear(TUIMethod):
                        """
                        .
                        """
                    class bottom(TUIMethod):
                        """
                        .
                        """
                    class border(TUIMethod):
                        """
                        .
                        """
                    class right(TUIMethod):
                        """
                        .
                        """

                class video(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.pixel_size = self.__class__.pixel_size(service, version, mode, path + ["pixel_size"])
                        self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                        self.on = self.__class__.on(service, version, mode, path + ["on"])
                        self.color_filter = self.__class__.color_filter(service, version, mode, path + ["color_filter"])
                        self.background = self.__class__.background(service, version, mode, path + ["background"])
                        super().__init__(service, version, mode, path)
                    class foreground(TUIMethod):
                        """
                        .
                        """
                    class on(TUIMethod):
                        """
                        .
                        """
                    class color_filter(TUIMethod):
                        """
                        .
                        """
                    class background(TUIMethod):
                        """
                        .
                        """

                    class pixel_size(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.margin = self.__class__.margin(service, version, mode, path + ["margin"])
                            self.width = self.__class__.width(service, version, mode, path + ["width"])
                            self.height = self.__class__.height(service, version, mode, path + ["height"])
                            super().__init__(service, version, mode, path)
                        class margin(TUIMethod):
                            """
                            .
                            """
                        class width(TUIMethod):
                            """
                            .
                            """
                        class height(TUIMethod):
                            """
                            .
                            """

            class volumes(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class copy(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename volumes object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new volumes object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit volumes object.
                    """
                class display(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """

            class raytracing_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.background = self.__class__.background(service, version, mode, path + ["background"])
                    self.rendering = self.__class__.rendering(service, version, mode, path + ["rendering"])
                    self.display_live_preview = self.__class__.display_live_preview(service, version, mode, path + ["display_live_preview"])
                    super().__init__(service, version, mode, path)
                class display_live_preview(TUIMethod):
                    """
                    .
                    """

                class background(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.environment_image = self.__class__.environment_image(service, version, mode, path + ["environment_image"])
                        self.backplate_image = self.__class__.backplate_image(service, version, mode, path + ["backplate_image"])
                        self.env_light_dirvec = self.__class__.env_light_dirvec(service, version, mode, path + ["env_light_dirvec"])
                        self.env_light_upvec = self.__class__.env_light_upvec(service, version, mode, path + ["env_light_upvec"])
                        self.vertical = self.__class__.vertical(service, version, mode, path + ["vertical"])
                        self.show_backplate = self.__class__.show_backplate(service, version, mode, path + ["show_backplate"])
                        self.backplate_color = self.__class__.backplate_color(service, version, mode, path + ["backplate_color"])
                        self.env_intensity = self.__class__.env_intensity(service, version, mode, path + ["env_intensity"])
                        self.hide_environment_keep_effects = self.__class__.hide_environment_keep_effects(service, version, mode, path + ["hide_environment_keep_effects"])
                        self.horizontal = self.__class__.horizontal(service, version, mode, path + ["horizontal"])
                        self.spin = self.__class__.spin(service, version, mode, path + ["spin"])
                        self.view_zoom = self.__class__.view_zoom(service, version, mode, path + ["view_zoom"])
                        self.env_color = self.__class__.env_color(service, version, mode, path + ["env_color"])
                        super().__init__(service, version, mode, path)
                    class environment_image(TUIMethod):
                        """
                        .
                        """
                    class backplate_image(TUIMethod):
                        """
                        .
                        """
                    class env_light_dirvec(TUIMethod):
                        """
                        .
                        """
                    class env_light_upvec(TUIMethod):
                        """
                        .
                        """
                    class vertical(TUIMethod):
                        """
                        .
                        """
                    class show_backplate(TUIMethod):
                        """
                        .
                        """
                    class backplate_color(TUIMethod):
                        """
                        .
                        """
                    class env_intensity(TUIMethod):
                        """
                        .
                        """
                    class hide_environment_keep_effects(TUIMethod):
                        """
                        .
                        """
                    class horizontal(TUIMethod):
                        """
                        .
                        """
                    class spin(TUIMethod):
                        """
                        .
                        """
                    class view_zoom(TUIMethod):
                        """
                        .
                        """
                    class env_color(TUIMethod):
                        """
                        .
                        """

                class rendering(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.thread_count = self.__class__.thread_count(service, version, mode, path + ["thread_count"])
                        self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
                        self.denoiser = self.__class__.denoiser(service, version, mode, path + ["denoiser"])
                        self.max_rendering_timeout = self.__class__.max_rendering_timeout(service, version, mode, path + ["max_rendering_timeout"])
                        super().__init__(service, version, mode, path)
                    class thread_count(TUIMethod):
                        """
                        .
                        """
                    class quality(TUIMethod):
                        """
                        .
                        """
                    class denoiser(TUIMethod):
                        """
                        .
                        """
                    class max_rendering_timeout(TUIMethod):
                        """
                        .
                        """

            class lic(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename lic object.
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit lic object.
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new lic object.
                    """
                class display(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """

            class views(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.camera = self.__class__.camera(service, version, mode, path + ["camera"])
                    self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
                    self.rendering_options = self.__class__.rendering_options(service, version, mode, path + ["rendering_options"])
                    self.reset_to_default_view = self.__class__.reset_to_default_view(service, version, mode, path + ["reset_to_default_view"])
                    self.save_view = self.__class__.save_view(service, version, mode, path + ["save_view"])
                    self.read_views = self.__class__.read_views(service, version, mode, path + ["read_views"])
                    self.restore_view = self.__class__.restore_view(service, version, mode, path + ["restore_view"])
                    self.next_view = self.__class__.next_view(service, version, mode, path + ["next_view"])
                    self.delete_view = self.__class__.delete_view(service, version, mode, path + ["delete_view"])
                    self.write_views = self.__class__.write_views(service, version, mode, path + ["write_views"])
                    self.list_views = self.__class__.list_views(service, version, mode, path + ["list_views"])
                    self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                    self.last_view = self.__class__.last_view(service, version, mode, path + ["last_view"])
                    super().__init__(service, version, mode, path)
                class reset_to_default_view(TUIMethod):
                    """
                    .
                    """
                class save_view(TUIMethod):
                    """
                    .
                    """
                class read_views(TUIMethod):
                    """
                    .
                    """
                class restore_view(TUIMethod):
                    """
                    .
                    """
                class next_view(TUIMethod):
                    """
                    .
                    """
                class delete_view(TUIMethod):
                    """
                    .
                    """
                class write_views(TUIMethod):
                    """
                    .
                    """
                class list_views(TUIMethod):
                    """
                    .
                    """
                class auto_scale(TUIMethod):
                    """
                    .
                    """
                class last_view(TUIMethod):
                    """
                    .
                    """

                class camera(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.up_vector = self.__class__.up_vector(service, version, mode, path + ["up_vector"])
                        self.position = self.__class__.position(service, version, mode, path + ["position"])
                        self.target = self.__class__.target(service, version, mode, path + ["target"])
                        self.zoom = self.__class__.zoom(service, version, mode, path + ["zoom"])
                        self.roll = self.__class__.roll(service, version, mode, path + ["roll"])
                        self.dolly = self.__class__.dolly(service, version, mode, path + ["dolly"])
                        self.orbit = self.__class__.orbit(service, version, mode, path + ["orbit"])
                        self.projection = self.__class__.projection(service, version, mode, path + ["projection"])
                        self.pan = self.__class__.pan(service, version, mode, path + ["pan"])
                        self.field = self.__class__.field(service, version, mode, path + ["field"])
                        super().__init__(service, version, mode, path)
                    class up_vector(TUIMethod):
                        """
                        .
                        """
                    class position(TUIMethod):
                        """
                        .
                        """
                    class target(TUIMethod):
                        """
                        .
                        """
                    class zoom(TUIMethod):
                        """
                        .
                        """
                    class roll(TUIMethod):
                        """
                        .
                        """
                    class dolly(TUIMethod):
                        """
                        .
                        """
                    class orbit(TUIMethod):
                        """
                        .
                        """
                    class projection(TUIMethod):
                        """
                        .
                        """
                    class pan(TUIMethod):
                        """
                        .
                        """
                    class field(TUIMethod):
                        """
                        .
                        """

                class display_states(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.write = self.__class__.write(service, version, mode, path + ["write"])
                        self.read = self.__class__.read(service, version, mode, path + ["read"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        self.create = self.__class__.create(service, version, mode, path + ["create"])
                        self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                        self.restore_state = self.__class__.restore_state(service, version, mode, path + ["restore_state"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                        super().__init__(service, version, mode, path)
                    class edit(TUIMethod):
                        """
                        Edit display-states object.
                        """
                    class write(TUIMethod):
                        """
                        .
                        """
                    class read(TUIMethod):
                        """
                        .
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """
                    class create(TUIMethod):
                        """
                        Create a new display-states object.
                        """
                    class copy(TUIMethod):
                        """
                        .
                        """
                    class restore_state(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename display-states object.
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class use_active(TUIMethod):
                        """
                        .
                        """

                class rendering_options(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.color_map_alignment = self.__class__.color_map_alignment(service, version, mode, path + ["color_map_alignment"])
                        self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                        self.face_displacement = self.__class__.face_displacement(service, version, mode, path + ["face_displacement"])
                        self.front_faces_transparent = self.__class__.front_faces_transparent(service, version, mode, path + ["front_faces_transparent"])
                        self.hidden_surfaces = self.__class__.hidden_surfaces(service, version, mode, path + ["hidden_surfaces"])
                        self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                        self.auto_spin = self.__class__.auto_spin(service, version, mode, path + ["auto_spin"])
                        self.hidden_surface_method = self.__class__.hidden_surface_method(service, version, mode, path + ["hidden_surface_method"])
                        self.device_info = self.__class__.device_info(service, version, mode, path + ["device_info"])
                        self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                        self.set_rendering_options = self.__class__.set_rendering_options(service, version, mode, path + ["set_rendering_options"])
                        self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                        super().__init__(service, version, mode, path)
                    class color_map_alignment(TUIMethod):
                        """
                        .
                        """
                    class double_buffering(TUIMethod):
                        """
                        .
                        """
                    class face_displacement(TUIMethod):
                        """
                        .
                        """
                    class front_faces_transparent(TUIMethod):
                        """
                        .
                        """
                    class hidden_surfaces(TUIMethod):
                        """
                        .
                        """
                    class animation_option(TUIMethod):
                        """
                        .
                        """
                    class auto_spin(TUIMethod):
                        """
                        .
                        """
                    class hidden_surface_method(TUIMethod):
                        """
                        .
                        """
                    class device_info(TUIMethod):
                        """
                        .
                        """
                    class show_colormap(TUIMethod):
                        """
                        .
                        """
                    class set_rendering_options(TUIMethod):
                        """
                        .
                        """
                    class driver(TUIMethod):
                        """
                        .
                        """

            class olic(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit olic object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class display(TUIMethod):
                    """
                    .
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename olic object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new olic object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """

            class pulse(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    self.pulse_mode = self.__class__.pulse_mode(service, version, mode, path + ["pulse_mode"])
                    super().__init__(service, version, mode, path)
                class write(TUIMethod):
                    """
                    .
                    """
                class pulse_mode(TUIMethod):
                    """
                    .
                    """

            class pathline(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename pathline object.
                    """
                class add_to_graphics(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit pathline object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class clear_history(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new pathline object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class display(TUIMethod):
                    """
                    .
                    """

            class colors(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.by_surface = self.__class__.by_surface(service, version, mode, path + ["by_surface"])
                    self.by_type = self.__class__.by_type(service, version, mode, path + ["by_type"])
                    self.traction_faces = self.__class__.traction_faces(service, version, mode, path + ["traction_faces"])
                    self.internal_faces = self.__class__.internal_faces(service, version, mode, path + ["internal_faces"])
                    self.inlet_faces = self.__class__.inlet_faces(service, version, mode, path + ["inlet_faces"])
                    self.periodic_faces = self.__class__.periodic_faces(service, version, mode, path + ["periodic_faces"])
                    self.automatic_skip = self.__class__.automatic_skip(service, version, mode, path + ["automatic_skip"])
                    self.background = self.__class__.background(service, version, mode, path + ["background"])
                    self.skip_label = self.__class__.skip_label(service, version, mode, path + ["skip_label"])
                    self.wall_faces = self.__class__.wall_faces(service, version, mode, path + ["wall_faces"])
                    self.far_field_faces = self.__class__.far_field_faces(service, version, mode, path + ["far_field_faces"])
                    self.color_by_type = self.__class__.color_by_type(service, version, mode, path + ["color_by_type"])
                    self.interface_faces = self.__class__.interface_faces(service, version, mode, path + ["interface_faces"])
                    self.symmetry_faces = self.__class__.symmetry_faces(service, version, mode, path + ["symmetry_faces"])
                    self.rans_les_interface_faces = self.__class__.rans_les_interface_faces(service, version, mode, path + ["rans_les_interface_faces"])
                    self.outlet_faces = self.__class__.outlet_faces(service, version, mode, path + ["outlet_faces"])
                    self.overset_faces = self.__class__.overset_faces(service, version, mode, path + ["overset_faces"])
                    self.list_colors = self.__class__.list_colors(service, version, mode, path + ["list_colors"])
                    self.reset_colors = self.__class__.reset_colors(service, version, mode, path + ["reset_colors"])
                    self.interior_faces = self.__class__.interior_faces(service, version, mode, path + ["interior_faces"])
                    self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                    self.free_surface_faces = self.__class__.free_surface_faces(service, version, mode, path + ["free_surface_faces"])
                    self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                    self.axis_faces = self.__class__.axis_faces(service, version, mode, path + ["axis_faces"])
                    super().__init__(service, version, mode, path)
                class traction_faces(TUIMethod):
                    """
                    .
                    """
                class internal_faces(TUIMethod):
                    """
                    .
                    """
                class inlet_faces(TUIMethod):
                    """
                    .
                    """
                class periodic_faces(TUIMethod):
                    """
                    .
                    """
                class automatic_skip(TUIMethod):
                    """
                    .
                    """
                class background(TUIMethod):
                    """
                    .
                    """
                class skip_label(TUIMethod):
                    """
                    .
                    """
                class wall_faces(TUIMethod):
                    """
                    .
                    """
                class far_field_faces(TUIMethod):
                    """
                    .
                    """
                class color_by_type(TUIMethod):
                    """
                    .
                    """
                class interface_faces(TUIMethod):
                    """
                    .
                    """
                class symmetry_faces(TUIMethod):
                    """
                    .
                    """
                class rans_les_interface_faces(TUIMethod):
                    """
                    .
                    """
                class outlet_faces(TUIMethod):
                    """
                    .
                    """
                class overset_faces(TUIMethod):
                    """
                    .
                    """
                class list_colors(TUIMethod):
                    """
                    .
                    """
                class reset_colors(TUIMethod):
                    """
                    .
                    """
                class interior_faces(TUIMethod):
                    """
                    .
                    """
                class foreground(TUIMethod):
                    """
                    .
                    """
                class free_surface_faces(TUIMethod):
                    """
                    .
                    """
                class surface(TUIMethod):
                    """
                    .
                    """
                class axis_faces(TUIMethod):
                    """
                    .
                    """

                class by_surface(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.use_inherent_material_color = self.__class__.use_inherent_material_color(service, version, mode, path + ["use_inherent_material_color"])
                        self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                        self.list_surfaces_by_material = self.__class__.list_surfaces_by_material(service, version, mode, path + ["list_surfaces_by_material"])
                        self.list_surfaces_by_color = self.__class__.list_surfaces_by_color(service, version, mode, path + ["list_surfaces_by_color"])
                        self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                        super().__init__(service, version, mode, path)
                    class use_inherent_material_color(TUIMethod):
                        """
                        .
                        """
                    class surfaces(TUIMethod):
                        """
                        .
                        """
                    class list_surfaces_by_material(TUIMethod):
                        """
                        .
                        """
                    class list_surfaces_by_color(TUIMethod):
                        """
                        .
                        """
                    class reset(TUIMethod):
                        """
                        .
                        """

                class by_type(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.type_name = self.__class__.type_name(service, version, mode, path + ["type_name"])
                        self.use_inherent_material_color = self.__class__.use_inherent_material_color(service, version, mode, path + ["use_inherent_material_color"])
                        self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                        self.only_list_case_boundaries = self.__class__.only_list_case_boundaries(service, version, mode, path + ["only_list_case_boundaries"])
                        super().__init__(service, version, mode, path)
                    class use_inherent_material_color(TUIMethod):
                        """
                        .
                        """
                    class reset(TUIMethod):
                        """
                        .
                        """
                    class only_list_case_boundaries(TUIMethod):
                        """
                        .
                        """

                    class type_name(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                            self.create = self.__class__.create(service, version, mode, path + ["create"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                            self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                            self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                            self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                            super().__init__(service, version, mode, path)
                        class delete(TUIMethod):
                            """
                            .
                            """
                        class create(TUIMethod):
                            """
                            Create a new type-name object.
                            """
                        class list(TUIMethod):
                            """
                            .
                            """
                        class make_a_copy(TUIMethod):
                            """
                            .
                            """
                        class rename(TUIMethod):
                            """
                            Rename type-name object.
                            """
                        class list_properties(TUIMethod):
                            """
                            .
                            """
                        class edit(TUIMethod):
                            """
                            Edit type-name object.
                            """

        class custom_vectors(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class list_properties(TUIMethod):
                """
                .
                """
            class rename(TUIMethod):
                """
                Rename custom-vectors object.
                """
            class list(TUIMethod):
                """
                .
                """
            class make_a_copy(TUIMethod):
                """
                .
                """
            class edit(TUIMethod):
                """
                Edit custom-vectors object.
                """
            class create(TUIMethod):
                """
                Create a new custom-vectors object.
                """
            class delete(TUIMethod):
                """
                .
                """

        class surfaces(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.plane_surface = self.__class__.plane_surface(service, version, mode, path + ["plane_surface"])
                self.point_surface = self.__class__.point_surface(service, version, mode, path + ["point_surface"])
                self.line_surface = self.__class__.line_surface(service, version, mode, path + ["line_surface"])
                self.rake_surface = self.__class__.rake_surface(service, version, mode, path + ["rake_surface"])
                self.imprint_surface = self.__class__.imprint_surface(service, version, mode, path + ["imprint_surface"])
                self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
                self.sphere_slice = self.__class__.sphere_slice(service, version, mode, path + ["sphere_slice"])
                self.iso_surface = self.__class__.iso_surface(service, version, mode, path + ["iso_surface"])
                self.transform_surface = self.__class__.transform_surface(service, version, mode, path + ["transform_surface"])
                self.iso_clip = self.__class__.iso_clip(service, version, mode, path + ["iso_clip"])
                self.zone_surface = self.__class__.zone_surface(service, version, mode, path + ["zone_surface"])
                self.partition_surface = self.__class__.partition_surface(service, version, mode, path + ["partition_surface"])
                self.plane_slice = self.__class__.plane_slice(service, version, mode, path + ["plane_slice"])
                self.quadric_surface = self.__class__.quadric_surface(service, version, mode, path + ["quadric_surface"])
                self.create_group_surfaces = self.__class__.create_group_surfaces(service, version, mode, path + ["create_group_surfaces"])
                self.reset_zone_surfaces = self.__class__.reset_zone_surfaces(service, version, mode, path + ["reset_zone_surfaces"])
                self.set_rendering_priority = self.__class__.set_rendering_priority(service, version, mode, path + ["set_rendering_priority"])
                self.create_multiple_iso_surfaces = self.__class__.create_multiple_iso_surfaces(service, version, mode, path + ["create_multiple_iso_surfaces"])
                self.create_multiple_zone_surfaces = self.__class__.create_multiple_zone_surfaces(service, version, mode, path + ["create_multiple_zone_surfaces"])
                self.ungroup_surfaces = self.__class__.ungroup_surfaces(service, version, mode, path + ["ungroup_surfaces"])
                super().__init__(service, version, mode, path)
            class create_group_surfaces(TUIMethod):
                """
                .
                """
            class reset_zone_surfaces(TUIMethod):
                """
                .
                """
            class set_rendering_priority(TUIMethod):
                """
                .
                """
            class create_multiple_iso_surfaces(TUIMethod):
                """
                .
                """
            class create_multiple_zone_surfaces(TUIMethod):
                """
                .
                """
            class ungroup_surfaces(TUIMethod):
                """
                .
                """

            class plane_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new plane-surface object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename plane-surface object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit plane-surface object.
                    """

            class point_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename point-surface object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit point-surface object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new point-surface object.
                    """

            class line_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new line-surface object.
                    """
                class edit(TUIMethod):
                    """
                    Edit line-surface object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename line-surface object.
                    """

            class rake_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename rake-surface object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit rake-surface object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new rake-surface object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """

            class imprint_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new imprint-surface object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit imprint-surface object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename imprint-surface object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """

            class surface_cells(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit surface-cells object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename surface-cells object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new surface-cells object.
                    """

            class sphere_slice(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    super().__init__(service, version, mode, path)
                class edit(TUIMethod):
                    """
                    Edit sphere-slice object.
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename sphere-slice object.
                    """
                class create(TUIMethod):
                    """
                    Create a new sphere-slice object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """

            class iso_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit iso-surface object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new iso-surface object.
                    """
                class rename(TUIMethod):
                    """
                    Rename iso-surface object.
                    """

            class transform_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new transform-surface object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit transform-surface object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename transform-surface object.
                    """

            class iso_clip(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    super().__init__(service, version, mode, path)
                class list(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new iso-clip object.
                    """
                class edit(TUIMethod):
                    """
                    Edit iso-clip object.
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename iso-clip object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """

            class zone_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new zone-surface object.
                    """
                class edit(TUIMethod):
                    """
                    Edit zone-surface object.
                    """
                class rename(TUIMethod):
                    """
                    Rename zone-surface object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """

            class partition_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename partition-surface object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit partition-surface object.
                    """
                class create(TUIMethod):
                    """
                    Create a new partition-surface object.
                    """

            class plane_slice(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename plane-slice object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class create(TUIMethod):
                    """
                    Create a new plane-slice object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit plane-slice object.
                    """

            class quadric_surface(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    super().__init__(service, version, mode, path)
                class rename(TUIMethod):
                    """
                    Rename quadric-surface object.
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit quadric-surface object.
                    """
                class create(TUIMethod):
                    """
                    Create a new quadric-surface object.
                    """

        class animations(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.playback = self.__class__.playback(service, version, mode, path + ["playback"])
                self.scene_animation = self.__class__.scene_animation(service, version, mode, path + ["scene_animation"])
                super().__init__(service, version, mode, path)

            class playback(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.set_custom_frames = self.__class__.set_custom_frames(service, version, mode, path + ["set_custom_frames"])
                    self.stored_view = self.__class__.stored_view(service, version, mode, path + ["stored_view"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.current_animation = self.__class__.current_animation(service, version, mode, path + ["current_animation"])
                    self.write_animation = self.__class__.write_animation(service, version, mode, path + ["write_animation"])
                    self.read_animation_file = self.__class__.read_animation_file(service, version, mode, path + ["read_animation_file"])
                    self.play = self.__class__.play(service, version, mode, path + ["play"])
                    super().__init__(service, version, mode, path)
                class stored_view(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class current_animation(TUIMethod):
                    """
                    .
                    """
                class write_animation(TUIMethod):
                    """
                    .
                    """
                class read_animation_file(TUIMethod):
                    """
                    .
                    """
                class play(TUIMethod):
                    """
                    .
                    """

                class video(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.advance_quality = self.__class__.advance_quality(service, version, mode, path + ["advance_quality"])
                        self.height = self.__class__.height(service, version, mode, path + ["height"])
                        self.width = self.__class__.width(service, version, mode, path + ["width"])
                        self.name = self.__class__.name(service, version, mode, path + ["name"])
                        self.use_original_resolution = self.__class__.use_original_resolution(service, version, mode, path + ["use_original_resolution"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        self.fps = self.__class__.fps(service, version, mode, path + ["fps"])
                        self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
                        self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                        self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                        super().__init__(service, version, mode, path)
                    class height(TUIMethod):
                        """
                        .
                        """
                    class width(TUIMethod):
                        """
                        .
                        """
                    class name(TUIMethod):
                        """
                        .
                        """
                    class use_original_resolution(TUIMethod):
                        """
                        .
                        """
                    class format(TUIMethod):
                        """
                        .
                        """
                    class fps(TUIMethod):
                        """
                        .
                        """
                    class quality(TUIMethod):
                        """
                        .
                        """
                    class set_standard_resolution(TUIMethod):
                        """
                        .
                        """
                    class scale(TUIMethod):
                        """
                        .
                        """

                    class advance_quality(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.bitrate_scale = self.__class__.bitrate_scale(service, version, mode, path + ["bitrate_scale"])
                            self.keyframe = self.__class__.keyframe(service, version, mode, path + ["keyframe"])
                            self.enable_h264 = self.__class__.enable_h264(service, version, mode, path + ["enable_h264"])
                            self.bitrate = self.__class__.bitrate(service, version, mode, path + ["bitrate"])
                            self.compression_method = self.__class__.compression_method(service, version, mode, path + ["compression_method"])
                            super().__init__(service, version, mode, path)
                        class bitrate_scale(TUIMethod):
                            """
                            .
                            """
                        class keyframe(TUIMethod):
                            """
                            .
                            """
                        class enable_h264(TUIMethod):
                            """
                            .
                            """
                        class bitrate(TUIMethod):
                            """
                            .
                            """
                        class compression_method(TUIMethod):
                            """
                            .
                            """

                class set_custom_frames(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.increment = self.__class__.increment(service, version, mode, path + ["increment"])
                        self.end_frame = self.__class__.end_frame(service, version, mode, path + ["end_frame"])
                        self.start_frame = self.__class__.start_frame(service, version, mode, path + ["start_frame"])
                        super().__init__(service, version, mode, path)
                    class increment(TUIMethod):
                        """
                        .
                        """
                    class end_frame(TUIMethod):
                        """
                        .
                        """
                    class start_frame(TUIMethod):
                        """
                        .
                        """

            class scene_animation(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.set_custom_frames = self.__class__.set_custom_frames(service, version, mode, path + ["set_custom_frames"])
                    self.read_animation = self.__class__.read_animation(service, version, mode, path + ["read_animation"])
                    self.delete_keyframe = self.__class__.delete_keyframe(service, version, mode, path + ["delete_keyframe"])
                    self.play = self.__class__.play(service, version, mode, path + ["play"])
                    self.write_animation = self.__class__.write_animation(service, version, mode, path + ["write_animation"])
                    self.delete_all_keyframes = self.__class__.delete_all_keyframes(service, version, mode, path + ["delete_all_keyframes"])
                    self.add_keyframe = self.__class__.add_keyframe(service, version, mode, path + ["add_keyframe"])
                    super().__init__(service, version, mode, path)
                class read_animation(TUIMethod):
                    """
                    .
                    """
                class delete_keyframe(TUIMethod):
                    """
                    .
                    """
                class play(TUIMethod):
                    """
                    .
                    """
                class write_animation(TUIMethod):
                    """
                    .
                    """
                class delete_all_keyframes(TUIMethod):
                    """
                    .
                    """
                class add_keyframe(TUIMethod):
                    """
                    .
                    """

                class set_custom_frames(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.start_keyframe = self.__class__.start_keyframe(service, version, mode, path + ["start_keyframe"])
                        self.increment = self.__class__.increment(service, version, mode, path + ["increment"])
                        self.end_keyframe = self.__class__.end_keyframe(service, version, mode, path + ["end_keyframe"])
                        super().__init__(service, version, mode, path)
                    class start_keyframe(TUIMethod):
                        """
                        .
                        """
                    class increment(TUIMethod):
                        """
                        .
                        """
                    class end_keyframe(TUIMethod):
                        """
                        .
                        """

    class surface(TUIMenu):
        """
        Enter the data surface manipulation menu.
        """
        def __init__(self, service, version, mode, path):
            self.query = self.__class__.query(service, version, mode, path + ["query"])
            self.post_processing_volume = self.__class__.post_processing_volume(service, version, mode, path + ["post_processing_volume"])
            self.rendering_priority = self.__class__.rendering_priority(service, version, mode, path + ["rendering_priority"])
            self.ellipsoid_slice = self.__class__.ellipsoid_slice(service, version, mode, path + ["ellipsoid_slice"])
            self.iso_surface = self.__class__.iso_surface(service, version, mode, path + ["iso_surface"])
            self.mouse_line = self.__class__.mouse_line(service, version, mode, path + ["mouse_line"])
            self.multiple_plane_surfaces = self.__class__.multiple_plane_surfaces(service, version, mode, path + ["multiple_plane_surfaces"])
            self.plane_point_n_normal = self.__class__.plane_point_n_normal(service, version, mode, path + ["plane_point_n_normal"])
            self.plane_surface = self.__class__.plane_surface(service, version, mode, path + ["plane_surface"])
            self.closest_point_search = self.__class__.closest_point_search(service, version, mode, path + ["closest_point_search"])
            self.edit_surface = self.__class__.edit_surface(service, version, mode, path + ["edit_surface"])
            self.transform_surface = self.__class__.transform_surface(service, version, mode, path + ["transform_surface"])
            self.structural_point_surface = self.__class__.structural_point_surface(service, version, mode, path + ["structural_point_surface"])
            self.plane = self.__class__.plane(service, version, mode, path + ["plane"])
            self.mouse_plane = self.__class__.mouse_plane(service, version, mode, path + ["mouse_plane"])
            self.reset_zone_surfaces = self.__class__.reset_zone_surfaces(service, version, mode, path + ["reset_zone_surfaces"])
            self.cone_slice = self.__class__.cone_slice(service, version, mode, path + ["cone_slice"])
            self.rename_surface = self.__class__.rename_surface(service, version, mode, path + ["rename_surface"])
            self.expression_volume = self.__class__.expression_volume(service, version, mode, path + ["expression_volume"])
            self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
            self.line_surface = self.__class__.line_surface(service, version, mode, path + ["line_surface"])
            self.plane_bounded = self.__class__.plane_bounded(service, version, mode, path + ["plane_bounded"])
            self.iso_clip_multiple = self.__class__.iso_clip_multiple(service, version, mode, path + ["iso_clip_multiple"])
            self.line_slice = self.__class__.line_slice(service, version, mode, path + ["line_slice"])
            self.imprint_surface = self.__class__.imprint_surface(service, version, mode, path + ["imprint_surface"])
            self.iso_clip = self.__class__.iso_clip(service, version, mode, path + ["iso_clip"])
            self.quadric_slice = self.__class__.quadric_slice(service, version, mode, path + ["quadric_slice"])
            self.rake_surface = self.__class__.rake_surface(service, version, mode, path + ["rake_surface"])
            self.plane_slice = self.__class__.plane_slice(service, version, mode, path + ["plane_slice"])
            self.multiple_iso_surfaces = self.__class__.multiple_iso_surfaces(service, version, mode, path + ["multiple_iso_surfaces"])
            self.group_surfaces = self.__class__.group_surfaces(service, version, mode, path + ["group_surfaces"])
            self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
            self.multiple_zone_surfaces = self.__class__.multiple_zone_surfaces(service, version, mode, path + ["multiple_zone_surfaces"])
            self.point_array = self.__class__.point_array(service, version, mode, path + ["point_array"])
            self.sphere_slice = self.__class__.sphere_slice(service, version, mode, path + ["sphere_slice"])
            self.delete_surface = self.__class__.delete_surface(service, version, mode, path + ["delete_surface"])
            self.mouse_rake = self.__class__.mouse_rake(service, version, mode, path + ["mouse_rake"])
            self.circle_slice = self.__class__.circle_slice(service, version, mode, path + ["circle_slice"])
            self.plane_surf_aligned = self.__class__.plane_surf_aligned(service, version, mode, path + ["plane_surf_aligned"])
            self.plane_view_plane_align = self.__class__.plane_view_plane_align(service, version, mode, path + ["plane_view_plane_align"])
            self.create_imprint_surface = self.__class__.create_imprint_surface(service, version, mode, path + ["create_imprint_surface"])
            self.zone_surface = self.__class__.zone_surface(service, version, mode, path + ["zone_surface"])
            self.point_surface = self.__class__.point_surface(service, version, mode, path + ["point_surface"])
            self.partition_surface = self.__class__.partition_surface(service, version, mode, path + ["partition_surface"])
            self.ungroup_surface = self.__class__.ungroup_surface(service, version, mode, path + ["ungroup_surface"])
            super().__init__(service, version, mode, path)
        class rendering_priority(TUIMethod):
            """
            Define Priority for given surface id.
            """
        class ellipsoid_slice(TUIMethod):
            """
            Extract a ellipsoid slice.
            """
        class iso_surface(TUIMethod):
            """
            Extracts an iso-surface (surface, curve, or point) from the current data field.
            """
        class mouse_line(TUIMethod):
            """
            Extracts a line surface that you define by using the mouse to select the endpoints.
            """
        class multiple_plane_surfaces(TUIMethod):
            """
            Creates multiple planes at once. Accepts zone names, lists of zone ID’s, and wildcards.
            """
        class plane_point_n_normal(TUIMethod):
            """
            Create a plane from a point and normal.
            """
        class plane_surface(TUIMethod):
            """
            Create a plane from a coordinate plane, point and normal, or three points.
            """
        class closest_point_search(TUIMethod):
            """
            Enable the point surface algorithm to look for the nearest point instead of reporting a creation failure.
            """
        class edit_surface(TUIMethod):
            """
            Allows you to edit any of the listed available surfaces.
            """
        class transform_surface(TUIMethod):
            """
            Transforms surface.
            """
        class structural_point_surface(TUIMethod):
            """
            Defines a structural “point" surface by specifying the coordinates.
            """
        class plane(TUIMethod):
            """
            Create a plane given 3 points bounded by the domain.
            """
        class mouse_plane(TUIMethod):
            """
            Extracts a planar surface defined by selecting three points with the mouse.
            """
        class reset_zone_surfaces(TUIMethod):
            """
            Recreates missing surface zones by resetting the case surface list.
            """
        class cone_slice(TUIMethod):
            """
            Extract a cone slice.
            """
        class rename_surface(TUIMethod):
            """
            Renames a defined data surface.
            """
        class expression_volume(TUIMethod):
            """
            Create volume with boolean expression.
            """
        class surface_cells(TUIMethod):
            """
            Extracts all cells intersected by a data surface.
            """
        class line_surface(TUIMethod):
            """
            Defines a “line" surface by specifying the two endpoint coordinates.
            """
        class plane_bounded(TUIMethod):
            """
            Create a bounded surface.
            """
        class iso_clip_multiple(TUIMethod):
            """
            Clip a data surface (surface, curve, or point) between two iso-values.
            """
        class line_slice(TUIMethod):
            """
            Extracts a linear slice in 2D, given the normal to the line and a distance from the origin.
            """
        class imprint_surface(TUIMethod):
            """
            Enters the list of surfaces to imprint from and the name of the new imprinted surface.
            """
        class iso_clip(TUIMethod):
            """
            Clips a data surface (surface, curve, or point) between two isovalues.
            """
        class quadric_slice(TUIMethod):
            """
            Extracts a quadric slice.
            """
        class rake_surface(TUIMethod):
            """
            Extracts a “rake" surface, given the coordinates of the endpoints.
            """
        class plane_slice(TUIMethod):
            """
            Extracts a planar slice.
            """
        class multiple_iso_surfaces(TUIMethod):
            """
            Creates multiple iso-surfaces at once. Accepts zone names, lists of zone ID’s, and wildcards.
            """
        class group_surfaces(TUIMethod):
            """
            Group a set of surfaces.
            """
        class list_surfaces(TUIMethod):
            """
            Displays the ID and name, and the number of point, curve, and surface facets of the current surfaces.
            """
        class multiple_zone_surfaces(TUIMethod):
            """
            Creates multiple data surfaces at one time. Accepts zone names, lists of zone ID’s, and wildcards.
            """
        class point_array(TUIMethod):
            """
            Extracts a rectangular array of data points.
            """
        class sphere_slice(TUIMethod):
            """
            Extracts a spherical slice.
            """
        class delete_surface(TUIMethod):
            """
            Removes a defined data surface.
            """
        class mouse_rake(TUIMethod):
            """
            Extracts a “rake" surface that you define by using the mouse to select the endpoints.
            """
        class circle_slice(TUIMethod):
            """
            Extracts a circular slice.
            """
        class plane_surf_aligned(TUIMethod):
            """
            Create a plane aligned to a surface.
            """
        class plane_view_plane_align(TUIMethod):
            """
            Create a plane aligned to a view-plane.
            """
        class create_imprint_surface(TUIMethod):
            """
            Imprint surface.
            """
        class zone_surface(TUIMethod):
            """
            Creates a surface of a designated zone and gives it a specified name.
            """
        class point_surface(TUIMethod):
            """
            Defines a “point" surface by specifying the coordinates.
            """
        class partition_surface(TUIMethod):
            """
            Defines a data surface consisting of mesh faces on the partition boundary.
            """
        class ungroup_surface(TUIMethod):
            """
            Ungroup the surface(if grouped).
            """

        class query(TUIMenu):
            """
            Enter surface query menu.
            """
            def __init__(self, service, version, mode, path):
                self.delete_query = self.__class__.delete_query(service, version, mode, path + ["delete_query"])
                self.list_queries = self.__class__.list_queries(service, version, mode, path + ["list_queries"])
                self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
                self.list_named_selection = self.__class__.list_named_selection(service, version, mode, path + ["list_named_selection"])
                self.named_surface_list = self.__class__.named_surface_list(service, version, mode, path + ["named_surface_list"])
                super().__init__(service, version, mode, path)
            class delete_query(TUIMethod):
                """
                Delete saved query.
                """
            class list_queries(TUIMethod):
                """
                List all saved queries.
                """
            class list_surfaces(TUIMethod):
                """
                List surfaces.
                """
            class list_named_selection(TUIMethod):
                """
                List named selection of surface type.
                """
            class named_surface_list(TUIMethod):
                """
                Create named list of surfaces.
                """

        class post_processing_volume(TUIMenu):
            """
            Enter post-processing volume menu.
            """
            def __init__(self, service, version, mode, path):
                self.create_octree = self.__class__.create_octree(service, version, mode, path + ["create_octree"])
                self.create_from_file = self.__class__.create_from_file(service, version, mode, path + ["create_from_file"])
                super().__init__(service, version, mode, path)
            class create_octree(TUIMethod):
                """
                Create post-processing octree mesh based on current case.
                """
            class create_from_file(TUIMethod):
                """
                Read post-processing mesh from file.
                """

    class solve(TUIMenu):
        """
        Enter the solve menu.
        """
        def __init__(self, service, version, mode, path):
            self.cell_register_operations = self.__class__.cell_register_operations(service, version, mode, path + ["cell_register_operations"])
            self.monitors = self.__class__.monitors(service, version, mode, path + ["monitors"])
            self.report_definitions = self.__class__.report_definitions(service, version, mode, path + ["report_definitions"])
            self.execute_commands = self.__class__.execute_commands(service, version, mode, path + ["execute_commands"])
            self.cell_registers = self.__class__.cell_registers(service, version, mode, path + ["cell_registers"])
            self.report_files = self.__class__.report_files(service, version, mode, path + ["report_files"])
            self.set = self.__class__.set(service, version, mode, path + ["set"])
            self.initialize = self.__class__.initialize(service, version, mode, path + ["initialize"])
            self.animate = self.__class__.animate(service, version, mode, path + ["animate"])
            self.report_plots = self.__class__.report_plots(service, version, mode, path + ["report_plots"])
            self.max_iterations_per_time_step = self.__class__.max_iterations_per_time_step(service, version, mode, path + ["max_iterations_per_time_step"])
            self.iterate_steady_2way_fsi = self.__class__.iterate_steady_2way_fsi(service, version, mode, path + ["iterate_steady_2way_fsi"])
            self.patch = self.__class__.patch(service, version, mode, path + ["patch"])
            self.mesh_motion = self.__class__.mesh_motion(service, version, mode, path + ["mesh_motion"])
            self.dpm_update = self.__class__.dpm_update(service, version, mode, path + ["dpm_update"])
            self.multistage_time_iterate = self.__class__.multistage_time_iterate(service, version, mode, path + ["multistage_time_iterate"])
            self.iterate = self.__class__.iterate(service, version, mode, path + ["iterate"])
            self.dual_time_iterate = self.__class__.dual_time_iterate(service, version, mode, path + ["dual_time_iterate"])
            self.convergence_conditions = self.__class__.convergence_conditions(service, version, mode, path + ["convergence_conditions"])
            self.update_physical_time = self.__class__.update_physical_time(service, version, mode, path + ["update_physical_time"])
            super().__init__(service, version, mode, path)
        class max_iterations_per_time_step(TUIMethod):
            """
            Set maximum iterations per time step for transient case.
            """
        class iterate_steady_2way_fsi(TUIMethod):
            """
            Perform a specified number of steps.
            """
        class patch(TUIMethod):
            """
            Patches a value for a flow variable in the domain. You can either provide a numerical value, which you can enter directly, or you can enter an expression, which must be entered within quotation marks.
            """
        class mesh_motion(TUIMethod):
            """
            Performs mesh motion.
            """
        class dpm_update(TUIMethod):
            """
            Updates discrete phase source terms.
            """
        class multistage_time_iterate(TUIMethod):
            """
            Perform unsteady iterations.
            """
        class iterate(TUIMethod):
            """
            Performs a specified number of iterations.  This option is still available during transient simulations, since it can be used to add more iterations to the same time step after interrupting iterations within a time step.
            """
        class dual_time_iterate(TUIMethod):
            """
            Performs unsteady iterations for a specified number of time steps.
            """
        class convergence_conditions(TUIMethod):
            """
            Enters the convergence conditions menu.
            """
        class update_physical_time(TUIMethod):
            """
            Advances the unsteady solution to the next physical time level. Using this command in conjunction with theiterate command allows you to manually advance the solution in time (rather than doing it automatically with the dual-time-iterate command).
            """

        class cell_register_operations(TUIMenu):
            """
            Enters the cell register operations menu.
            """
            def __init__(self, service, version, mode, path):
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                super().__init__(service, version, mode, path)
            class edit(TUIMethod):
                """
                Edits an existing cell register operation.
                """
            class delete(TUIMethod):
                """
                Deletes a cell register operation.
                """
            class add(TUIMethod):
                """
                Creates a new cell register operation.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a report register operation.
                """
            class list(TUIMethod):
                """
                Lists the currently defined cell register operations.
                """

        class monitors(TUIMenu):
            """
            Sets solution monitors.
            """
            def __init__(self, service, version, mode, path):
                self.convergence = self.__class__.convergence(service, version, mode, path + ["convergence"])
                self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                self.residual = self.__class__.residual(service, version, mode, path + ["residual"])
                self.force = self.__class__.force(service, version, mode, path + ["force"])
                self.statistic = self.__class__.statistic(service, version, mode, path + ["statistic"])
                self.volume = self.__class__.volume(service, version, mode, path + ["volume"])
                self.set_average_over = self.__class__.set_average_over(service, version, mode, path + ["set_average_over"])
                super().__init__(service, version, mode, path)
            class set_average_over(TUIMethod):
                """
                Set the average over input for monitors.
                """

            class convergence(TUIMenu):
                """
                Enter the convergence menu to add surface, volume, drag, lift and moment monitors to convergence criteria.
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.add_edit = self.__class__.add_edit(service, version, mode, path + ["add_edit"])
                    self.condition = self.__class__.condition(service, version, mode, path + ["condition"])
                    self.average_over_last_n_iterations_timesteps = self.__class__.average_over_last_n_iterations_timesteps(service, version, mode, path + ["average_over_last_n_iterations_timesteps"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.frequency = self.__class__.frequency(service, version, mode, path + ["frequency"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    Delete a monitor from convergence criteria.
                    """
                class add_edit(TUIMethod):
                    """
                    Add or edit convergence criterion for surface, volume, drag, lift and moment monitors.
                    """
                class condition(TUIMethod):
                    """
                    Option to stop the calculations. All convergence conditions are met or any convergence condition is met.
                    """
                class average_over_last_n_iterations_timesteps(TUIMethod):
                    """
                    Option to average over previous values for checking convergence.
                    """
                class list(TUIMethod):
                    """
                    List defined convergence criteria for monitors.
                    """
                class frequency(TUIMethod):
                    """
                    To set how often convergence checks are done with respect to iterations or time steps.
                    """

            class surface(TUIMenu):
                """
                Enter the surface menu to set integrated scalar quantities on surface(s) monitors.
                """
                def __init__(self, service, version, mode, path):
                    self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                    self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                    self.list_monitors = self.__class__.list_monitors(service, version, mode, path + ["list_monitors"])
                    self.set_monitor = self.__class__.set_monitor(service, version, mode, path + ["set_monitor"])
                    self.clear_monitors = self.__class__.clear_monitors(service, version, mode, path + ["clear_monitors"])
                    super().__init__(service, version, mode, path)
                class clear_data(TUIMethod):
                    """
                    Clear current surface monitor data.
                    """
                class list_monitors(TUIMethod):
                    """
                    List defined surface monitors.
                    """
                class set_monitor(TUIMethod):
                    """
                    Define or modify a surface monitor.
                    """
                class clear_monitors(TUIMethod):
                    """
                    Remove all defined surface monitors.
                    """

                class curves(TUIMenu):
                    """
                    Enter the curves menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.markers = self.__class__.markers(service, version, mode, path + ["markers"])
                        self.lines = self.__class__.lines(service, version, mode, path + ["lines"])
                        super().__init__(service, version, mode, path)
                    class markers(TUIMethod):
                        """
                        Set markers parameters for surface monitors.
                        """
                    class lines(TUIMethod):
                        """
                        Set lines parameters for surface monitors.
                        """

            class residual(TUIMenu):
                """
                Enters the residual monitors menu.
                """
                def __init__(self, service, version, mode, path):
                    self.scale_by_coefficient = self.__class__.scale_by_coefficient(service, version, mode, path + ["scale_by_coefficient"])
                    self.n_maximize_norms = self.__class__.n_maximize_norms(service, version, mode, path + ["n_maximize_norms"])
                    self.normalization_factors = self.__class__.normalization_factors(service, version, mode, path + ["normalization_factors"])
                    self.n_save = self.__class__.n_save(service, version, mode, path + ["n_save"])
                    self.relative_conv_criteria = self.__class__.relative_conv_criteria(service, version, mode, path + ["relative_conv_criteria"])
                    self.print = self.__class__.print(service, version, mode, path + ["print"])
                    self.monitor = self.__class__.monitor(service, version, mode, path + ["monitor"])
                    self.normalize = self.__class__.normalize(service, version, mode, path + ["normalize"])
                    self.check_convergence = self.__class__.check_convergence(service, version, mode, path + ["check_convergence"])
                    self.window = self.__class__.window(service, version, mode, path + ["window"])
                    self.criterion_type = self.__class__.criterion_type(service, version, mode, path + ["criterion_type"])
                    self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                    self.n_display = self.__class__.n_display(service, version, mode, path + ["n_display"])
                    self.re_normalize = self.__class__.re_normalize(service, version, mode, path + ["re_normalize"])
                    self.convergence_criteria = self.__class__.convergence_criteria(service, version, mode, path + ["convergence_criteria"])
                    self.enhanced_continuity_residual = self.__class__.enhanced_continuity_residual(service, version, mode, path + ["enhanced_continuity_residual"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    super().__init__(service, version, mode, path)
                class scale_by_coefficient(TUIMethod):
                    """
                    Chooses whether to scale residuals by coefficient sum in printed and plotted output.
                    """
                class n_maximize_norms(TUIMethod):
                    """
                    Sets the number of iterations through which normalization factors will be maximized.
                    """
                class normalization_factors(TUIMethod):
                    """
                    Sets normalization factors for currently monitored residuals (if normalize? is set to yes).
                    """
                class n_save(TUIMethod):
                    """
                    Sets number of residuals to be saved with data. History is automatically compacted when buffer becomes full.
                    """
                class relative_conv_criteria(TUIMethod):
                    """
                    Sets relative convergence criteria for residuals that are currently being both monitored and checked.
                    """
                class print(TUIMethod):
                    """
                    Chooses whether residuals will be printed during iteration.
                    """
                class monitor(TUIMethod):
                    """
                    Chooses which residuals to monitor as printed and/or plotted output.
                    """
                class normalize(TUIMethod):
                    """
                    Chooses whether to normalize residuals in printed and plotted output.
                    """
                class check_convergence(TUIMethod):
                    """
                    Chooses which currently monitored residuals should be checked for convergence.
                    """
                class window(TUIMethod):
                    """
                    Specifies window in which residuals will be plotted during iteration.
                    """
                class criterion_type(TUIMethod):
                    """
                    Sets convergence criterion type.
                    """
                class reset(TUIMethod):
                    """
                    Chooses whether to delete the residual history and reset iteration counter to 1.
                    """
                class n_display(TUIMethod):
                    """
                    Sets the number of most recent residuals to display in plots.
                    """
                class re_normalize(TUIMethod):
                    """
                    Re-normalize residuals by maximum values.
                    """
                class convergence_criteria(TUIMethod):
                    """
                    Sets convergence criteria for residuals that are currently being both monitored and checked.
                    """
                class enhanced_continuity_residual(TUIMethod):
                    """
                    Enables/disables an enhanced formulation for the local scaling of the continuity residuals with the pressure-based solver, so that the absolute mass flow rate at each cell is used. This text command is only available when the computing of the local scale is enabled through the solve/monitors/residual/scale-by-coefficient? text command.
                    """
                class plot(TUIMethod):
                    """
                    Chooses whether residuals will be plotted during iteration.
                    """

            class force(TUIMenu):
                """
                Enter the force monitors menu.
                """
                def __init__(self, service, version, mode, path):
                    self.unscaled = self.__class__.unscaled(service, version, mode, path + ["unscaled"])
                    self.set_moment_monitor = self.__class__.set_moment_monitor(service, version, mode, path + ["set_moment_monitor"])
                    self.clear_drag_monitor_data = self.__class__.clear_drag_monitor_data(service, version, mode, path + ["clear_drag_monitor_data"])
                    self.lift_coefficient = self.__class__.lift_coefficient(service, version, mode, path + ["lift_coefficient"])
                    self.clear_all_monitors_data = self.__class__.clear_all_monitors_data(service, version, mode, path + ["clear_all_monitors_data"])
                    self.clear_moment_monitor_data = self.__class__.clear_moment_monitor_data(service, version, mode, path + ["clear_moment_monitor_data"])
                    self.monitor_unsteady_iters = self.__class__.monitor_unsteady_iters(service, version, mode, path + ["monitor_unsteady_iters"])
                    self.clear_monitors = self.__class__.clear_monitors(service, version, mode, path + ["clear_monitors"])
                    self.list_monitors = self.__class__.list_monitors(service, version, mode, path + ["list_monitors"])
                    self.drag_coefficient = self.__class__.drag_coefficient(service, version, mode, path + ["drag_coefficient"])
                    self.moment_coefficient = self.__class__.moment_coefficient(service, version, mode, path + ["moment_coefficient"])
                    self.delete_monitors = self.__class__.delete_monitors(service, version, mode, path + ["delete_monitors"])
                    self.set_drag_monitor = self.__class__.set_drag_monitor(service, version, mode, path + ["set_drag_monitor"])
                    self.clear_lift_monitor_data = self.__class__.clear_lift_monitor_data(service, version, mode, path + ["clear_lift_monitor_data"])
                    self.set_lift_monitor = self.__class__.set_lift_monitor(service, version, mode, path + ["set_lift_monitor"])
                    super().__init__(service, version, mode, path)
                class unscaled(TUIMethod):
                    """
                    Specify whether unscaled values are desired.
                    """
                class set_moment_monitor(TUIMethod):
                    """
                    Set variables for monitoring the moment coefficient.
                    """
                class clear_drag_monitor_data(TUIMethod):
                    """
                    Clear the drag monitoring data.
                    """
                class lift_coefficient(TUIMethod):
                    """
                    Set variables for monitoring the lift coefficient.
                    """
                class clear_all_monitors_data(TUIMethod):
                    """
                    Clear all monitoring data.
                    """
                class clear_moment_monitor_data(TUIMethod):
                    """
                    Clear the moment monitoring data.
                    """
                class monitor_unsteady_iters(TUIMethod):
                    """
                    Specify whether monitors are updated every iteration or every time step for transient calculations.
                    """
                class clear_monitors(TUIMethod):
                    """
                    Clear all or specified monitor data.
                    """
                class list_monitors(TUIMethod):
                    """
                    List defined force monitors.
                    """
                class drag_coefficient(TUIMethod):
                    """
                    Set variables for monitoring the drag coefficient.
                    """
                class moment_coefficient(TUIMethod):
                    """
                    Set variables for monitoring the moment coefficient.
                    """
                class delete_monitors(TUIMethod):
                    """
                    Delete the specified monitor.
                    """
                class set_drag_monitor(TUIMethod):
                    """
                    Set variables for monitoring the drag coefficient.
                    """
                class clear_lift_monitor_data(TUIMethod):
                    """
                    Clear the lift monitoring data.
                    """
                class set_lift_monitor(TUIMethod):
                    """
                    Set variables for monitoring the lift coefficient.
                    """

            class statistic(TUIMenu):
                """
                Enter the statistic monitors menu.
                """
                def __init__(self, service, version, mode, path):
                    self.file_basename = self.__class__.file_basename(service, version, mode, path + ["file_basename"])
                    self.print = self.__class__.print(service, version, mode, path + ["print"])
                    self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                    self.monitors = self.__class__.monitors(service, version, mode, path + ["monitors"])
                    self.window = self.__class__.window(service, version, mode, path + ["window"])
                    self.x_axis = self.__class__.x_axis(service, version, mode, path + ["x_axis"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    super().__init__(service, version, mode, path)
                class file_basename(TUIMethod):
                    """
                    Specify the file basename and extension. The name of the individual monitor will be insterted automatically.
                    """
                class print(TUIMethod):
                    """
                    Enable/disable printing of statistics during iteration.
                    """
                class plot(TUIMethod):
                    """
                    Enable/disable plotting of statistics during iteration.
                    """
                class monitors(TUIMethod):
                    """
                    Choose which statistics to monitor as printed and/or plotted output.
                    """
                class window(TUIMethod):
                    """
                    Specify first window in which statistics will be plotted during iteration.
                    Multiple statistics are plotted in separate windows, beginning with this one.
                    """
                class x_axis(TUIMethod):
                    """
                    Choose what quantity to use on the abscissa in the plot and in the data written to files.
                    """
                class write(TUIMethod):
                    """
                    Enable/disable writing of statistics during iteration.
                    """

            class volume(TUIMenu):
                """
                Enter the volume menu to set integrated scalar quantities on volume(s) monitors.
                """
                def __init__(self, service, version, mode, path):
                    self.clear_monitors = self.__class__.clear_monitors(service, version, mode, path + ["clear_monitors"])
                    self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                    self.set_monitor = self.__class__.set_monitor(service, version, mode, path + ["set_monitor"])
                    self.list_monitors = self.__class__.list_monitors(service, version, mode, path + ["list_monitors"])
                    super().__init__(service, version, mode, path)
                class clear_monitors(TUIMethod):
                    """
                    Remove all defined volume monitors.
                    """
                class clear_data(TUIMethod):
                    """
                    Clear current volume monitor data.
                    """
                class set_monitor(TUIMethod):
                    """
                    Define or modify a volume monitor.
                    """
                class list_monitors(TUIMethod):
                    """
                    List defined volume monitors.
                    """

        class report_definitions(TUIMenu):
            """
            Enters the report definitions menu.
            """
            def __init__(self, service, version, mode, path):
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.convert_monitors_to_report_defns = self.__class__.convert_monitors_to_report_defns(service, version, mode, path + ["convert_monitors_to_report_defns"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                super().__init__(service, version, mode, path)
            class compute(TUIMethod):
                """
                Computes selected report definition.
                """
            class delete(TUIMethod):
                """
                Deletes a report definition.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a report definition.
                """
            class delete_all(TUIMethod):
                """
                Deletes all of the report definition objects.
                """
            class rename(TUIMethod):
                """
                Renames a report definition.
                """
            class convert_monitors_to_report_defns(TUIMethod):
                """
                Converts all monitors to Report Definitions and create new Report Sets/Plot Sets if required.
                """
            class list(TUIMethod):
                """
                Lists all defined report definitions.
                """
            class copy(TUIMethod):
                """
                Creates a copy of a report definition.
                """
            class edit(TUIMethod):
                """
                Edits a report definition.
                """

        class execute_commands(TUIMenu):
            """
            Enters the execute commands menu.
            """
            def __init__(self, service, version, mode, path):
                self.add_edit = self.__class__.add_edit(service, version, mode, path + ["add_edit"])
                self.disable = self.__class__.disable(service, version, mode, path + ["disable"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.export = self.__class__.export(service, version, mode, path + ["export"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                self.import_ = self.__class__.import_(service, version, mode, path + ["import_"])
                super().__init__(service, version, mode, path)
            class add_edit(TUIMethod):
                """
                Adds or edits execute commands.
                """
            class disable(TUIMethod):
                """
                Disables an execute command.
                """
            class copy(TUIMethod):
                """
                .
                """
            class export(TUIMethod):
                """
                .
                """
            class delete(TUIMethod):
                """
                .
                """
            class enable(TUIMethod):
                """
                Enables an execute command.
                """
            class import_(TUIMethod):
                """
                .
                """

        class cell_registers(TUIMenu):
            """
            Enters the cell registers menu.
            """
            def __init__(self, service, version, mode, path):
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.coarsen = self.__class__.coarsen(service, version, mode, path + ["coarsen"])
                self.apply_poor_mesh_numerics = self.__class__.apply_poor_mesh_numerics(service, version, mode, path + ["apply_poor_mesh_numerics"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.refine = self.__class__.refine(service, version, mode, path + ["refine"])
                self.adapt = self.__class__.adapt(service, version, mode, path + ["adapt"])
                super().__init__(service, version, mode, path)
            class edit(TUIMethod):
                """
                Edit an object.
                """
            class delete(TUIMethod):
                """
                Deletes a cell register.
                """
            class display(TUIMethod):
                """
                Displays a cell register.
                """
            class list(TUIMethod):
                """
                Lists all of the currently defined cell registers.
                """
            class coarsen(TUIMethod):
                """
                Coarsen the mesh based on a cell register.
                """
            class apply_poor_mesh_numerics(TUIMethod):
                """
                Applies poor mesh numerics to the mesh of a cell register.
                """
            class add(TUIMethod):
                """
                Add a new object.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a cell register.
                """
            class refine(TUIMethod):
                """
                Refine the mesh based on a cell register.
                """
            class adapt(TUIMethod):
                """
                Adapt cell register objects.
                """

        class report_files(TUIMenu):
            """
            Enters the report files menu.
            """
            def __init__(self, service, version, mode, path):
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                super().__init__(service, version, mode, path)
            class list(TUIMethod):
                """
                Lists all defined report files.
                """
            class add(TUIMethod):
                """
                Creates a report file.
                """
            class delete(TUIMethod):
                """
                Deletes a report file object.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a report file.
                """
            class edit(TUIMethod):
                """
                Edits a report file.
                """
            class clear_data(TUIMethod):
                """
                Clears the data associated with a report file.
                """
            class delete_all(TUIMethod):
                """
                Deletes all of the report file objects.
                """

        class set(TUIMenu):
            """
            Enters the set solution parameters menu.
            """
            def __init__(self, service, version, mode, path):
                self.nita_expert_controls = self.__class__.nita_expert_controls(service, version, mode, path + ["nita_expert_controls"])
                self.high_order_term_relaxation = self.__class__.high_order_term_relaxation(service, version, mode, path + ["high_order_term_relaxation"])
                self.slope_limiter_menu = self.__class__.slope_limiter_menu(service, version, mode, path + ["slope_limiter_menu"])
                self.fast_transient_settings = self.__class__.fast_transient_settings(service, version, mode, path + ["fast_transient_settings"])
                self.open_channel_wave_options = self.__class__.open_channel_wave_options(service, version, mode, path + ["open_channel_wave_options"])
                self.poor_mesh_removal = self.__class__.poor_mesh_removal(service, version, mode, path + ["poor_mesh_removal"])
                self.enhanced_les_numerics = self.__class__.enhanced_les_numerics(service, version, mode, path + ["enhanced_les_numerics"])
                self.transient_controls = self.__class__.transient_controls(service, version, mode, path + ["transient_controls"])
                self.divergence_prevention = self.__class__.divergence_prevention(service, version, mode, path + ["divergence_prevention"])
                self.high_speed_numerics = self.__class__.high_speed_numerics(service, version, mode, path + ["high_speed_numerics"])
                self.data_sampling_options = self.__class__.data_sampling_options(service, version, mode, path + ["data_sampling_options"])
                self.pseudo_time_method = self.__class__.pseudo_time_method(service, version, mode, path + ["pseudo_time_method"])
                self.acoustics_wave_equation_controls = self.__class__.acoustics_wave_equation_controls(service, version, mode, path + ["acoustics_wave_equation_controls"])
                self.poor_mesh_numerics = self.__class__.poor_mesh_numerics(service, version, mode, path + ["poor_mesh_numerics"])
                self.advanced = self.__class__.advanced(service, version, mode, path + ["advanced"])
                self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                self.contact_solution_controls = self.__class__.contact_solution_controls(service, version, mode, path + ["contact_solution_controls"])
                self.previous_defaults = self.__class__.previous_defaults(service, version, mode, path + ["previous_defaults"])
                self.amg_options = self.__class__.amg_options(service, version, mode, path + ["amg_options"])
                self.multiphase_numerics = self.__class__.multiphase_numerics(service, version, mode, path + ["multiphase_numerics"])
                self.warped_face_gradient_correction = self.__class__.warped_face_gradient_correction(service, version, mode, path + ["warped_face_gradient_correction"])
                self.flux_type = self.__class__.flux_type(service, version, mode, path + ["flux_type"])
                self.equation_ordering = self.__class__.equation_ordering(service, version, mode, path + ["equation_ordering"])
                self.numerics = self.__class__.numerics(service, version, mode, path + ["numerics"])
                self.pseudo_transient = self.__class__.pseudo_transient(service, version, mode, path + ["pseudo_transient"])
                self.set_all_species_together = self.__class__.set_all_species_together(service, version, mode, path + ["set_all_species_together"])
                self.courant_number = self.__class__.courant_number(service, version, mode, path + ["courant_number"])
                self.convergence_acceleration_for_stretched_meshes = self.__class__.convergence_acceleration_for_stretched_meshes(service, version, mode, path + ["convergence_acceleration_for_stretched_meshes"])
                self.open_channel_controls = self.__class__.open_channel_controls(service, version, mode, path + ["open_channel_controls"])
                self.discretization_scheme = self.__class__.discretization_scheme(service, version, mode, path + ["discretization_scheme"])
                self.p_v_controls = self.__class__.p_v_controls(service, version, mode, path + ["p_v_controls"])
                self.heterogeneous_stiff_chemistry = self.__class__.heterogeneous_stiff_chemistry(service, version, mode, path + ["heterogeneous_stiff_chemistry"])
                self.surface_tension = self.__class__.surface_tension(service, version, mode, path + ["surface_tension"])
                self.set_solution_steering = self.__class__.set_solution_steering(service, version, mode, path + ["set_solution_steering"])
                self.multi_stage = self.__class__.multi_stage(service, version, mode, path + ["multi_stage"])
                self.material_property_warnings = self.__class__.material_property_warnings(service, version, mode, path + ["material_property_warnings"])
                self.solution_steering = self.__class__.solution_steering(service, version, mode, path + ["solution_steering"])
                self.coupled_vof_expert = self.__class__.coupled_vof_expert(service, version, mode, path + ["coupled_vof_expert"])
                self.multi_grid_fas = self.__class__.multi_grid_fas(service, version, mode, path + ["multi_grid_fas"])
                self.reduced_rank_extrapolation_options = self.__class__.reduced_rank_extrapolation_options(service, version, mode, path + ["reduced_rank_extrapolation_options"])
                self.limiter_warnings = self.__class__.limiter_warnings(service, version, mode, path + ["limiter_warnings"])
                self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                self.lock_solid_temperature = self.__class__.lock_solid_temperature(service, version, mode, path + ["lock_solid_temperature"])
                self.enable_output_dp_dt = self.__class__.enable_output_dp_dt(service, version, mode, path + ["enable_output_dp_dt"])
                self.correction_tolerance = self.__class__.correction_tolerance(service, version, mode, path + ["correction_tolerance"])
                self.flow_warnings = self.__class__.flow_warnings(service, version, mode, path + ["flow_warnings"])
                self.p_v_controls_advanced = self.__class__.p_v_controls_advanced(service, version, mode, path + ["p_v_controls_advanced"])
                self.data_sampling = self.__class__.data_sampling(service, version, mode, path + ["data_sampling"])
                self.nb_gradient_boundary_option = self.__class__.nb_gradient_boundary_option(service, version, mode, path + ["nb_gradient_boundary_option"])
                self.variable_time_stepping = self.__class__.variable_time_stepping(service, version, mode, path + ["variable_time_stepping"])
                self.cfl_based_adaptive_time_stepping = self.__class__.cfl_based_adaptive_time_stepping(service, version, mode, path + ["cfl_based_adaptive_time_stepping"])
                self.reduced_rank_extrapolation = self.__class__.reduced_rank_extrapolation(service, version, mode, path + ["reduced_rank_extrapolation"])
                self.gradient_scheme = self.__class__.gradient_scheme(service, version, mode, path + ["gradient_scheme"])
                self.accelerated_non_iterative_time_marching = self.__class__.accelerated_non_iterative_time_marching(service, version, mode, path + ["accelerated_non_iterative_time_marching"])
                self.mp_reference_density = self.__class__.mp_reference_density(service, version, mode, path + ["mp_reference_density"])
                self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                self.time_step = self.__class__.time_step(service, version, mode, path + ["time_step"])
                self.set_controls_to_default = self.__class__.set_controls_to_default(service, version, mode, path + ["set_controls_to_default"])
                self.equations = self.__class__.equations(service, version, mode, path + ["equations"])
                self.reactions = self.__class__.reactions(service, version, mode, path + ["reactions"])
                self.stiff_chemistry = self.__class__.stiff_chemistry(service, version, mode, path + ["stiff_chemistry"])
                self.vof_explicit_controls = self.__class__.vof_explicit_controls(service, version, mode, path + ["vof_explicit_controls"])
                self.moving_mesh_numerics = self.__class__.moving_mesh_numerics(service, version, mode, path + ["moving_mesh_numerics"])
                self.bc_pressure_extrapolations = self.__class__.bc_pressure_extrapolations(service, version, mode, path + ["bc_pressure_extrapolations"])
                self.pseudo_transient_expert = self.__class__.pseudo_transient_expert(service, version, mode, path + ["pseudo_transient_expert"])
                self.reporting_interval = self.__class__.reporting_interval(service, version, mode, path + ["reporting_interval"])
                self.phase_based_vof_discretization = self.__class__.phase_based_vof_discretization(service, version, mode, path + ["phase_based_vof_discretization"])
                self.under_relaxation = self.__class__.under_relaxation(service, version, mode, path + ["under_relaxation"])
                self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                self.max_corrections = self.__class__.max_corrections(service, version, mode, path + ["max_corrections"])
                self.pseudo_relaxation_factor = self.__class__.pseudo_relaxation_factor(service, version, mode, path + ["pseudo_relaxation_factor"])
                self.residual_tolerance = self.__class__.residual_tolerance(service, version, mode, path + ["residual_tolerance"])
                self.vof_numerics = self.__class__.vof_numerics(service, version, mode, path + ["vof_numerics"])
                self.number_of_iterations = self.__class__.number_of_iterations(service, version, mode, path + ["number_of_iterations"])
                self.slope_limiter_set = self.__class__.slope_limiter_set(service, version, mode, path + ["slope_limiter_set"])
                self.residual_smoothing = self.__class__.residual_smoothing(service, version, mode, path + ["residual_smoothing"])
                self.surface_tension_expert = self.__class__.surface_tension_expert(service, version, mode, path + ["surface_tension_expert"])
                self.set_solution_methods_to_default = self.__class__.set_solution_methods_to_default(service, version, mode, path + ["set_solution_methods_to_default"])
                self.second_order_time_options = self.__class__.second_order_time_options(service, version, mode, path + ["second_order_time_options"])
                self.numerical_beach_controls = self.__class__.numerical_beach_controls(service, version, mode, path + ["numerical_beach_controls"])
                self.nb_gradient_new_symmetry_periodic = self.__class__.nb_gradient_new_symmetry_periodic(service, version, mode, path + ["nb_gradient_new_symmetry_periodic"])
                self.multi_grid_controls = self.__class__.multi_grid_controls(service, version, mode, path + ["multi_grid_controls"])
                self.residual_verbosity = self.__class__.residual_verbosity(service, version, mode, path + ["residual_verbosity"])
                self.limits = self.__class__.limits(service, version, mode, path + ["limits"])
                self.disable_reconstruction = self.__class__.disable_reconstruction(service, version, mode, path + ["disable_reconstruction"])
                self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                self.multi_grid_amg = self.__class__.multi_grid_amg(service, version, mode, path + ["multi_grid_amg"])
                self.adaptive_time_stepping = self.__class__.adaptive_time_stepping(service, version, mode, path + ["adaptive_time_stepping"])
                self.mp_mfluid_aniso_drag = self.__class__.mp_mfluid_aniso_drag(service, version, mode, path + ["mp_mfluid_aniso_drag"])
                super().__init__(service, version, mode, path)
            class flux_type(TUIMethod):
                """
                Enter the flux type.
                """
            class equation_ordering(TUIMethod):
                """
                Sets the order in which the model equations are solved, which can affect the convergence speed when you are using the pressure-based solver. The standard method is enabled by default and corresponds to the ordering shown in  and  in the Theory Guide; alternatively, you can select theoptimized-for-volumetric-expansion method, which is recommended for flows in which the density is strongly dependent on thermal effects, chemical composition, and so on (such as combustion simulations). This text command is not available for steady simulations and/or when a multiphase model is enabled.
                """
            class numerics(TUIMethod):
                """
                Sets numerics options.
                """
            class pseudo_transient(TUIMethod):
                """
                For backward compatibility, pseudo transient (global time-step) formulation setup.
                """
            class set_all_species_together(TUIMethod):
                """
                Sets all species discretizations and URFs together.
                """
            class courant_number(TUIMethod):
                """
                Sets the fine-grid Courant number (time step factor). This command is available only for the coupled solvers.
                """
            class convergence_acceleration_for_stretched_meshes(TUIMethod):
                """
                Enables convergence acceleration for stretched meshes to improve the convergence of the implicit density based solver on meshes with high cell stretching.
                """
            class open_channel_controls(TUIMethod):
                """
                For flows that do not transition from sub-critical to super-critical, or vice-versa, you can speed-up the solution calculation by updating the frequency of Froude number during run time.
                """
            class discretization_scheme(TUIMethod):
                """
                Enters the discretization scheme menu. This allows you to select the discretization scheme for the convection terms in the solution equations. The following text commands can make a selection from a subset of the models in the following table:.
                """
            class p_v_controls(TUIMethod):
                """
                Sets pressure-velocity controls.
                """
            class heterogeneous_stiff_chemistry(TUIMethod):
                """
                Sets the heterogeneous stiff-chemistry solver.
                """
            class surface_tension(TUIMethod):
                """
                Sets surface-tension calculation options.
                """
            class set_solution_steering(TUIMethod):
                """
                Sets solution steering parameters.
                """
            class multi_stage(TUIMethod):
                """
                Sets the multi-stage coefficients and the dissipation and viscous evaluation stages. This command appears only when the explicit coupled solver is used.
                """
            class material_property_warnings(TUIMethod):
                """
                Control the display of material property warning diagnostics:
                0 - off (no messages)
                1 - messages per material
                2 - messages per material and per property.
                """
            class solution_steering(TUIMethod):
                """
                Enables solution steering for the density-based solver.
                """
            class coupled_vof_expert(TUIMethod):
                """
                Set coupled vof expert controls.
                """
            class multi_grid_fas(TUIMethod):
                """
                Sets the parameters that control the FAS multigrid solver. This command appears only when the explicit coupled solver is used.
                """
            class reduced_rank_extrapolation_options(TUIMethod):
                """
                .
                """
            class limiter_warnings(TUIMethod):
                """
                Specifies whether or not to print warning messages when quantities are being limited. By default, limiter warnings are printed.
                """
            class relaxation_factor(TUIMethod):
                """
                Enters the relaxation-factor menu.
                """
            class lock_solid_temperature(TUIMethod):
                """
                Specifies whether you want to lock (or “freeze”) the temperature values for all the cells in solid zones (including those to which you have a hooked an energy source through a UDF) and in walls that have shell conduction enabled, so that the values do not change during further solver iterations.
                """
            class enable_output_dp_dt(TUIMethod):
                """
                Controls whether the output field variabledp-dt will be available for transient simulation postprocessing. If you select no, pressure fields at the previous time steps will not be stored in memory which reduces memory usage.
                """
            class correction_tolerance(TUIMethod):
                """
                Enters the correction tolerance menu.
                """
            class flow_warnings(TUIMethod):
                """
                Specifies whether or not to print warning messages when reversed flow occurs at inlets and outlets, and when mass-flow inlets develop supersonic regions. By default, flow warnings are printed.
                """
            class p_v_controls_advanced(TUIMethod):
                """
                Set advanced pressure-velocity coupling controls.
                """
            class data_sampling(TUIMethod):
                """
                Enables data sampling for steady or unsteady flow statistics.
                """
            class nb_gradient_boundary_option(TUIMethod):
                """
                Switches between the modified treatment of node-based gradients at boundary cells and the legacy treatment (R14.5.7 and earlier). If using the density-based solver, you can also specify the extended treatment. For details, see .
                """
            class variable_time_stepping(TUIMethod):
                """
                Set Multiphase-Specific Adaptive time stepping parameters.
                """
            class cfl_based_adaptive_time_stepping(TUIMethod):
                """
                Set CFL-based adaptive time-stepping parameters.
                """
            class reduced_rank_extrapolation(TUIMethod):
                """
                .
                """
            class gradient_scheme(TUIMethod):
                """
                Sets gradient options.
                """
            class accelerated_non_iterative_time_marching(TUIMethod):
                """
                Enables a modified NITA scheme and other setting changes that can speed up the simulation. This option is only available with the Large Eddy Simulation (LES) turbulence model, and is intended for unreacting flow simulations that use a constant-density fluid.
                """
            class mp_reference_density(TUIMethod):
                """
                Sets the reference density method for the Eulerian multiphase model. The following options are available:
                0 (default): Averaged density of the phase
                1: Cell density of the phase
                1: Constant value of 1
                1: Cell density of the phase
                See  for more information.
                """
            class relaxation_method(TUIMethod):
                """
                Sets the solver relaxation method.
                """
            class time_step(TUIMethod):
                """
                .
                """
            class set_controls_to_default(TUIMethod):
                """
                Sets controls to default values.
                """
            class equations(TUIMethod):
                """
                Selects the equations to be solved.
                """
            class reactions(TUIMethod):
                """
                Enables the species reaction sources and sets relaxation factor.
                """
            class stiff_chemistry(TUIMethod):
                """
                Sets solver options for stiff chemistry solutions.
                """
            class vof_explicit_controls(TUIMethod):
                """
                Sets the sub time step calculation method for VOF calculations.
                """
            class moving_mesh_numerics(TUIMethod):
                """
                Transient options for sliding, moving, and/or dynamic mesh.
                """
            class bc_pressure_extrapolations(TUIMethod):
                """
                Sets pressure extrapolations schemes on boundaries.
                """
            class pseudo_transient_expert(TUIMethod):
                """
                For backward compatibility, pseudo transient expert usage control.
                """
            class reporting_interval(TUIMethod):
                """
                Sets the number of iterations for which convergence monitors are reported. The default is 1 (after every iteration).
                """
            class phase_based_vof_discretization(TUIMethod):
                """
                Sets phase based slope limiter for VOF compressive scheme.
                """
            class under_relaxation(TUIMethod):
                """
                Enters the under-relaxation menu, which allows you to set the under-relaxation factor for each equation that is being solved in a segregated manner.
                """
            class p_v_coupling(TUIMethod):
                """
                Selects which pressure-velocity coupling scheme is to be used. Five schemes are available:.
                """
            class max_corrections(TUIMethod):
                """
                Enters the max-corrections menu.
                """
            class pseudo_relaxation_factor(TUIMethod):
                """
                For backward compatibility, pseudo relaxation factor menu.
                """
            class residual_tolerance(TUIMethod):
                """
                Enters the residual tolerance menu.
                """
            class vof_numerics(TUIMethod):
                """
                Sets VOF numeric options.
                """
            class number_of_iterations(TUIMethod):
                """
                Sets the number of iterations for a steady-state simulation without starting the calculation.
                """
            class slope_limiter_set(TUIMethod):
                """
                Selects a new Fluent solver slope limiter.
                """
            class residual_smoothing(TUIMethod):
                """
                Sets the implicit residual smoothing parameters. This command is available only for the explicit coupled solver.
                """
            class surface_tension_expert(TUIMethod):
                """
                Set surface-tension expert options.
                """
            class set_solution_methods_to_default(TUIMethod):
                """
                Sets the solution methods to the default settings.
                """
            class second_order_time_options(TUIMethod):
                """
                Enables / disables the variable time step size formulation for second-order implicit transient formulations. If you disable the variable time step size formulation, note that any change in the time step size will introduce an error proportional to the change in the time step size ratio.
                """
            class numerical_beach_controls(TUIMethod):
                """
                Sets damping function in flow direction. This command appears only when the VOF model is enabled. Select the damping function to be used:
                Index
                Damping Function
                0
                Linear
                1
                Quadratic
                2
                Cubic
                3
                Cosine.
                """
            class nb_gradient_new_symmetry_periodic(TUIMethod):
                """
                Set improved ggnb symmetric/periodic boundary treatment.
                """
            class multi_grid_controls(TUIMethod):
                """
                Sets multigrid parameters and termination criteria.
                """
            class residual_verbosity(TUIMethod):
                """
                Sets the amount of residual information to be printed. A value of 0 (the default) prints residuals at the end of each fine grid iteration. A value of 1 prints residuals after every stage of the fine grid iteration. A value of 2 prints residuals after every stage on every grid level.
                """
            class limits(TUIMethod):
                """
                Sets solver limits for various solution variables, in order to improve the stability of the solution.
                """
            class disable_reconstruction(TUIMethod):
                """
                Completely disables reconstruction, resulting in totally first-order accuracy.
                """
            class expert(TUIMethod):
                """
                Sets expert options.
                """
            class multi_grid_amg(TUIMethod):
                """
                Sets the parameters that govern the algebraic multigrid procedure.
                """
            class adaptive_time_stepping(TUIMethod):
                """
                Set Error-based adaptive time-stepping parameters.
                """
            class mp_mfluid_aniso_drag(TUIMethod):
                """
                Sets anisotropic drag parameters for the Eulerian multiphase model.
                """

            class nita_expert_controls(TUIMenu):
                """
                Enters the NITA expert control menu.
                """
                def __init__(self, service, version, mode, path):
                    self.skewness_neighbor_coupling = self.__class__.skewness_neighbor_coupling(service, version, mode, path + ["skewness_neighbor_coupling"])
                    self.hybrid_nita_settings = self.__class__.hybrid_nita_settings(service, version, mode, path + ["hybrid_nita_settings"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    super().__init__(service, version, mode, path)
                class skewness_neighbor_coupling(TUIMethod):
                    """
                    Enables/disables coupling of the neighbor and skewness corrections.
                    """
                class hybrid_nita_settings(TUIMethod):
                    """
                    Enables and sets hybrid NITA options. For more details, see .
                    """
                class verbosity(TUIMethod):
                    """
                    .
                    """

            class high_order_term_relaxation(TUIMenu):
                """
                Enter High Order Relaxation Menu.
                """
                def __init__(self, service, version, mode, path):
                    self.options = self.__class__.options(service, version, mode, path + ["options"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables/disables High Order Term Relaxation.
                    """

                class options(TUIMenu):
                    """
                    High Order Term Relaxation Options.
                    """
                    def __init__(self, service, version, mode, path):
                        self.variables = self.__class__.variables(service, version, mode, path + ["variables"])
                        self.relaxation_factor = self.__class__.relaxation_factor(service, version, mode, path + ["relaxation_factor"])
                        self.type = self.__class__.type(service, version, mode, path + ["type"])
                        super().__init__(service, version, mode, path)
                    class relaxation_factor(TUIMethod):
                        """
                        Sets the relaxation factor.
                        """
                    class type(TUIMethod):
                        """
                        Enter high order relaxation type.
                        """

                    class variables(TUIMenu):
                        """
                        Selects the variables.
                        """
                        def __init__(self, service, version, mode, path):
                            self.select = self.__class__.select(service, version, mode, path + ["select"])
                            super().__init__(service, version, mode, path)
                        class select(TUIMethod):
                            """
                            Select variables for high order term relaxation.
                            """

            class slope_limiter_menu(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.direction = self.__class__.direction(service, version, mode, path + ["direction"])
                    self.filter = self.__class__.filter(service, version, mode, path + ["filter"])
                    self.type = self.__class__.type(service, version, mode, path + ["type"])
                    super().__init__(service, version, mode, path)
                class direction(TUIMethod):
                    """
                    .
                    """
                class filter(TUIMethod):
                    """
                    .
                    """
                class type(TUIMethod):
                    """
                    .
                    """

            class fast_transient_settings(TUIMenu):
                """
                Enters the fast transient settings menu. This menu is only available for transient cases that use the density-based solver.
                """
                def __init__(self, service, version, mode, path):
                    self.rk2 = self.__class__.rk2(service, version, mode, path + ["rk2"])
                    super().__init__(service, version, mode, path)
                class rk2(TUIMethod):
                    """
                    Allows you to enable the use of a two-stage Runge-Kutta scheme for time integration, or revert to the default multi-stage Runge-Kutta scheme. This text command is only available for transient cases that use the density-based explicit formulation.
                    """

            class open_channel_wave_options(TUIMenu):
                """
                Sets buffer layer height, verbosity, and open channel wave theory formulation.
                """
                def __init__(self, service, version, mode, path):
                    self.stokes_wave_variants = self.__class__.stokes_wave_variants(service, version, mode, path + ["stokes_wave_variants"])
                    self.set_verbosity = self.__class__.set_verbosity(service, version, mode, path + ["set_verbosity"])
                    self.set_buffer_layer_ht = self.__class__.set_buffer_layer_ht(service, version, mode, path + ["set_buffer_layer_ht"])
                    super().__init__(service, version, mode, path)
                class stokes_wave_variants(TUIMethod):
                    """
                    Specifies which open channel wave theory formulation Fluent uses.
                    """
                class set_verbosity(TUIMethod):
                    """
                    Sets the open channel wave verbosity.
                    """
                class set_buffer_layer_ht(TUIMethod):
                    """
                    Sets the buffer layer height.
                    """

            class poor_mesh_removal(TUIMenu):
                """
                Enter Poor Mesh Removal Menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.orthogonal_quality_threshold = self.__class__.orthogonal_quality_threshold(service, version, mode, path + ["orthogonal_quality_threshold"])
                    self.warpage_threshold = self.__class__.warpage_threshold(service, version, mode, path + ["warpage_threshold"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enable poor mesh removal.
                    """
                class orthogonal_quality_threshold(TUIMethod):
                    """
                    Set orthogonal quality threshold.
                    """
                class warpage_threshold(TUIMethod):
                    """
                    Set warapge threshold.
                    """

            class enhanced_les_numerics(TUIMenu):
                """
                Enter enhanced LES options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.optimized_cd = self.__class__.optimized_cd(service, version, mode, path + ["optimized_cd"])
                    self.optimized_advection = self.__class__.optimized_advection(service, version, mode, path + ["optimized_advection"])
                    self.optimized_algorithm = self.__class__.optimized_algorithm(service, version, mode, path + ["optimized_algorithm"])
                    super().__init__(service, version, mode, path)
                class optimized_cd(TUIMethod):
                    """
                    Use optimized central difference discretization.
                    """
                class optimized_advection(TUIMethod):
                    """
                    Use advection scheme optimized for LES.
                    """
                class optimized_algorithm(TUIMethod):
                    """
                    Use solver algorithm optimized for LES.
                    """

            class transient_controls(TUIMenu):
                """
                Enters the transient controls menu, which allows you to define settings related to time advancement for transient flow calculations.
                """
                def __init__(self, service, version, mode, path):
                    self.multiphase_specific_time_constraints = self.__class__.multiphase_specific_time_constraints(service, version, mode, path + ["multiphase_specific_time_constraints"])
                    self.cfl_based_time_stepping_advanced_options = self.__class__.cfl_based_time_stepping_advanced_options(service, version, mode, path + ["cfl_based_time_stepping_advanced_options"])
                    self.extrapolate_vars = self.__class__.extrapolate_vars(service, version, mode, path + ["extrapolate_vars"])
                    self.predict_next_time = self.__class__.predict_next_time(service, version, mode, path + ["predict_next_time"])
                    self.max_flow_time = self.__class__.max_flow_time(service, version, mode, path + ["max_flow_time"])
                    self.time_step_size = self.__class__.time_step_size(service, version, mode, path + ["time_step_size"])
                    self.multiphase_specific_time_stepping = self.__class__.multiphase_specific_time_stepping(service, version, mode, path + ["multiphase_specific_time_stepping"])
                    self.solution_status = self.__class__.solution_status(service, version, mode, path + ["solution_status"])
                    self.solid_time_step_size = self.__class__.solid_time_step_size(service, version, mode, path + ["solid_time_step_size"])
                    self.error_based_time_stepping = self.__class__.error_based_time_stepping(service, version, mode, path + ["error_based_time_stepping"])
                    self.specified_time_step = self.__class__.specified_time_step(service, version, mode, path + ["specified_time_step"])
                    self.total_time = self.__class__.total_time(service, version, mode, path + ["total_time"])
                    self.time_step_size_for_acoustic_export = self.__class__.time_step_size_for_acoustic_export(service, version, mode, path + ["time_step_size_for_acoustic_export"])
                    self.fixed_periodic = self.__class__.fixed_periodic(service, version, mode, path + ["fixed_periodic"])
                    self.cfl_based_time_stepping = self.__class__.cfl_based_time_stepping(service, version, mode, path + ["cfl_based_time_stepping"])
                    self.duration_specification_method = self.__class__.duration_specification_method(service, version, mode, path + ["duration_specification_method"])
                    self.incremental_time = self.__class__.incremental_time(service, version, mode, path + ["incremental_time"])
                    self.undo_timestep = self.__class__.undo_timestep(service, version, mode, path + ["undo_timestep"])
                    self.extrapolate_eqn_vars = self.__class__.extrapolate_eqn_vars(service, version, mode, path + ["extrapolate_eqn_vars"])
                    self.fixed_user_specified = self.__class__.fixed_user_specified(service, version, mode, path + ["fixed_user_specified"])
                    self.max_iterations_per_time_step = self.__class__.max_iterations_per_time_step(service, version, mode, path + ["max_iterations_per_time_step"])
                    self.udf_based_time_stepping = self.__class__.udf_based_time_stepping(service, version, mode, path + ["udf_based_time_stepping"])
                    self.rotating_mesh_flow_predictor = self.__class__.rotating_mesh_flow_predictor(service, version, mode, path + ["rotating_mesh_flow_predictor"])
                    self.total_number_of_time_steps = self.__class__.total_number_of_time_steps(service, version, mode, path + ["total_number_of_time_steps"])
                    self.number_of_time_steps = self.__class__.number_of_time_steps(service, version, mode, path + ["number_of_time_steps"])
                    super().__init__(service, version, mode, path)
                class cfl_based_time_stepping_advanced_options(TUIMethod):
                    """
                    .
                    """
                class extrapolate_vars(TUIMethod):
                    """
                    Applies a predictor algorithm for computing initial conditions at time step n+1. The predictor algorithm is a computation that sets a better initial condition for the time step.
                    """
                class predict_next_time(TUIMethod):
                    """
                    Applies a predictor algorithm for computing the next time step. The predictor algorithm is a computation that sets a better initial condition for the time step. It uses the rate of change between the prediction and the correction as an indicator for whether the next time step should be larger, smaller, or the same as the current one.
                    """
                class max_flow_time(TUIMethod):
                    """
                    Sets the maximum flow time.
                    """
                class time_step_size(TUIMethod):
                    """
                    Sets the magnitude of the (physical) time step . This text command is only available when the solve/set/transient-controls/fixed-user-specified text command is set toyes.
                    """
                class multiphase_specific_time_stepping(TUIMethod):
                    """
                    Allows you to specify that an adaptive time stepping method is used in which the time step gets modified by ANSYS Fluent  based on the convective time scale (global Courant number): the time-step-size calculation depends on the mesh density and velocity in interfacial cells. This method is available for all multiphase models using the implicit or explicit volume fraction formulation, except for the wet steam model.
                    """
                class solution_status(TUIMethod):
                    """
                    Allows you to open theSimulation Status dialog box, which reports details about the simulation.
                    """
                class solid_time_step_size(TUIMethod):
                    """
                    Allows you to specify that the time step size used for solid zones is independent from that used for fluid zones. This text command is only available when both a solid zone exists and energy is enabled.
                    """
                class error_based_time_stepping(TUIMethod):
                    """
                    Allows you to specify that an adaptive time stepping method is used in which the time step gets modified by ANSYS Fluent  based on the specified truncation error tolerance.
                    """
                class specified_time_step(TUIMethod):
                    """
                    Specifies whether to define the transient advancement either directly by entering a time step size / period / frequency (using the text commands available in thesolve/set/transient-controls menu) or indirectly by entering a Courant number value (using the solve/set/courant-number text command). This text command is only available for the density-based solver when both the explicit formulation and explicit transient formulation are used.
                    """
                class total_time(TUIMethod):
                    """
                    Sets the total amount of time that the simulation will be run (which includes any time that has already been run in previous calculations). This text command is only available when the solve/set/transient-controls/duration-specification-method is set to2.
                    """
                class time_step_size_for_acoustic_export(TUIMethod):
                    """
                    Specifies the time interval for acoustic data sampling. This text command is only available when both the Ffowcs Williams and Hawkings model is selected and the density-based solver is used with the explicit formulation and explicit transient formulation.
                    """
                class fixed_periodic(TUIMethod):
                    """
                    Allows you to specify that a fixed time stepping method is used in which a specified period or frequency is the basis for determining the time step size and number of time steps.
                    """
                class cfl_based_time_stepping(TUIMethod):
                    """
                    Allows you to specify that an adaptive time stepping method is used in which the time step gets modified by ANSYS Fluent as the calculation proceeds such that the Courant–Friedrichs–Lewy (CFL) condition is satisfied, using the specified Courant number.
                    """
                class duration_specification_method(TUIMethod):
                    """
                    Sets the method by which you will specify the duration of the calculation. The duration can be defined by the total time, the total number of time steps, the incremental time, or the number of incremental time steps. In this context, "total" indicates that Fluent will consider the amount of time / steps that have already been solved and stop appropriately, whereas "incremental" indicates that the solution will proceed for a specified amount of time / steps regardless of what has previously been calculated. This text command is only available when the time stepping is adaptive or based on a user-defined function.
                    """
                class incremental_time(TUIMethod):
                    """
                    Sets the amount of incremental (that is, additional) time to run the simulation, regardless of how much time has already been run in previous calculations. This text command is only available when the solve/set/transient-controls/duration-specification-method is set to3.
                    """
                class undo_timestep(TUIMethod):
                    """
                    When enabled, if the truncation error within a time step exceeds the specified tolerance Fluent will automatically undo the current calculation and make another attempt with the time step reduced by 1/2. This will be attempted up to 5 times after which Fluent will accept the result and proceed to the next time step.
                    """
                class extrapolate_eqn_vars(TUIMethod):
                    """
                    Enters the extrapolation menu.
                    """
                class fixed_user_specified(TUIMethod):
                    """
                    Allows you to specify that a fixed time stepping method is used in which you directly specify the time step size and number of time steps.
                    """
                class max_iterations_per_time_step(TUIMethod):
                    """
                    Sets the number of time steps for a transient simulation.  This option is available when automatic initialization and case modification is enabled.
                    """
                class udf_based_time_stepping(TUIMethod):
                    """
                    Allows you to specify that the time step size is defined by a user-defined function (UDF) that uses theDEFINE_DELTAT macro.
                    """
                class rotating_mesh_flow_predictor(TUIMethod):
                    """
                    Enables / disables an option that allows for better prediction of the flow field in rotating fluid zones at every time step, in order to speed up the calculation. This text command is only available for transient simulations.
                    """
                class total_number_of_time_steps(TUIMethod):
                    """
                    Sets the total number of time steps that the simulation will run (which includes any time steps that have already been run in previous calculations). This text command is only available when the solve/set/transient-controls/duration-specification-method is set to1.
                    """
                class number_of_time_steps(TUIMethod):
                    """
                    Sets the number of time steps for a transient simulation without starting the calculation.
                    """

                class multiphase_specific_time_constraints(TUIMenu):
                    """
                    Enters the menu for setting multiphase-specific time constraints.
                    """
                    def __init__(self, service, version, mode, path):
                        self.time_scale_options = self.__class__.time_scale_options(service, version, mode, path + ["time_scale_options"])
                        self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                        self.physics_based_constraint = self.__class__.physics_based_constraint(service, version, mode, path + ["physics_based_constraint"])
                        self.moving_mesh_cfl_constraint = self.__class__.moving_mesh_cfl_constraint(service, version, mode, path + ["moving_mesh_cfl_constraint"])
                        super().__init__(service, version, mode, path)
                    class verbosity(TUIMethod):
                        """
                        When enabled, various time scales (depending on the selection) are  printed to the console window at every time step. This text command is  available with the moving mesh CFL constraint and with the physics-based  constraint.
                        """
                    class physics_based_constraint(TUIMethod):
                        """
                        Enables/disables the physics-driven time-step constraints.
                        """
                    class moving_mesh_cfl_constraint(TUIMethod):
                        """
                        .
                        """

                    class time_scale_options(TUIMenu):
                        """
                        Enters the menu for choosing the time-scale options. This menu  becomes available after you enable the physics-driven time-step  constraints using the solve/set/transient-controls/multiphase-specific-time-constraints/physics-based-constraint?  text command.
                        """
                        def __init__(self, service, version, mode, path):
                            self.gravity_scale = self.__class__.gravity_scale(service, version, mode, path + ["gravity_scale"])
                            self.acoustic_scale = self.__class__.acoustic_scale(service, version, mode, path + ["acoustic_scale"])
                            self.surface_tension_scale = self.__class__.surface_tension_scale(service, version, mode, path + ["surface_tension_scale"])
                            self.viscous_scale = self.__class__.viscous_scale(service, version, mode, path + ["viscous_scale"])
                            super().__init__(service, version, mode, path)
                        class gravity_scale(TUIMethod):
                            """
                            Allows you to Include the gravitational time scale. This option is available only if gravity is enabled.
                            """
                        class acoustic_scale(TUIMethod):
                            """
                            Allows you to Include the acoustic time scale. This option is available only for compressible flows.
                            """
                        class surface_tension_scale(TUIMethod):
                            """
                            Allows you to Include the surface-tension-driven time scale. This option is available only if the surface tension force modeling is enabled.
                            """
                        class viscous_scale(TUIMethod):
                            """
                            Allows you to Include the viscous time scale. This option is disabled by default. This command is not available with inviscid flows.
                            """

            class divergence_prevention(TUIMenu):
                """
                Enters the divergence prevention menu. This menu is only available for the density-based solver.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables a divergence prevention option so that Fluent applies under-relaxation to the variables in select cells where the temperature and/or pressure values are approaching the minimum and/or maximum limits.
                    """

            class high_speed_numerics(TUIMenu):
                """
                Enter high-speed-numerics menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.visualize_pressure_discontinuity_sensor = self.__class__.visualize_pressure_discontinuity_sensor(service, version, mode, path + ["visualize_pressure_discontinuity_sensor"])
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables/disables High Speed Numerics.
                    """
                class visualize_pressure_discontinuity_sensor(TUIMethod):
                    """
                    Makes available the Pressure Discontinuity Sensor which is a binary identifier equal to 1 if a cell is in proximity of a pressure discontinuity.
                    """
                class expert(TUIMethod):
                    """
                    Sets the level of stabilization used to achieve fast convergence. Enter a number 0-5 corresponding to the Mach number range that best characterizes the flow.
                    """

            class data_sampling_options(TUIMenu):
                """
                Enter the menu for specifying quantities and zones for steady and unsteady flow statistics.
                """
                def __init__(self, service, version, mode, path):
                    self.dft_datasets = self.__class__.dft_datasets(service, version, mode, path + ["dft_datasets"])
                    self.list_datasets = self.__class__.list_datasets(service, version, mode, path + ["list_datasets"])
                    self.remove_dataset = self.__class__.remove_dataset(service, version, mode, path + ["remove_dataset"])
                    self.add_datasets = self.__class__.add_datasets(service, version, mode, path + ["add_datasets"])
                    super().__init__(service, version, mode, path)
                class list_datasets(TUIMethod):
                    """
                    Lists the combinations of zones and quantities that are defined for sampling steady and unsteady flow statistics.
                    """
                class remove_dataset(TUIMethod):
                    """
                    Remove dataset.
                    """
                class add_datasets(TUIMethod):
                    """
                    Add a dataset. After providing the zones for a dataset, press [Enter] to move onto selecting quantities. Enter () to complete the quantity selection for this dataset.
                    """

                class dft_datasets(TUIMenu):
                    """
                    Data sampling options for runtime discrete Fourier transform.
                    """
                    def __init__(self, service, version, mode, path):
                        self.window_function = self.__class__.window_function(service, version, mode, path + ["window_function"])
                        self.delete_dataset = self.__class__.delete_dataset(service, version, mode, path + ["delete_dataset"])
                        self.quantities = self.__class__.quantities(service, version, mode, path + ["quantities"])
                        self.zones = self.__class__.zones(service, version, mode, path + ["zones"])
                        self.add_band_datasets = self.__class__.add_band_datasets(service, version, mode, path + ["add_band_datasets"])
                        self.list_datasets = self.__class__.list_datasets(service, version, mode, path + ["list_datasets"])
                        self.dataset_properties = self.__class__.dataset_properties(service, version, mode, path + ["dataset_properties"])
                        self.add_tone_datasets = self.__class__.add_tone_datasets(service, version, mode, path + ["add_tone_datasets"])
                        super().__init__(service, version, mode, path)
                    class window_function(TUIMethod):
                        """
                        Select window function for a DFT dataset.
                        """
                    class delete_dataset(TUIMethod):
                        """
                        Delete DFT datasets.
                        """
                    class quantities(TUIMethod):
                        """
                        Select quantities for a new DFT dataset. Enter () to complete the quantity selection.
                        """
                    class zones(TUIMethod):
                        """
                        Select zones for a new DFT dataset.
                        """
                    class add_band_datasets(TUIMethod):
                        """
                        Add DFT datasets for a frequency band.
                        """
                    class list_datasets(TUIMethod):
                        """
                        List DFT datasets.
                        """
                    class dataset_properties(TUIMethod):
                        """
                        Print properties of a DFT dataset.
                        """
                    class add_tone_datasets(TUIMethod):
                        """
                        Add DFT datasets for a single tone.
                        """

            class pseudo_time_method(TUIMenu):
                """
                Enters the pseudo time method menu. This menu is only available for cases that use a pressure-based segregated solver (SIMPLE, SIMPLEC, or PISO) or for steady-state cases that use the pressure-based coupled solver or the density-based implicit solver.
                """
                def __init__(self, service, version, mode, path):
                    self.local_time_step_settings = self.__class__.local_time_step_settings(service, version, mode, path + ["local_time_step_settings"])
                    self.global_time_step_settings = self.__class__.global_time_step_settings(service, version, mode, path + ["global_time_step_settings"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.relaxation_factors = self.__class__.relaxation_factors(service, version, mode, path + ["relaxation_factors"])
                    self.explicit_relaxation = self.__class__.explicit_relaxation(service, version, mode, path + ["explicit_relaxation"])
                    self.advanced_options = self.__class__.advanced_options(service, version, mode, path + ["advanced_options"])
                    self.relaxation_bounds = self.__class__.relaxation_bounds(service, version, mode, path + ["relaxation_bounds"])
                    self.relaxation_method = self.__class__.relaxation_method(service, version, mode, path + ["relaxation_method"])
                    self.formulation = self.__class__.formulation(service, version, mode, path + ["formulation"])
                    self.convergence_acceleration_for_stretched_meshes = self.__class__.convergence_acceleration_for_stretched_meshes(service, version, mode, path + ["convergence_acceleration_for_stretched_meshes"])
                    super().__init__(service, version, mode, path)
                class local_time_step_settings(TUIMethod):
                    """
                    Defines the pseudo time Courant number when the local time step formulation is selected.
                    """
                class global_time_step_settings(TUIMethod):
                    """
                    Defines the pseudo time settings for the calculation when the global time step formulation is selected.
                    """
                class verbosity(TUIMethod):
                    """
                    Sets the verbosity of the messages related to the pseudo time method.
                    """
                class relaxation_factors(TUIMethod):
                    """
                    Enters the relaxation factors menu, where you can set the pseudo time explicit relaxation factors for individual equations. These factors only apply when the global time step formulation is selected.
                    """
                class explicit_relaxation(TUIMethod):
                    """
                    Enable the explicit relaxation option for the pseudo time method.
                    """
                class advanced_options(TUIMethod):
                    """
                    Enters the advanced options menu, which allows you to enable / disable the pseudo time method for individual equations and define their pseudo time scale factors or under-relaxation factors, respectively. These settings only apply when the global time step formulation is selected.
                    """
                class relaxation_bounds(TUIMethod):
                    """
                    Select relaxation bounding scheme for pseudo time method.
                    """
                class relaxation_method(TUIMethod):
                    """
                    Select relaxation definition for pseudo time method.
                    """
                class formulation(TUIMethod):
                    """
                    Enables and sets the pseudo time step size formulation or disables the pseudo time method option.
                    """
                class convergence_acceleration_for_stretched_meshes(TUIMethod):
                    """
                    Enable convergence acceleration for stretched meshes to improve the convergence of the implicit pressure based solver on meshes with high cell stretching.
                    """

            class acoustics_wave_equation_controls(TUIMenu):
                """
                Enters the menu to specify parameters of the acoustics wave equation solver.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.max_iterations_per_timestep = self.__class__.max_iterations_per_timestep(service, version, mode, path + ["max_iterations_per_timestep"])
                    self.relative_convergence_criterion = self.__class__.relative_convergence_criterion(service, version, mode, path + ["relative_convergence_criterion"])
                    super().__init__(service, version, mode, path)
                class max_iterations_per_timestep(TUIMethod):
                    """
                    .
                    """
                class relative_convergence_criterion(TUIMethod):
                    """
                    .
                    """

                class expert(TUIMenu):
                    """
                    Enters the menu to specify the expert parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.under_relaxation_factor = self.__class__.under_relaxation_factor(service, version, mode, path + ["under_relaxation_factor"])
                        self.explicit_relaxation_factor = self.__class__.explicit_relaxation_factor(service, version, mode, path + ["explicit_relaxation_factor"])
                        super().__init__(service, version, mode, path)
                    class under_relaxation_factor(TUIMethod):
                        """
                        Specifies the implicit under-relaxation factor. Should be used only  with bad meshes, when the AMG linear solver does not converge.
                        """
                    class explicit_relaxation_factor(TUIMethod):
                        """
                        Specifies the explicit relaxation factor. Should be used only with  bad meshes, when iterations do not converge.
                        """

            class poor_mesh_numerics(TUIMenu):
                """
                Enters the poor mesh numerics menu.
                """
                def __init__(self, service, version, mode, path):
                    self.solution_based_pmn = self.__class__.solution_based_pmn(service, version, mode, path + ["solution_based_pmn"])
                    self.register_based = self.__class__.register_based(service, version, mode, path + ["register_based"])
                    self.user_defined_on_register_auto = self.__class__.user_defined_on_register_auto(service, version, mode, path + ["user_defined_on_register_auto"])
                    self.turbulence_production_term = self.__class__.turbulence_production_term(service, version, mode, path + ["turbulence_production_term"])
                    self.enhanced_pmn = self.__class__.enhanced_pmn(service, version, mode, path + ["enhanced_pmn"])
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.cell_quality_based = self.__class__.cell_quality_based(service, version, mode, path + ["cell_quality_based"])
                    self.user_defined_on_register = self.__class__.user_defined_on_register(service, version, mode, path + ["user_defined_on_register"])
                    self.print_poor_elements_count = self.__class__.print_poor_elements_count(service, version, mode, path + ["print_poor_elements_count"])
                    self.solution_and_quality_based = self.__class__.solution_and_quality_based(service, version, mode, path + ["solution_and_quality_based"])
                    self.orthogonality_enhancing_cell_centroids = self.__class__.orthogonality_enhancing_cell_centroids(service, version, mode, path + ["orthogonality_enhancing_cell_centroids"])
                    self.grid_deficiency_identifier = self.__class__.grid_deficiency_identifier(service, version, mode, path + ["grid_deficiency_identifier"])
                    self.reset_poor_elements = self.__class__.reset_poor_elements(service, version, mode, path + ["reset_poor_elements"])
                    self.gradient_quality_based = self.__class__.gradient_quality_based(service, version, mode, path + ["gradient_quality_based"])
                    self.improve_solver_skewness_quality = self.__class__.improve_solver_skewness_quality(service, version, mode, path + ["improve_solver_skewness_quality"])
                    self.set_quality_threshold = self.__class__.set_quality_threshold(service, version, mode, path + ["set_quality_threshold"])
                    self.update_grid_deficiency_identifier = self.__class__.update_grid_deficiency_identifier(service, version, mode, path + ["update_grid_deficiency_identifier"])
                    super().__init__(service, version, mode, path)
                class user_defined_on_register_auto(TUIMethod):
                    """
                    Set up the application of poor mesh numerics to cells in registers during the calculation at a specified frequency.
                    """
                class turbulence_production_term(TUIMethod):
                    """
                    Enable/disable poor mesh numerics for turbulence production term.
                    """
                class enhanced_pmn(TUIMethod):
                    """
                    This option is available with the density-based solver. When enabled, it will apply quality-based poor-mesh-numerics order=1 on any cells with a quality-measure below 0.2. In addition, their CFL number is limited to 1.0.
                    """
                class enable(TUIMethod):
                    """
                    Enables/disables the application of poor mesh numerics on cells (those with an orthogonal quality of 0, as well as those identified by other enabled criteria), and defines whether the local solution correction is 0th, 1st, or 2nd order.
                    """
                class cell_quality_based(TUIMethod):
                    """
                    Enables/disables the application of poor mesh numerics on cells with an orthogonal quality that is equal to or less than the threshold defined by the solve/set/poor-mesh-numerics/set-quality-threshold text command (which by default is set to 0.05).
                    """
                class user_defined_on_register(TUIMethod):
                    """
                    Includes a register for the poor mesh numerics or not.
                    """
                class print_poor_elements_count(TUIMethod):
                    """
                    Prints out a listing of the poor cells for each criterion: default, cell quality, and user-defined, and (if enabled) cell gradient quality and solution and cell quality.
                    """
                class solution_and_quality_based(TUIMethod):
                    """
                    Enables/disables the detection and treatment of poor cells using a criterion based on the solution and cell quality. Poor mesh numerics are applied when the criterion value is equal to or less than a threshold value defined as part of this text command, and at a specified frequency (of iterations or time steps). This criterion is only available with the pressure-based solver.
                    """
                class orthogonality_enhancing_cell_centroids(TUIMethod):
                    """
                    Enables/disables the relocation of select cell centroids, to improve the orthogonality metrics and solution stability. It is applied to cells when the criterion value is equal to or less than a threshold value defined as part of the text command. Note that the enhanced metrics are only apparent when reporting the quality in the solution mode of Fluent, and not in the meshing mode.
                    """
                class grid_deficiency_identifier(TUIMethod):
                    """
                    Adjust settings for grid deficiency identifier.
                    """
                class reset_poor_elements(TUIMethod):
                    """
                    Resets the list of poor cells included by the default, cell quality, user-defined, cell gradient quality, and solution and cell quality criteria.
                    """
                class gradient_quality_based(TUIMethod):
                    """
                    Enables/disables the detection and treatment of poor cells using a criterion based on the cell gradient quality. Poor mesh numerics are applied when the criterion value is equal to or less than a threshold value defined as part of this text command. This criterion is only available with the pressure-based solver, and is not supported for cases that have periodic boundaries.
                    """
                class improve_solver_skewness_quality(TUIMethod):
                    """
                    Improve solver skewness metrics for better solver stability.
                    """
                class set_quality_threshold(TUIMethod):
                    """
                    Sets the orthogonal quality threshold used for applying poor mesh numerics when the solve/set/poor-mesh-numerics/cell-quality-based? text command is enabled. By default, cells with an orthogonal quality of 0.05 or lower are corrected.
                    """
                class update_grid_deficiency_identifier(TUIMethod):
                    """
                    Identify cells with possible negative impact on solver stability.
                    """

                class solution_based_pmn(TUIMenu):
                    """
                    Solution based poor-mesh numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mark_cfl_jump = self.__class__.mark_cfl_jump(service, version, mode, path + ["mark_cfl_jump"])
                        self.mark_cfl_limit = self.__class__.mark_cfl_limit(service, version, mode, path + ["mark_cfl_limit"])
                        self.mark_primary_solution_limits = self.__class__.mark_primary_solution_limits(service, version, mode, path + ["mark_primary_solution_limits"])
                        self.mark_velocity_limit = self.__class__.mark_velocity_limit(service, version, mode, path + ["mark_velocity_limit"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class mark_cfl_jump(TUIMethod):
                        """
                        Mark cells exceeding cfl jump in neighborhood.
                        """
                    class mark_cfl_limit(TUIMethod):
                        """
                        Mark cells exceeding cfl limit.
                        """
                    class mark_primary_solution_limits(TUIMethod):
                        """
                        Mark cells violating solution limits.
                        """
                    class mark_velocity_limit(TUIMethod):
                        """
                        Mark cells exceeding velocity limit.
                        """
                    class enable(TUIMethod):
                        """
                        Enable solution based treatment.
                        """

                class register_based(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.set = self.__class__.set(service, version, mode, path + ["set"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                        self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                        self.new = self.__class__.new(service, version, mode, path + ["new"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        super().__init__(service, version, mode, path)
                    class set(TUIMethod):
                        """
                        .
                        """
                    class list(TUIMethod):
                        """
                        .
                        """
                    class delete(TUIMethod):
                        """
                        .
                        """
                    class edit(TUIMethod):
                        """
                        Edit a definition for poor mesh numerics.
                        """
                    class make_a_copy(TUIMethod):
                        """
                        .
                        """
                    class rename(TUIMethod):
                        """
                        Rename register-based object.
                        """
                    class new(TUIMethod):
                        """
                        Add a new definition for poor mesh numerics.
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """

            class advanced(TUIMenu):
                """
                Enters the advanced settings menu.
                """
                def __init__(self, service, version, mode, path):
                    self.anisotropic_solid_heat_transfer = self.__class__.anisotropic_solid_heat_transfer(service, version, mode, path + ["anisotropic_solid_heat_transfer"])
                    self.secondary_gradient_limiting = self.__class__.secondary_gradient_limiting(service, version, mode, path + ["secondary_gradient_limiting"])
                    self.non_reflecting_boundary_treatment = self.__class__.non_reflecting_boundary_treatment(service, version, mode, path + ["non_reflecting_boundary_treatment"])
                    self.turbomachinery_specific_numerics = self.__class__.turbomachinery_specific_numerics(service, version, mode, path + ["turbomachinery_specific_numerics"])
                    self.bcd_weights_freeze = self.__class__.bcd_weights_freeze(service, version, mode, path + ["bcd_weights_freeze"])
                    self.bcd_scheme_type = self.__class__.bcd_scheme_type(service, version, mode, path + ["bcd_scheme_type"])
                    self.volume_flux_for_single_phase = self.__class__.volume_flux_for_single_phase(service, version, mode, path + ["volume_flux_for_single_phase"])
                    self.alternate_wall_temp_formulation = self.__class__.alternate_wall_temp_formulation(service, version, mode, path + ["alternate_wall_temp_formulation"])
                    self.linearized_mass_transfer_udf = self.__class__.linearized_mass_transfer_udf(service, version, mode, path + ["linearized_mass_transfer_udf"])
                    self.energy_numerical_noise_filter = self.__class__.energy_numerical_noise_filter(service, version, mode, path + ["energy_numerical_noise_filter"])
                    self.energy_reconstruction_gradient_limiting = self.__class__.energy_reconstruction_gradient_limiting(service, version, mode, path + ["energy_reconstruction_gradient_limiting"])
                    self.retain_temporary_solver_mem = self.__class__.retain_temporary_solver_mem(service, version, mode, path + ["retain_temporary_solver_mem"])
                    self.skewness_correction_enhanced = self.__class__.skewness_correction_enhanced(service, version, mode, path + ["skewness_correction_enhanced"])
                    self.bcd_boundedness = self.__class__.bcd_boundedness(service, version, mode, path + ["bcd_boundedness"])
                    self.singhal_et_al_cavitation_model = self.__class__.singhal_et_al_cavitation_model(service, version, mode, path + ["singhal_et_al_cavitation_model"])
                    self.explicit_under_relaxation_value = self.__class__.explicit_under_relaxation_value(service, version, mode, path + ["explicit_under_relaxation_value"])
                    self.show_all_discretization_schemes = self.__class__.show_all_discretization_schemes(service, version, mode, path + ["show_all_discretization_schemes"])
                    self.anisotropic_heat_flux = self.__class__.anisotropic_heat_flux(service, version, mode, path + ["anisotropic_heat_flux"])
                    self.correction_form = self.__class__.correction_form(service, version, mode, path + ["correction_form"])
                    self.retain_cell_residuals = self.__class__.retain_cell_residuals(service, version, mode, path + ["retain_cell_residuals"])
                    super().__init__(service, version, mode, path)
                class bcd_weights_freeze(TUIMethod):
                    """
                    Enables/disables freezing of weighting coefficients of the central differencing and the upwind components of the BCD scheme. This dialog command requires the iteration number, after which the BCD scheme weights are to be frozen at each timestep. Freezing the BCD weighting coefficients may help to improve convergence of the timestep iterations as described in .
                    """
                class bcd_scheme_type(TUIMethod):
                    """
                    BCD scheme type (standard or tunable).
                    """
                class volume_flux_for_single_phase(TUIMethod):
                    """
                    Enable/disable volume flux formulation for single phase flows.
                    """
                class alternate_wall_temp_formulation(TUIMethod):
                    """
                    Enables/disables an alternate formulation for wall temperatures.
                    """
                class linearized_mass_transfer_udf(TUIMethod):
                    """
                    Enables/disables the use of a linearized mass transfer user-defined function (that is, the DEFINE_LINEARIZED_MASS_TRANSFER macro), as opposed to a mass transfer user-defined function (that is, the DEFINE_MASS_TRANSFER macro).
                    """
                class energy_numerical_noise_filter(TUIMethod):
                    """
                    Enables/disables a filter to eliminate non-physical numerical noise in the energy field. Numerical noise can appear in solution fields where large variations in specific heat or combustion with phase change are present. Using the energy equation numerical noise filter increases robustness, but may make the solution slightly more diffusive. This text command is only available with the pressure-based solver.
                    """
                class energy_reconstruction_gradient_limiting(TUIMethod):
                    """
                    Enable limiting of reconstruction gradient for the energy equation.
                    """
                class retain_temporary_solver_mem(TUIMethod):
                    """
                    Enables/disables the retention of temporary solver memory, which retains gradient data and makes some advanced options available for postprocessing.
                    """
                class skewness_correction_enhanced(TUIMethod):
                    """
                    Enable enhanced skewness correction scheme.
                    """
                class bcd_boundedness(TUIMethod):
                    """
                    Specifies the BCD scheme parameter, which controls the boundedness strength of the BCD scheme in the pressure-based solver, as described in .
                    """
                class singhal_et_al_cavitation_model(TUIMethod):
                    """
                    Enables/disables the availability of the Singhal et al. cavitation model option, which can then be enabled in the Multiphase Model dialog box or by using the following text command: define/phases/set-domain-properties/interaction-domain/heat-mass-reaction/cavitation/cavitation?.
                    """
                class explicit_under_relaxation_value(TUIMethod):
                    """
                    Explicit under-relaxation value.
                    """
                class show_all_discretization_schemes(TUIMethod):
                    """
                    Enables/disables the availability of all applicable discretization schemes.
                    """
                class anisotropic_heat_flux(TUIMethod):
                    """
                    Select the heat flux calculation methods.
                    """
                class correction_form(TUIMethod):
                    """
                    S.
                    """
                class retain_cell_residuals(TUIMethod):
                    """
                    Enables/disables the retention of cell residuals for postprocessing.
                    """

                class anisotropic_solid_heat_transfer(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.relaxation = self.__class__.relaxation(service, version, mode, path + ["relaxation"])
                        self.gradient = self.__class__.gradient(service, version, mode, path + ["gradient"])
                        self.flux = self.__class__.flux(service, version, mode, path + ["flux"])
                        super().__init__(service, version, mode, path)
                    class relaxation(TUIMethod):
                        """
                        .
                        """
                    class gradient(TUIMethod):
                        """
                        .
                        """
                    class flux(TUIMethod):
                        """
                        .
                        """

                class secondary_gradient_limiting(TUIMenu):
                    """
                    Enters the secondary gradient limiting menu. This menu is only available when the define/models/solver/pressure-based text command is enabled.
                    """
                    def __init__(self, service, version, mode, path):
                        self.energy = self.__class__.energy(service, version, mode, path + ["energy"])
                        self.mesh_quality_limits = self.__class__.mesh_quality_limits(service, version, mode, path + ["mesh_quality_limits"])
                        self.uds = self.__class__.uds(service, version, mode, path + ["uds"])
                        super().__init__(service, version, mode, path)
                    class energy(TUIMethod):
                        """
                        Enables/disables secondary gradient limiting for the energy  calculations on coupled two-sided walls. This limiting can help prevent  divergence when the cells on such walls have poor orthogonality.
                        """
                    class mesh_quality_limits(TUIMethod):
                        """
                        Defines the mesh quality limits used when applying secondary  gradient limiting to faces on coupled two-sided walls. Shifting this  range closer to 1 will decrease the risk of divergence, but at the cost  of accuracy.
                        """
                    class uds(TUIMethod):
                        """
                        Enables/disables secondary gradient limiting for the user-defined  scalar (UDS) calculations on coupled two-sided walls. This limiting can  help prevent divergence when the cells on such walls have poor  orthogonality.
                        """

                class non_reflecting_boundary_treatment(TUIMenu):
                    """
                    Enter non reflecting boundary treatment using minimal pressure reflection approach menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                        self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                        self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                        super().__init__(service, version, mode, path)
                    class pressure_inlet(TUIMethod):
                        """
                        Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                        """
                    class velocity_inlet(TUIMethod):
                        """
                        Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                        """
                    class pressure_outlet(TUIMethod):
                        """
                        Enabling the use of minimal pressure reflection treatment. This treatment will minimize pressure wave reflections from the boundaries on which this option is active, but not necessarily fully eliminating them. The reflections would be of an acceptable limit in order to not contaminate the solution, the simulation will gain from the robustness of the new algorithm compared to traditional non-reflecting boundary condition treatment.
                        """

                class turbomachinery_specific_numerics(TUIMenu):
                    """
                    Enter turbomachinery-specific numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.options = self.__class__.options(service, version, mode, path + ["options"])
                        self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                        super().__init__(service, version, mode, path)
                    class enable(TUIMethod):
                        """
                        Activate/deactivate turbomachinery-specific numerics.
                        """

                    class options(TUIMenu):
                        """
                        Enter turbomachinery-specific numerics options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.gradient_limiter_combination = self.__class__.gradient_limiter_combination(service, version, mode, path + ["gradient_limiter_combination"])
                            self.pseudo_time_scale_type = self.__class__.pseudo_time_scale_type(service, version, mode, path + ["pseudo_time_scale_type"])
                            super().__init__(service, version, mode, path)
                        class gradient_limiter_combination(TUIMethod):
                            """
                            Select gradient limiter combination for turbomachinery-specific numerics.
                            """
                        class pseudo_time_scale_type(TUIMethod):
                            """
                            Select pseudo transient time scale type for turbomachinery-specific numerics.
                            """

            class overset(TUIMenu):
                """
                Specifies overset meshing solver options.
                """
                def __init__(self, service, version, mode, path):
                    self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
                    self.interpolation_method = self.__class__.interpolation_method(service, version, mode, path + ["interpolation_method"])
                    self.orphan_cell_treatment = self.__class__.orphan_cell_treatment(service, version, mode, path + ["orphan_cell_treatment"])
                    self.high_order_pressure = self.__class__.high_order_pressure(service, version, mode, path + ["high_order_pressure"])
                    super().__init__(service, version, mode, path)
                class interpolation_method(TUIMethod):
                    """
                    Selects the interpolation method for overset interfaces. Note that the least squares method is recommended for sliding mesh cases.
                    """
                class orphan_cell_treatment(TUIMethod):
                    """
                    Enables/disables a numerical treatment that attempts to assign reasonable data values to orphan cells.
                    """
                class high_order_pressure(TUIMethod):
                    """
                    Uses the pressure gradient of the donor cell in the interpolation of pressure for its receptor cell.
                    """

                class expert(TUIMenu):
                    """
                    Enter overset expert solver options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.mass_flux_correction_method = self.__class__.mass_flux_correction_method(service, version, mode, path + ["mass_flux_correction_method"])
                        self.hybrid_mode_selection = self.__class__.hybrid_mode_selection(service, version, mode, path + ["hybrid_mode_selection"])
                        super().__init__(service, version, mode, path)
                    class mass_flux_correction_method(TUIMethod):
                        """
                        Enter mass flux correction option at overset interfaces.
                        """
                    class hybrid_mode_selection(TUIMethod):
                        """
                        Mode for hybrid interpolation.
                        """

            class contact_solution_controls(TUIMenu):
                """
                Solver controls for contact marks method.
                """
                def __init__(self, service, version, mode, path):
                    self.miscellaneous = self.__class__.miscellaneous(service, version, mode, path + ["miscellaneous"])
                    self.models = self.__class__.models(service, version, mode, path + ["models"])
                    self.methods = self.__class__.methods(service, version, mode, path + ["methods"])
                    self.parameters = self.__class__.parameters(service, version, mode, path + ["parameters"])
                    self.amg = self.__class__.amg(service, version, mode, path + ["amg"])
                    self.spatial = self.__class__.spatial(service, version, mode, path + ["spatial"])
                    self.transient = self.__class__.transient(service, version, mode, path + ["transient"])
                    self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                    self.set_settings_to_default = self.__class__.set_settings_to_default(service, version, mode, path + ["set_settings_to_default"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    super().__init__(service, version, mode, path)
                class verbosity(TUIMethod):
                    """
                    .
                    """
                class set_settings_to_default(TUIMethod):
                    """
                    Set contact solution stabilization to default.
                    """
                class solution_stabilization(TUIMethod):
                    """
                    .
                    """

                class miscellaneous(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.compute_statistics = self.__class__.compute_statistics(service, version, mode, path + ["compute_statistics"])
                        self.statistics_level = self.__class__.statistics_level(service, version, mode, path + ["statistics_level"])
                        super().__init__(service, version, mode, path)
                    class compute_statistics(TUIMethod):
                        """
                        .
                        """
                    class statistics_level(TUIMethod):
                        """
                        .
                        """

                class models(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.ramp_turbulence = self.__class__.ramp_turbulence(service, version, mode, path + ["ramp_turbulence"])
                        self.ramp_scalars = self.__class__.ramp_scalars(service, version, mode, path + ["ramp_scalars"])
                        self.ramp_flow = self.__class__.ramp_flow(service, version, mode, path + ["ramp_flow"])
                        self.model_ramping = self.__class__.model_ramping(service, version, mode, path + ["model_ramping"])
                        super().__init__(service, version, mode, path)
                    class ramp_turbulence(TUIMethod):
                        """
                        .
                        """
                    class ramp_scalars(TUIMethod):
                        """
                        .
                        """
                    class ramp_flow(TUIMethod):
                        """
                        .
                        """
                    class model_ramping(TUIMethod):
                        """
                        .
                        """

                class methods(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.specify_gradient_method = self.__class__.specify_gradient_method(service, version, mode, path + ["specify_gradient_method"])
                        self.gradient_controls = self.__class__.gradient_controls(service, version, mode, path + ["gradient_controls"])
                        self.pressure_velocity_coupling_controls = self.__class__.pressure_velocity_coupling_controls(service, version, mode, path + ["pressure_velocity_coupling_controls"])
                        self.pressure_velocity_coupling_method = self.__class__.pressure_velocity_coupling_method(service, version, mode, path + ["pressure_velocity_coupling_method"])
                        super().__init__(service, version, mode, path)
                    class specify_gradient_method(TUIMethod):
                        """
                        .
                        """
                    class gradient_controls(TUIMethod):
                        """
                        .
                        """
                    class pressure_velocity_coupling_controls(TUIMethod):
                        """
                        .
                        """
                    class pressure_velocity_coupling_method(TUIMethod):
                        """
                        .
                        """

                class parameters(TUIMenu):
                    """
                    Parameters used in stabilization strategy.
                    """
                    def __init__(self, service, version, mode, path):
                        self.solution_stabilization_persistence = self.__class__.solution_stabilization_persistence(service, version, mode, path + ["solution_stabilization_persistence"])
                        self.persistence_fixed_duration = self.__class__.persistence_fixed_duration(service, version, mode, path + ["persistence_fixed_duration"])
                        self.persistence_fixed_time_steps = self.__class__.persistence_fixed_time_steps(service, version, mode, path + ["persistence_fixed_time_steps"])
                        self.extrapolation_method = self.__class__.extrapolation_method(service, version, mode, path + ["extrapolation_method"])
                        self.iterations = self.__class__.iterations(service, version, mode, path + ["iterations"])
                        super().__init__(service, version, mode, path)
                    class solution_stabilization_persistence(TUIMethod):
                        """
                        .
                        """
                    class persistence_fixed_duration(TUIMethod):
                        """
                        .
                        """
                    class persistence_fixed_time_steps(TUIMethod):
                        """
                        .
                        """
                    class extrapolation_method(TUIMethod):
                        """
                        Solution extrapolation method for cells changing status from contact to non-contact [0-none, 1-local extrapolation].
                        """
                    class iterations(TUIMethod):
                        """
                        .
                        """

                class amg(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.specify_coarsening_rate = self.__class__.specify_coarsening_rate(service, version, mode, path + ["specify_coarsening_rate"])
                        self.increase_pre_sweeps = self.__class__.increase_pre_sweeps(service, version, mode, path + ["increase_pre_sweeps"])
                        self.pre_sweeps = self.__class__.pre_sweeps(service, version, mode, path + ["pre_sweeps"])
                        self.enforce_laplace_coarsening = self.__class__.enforce_laplace_coarsening(service, version, mode, path + ["enforce_laplace_coarsening"])
                        self.coarsen_rate = self.__class__.coarsen_rate(service, version, mode, path + ["coarsen_rate"])
                        super().__init__(service, version, mode, path)
                    class specify_coarsening_rate(TUIMethod):
                        """
                        .
                        """
                    class increase_pre_sweeps(TUIMethod):
                        """
                        .
                        """
                    class pre_sweeps(TUIMethod):
                        """
                        .
                        """
                    class enforce_laplace_coarsening(TUIMethod):
                        """
                        .
                        """
                    class coarsen_rate(TUIMethod):
                        """
                        .
                        """

                class spatial(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.flow_skew_diffusion_exclude = self.__class__.flow_skew_diffusion_exclude(service, version, mode, path + ["flow_skew_diffusion_exclude"])
                        self.rhie_chow_flux_specify = self.__class__.rhie_chow_flux_specify(service, version, mode, path + ["rhie_chow_flux_specify"])
                        self.rhie_chow_method = self.__class__.rhie_chow_method(service, version, mode, path + ["rhie_chow_method"])
                        self.scalars_skew_diffusion_exclude = self.__class__.scalars_skew_diffusion_exclude(service, version, mode, path + ["scalars_skew_diffusion_exclude"])
                        self.first_to_second_order_blending_list = self.__class__.first_to_second_order_blending_list(service, version, mode, path + ["first_to_second_order_blending_list"])
                        self.scheme = self.__class__.scheme(service, version, mode, path + ["scheme"])
                        self.first_to_second_order_blending = self.__class__.first_to_second_order_blending(service, version, mode, path + ["first_to_second_order_blending"])
                        super().__init__(service, version, mode, path)
                    class flow_skew_diffusion_exclude(TUIMethod):
                        """
                        .
                        """
                    class rhie_chow_flux_specify(TUIMethod):
                        """
                        .
                        """
                    class rhie_chow_method(TUIMethod):
                        """
                        .
                        """
                    class scalars_skew_diffusion_exclude(TUIMethod):
                        """
                        .
                        """
                    class first_to_second_order_blending_list(TUIMethod):
                        """
                        .
                        """
                    class scheme(TUIMethod):
                        """
                        .
                        """
                    class first_to_second_order_blending(TUIMethod):
                        """
                        .
                        """

                class transient(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.transient_scheme = self.__class__.transient_scheme(service, version, mode, path + ["transient_scheme"])
                        self.time_scale_modification_method = self.__class__.time_scale_modification_method(service, version, mode, path + ["time_scale_modification_method"])
                        self.transient_parameters_specify = self.__class__.transient_parameters_specify(service, version, mode, path + ["transient_parameters_specify"])
                        self.time_scale_modification_factor = self.__class__.time_scale_modification_factor(service, version, mode, path + ["time_scale_modification_factor"])
                        super().__init__(service, version, mode, path)
                    class transient_scheme(TUIMethod):
                        """
                        .
                        """
                    class time_scale_modification_method(TUIMethod):
                        """
                        .
                        """
                    class transient_parameters_specify(TUIMethod):
                        """
                        .
                        """
                    class time_scale_modification_factor(TUIMethod):
                        """
                        .
                        """

            class previous_defaults(TUIMenu):
                """
                Provides text commands that allow you to undo enhancements to the default solver behavior.
                """
                def __init__(self, service, version, mode, path):
                    self.undo_2023r2_default_changes = self.__class__.undo_2023r2_default_changes(service, version, mode, path + ["undo_2023r2_default_changes"])
                    self.undo_2021r2_default_changes = self.__class__.undo_2021r2_default_changes(service, version, mode, path + ["undo_2021r2_default_changes"])
                    self.undo_2019r1_default_changes = self.__class__.undo_2019r1_default_changes(service, version, mode, path + ["undo_2019r1_default_changes"])
                    self.undo_2022r1_default_changes = self.__class__.undo_2022r1_default_changes(service, version, mode, path + ["undo_2022r1_default_changes"])
                    self.undo_2023r1_default_changes = self.__class__.undo_2023r1_default_changes(service, version, mode, path + ["undo_2023r1_default_changes"])
                    self.undo_2021r1_default_changes = self.__class__.undo_2021r1_default_changes(service, version, mode, path + ["undo_2021r1_default_changes"])
                    self.undo_2019r3_default_changes = self.__class__.undo_2019r3_default_changes(service, version, mode, path + ["undo_2019r3_default_changes"])
                    self.undo_2024r1_default_changes = self.__class__.undo_2024r1_default_changes(service, version, mode, path + ["undo_2024r1_default_changes"])
                    self.undo_r19_point_0_default_changes = self.__class__.undo_r19_point_0_default_changes(service, version, mode, path + ["undo_r19_point_0_default_changes"])
                    super().__init__(service, version, mode, path)
                class undo_2023r2_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2023R2.
                    """
                class undo_2021r2_default_changes(TUIMethod):
                    """
                    Allows you to undo the following enhancements introduced in version 2021 R2 of ANSYS Fluent:.
                    """
                class undo_2019r1_default_changes(TUIMethod):
                    """
                    Allows you to undo enhancements introduced in version 2019 R1 of ANSYS Fluent, including:.
                    """
                class undo_2022r1_default_changes(TUIMethod):
                    """
                    Allows you to undo the following enhancements introduced in version 2022 R1 of ANSYS Fluent:.
                    """
                class undo_2023r1_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2023R1.
                    """
                class undo_2021r1_default_changes(TUIMethod):
                    """
                    Allows you to undo enhancements introduced in version 2021 R1 of ANSYS Fluent, including:.
                    """
                class undo_2019r3_default_changes(TUIMethod):
                    """
                    Allows you to undo enhancements introduced in version 2019 R3 of ANSYS Fluent, including:.
                    """
                class undo_2024r1_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in 2024R1.
                    """
                class undo_r19_point_0_default_changes(TUIMethod):
                    """
                    Undo default changes introduced in R19.0.
                    """

            class amg_options(TUIMenu):
                """
                Enters the AMG options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.aggressive_amg_coarsening = self.__class__.aggressive_amg_coarsening(service, version, mode, path + ["aggressive_amg_coarsening"])
                    self.laplace_coarsening = self.__class__.laplace_coarsening(service, version, mode, path + ["laplace_coarsening"])
                    self.amg_gpgpu_options = self.__class__.amg_gpgpu_options(service, version, mode, path + ["amg_gpgpu_options"])
                    self.conservative_amg_coarsening = self.__class__.conservative_amg_coarsening(service, version, mode, path + ["conservative_amg_coarsening"])
                    super().__init__(service, version, mode, path)
                class aggressive_amg_coarsening(TUIMethod):
                    """
                    Enables / disables the use of a version of the AMG solver that is optimized for high coarsening rates. This option is recommended if the AMG solver diverges with the default settings.
                    """
                class laplace_coarsening(TUIMethod):
                    """
                    Enables / disables Laplace coarsening for scalar and/or coupled equations.
                    """
                class amg_gpgpu_options(TUIMethod):
                    """
                    Set GPGPU AMG solver options.
                    """
                class conservative_amg_coarsening(TUIMethod):
                    """
                    Enables / disables the use of conservative coarsening techniques for scalar and/or coupled equations that can improve parallel performance and/or convergence for some difficult cases.
                    """

            class multiphase_numerics(TUIMenu):
                """
                Sets multiphase numerics options.
                """
                def __init__(self, service, version, mode, path):
                    self.boiling_parameters = self.__class__.boiling_parameters(service, version, mode, path + ["boiling_parameters"])
                    self.porous_media = self.__class__.porous_media(service, version, mode, path + ["porous_media"])
                    self.default_controls = self.__class__.default_controls(service, version, mode, path + ["default_controls"])
                    self.heat_mass_transfer = self.__class__.heat_mass_transfer(service, version, mode, path + ["heat_mass_transfer"])
                    self.advanced_stability_controls = self.__class__.advanced_stability_controls(service, version, mode, path + ["advanced_stability_controls"])
                    self.face_pressure_controls = self.__class__.face_pressure_controls(service, version, mode, path + ["face_pressure_controls"])
                    self.viscous_flow = self.__class__.viscous_flow(service, version, mode, path + ["viscous_flow"])
                    self.solution_stabilization = self.__class__.solution_stabilization(service, version, mode, path + ["solution_stabilization"])
                    self.compressible_flow = self.__class__.compressible_flow(service, version, mode, path + ["compressible_flow"])
                    self.stable_vof_settings = self.__class__.stable_vof_settings(service, version, mode, path + ["stable_vof_settings"])
                    super().__init__(service, version, mode, path)
                class stable_vof_settings(TUIMethod):
                    """
                    Execute Stable VOF settings.
                    """

                class boiling_parameters(TUIMenu):
                    """
                    Enters the menu for the multiphase boiling model parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.liquid_vof_factor = self.__class__.liquid_vof_factor(service, version, mode, path + ["liquid_vof_factor"])
                        self.thin_film = self.__class__.thin_film(service, version, mode, path + ["thin_film"])
                        super().__init__(service, version, mode, path)
                    class liquid_vof_factor(TUIMethod):
                        """
                        When enabled, considers liquid volume fraction effects by multiplying the heat transfer coefficients by the local liquid volume fraction.
                        """
                    class thin_film(TUIMethod):
                        """
                        When enabled, includes multiphase boiling thin film effects using .
                        """

                class porous_media(TUIMenu):
                    """
                    Enters the porous media numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.relative_permeability = self.__class__.relative_permeability(service, version, mode, path + ["relative_permeability"])
                        self.capillary_pressure_as_diffusion = self.__class__.capillary_pressure_as_diffusion(service, version, mode, path + ["capillary_pressure_as_diffusion"])
                        super().__init__(service, version, mode, path)
                    class relative_permeability(TUIMethod):
                        """
                        Allows you to fix the saturation (volume fraction) of the phase at  its user-specified residual saturation value.
                        """
                    class capillary_pressure_as_diffusion(TUIMethod):
                        """
                        .
                        """

                class default_controls(TUIMenu):
                    """
                    Enters the default controls menu. This menu is available only for multiphase flows.
                    """
                    def __init__(self, service, version, mode, path):
                        self.recommended_defaults_for_existing_cases = self.__class__.recommended_defaults_for_existing_cases(service, version, mode, path + ["recommended_defaults_for_existing_cases"])
                        self.revert_to_pre_r20_point_1_default_settings = self.__class__.revert_to_pre_r20_point_1_default_settings(service, version, mode, path + ["revert_to_pre_r20_point_1_default_settings"])
                        super().__init__(service, version, mode, path)
                    class recommended_defaults_for_existing_cases(TUIMethod):
                        """
                        Applies the multiphase defaults (version 2020 R1) to the loaded case  file.
                        """
                    class revert_to_pre_r20_point_1_default_settings(TUIMethod):
                        """
                        .
                        """

                class heat_mass_transfer(TUIMenu):
                    """
                    Enters the menu for the multiphase heat mass transfer parameters.
                    """
                    def __init__(self, service, version, mode, path):
                        self.area_density = self.__class__.area_density(service, version, mode, path + ["area_density"])
                        self.evaporation_condensation = self.__class__.evaporation_condensation(service, version, mode, path + ["evaporation_condensation"])
                        self.cavitation = self.__class__.cavitation(service, version, mode, path + ["cavitation"])
                        self.boiling = self.__class__.boiling(service, version, mode, path + ["boiling"])
                        self.alternative_energy_treatment = self.__class__.alternative_energy_treatment(service, version, mode, path + ["alternative_energy_treatment"])
                        super().__init__(service, version, mode, path)
                    class alternative_energy_treatment(TUIMethod):
                        """
                        Enables the alternative treatment of the energy sources. For more  information, see .
                        """

                    class area_density(TUIMenu):
                        """
                        Enters the menu for the area density.
                        """
                        def __init__(self, service, version, mode, path):
                            self.ia_grad_sym = self.__class__.ia_grad_sym(service, version, mode, path + ["ia_grad_sym"])
                            self.vof_min_seeding = self.__class__.vof_min_seeding(service, version, mode, path + ["vof_min_seeding"])
                            super().__init__(service, version, mode, path)
                        class ia_grad_sym(TUIMethod):
                            """
                            Enables/disables the interfacial area density Gradient-Symmetric model. For more information about this model, see .
                            """
                        class vof_min_seeding(TUIMethod):
                            """
                            Sets the minimum volume fraction for the area density and cavitation. This may be useful, for example, in cases when a species mass transfer model (such as the Symmetric model or Particle model) do not consider evaporation or condensation if the volume fraction of one of the phases is zero. The seeding allows for a phase change to occur in the fluid flow. The default value is 1e-6.
                            """

                    class evaporation_condensation(TUIMenu):
                        """
                        Evaporation-condensation advanced options menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.ia_norm_min_limit = self.__class__.ia_norm_min_limit(service, version, mode, path + ["ia_norm_min_limit"])
                            self.vof_to_max_limit = self.__class__.vof_to_max_limit(service, version, mode, path + ["vof_to_max_limit"])
                            self.vof_from_max_limit = self.__class__.vof_from_max_limit(service, version, mode, path + ["vof_from_max_limit"])
                            self.vof_to_min_limit = self.__class__.vof_to_min_limit(service, version, mode, path + ["vof_to_min_limit"])
                            self.vof_from_min_limit = self.__class__.vof_from_min_limit(service, version, mode, path + ["vof_from_min_limit"])
                            self.max_rel_humiditiy = self.__class__.max_rel_humiditiy(service, version, mode, path + ["max_rel_humiditiy"])
                            super().__init__(service, version, mode, path)
                        class ia_norm_min_limit(TUIMethod):
                            """
                            .
                            """
                        class vof_to_max_limit(TUIMethod):
                            """
                            .
                            """
                        class vof_from_max_limit(TUIMethod):
                            """
                            .
                            """
                        class vof_to_min_limit(TUIMethod):
                            """
                            .
                            """
                        class vof_from_min_limit(TUIMethod):
                            """
                            .
                            """
                        class max_rel_humiditiy(TUIMethod):
                            """
                            .
                            """

                    class cavitation(TUIMenu):
                        """
                        Enters the cavitation heat mass transfer menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.schnerr_evap_coeff = self.__class__.schnerr_evap_coeff(service, version, mode, path + ["schnerr_evap_coeff"])
                            self.min_vapor_pressure = self.__class__.min_vapor_pressure(service, version, mode, path + ["min_vapor_pressure"])
                            self.schnerr_cond_coeff = self.__class__.schnerr_cond_coeff(service, version, mode, path + ["schnerr_cond_coeff"])
                            self.max_vapor_pressure_ratio = self.__class__.max_vapor_pressure_ratio(service, version, mode, path + ["max_vapor_pressure_ratio"])
                            self.turbulent_diffusion = self.__class__.turbulent_diffusion(service, version, mode, path + ["turbulent_diffusion"])
                            self.p_limit_method = self.__class__.p_limit_method(service, version, mode, path + ["p_limit_method"])
                            self.display_clipped_pressure = self.__class__.display_clipped_pressure(service, version, mode, path + ["display_clipped_pressure"])
                            super().__init__(service, version, mode, path)
                        class schnerr_evap_coeff(TUIMethod):
                            """
                            Sets the evaporation coefficient for the Schnerr-Sauer model (  in ). The default and recommended value of 1.
                            """
                        class min_vapor_pressure(TUIMethod):
                            """
                            Sets the minimum vapor pressure limit for the cavitation mass-transfer model. The default value is 1 Pa.
                            """
                        class schnerr_cond_coeff(TUIMethod):
                            """
                            Sets the condensation coefficient for the Schnerr-Sauer model (  in ). The default and recommended value of 0.2.
                            """
                        class max_vapor_pressure_ratio(TUIMethod):
                            """
                            Sets the maximum limit on the vapor pressure after the turbulence and thermal correction. The default value is five times the vapor pressure, with consideration of turbulent and thermal effects for each cell and phase.
                            """
                        class turbulent_diffusion(TUIMethod):
                            """
                            Enables/disables the turbulent diffusion treatment for a cavitating turbulent flow. See  for details.
                            """
                        class p_limit_method(TUIMethod):
                            """
                            .
                            """
                        class display_clipped_pressure(TUIMethod):
                            """
                            .
                            """

                    class boiling(TUIMenu):
                        """
                        Enters the menu for the advanced boiling options for the  semi-mechanistic boiling model.
                        """
                        def __init__(self, service, version, mode, path):
                            self.heat_flux_relaxation_factor = self.__class__.heat_flux_relaxation_factor(service, version, mode, path + ["heat_flux_relaxation_factor"])
                            self.two_resistance_boiling_framework = self.__class__.two_resistance_boiling_framework(service, version, mode, path + ["two_resistance_boiling_framework"])
                            self.show_expert_options = self.__class__.show_expert_options(service, version, mode, path + ["show_expert_options"])
                            super().__init__(service, version, mode, path)
                        class heat_flux_relaxation_factor(TUIMethod):
                            """
                            Sets the under-relaxation factor for boiling heat flux. See  for details.
                            """
                        class two_resistance_boiling_framework(TUIMethod):
                            """
                            Enables/disables the two-resistance boiling framework to improve the robustness and accuracy of the solution of cases with multiple boiling mechanisms. For more information about this item, see .
                            """
                        class show_expert_options(TUIMethod):
                            """
                            Exposes the expert options for the semi-mechanistic boiling model. For more information about these options, see .
                            """

                class advanced_stability_controls(TUIMenu):
                    """
                    Enters the menu for the stability controls for multiphase flows. For more information about the below option, see  and .
                    """
                    def __init__(self, service, version, mode, path):
                        self.hybrid_nita = self.__class__.hybrid_nita(service, version, mode, path + ["hybrid_nita"])
                        self.anti_diffusion = self.__class__.anti_diffusion(service, version, mode, path + ["anti_diffusion"])
                        self.pseudo_time = self.__class__.pseudo_time(service, version, mode, path + ["pseudo_time"])
                        self.p_v_coupling = self.__class__.p_v_coupling(service, version, mode, path + ["p_v_coupling"])
                        self.pseudo_transient = self.__class__.pseudo_transient(service, version, mode, path + ["pseudo_transient"])
                        self.velocity_limiting = self.__class__.velocity_limiting(service, version, mode, path + ["velocity_limiting"])
                        self.equation_order = self.__class__.equation_order(service, version, mode, path + ["equation_order"])
                        self.num_ventilation = self.__class__.num_ventilation(service, version, mode, path + ["num_ventilation"])
                        super().__init__(service, version, mode, path)

                    class hybrid_nita(TUIMenu):
                        """
                        Enters the equation order menu for homogeneous multiphase flow  models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.instability_detector = self.__class__.instability_detector(service, version, mode, path + ["instability_detector"])
                            self.initial_outer_iterations = self.__class__.initial_outer_iterations(service, version, mode, path + ["initial_outer_iterations"])
                            self.outer_iterations = self.__class__.outer_iterations(service, version, mode, path + ["outer_iterations"])
                            super().__init__(service, version, mode, path)
                        class initial_outer_iterations(TUIMethod):
                            """
                            Allows you to change the number of initial time-steps and the number of initial outer iterations to control solution stability.
                            """
                        class outer_iterations(TUIMethod):
                            """
                            Sets the number of outer iterations.
                            """

                        class instability_detector(TUIMenu):
                            """
                            Enters the menu for the instability detector controls.
                            """
                            def __init__(self, service, version, mode, path):
                                self.set_velocity_limit = self.__class__.set_velocity_limit(service, version, mode, path + ["set_velocity_limit"])
                                self.unstable_event_outer_iterations = self.__class__.unstable_event_outer_iterations(service, version, mode, path + ["unstable_event_outer_iterations"])
                                self.set_cfl_limit = self.__class__.set_cfl_limit(service, version, mode, path + ["set_cfl_limit"])
                                self.enable_instability_detector = self.__class__.enable_instability_detector(service, version, mode, path + ["enable_instability_detector"])
                                self.set_cfl_type = self.__class__.set_cfl_type(service, version, mode, path + ["set_cfl_type"])
                                super().__init__(service, version, mode, path)
                            class set_velocity_limit(TUIMethod):
                                """
                                Sets the velocity limit for detecting unstable events.  This command becomes available once the enable-instability-detector? text  option has been enabled.
                                """
                            class unstable_event_outer_iterations(TUIMethod):
                                """
                                Sets the number of outer iterations for an unstable  event.
                                """
                            class set_cfl_limit(TUIMethod):
                                """
                                Sets the Courant number limit for detecting unstable  events. This command becomes available once the enable-instability-detector? text  option has been enabled.
                                """
                            class enable_instability_detector(TUIMethod):
                                """
                                Enables/disables the instability detector to deal with  possible instability problems. Once this option is enabled,  additional instability detection options become  available.
                                """
                            class set_cfl_type(TUIMethod):
                                """
                                Selects the CFL number type for detection of an unstable  event. This command becomes available once the enable-instability-detector? text  option has been enabled.
                                """

                    class anti_diffusion(TUIMenu):
                        """
                        Enters the anti-diffusion menu. This item is available for VOF cases  with the Interfacial Anti-Diffusion option  enabled.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_dynamic_strength_exponent = self.__class__.set_dynamic_strength_exponent(service, version, mode, path + ["set_dynamic_strength_exponent"])
                            self.set_maximum_dynamic_strength = self.__class__.set_maximum_dynamic_strength(service, version, mode, path + ["set_maximum_dynamic_strength"])
                            self.enable_dynamic_strength = self.__class__.enable_dynamic_strength(service, version, mode, path + ["enable_dynamic_strength"])
                            super().__init__(service, version, mode, path)
                        class set_dynamic_strength_exponent(TUIMethod):
                            """
                            Sets the cosine exponent in the dynamic strength treatment in ).
                            """
                        class set_maximum_dynamic_strength(TUIMethod):
                            """
                            Sets the maximum value of dynamic anti-diffusion strength in ).
                            """
                        class enable_dynamic_strength(TUIMethod):
                            """
                            Enables dynamic strength to reduce compression in the direction tangential to the interface.
                            """

                    class pseudo_time(TUIMenu):
                        """
                        Pseudo-Time stability controls for multiphase flow.
                        """
                        def __init__(self, service, version, mode, path):
                            self.auto_dt_advanced_controls = self.__class__.auto_dt_advanced_controls(service, version, mode, path + ["auto_dt_advanced_controls"])
                            self.false_time_step_linearization = self.__class__.false_time_step_linearization(service, version, mode, path + ["false_time_step_linearization"])
                            self.smoothed_density_stabilization_method = self.__class__.smoothed_density_stabilization_method(service, version, mode, path + ["smoothed_density_stabilization_method"])
                            super().__init__(service, version, mode, path)
                        class false_time_step_linearization(TUIMethod):
                            """
                            .
                            """
                        class smoothed_density_stabilization_method(TUIMethod):
                            """
                            .
                            """

                        class auto_dt_advanced_controls(TUIMenu):
                            """
                            Set automatic time-stepping controls for better solution stability.
                            """
                            def __init__(self, service, version, mode, path):
                                self.dt_factor_max = self.__class__.dt_factor_max(service, version, mode, path + ["dt_factor_max"])
                                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                                self.max_velocity_ratio = self.__class__.max_velocity_ratio(service, version, mode, path + ["max_velocity_ratio"])
                                self.dt_factor_min = self.__class__.dt_factor_min(service, version, mode, path + ["dt_factor_min"])
                                self.dt_max = self.__class__.dt_max(service, version, mode, path + ["dt_max"])
                                self.dt_init_limit = self.__class__.dt_init_limit(service, version, mode, path + ["dt_init_limit"])
                                super().__init__(service, version, mode, path)
                            class dt_factor_max(TUIMethod):
                                """
                                .
                                """
                            class enable(TUIMethod):
                                """
                                .
                                """
                            class max_velocity_ratio(TUIMethod):
                                """
                                .
                                """
                            class dt_factor_min(TUIMethod):
                                """
                                .
                                """
                            class dt_max(TUIMethod):
                                """
                                .
                                """
                            class dt_init_limit(TUIMethod):
                                """
                                .
                                """

                    class p_v_coupling(TUIMenu):
                        """
                        Enters the menu for the pressure-velocity coupling controls.
                        """
                        def __init__(self, service, version, mode, path):
                            self.rhie_chow_flux = self.__class__.rhie_chow_flux(service, version, mode, path + ["rhie_chow_flux"])
                            self.coupled_vof = self.__class__.coupled_vof(service, version, mode, path + ["coupled_vof"])
                            self.pressure_interpolation = self.__class__.pressure_interpolation(service, version, mode, path + ["pressure_interpolation"])
                            self.skewness_correction = self.__class__.skewness_correction(service, version, mode, path + ["skewness_correction"])
                            super().__init__(service, version, mode, path)

                        class rhie_chow_flux(TUIMenu):
                            """
                            Enters the stability controls menu for the Rhie-Chow interpolation.
                            """
                            def __init__(self, service, version, mode, path):
                                self.low_order_rhie_chow = self.__class__.low_order_rhie_chow(service, version, mode, path + ["low_order_rhie_chow"])
                                super().__init__(service, version, mode, path)
                            class low_order_rhie_chow(TUIMethod):
                                """
                                Enables/disables the low-order velocity interpolation in  the flux calculation.
                                """

                        class coupled_vof(TUIMenu):
                            """
                            Enters the stability control menu for VOF cases that involve the Coupled pressure-velocity coupling scheme.
                            """
                            def __init__(self, service, version, mode, path):
                                self.buoyancy_force_linearization = self.__class__.buoyancy_force_linearization(service, version, mode, path + ["buoyancy_force_linearization"])
                                super().__init__(service, version, mode, path)
                            class buoyancy_force_linearization(TUIMethod):
                                """
                                Allows you to use the linearized buoyancy force and the  blended treatment for the buoyancy force.
                                """

                        class pressure_interpolation(TUIMenu):
                            """
                            Enters the pressure interpolation menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.modified_bfw_scheme = self.__class__.modified_bfw_scheme(service, version, mode, path + ["modified_bfw_scheme"])
                                super().__init__(service, version, mode, path)
                            class modified_bfw_scheme(TUIMethod):
                                """
                                Enables/disables the modified body force weighted  interpolation scheme. See  for more information about  this option.
                                """

                        class skewness_correction(TUIMenu):
                            """
                            Enters the skewness correction menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.limit_pressure_correction_gradient = self.__class__.limit_pressure_correction_gradient(service, version, mode, path + ["limit_pressure_correction_gradient"])
                                super().__init__(service, version, mode, path)
                            class limit_pressure_correction_gradient(TUIMethod):
                                """
                                Enables/disables the limited pressure correction  gradient in skewness terms for the PISO, SIMPLEC, or  fractional step pressure-coupling schemes.
                                """

                    class pseudo_transient(TUIMenu):
                        """
                        Enters the stability control menu for  steady-state multiphase cases with the pseudo time method option  enabled.
                        """
                        def __init__(self, service, version, mode, path):
                            self.auto_dt_advanced_controls = self.__class__.auto_dt_advanced_controls(service, version, mode, path + ["auto_dt_advanced_controls"])
                            self.false_time_step_linearization = self.__class__.false_time_step_linearization(service, version, mode, path + ["false_time_step_linearization"])
                            self.smoothed_density_stabilization_method = self.__class__.smoothed_density_stabilization_method(service, version, mode, path + ["smoothed_density_stabilization_method"])
                            super().__init__(service, version, mode, path)
                        class false_time_step_linearization(TUIMethod):
                            """
                            When enabled, provides additional stability for buoyancy-driven flows with the pseudo time method option enabled by increasing the diagonal dominance using the false time step size.
                            """
                        class smoothed_density_stabilization_method(TUIMethod):
                            """
                            Smooths the cell density near the interface, therefore avoiding unphysical acceleration of the lighter phase in the vicinity of interface. The default number of density smoothings is 2. In case of very large unphysical velocities across the interface, you can increase this number when prompted with Number of density smoothings.
                            """

                        class auto_dt_advanced_controls(TUIMenu):
                            """
                            Set automatic time-stepping controls for better solution stability.
                            """
                            def __init__(self, service, version, mode, path):
                                self.dt_max = self.__class__.dt_max(service, version, mode, path + ["dt_max"])
                                self.dt_factor_min = self.__class__.dt_factor_min(service, version, mode, path + ["dt_factor_min"])
                                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                                self.dt_factor_max = self.__class__.dt_factor_max(service, version, mode, path + ["dt_factor_max"])
                                self.max_velocity_ratio = self.__class__.max_velocity_ratio(service, version, mode, path + ["max_velocity_ratio"])
                                self.dt_init_limit = self.__class__.dt_init_limit(service, version, mode, path + ["dt_init_limit"])
                                super().__init__(service, version, mode, path)
                            class dt_max(TUIMethod):
                                """
                                .
                                """
                            class dt_factor_min(TUIMethod):
                                """
                                .
                                """
                            class enable(TUIMethod):
                                """
                                .
                                """
                            class dt_factor_max(TUIMethod):
                                """
                                .
                                """
                            class max_velocity_ratio(TUIMethod):
                                """
                                .
                                """
                            class dt_init_limit(TUIMethod):
                                """
                                .
                                """

                    class velocity_limiting(TUIMenu):
                        """
                        Velocity limiting related stabiity controls for multiphase flow.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_damping_strength = self.__class__.set_damping_strength(service, version, mode, path + ["set_damping_strength"])
                            self.set_damping_strengths = self.__class__.set_damping_strengths(service, version, mode, path + ["set_damping_strengths"])
                            self.set_velocity_and_vof_cutoffs = self.__class__.set_velocity_and_vof_cutoffs(service, version, mode, path + ["set_velocity_and_vof_cutoffs"])
                            self.set_velocity_cutoff = self.__class__.set_velocity_cutoff(service, version, mode, path + ["set_velocity_cutoff"])
                            self.enable_velocity_limiting = self.__class__.enable_velocity_limiting(service, version, mode, path + ["enable_velocity_limiting"])
                            self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                            super().__init__(service, version, mode, path)
                        class set_damping_strength(TUIMethod):
                            """
                            .
                            """
                        class set_damping_strengths(TUIMethod):
                            """
                            Set phase based damping strength.
                            """
                        class set_velocity_and_vof_cutoffs(TUIMethod):
                            """
                            Set phase based velocity limiting controls.
                            """
                        class set_velocity_cutoff(TUIMethod):
                            """
                            .
                            """
                        class enable_velocity_limiting(TUIMethod):
                            """
                            .
                            """
                        class verbosity(TUIMethod):
                            """
                            .
                            """

                    class equation_order(TUIMenu):
                        """
                        Enters the equation order menu for homogeneous multiphase flow  models.
                        """
                        def __init__(self, service, version, mode, path):
                            self.solve_flow_last = self.__class__.solve_flow_last(service, version, mode, path + ["solve_flow_last"])
                            self.solve_exp_vof_at_end = self.__class__.solve_exp_vof_at_end(service, version, mode, path + ["solve_exp_vof_at_end"])
                            super().__init__(service, version, mode, path)
                        class solve_flow_last(TUIMethod):
                            """
                            When enabled, solves the flow equation at the end of the iteration. This improves the behavior at the start of new time-step if the solution does not converge properly.
                            """
                        class solve_exp_vof_at_end(TUIMethod):
                            """
                            .
                            """

                    class num_ventilation(TUIMenu):
                        """
                        Numerical Ventilation Menu for VOF Model.
                        """
                        def __init__(self, service, version, mode, path):
                            self.trapped_phase_vof_min = self.__class__.trapped_phase_vof_min(service, version, mode, path + ["trapped_phase_vof_min"])
                            self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                            self.near_wall_treatment_options = self.__class__.near_wall_treatment_options(service, version, mode, path + ["near_wall_treatment_options"])
                            self.tau_estimation_options = self.__class__.tau_estimation_options(service, version, mode, path + ["tau_estimation_options"])
                            self.trapped_phase_vof_max = self.__class__.trapped_phase_vof_max(service, version, mode, path + ["trapped_phase_vof_max"])
                            super().__init__(service, version, mode, path)
                        class trapped_phase_vof_min(TUIMethod):
                            """
                            Set trapped phase minimum volume fraction to activate numerical ventilation treatment for trapped phase.
                            """
                        class enable(TUIMethod):
                            """
                            Enable numerical ventilation treatment to remove trapped phase adjacent to wall.
                            """
                        class near_wall_treatment_options(TUIMethod):
                            """
                            Set near wall treatment options.
                            """
                        class tau_estimation_options(TUIMethod):
                            """
                            Set time step size option for numerical ventilation treatment.
                            """
                        class trapped_phase_vof_max(TUIMethod):
                            """
                            Set trapped phase maximum volume fraction to activate numerical ventilation treatment for non-trapped phases.
                            """

                class face_pressure_controls(TUIMenu):
                    """
                    Enter the face pressure expert controls menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.face_pressure_options = self.__class__.face_pressure_options(service, version, mode, path + ["face_pressure_options"])
                        super().__init__(service, version, mode, path)
                    class face_pressure_options(TUIMethod):
                        """
                        Set face pressure options.
                        """

                class viscous_flow(TUIMenu):
                    """
                    Enters the viscous multiphase flow numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.interfacial_artificial_viscosity = self.__class__.interfacial_artificial_viscosity(service, version, mode, path + ["interfacial_artificial_viscosity"])
                        self.turb_visc_based_damping = self.__class__.turb_visc_based_damping(service, version, mode, path + ["turb_visc_based_damping"])
                        self.viscosity_averaging = self.__class__.viscosity_averaging(service, version, mode, path + ["viscosity_averaging"])
                        super().__init__(service, version, mode, path)
                    class interfacial_artificial_viscosity(TUIMethod):
                        """
                        .
                        """
                    class turb_visc_based_damping(TUIMethod):
                        """
                        Turbulence viscosity based damping controls.
                        """
                    class viscosity_averaging(TUIMethod):
                        """
                        Forces harmonic averaging of cell viscosities to calculate face  viscosity used in momentum equation. This can improve convergence for  highly viscous flow applications (the VOF model only).
                        """

                class solution_stabilization(TUIMenu):
                    """
                    Enters the solution-stabilization numerics menu. This item is available only for the VOF model.
                    """
                    def __init__(self, service, version, mode, path):
                        self.velocity_limiting_treatment = self.__class__.velocity_limiting_treatment(service, version, mode, path + ["velocity_limiting_treatment"])
                        self.additional_stabilization_controls = self.__class__.additional_stabilization_controls(service, version, mode, path + ["additional_stabilization_controls"])
                        self.execute_settings_optimization = self.__class__.execute_settings_optimization(service, version, mode, path + ["execute_settings_optimization"])
                        self.execute_advanced_stabilization = self.__class__.execute_advanced_stabilization(service, version, mode, path + ["execute_advanced_stabilization"])
                        self.execute_additional_stability_controls = self.__class__.execute_additional_stability_controls(service, version, mode, path + ["execute_additional_stability_controls"])
                        super().__init__(service, version, mode, path)
                    class execute_settings_optimization(TUIMethod):
                        """
                        .
                        """
                    class execute_advanced_stabilization(TUIMethod):
                        """
                        When enabled, modifies solver settings for improved solution  stability.
                        """
                    class execute_additional_stability_controls(TUIMethod):
                        """
                        When enabled, uses additional controls for improved solution  stability.
                        """

                    class velocity_limiting_treatment(TUIMenu):
                        """
                        Enters the menu for the velocity-limiting-treatment.
                        """
                        def __init__(self, service, version, mode, path):
                            self.set_velocity_cutoff = self.__class__.set_velocity_cutoff(service, version, mode, path + ["set_velocity_cutoff"])
                            self.set_velocity_and_vof_cutoffs = self.__class__.set_velocity_and_vof_cutoffs(service, version, mode, path + ["set_velocity_and_vof_cutoffs"])
                            self.set_damping_strengths = self.__class__.set_damping_strengths(service, version, mode, path + ["set_damping_strengths"])
                            self.enable_velocity_limiting = self.__class__.enable_velocity_limiting(service, version, mode, path + ["enable_velocity_limiting"])
                            self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                            self.set_damping_strength = self.__class__.set_damping_strength(service, version, mode, path + ["set_damping_strength"])
                            super().__init__(service, version, mode, path)
                        class set_velocity_cutoff(TUIMethod):
                            """
                            Specifies the maximum velocity magnitude.
                            """
                        class set_velocity_and_vof_cutoffs(TUIMethod):
                            """
                            Set phase based velocity limiting controls.
                            """
                        class set_damping_strengths(TUIMethod):
                            """
                            Set phase based damping strength.
                            """
                        class enable_velocity_limiting(TUIMethod):
                            """
                            Enables/disables the velocity limiting treatment.
                            """
                        class verbosity(TUIMethod):
                            """
                            When enabled, the solver prints the number of velocity limited cells at each iteration.
                            """
                        class set_damping_strength(TUIMethod):
                            """
                            .
                            """

                    class additional_stabilization_controls(TUIMenu):
                        """
                        Enters the menu for additional advanced stability controls.
                        """
                        def __init__(self, service, version, mode, path):
                            self.pseudo_time_stabilization = self.__class__.pseudo_time_stabilization(service, version, mode, path + ["pseudo_time_stabilization"])
                            self.blended_compressive_scheme = self.__class__.blended_compressive_scheme(service, version, mode, path + ["blended_compressive_scheme"])
                            self.pseudo_transient_stabilization = self.__class__.pseudo_transient_stabilization(service, version, mode, path + ["pseudo_transient_stabilization"])
                            super().__init__(service, version, mode, path)
                        class pseudo_time_stabilization(TUIMethod):
                            """
                            .
                            """
                        class blended_compressive_scheme(TUIMethod):
                            """
                            Enables/disables the blended compressive discretization scheme.
                            """
                        class pseudo_transient_stabilization(TUIMethod):
                            """
                            Enables/disables the pseudo-transient momentum stabilization and false time step linearization methods.
                            """

                class compressible_flow(TUIMenu):
                    """
                    Enters the compressible multiphase flow numerics menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enhanced_numerics = self.__class__.enhanced_numerics(service, version, mode, path + ["enhanced_numerics"])
                        self.alternate_bc_formulation = self.__class__.alternate_bc_formulation(service, version, mode, path + ["alternate_bc_formulation"])
                        super().__init__(service, version, mode, path)
                    class enhanced_numerics(TUIMethod):
                        """
                        Enables an enhanced numerical treatment that provides better  stability at startup and during calculation of compressible  flows.
                        """
                    class alternate_bc_formulation(TUIMethod):
                        """
                        Enables an alternative formulation for compressible phases at an  inlet boundary. This formulation calculates static temperature and  pressure using an iterative method based on fundamental thermodynamic  relations.
                        """

            class warped_face_gradient_correction(TUIMenu):
                """
                Enters the warped-face gradient correction menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.turbulence_options = self.__class__.turbulence_options(service, version, mode, path + ["turbulence_options"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables/disables gradient enhancement computations and specifies whether Fluent uses fast or memory saving mode.
                    """
                class turbulence_options(TUIMethod):
                    """
                    Set turbulence Warped Face Gradient Correction.
                    """

        class initialize(TUIMenu):
            """
            Enters the flow initialization menu.
            """
            def __init__(self, service, version, mode, path):
                self.set_hyb_initialization = self.__class__.set_hyb_initialization(service, version, mode, path + ["set_hyb_initialization"])
                self.mp_localized_turb_init = self.__class__.mp_localized_turb_init(service, version, mode, path + ["mp_localized_turb_init"])
                self.compute_defaults = self.__class__.compute_defaults(service, version, mode, path + ["compute_defaults"])
                self.vof_patch_smooth_options = self.__class__.vof_patch_smooth_options(service, version, mode, path + ["vof_patch_smooth_options"])
                self.set_defaults = self.__class__.set_defaults(service, version, mode, path + ["set_defaults"])
                self.initialize_flow = self.__class__.initialize_flow(service, version, mode, path + ["initialize_flow"])
                self.lwf_reset = self.__class__.lwf_reset(service, version, mode, path + ["lwf_reset"])
                self.open_channel_auto_init = self.__class__.open_channel_auto_init(service, version, mode, path + ["open_channel_auto_init"])
                self.dpm_reset = self.__class__.dpm_reset(service, version, mode, path + ["dpm_reset"])
                self.set_fmg_options = self.__class__.set_fmg_options(service, version, mode, path + ["set_fmg_options"])
                self.init_instantaneous_vel = self.__class__.init_instantaneous_vel(service, version, mode, path + ["init_instantaneous_vel"])
                self.show_iterations_sampled = self.__class__.show_iterations_sampled(service, version, mode, path + ["show_iterations_sampled"])
                self.fmg_initialization = self.__class__.fmg_initialization(service, version, mode, path + ["fmg_initialization"])
                self.show_time_sampled = self.__class__.show_time_sampled(service, version, mode, path + ["show_time_sampled"])
                self.initialize_lwf = self.__class__.initialize_lwf(service, version, mode, path + ["initialize_lwf"])
                self.init_acoustics_options = self.__class__.init_acoustics_options(service, version, mode, path + ["init_acoustics_options"])
                self.set_fmg_initialization = self.__class__.set_fmg_initialization(service, version, mode, path + ["set_fmg_initialization"])
                self.list_defaults = self.__class__.list_defaults(service, version, mode, path + ["list_defaults"])
                self.reference_frame = self.__class__.reference_frame(service, version, mode, path + ["reference_frame"])
                self.init_turb_vel_fluctuations = self.__class__.init_turb_vel_fluctuations(service, version, mode, path + ["init_turb_vel_fluctuations"])
                self.hyb_initialization = self.__class__.hyb_initialization(service, version, mode, path + ["hyb_initialization"])
                self.repair_wall_distance = self.__class__.repair_wall_distance(service, version, mode, path + ["repair_wall_distance"])
                self.levelset_auto_init = self.__class__.levelset_auto_init(service, version, mode, path + ["levelset_auto_init"])
                self.init_flow_statistics = self.__class__.init_flow_statistics(service, version, mode, path + ["init_flow_statistics"])
                super().__init__(service, version, mode, path)
            class set_defaults(TUIMethod):
                """
                Sets default initial values.
                """
            class initialize_flow(TUIMethod):
                """
                Initializes the flow field with the current default values.
                """
            class lwf_reset(TUIMethod):
                """
                Delete wall film particles and initialize wall film variables to zero.
                """
            class open_channel_auto_init(TUIMethod):
                """
                Opens channel automatic initialization.
                """
            class dpm_reset(TUIMethod):
                """
                Resets discrete phase source terms to zero.
                """
            class set_fmg_options(TUIMethod):
                """
                Enter the additional fmg options menu.
                """
            class init_instantaneous_vel(TUIMethod):
                """
                Initialize unsteady velocity.
                """
            class show_iterations_sampled(TUIMethod):
                """
                Displays the number of iterations covered by the data sampled for steady statistics.
                """
            class fmg_initialization(TUIMethod):
                """
                Initializes using the full-multigrid initialization (FMG).
                """
            class show_time_sampled(TUIMethod):
                """
                Displays the amount of simulated time covered by the data sampled for unsteady statistics.
                """
            class initialize_lwf(TUIMethod):
                """
                Initalize Lagrangian wall film according to the settings made for individual wall zones.
                """
            class init_acoustics_options(TUIMethod):
                """
                Specifies the number of timesteps for ramping of sound sources and re-initializes the acoustics wave equation solution. For the initialized acoustics solution, Fluent reports the current state of the sound sources ramping.
                """
            class set_fmg_initialization(TUIMethod):
                """
                Enters the set full-multigrid for initialization menu. Initial values for each variable can be set within this menu.
                """
            class list_defaults(TUIMethod):
                """
                Lists default values.
                """
            class reference_frame(TUIMethod):
                """
                Sets reference frame to absolute or relative.
                """
            class init_turb_vel_fluctuations(TUIMethod):
                """
                Initializes instantaneous velocity field out of steady state RANS results, for use before enabling a scale resolving simulation such as LES.
                """
            class hyb_initialization(TUIMethod):
                """
                Initializes using the hybrid initialization method.
                """
            class repair_wall_distance(TUIMethod):
                """
                Corrects wall distance at very high aspect ratio hexahedral/polyhedral cells.
                """
            class levelset_auto_init(TUIMethod):
                """
                .
                """
            class init_flow_statistics(TUIMethod):
                """
                Initializes unsteady statistics.
                """

            class set_hyb_initialization(TUIMenu):
                """
                Enters the hybrid initialization menu.
                """
                def __init__(self, service, version, mode, path):
                    self.species_settings = self.__class__.species_settings(service, version, mode, path + ["species_settings"])
                    self.general_settings = self.__class__.general_settings(service, version, mode, path + ["general_settings"])
                    self.turbulent_settings = self.__class__.turbulent_settings(service, version, mode, path + ["turbulent_settings"])
                    super().__init__(service, version, mode, path)
                class species_settings(TUIMethod):
                    """
                    Enters the species-settings menu.
                    """
                class general_settings(TUIMethod):
                    """
                    Enters the general settings menu.
                    """
                class turbulent_settings(TUIMethod):
                    """
                    Enter the turbulent settings menu.
                    """

            class mp_localized_turb_init(TUIMenu):
                """
                Enters the menu for localized turbulent flow initialization.
                """
                def __init__(self, service, version, mode, path):
                    self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                    self.turb_init_parameters = self.__class__.turb_init_parameters(service, version, mode, path + ["turb_init_parameters"])
                    super().__init__(service, version, mode, path)
                class enable(TUIMethod):
                    """
                    Enables/disables localized initialization of turbulent flow variables.
                    """
                class turb_init_parameters(TUIMethod):
                    """
                    Sets values for the turbulent intensity and turbulent viscosity ratio for localized initialization.
                    """

            class compute_defaults(TUIMenu):
                """
                Enters the compute default values menu.
                """
                def __init__(self, service, version, mode, path):
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.dummy_entry = self.__class__.dummy_entry(service, version, mode, path + ["dummy_entry"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.all_zones = self.__class__.all_zones(service, version, mode, path + ["all_zones"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    super().__init__(service, version, mode, path)
                class pressure_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class overset(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class interface(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class axis(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class wall(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class network(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class dummy_entry(TUIMethod):
                    """
                    .
                    """
                class intake_fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class interior(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class porous_jump(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class all_zones(TUIMethod):
                    """
                    Initializes the flow field with the default values.
                    """
                class solid(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Compute flow-initialization defaults from a zone of this type.
                    """

            class vof_patch_smooth_options(TUIMenu):
                """
                Enters the vof patch/smooth options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.execute_smoothing = self.__class__.execute_smoothing(service, version, mode, path + ["execute_smoothing"])
                    self.set_options = self.__class__.set_options(service, version, mode, path + ["set_options"])
                    super().__init__(service, version, mode, path)
                class execute_smoothing(TUIMethod):
                    """
                    .
                    """
                class set_options(TUIMethod):
                    """
                    Sets options for patching and smoothing volume fraction.
                    """

        class animate(TUIMenu):
            """
            Enters the animation menu.
            """
            def __init__(self, service, version, mode, path):
                self.define = self.__class__.define(service, version, mode, path + ["define"])
                self.playback = self.__class__.playback(service, version, mode, path + ["playback"])
                self.keyframe_animation = self.__class__.keyframe_animation(service, version, mode, path + ["keyframe_animation"])
                self.pulse = self.__class__.pulse(service, version, mode, path + ["pulse"])
                self.objects = self.__class__.objects(service, version, mode, path + ["objects"])
                self.inverse_dft = self.__class__.inverse_dft(service, version, mode, path + ["inverse_dft"])
                super().__init__(service, version, mode, path)

            class define(TUIMenu):
                """
                Enters the animation definition menu.
                """
                def __init__(self, service, version, mode, path):
                    self.edit_monitor = self.__class__.edit_monitor(service, version, mode, path + ["edit_monitor"])
                    self.define_monitor = self.__class__.define_monitor(service, version, mode, path + ["define_monitor"])
                    super().__init__(service, version, mode, path)
                class edit_monitor(TUIMethod):
                    """
                    Changes animation monitor attributes.
                    """
                class define_monitor(TUIMethod):
                    """
                    Defines new animation.
                    """

            class playback(TUIMenu):
                """
                Enters the animation playback menu.
                """
                def __init__(self, service, version, mode, path):
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.play = self.__class__.play(service, version, mode, path + ["play"])
                    self.stored_view = self.__class__.stored_view(service, version, mode, path + ["stored_view"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    self.set_custom_frames = self.__class__.set_custom_frames(service, version, mode, path + ["set_custom_frames"])
                    self.read = self.__class__.read(service, version, mode, path + ["read"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    super().__init__(service, version, mode, path)
                class play(TUIMethod):
                    """
                    Plays the selected animation.
                    """
                class stored_view(TUIMethod):
                    """
                    Plays the 3D animation sequence using the view stored in the sequence.
                    """
                class write(TUIMethod):
                    """
                    Writes animation sequence to the file.
                    """
                class set_custom_frames(TUIMethod):
                    """
                    Specify a custom start frame, increment, and end frame for video export.
                    """
                class read(TUIMethod):
                    """
                    Reads new animation from file or already defined animations.
                    """
                class delete(TUIMethod):
                    """
                    Deletes animation sequence.
                    """

                class video(TUIMenu):
                    """
                    Enters the video menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.advance_quality = self.__class__.advance_quality(service, version, mode, path + ["advance_quality"])
                        self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                        self.height = self.__class__.height(service, version, mode, path + ["height"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        self.width = self.__class__.width(service, version, mode, path + ["width"])
                        self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
                        self.name = self.__class__.name(service, version, mode, path + ["name"])
                        self.fps = self.__class__.fps(service, version, mode, path + ["fps"])
                        self.use_original_resolution = self.__class__.use_original_resolution(service, version, mode, path + ["use_original_resolution"])
                        self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                        super().__init__(service, version, mode, path)
                    class set_standard_resolution(TUIMethod):
                        """
                        Select from pre-defined resolution list.
                        """
                    class height(TUIMethod):
                        """
                        Set the height for exporting video file.
                        """
                    class format(TUIMethod):
                        """
                        Specifies what format the video file will be written in (MP4 | AVI |  FLV | MOV | MPEG).
                        """
                    class width(TUIMethod):
                        """
                        Set the width for exporting video file.
                        """
                    class quality(TUIMethod):
                        """
                        Set quality for exporting video file.
                        """
                    class name(TUIMethod):
                        """
                        Sets the name of the saved video file.
                        """
                    class fps(TUIMethod):
                        """
                        Sets the target frames per second (FPS) for the saved video  file.
                        """
                    class use_original_resolution(TUIMethod):
                        """
                        Controls whether the resolution of the saved video file matches that  of the images used to create it.
                        """
                    class scale(TUIMethod):
                        """
                        Expands or collapses the resolution based on this scaling  factor.
                        """

                    class advance_quality(TUIMenu):
                        """
                        Advance Quality setting.
                        """
                        def __init__(self, service, version, mode, path):
                            self.keyframe = self.__class__.keyframe(service, version, mode, path + ["keyframe"])
                            self.bitrate_scale = self.__class__.bitrate_scale(service, version, mode, path + ["bitrate_scale"])
                            self.bitrate = self.__class__.bitrate(service, version, mode, path + ["bitrate"])
                            self.enable_h264 = self.__class__.enable_h264(service, version, mode, path + ["enable_h264"])
                            self.compression_method = self.__class__.compression_method(service, version, mode, path + ["compression_method"])
                            super().__init__(service, version, mode, path)
                        class keyframe(TUIMethod):
                            """
                            Set video keyframe rate for exporting video file.
                            """
                        class bitrate_scale(TUIMethod):
                            """
                            Mp4 bitrate scale - Best-64000 High-32000 Medium-16000 Low-8000.
                            """
                        class bitrate(TUIMethod):
                            """
                            Set video bitrate(kbits/sec) for exporting video file.
                            """
                        class enable_h264(TUIMethod):
                            """
                            H264 encoding flag.
                            """
                        class compression_method(TUIMethod):
                            """
                            Compression methode for Microsoft AVI movie.
                            """

            class keyframe_animation(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.set_custom_frames = self.__class__.set_custom_frames(service, version, mode, path + ["set_custom_frames"])
                    self.add_keyframe = self.__class__.add_keyframe(service, version, mode, path + ["add_keyframe"])
                    self.write_animation = self.__class__.write_animation(service, version, mode, path + ["write_animation"])
                    self.read_animation = self.__class__.read_animation(service, version, mode, path + ["read_animation"])
                    self.delete_all_keyframes = self.__class__.delete_all_keyframes(service, version, mode, path + ["delete_all_keyframes"])
                    self.delete_keyframe = self.__class__.delete_keyframe(service, version, mode, path + ["delete_keyframe"])
                    self.play = self.__class__.play(service, version, mode, path + ["play"])
                    super().__init__(service, version, mode, path)
                class add_keyframe(TUIMethod):
                    """
                    .
                    """
                class write_animation(TUIMethod):
                    """
                    .
                    """
                class read_animation(TUIMethod):
                    """
                    .
                    """
                class delete_all_keyframes(TUIMethod):
                    """
                    .
                    """
                class delete_keyframe(TUIMethod):
                    """
                    .
                    """
                class play(TUIMethod):
                    """
                    .
                    """

                class set_custom_frames(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.end_keyframe = self.__class__.end_keyframe(service, version, mode, path + ["end_keyframe"])
                        self.start_keyframe = self.__class__.start_keyframe(service, version, mode, path + ["start_keyframe"])
                        self.increment = self.__class__.increment(service, version, mode, path + ["increment"])
                        super().__init__(service, version, mode, path)
                    class end_keyframe(TUIMethod):
                        """
                        .
                        """
                    class start_keyframe(TUIMethod):
                        """
                        .
                        """
                    class increment(TUIMethod):
                        """
                        .
                        """

            class pulse(TUIMenu):
                """
                Enter the pulse animation menu (only available when one or more particle track or pathline graphics objects are defined).
                """
                def __init__(self, service, version, mode, path):
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.hardcopy = self.__class__.hardcopy(service, version, mode, path + ["hardcopy"])
                    self.pulse_mode = self.__class__.pulse_mode(service, version, mode, path + ["pulse_mode"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    super().__init__(service, version, mode, path)
                class pulse_mode(TUIMethod):
                    """
                    Set whether the pulse is a single pulse or continuous.
                    """
                class write(TUIMethod):
                    """
                    Select a pathline or particle track graphics object, specify whether you want to write a video file or picture files, and enter the destination directory for the files. Continuous pulse animations result in a 5 second video. Single pulse animations run for a full cycle.
                    """

                class video(TUIMenu):
                    """
                    Enter the video window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.advance_quality = self.__class__.advance_quality(service, version, mode, path + ["advance_quality"])
                        self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
                        self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                        self.width = self.__class__.width(service, version, mode, path + ["width"])
                        self.fps = self.__class__.fps(service, version, mode, path + ["fps"])
                        self.name = self.__class__.name(service, version, mode, path + ["name"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        self.height = self.__class__.height(service, version, mode, path + ["height"])
                        self.use_original_resolution = self.__class__.use_original_resolution(service, version, mode, path + ["use_original_resolution"])
                        self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                        super().__init__(service, version, mode, path)
                    class quality(TUIMethod):
                        """
                        Set quality for exporting video file.
                        """
                    class set_standard_resolution(TUIMethod):
                        """
                        Select from pre-defined resolution list.
                        """
                    class width(TUIMethod):
                        """
                        Set the width for exporting video file.
                        """
                    class fps(TUIMethod):
                        """
                        Set the Frame Per Sec(FPS) for exporting video file.
                        """
                    class name(TUIMethod):
                        """
                        Exporting video file name.
                        """
                    class format(TUIMethod):
                        """
                        Set format for exporting video file.
                        """
                    class height(TUIMethod):
                        """
                        Set the height for exporting video file.
                        """
                    class use_original_resolution(TUIMethod):
                        """
                        Enable original resolution.
                        """
                    class scale(TUIMethod):
                        """
                        Set scale by which video resolution will expand.
                        """

                    class advance_quality(TUIMenu):
                        """
                        Advance Quality setting.
                        """
                        def __init__(self, service, version, mode, path):
                            self.enable_h264 = self.__class__.enable_h264(service, version, mode, path + ["enable_h264"])
                            self.bitrate_scale = self.__class__.bitrate_scale(service, version, mode, path + ["bitrate_scale"])
                            self.bitrate = self.__class__.bitrate(service, version, mode, path + ["bitrate"])
                            self.keyframe = self.__class__.keyframe(service, version, mode, path + ["keyframe"])
                            self.compression_method = self.__class__.compression_method(service, version, mode, path + ["compression_method"])
                            super().__init__(service, version, mode, path)
                        class enable_h264(TUIMethod):
                            """
                            H264 encoding flag.
                            """
                        class bitrate_scale(TUIMethod):
                            """
                            Mp4 bitrate scale - Best-64000 High-32000 Medium-16000 Low-8000.
                            """
                        class bitrate(TUIMethod):
                            """
                            Set video bitrate(kbits/sec) for exporting video file.
                            """
                        class keyframe(TUIMethod):
                            """
                            Set video keyframe rate for exporting video file.
                            """
                        class compression_method(TUIMethod):
                            """
                            Compression methode for Microsoft AVI movie.
                            """

                class hardcopy(TUIMenu):
                    """
                    Hardcopy options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.color_mode = self.__class__.color_mode(service, version, mode, path + ["color_mode"])
                        self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                        self.y_resolution = self.__class__.y_resolution(service, version, mode, path + ["y_resolution"])
                        self.invert_background = self.__class__.invert_background(service, version, mode, path + ["invert_background"])
                        self.use_window_resolution = self.__class__.use_window_resolution(service, version, mode, path + ["use_window_resolution"])
                        self.x_resolution = self.__class__.x_resolution(service, version, mode, path + ["x_resolution"])
                        self.dpi = self.__class__.dpi(service, version, mode, path + ["dpi"])
                        self.jpeg_hardcopy_quality = self.__class__.jpeg_hardcopy_quality(service, version, mode, path + ["jpeg_hardcopy_quality"])
                        self.raytracer_image = self.__class__.raytracer_image(service, version, mode, path + ["raytracer_image"])
                        self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                        self.landscape = self.__class__.landscape(service, version, mode, path + ["landscape"])
                        self.preview = self.__class__.preview(service, version, mode, path + ["preview"])
                        super().__init__(service, version, mode, path)
                    class y_resolution(TUIMethod):
                        """
                        Set the height of raster-formatted images in pixels (0 implies current window size).
                        """
                    class invert_background(TUIMethod):
                        """
                        Use a white background when the picture is saved.
                        """
                    class use_window_resolution(TUIMethod):
                        """
                        Use the currently active window's resolution for hardcopy (ignores the x-resolution and y-resolution in this case).
                        """
                    class x_resolution(TUIMethod):
                        """
                        Set the width of raster-formatted images in pixels (0 implies current window size).
                        """
                    class dpi(TUIMethod):
                        """
                        Set the DPI for EPS and Postscript files, specifies the resolution in dots per inch (DPI) instead of setting the width and height.
                        """
                    class jpeg_hardcopy_quality(TUIMethod):
                        """
                        To set jpeg hardcopy quality.
                        """
                    class raytracer_image(TUIMethod):
                        """
                        Enable raytracering rendering.
                        """
                    class set_standard_resolution(TUIMethod):
                        """
                        Select from pre-defined resolution list.
                        """
                    class landscape(TUIMethod):
                        """
                        Plot hardcopies in landscape or portrait orientation.
                        """
                    class preview(TUIMethod):
                        """
                        Display a preview image of a hardcopy.
                        """

                    class color_mode(TUIMenu):
                        """
                        Enter the hardcopy color mode menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.gray_scale = self.__class__.gray_scale(service, version, mode, path + ["gray_scale"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.mono_chrome = self.__class__.mono_chrome(service, version, mode, path + ["mono_chrome"])
                            self.color = self.__class__.color(service, version, mode, path + ["color"])
                            super().__init__(service, version, mode, path)
                        class gray_scale(TUIMethod):
                            """
                            Convert color to grayscale for hardcopy.
                            """
                        class list(TUIMethod):
                            """
                            Display the current hardcopy color mode.
                            """
                        class mono_chrome(TUIMethod):
                            """
                            Convert color to monochrome (black and white) for hardcopy.
                            """
                        class color(TUIMethod):
                            """
                            Plot hardcopies in color.
                            """

                    class driver(TUIMenu):
                        """
                        Enter the set hardcopy driver menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.post_format = self.__class__.post_format(service, version, mode, path + ["post_format"])
                            self.avz = self.__class__.avz(service, version, mode, path + ["avz"])
                            self.png = self.__class__.png(service, version, mode, path + ["png"])
                            self.options = self.__class__.options(service, version, mode, path + ["options"])
                            self.jpeg = self.__class__.jpeg(service, version, mode, path + ["jpeg"])
                            self.eps = self.__class__.eps(service, version, mode, path + ["eps"])
                            self.list = self.__class__.list(service, version, mode, path + ["list"])
                            self.vrml = self.__class__.vrml(service, version, mode, path + ["vrml"])
                            self.dump_window = self.__class__.dump_window(service, version, mode, path + ["dump_window"])
                            self.ppm = self.__class__.ppm(service, version, mode, path + ["ppm"])
                            self.hsf = self.__class__.hsf(service, version, mode, path + ["hsf"])
                            self.post_script = self.__class__.post_script(service, version, mode, path + ["post_script"])
                            self.tiff = self.__class__.tiff(service, version, mode, path + ["tiff"])
                            self.glb = self.__class__.glb(service, version, mode, path + ["glb"])
                            super().__init__(service, version, mode, path)
                        class avz(TUIMethod):
                            """
                            Use AVZ output for hardcopies.
                            """
                        class png(TUIMethod):
                            """
                            Use PNG output for hardcopies.
                            """
                        class options(TUIMethod):
                            """
                            Set the hardcopy options. Available options are:
                            "no gamma correction", disables gamma correction of colors,
                            "physical size = (width,height)", where width and height
                            are the actual measurements of the printable area of the page
                            in centimeters.
                            "subscreen = (left,right,bottom,top)", where left,right,
                            bottom, and top are numbers in [-1,1] describing a subwindow on
                            the page in which to place the hardcopy.
                            The options may be combined by separating them with commas.
                            """
                        class jpeg(TUIMethod):
                            """
                            Produce JPEG output for hardcopies.
                            """
                        class eps(TUIMethod):
                            """
                            Produce encapsulated PostScript (EPS) output for hardcopies.
                            """
                        class list(TUIMethod):
                            """
                            List the current hardcopy driver.
                            """
                        class vrml(TUIMethod):
                            """
                            Use VRML output for hardcopies.
                            """
                        class dump_window(TUIMethod):
                            """
                            Set the command used to dump the graphics window to a file.
                            """
                        class ppm(TUIMethod):
                            """
                            Produce PPM output for hardcopies.
                            """
                        class hsf(TUIMethod):
                            """
                            Use HSF output for hardcopies.
                            """
                        class post_script(TUIMethod):
                            """
                            Produce PostScript output for hardcopies.
                            """
                        class tiff(TUIMethod):
                            """
                            Use TIFF output for hardcopies.
                            """
                        class glb(TUIMethod):
                            """
                            Use GLB output for hardcopies.
                            """

                        class post_format(TUIMenu):
                            """
                            Enter the PostScript driver format menu.
                            """
                            def __init__(self, service, version, mode, path):
                                self.rle_raster = self.__class__.rle_raster(service, version, mode, path + ["rle_raster"])
                                self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
                                self.fast_raster = self.__class__.fast_raster(service, version, mode, path + ["fast_raster"])
                                self.raster = self.__class__.raster(service, version, mode, path + ["raster"])
                                super().__init__(service, version, mode, path)
                            class rle_raster(TUIMethod):
                                """
                                Use the run-length encoded raster format.
                                """
                            class vector(TUIMethod):
                                """
                                Use vector format.
                                """
                            class fast_raster(TUIMethod):
                                """
                                Use the new raster format.
                                """
                            class raster(TUIMethod):
                                """
                                Use the original raster format.
                                """

            class objects(TUIMenu):
                """
                Enters the object manipulation menu.
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.get_window_id = self.__class__.get_window_id(service, version, mode, path + ["get_window_id"])
                    self.create = self.__class__.create(service, version, mode, path + ["create"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.clear_history = self.__class__.clear_history(service, version, mode, path + ["clear_history"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    Deletes solution animation object.
                    """
                class edit(TUIMethod):
                    """
                    Edits solution animation object.
                    """
                class get_window_id(TUIMethod):
                    """
                    Get animation object window id.
                    """
                class create(TUIMethod):
                    """
                    Creates new solution animation object.
                    """
                class copy(TUIMethod):
                    """
                    Copies solution animation object.
                    """
                class clear_history(TUIMethod):
                    """
                    Clears solution animation object history.
                    """

            class inverse_dft(TUIMenu):
                """
                Reconstruct DFT signal.
                """
                def __init__(self, service, version, mode, path):
                    self.run = self.__class__.run(service, version, mode, path + ["run"])
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    super().__init__(service, version, mode, path)
                class run(TUIMethod):
                    """
                    Make inverse DFT recontruction.
                    """
                class set(TUIMethod):
                    """
                    Set reconstruction parameters.
                    """

        class report_plots(TUIMenu):
            """
            Enters the report plots menu.
            """
            def __init__(self, service, version, mode, path):
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                self.get_window_id = self.__class__.get_window_id(service, version, mode, path + ["get_window_id"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.delete_all = self.__class__.delete_all(service, version, mode, path + ["delete_all"])
                self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                self.clear_data = self.__class__.clear_data(service, version, mode, path + ["clear_data"])
                super().__init__(service, version, mode, path)
            class list(TUIMethod):
                """
                Lists all defined report plots.
                """
            class delete(TUIMethod):
                """
                Deletes a report plot object.
                """
            class plot(TUIMethod):
                """
                Plots the specified report plot.
                """
            class get_window_id(TUIMethod):
                """
                Get report-plot object window id.
                """
            class list_properties(TUIMethod):
                """
                Lists the properties of a report plot.
                """
            class curves(TUIMethod):
                """
                Defines the curves for a report plot.
                """
            class add(TUIMethod):
                """
                Creates a report plot.
                """
            class edit(TUIMethod):
                """
                Edits a report plot.
                """
            class delete_all(TUIMethod):
                """
                Deletes all of the report plot objects.
                """
            class axes(TUIMethod):
                """
                Defines the axes for a report plot.
                """
            class clear_data(TUIMethod):
                """
                Clears the data associated with a report plot.
                """

    class parallel(TUIMenu):
        """
        Enter the parallel processing menu.
        """
        def __init__(self, service, version, mode, path):
            self.gpgpu = self.__class__.gpgpu(service, version, mode, path + ["gpgpu"])
            self.multidomain = self.__class__.multidomain(service, version, mode, path + ["multidomain"])
            self.load_balance = self.__class__.load_balance(service, version, mode, path + ["load_balance"])
            self.set = self.__class__.set(service, version, mode, path + ["set"])
            self.network = self.__class__.network(service, version, mode, path + ["network"])
            self.partition = self.__class__.partition(service, version, mode, path + ["partition"])
            self.timer = self.__class__.timer(service, version, mode, path + ["timer"])
            self.bandwidth = self.__class__.bandwidth(service, version, mode, path + ["bandwidth"])
            self.show_connectivity = self.__class__.show_connectivity(service, version, mode, path + ["show_connectivity"])
            self.thread_number_control = self.__class__.thread_number_control(service, version, mode, path + ["thread_number_control"])
            self.check = self.__class__.check(service, version, mode, path + ["check"])
            self.latency = self.__class__.latency(service, version, mode, path + ["latency"])
            self.check_verbosity = self.__class__.check_verbosity(service, version, mode, path + ["check_verbosity"])
            super().__init__(service, version, mode, path)
        class bandwidth(TUIMethod):
            """
            Shows network bandwidth.
            """
        class show_connectivity(TUIMethod):
            """
            Prints the network connectivity for the selected compute node.
            """
        class thread_number_control(TUIMethod):
            """
            .
            """
        class check(TUIMethod):
            """
            Performs checks of various factors that affect parallel performance.
            """
        class latency(TUIMethod):
            """
            Shows network latency.
            """
        class check_verbosity(TUIMethod):
            """
            Sets verbosity output of the parallel check. Higher verbosity corresponds to more detailed information.
            """

        class gpgpu(TUIMenu):
            """
            Enters the GPGPU menu.
            """
            def __init__(self, service, version, mode, path):
                self.show = self.__class__.show(service, version, mode, path + ["show"])
                self.select = self.__class__.select(service, version, mode, path + ["select"])
                super().__init__(service, version, mode, path)
            class show(TUIMethod):
                """
                Lists the available GPGPUs. GPGPUs selected for use are indicated by the presence of an asterisk (\\*).
                """
            class select(TUIMethod):
                """
                Selects which GPGPUs to use for AMG acceleration.
                """

        class multidomain(TUIMenu):
            """
            Enters the multidomain architecture menu.
            """
            def __init__(self, service, version, mode, path):
                self.conjugate_heat_transfer = self.__class__.conjugate_heat_transfer(service, version, mode, path + ["conjugate_heat_transfer"])
                self.solve = self.__class__.solve(service, version, mode, path + ["solve"])
                super().__init__(service, version, mode, path)

            class conjugate_heat_transfer(TUIMenu):
                """
                Enters the conjugate heat transfer menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set = self.__class__.set(service, version, mode, path + ["set"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    super().__init__(service, version, mode, path)
                class enabled(TUIMethod):
                    """
                    .
                    """

                class set(TUIMenu):
                    """
                    Enters the set menu for loosely coupled conjugate heat transfer.
                    """
                    def __init__(self, service, version, mode, path):
                        self.helper_session_setup = self.__class__.helper_session_setup(service, version, mode, path + ["helper_session_setup"])
                        self.helper_session = self.__class__.helper_session(service, version, mode, path + ["helper_session"])
                        self.coupling = self.__class__.coupling(service, version, mode, path + ["coupling"])
                        super().__init__(service, version, mode, path)
                    class helper_session(TUIMethod):
                        """
                        .
                        """
                    class coupling(TUIMethod):
                        """
                        Specifies when the fluid and solid zone calculations are coupled,  either at a defined time period or number of fluid time steps.
                        """

                    class helper_session_setup(TUIMenu):
                        """
                        .
                        """
                        def __init__(self, service, version, mode, path):
                            self.host_name = self.__class__.host_name(service, version, mode, path + ["host_name"])
                            self.process_count = self.__class__.process_count(service, version, mode, path + ["process_count"])
                            super().__init__(service, version, mode, path)
                        class host_name(TUIMethod):
                            """
                            .
                            """
                        class process_count(TUIMethod):
                            """
                            .
                            """

            class solve(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.iterate = self.__class__.iterate(service, version, mode, path + ["iterate"])
                    self.dual_time_iterate = self.__class__.dual_time_iterate(service, version, mode, path + ["dual_time_iterate"])
                    super().__init__(service, version, mode, path)
                class iterate(TUIMethod):
                    """
                    .
                    """
                class dual_time_iterate(TUIMethod):
                    """
                    .
                    """

        class load_balance(TUIMenu):
            """
            Enters the load balancing parameters menu.
            """
            def __init__(self, service, version, mode, path):
                self.mesh_adaption = self.__class__.mesh_adaption(service, version, mode, path + ["mesh_adaption"])
                self.dynamic_mesh = self.__class__.dynamic_mesh(service, version, mode, path + ["dynamic_mesh"])
                self.physical_models = self.__class__.physical_models(service, version, mode, path + ["physical_models"])
                super().__init__(service, version, mode, path)
            class mesh_adaption(TUIMethod):
                """
                Uses load balancing for mesh adaption?.
                """
            class dynamic_mesh(TUIMethod):
                """
                Uses load balancing for dynamic mesh?.
                """
            class physical_models(TUIMethod):
                """
                Uses physical-models load balancing?.
                """

        class set(TUIMenu):
            """
            Enters the set parallel parameters menu.
            """
            def __init__(self, service, version, mode, path):
                self.fast_io = self.__class__.fast_io(service, version, mode, path + ["fast_io"])
                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                self.partition_mask = self.__class__.partition_mask(service, version, mode, path + ["partition_mask"])
                self.time_out = self.__class__.time_out(service, version, mode, path + ["time_out"])
                super().__init__(service, version, mode, path)
            class fast_io(TUIMethod):
                """
                .
                """
            class verbosity(TUIMethod):
                """
                Sets the parallel verbosity.
                """
            class partition_mask(TUIMethod):
                """
                Sets partition mask.
                """
            class time_out(TUIMethod):
                """
                Sets spawn time-out in seconds.
                """

        class network(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.load_hosts = self.__class__.load_hosts(service, version, mode, path + ["load_hosts"])
                self.kill_node = self.__class__.kill_node(service, version, mode, path + ["kill_node"])
                self.spawn_node = self.__class__.spawn_node(service, version, mode, path + ["spawn_node"])
                self.save_hosts = self.__class__.save_hosts(service, version, mode, path + ["save_hosts"])
                self.shell_script_path = self.__class__.shell_script_path(service, version, mode, path + ["shell_script_path"])
                self.kill_all_nodes = self.__class__.kill_all_nodes(service, version, mode, path + ["kill_all_nodes"])
                super().__init__(service, version, mode, path)
            class load_hosts(TUIMethod):
                """
                .
                """
            class kill_node(TUIMethod):
                """
                .
                """
            class spawn_node(TUIMethod):
                """
                .
                """
            class save_hosts(TUIMethod):
                """
                .
                """
            class shell_script_path(TUIMethod):
                """
                .
                """
            class kill_all_nodes(TUIMethod):
                """
                .
                """

        class partition(TUIMenu):
            """
            Enters the partition domain menu.
            """
            def __init__(self, service, version, mode, path):
                self.automatic = self.__class__.automatic(service, version, mode, path + ["automatic"])
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.use_stored_partitions = self.__class__.use_stored_partitions(service, version, mode, path + ["use_stored_partitions"])
                self.method = self.__class__.method(service, version, mode, path + ["method"])
                self.smooth_partition = self.__class__.smooth_partition(service, version, mode, path + ["smooth_partition"])
                self.merge_clusters = self.__class__.merge_clusters(service, version, mode, path + ["merge_clusters"])
                self.combine_partition = self.__class__.combine_partition(service, version, mode, path + ["combine_partition"])
                self.reorder_partitions = self.__class__.reorder_partitions(service, version, mode, path + ["reorder_partitions"])
                self.reorder_partitions_to_architecture = self.__class__.reorder_partitions_to_architecture(service, version, mode, path + ["reorder_partitions_to_architecture"])
                self.print_partitions = self.__class__.print_partitions(service, version, mode, path + ["print_partitions"])
                self.print_stored_partitions = self.__class__.print_stored_partitions(service, version, mode, path + ["print_stored_partitions"])
                self.print_active_partitions = self.__class__.print_active_partitions(service, version, mode, path + ["print_active_partitions"])
                super().__init__(service, version, mode, path)
            class use_stored_partitions(TUIMethod):
                """
                Uses this partitioning.
                """
            class method(TUIMethod):
                """
                Sets the partition method.
                """
            class smooth_partition(TUIMethod):
                """
                Calls the optimizer that attempts to minimize the number of interfaces by modifying the partition boundaries to reduce surface area.
                """
            class merge_clusters(TUIMethod):
                """
                Calls the optimizer that attempts to decrease the number of interfaces by eliminating orphan cell clusters. (An orphan cluster is a group of connected cells such that each member has at least one face that is part of an interface boundary.).
                """
            class combine_partition(TUIMethod):
                """
                Merges every N partitions.
                """
            class reorder_partitions(TUIMethod):
                """
                Reorders partitions.
                """
            class reorder_partitions_to_architecture(TUIMethod):
                """
                Reorders partitions to architecture.
                """
            class print_partitions(TUIMethod):
                """
                .
                """
            class print_stored_partitions(TUIMethod):
                """
                Prints stored partition information (parallel solver).
                """
            class print_active_partitions(TUIMethod):
                """
                Prints active partition information (parallel solver).
                """

            class automatic(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.method = self.__class__.method(service, version, mode, path + ["method"])
                    self.across_zones = self.__class__.across_zones(service, version, mode, path + ["across_zones"])
                    self.pre_test = self.__class__.pre_test(service, version, mode, path + ["pre_test"])
                    self.use_case_file_method = self.__class__.use_case_file_method(service, version, mode, path + ["use_case_file_method"])
                    self.load_vector = self.__class__.load_vector(service, version, mode, path + ["load_vector"])
                    super().__init__(service, version, mode, path)
                class method(TUIMethod):
                    """
                    .
                    """
                class across_zones(TUIMethod):
                    """
                    .
                    """
                class pre_test(TUIMethod):
                    """
                    .
                    """
                class use_case_file_method(TUIMethod):
                    """
                    .
                    """
                class load_vector(TUIMethod):
                    """
                    .
                    """

            class set(TUIMenu):
                """
                Enters the set partition parameters menu.
                """
                def __init__(self, service, version, mode, path):
                    self.partition_origin_vector = self.__class__.partition_origin_vector(service, version, mode, path + ["partition_origin_vector"])
                    self.fluid_solid_rebalance_after_read_case = self.__class__.fluid_solid_rebalance_after_read_case(service, version, mode, path + ["fluid_solid_rebalance_after_read_case"])
                    self.cell_function = self.__class__.cell_function(service, version, mode, path + ["cell_function"])
                    self.across_zones = self.__class__.across_zones(service, version, mode, path + ["across_zones"])
                    self.nfaces_as_weights = self.__class__.nfaces_as_weights(service, version, mode, path + ["nfaces_as_weights"])
                    self.stretched_mesh_enhancement = self.__class__.stretched_mesh_enhancement(service, version, mode, path + ["stretched_mesh_enhancement"])
                    self.layering = self.__class__.layering(service, version, mode, path + ["layering"])
                    self.laplace_smoothing = self.__class__.laplace_smoothing(service, version, mode, path + ["laplace_smoothing"])
                    self.origin = self.__class__.origin(service, version, mode, path + ["origin"])
                    self.merge = self.__class__.merge(service, version, mode, path + ["merge"])
                    self.vof_free_surface_weight = self.__class__.vof_free_surface_weight(service, version, mode, path + ["vof_free_surface_weight"])
                    self.smooth = self.__class__.smooth(service, version, mode, path + ["smooth"])
                    self.all_on = self.__class__.all_on(service, version, mode, path + ["all_on"])
                    self.pre_test = self.__class__.pre_test(service, version, mode, path + ["pre_test"])
                    self.face_area_as_weights = self.__class__.face_area_as_weights(service, version, mode, path + ["face_area_as_weights"])
                    self.model_weighted_partition = self.__class__.model_weighted_partition(service, version, mode, path + ["model_weighted_partition"])
                    self.print_verbosity = self.__class__.print_verbosity(service, version, mode, path + ["print_verbosity"])
                    self.load_distribution = self.__class__.load_distribution(service, version, mode, path + ["load_distribution"])
                    self.isat_weight = self.__class__.isat_weight(service, version, mode, path + ["isat_weight"])
                    self.solid_thread_weight = self.__class__.solid_thread_weight(service, version, mode, path + ["solid_thread_weight"])
                    self.all_off = self.__class__.all_off(service, version, mode, path + ["all_off"])
                    self.dpm_load_balancing = self.__class__.dpm_load_balancing(service, version, mode, path + ["dpm_load_balancing"])
                    self.across_zone_boundaries = self.__class__.across_zone_boundaries(service, version, mode, path + ["across_zone_boundaries"])
                    self.particle_weight = self.__class__.particle_weight(service, version, mode, path + ["particle_weight"])
                    super().__init__(service, version, mode, path)
                class fluid_solid_rebalance_after_read_case(TUIMethod):
                    """
                    .
                    """
                class cell_function(TUIMethod):
                    """
                    Sets cell function.
                    """
                class across_zones(TUIMethod):
                    """
                    Allows partitions to cross zone boundaries (the default). If turned off, it will restrict partitioning to within each cell zone. This is recommended only when cells in different zones require significantly different amounts of computation during the solution phase; for example, if the domain contains both solid and fluid zones.
                    """
                class nfaces_as_weights(TUIMethod):
                    """
                    Uses number of faces as weights.
                    """
                class stretched_mesh_enhancement(TUIMethod):
                    """
                    .
                    """
                class layering(TUIMethod):
                    """
                    .
                    """
                class laplace_smoothing(TUIMethod):
                    """
                    .
                    """
                class origin(TUIMethod):
                    """
                    Sets the , , and  coordinate of the origin used by those partitioning functions that require a radial distance. By default, the origin is set to (0, 0, 0).
                    """
                class merge(TUIMethod):
                    """
                    Toggles the optimizer that attempts to decrease the number of interfaces by eliminating orphan cell clusters.
                    """
                class vof_free_surface_weight(TUIMethod):
                    """
                    Sets VOF free surface weight.
                    """
                class smooth(TUIMethod):
                    """
                    Toggles the optimizer that attempts to minimize the number of interfaces by modifying the partition boundaries to reduce surface area.
                    """
                class all_on(TUIMethod):
                    """
                    Enables all optimizations.
                    """
                class pre_test(TUIMethod):
                    """
                    Enables the operation that determines the best coordinate-splitting direction.
                    """
                class face_area_as_weights(TUIMethod):
                    """
                    Uses face area as connection weights.
                    """
                class model_weighted_partition(TUIMethod):
                    """
                    Enables / disables model-weighted partitioning. This option works with the METIS partitioning method, and specifies that Fluent automatically calculates the weighting based on the cell count and the models and attributes specified as weights (using the parallel/partition/set/isat-weight text command, for example).
                    """
                class print_verbosity(TUIMethod):
                    """
                    .
                    """
                class load_distribution(TUIMethod):
                    """
                    Sets the number of cells desired for each partition. This is useful, for example, when computing on multiple machines with significantly different performance characteristics. If left unset, each partition will contain an approximately equal number of cells. Normalized relative values may be used for the entries.
                    """
                class isat_weight(TUIMethod):
                    """
                    Sets ISAT weight.
                    """
                class solid_thread_weight(TUIMethod):
                    """
                    Uses solid thread weights.
                    """
                class all_off(TUIMethod):
                    """
                    Disables all optimizations.
                    """
                class dpm_load_balancing(TUIMethod):
                    """
                    Enables / disables dynamic load balancing for discrete phase model cases that use a second domain for DPM particle tracking (that is, cases for which you have enabled the define/models/dpm/parallel/hybrid-2domain? text command).
                    """
                class across_zone_boundaries(TUIMethod):
                    """
                    .
                    """
                class particle_weight(TUIMethod):
                    """
                    Sets DPM particle weight.
                    """

                class partition_origin_vector(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.number_of_objects = self.__class__.number_of_objects(service, version, mode, path + ["number_of_objects"])
                        self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                        self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                        super().__init__(service, version, mode, path)
                    class number_of_objects(TUIMethod):
                        """
                        Set number of objects for partition-origin-vector.
                        """
                    class edit(TUIMethod):
                        """
                        Edit partition-origin-vector object.
                        """
                    class list_properties(TUIMethod):
                        """
                        .
                        """

        class timer(TUIMenu):
            """
            Enters the timer menu.
            """
            def __init__(self, service, version, mode, path):
                self.usage = self.__class__.usage(service, version, mode, path + ["usage"])
                self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                super().__init__(service, version, mode, path)
            class usage(TUIMethod):
                """
                Prints performance statistics in the console window.
                """
            class reset(TUIMethod):
                """
                Adjusts domain timers.
                """

    class preferences(TUIMenu):
        """
        Set preferences.
        """
        def __init__(self, service, version, mode, path):
            self.gpuapp = self.__class__.gpuapp(service, version, mode, path + ["gpuapp"])
            self.mat_pro_app = self.__class__.mat_pro_app(service, version, mode, path + ["mat_pro_app"])
            self.navigation = self.__class__.navigation(service, version, mode, path + ["navigation"])
            self.meshing_workflow = self.__class__.meshing_workflow(service, version, mode, path + ["meshing_workflow"])
            self.parametric_study = self.__class__.parametric_study(service, version, mode, path + ["parametric_study"])
            self.turbo_workflow = self.__class__.turbo_workflow(service, version, mode, path + ["turbo_workflow"])
            self.appearance = self.__class__.appearance(service, version, mode, path + ["appearance"])
            self.simulation = self.__class__.simulation(service, version, mode, path + ["simulation"])
            self.general = self.__class__.general(service, version, mode, path + ["general"])
            self.graphics = self.__class__.graphics(service, version, mode, path + ["graphics"])
            super().__init__(service, version, mode, path)

        class gpuapp(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.alpha_features = self.__class__.alpha_features(service, version, mode, path + ["alpha_features"])
                super().__init__(service, version, mode, path)
            class alpha_features(TUIMethod):
                """
                .
                """

        class mat_pro_app(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.check_expression = self.__class__.check_expression(service, version, mode, path + ["check_expression"])
                self.focus = self.__class__.focus(service, version, mode, path + ["focus"])
                self.tracking = self.__class__.tracking(service, version, mode, path + ["tracking"])
                self.warning = self.__class__.warning(service, version, mode, path + ["warning"])
                self.beta_features = self.__class__.beta_features(service, version, mode, path + ["beta_features"])
                self.mesh_naming = self.__class__.mesh_naming(service, version, mode, path + ["mesh_naming"])
                super().__init__(service, version, mode, path)
            class focus(TUIMethod):
                """
                .
                """
            class tracking(TUIMethod):
                """
                .
                """
            class warning(TUIMethod):
                """
                .
                """
            class beta_features(TUIMethod):
                """
                .
                """
            class mesh_naming(TUIMethod):
                """
                .
                """

            class check_expression(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.time = self.__class__.time(service, version, mode, path + ["time"])
                    self.velocities = self.__class__.velocities(service, version, mode, path + ["velocities"])
                    self.vorticity = self.__class__.vorticity(service, version, mode, path + ["vorticity"])
                    self.coordinates = self.__class__.coordinates(service, version, mode, path + ["coordinates"])
                    self.giesekus = self.__class__.giesekus(service, version, mode, path + ["giesekus"])
                    self.pressure = self.__class__.pressure(service, version, mode, path + ["pressure"])
                    self.gdot = self.__class__.gdot(service, version, mode, path + ["gdot"])
                    self.cdot = self.__class__.cdot(service, version, mode, path + ["cdot"])
                    self.dvv = self.__class__.dvv(service, version, mode, path + ["dvv"])
                    self.temperature = self.__class__.temperature(service, version, mode, path + ["temperature"])
                    self.edot = self.__class__.edot(service, version, mode, path + ["edot"])
                    self.species = self.__class__.species(service, version, mode, path + ["species"])
                    super().__init__(service, version, mode, path)
                class time(TUIMethod):
                    """
                    .
                    """
                class velocities(TUIMethod):
                    """
                    .
                    """
                class vorticity(TUIMethod):
                    """
                    .
                    """
                class coordinates(TUIMethod):
                    """
                    .
                    """
                class giesekus(TUIMethod):
                    """
                    .
                    """
                class pressure(TUIMethod):
                    """
                    .
                    """
                class gdot(TUIMethod):
                    """
                    .
                    """
                class cdot(TUIMethod):
                    """
                    .
                    """
                class dvv(TUIMethod):
                    """
                    .
                    """
                class temperature(TUIMethod):
                    """
                    .
                    """
                class edot(TUIMethod):
                    """
                    .
                    """
                class species(TUIMethod):
                    """
                    .
                    """

        class navigation(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.mouse_mapping = self.__class__.mouse_mapping(service, version, mode, path + ["mouse_mapping"])
                super().__init__(service, version, mode, path)

            class mouse_mapping(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.additional = self.__class__.additional(service, version, mode, path + ["additional"])
                    self.basic = self.__class__.basic(service, version, mode, path + ["basic"])
                    self.mousemaptheme = self.__class__.mousemaptheme(service, version, mode, path + ["mousemaptheme"])
                    super().__init__(service, version, mode, path)
                class mousemaptheme(TUIMethod):
                    """
                    .
                    """

                class additional(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.shiftmmbclick = self.__class__.shiftmmbclick(service, version, mode, path + ["shiftmmbclick"])
                        self.shiftrmbclick = self.__class__.shiftrmbclick(service, version, mode, path + ["shiftrmbclick"])
                        self.ctrlmmbclick = self.__class__.ctrlmmbclick(service, version, mode, path + ["ctrlmmbclick"])
                        self.shiftmmbdrag = self.__class__.shiftmmbdrag(service, version, mode, path + ["shiftmmbdrag"])
                        self.reversewheeldirection = self.__class__.reversewheeldirection(service, version, mode, path + ["reversewheeldirection"])
                        self.ctrllmbdrag = self.__class__.ctrllmbdrag(service, version, mode, path + ["ctrllmbdrag"])
                        self.shiftlmbclick = self.__class__.shiftlmbclick(service, version, mode, path + ["shiftlmbclick"])
                        self.mouseprobe = self.__class__.mouseprobe(service, version, mode, path + ["mouseprobe"])
                        self.mousewheel = self.__class__.mousewheel(service, version, mode, path + ["mousewheel"])
                        self.ctrllmbclick = self.__class__.ctrllmbclick(service, version, mode, path + ["ctrllmbclick"])
                        self.ctrlmmbdrag = self.__class__.ctrlmmbdrag(service, version, mode, path + ["ctrlmmbdrag"])
                        self.shiftlmbdrag = self.__class__.shiftlmbdrag(service, version, mode, path + ["shiftlmbdrag"])
                        self.ctrlrmbclick = self.__class__.ctrlrmbclick(service, version, mode, path + ["ctrlrmbclick"])
                        self.shiftrmbdrag = self.__class__.shiftrmbdrag(service, version, mode, path + ["shiftrmbdrag"])
                        self.ctrlrmbdrag = self.__class__.ctrlrmbdrag(service, version, mode, path + ["ctrlrmbdrag"])
                        self.mousewheelsensitivity = self.__class__.mousewheelsensitivity(service, version, mode, path + ["mousewheelsensitivity"])
                        super().__init__(service, version, mode, path)
                    class shiftmmbclick(TUIMethod):
                        """
                        .
                        """
                    class shiftrmbclick(TUIMethod):
                        """
                        .
                        """
                    class ctrlmmbclick(TUIMethod):
                        """
                        .
                        """
                    class shiftmmbdrag(TUIMethod):
                        """
                        .
                        """
                    class reversewheeldirection(TUIMethod):
                        """
                        .
                        """
                    class ctrllmbdrag(TUIMethod):
                        """
                        .
                        """
                    class shiftlmbclick(TUIMethod):
                        """
                        .
                        """
                    class mouseprobe(TUIMethod):
                        """
                        .
                        """
                    class mousewheel(TUIMethod):
                        """
                        .
                        """
                    class ctrllmbclick(TUIMethod):
                        """
                        .
                        """
                    class ctrlmmbdrag(TUIMethod):
                        """
                        .
                        """
                    class shiftlmbdrag(TUIMethod):
                        """
                        .
                        """
                    class ctrlrmbclick(TUIMethod):
                        """
                        .
                        """
                    class shiftrmbdrag(TUIMethod):
                        """
                        .
                        """
                    class ctrlrmbdrag(TUIMethod):
                        """
                        .
                        """
                    class mousewheelsensitivity(TUIMethod):
                        """
                        .
                        """

                class basic(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.mmb = self.__class__.mmb(service, version, mode, path + ["mmb"])
                        self.rmb = self.__class__.rmb(service, version, mode, path + ["rmb"])
                        self.lmbclick = self.__class__.lmbclick(service, version, mode, path + ["lmbclick"])
                        self.mmbclick = self.__class__.mmbclick(service, version, mode, path + ["mmbclick"])
                        self.lmb = self.__class__.lmb(service, version, mode, path + ["lmb"])
                        self.rmbclick = self.__class__.rmbclick(service, version, mode, path + ["rmbclick"])
                        super().__init__(service, version, mode, path)
                    class mmb(TUIMethod):
                        """
                        .
                        """
                    class rmb(TUIMethod):
                        """
                        .
                        """
                    class lmbclick(TUIMethod):
                        """
                        .
                        """
                    class mmbclick(TUIMethod):
                        """
                        .
                        """
                    class lmb(TUIMethod):
                        """
                        .
                        """
                    class rmbclick(TUIMethod):
                        """
                        .
                        """

        class meshing_workflow(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.draw_settings = self.__class__.draw_settings(service, version, mode, path + ["draw_settings"])
                self.templates_folder = self.__class__.templates_folder(service, version, mode, path + ["templates_folder"])
                self.save_checkpoint_files = self.__class__.save_checkpoint_files(service, version, mode, path + ["save_checkpoint_files"])
                self.verbosity = self.__class__.verbosity(service, version, mode, path + ["verbosity"])
                self.save_wft_file_with_mesh = self.__class__.save_wft_file_with_mesh(service, version, mode, path + ["save_wft_file_with_mesh"])
                self.temp_folder = self.__class__.temp_folder(service, version, mode, path + ["temp_folder"])
                self.checkpointing_option = self.__class__.checkpointing_option(service, version, mode, path + ["checkpointing_option"])
                super().__init__(service, version, mode, path)
            class templates_folder(TUIMethod):
                """
                .
                """
            class save_checkpoint_files(TUIMethod):
                """
                .
                """
            class verbosity(TUIMethod):
                """
                .
                """
            class save_wft_file_with_mesh(TUIMethod):
                """
                .
                """
            class temp_folder(TUIMethod):
                """
                .
                """
            class checkpointing_option(TUIMethod):
                """
                .
                """

            class draw_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.face_zone_limit = self.__class__.face_zone_limit(service, version, mode, path + ["face_zone_limit"])
                    self.facet_limit = self.__class__.facet_limit(service, version, mode, path + ["facet_limit"])
                    self.auto_draw = self.__class__.auto_draw(service, version, mode, path + ["auto_draw"])
                    super().__init__(service, version, mode, path)
                class face_zone_limit(TUIMethod):
                    """
                    .
                    """
                class facet_limit(TUIMethod):
                    """
                    .
                    """
                class auto_draw(TUIMethod):
                    """
                    .
                    """

        class parametric_study(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.layout_options = self.__class__.layout_options(service, version, mode, path + ["layout_options"])
                self.update_options = self.__class__.update_options(service, version, mode, path + ["update_options"])
                super().__init__(service, version, mode, path)

            class layout_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.current_case_parameters = self.__class__.current_case_parameters(service, version, mode, path + ["current_case_parameters"])
                    self.parametric_study_tree = self.__class__.parametric_study_tree(service, version, mode, path + ["parametric_study_tree"])
                    super().__init__(service, version, mode, path)
                class current_case_parameters(TUIMethod):
                    """
                    .
                    """
                class parametric_study_tree(TUIMethod):
                    """
                    .
                    """

            class update_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.capture_sim_report_data = self.__class__.capture_sim_report_data(service, version, mode, path + ["capture_sim_report_data"])
                    self.enable_auto_refresh = self.__class__.enable_auto_refresh(service, version, mode, path + ["enable_auto_refresh"])
                    self.save_project_after_dpupdate = self.__class__.save_project_after_dpupdate(service, version, mode, path + ["save_project_after_dpupdate"])
                    self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
                    self.auto_refresh_time = self.__class__.auto_refresh_time(service, version, mode, path + ["auto_refresh_time"])
                    super().__init__(service, version, mode, path)
                class capture_sim_report_data(TUIMethod):
                    """
                    .
                    """
                class enable_auto_refresh(TUIMethod):
                    """
                    .
                    """
                class save_project_after_dpupdate(TUIMethod):
                    """
                    .
                    """
                class write_data(TUIMethod):
                    """
                    .
                    """
                class auto_refresh_time(TUIMethod):
                    """
                    .
                    """

        class turbo_workflow(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.face_zone_settings = self.__class__.face_zone_settings(service, version, mode, path + ["face_zone_settings"])
                self.graphics_settings = self.__class__.graphics_settings(service, version, mode, path + ["graphics_settings"])
                self.save_checkpoint_files = self.__class__.save_checkpoint_files(service, version, mode, path + ["save_checkpoint_files"])
                self.checkpointing_option = self.__class__.checkpointing_option(service, version, mode, path + ["checkpointing_option"])
                super().__init__(service, version, mode, path)
            class save_checkpoint_files(TUIMethod):
                """
                .
                """
            class checkpointing_option(TUIMethod):
                """
                .
                """

            class face_zone_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.periodic1_region = self.__class__.periodic1_region(service, version, mode, path + ["periodic1_region"])
                    self.outlet_region = self.__class__.outlet_region(service, version, mode, path + ["outlet_region"])
                    self.blade_region = self.__class__.blade_region(service, version, mode, path + ["blade_region"])
                    self.tip1_region = self.__class__.tip1_region(service, version, mode, path + ["tip1_region"])
                    self.interior_region = self.__class__.interior_region(service, version, mode, path + ["interior_region"])
                    self.inlet_region = self.__class__.inlet_region(service, version, mode, path + ["inlet_region"])
                    self.tip2_region = self.__class__.tip2_region(service, version, mode, path + ["tip2_region"])
                    self.symmetry_region = self.__class__.symmetry_region(service, version, mode, path + ["symmetry_region"])
                    self.hub_region = self.__class__.hub_region(service, version, mode, path + ["hub_region"])
                    self.fzsearch_order = self.__class__.fzsearch_order(service, version, mode, path + ["fzsearch_order"])
                    self.shroud_region = self.__class__.shroud_region(service, version, mode, path + ["shroud_region"])
                    self.periodic2_region = self.__class__.periodic2_region(service, version, mode, path + ["periodic2_region"])
                    super().__init__(service, version, mode, path)
                class periodic1_region(TUIMethod):
                    """
                    .
                    """
                class outlet_region(TUIMethod):
                    """
                    .
                    """
                class blade_region(TUIMethod):
                    """
                    .
                    """
                class tip1_region(TUIMethod):
                    """
                    .
                    """
                class interior_region(TUIMethod):
                    """
                    .
                    """
                class inlet_region(TUIMethod):
                    """
                    .
                    """
                class tip2_region(TUIMethod):
                    """
                    .
                    """
                class symmetry_region(TUIMethod):
                    """
                    .
                    """
                class hub_region(TUIMethod):
                    """
                    .
                    """
                class fzsearch_order(TUIMethod):
                    """
                    .
                    """
                class shroud_region(TUIMethod):
                    """
                    .
                    """
                class periodic2_region(TUIMethod):
                    """
                    .
                    """

            class graphics_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.auto_draw = self.__class__.auto_draw(service, version, mode, path + ["auto_draw"])
                    super().__init__(service, version, mode, path)
                class auto_draw(TUIMethod):
                    """
                    .
                    """

        class appearance(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.ansys_logo = self.__class__.ansys_logo(service, version, mode, path + ["ansys_logo"])
                self.charts = self.__class__.charts(service, version, mode, path + ["charts"])
                self.selections = self.__class__.selections(service, version, mode, path + ["selections"])
                self.titles = self.__class__.titles(service, version, mode, path + ["titles"])
                self.graphics_surface_color = self.__class__.graphics_surface_color(service, version, mode, path + ["graphics_surface_color"])
                self.graphics_view = self.__class__.graphics_view(service, version, mode, path + ["graphics_view"])
                self.application_font_size = self.__class__.application_font_size(service, version, mode, path + ["application_font_size"])
                self.custom_title_bar = self.__class__.custom_title_bar(service, version, mode, path + ["custom_title_bar"])
                self.graphics_foreground_color = self.__class__.graphics_foreground_color(service, version, mode, path + ["graphics_foreground_color"])
                self.show_enabled_models = self.__class__.show_enabled_models(service, version, mode, path + ["show_enabled_models"])
                self.graphics_partition_boundary_color = self.__class__.graphics_partition_boundary_color(service, version, mode, path + ["graphics_partition_boundary_color"])
                self.model_color_scheme = self.__class__.model_color_scheme(service, version, mode, path + ["model_color_scheme"])
                self.ruler = self.__class__.ruler(service, version, mode, path + ["ruler"])
                self.graphics_background_color2 = self.__class__.graphics_background_color2(service, version, mode, path + ["graphics_background_color2"])
                self.number_of_pastel_colors = self.__class__.number_of_pastel_colors(service, version, mode, path + ["number_of_pastel_colors"])
                self.default_view = self.__class__.default_view(service, version, mode, path + ["default_view"])
                self.graphics_background_style = self.__class__.graphics_background_style(service, version, mode, path + ["graphics_background_style"])
                self.completer = self.__class__.completer(service, version, mode, path + ["completer"])
                self.graphics_background_color1 = self.__class__.graphics_background_color1(service, version, mode, path + ["graphics_background_color1"])
                self.number_of_files_recently_used = self.__class__.number_of_files_recently_used(service, version, mode, path + ["number_of_files_recently_used"])
                self.pastel_color_value = self.__class__.pastel_color_value(service, version, mode, path + ["pastel_color_value"])
                self.surface_emissivity = self.__class__.surface_emissivity(service, version, mode, path + ["surface_emissivity"])
                self.surface_specularity = self.__class__.surface_specularity(service, version, mode, path + ["surface_specularity"])
                self.solution_mode_edge_color_in_meshing_mode = self.__class__.solution_mode_edge_color_in_meshing_mode(service, version, mode, path + ["solution_mode_edge_color_in_meshing_mode"])
                self.quick_property_view = self.__class__.quick_property_view(service, version, mode, path + ["quick_property_view"])
                self.show_model_edges = self.__class__.show_model_edges(service, version, mode, path + ["show_model_edges"])
                self.group_by_tree_view = self.__class__.group_by_tree_view(service, version, mode, path + ["group_by_tree_view"])
                self.titles_border_offset = self.__class__.titles_border_offset(service, version, mode, path + ["titles_border_offset"])
                self.graphics_wall_face_color = self.__class__.graphics_wall_face_color(service, version, mode, path + ["graphics_wall_face_color"])
                self.surface_specularity_for_contours = self.__class__.surface_specularity_for_contours(service, version, mode, path + ["surface_specularity_for_contours"])
                self.graphics_default_manual_node_color = self.__class__.graphics_default_manual_node_color(service, version, mode, path + ["graphics_default_manual_node_color"])
                self.graphics_edge_color = self.__class__.graphics_edge_color(service, version, mode, path + ["graphics_edge_color"])
                self.graphics_title_window_framecolor = self.__class__.graphics_title_window_framecolor(service, version, mode, path + ["graphics_title_window_framecolor"])
                self.axis_triad = self.__class__.axis_triad(service, version, mode, path + ["axis_triad"])
                self.graphics_default_manual_face_color = self.__class__.graphics_default_manual_face_color(service, version, mode, path + ["graphics_default_manual_face_color"])
                self.color_theme = self.__class__.color_theme(service, version, mode, path + ["color_theme"])
                self.graphics_color_theme = self.__class__.graphics_color_theme(service, version, mode, path + ["graphics_color_theme"])
                self.show_interface_children_zone = self.__class__.show_interface_children_zone(service, version, mode, path + ["show_interface_children_zone"])
                self.pastel_color_saturation = self.__class__.pastel_color_saturation(service, version, mode, path + ["pastel_color_saturation"])
                super().__init__(service, version, mode, path)
            class titles(TUIMethod):
                """
                .
                """
            class graphics_surface_color(TUIMethod):
                """
                .
                """
            class graphics_view(TUIMethod):
                """
                .
                """
            class application_font_size(TUIMethod):
                """
                .
                """
            class custom_title_bar(TUIMethod):
                """
                .
                """
            class graphics_foreground_color(TUIMethod):
                """
                .
                """
            class show_enabled_models(TUIMethod):
                """
                .
                """
            class graphics_partition_boundary_color(TUIMethod):
                """
                .
                """
            class model_color_scheme(TUIMethod):
                """
                .
                """
            class ruler(TUIMethod):
                """
                .
                """
            class graphics_background_color2(TUIMethod):
                """
                .
                """
            class number_of_pastel_colors(TUIMethod):
                """
                .
                """
            class default_view(TUIMethod):
                """
                .
                """
            class graphics_background_style(TUIMethod):
                """
                .
                """
            class completer(TUIMethod):
                """
                .
                """
            class graphics_background_color1(TUIMethod):
                """
                .
                """
            class number_of_files_recently_used(TUIMethod):
                """
                .
                """
            class pastel_color_value(TUIMethod):
                """
                .
                """
            class surface_emissivity(TUIMethod):
                """
                .
                """
            class surface_specularity(TUIMethod):
                """
                .
                """
            class solution_mode_edge_color_in_meshing_mode(TUIMethod):
                """
                .
                """
            class quick_property_view(TUIMethod):
                """
                .
                """
            class show_model_edges(TUIMethod):
                """
                .
                """
            class group_by_tree_view(TUIMethod):
                """
                .
                """
            class titles_border_offset(TUIMethod):
                """
                .
                """
            class graphics_wall_face_color(TUIMethod):
                """
                .
                """
            class surface_specularity_for_contours(TUIMethod):
                """
                .
                """
            class graphics_default_manual_node_color(TUIMethod):
                """
                .
                """
            class graphics_edge_color(TUIMethod):
                """
                .
                """
            class graphics_title_window_framecolor(TUIMethod):
                """
                .
                """
            class axis_triad(TUIMethod):
                """
                .
                """
            class graphics_default_manual_face_color(TUIMethod):
                """
                .
                """
            class color_theme(TUIMethod):
                """
                .
                """
            class graphics_color_theme(TUIMethod):
                """
                .
                """
            class show_interface_children_zone(TUIMethod):
                """
                .
                """
            class pastel_color_saturation(TUIMethod):
                """
                .
                """

            class ansys_logo(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                    self.color = self.__class__.color(service, version, mode, path + ["color"])
                    super().__init__(service, version, mode, path)
                class visible(TUIMethod):
                    """
                    .
                    """
                class color(TUIMethod):
                    """
                    .
                    """

            class charts(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.font = self.__class__.font(service, version, mode, path + ["font"])
                    self.text_color = self.__class__.text_color(service, version, mode, path + ["text_color"])
                    self.legend_visibility = self.__class__.legend_visibility(service, version, mode, path + ["legend_visibility"])
                    self.enable_open_glfor_modern_plots = self.__class__.enable_open_glfor_modern_plots(service, version, mode, path + ["enable_open_glfor_modern_plots"])
                    self.modern_plots_enabled = self.__class__.modern_plots_enabled(service, version, mode, path + ["modern_plots_enabled"])
                    self.print_plot_data = self.__class__.print_plot_data(service, version, mode, path + ["print_plot_data"])
                    self.curve_colors = self.__class__.curve_colors(service, version, mode, path + ["curve_colors"])
                    self.legend_alignment = self.__class__.legend_alignment(service, version, mode, path + ["legend_alignment"])
                    self.threshold = self.__class__.threshold(service, version, mode, path + ["threshold"])
                    self.modern_plots_points_threshold = self.__class__.modern_plots_points_threshold(service, version, mode, path + ["modern_plots_points_threshold"])
                    self.print_residuals_data = self.__class__.print_residuals_data(service, version, mode, path + ["print_residuals_data"])
                    self.tooltip_interpolation = self.__class__.tooltip_interpolation(service, version, mode, path + ["tooltip_interpolation"])
                    self.plots_behavior = self.__class__.plots_behavior(service, version, mode, path + ["plots_behavior"])
                    super().__init__(service, version, mode, path)
                class legend_visibility(TUIMethod):
                    """
                    .
                    """
                class enable_open_glfor_modern_plots(TUIMethod):
                    """
                    .
                    """
                class modern_plots_enabled(TUIMethod):
                    """
                    .
                    """
                class print_plot_data(TUIMethod):
                    """
                    .
                    """
                class curve_colors(TUIMethod):
                    """
                    .
                    """
                class legend_alignment(TUIMethod):
                    """
                    .
                    """
                class threshold(TUIMethod):
                    """
                    .
                    """
                class modern_plots_points_threshold(TUIMethod):
                    """
                    .
                    """
                class print_residuals_data(TUIMethod):
                    """
                    .
                    """
                class tooltip_interpolation(TUIMethod):
                    """
                    .
                    """
                class plots_behavior(TUIMethod):
                    """
                    .
                    """

                class font(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.legend = self.__class__.legend(service, version, mode, path + ["legend"])
                        self.axes_titles = self.__class__.axes_titles(service, version, mode, path + ["axes_titles"])
                        self.title = self.__class__.title(service, version, mode, path + ["title"])
                        self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                        super().__init__(service, version, mode, path)
                    class legend(TUIMethod):
                        """
                        .
                        """
                    class axes_titles(TUIMethod):
                        """
                        .
                        """
                    class title(TUIMethod):
                        """
                        .
                        """
                    class axes(TUIMethod):
                        """
                        .
                        """

                class text_color(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.title = self.__class__.title(service, version, mode, path + ["title"])
                        self.axes_titles = self.__class__.axes_titles(service, version, mode, path + ["axes_titles"])
                        self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                        self.legend = self.__class__.legend(service, version, mode, path + ["legend"])
                        super().__init__(service, version, mode, path)
                    class title(TUIMethod):
                        """
                        .
                        """
                    class axes_titles(TUIMethod):
                        """
                        .
                        """
                    class axes(TUIMethod):
                        """
                        .
                        """
                    class legend(TUIMethod):
                        """
                        .
                        """

            class selections(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.highlight_edge_weight = self.__class__.highlight_edge_weight(service, version, mode, path + ["highlight_edge_weight"])
                    self.mouse_over_highlight_enabled = self.__class__.mouse_over_highlight_enabled(service, version, mode, path + ["mouse_over_highlight_enabled"])
                    self.highlight_specular_component = self.__class__.highlight_specular_component(service, version, mode, path + ["highlight_specular_component"])
                    self.probe_tooltip_show_delay_timer = self.__class__.probe_tooltip_show_delay_timer(service, version, mode, path + ["probe_tooltip_show_delay_timer"])
                    self.mouse_hover_probe_values_enabled = self.__class__.mouse_hover_probe_values_enabled(service, version, mode, path + ["mouse_hover_probe_values_enabled"])
                    self.highlight_face_color = self.__class__.highlight_face_color(service, version, mode, path + ["highlight_face_color"])
                    self.probe_tooltip_hide_delay_timer = self.__class__.probe_tooltip_hide_delay_timer(service, version, mode, path + ["probe_tooltip_hide_delay_timer"])
                    self.general_displacement = self.__class__.general_displacement(service, version, mode, path + ["general_displacement"])
                    self.highlight_edge_color = self.__class__.highlight_edge_color(service, version, mode, path + ["highlight_edge_color"])
                    self.highlight_gloss = self.__class__.highlight_gloss(service, version, mode, path + ["highlight_gloss"])
                    self.highlight_transparency = self.__class__.highlight_transparency(service, version, mode, path + ["highlight_transparency"])
                    self.enable_highlight_edge_transparency = self.__class__.enable_highlight_edge_transparency(service, version, mode, path + ["enable_highlight_edge_transparency"])
                    super().__init__(service, version, mode, path)
                class highlight_edge_weight(TUIMethod):
                    """
                    .
                    """
                class mouse_over_highlight_enabled(TUIMethod):
                    """
                    .
                    """
                class highlight_specular_component(TUIMethod):
                    """
                    .
                    """
                class probe_tooltip_show_delay_timer(TUIMethod):
                    """
                    .
                    """
                class mouse_hover_probe_values_enabled(TUIMethod):
                    """
                    .
                    """
                class highlight_face_color(TUIMethod):
                    """
                    .
                    """
                class probe_tooltip_hide_delay_timer(TUIMethod):
                    """
                    .
                    """
                class general_displacement(TUIMethod):
                    """
                    .
                    """
                class highlight_edge_color(TUIMethod):
                    """
                    .
                    """
                class highlight_gloss(TUIMethod):
                    """
                    .
                    """
                class highlight_transparency(TUIMethod):
                    """
                    .
                    """
                class enable_highlight_edge_transparency(TUIMethod):
                    """
                    .
                    """

        class simulation(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.report_definitions = self.__class__.report_definitions(service, version, mode, path + ["report_definitions"])
                self.flow_model = self.__class__.flow_model(service, version, mode, path + ["flow_model"])
                self.local_residual_scaling = self.__class__.local_residual_scaling(service, version, mode, path + ["local_residual_scaling"])
                self.pdf_combustion_robust_numerics = self.__class__.pdf_combustion_robust_numerics(service, version, mode, path + ["pdf_combustion_robust_numerics"])
                super().__init__(service, version, mode, path)
            class flow_model(TUIMethod):
                """
                .
                """
            class local_residual_scaling(TUIMethod):
                """
                .
                """
            class pdf_combustion_robust_numerics(TUIMethod):
                """
                .
                """

            class report_definitions(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.automatic_plot_file = self.__class__.automatic_plot_file(service, version, mode, path + ["automatic_plot_file"])
                    self.report_plot_history_data_size = self.__class__.report_plot_history_data_size(service, version, mode, path + ["report_plot_history_data_size"])
                    super().__init__(service, version, mode, path)
                class automatic_plot_file(TUIMethod):
                    """
                    .
                    """
                class report_plot_history_data_size(TUIMethod):
                    """
                    .
                    """

        class general(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.startup_messages = self.__class__.startup_messages(service, version, mode, path + ["startup_messages"])
                self.initial_physics_volume_definitions = self.__class__.initial_physics_volume_definitions(service, version, mode, path + ["initial_physics_volume_definitions"])
                self.automatic_transcript = self.__class__.automatic_transcript(service, version, mode, path + ["automatic_transcript"])
                self.skip_creation_of_groups_pointing_to_single_entity = self.__class__.skip_creation_of_groups_pointing_to_single_entity(service, version, mode, path + ["skip_creation_of_groups_pointing_to_single_entity"])
                self.idle_timeout = self.__class__.idle_timeout(service, version, mode, path + ["idle_timeout"])
                self.import_physics_volume_definitions = self.__class__.import_physics_volume_definitions(service, version, mode, path + ["import_physics_volume_definitions"])
                self.default_ioformat = self.__class__.default_ioformat(service, version, mode, path + ["default_ioformat"])
                self.utlcreate_physics_on_mode_change = self.__class__.utlcreate_physics_on_mode_change(service, version, mode, path + ["utlcreate_physics_on_mode_change"])
                self.flow_model = self.__class__.flow_model(service, version, mode, path + ["flow_model"])
                self.advanced_partition = self.__class__.advanced_partition(service, version, mode, path + ["advanced_partition"])
                self.dock_editor = self.__class__.dock_editor(service, version, mode, path + ["dock_editor"])
                self.utlmode = self.__class__.utlmode(service, version, mode, path + ["utlmode"])
                super().__init__(service, version, mode, path)
            class initial_physics_volume_definitions(TUIMethod):
                """
                .
                """
            class automatic_transcript(TUIMethod):
                """
                .
                """
            class skip_creation_of_groups_pointing_to_single_entity(TUIMethod):
                """
                .
                """
            class idle_timeout(TUIMethod):
                """
                .
                """
            class import_physics_volume_definitions(TUIMethod):
                """
                .
                """
            class default_ioformat(TUIMethod):
                """
                .
                """
            class utlcreate_physics_on_mode_change(TUIMethod):
                """
                .
                """
            class flow_model(TUIMethod):
                """
                .
                """
            class advanced_partition(TUIMethod):
                """
                .
                """
            class dock_editor(TUIMethod):
                """
                .
                """
            class utlmode(TUIMethod):
                """
                .
                """

            class startup_messages(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.color_theme_change_message = self.__class__.color_theme_change_message(service, version, mode, path + ["color_theme_change_message"])
                    self.key_behavioral_changes_message = self.__class__.key_behavioral_changes_message(service, version, mode, path + ["key_behavioral_changes_message"])
                    self.qaservice_message = self.__class__.qaservice_message(service, version, mode, path + ["qaservice_message"])
                    super().__init__(service, version, mode, path)
                class color_theme_change_message(TUIMethod):
                    """
                    .
                    """
                class key_behavioral_changes_message(TUIMethod):
                    """
                    .
                    """
                class qaservice_message(TUIMethod):
                    """
                    .
                    """

        class graphics(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.manage_hoops_memory = self.__class__.manage_hoops_memory(service, version, mode, path + ["manage_hoops_memory"])
                self.lighting = self.__class__.lighting(service, version, mode, path + ["lighting"])
                self.meshing_mode = self.__class__.meshing_mode(service, version, mode, path + ["meshing_mode"])
                self.colormap_settings = self.__class__.colormap_settings(service, version, mode, path + ["colormap_settings"])
                self.boundary_markers = self.__class__.boundary_markers(service, version, mode, path + ["boundary_markers"])
                self.graphics_effects = self.__class__.graphics_effects(service, version, mode, path + ["graphics_effects"])
                self.export_video_settings = self.__class__.export_video_settings(service, version, mode, path + ["export_video_settings"])
                self.performance = self.__class__.performance(service, version, mode, path + ["performance"])
                self.transparency = self.__class__.transparency(service, version, mode, path + ["transparency"])
                self.vector_settings = self.__class__.vector_settings(service, version, mode, path + ["vector_settings"])
                self.embedded_windows = self.__class__.embedded_windows(service, version, mode, path + ["embedded_windows"])
                self.hardcopy_settings = self.__class__.hardcopy_settings(service, version, mode, path + ["hardcopy_settings"])
                self.material_effects = self.__class__.material_effects(service, version, mode, path + ["material_effects"])
                self.min_graphics_text_size = self.__class__.min_graphics_text_size(service, version, mode, path + ["min_graphics_text_size"])
                self.max_graphics_text_size = self.__class__.max_graphics_text_size(service, version, mode, path + ["max_graphics_text_size"])
                self.event_poll_timeout = self.__class__.event_poll_timeout(service, version, mode, path + ["event_poll_timeout"])
                self.event_poll_interval = self.__class__.event_poll_interval(service, version, mode, path + ["event_poll_interval"])
                self.enable_non_object_based_workflow = self.__class__.enable_non_object_based_workflow(service, version, mode, path + ["enable_non_object_based_workflow"])
                self.plot_legend_margin = self.__class__.plot_legend_margin(service, version, mode, path + ["plot_legend_margin"])
                self.switch_to_open_glfor_remote_visualization = self.__class__.switch_to_open_glfor_remote_visualization(service, version, mode, path + ["switch_to_open_glfor_remote_visualization"])
                self.higher_resolution_graphics_window_line_width = self.__class__.higher_resolution_graphics_window_line_width(service, version, mode, path + ["higher_resolution_graphics_window_line_width"])
                self.force_key_frame_animation_markers_to_off = self.__class__.force_key_frame_animation_markers_to_off(service, version, mode, path + ["force_key_frame_animation_markers_to_off"])
                self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                self.rotation_centerpoint_visible = self.__class__.rotation_centerpoint_visible(service, version, mode, path + ["rotation_centerpoint_visible"])
                self.show_hidden_surfaces = self.__class__.show_hidden_surfaces(service, version, mode, path + ["show_hidden_surfaces"])
                self.hidden_surface_removal_method = self.__class__.hidden_surface_removal_method(service, version, mode, path + ["hidden_surface_removal_method"])
                self.show_hidden_lines = self.__class__.show_hidden_lines(service, version, mode, path + ["show_hidden_lines"])
                self.point_tool_size = self.__class__.point_tool_size(service, version, mode, path + ["point_tool_size"])
                self.test_use_external_function = self.__class__.test_use_external_function(service, version, mode, path + ["test_use_external_function"])
                self.lower_resolution_graphics_window_line_width = self.__class__.lower_resolution_graphics_window_line_width(service, version, mode, path + ["lower_resolution_graphics_window_line_width"])
                self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                self.backface_cull = self.__class__.backface_cull(service, version, mode, path + ["backface_cull"])
                self.graphics_window_point_symbol = self.__class__.graphics_window_point_symbol(service, version, mode, path + ["graphics_window_point_symbol"])
                self.surface_general_displacement = self.__class__.surface_general_displacement(service, version, mode, path + ["surface_general_displacement"])
                self.remove_partition_lines_tolerance = self.__class__.remove_partition_lines_tolerance(service, version, mode, path + ["remove_partition_lines_tolerance"])
                self.text_window_line_width = self.__class__.text_window_line_width(service, version, mode, path + ["text_window_line_width"])
                self.marker_drawing_mode = self.__class__.marker_drawing_mode(service, version, mode, path + ["marker_drawing_mode"])
                self.graphics_window_line_width = self.__class__.graphics_window_line_width(service, version, mode, path + ["graphics_window_line_width"])
                self.scroll_wheel_event_end_timer = self.__class__.scroll_wheel_event_end_timer(service, version, mode, path + ["scroll_wheel_event_end_timer"])
                self.set_camera_normal_to_surface_increments = self.__class__.set_camera_normal_to_surface_increments(service, version, mode, path + ["set_camera_normal_to_surface_increments"])
                self.remove_partition_lines = self.__class__.remove_partition_lines(service, version, mode, path + ["remove_partition_lines"])
                super().__init__(service, version, mode, path)
            class min_graphics_text_size(TUIMethod):
                """
                .
                """
            class max_graphics_text_size(TUIMethod):
                """
                .
                """
            class event_poll_timeout(TUIMethod):
                """
                .
                """
            class event_poll_interval(TUIMethod):
                """
                .
                """
            class enable_non_object_based_workflow(TUIMethod):
                """
                .
                """
            class plot_legend_margin(TUIMethod):
                """
                .
                """
            class switch_to_open_glfor_remote_visualization(TUIMethod):
                """
                .
                """
            class higher_resolution_graphics_window_line_width(TUIMethod):
                """
                .
                """
            class force_key_frame_animation_markers_to_off(TUIMethod):
                """
                .
                """
            class double_buffering(TUIMethod):
                """
                .
                """
            class rotation_centerpoint_visible(TUIMethod):
                """
                .
                """
            class show_hidden_surfaces(TUIMethod):
                """
                .
                """
            class hidden_surface_removal_method(TUIMethod):
                """
                .
                """
            class show_hidden_lines(TUIMethod):
                """
                .
                """
            class point_tool_size(TUIMethod):
                """
                .
                """
            class test_use_external_function(TUIMethod):
                """
                .
                """
            class lower_resolution_graphics_window_line_width(TUIMethod):
                """
                .
                """
            class animation_option(TUIMethod):
                """
                .
                """
            class backface_cull(TUIMethod):
                """
                .
                """
            class graphics_window_point_symbol(TUIMethod):
                """
                .
                """
            class surface_general_displacement(TUIMethod):
                """
                .
                """
            class remove_partition_lines_tolerance(TUIMethod):
                """
                .
                """
            class text_window_line_width(TUIMethod):
                """
                .
                """
            class marker_drawing_mode(TUIMethod):
                """
                .
                """
            class graphics_window_line_width(TUIMethod):
                """
                .
                """
            class scroll_wheel_event_end_timer(TUIMethod):
                """
                .
                """
            class set_camera_normal_to_surface_increments(TUIMethod):
                """
                .
                """
            class remove_partition_lines(TUIMethod):
                """
                .
                """

            class manage_hoops_memory(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.hsfimport_limit = self.__class__.hsfimport_limit(service, version, mode, path + ["hsfimport_limit"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    super().__init__(service, version, mode, path)
                class hsfimport_limit(TUIMethod):
                    """
                    .
                    """
                class enabled(TUIMethod):
                    """
                    .
                    """

            class lighting(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.headlight = self.__class__.headlight(service, version, mode, path + ["headlight"])
                    self.lighting_method = self.__class__.lighting_method(service, version, mode, path + ["lighting_method"])
                    self.ambient_light_intensity = self.__class__.ambient_light_intensity(service, version, mode, path + ["ambient_light_intensity"])
                    self.headlight_intensity = self.__class__.headlight_intensity(service, version, mode, path + ["headlight_intensity"])
                    super().__init__(service, version, mode, path)
                class headlight(TUIMethod):
                    """
                    .
                    """
                class lighting_method(TUIMethod):
                    """
                    .
                    """
                class ambient_light_intensity(TUIMethod):
                    """
                    .
                    """
                class headlight_intensity(TUIMethod):
                    """
                    .
                    """

            class meshing_mode(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.graphics_window_display_timeout_value = self.__class__.graphics_window_display_timeout_value(service, version, mode, path + ["graphics_window_display_timeout_value"])
                    self.graphics_window_display_timeout = self.__class__.graphics_window_display_timeout(service, version, mode, path + ["graphics_window_display_timeout"])
                    super().__init__(service, version, mode, path)
                class graphics_window_display_timeout_value(TUIMethod):
                    """
                    .
                    """
                class graphics_window_display_timeout(TUIMethod):
                    """
                    .
                    """

            class colormap_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.labels = self.__class__.labels(service, version, mode, path + ["labels"])
                    self.min_size_scale_factor = self.__class__.min_size_scale_factor(service, version, mode, path + ["min_size_scale_factor"])
                    self.text_font_fixed_horizontal_size = self.__class__.text_font_fixed_horizontal_size(service, version, mode, path + ["text_font_fixed_horizontal_size"])
                    self.aspect_ratio_when_vertical = self.__class__.aspect_ratio_when_vertical(service, version, mode, path + ["aspect_ratio_when_vertical"])
                    self.number_format_precision = self.__class__.number_format_precision(service, version, mode, path + ["number_format_precision"])
                    self.text_font_fixed_units = self.__class__.text_font_fixed_units(service, version, mode, path + ["text_font_fixed_units"])
                    self.text_font_automatic_units = self.__class__.text_font_automatic_units(service, version, mode, path + ["text_font_automatic_units"])
                    self.text_truncation_limit_for_horizontal_colormaps = self.__class__.text_truncation_limit_for_horizontal_colormaps(service, version, mode, path + ["text_truncation_limit_for_horizontal_colormaps"])
                    self.preserve_aspect_ratio_for_hardcopy = self.__class__.preserve_aspect_ratio_for_hardcopy(service, version, mode, path + ["preserve_aspect_ratio_for_hardcopy"])
                    self.text_truncation_limit_for_vertical_colormaps = self.__class__.text_truncation_limit_for_vertical_colormaps(service, version, mode, path + ["text_truncation_limit_for_vertical_colormaps"])
                    self.major_length_to_screen_ratio_when_horizontal = self.__class__.major_length_to_screen_ratio_when_horizontal(service, version, mode, path + ["major_length_to_screen_ratio_when_horizontal"])
                    self.type = self.__class__.type(service, version, mode, path + ["type"])
                    self.border_style = self.__class__.border_style(service, version, mode, path + ["border_style"])
                    self.auto_refit_on_resize = self.__class__.auto_refit_on_resize(service, version, mode, path + ["auto_refit_on_resize"])
                    self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                    self.text_font_fixed_vertical_size = self.__class__.text_font_fixed_vertical_size(service, version, mode, path + ["text_font_fixed_vertical_size"])
                    self.text_font_fixed_size = self.__class__.text_font_fixed_size(service, version, mode, path + ["text_font_fixed_size"])
                    self.automatic_resize = self.__class__.automatic_resize(service, version, mode, path + ["automatic_resize"])
                    self.colormap = self.__class__.colormap(service, version, mode, path + ["colormap"])
                    self.aspect_ratio_when_horizontal = self.__class__.aspect_ratio_when_horizontal(service, version, mode, path + ["aspect_ratio_when_horizontal"])
                    self.text_behavior = self.__class__.text_behavior(service, version, mode, path + ["text_behavior"])
                    self.alignment = self.__class__.alignment(service, version, mode, path + ["alignment"])
                    self.skip_value = self.__class__.skip_value(service, version, mode, path + ["skip_value"])
                    self.text_font_name = self.__class__.text_font_name(service, version, mode, path + ["text_font_name"])
                    self.number_format_type = self.__class__.number_format_type(service, version, mode, path + ["number_format_type"])
                    self.isolines_position_offset = self.__class__.isolines_position_offset(service, version, mode, path + ["isolines_position_offset"])
                    self.use_no_sub_windows = self.__class__.use_no_sub_windows(service, version, mode, path + ["use_no_sub_windows"])
                    self.text_font_automatic_vertical_size = self.__class__.text_font_automatic_vertical_size(service, version, mode, path + ["text_font_automatic_vertical_size"])
                    self.levels = self.__class__.levels(service, version, mode, path + ["levels"])
                    self.text_font_automatic_horizontal_size = self.__class__.text_font_automatic_horizontal_size(service, version, mode, path + ["text_font_automatic_horizontal_size"])
                    self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                    self.text_font_automatic_size = self.__class__.text_font_automatic_size(service, version, mode, path + ["text_font_automatic_size"])
                    self.margin_from_edge_to_screen_ratio = self.__class__.margin_from_edge_to_screen_ratio(service, version, mode, path + ["margin_from_edge_to_screen_ratio"])
                    self.major_length_to_screen_ratio_when_vertical = self.__class__.major_length_to_screen_ratio_when_vertical(service, version, mode, path + ["major_length_to_screen_ratio_when_vertical"])
                    self.max_size_scale_factor = self.__class__.max_size_scale_factor(service, version, mode, path + ["max_size_scale_factor"])
                    super().__init__(service, version, mode, path)
                class labels(TUIMethod):
                    """
                    .
                    """
                class min_size_scale_factor(TUIMethod):
                    """
                    .
                    """
                class text_font_fixed_horizontal_size(TUIMethod):
                    """
                    .
                    """
                class aspect_ratio_when_vertical(TUIMethod):
                    """
                    .
                    """
                class number_format_precision(TUIMethod):
                    """
                    .
                    """
                class text_font_fixed_units(TUIMethod):
                    """
                    .
                    """
                class text_font_automatic_units(TUIMethod):
                    """
                    .
                    """
                class text_truncation_limit_for_horizontal_colormaps(TUIMethod):
                    """
                    .
                    """
                class preserve_aspect_ratio_for_hardcopy(TUIMethod):
                    """
                    .
                    """
                class text_truncation_limit_for_vertical_colormaps(TUIMethod):
                    """
                    .
                    """
                class major_length_to_screen_ratio_when_horizontal(TUIMethod):
                    """
                    .
                    """
                class type(TUIMethod):
                    """
                    .
                    """
                class border_style(TUIMethod):
                    """
                    .
                    """
                class auto_refit_on_resize(TUIMethod):
                    """
                    .
                    """
                class show_colormap(TUIMethod):
                    """
                    .
                    """
                class text_font_fixed_vertical_size(TUIMethod):
                    """
                    .
                    """
                class text_font_fixed_size(TUIMethod):
                    """
                    .
                    """
                class automatic_resize(TUIMethod):
                    """
                    .
                    """
                class colormap(TUIMethod):
                    """
                    .
                    """
                class aspect_ratio_when_horizontal(TUIMethod):
                    """
                    .
                    """
                class text_behavior(TUIMethod):
                    """
                    .
                    """
                class alignment(TUIMethod):
                    """
                    .
                    """
                class skip_value(TUIMethod):
                    """
                    .
                    """
                class text_font_name(TUIMethod):
                    """
                    .
                    """
                class number_format_type(TUIMethod):
                    """
                    .
                    """
                class isolines_position_offset(TUIMethod):
                    """
                    .
                    """
                class use_no_sub_windows(TUIMethod):
                    """
                    .
                    """
                class text_font_automatic_vertical_size(TUIMethod):
                    """
                    .
                    """
                class levels(TUIMethod):
                    """
                    .
                    """
                class text_font_automatic_horizontal_size(TUIMethod):
                    """
                    .
                    """
                class log_scale(TUIMethod):
                    """
                    .
                    """
                class text_font_automatic_size(TUIMethod):
                    """
                    .
                    """
                class margin_from_edge_to_screen_ratio(TUIMethod):
                    """
                    .
                    """
                class major_length_to_screen_ratio_when_vertical(TUIMethod):
                    """
                    .
                    """
                class max_size_scale_factor(TUIMethod):
                    """
                    .
                    """

            class boundary_markers(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.show_outlet_markers = self.__class__.show_outlet_markers(service, version, mode, path + ["show_outlet_markers"])
                    self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                    self.marker_size_limiting_scale_multiplier = self.__class__.marker_size_limiting_scale_multiplier(service, version, mode, path + ["marker_size_limiting_scale_multiplier"])
                    self.color_option = self.__class__.color_option(service, version, mode, path + ["color_option"])
                    self.inlet_color = self.__class__.inlet_color(service, version, mode, path + ["inlet_color"])
                    self.markers_limit = self.__class__.markers_limit(service, version, mode, path + ["markers_limit"])
                    self.scale_marker = self.__class__.scale_marker(service, version, mode, path + ["scale_marker"])
                    self.marker_fraction = self.__class__.marker_fraction(service, version, mode, path + ["marker_fraction"])
                    self.exclude_from_bounding = self.__class__.exclude_from_bounding(service, version, mode, path + ["exclude_from_bounding"])
                    self.outlet_color = self.__class__.outlet_color(service, version, mode, path + ["outlet_color"])
                    self.show_inlet_markers = self.__class__.show_inlet_markers(service, version, mode, path + ["show_inlet_markers"])
                    super().__init__(service, version, mode, path)
                class show_outlet_markers(TUIMethod):
                    """
                    .
                    """
                class enabled(TUIMethod):
                    """
                    .
                    """
                class marker_size_limiting_scale_multiplier(TUIMethod):
                    """
                    .
                    """
                class color_option(TUIMethod):
                    """
                    .
                    """
                class inlet_color(TUIMethod):
                    """
                    .
                    """
                class markers_limit(TUIMethod):
                    """
                    .
                    """
                class scale_marker(TUIMethod):
                    """
                    .
                    """
                class marker_fraction(TUIMethod):
                    """
                    .
                    """
                class exclude_from_bounding(TUIMethod):
                    """
                    .
                    """
                class outlet_color(TUIMethod):
                    """
                    .
                    """
                class show_inlet_markers(TUIMethod):
                    """
                    .
                    """

            class graphics_effects(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.simple_shadows_enabled = self.__class__.simple_shadows_enabled(service, version, mode, path + ["simple_shadows_enabled"])
                    self.ambient_occlusion_strength = self.__class__.ambient_occlusion_strength(service, version, mode, path + ["ambient_occlusion_strength"])
                    self.show_edge_reflections = self.__class__.show_edge_reflections(service, version, mode, path + ["show_edge_reflections"])
                    self.show_marker_reflections = self.__class__.show_marker_reflections(service, version, mode, path + ["show_marker_reflections"])
                    self.update_after_mouse_release = self.__class__.update_after_mouse_release(service, version, mode, path + ["update_after_mouse_release"])
                    self.grid_plane_count = self.__class__.grid_plane_count(service, version, mode, path + ["grid_plane_count"])
                    self.bloom_strength = self.__class__.bloom_strength(service, version, mode, path + ["bloom_strength"])
                    self.anti_aliasing = self.__class__.anti_aliasing(service, version, mode, path + ["anti_aliasing"])
                    self.shadow_map_enabled = self.__class__.shadow_map_enabled(service, version, mode, path + ["shadow_map_enabled"])
                    self.ambient_occlusion_enabled = self.__class__.ambient_occlusion_enabled(service, version, mode, path + ["ambient_occlusion_enabled"])
                    self.grid_plane_offset = self.__class__.grid_plane_offset(service, version, mode, path + ["grid_plane_offset"])
                    self.bloom_blur = self.__class__.bloom_blur(service, version, mode, path + ["bloom_blur"])
                    self.grid_plane_size_factor = self.__class__.grid_plane_size_factor(service, version, mode, path + ["grid_plane_size_factor"])
                    self.plane_direction = self.__class__.plane_direction(service, version, mode, path + ["plane_direction"])
                    self.ambient_occlusion_quality = self.__class__.ambient_occlusion_quality(service, version, mode, path + ["ambient_occlusion_quality"])
                    self.grid_plane_enabled = self.__class__.grid_plane_enabled(service, version, mode, path + ["grid_plane_enabled"])
                    self.bloom_enabled = self.__class__.bloom_enabled(service, version, mode, path + ["bloom_enabled"])
                    self.grid_color = self.__class__.grid_color(service, version, mode, path + ["grid_color"])
                    self.reflections_enabled = self.__class__.reflections_enabled(service, version, mode, path + ["reflections_enabled"])
                    super().__init__(service, version, mode, path)
                class simple_shadows_enabled(TUIMethod):
                    """
                    .
                    """
                class ambient_occlusion_strength(TUIMethod):
                    """
                    .
                    """
                class show_edge_reflections(TUIMethod):
                    """
                    .
                    """
                class show_marker_reflections(TUIMethod):
                    """
                    .
                    """
                class update_after_mouse_release(TUIMethod):
                    """
                    .
                    """
                class grid_plane_count(TUIMethod):
                    """
                    .
                    """
                class bloom_strength(TUIMethod):
                    """
                    .
                    """
                class anti_aliasing(TUIMethod):
                    """
                    .
                    """
                class shadow_map_enabled(TUIMethod):
                    """
                    .
                    """
                class ambient_occlusion_enabled(TUIMethod):
                    """
                    .
                    """
                class grid_plane_offset(TUIMethod):
                    """
                    .
                    """
                class bloom_blur(TUIMethod):
                    """
                    .
                    """
                class grid_plane_size_factor(TUIMethod):
                    """
                    .
                    """
                class plane_direction(TUIMethod):
                    """
                    .
                    """
                class ambient_occlusion_quality(TUIMethod):
                    """
                    .
                    """
                class grid_plane_enabled(TUIMethod):
                    """
                    .
                    """
                class bloom_enabled(TUIMethod):
                    """
                    .
                    """
                class grid_color(TUIMethod):
                    """
                    .
                    """
                class reflections_enabled(TUIMethod):
                    """
                    .
                    """

            class export_video_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.advanced_video_quality_options = self.__class__.advanced_video_quality_options(service, version, mode, path + ["advanced_video_quality_options"])
                    self.video_smooth_scaling = self.__class__.video_smooth_scaling(service, version, mode, path + ["video_smooth_scaling"])
                    self.video_format = self.__class__.video_format(service, version, mode, path + ["video_format"])
                    self.video_use_frame_resolution = self.__class__.video_use_frame_resolution(service, version, mode, path + ["video_use_frame_resolution"])
                    self.video_quality = self.__class__.video_quality(service, version, mode, path + ["video_quality"])
                    self.video_resoution_y = self.__class__.video_resoution_y(service, version, mode, path + ["video_resoution_y"])
                    self.video_resoution_x = self.__class__.video_resoution_x(service, version, mode, path + ["video_resoution_x"])
                    self.video_fps = self.__class__.video_fps(service, version, mode, path + ["video_fps"])
                    self.video_scale = self.__class__.video_scale(service, version, mode, path + ["video_scale"])
                    super().__init__(service, version, mode, path)
                class video_smooth_scaling(TUIMethod):
                    """
                    .
                    """
                class video_format(TUIMethod):
                    """
                    .
                    """
                class video_use_frame_resolution(TUIMethod):
                    """
                    .
                    """
                class video_quality(TUIMethod):
                    """
                    .
                    """
                class video_resoution_y(TUIMethod):
                    """
                    .
                    """
                class video_resoution_x(TUIMethod):
                    """
                    .
                    """
                class video_fps(TUIMethod):
                    """
                    .
                    """
                class video_scale(TUIMethod):
                    """
                    .
                    """

                class advanced_video_quality_options(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.compression_method = self.__class__.compression_method(service, version, mode, path + ["compression_method"])
                        self.bitrate = self.__class__.bitrate(service, version, mode, path + ["bitrate"])
                        self.bit_rate_quality = self.__class__.bit_rate_quality(service, version, mode, path + ["bit_rate_quality"])
                        self.enable_h264 = self.__class__.enable_h264(service, version, mode, path + ["enable_h264"])
                        super().__init__(service, version, mode, path)
                    class compression_method(TUIMethod):
                        """
                        .
                        """
                    class bitrate(TUIMethod):
                        """
                        .
                        """
                    class bit_rate_quality(TUIMethod):
                        """
                        .
                        """
                    class enable_h264(TUIMethod):
                        """
                        .
                        """

            class performance(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.fast_display_mode = self.__class__.fast_display_mode(service, version, mode, path + ["fast_display_mode"])
                    self.minimum_frame_rate = self.__class__.minimum_frame_rate(service, version, mode, path + ["minimum_frame_rate"])
                    self.optimize_for = self.__class__.optimize_for(service, version, mode, path + ["optimize_for"])
                    self.ratio_of_target_frame_rate_to_classify_heavy_geometry = self.__class__.ratio_of_target_frame_rate_to_classify_heavy_geometry(service, version, mode, path + ["ratio_of_target_frame_rate_to_classify_heavy_geometry"])
                    self.ratio_of_target_frame_rate_to_declassify_heavy_geometry = self.__class__.ratio_of_target_frame_rate_to_declassify_heavy_geometry(service, version, mode, path + ["ratio_of_target_frame_rate_to_declassify_heavy_geometry"])
                    super().__init__(service, version, mode, path)
                class optimize_for(TUIMethod):
                    """
                    .
                    """
                class ratio_of_target_frame_rate_to_classify_heavy_geometry(TUIMethod):
                    """
                    .
                    """
                class ratio_of_target_frame_rate_to_declassify_heavy_geometry(TUIMethod):
                    """
                    .
                    """

                class fast_display_mode(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.markers_decimation = self.__class__.markers_decimation(service, version, mode, path + ["markers_decimation"])
                        self.transparency = self.__class__.transparency(service, version, mode, path + ["transparency"])
                        self.nodes_shown = self.__class__.nodes_shown(service, version, mode, path + ["nodes_shown"])
                        self.faces_shown = self.__class__.faces_shown(service, version, mode, path + ["faces_shown"])
                        self.perimeter_edges_shown = self.__class__.perimeter_edges_shown(service, version, mode, path + ["perimeter_edges_shown"])
                        self.silhouette_shown = self.__class__.silhouette_shown(service, version, mode, path + ["silhouette_shown"])
                        self.status = self.__class__.status(service, version, mode, path + ["status"])
                        self.culling = self.__class__.culling(service, version, mode, path + ["culling"])
                        super().__init__(service, version, mode, path)
                    class markers_decimation(TUIMethod):
                        """
                        .
                        """
                    class transparency(TUIMethod):
                        """
                        .
                        """
                    class nodes_shown(TUIMethod):
                        """
                        .
                        """
                    class faces_shown(TUIMethod):
                        """
                        .
                        """
                    class perimeter_edges_shown(TUIMethod):
                        """
                        .
                        """
                    class silhouette_shown(TUIMethod):
                        """
                        .
                        """
                    class status(TUIMethod):
                        """
                        .
                        """
                    class culling(TUIMethod):
                        """
                        .
                        """

                class minimum_frame_rate(TUIMenu):
                    """
                    .
                    """
                    def __init__(self, service, version, mode, path):
                        self.enabled = self.__class__.enabled(service, version, mode, path + ["enabled"])
                        self.maximum_culling_threshold = self.__class__.maximum_culling_threshold(service, version, mode, path + ["maximum_culling_threshold"])
                        self.minimum_culling_threshold = self.__class__.minimum_culling_threshold(service, version, mode, path + ["minimum_culling_threshold"])
                        self.target_fps = self.__class__.target_fps(service, version, mode, path + ["target_fps"])
                        self.fixed_culling_value = self.__class__.fixed_culling_value(service, version, mode, path + ["fixed_culling_value"])
                        self.dynamic_adjustment = self.__class__.dynamic_adjustment(service, version, mode, path + ["dynamic_adjustment"])
                        super().__init__(service, version, mode, path)
                    class enabled(TUIMethod):
                        """
                        .
                        """
                    class maximum_culling_threshold(TUIMethod):
                        """
                        .
                        """
                    class minimum_culling_threshold(TUIMethod):
                        """
                        .
                        """
                    class target_fps(TUIMethod):
                        """
                        .
                        """
                    class fixed_culling_value(TUIMethod):
                        """
                        .
                        """
                    class dynamic_adjustment(TUIMethod):
                        """
                        .
                        """

            class transparency(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.depth_peeling_layers = self.__class__.depth_peeling_layers(service, version, mode, path + ["depth_peeling_layers"])
                    self.quick_moves = self.__class__.quick_moves(service, version, mode, path + ["quick_moves"])
                    self.algorithm_for_modern_drivers = self.__class__.algorithm_for_modern_drivers(service, version, mode, path + ["algorithm_for_modern_drivers"])
                    self.depth_peeling_preference = self.__class__.depth_peeling_preference(service, version, mode, path + ["depth_peeling_preference"])
                    self.zsort_options = self.__class__.zsort_options(service, version, mode, path + ["zsort_options"])
                    super().__init__(service, version, mode, path)
                class depth_peeling_layers(TUIMethod):
                    """
                    .
                    """
                class quick_moves(TUIMethod):
                    """
                    .
                    """
                class algorithm_for_modern_drivers(TUIMethod):
                    """
                    .
                    """
                class depth_peeling_preference(TUIMethod):
                    """
                    .
                    """
                class zsort_options(TUIMethod):
                    """
                    .
                    """

            class vector_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.arrowhead3_dradius1_factor = self.__class__.arrowhead3_dradius1_factor(service, version, mode, path + ["arrowhead3_dradius1_factor"])
                    self.arrow3_dradius2_factor = self.__class__.arrow3_dradius2_factor(service, version, mode, path + ["arrow3_dradius2_factor"])
                    self.arrow3_dradius1_factor = self.__class__.arrow3_dradius1_factor(service, version, mode, path + ["arrow3_dradius1_factor"])
                    self.line_arrow3_dperpendicular_radius = self.__class__.line_arrow3_dperpendicular_radius(service, version, mode, path + ["line_arrow3_dperpendicular_radius"])
                    super().__init__(service, version, mode, path)
                class arrowhead3_dradius1_factor(TUIMethod):
                    """
                    .
                    """
                class arrow3_dradius2_factor(TUIMethod):
                    """
                    .
                    """
                class arrow3_dradius1_factor(TUIMethod):
                    """
                    .
                    """
                class line_arrow3_dperpendicular_radius(TUIMethod):
                    """
                    .
                    """

            class embedded_windows(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.default_embedded_windows_view = self.__class__.default_embedded_windows_view(service, version, mode, path + ["default_embedded_windows_view"])
                    self.default_embedded_mesh_windows_view = self.__class__.default_embedded_mesh_windows_view(service, version, mode, path + ["default_embedded_mesh_windows_view"])
                    self.save_embedded_window_layout = self.__class__.save_embedded_window_layout(service, version, mode, path + ["save_embedded_window_layout"])
                    self.show_border_for_embedded_window = self.__class__.show_border_for_embedded_window(service, version, mode, path + ["show_border_for_embedded_window"])
                    super().__init__(service, version, mode, path)
                class default_embedded_windows_view(TUIMethod):
                    """
                    .
                    """
                class default_embedded_mesh_windows_view(TUIMethod):
                    """
                    .
                    """
                class save_embedded_window_layout(TUIMethod):
                    """
                    .
                    """
                class show_border_for_embedded_window(TUIMethod):
                    """
                    .
                    """

            class hardcopy_settings(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.post_script_permission_override = self.__class__.post_script_permission_override(service, version, mode, path + ["post_script_permission_override"])
                    self.transparent_embedded_windows = self.__class__.transparent_embedded_windows(service, version, mode, path + ["transparent_embedded_windows"])
                    self.save_embedded_hardcopies_separately = self.__class__.save_embedded_hardcopies_separately(service, version, mode, path + ["save_embedded_hardcopies_separately"])
                    self.hardware_image_accel = self.__class__.hardware_image_accel(service, version, mode, path + ["hardware_image_accel"])
                    self.hardcopy_driver = self.__class__.hardcopy_driver(service, version, mode, path + ["hardcopy_driver"])
                    self.export_edges_for_avz = self.__class__.export_edges_for_avz(service, version, mode, path + ["export_edges_for_avz"])
                    self.retain_colormap_pos_for_avz = self.__class__.retain_colormap_pos_for_avz(service, version, mode, path + ["retain_colormap_pos_for_avz"])
                    self.save_embedded_windows_in_hardcopy = self.__class__.save_embedded_windows_in_hardcopy(service, version, mode, path + ["save_embedded_windows_in_hardcopy"])
                    self.hardcopy_line_width = self.__class__.hardcopy_line_width(service, version, mode, path + ["hardcopy_line_width"])
                    super().__init__(service, version, mode, path)
                class post_script_permission_override(TUIMethod):
                    """
                    .
                    """
                class transparent_embedded_windows(TUIMethod):
                    """
                    .
                    """
                class save_embedded_hardcopies_separately(TUIMethod):
                    """
                    .
                    """
                class hardware_image_accel(TUIMethod):
                    """
                    .
                    """
                class hardcopy_driver(TUIMethod):
                    """
                    .
                    """
                class export_edges_for_avz(TUIMethod):
                    """
                    .
                    """
                class retain_colormap_pos_for_avz(TUIMethod):
                    """
                    .
                    """
                class save_embedded_windows_in_hardcopy(TUIMethod):
                    """
                    .
                    """
                class hardcopy_line_width(TUIMethod):
                    """
                    .
                    """

            class material_effects(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.parameterization_source = self.__class__.parameterization_source(service, version, mode, path + ["parameterization_source"])
                    self.tiling_style = self.__class__.tiling_style(service, version, mode, path + ["tiling_style"])
                    self.decimation_filter = self.__class__.decimation_filter(service, version, mode, path + ["decimation_filter"])
                    super().__init__(service, version, mode, path)
                class parameterization_source(TUIMethod):
                    """
                    .
                    """
                class tiling_style(TUIMethod):
                    """
                    .
                    """
                class decimation_filter(TUIMethod):
                    """
                    .
                    """

    class file(TUIMenu):
        """
        Enter the file menu.
        """
        def __init__(self, service, version, mode, path):
            self.cffio_options = self.__class__.cffio_options(service, version, mode, path + ["cffio_options"])
            self.fsi = self.__class__.fsi(service, version, mode, path + ["fsi"])
            self.table_manager = self.__class__.table_manager(service, version, mode, path + ["table_manager"])
            self.transient_export = self.__class__.transient_export(service, version, mode, path + ["transient_export"])
            self.project_beta = self.__class__.project_beta(service, version, mode, path + ["project_beta"])
            self.interpolate = self.__class__.interpolate(service, version, mode, path + ["interpolate"])
            self.auto_save = self.__class__.auto_save(service, version, mode, path + ["auto_save"])
            self.solution_files = self.__class__.solution_files(service, version, mode, path + ["solution_files"])
            self.export = self.__class__.export(service, version, mode, path + ["export"])
            self.parametric_project = self.__class__.parametric_project(service, version, mode, path + ["parametric_project"])
            self.em_mapping = self.__class__.em_mapping(service, version, mode, path + ["em_mapping"])
            self.import_ = self.__class__.import_(service, version, mode, path + ["import_"])
            self.read_journal = self.__class__.read_journal(service, version, mode, path + ["read_journal"])
            self.set_error_on_invalid_command = self.__class__.set_error_on_invalid_command(service, version, mode, path + ["set_error_on_invalid_command"])
            self.write_isat_table = self.__class__.write_isat_table(service, version, mode, path + ["write_isat_table"])
            self.read_rays = self.__class__.read_rays(service, version, mode, path + ["read_rays"])
            self.stop_journal = self.__class__.stop_journal(service, version, mode, path + ["stop_journal"])
            self.show_configuration = self.__class__.show_configuration(service, version, mode, path + ["show_configuration"])
            self.write_pdat = self.__class__.write_pdat(service, version, mode, path + ["write_pdat"])
            self.read_pdf = self.__class__.read_pdf(service, version, mode, path + ["read_pdf"])
            self.binary_legacy_files = self.__class__.binary_legacy_files(service, version, mode, path + ["binary_legacy_files"])
            self.write_fan_profile = self.__class__.write_fan_profile(service, version, mode, path + ["write_fan_profile"])
            self.execute_macro = self.__class__.execute_macro(service, version, mode, path + ["execute_macro"])
            self.set_target_reference_frame_for_write_profiles = self.__class__.set_target_reference_frame_for_write_profiles(service, version, mode, path + ["set_target_reference_frame_for_write_profiles"])
            self.load_act_tool = self.__class__.load_act_tool(service, version, mode, path + ["load_act_tool"])
            self.write_pdf = self.__class__.write_pdf(service, version, mode, path + ["write_pdf"])
            self.read_settings = self.__class__.read_settings(service, version, mode, path + ["read_settings"])
            self.read_transient_table = self.__class__.read_transient_table(service, version, mode, path + ["read_transient_table"])
            self.write_flamelet = self.__class__.write_flamelet(service, version, mode, path + ["write_flamelet"])
            self.write_injections = self.__class__.write_injections(service, version, mode, path + ["write_injections"])
            self.read_case = self.__class__.read_case(service, version, mode, path + ["read_case"])
            self.write_settings = self.__class__.write_settings(service, version, mode, path + ["write_settings"])
            self.read_profile = self.__class__.read_profile(service, version, mode, path + ["read_profile"])
            self.write_profile = self.__class__.write_profile(service, version, mode, path + ["write_profile"])
            self.sync_workbench = self.__class__.sync_workbench(service, version, mode, path + ["sync_workbench"])
            self.read_case_settings = self.__class__.read_case_settings(service, version, mode, path + ["read_case_settings"])
            self.start_transcript = self.__class__.start_transcript(service, version, mode, path + ["start_transcript"])
            self.data_file_options = self.__class__.data_file_options(service, version, mode, path + ["data_file_options"])
            self.replace_mesh = self.__class__.replace_mesh(service, version, mode, path + ["replace_mesh"])
            self.read_isat_table = self.__class__.read_isat_table(service, version, mode, path + ["read_isat_table"])
            self.async_optimize = self.__class__.async_optimize(service, version, mode, path + ["async_optimize"])
            self.read_macros = self.__class__.read_macros(service, version, mode, path + ["read_macros"])
            self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
            self.confirm_overwrite = self.__class__.confirm_overwrite(service, version, mode, path + ["confirm_overwrite"])
            self.single_precision_coordinates = self.__class__.single_precision_coordinates(service, version, mode, path + ["single_precision_coordinates"])
            self.start_journal = self.__class__.start_journal(service, version, mode, path + ["start_journal"])
            self.write_merge_profiles = self.__class__.write_merge_profiles(service, version, mode, path + ["write_merge_profiles"])
            self.write_case = self.__class__.write_case(service, version, mode, path + ["write_case"])
            self.define_macro = self.__class__.define_macro(service, version, mode, path + ["define_macro"])
            self.convert_hanging_nodes_during_read = self.__class__.convert_hanging_nodes_during_read(service, version, mode, path + ["convert_hanging_nodes_during_read"])
            self.write_currently_defined_profiles = self.__class__.write_currently_defined_profiles(service, version, mode, path + ["write_currently_defined_profiles"])
            self.read_viewfactors = self.__class__.read_viewfactors(service, version, mode, path + ["read_viewfactors"])
            self.write_macros = self.__class__.write_macros(service, version, mode, path + ["write_macros"])
            self.set_idle_timeout = self.__class__.set_idle_timeout(service, version, mode, path + ["set_idle_timeout"])
            self.read_data = self.__class__.read_data(service, version, mode, path + ["read_data"])
            self.close_without_save = self.__class__.close_without_save(service, version, mode, path + ["close_without_save"])
            self.write_gpu_restart = self.__class__.write_gpu_restart(service, version, mode, path + ["write_gpu_restart"])
            self.write_field_functions = self.__class__.write_field_functions(service, version, mode, path + ["write_field_functions"])
            self.set_batch_options = self.__class__.set_batch_options(service, version, mode, path + ["set_batch_options"])
            self.set_tui_version = self.__class__.set_tui_version(service, version, mode, path + ["set_tui_version"])
            self.read_case_data = self.__class__.read_case_data(service, version, mode, path + ["read_case_data"])
            self.stop_macro = self.__class__.stop_macro(service, version, mode, path + ["stop_macro"])
            self.stop_transcript = self.__class__.stop_transcript(service, version, mode, path + ["stop_transcript"])
            self.write_boundary_mesh = self.__class__.write_boundary_mesh(service, version, mode, path + ["write_boundary_mesh"])
            self.reload_setup = self.__class__.reload_setup(service, version, mode, path + ["reload_setup"])
            self.set_maximum_simultaneous_files = self.__class__.set_maximum_simultaneous_files(service, version, mode, path + ["set_maximum_simultaneous_files"])
            self.write_cleanup_script = self.__class__.write_cleanup_script(service, version, mode, path + ["write_cleanup_script"])
            self.write_case_data = self.__class__.write_case_data(service, version, mode, path + ["write_case_data"])
            self.write_circumferential_averaged_profile = self.__class__.write_circumferential_averaged_profile(service, version, mode, path + ["write_circumferential_averaged_profile"])
            self.read_surface_clusters = self.__class__.read_surface_clusters(service, version, mode, path + ["read_surface_clusters"])
            self.cff_files = self.__class__.cff_files(service, version, mode, path + ["cff_files"])
            self.read_field_functions = self.__class__.read_field_functions(service, version, mode, path + ["read_field_functions"])
            self.write_selected_defined_profiles = self.__class__.write_selected_defined_profiles(service, version, mode, path + ["write_selected_defined_profiles"])
            self.read_case_info = self.__class__.read_case_info(service, version, mode, path + ["read_case_info"])
            self.export_to_cfd_post = self.__class__.export_to_cfd_post(service, version, mode, path + ["export_to_cfd_post"])
            self.read_injections = self.__class__.read_injections(service, version, mode, path + ["read_injections"])
            self.read_gpu_restart = self.__class__.read_gpu_restart(service, version, mode, path + ["read_gpu_restart"])
            super().__init__(service, version, mode, path)
        class read_journal(TUIMethod):
            """
            Read a journal file.
            """
        class set_error_on_invalid_command(TUIMethod):
            """
            Set whether to abort journal replay on invalid command.
            """
        class write_isat_table(TUIMethod):
            """
            Writes ISAT Table.
            """
        class read_rays(TUIMethod):
            """
            Reads a ray file.
            """
        class stop_journal(TUIMethod):
            """
            .
            """
        class show_configuration(TUIMethod):
            """
            .
            """
        class write_pdat(TUIMethod):
            """
            Enables / disables the attempt to save .pdat files. Note that this text command is no longer supported.
            """
        class read_pdf(TUIMethod):
            """
            Reads a PDF file.
            """
        class binary_legacy_files(TUIMethod):
            """
            .
            """
        class write_fan_profile(TUIMethod):
            """
            Computes radial profiles for a fan zone and writes them to a profile file.
            """
        class execute_macro(TUIMethod):
            """
            Runs a previously defined macro.
            """
        class set_target_reference_frame_for_write_profiles(TUIMethod):
            """
            Set reference frame options, which will be used for position transformation during writing of profiles.
            """
        class load_act_tool(TUIMethod):
            """
            Load ACT Start Page.
            """
        class write_pdf(TUIMethod):
            """
            Writes a pdf file.
            """
        class read_settings(TUIMethod):
            """
            Reads and sets boundary conditions from a specified file.
            """
        class read_transient_table(TUIMethod):
            """
            Reads table of transient boundary profile data.
            """
        class write_flamelet(TUIMethod):
            """
            Writes a flamelet file.
            """
        class write_injections(TUIMethod):
            """
            Writes out selected DPM injections to a file.
            """
        class read_case(TUIMethod):
            """
            Read a case file.
            """
        class write_settings(TUIMethod):
            """
            Writes out current boundary conditions in use.
            """
        class read_profile(TUIMethod):
            """
            Reads boundary profile data.
            """
        class write_profile(TUIMethod):
            """
            Writes surface data as a boundary profile file.
            """
        class sync_workbench(TUIMethod):
            """
            Directly updates Workbench with the most recent Fluent changes. This command is only available when running ANSYS Fluent in Workbench.
            """
        class read_case_settings(TUIMethod):
            """
            Read a case file while skipping mesh elements.
            """
        class start_transcript(TUIMethod):
            """
            .
            """
        class data_file_options(TUIMethod):
            """
            Sets derived quantities to be written in data file.
            """
        class replace_mesh(TUIMethod):
            """
            Replaces the mesh with a new one while preserving settings.
            """
        class read_isat_table(TUIMethod):
            """
            Reads ISAT Table.
            """
        class async_optimize(TUIMethod):
            """
            Chooses whether to optimize file I/O using scratch disks and asynchronous operations.
            """
        class read_macros(TUIMethod):
            """
            Reads macro definitions from a file.
            """
        class write_data(TUIMethod):
            """
            Writes a data file.
            """
        class confirm_overwrite(TUIMethod):
            """
            .
            """
        class single_precision_coordinates(TUIMethod):
            """
            Specifies whether the nodal coordinates should be written in single precision (rather than the default double precision). This text command is only available in the single-precision version of ANSYS Fluent.
            """
        class start_journal(TUIMethod):
            """
            .
            """
        class write_merge_profiles(TUIMethod):
            """
            Writes a .csv file with the selected surfaces consolidated into one set of data points.
            """
        class write_case(TUIMethod):
            """
            Write a case file.
            """
        class define_macro(TUIMethod):
            """
            Saves input to a named macro.
            """
        class convert_hanging_nodes_during_read(TUIMethod):
            """
            .
            """
        class write_currently_defined_profiles(TUIMethod):
            """
            Write currently defined profiles. To use \\*.csv format specify filename with .csv suffix.
            """
        class read_viewfactors(TUIMethod):
            """
            Reads view factors from a file.
            """
        class write_macros(TUIMethod):
            """
            Writes the currently defined macros to a file.
            """
        class set_idle_timeout(TUIMethod):
            """
            Set the idle timeout.
            """
        class read_data(TUIMethod):
            """
            Reads a data file.
            """
        class close_without_save(TUIMethod):
            """
            Exits ANSYS Fluent without saving data in Workbench. This command is only available when running ANSYS Fluent in Workbench.
            """
        class write_gpu_restart(TUIMethod):
            """
            Write gpuapp restart case and data files.
            """
        class write_field_functions(TUIMethod):
            """
            Writes the currently defined custom field functions to a file.
            """
        class set_batch_options(TUIMethod):
            """
            Sets the batch options.
            """
        class set_tui_version(TUIMethod):
            """
            Set the version of the TUI commands.
            """
        class read_case_data(TUIMethod):
            """
            Reads a case and a data file.
            """
        class stop_macro(TUIMethod):
            """
            Stops recording input to a macro.
            """
        class stop_transcript(TUIMethod):
            """
            .
            """
        class write_boundary_mesh(TUIMethod):
            """
            Writes the boundary mesh to a file.
            """
        class reload_setup(TUIMethod):
            """
            Discards any changes in the current ANSYS Fluent in Workbench session and removes any corresponding data from the Solution cell. This command is only available when running ANSYS Fluent in Workbench.
            """
        class set_maximum_simultaneous_files(TUIMethod):
            """
            Specify the maximum number of files, such as report files and profiles, that may be open or written simultaneously. If the number of working files exceeds this limit, files may not be written or Fluent may close unexpectedly.
            """
        class write_cleanup_script(TUIMethod):
            """
            Writes the cleanup-script-file for ANSYS Fluent.
            """
        class write_case_data(TUIMethod):
            """
            Writes a case and a data file.
            """
        class write_circumferential_averaged_profile(TUIMethod):
            """
            Write surface data as a boundary profile file. To use \\*.csv format specify filename with .csv suffix.
            """
        class read_surface_clusters(TUIMethod):
            """
            Reads surface clusters from a file.
            """
        class cff_files(TUIMethod):
            """
            .
            """
        class read_field_functions(TUIMethod):
            """
            Reads custom field function definitions from a file.
            """
        class write_selected_defined_profiles(TUIMethod):
            """
            Set profile names, only these profile names which will be used during writing of \\*.csv profiles.
            """
        class read_case_info(TUIMethod):
            """
            Read basic case info.
            """
        class export_to_cfd_post(TUIMethod):
            """
            Exports data files that are compatible with CFD-Post and EnSight (that is, .cdat and .cst files) and opens CFD-Post, if desired.
            """
        class read_injections(TUIMethod):
            """
            Reads all DPM injections from a file.
            """
        class read_gpu_restart(TUIMethod):
            """
            Read gpuapp restart case and data files.
            """

        class cffio_options(TUIMenu):
            """
            Enters the cffio options menu, which provides options for the I/O of case and data files in the Common Fluids Format (CFF).
            """
            def __init__(self, service, version, mode, path):
                self.single_precision_data = self.__class__.single_precision_data(service, version, mode, path + ["single_precision_data"])
                self.io_mode = self.__class__.io_mode(service, version, mode, path + ["io_mode"])
                self.compression_level = self.__class__.compression_level(service, version, mode, path + ["compression_level"])
                super().__init__(service, version, mode, path)
            class single_precision_data(TUIMethod):
                """
                Specifies whether the double-precision solver saves single-precision data when writing CFF data files, in order to reduce the size of the files.
                """
            class io_mode(TUIMethod):
                """
                Sets the I/O mode for writing CFF files.
                1. HOST: I/O is done serially by the host process.
                2. NODE0: I/O is done serially by the node 0 process.
                3. PARALLEL INDEPENDENT: I/O is done in parallel using the independent mode of MPI I/O.
                4. PARALLEL COLLECTIVE: I/O is done in parallel using the collective mode of MPI I/O.
                """
            class compression_level(TUIMethod):
                """
                Sets the compression level for CFF files. The compression level can be set between 0 and 9 with 0 being least compression (fastest) and 9 being highest compression (slowest).
                """

        class fsi(TUIMenu):
            """
            Enters the fluid-structure interaction menu.
            """
            def __init__(self, service, version, mode, path):
                self.read_fsi_mesh = self.__class__.read_fsi_mesh(service, version, mode, path + ["read_fsi_mesh"])
                self.write_fsi_mesh = self.__class__.write_fsi_mesh(service, version, mode, path + ["write_fsi_mesh"])
                self.display_fsi_mesh = self.__class__.display_fsi_mesh(service, version, mode, path + ["display_fsi_mesh"])
                self.conserve_force = self.__class__.conserve_force(service, version, mode, path + ["conserve_force"])
                super().__init__(service, version, mode, path)
            class read_fsi_mesh(TUIMethod):
                """
                Reads an FEM mesh for one-way data mapping from ANSYS Fluent.
                """
            class write_fsi_mesh(TUIMethod):
                """
                Writes a fluid-structure interaction mesh file.
                """
            class display_fsi_mesh(TUIMethod):
                """
                Displays the mesh for a fluid-structure interaction.
                """
            class conserve_force(TUIMethod):
                """
                Conserve the forces for linear line, tri and tet elements.
                """

        class table_manager(TUIMenu):
            """
            Enters the table file manager menu.
            """
            def __init__(self, service, version, mode, path):
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.store_in_case_file = self.__class__.store_in_case_file(service, version, mode, path + ["store_in_case_file"])
                self.read_matrix_data_file = self.__class__.read_matrix_data_file(service, version, mode, path + ["read_matrix_data_file"])
                self.list_matrix_data = self.__class__.list_matrix_data(service, version, mode, path + ["list_matrix_data"])
                self.read_rgp_file = self.__class__.read_rgp_file(service, version, mode, path + ["read_rgp_file"])
                self.list_tables = self.__class__.list_tables(service, version, mode, path + ["list_tables"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                super().__init__(service, version, mode, path)
            class list_properties(TUIMethod):
                """
                Lists the properties of a locally-stored table.
                """
            class store_in_case_file(TUIMethod):
                """
                Sets the persistence mode for RGP tables (embedded in case file or rely on external file).
                """
            class read_matrix_data_file(TUIMethod):
                """
                Imports a “matrix” type table from a file into local storage.
                """
            class list_matrix_data(TUIMethod):
                """
                Lists the data of a “matrix” type locally-stored table.
                """
            class read_rgp_file(TUIMethod):
                """
                Imports a set of Real Gas Property (RGP) tables from a file into local storage.
                """
            class list_tables(TUIMethod):
                """
                Lists all locally-stored tables.
                """
            class rename(TUIMethod):
                """
                Renames a locally-stored table.
                """
            class delete(TUIMethod):
                """
                Deletes a table from local storage.
                """

        class transient_export(TUIMenu):
            """
            Enter the export menu.
            """
            def __init__(self, service, version, mode, path):
                self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
                self.fieldview_unstruct_mesh = self.__class__.fieldview_unstruct_mesh(service, version, mode, path + ["fieldview_unstruct_mesh"])
                self.mechanical_apdl_input = self.__class__.mechanical_apdl_input(service, version, mode, path + ["mechanical_apdl_input"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.ascii = self.__class__.ascii(service, version, mode, path + ["ascii"])
                self.particle_history_data = self.__class__.particle_history_data(service, version, mode, path + ["particle_history_data"])
                self.fast_solution = self.__class__.fast_solution(service, version, mode, path + ["fast_solution"])
                self.common_fluids_format_post = self.__class__.common_fluids_format_post(service, version, mode, path + ["common_fluids_format_post"])
                self.fieldview_unstruct_surfaces = self.__class__.fieldview_unstruct_surfaces(service, version, mode, path + ["fieldview_unstruct_surfaces"])
                self.ensight_dvs_surfaces = self.__class__.ensight_dvs_surfaces(service, version, mode, path + ["ensight_dvs_surfaces"])
                self.ensight_gold_parallel_volume = self.__class__.ensight_gold_parallel_volume(service, version, mode, path + ["ensight_gold_parallel_volume"])
                self.ideas = self.__class__.ideas(service, version, mode, path + ["ideas"])
                self.patran_neutral = self.__class__.patran_neutral(service, version, mode, path + ["patran_neutral"])
                self.tecplot = self.__class__.tecplot(service, version, mode, path + ["tecplot"])
                self.fieldview_unstruct_data = self.__class__.fieldview_unstruct_data(service, version, mode, path + ["fieldview_unstruct_data"])
                self.ensight_gold_parallel_surfaces = self.__class__.ensight_gold_parallel_surfaces(service, version, mode, path + ["ensight_gold_parallel_surfaces"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.fast = self.__class__.fast(service, version, mode, path + ["fast"])
                self.dx = self.__class__.dx(service, version, mode, path + ["dx"])
                self.cgns = self.__class__.cgns(service, version, mode, path + ["cgns"])
                self.taitherm = self.__class__.taitherm(service, version, mode, path + ["taitherm"])
                self.ensight_gold_from_existing_files = self.__class__.ensight_gold_from_existing_files(service, version, mode, path + ["ensight_gold_from_existing_files"])
                self.cdat_for_cfd_post__and__ensight = self.__class__.cdat_for_cfd_post__and__ensight(service, version, mode, path + ["cdat_for_cfd_post__and__ensight"])
                self.ensight_dvs = self.__class__.ensight_dvs(service, version, mode, path + ["ensight_dvs"])
                self.avs = self.__class__.avs(service, version, mode, path + ["avs"])
                self.ensight_gold_transient = self.__class__.ensight_gold_transient(service, version, mode, path + ["ensight_gold_transient"])
                self.nastran = self.__class__.nastran(service, version, mode, path + ["nastran"])
                self.fieldview_unstruct = self.__class__.fieldview_unstruct(service, version, mode, path + ["fieldview_unstruct"])
                self.abaqus = self.__class__.abaqus(service, version, mode, path + ["abaqus"])
                self.ensight_dvs_volume = self.__class__.ensight_dvs_volume(service, version, mode, path + ["ensight_dvs_volume"])
                super().__init__(service, version, mode, path)
            class fieldview_unstruct_mesh(TUIMethod):
                """
                Writes a FIELDVIEW unstructured mesh only file.
                """
            class mechanical_apdl_input(TUIMethod):
                """
                Writes a Mechanical APDL input file.
                """
            class edit(TUIMethod):
                """
                Edits transient exports.
                """
            class ascii(TUIMethod):
                """
                Writes an ASCII file.
                """
            class particle_history_data(TUIMethod):
                """
                Sets up an automatic particle-history data export.
                """
            class fast_solution(TUIMethod):
                """
                Writes a FAST/Plot3D unstructured solution file.
                """
            class common_fluids_format_post(TUIMethod):
                """
                Write an CFF Post-Only file.
                """
            class fieldview_unstruct_surfaces(TUIMethod):
                """
                Writes FIELDVIEW unstructured combined file for surfaces.
                """
            class ensight_dvs_surfaces(TUIMethod):
                """
                Write post-processing data (geometry, velocity and scalars) for surfaces using EnSight Dynamic Visualization Store Interface.
                """
            class ensight_gold_parallel_volume(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files for cell zones in a parallel format suitable for ANSYS Ensight Enterprise.
                """
            class ideas(TUIMethod):
                """
                Writes an I-deas universal file.
                """
            class patran_neutral(TUIMethod):
                """
                Writes a PATRAN neutral file.
                """
            class tecplot(TUIMethod):
                """
                Write a Tecplot+3DV format file.
                """
            class fieldview_unstruct_data(TUIMethod):
                """
                Writes a FIELDVIEW unstructured results only file.
                """
            class ensight_gold_parallel_surfaces(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files for surfaces in a parallel format suitable for ANSYS Ensight Enterprise.
                """
            class delete(TUIMethod):
                """
                Deletes transient exports.
                """
            class fast(TUIMethod):
                """
                Writes a FAST/Plot3D unstructured mesh velocity scalar file.
                """
            class dx(TUIMethod):
                """
                Writes an IBM Data Explorer format file.
                """
            class cgns(TUIMethod):
                """
                Writes a CGNS file.
                """
            class taitherm(TUIMethod):
                """
                Writes a TAITherm file.
                """
            class ensight_gold_from_existing_files(TUIMethod):
                """
                Writes EnSight Gold files using ANSYS Fluent case files.
                """
            class cdat_for_cfd_post__and__ensight(TUIMethod):
                """
                Write a CDAT for CFD-Post & EnSight file.
                """
            class ensight_dvs(TUIMethod):
                """
                Write post-processing data (geometry, velocity and scalars) for cell and face zones using EnSight Dynamic Visualization Store Interface.
                """
            class avs(TUIMethod):
                """
                Writes an AVS UCD file.
                """
            class ensight_gold_transient(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files.
                """
            class nastran(TUIMethod):
                """
                Writes a NASTRAN file.
                """
            class fieldview_unstruct(TUIMethod):
                """
                Writes a FIELDVIEW unstructured combined file.
                """
            class abaqus(TUIMethod):
                """
                Writes an ABAQUS file.
                """
            class ensight_dvs_volume(TUIMethod):
                """
                Write post-processing data (geometry, velocity and scalars) for cell zones and boundaries attached to them using EnSight Dynamic Visualization Store Interface.
                """

            class settings(TUIMenu):
                """
                Enters the automatic export settings menu.
                """
                def __init__(self, service, version, mode, path):
                    self.cfd_post_compatible = self.__class__.cfd_post_compatible(service, version, mode, path + ["cfd_post_compatible"])
                    super().__init__(service, version, mode, path)
                class cfd_post_compatible(TUIMethod):
                    """
                    Specifies when case files are written with the .cdat and .cst files exported for Ansys CFD-Post. Note that this setting is ignored if the Write Case File Every Time option is enabled in the Automatic Export dialog box, which is always the case starting in Release 2021 R1.
                    """

        class project_beta(TUIMenu):
            """
            Enter to create new project, open project, save and archive project.
            """
            def __init__(self, service, version, mode, path):
                self.new = self.__class__.new(service, version, mode, path + ["new"])
                self.archive = self.__class__.archive(service, version, mode, path + ["archive"])
                self.save_as_copy = self.__class__.save_as_copy(service, version, mode, path + ["save_as_copy"])
                self.save = self.__class__.save(service, version, mode, path + ["save"])
                self.open = self.__class__.open(service, version, mode, path + ["open"])
                self.save_as = self.__class__.save_as(service, version, mode, path + ["save_as"])
                super().__init__(service, version, mode, path)
            class new(TUIMethod):
                """
                Create New Project.
                """
            class archive(TUIMethod):
                """
                Archive Project.
                """
            class save_as_copy(TUIMethod):
                """
                Save As Copy.
                """
            class save(TUIMethod):
                """
                Save Project.
                """
            class open(TUIMethod):
                """
                Open project.
                """
            class save_as(TUIMethod):
                """
                Save As Project.
                """

        class interpolate(TUIMenu):
            """
            Interpolates data to/from another grid.
            """
            def __init__(self, service, version, mode, path):
                self.read_data = self.__class__.read_data(service, version, mode, path + ["read_data"])
                self.write_data = self.__class__.write_data(service, version, mode, path + ["write_data"])
                self.zone_selection = self.__class__.zone_selection(service, version, mode, path + ["zone_selection"])
                super().__init__(service, version, mode, path)
            class read_data(TUIMethod):
                """
                Reads and interpolates data.
                """
            class write_data(TUIMethod):
                """
                Writes data for interpolation.
                """
            class zone_selection(TUIMethod):
                """
                Defines a list of cell zone IDs. If specified, interpolation data will be read/written for these cell zones only.
                """

        class auto_save(TUIMenu):
            """
            Enters the auto save menu.
            """
            def __init__(self, service, version, mode, path):
                self.append_file_name_with = self.__class__.append_file_name_with(service, version, mode, path + ["append_file_name_with"])
                self.root_name = self.__class__.root_name(service, version, mode, path + ["root_name"])
                self.data_frequency = self.__class__.data_frequency(service, version, mode, path + ["data_frequency"])
                self.save_data_file_every = self.__class__.save_data_file_every(service, version, mode, path + ["save_data_file_every"])
                self.retain_most_recent_files = self.__class__.retain_most_recent_files(service, version, mode, path + ["retain_most_recent_files"])
                self.case_frequency = self.__class__.case_frequency(service, version, mode, path + ["case_frequency"])
                self.max_files = self.__class__.max_files(service, version, mode, path + ["max_files"])
                super().__init__(service, version, mode, path)
            class append_file_name_with(TUIMethod):
                """
                Sets the suffix for auto-saved files. The file name can be appended by flow-time, time-step value, or by user-specified flags in file name.
                """
            class root_name(TUIMethod):
                """
                Specifies the root name for the files that are saved.
                """
            class data_frequency(TUIMethod):
                """
                Specifies the frequency (in iterations, time steps, or flow time) with which data files are saved.
                """
            class save_data_file_every(TUIMethod):
                """
                Specifies the type and frequency of the data file to be saved.
                """
            class retain_most_recent_files(TUIMethod):
                """
                Sets autosave to retain the 5 most recent files.
                """
            class case_frequency(TUIMethod):
                """
                Specifies the frequency (in iterations, time steps, or flow time) with which case files are saved.
                """
            class max_files(TUIMethod):
                """
                Sets the maximum number of files. Once the maximum is reached, files will be erased as new files are written.
                """

        class solution_files(TUIMenu):
            """
            Enters the solution files menu.
            """
            def __init__(self, service, version, mode, path):
                self.delete_solution = self.__class__.delete_solution(service, version, mode, path + ["delete_solution"])
                self.load_solution = self.__class__.load_solution(service, version, mode, path + ["load_solution"])
                self.print_solution_files = self.__class__.print_solution_files(service, version, mode, path + ["print_solution_files"])
                super().__init__(service, version, mode, path)
            class delete_solution(TUIMethod):
                """
                Deletes solution files.
                """
            class load_solution(TUIMethod):
                """
                Loads a solution file.
                """
            class print_solution_files(TUIMethod):
                """
                Prints a list of available solution files.
                """

        class export(TUIMenu):
            """
            Enter the export menu.
            """
            def __init__(self, service, version, mode, path):
                self.settings = self.__class__.settings(service, version, mode, path + ["settings"])
                self.system_coupling_definition_file_settings = self.__class__.system_coupling_definition_file_settings(service, version, mode, path + ["system_coupling_definition_file_settings"])
                self.patran_neutral = self.__class__.patran_neutral(service, version, mode, path + ["patran_neutral"])
                self.fieldview_unstruct = self.__class__.fieldview_unstruct(service, version, mode, path + ["fieldview_unstruct"])
                self.fieldview_unstruct_mesh = self.__class__.fieldview_unstruct_mesh(service, version, mode, path + ["fieldview_unstruct_mesh"])
                self.patran_nodal = self.__class__.patran_nodal(service, version, mode, path + ["patran_nodal"])
                self.ensight_dvs_surfaces = self.__class__.ensight_dvs_surfaces(service, version, mode, path + ["ensight_dvs_surfaces"])
                self.fast_velocity = self.__class__.fast_velocity(service, version, mode, path + ["fast_velocity"])
                self.ensight_gold_parallel_volume = self.__class__.ensight_gold_parallel_volume(service, version, mode, path + ["ensight_gold_parallel_volume"])
                self.ensight_gold = self.__class__.ensight_gold(service, version, mode, path + ["ensight_gold"])
                self.abaqus = self.__class__.abaqus(service, version, mode, path + ["abaqus"])
                self.tecplot = self.__class__.tecplot(service, version, mode, path + ["tecplot"])
                self.custom_heat_flux = self.__class__.custom_heat_flux(service, version, mode, path + ["custom_heat_flux"])
                self.fieldview = self.__class__.fieldview(service, version, mode, path + ["fieldview"])
                self.common_fluids_format_post = self.__class__.common_fluids_format_post(service, version, mode, path + ["common_fluids_format_post"])
                self.fieldview_data = self.__class__.fieldview_data(service, version, mode, path + ["fieldview_data"])
                self.fast_mesh = self.__class__.fast_mesh(service, version, mode, path + ["fast_mesh"])
                self.nastran = self.__class__.nastran(service, version, mode, path + ["nastran"])
                self.avs = self.__class__.avs(service, version, mode, path + ["avs"])
                self.fast_scalar = self.__class__.fast_scalar(service, version, mode, path + ["fast_scalar"])
                self.particle_history_data = self.__class__.particle_history_data(service, version, mode, path + ["particle_history_data"])
                self.taitherm = self.__class__.taitherm(service, version, mode, path + ["taitherm"])
                self.dx = self.__class__.dx(service, version, mode, path + ["dx"])
                self.cgns = self.__class__.cgns(service, version, mode, path + ["cgns"])
                self.fieldview_unstruct_data = self.__class__.fieldview_unstruct_data(service, version, mode, path + ["fieldview_unstruct_data"])
                self.mechanical_apdl = self.__class__.mechanical_apdl(service, version, mode, path + ["mechanical_apdl"])
                self.ideas = self.__class__.ideas(service, version, mode, path + ["ideas"])
                self.fieldview_unstruct_surfaces = self.__class__.fieldview_unstruct_surfaces(service, version, mode, path + ["fieldview_unstruct_surfaces"])
                self.mechanical_apdl_input = self.__class__.mechanical_apdl_input(service, version, mode, path + ["mechanical_apdl_input"])
                self.cdat_for_cfd_post__and__ensight = self.__class__.cdat_for_cfd_post__and__ensight(service, version, mode, path + ["cdat_for_cfd_post__and__ensight"])
                self.ensight_dvs_volume = self.__class__.ensight_dvs_volume(service, version, mode, path + ["ensight_dvs_volume"])
                self.gambit = self.__class__.gambit(service, version, mode, path + ["gambit"])
                self.fast_solution = self.__class__.fast_solution(service, version, mode, path + ["fast_solution"])
                self.ensight = self.__class__.ensight(service, version, mode, path + ["ensight"])
                self.ensight_gold_parallel_surfaces = self.__class__.ensight_gold_parallel_surfaces(service, version, mode, path + ["ensight_gold_parallel_surfaces"])
                self.icemcfd_for_icepak = self.__class__.icemcfd_for_icepak(service, version, mode, path + ["icemcfd_for_icepak"])
                self.ensight_dvs = self.__class__.ensight_dvs(service, version, mode, path + ["ensight_dvs"])
                self.ascii = self.__class__.ascii(service, version, mode, path + ["ascii"])
                super().__init__(service, version, mode, path)
            class patran_neutral(TUIMethod):
                """
                Writes a PATRAN neutral file.
                """
            class fieldview_unstruct(TUIMethod):
                """
                Writes FIELDVIEW unstructured combined file.
                """
            class fieldview_unstruct_mesh(TUIMethod):
                """
                Writes FIELDVIEW unstructured mesh-only file.
                """
            class patran_nodal(TUIMethod):
                """
                Writes a PATRAN nodal results file.
                """
            class ensight_dvs_surfaces(TUIMethod):
                """
                Write post-processing data (geometry, velocity and scalars) for surfaces using EnSight Dynamic Visualization Store Interface.
                """
            class fast_velocity(TUIMethod):
                """
                Writes FAST/Plot3D unstructured vector function file.
                """
            class ensight_gold_parallel_volume(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files for cell zones in a parallel format suitable for ANSYS Ensight Enterprise.
                """
            class ensight_gold(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files.
                """
            class abaqus(TUIMethod):
                """
                Writes an ABAQUS file.
                """
            class tecplot(TUIMethod):
                """
                Writes a Tecplot+3DV format file.
                """
            class custom_heat_flux(TUIMethod):
                """
                Writes a generic file for heat transfer.
                """
            class fieldview(TUIMethod):
                """
                Writes FIELDVIEW case and data files.
                """
            class common_fluids_format_post(TUIMethod):
                """
                Writes common fluids format files (.cas.post and .dat.post) for mesh and data, respectively. These files are saved in the hierarchical data format.
                """
            class fieldview_data(TUIMethod):
                """
                Writes FIELDVIEW case and data files.
                """
            class fast_mesh(TUIMethod):
                """
                Writes FAST/Plot3D unstructured mesh file.
                """
            class nastran(TUIMethod):
                """
                Write a NASTRAN file.
                """
            class avs(TUIMethod):
                """
                Writes an AVS UCD file.
                """
            class fast_scalar(TUIMethod):
                """
                Writes FAST/Plot3D unstructured scalar function file.
                """
            class particle_history_data(TUIMethod):
                """
                Exports particle-history data.
                """
            class taitherm(TUIMethod):
                """
                Exports TAITherm file.
                """
            class dx(TUIMethod):
                """
                Writes an IBM Data Explorer format file.
                """
            class cgns(TUIMethod):
                """
                Write a CGNS file.
                """
            class fieldview_unstruct_data(TUIMethod):
                """
                Writes FIELDVIEW unstructured results-only file.
                """
            class mechanical_apdl(TUIMethod):
                """
                .
                """
            class ideas(TUIMethod):
                """
                Writes an I-deas universal file.
                """
            class fieldview_unstruct_surfaces(TUIMethod):
                """
                Writes FIELDVIEW unstructured file for surfaces. You are prompted to select either [1], [2] or [3] to write either mesh-only, results-only, or combined for surfaces (respectively).
                """
            class mechanical_apdl_input(TUIMethod):
                """
                Writes a Mechanical APDL Input file.
                """
            class cdat_for_cfd_post__and__ensight(TUIMethod):
                """
                Write a CDAT for CFD-Post & EnSight file.
                """
            class ensight_dvs_volume(TUIMethod):
                """
                Write post-processing data (geometry, velocity and scalars) for cell zones and boundaries attached to them using EnSight Dynamic Visualization Store Interface.
                """
            class gambit(TUIMethod):
                """
                Writes GAMBIT neutral file.
                """
            class fast_solution(TUIMethod):
                """
                Writes FAST/Plot3D unstructured solution file.
                """
            class ensight(TUIMethod):
                """
                Writes EnSight geometry, velocity, and scalar files.
                """
            class ensight_gold_parallel_surfaces(TUIMethod):
                """
                Writes EnSight Gold geometry, velocity, and scalar files for surfaces in a parallel format suitable for ANSYS Ensight Enterprise.
                """
            class icemcfd_for_icepak(TUIMethod):
                """
                Writes a binary ICEM CFD domain file.
                """
            class ensight_dvs(TUIMethod):
                """
                Write post-processing data (geometry, velocity and scalars) for cell and face zones using EnSight Dynamic Visualization Store Interface.
                """
            class ascii(TUIMethod):
                """
                Writes an ASCII file.
                """

            class settings(TUIMenu):
                """
                Enter the export settings menu.
                """
                def __init__(self, service, version, mode, path):
                    self.cgns_mesh_type = self.__class__.cgns_mesh_type(service, version, mode, path + ["cgns_mesh_type"])
                    self.cgns_merge_ngons_to_single_ngon = self.__class__.cgns_merge_ngons_to_single_ngon(service, version, mode, path + ["cgns_merge_ngons_to_single_ngon"])
                    self.cgns_enhance_poly_export_performance = self.__class__.cgns_enhance_poly_export_performance(service, version, mode, path + ["cgns_enhance_poly_export_performance"])
                    self.cgns_default_cellsize_changes = self.__class__.cgns_default_cellsize_changes(service, version, mode, path + ["cgns_default_cellsize_changes"])
                    self.set_cgns_export_filetype = self.__class__.set_cgns_export_filetype(service, version, mode, path + ["set_cgns_export_filetype"])
                    self.cgns_polyhedral_cpu_threads = self.__class__.cgns_polyhedral_cpu_threads(service, version, mode, path + ["cgns_polyhedral_cpu_threads"])
                    super().__init__(service, version, mode, path)
                class cgns_mesh_type(TUIMethod):
                    """
                    Set CGNS NGON mode.
                    """
                class cgns_merge_ngons_to_single_ngon(TUIMethod):
                    """
                    .
                    """
                class cgns_enhance_poly_export_performance(TUIMethod):
                    """
                    .
                    """
                class cgns_default_cellsize_changes(TUIMethod):
                    """
                    .
                    """
                class set_cgns_export_filetype(TUIMethod):
                    """
                    .
                    """
                class cgns_polyhedral_cpu_threads(TUIMethod):
                    """
                    .
                    """

            class system_coupling_definition_file_settings(TUIMenu):
                """
                Enters the system coupling file (.scp) menu.
                """
                def __init__(self, service, version, mode, path):
                    self.enable_auto_creation_of_scp_file = self.__class__.enable_auto_creation_of_scp_file(service, version, mode, path + ["enable_auto_creation_of_scp_file"])
                    self.write_sc_file = self.__class__.write_sc_file(service, version, mode, path + ["write_sc_file"])
                    super().__init__(service, version, mode, path)
                class enable_auto_creation_of_scp_file(TUIMethod):
                    """
                    .
                    """
                class write_sc_file(TUIMethod):
                    """
                    .
                    """

        class parametric_project(TUIMenu):
            """
            Enter to open, save, archive parametric project.
            """
            def __init__(self, service, version, mode, path):
                self.save_as = self.__class__.save_as(service, version, mode, path + ["save_as"])
                self.open = self.__class__.open(service, version, mode, path + ["open"])
                self.save_a_copy = self.__class__.save_a_copy(service, version, mode, path + ["save_a_copy"])
                self.save = self.__class__.save(service, version, mode, path + ["save"])
                self.archive = self.__class__.archive(service, version, mode, path + ["archive"])
                super().__init__(service, version, mode, path)
            class save_as(TUIMethod):
                """
                Save As Project.
                """
            class open(TUIMethod):
                """
                Open project.
                """
            class save_a_copy(TUIMethod):
                """
                Save a Copy.
                """
            class save(TUIMethod):
                """
                Save Project.
                """
            class archive(TUIMethod):
                """
                Archive Project.
                """

        class em_mapping(TUIMenu):
            """
            Enters the electromagnetic loss mapping menu.
            """
            def __init__(self, service, version, mode, path):
                self.maintain_loss_on_initialization = self.__class__.maintain_loss_on_initialization(service, version, mode, path + ["maintain_loss_on_initialization"])
                self.volumetric_energy_source = self.__class__.volumetric_energy_source(service, version, mode, path + ["volumetric_energy_source"])
                self.surface_energy_source = self.__class__.surface_energy_source(service, version, mode, path + ["surface_energy_source"])
                self.remove_loss_only = self.__class__.remove_loss_only(service, version, mode, path + ["remove_loss_only"])
                super().__init__(service, version, mode, path)
            class maintain_loss_on_initialization(TUIMethod):
                """
                Maintains the loss data provided by Maxwell even if solution is initialized.
                """
            class volumetric_energy_source(TUIMethod):
                """
                Loss data provided by Ansoft will be assigned to Fluent for selected cell zones.
                """
            class surface_energy_source(TUIMethod):
                """
                Loss data provided by Ansoft will be assigned to Fluent for selected wall zones.
                """
            class remove_loss_only(TUIMethod):
                """
                Removes the loss data provided by Maxwell and keeps all other solution data.
                """

        class import_(TUIMenu):
            """
            Enter the import menu.
            """
            def __init__(self, service, version, mode, path):
                self.partition = self.__class__.partition(service, version, mode, path + ["partition"])
                self.fmu_file = self.__class__.fmu_file(service, version, mode, path + ["fmu_file"])
                self.plot3d = self.__class__.plot3d(service, version, mode, path + ["plot3d"])
                self.lstc = self.__class__.lstc(service, version, mode, path + ["lstc"])
                self.patran = self.__class__.patran(service, version, mode, path + ["patran"])
                self.tecplot = self.__class__.tecplot(service, version, mode, path + ["tecplot"])
                self.cfx = self.__class__.cfx(service, version, mode, path + ["cfx"])
                self.abaqus = self.__class__.abaqus(service, version, mode, path + ["abaqus"])
                self.nastran = self.__class__.nastran(service, version, mode, path + ["nastran"])
                self.mechanical_apdl = self.__class__.mechanical_apdl(service, version, mode, path + ["mechanical_apdl"])
                self.cgns = self.__class__.cgns(service, version, mode, path + ["cgns"])
                self.chemkin_report_each_line = self.__class__.chemkin_report_each_line(service, version, mode, path + ["chemkin_report_each_line"])
                self.ideas_universal = self.__class__.ideas_universal(service, version, mode, path + ["ideas_universal"])
                self.hypermesh = self.__class__.hypermesh(service, version, mode, path + ["hypermesh"])
                self.fidap = self.__class__.fidap(service, version, mode, path + ["fidap"])
                self.flamelet = self.__class__.flamelet(service, version, mode, path + ["flamelet"])
                self.prebfc_structured = self.__class__.prebfc_structured(service, version, mode, path + ["prebfc_structured"])
                self.chemkin_mechanism = self.__class__.chemkin_mechanism(service, version, mode, path + ["chemkin_mechanism"])
                self.marc_post = self.__class__.marc_post(service, version, mode, path + ["marc_post"])
                self.fluent4_case = self.__class__.fluent4_case(service, version, mode, path + ["fluent4_case"])
                self.gambit = self.__class__.gambit(service, version, mode, path + ["gambit"])
                self.ensight = self.__class__.ensight(service, version, mode, path + ["ensight"])
                self.ptc_mechanica = self.__class__.ptc_mechanica(service, version, mode, path + ["ptc_mechanica"])
                super().__init__(service, version, mode, path)
            class chemkin_report_each_line(TUIMethod):
                """
                Enable/disable reporting after reading each line.
                """
            class ideas_universal(TUIMethod):
                """
                Read an IDEAS Universal file as a case file.
                """
            class hypermesh(TUIMethod):
                """
                Read a HYPERMESH file as a case file.
                """
            class fidap(TUIMethod):
                """
                Read a FIDAP neutral file as a case file.
                """
            class flamelet(TUIMethod):
                """
                Import a flamelet file.
                """
            class prebfc_structured(TUIMethod):
                """
                Read a formatted preBFC structured mesh (grid) file.
                """
            class chemkin_mechanism(TUIMethod):
                """
                Read a CHEMKIN mechanism file.
                """
            class marc_post(TUIMethod):
                """
                Read a MARC POST file as a case file.
                """
            class fluent4_case(TUIMethod):
                """
                Read a formatted Fluent 4 case file.
                """
            class gambit(TUIMethod):
                """
                Read a GAMBIT neutral file as a case file.
                """
            class ensight(TUIMethod):
                """
                Read an Ensight file as a case file.
                """
            class ptc_mechanica(TUIMethod):
                """
                Read a PTC Mechanica file as a case file.
                """

            class partition(TUIMenu):
                """
                Enter the partition menu.
                """
                def __init__(self, service, version, mode, path):
                    self.metis_zone = self.__class__.metis_zone(service, version, mode, path + ["metis_zone"])
                    self.metis = self.__class__.metis(service, version, mode, path + ["metis"])
                    super().__init__(service, version, mode, path)
                class metis_zone(TUIMethod):
                    """
                    Read and partition a Fluent 5 case file.
                    """
                class metis(TUIMethod):
                    """
                    Read and partition a Fluent 5 case file.
                    """

            class fmu_file(TUIMenu):
                """
                Read a FMU file.
                """
                def __init__(self, service, version, mode, path):
                    self.set_fmu_parameter = self.__class__.set_fmu_parameter(service, version, mode, path + ["set_fmu_parameter"])
                    self.import_fmu = self.__class__.import_fmu(service, version, mode, path + ["import_fmu"])
                    self.select_fmu_local = self.__class__.select_fmu_local(service, version, mode, path + ["select_fmu_local"])
                    self.define_fmu = self.__class__.define_fmu(service, version, mode, path + ["define_fmu"])
                    super().__init__(service, version, mode, path)
                class set_fmu_parameter(TUIMethod):
                    """
                    Change the values of FMU parameter variables.
                    """
                class import_fmu(TUIMethod):
                    """
                    .
                    """
                class select_fmu_local(TUIMethod):
                    """
                    Select the FMU local variables to monitor.
                    """
                class define_fmu(TUIMethod):
                    """
                    Link the FMU variables with Fluent parameters.
                    """

            class plot3d(TUIMenu):
                """
                Enter the PLOT3D menu.
                """
                def __init__(self, service, version, mode, path):
                    self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                    super().__init__(service, version, mode, path)
                class mesh(TUIMethod):
                    """
                    Read a PLOT3D file as a case file.
                    """

            class lstc(TUIMenu):
                """
                Enter the LSTC menu.
                """
                def __init__(self, service, version, mode, path):
                    self.state = self.__class__.state(service, version, mode, path + ["state"])
                    self.input = self.__class__.input(service, version, mode, path + ["input"])
                    super().__init__(service, version, mode, path)
                class state(TUIMethod):
                    """
                    Read an LSTC result file as a case file.
                    """
                class input(TUIMethod):
                    """
                    Read an LSTC input file as a case file.
                    """

            class patran(TUIMenu):
                """
                Enter the PATRAN menu.
                """
                def __init__(self, service, version, mode, path):
                    self.neutral = self.__class__.neutral(service, version, mode, path + ["neutral"])
                    super().__init__(service, version, mode, path)
                class neutral(TUIMethod):
                    """
                    Read a PATRAN Neutral file (zones defined by named components) as a case file.
                    """

            class tecplot(TUIMenu):
                """
                Enter the Tecplot menu.
                """
                def __init__(self, service, version, mode, path):
                    self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                    super().__init__(service, version, mode, path)
                class mesh(TUIMethod):
                    """
                    Read a Tecplot binary file as a case file.
                    """

            class cfx(TUIMenu):
                """
                Enter the CFX menu.
                """
                def __init__(self, service, version, mode, path):
                    self.result = self.__class__.result(service, version, mode, path + ["result"])
                    self.definition = self.__class__.definition(service, version, mode, path + ["definition"])
                    super().__init__(service, version, mode, path)
                class result(TUIMethod):
                    """
                    Read a CFX result file as a case file.
                    """
                class definition(TUIMethod):
                    """
                    Read a CFX definition file as a case file.
                    """

            class abaqus(TUIMenu):
                """
                Enter the Abaqus menu.
                """
                def __init__(self, service, version, mode, path):
                    self.odb = self.__class__.odb(service, version, mode, path + ["odb"])
                    self.fil = self.__class__.fil(service, version, mode, path + ["fil"])
                    self.input = self.__class__.input(service, version, mode, path + ["input"])
                    super().__init__(service, version, mode, path)
                class odb(TUIMethod):
                    """
                    Read an Abaqus odb file as a case file.
                    """
                class fil(TUIMethod):
                    """
                    Read an Abaqus .fil result file as a case file.
                    """
                class input(TUIMethod):
                    """
                    Read an Abaqus Input file as a case file.
                    """

            class nastran(TUIMenu):
                """
                Enter the NASTRAN menu.
                """
                def __init__(self, service, version, mode, path):
                    self.bulkdata = self.__class__.bulkdata(service, version, mode, path + ["bulkdata"])
                    self.output2 = self.__class__.output2(service, version, mode, path + ["output2"])
                    super().__init__(service, version, mode, path)
                class bulkdata(TUIMethod):
                    """
                    Read a NASTRAN file as a case file.
                    """
                class output2(TUIMethod):
                    """
                    Read a NASTRAN op2 file as a case file.
                    """

            class mechanical_apdl(TUIMenu):
                """
                Enter the Mechanical APDL menu.
                """
                def __init__(self, service, version, mode, path):
                    self.input = self.__class__.input(service, version, mode, path + ["input"])
                    self.result = self.__class__.result(service, version, mode, path + ["result"])
                    super().__init__(service, version, mode, path)
                class input(TUIMethod):
                    """
                    Read an Mechanical APDL file as a case file.
                    """
                class result(TUIMethod):
                    """
                    Read an Mechanical APDL result file as a case file.
                    """

            class cgns(TUIMenu):
                """
                Enter the CGNS menu.
                """
                def __init__(self, service, version, mode, path):
                    self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
                    self.data = self.__class__.data(service, version, mode, path + ["data"])
                    self.mesh_data = self.__class__.mesh_data(service, version, mode, path + ["mesh_data"])
                    super().__init__(service, version, mode, path)
                class mesh(TUIMethod):
                    """
                    Read a CGNS file as a case file.
                    """
                class data(TUIMethod):
                    """
                    Read data from CGNS file.
                    """
                class mesh_data(TUIMethod):
                    """
                    Read a CGNS file as a case file.
                    """

    class report(TUIMenu):
        """
        Enter the report menu.
        """
        def __init__(self, service, version, mode, path):
            self.efficiency = self.__class__.efficiency(service, version, mode, path + ["efficiency"])
            self.reference_values = self.__class__.reference_values(service, version, mode, path + ["reference_values"])
            self.dpm_histogram = self.__class__.dpm_histogram(service, version, mode, path + ["dpm_histogram"])
            self.population_balance = self.__class__.population_balance(service, version, mode, path + ["population_balance"])
            self.heat_exchanger = self.__class__.heat_exchanger(service, version, mode, path + ["heat_exchanger"])
            self.surface_integrals = self.__class__.surface_integrals(service, version, mode, path + ["surface_integrals"])
            self.volume_integrals = self.__class__.volume_integrals(service, version, mode, path + ["volume_integrals"])
            self.system = self.__class__.system(service, version, mode, path + ["system"])
            self.fluxes = self.__class__.fluxes(service, version, mode, path + ["fluxes"])
            self.simulation_reports = self.__class__.simulation_reports(service, version, mode, path + ["simulation_reports"])
            self.icing = self.__class__.icing(service, version, mode, path + ["icing"])
            self.forces = self.__class__.forces(service, version, mode, path + ["forces"])
            self.modified_setting = self.__class__.modified_setting(service, version, mode, path + ["modified_setting"])
            self.projected_surface_area = self.__class__.projected_surface_area(service, version, mode, path + ["projected_surface_area"])
            self.species_mass_flow = self.__class__.species_mass_flow(service, version, mode, path + ["species_mass_flow"])
            self.uds_flow = self.__class__.uds_flow(service, version, mode, path + ["uds_flow"])
            self.write_histogram = self.__class__.write_histogram(service, version, mode, path + ["write_histogram"])
            self.aero_optical_distortions = self.__class__.aero_optical_distortions(service, version, mode, path + ["aero_optical_distortions"])
            self.virtual_blade_model = self.__class__.virtual_blade_model(service, version, mode, path + ["virtual_blade_model"])
            self.dpm_sample = self.__class__.dpm_sample(service, version, mode, path + ["dpm_sample"])
            self.mphase_summary = self.__class__.mphase_summary(service, version, mode, path + ["mphase_summary"])
            self.particle_summary = self.__class__.particle_summary(service, version, mode, path + ["particle_summary"])
            self.element_mass_flow = self.__class__.element_mass_flow(service, version, mode, path + ["element_mass_flow"])
            self.dpm_summary = self.__class__.dpm_summary(service, version, mode, path + ["dpm_summary"])
            self.evap_mass_details_in_dpm_summ_rep = self.__class__.evap_mass_details_in_dpm_summ_rep(service, version, mode, path + ["evap_mass_details_in_dpm_summ_rep"])
            self.dpm_zone_summaries_per_injection = self.__class__.dpm_zone_summaries_per_injection(service, version, mode, path + ["dpm_zone_summaries_per_injection"])
            self.dpm_sample_output_udf = self.__class__.dpm_sample_output_udf(service, version, mode, path + ["dpm_sample_output_udf"])
            self.print_histogram = self.__class__.print_histogram(service, version, mode, path + ["print_histogram"])
            self.dpm_extended_summary = self.__class__.dpm_extended_summary(service, version, mode, path + ["dpm_extended_summary"])
            self.summary = self.__class__.summary(service, version, mode, path + ["summary"])
            self.path_line_summary = self.__class__.path_line_summary(service, version, mode, path + ["path_line_summary"])
            self.dpm_sample_sort_file = self.__class__.dpm_sample_sort_file(service, version, mode, path + ["dpm_sample_sort_file"])
            super().__init__(service, version, mode, path)
        class projected_surface_area(TUIMethod):
            """
            Computes the area of the projection of selected surfaces along the  ,  , or   axis.
            """
        class species_mass_flow(TUIMethod):
            """
            Prints list of species mass flow rate at inlets and outlets. This reports the mass flow rates of all species (in kg/s) flowing through the simulation boundaries.
            """
        class uds_flow(TUIMethod):
            """
            Prints list of user-defined scalar flow rate at boundaries.
            """
        class write_histogram(TUIMethod):
            """
            Write a histogram of a scalar quantity to a file.
            """
        class aero_optical_distortions(TUIMethod):
            """
            .
            """
        class virtual_blade_model(TUIMethod):
            """
            .
            """
        class dpm_sample(TUIMethod):
            """
            Samples trajectories at boundaries and lines/planes.
            """
        class mphase_summary(TUIMethod):
            """
            Prints summary report for a multiphase case setup.
            """
        class particle_summary(TUIMethod):
            """
            Prints summary report for all current particles.
            """
        class element_mass_flow(TUIMethod):
            """
            Prints list of element flow rate at inlets and outlets. This reports the mass flow rates of all chemical elements (in kg/s) flowing through the simulation boundaries.
            """
        class dpm_summary(TUIMethod):
            """
            Prints discrete phase summary report.
            """
        class evap_mass_details_in_dpm_summ_rep(TUIMethod):
            """
            .
            """
        class dpm_zone_summaries_per_injection(TUIMethod):
            """
            Enables/disables calculation of the escaped mass per injection. Note that for unsteady particle tracking, if you want to report the mass of escaped particles per injection, this text command must be enabled before any particles are injected into the domain.
            """
        class dpm_sample_output_udf(TUIMethod):
            """
            Allows you to hook a previously loaded DEFINE_DPM_OUTPUT UDF for file format specification for sampling of trajectories and VOF-to-DPM lump conversion transcripts.
            """
        class print_histogram(TUIMethod):
            """
            Prints a histogram of a scalar quantity.
            """
        class dpm_extended_summary(TUIMethod):
            """
            Create an extended discrete phase summary report of the discrete phase injection(s). You can choose whether you want to save the extended report to a file or print it in the console window. For unsteady tracking, you will be asked whether you want to include in-domain particle/tracks in the report. You will be also prompted whether you want to select a single injection for the summary report. By default, all injections are included. The output depends on whether you have enabled the report/dpm-zone-summaries-per-injection? text command, in which case additional information is printed for escaped particles, such as per-injection data. Note that, for unsteady particle tracking, it is necessary to enable the report/dpm-zone-summaries-per-injection? text command before any particle parcels are injected into the domain.
            """
        class summary(TUIMethod):
            """
            Prints the current settings for physical models, boundary conditions, material properties, and solution parameters.
            """
        class path_line_summary(TUIMethod):
            """
            Prints pathline summary report.
            """
        class dpm_sample_sort_file(TUIMethod):
            """
            Enables/disables writing of sorted DPM sample files.
            """

        class efficiency(TUIMenu):
            """
            Enter the menu for efficiency computations.
            """
            def __init__(self, service, version, mode, path):
                self.use_in_turbo_report = self.__class__.use_in_turbo_report(service, version, mode, path + ["use_in_turbo_report"])
                self.isentropic = self.__class__.isentropic(service, version, mode, path + ["isentropic"])
                self.polytropic = self.__class__.polytropic(service, version, mode, path + ["polytropic"])
                super().__init__(service, version, mode, path)
            class use_in_turbo_report(TUIMethod):
                """
                Use this general method instead of constant Cp-based to compute efficiency with Turbo Report tool.
                """
            class isentropic(TUIMethod):
                """
                Calculate isentropic efficiency.
                """
            class polytropic(TUIMethod):
                """
                Calculate polytropic efficiency.
                """

        class reference_values(TUIMenu):
            """
            Enters the reference value menu.
            """
            def __init__(self, service, version, mode, path):
                self.compute = self.__class__.compute(service, version, mode, path + ["compute"])
                self.density = self.__class__.density(service, version, mode, path + ["density"])
                self.velocity = self.__class__.velocity(service, version, mode, path + ["velocity"])
                self.area = self.__class__.area(service, version, mode, path + ["area"])
                self.enthalpy = self.__class__.enthalpy(service, version, mode, path + ["enthalpy"])
                self.viscosity = self.__class__.viscosity(service, version, mode, path + ["viscosity"])
                self.depth = self.__class__.depth(service, version, mode, path + ["depth"])
                self.zone = self.__class__.zone(service, version, mode, path + ["zone"])
                self.pressure = self.__class__.pressure(service, version, mode, path + ["pressure"])
                self.length = self.__class__.length(service, version, mode, path + ["length"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.temperature = self.__class__.temperature(service, version, mode, path + ["temperature"])
                self.yplus = self.__class__.yplus(service, version, mode, path + ["yplus"])
                super().__init__(service, version, mode, path)
            class density(TUIMethod):
                """
                Sets reference density for normalization.
                """
            class velocity(TUIMethod):
                """
                Sets reference velocity for normalization.
                """
            class area(TUIMethod):
                """
                Sets reference area for normalization.
                """
            class enthalpy(TUIMethod):
                """
                Sets reference enthalpy for enthalpy damping and normalization.
                """
            class viscosity(TUIMethod):
                """
                Sets reference viscosity for normalization.
                """
            class depth(TUIMethod):
                """
                Sets reference depth for volume calculation.
                """
            class zone(TUIMethod):
                """
                Sets reference zone.
                """
            class pressure(TUIMethod):
                """
                Sets reference pressure for normalization.
                """
            class length(TUIMethod):
                """
                Sets reference length for normalization.
                """
            class list(TUIMethod):
                """
                Lists current reference values.
                """
            class temperature(TUIMethod):
                """
                Sets reference temperature for normalization.
                """
            class yplus(TUIMethod):
                """
                Sets reference yplus for calculation of Yplus Based Heat Transfer Coefficient.
                """

            class compute(TUIMenu):
                """
                Computes reference values from zone boundary conditions.
                """
                def __init__(self, service, version, mode, path):
                    self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                    self.network = self.__class__.network(service, version, mode, path + ["network"])
                    self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                    self.velocity_inlet = self.__class__.velocity_inlet(service, version, mode, path + ["velocity_inlet"])
                    self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                    self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                    self.recirculation_outlet = self.__class__.recirculation_outlet(service, version, mode, path + ["recirculation_outlet"])
                    self.pressure_outlet = self.__class__.pressure_outlet(service, version, mode, path + ["pressure_outlet"])
                    self.pressure_far_field = self.__class__.pressure_far_field(service, version, mode, path + ["pressure_far_field"])
                    self.dummy_entry = self.__class__.dummy_entry(service, version, mode, path + ["dummy_entry"])
                    self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                    self.radiator = self.__class__.radiator(service, version, mode, path + ["radiator"])
                    self.solid = self.__class__.solid(service, version, mode, path + ["solid"])
                    self.shadow = self.__class__.shadow(service, version, mode, path + ["shadow"])
                    self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                    self.porous_jump = self.__class__.porous_jump(service, version, mode, path + ["porous_jump"])
                    self.exhaust_fan = self.__class__.exhaust_fan(service, version, mode, path + ["exhaust_fan"])
                    self.fan = self.__class__.fan(service, version, mode, path + ["fan"])
                    self.fluid = self.__class__.fluid(service, version, mode, path + ["fluid"])
                    self.recirculation_inlet = self.__class__.recirculation_inlet(service, version, mode, path + ["recirculation_inlet"])
                    self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
                    self.network_end = self.__class__.network_end(service, version, mode, path + ["network_end"])
                    self.mass_flow_outlet = self.__class__.mass_flow_outlet(service, version, mode, path + ["mass_flow_outlet"])
                    self.mass_flow_inlet = self.__class__.mass_flow_inlet(service, version, mode, path + ["mass_flow_inlet"])
                    self.inlet_vent = self.__class__.inlet_vent(service, version, mode, path + ["inlet_vent"])
                    self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                    self.degassing = self.__class__.degassing(service, version, mode, path + ["degassing"])
                    self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                    self.intake_fan = self.__class__.intake_fan(service, version, mode, path + ["intake_fan"])
                    self.outflow = self.__class__.outflow(service, version, mode, path + ["outflow"])
                    self.pressure_inlet = self.__class__.pressure_inlet(service, version, mode, path + ["pressure_inlet"])
                    self.outlet_vent = self.__class__.outlet_vent(service, version, mode, path + ["outlet_vent"])
                    super().__init__(service, version, mode, path)
                class wall(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class network(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class symmetry(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class velocity_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class interior(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class rans_les_interface(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class recirculation_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_far_field(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class dummy_entry(TUIMethod):
                    """
                    .
                    """
                class overset(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class radiator(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class solid(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class shadow(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class interface(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class porous_jump(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class exhaust_fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class fluid(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class recirculation_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class geometry(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class network_end(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class mass_flow_outlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class mass_flow_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class inlet_vent(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class axis(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class degassing(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class periodic(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class intake_fan(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class outflow(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class pressure_inlet(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """
                class outlet_vent(TUIMethod):
                    """
                    Compute reference values from a zone of this type.
                    """

        class dpm_histogram(TUIMenu):
            """
            Enters the DPM histogram menu.
            """
            def __init__(self, service, version, mode, path):
                self.set = self.__class__.set(service, version, mode, path + ["set"])
                self.setup_reduction = self.__class__.setup_reduction(service, version, mode, path + ["setup_reduction"])
                self.pick_sample_to_reduce = self.__class__.pick_sample_to_reduce(service, version, mode, path + ["pick_sample_to_reduce"])
                self.reduce_picked_sample = self.__class__.reduce_picked_sample(service, version, mode, path + ["reduce_picked_sample"])
                self.write_sample = self.__class__.write_sample(service, version, mode, path + ["write_sample"])
                self.read_sample = self.__class__.read_sample(service, version, mode, path + ["read_sample"])
                self.list_samples = self.__class__.list_samples(service, version, mode, path + ["list_samples"])
                self.delete_sample = self.__class__.delete_sample(service, version, mode, path + ["delete_sample"])
                self.prep_dpm_sample_cont_plot_exprs = self.__class__.prep_dpm_sample_cont_plot_exprs(service, version, mode, path + ["prep_dpm_sample_cont_plot_exprs"])
                self.compute_sample = self.__class__.compute_sample(service, version, mode, path + ["compute_sample"])
                self.plot_sample = self.__class__.plot_sample(service, version, mode, path + ["plot_sample"])
                super().__init__(service, version, mode, path)
            class pick_sample_to_reduce(TUIMethod):
                """
                Select a sample to be reduced.
                """
            class reduce_picked_sample(TUIMethod):
                """
                Reduce a sample as specified by the data reduction parameters. This command is available only after you selected the sample using the pick-sample-to-reduce text command.
                """
            class write_sample(TUIMethod):
                """
                Write a histogram of a loaded sample into a file.
                """
            class read_sample(TUIMethod):
                """
                Reads a sample file and adds it to the sample list.
                """
            class list_samples(TUIMethod):
                """
                Shows all samples in a loaded sample list.
                """
            class delete_sample(TUIMethod):
                """
                Deletes a sample from the loaded sample list.
                """
            class prep_dpm_sample_cont_plot_exprs(TUIMethod):
                """
                Prepare named expressions from data in a DPM sample file (collected at a cut plane surface) for contour plotting.
                """
            class compute_sample(TUIMethod):
                """
                Computes the minimum/maximum of a sample variable.
                """
            class plot_sample(TUIMethod):
                """
                Plots a histogram of a loaded sample.
                """

            class set(TUIMenu):
                """
                Enters the settings menu for the histogram.
                """
                def __init__(self, service, version, mode, path):
                    self.diameter_statistics = self.__class__.diameter_statistics(service, version, mode, path + ["diameter_statistics"])
                    self.weighting = self.__class__.weighting(service, version, mode, path + ["weighting"])
                    self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                    self.number_of_bins = self.__class__.number_of_bins(service, version, mode, path + ["number_of_bins"])
                    self.correlation = self.__class__.correlation(service, version, mode, path + ["correlation"])
                    self.histogram_mode = self.__class__.histogram_mode(service, version, mode, path + ["histogram_mode"])
                    self.percentage = self.__class__.percentage(service, version, mode, path + ["percentage"])
                    self.variable_power_3 = self.__class__.variable_power_3(service, version, mode, path + ["variable_power_3"])
                    self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                    self.cumulation_curve = self.__class__.cumulation_curve(service, version, mode, path + ["cumulation_curve"])
                    self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                    self.logarithmic = self.__class__.logarithmic(service, version, mode, path + ["logarithmic"])
                    super().__init__(service, version, mode, path)
                class diameter_statistics(TUIMethod):
                    """
                    Computes the Rosin Rammler parameters, Sauter, and other mean diameters.
                    """
                class weighting(TUIMethod):
                    """
                    Uses weighting with additional variables when sorting data into samples.
                    """
                class maximum(TUIMethod):
                    """
                    Specifies the maximum value of the x-axis variable for histogram plots.
                    """
                class number_of_bins(TUIMethod):
                    """
                    Specifies the number of bins.
                    """
                class correlation(TUIMethod):
                    """
                    Computes the correlation of the sampling variable with another variable.
                    """
                class histogram_mode(TUIMethod):
                    """
                    Uses bars for the histogram plot or xy-style.
                    """
                class percentage(TUIMethod):
                    """
                    Uses percentages of bins to be computed.
                    """
                class variable_power_3(TUIMethod):
                    """
                    Use the cubic of the cumulation variable during computation of the cumulative curve.
                    When the particle mass was not sampled, the diameter can be used instead.
                    """
                class auto_range(TUIMethod):
                    """
                    Automatically computes the range of the sampling variable for histogram plots.
                    """
                class cumulation_curve(TUIMethod):
                    """
                    Computes a cumulative curve for the sampling variable or correlation variable when correlation? is specified.
                    """
                class minimum(TUIMethod):
                    """
                    Specifies the minimum value of the x-axis variable for histogram plots.
                    """
                class logarithmic(TUIMethod):
                    """
                    Enables/disables the use of logarithmic scaling on the abscissa of the histogram.
                    """

            class setup_reduction(TUIMenu):
                """
                Set up the sample data reduction by specifying all relevant options and setting parameters as desired.
                """
                def __init__(self, service, version, mode, path):
                    self.reset_min_and_max = self.__class__.reset_min_and_max(service, version, mode, path + ["reset_min_and_max"])
                    self.logarithmic = self.__class__.logarithmic(service, version, mode, path + ["logarithmic"])
                    self.weighting_variable = self.__class__.weighting_variable(service, version, mode, path + ["weighting_variable"])
                    self.make_steady_from_unsteady_file = self.__class__.make_steady_from_unsteady_file(service, version, mode, path + ["make_steady_from_unsteady_file"])
                    self.list_settings = self.__class__.list_settings(service, version, mode, path + ["list_settings"])
                    self.all_variables_number_of_bins = self.__class__.all_variables_number_of_bins(service, version, mode, path + ["all_variables_number_of_bins"])
                    self.use_weighting = self.__class__.use_weighting(service, version, mode, path + ["use_weighting"])
                    self.number_of_bins = self.__class__.number_of_bins(service, version, mode, path + ["number_of_bins"])
                    self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                    self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                    super().__init__(service, version, mode, path)
                class reset_min_and_max(TUIMethod):
                    """
                    Reset the min and max values of the range to be considered for a specific variable in the data reduction.
                    """
                class logarithmic(TUIMethod):
                    """
                    Switch on or off logarithmic scaling to be used for a specific variable in the data reduction.
                    """
                class weighting_variable(TUIMethod):
                    """
                    Choose the weighting variable for the averaging in each bin in the data reduction.
                    """
                class make_steady_from_unsteady_file(TUIMethod):
                    """
                    Specify whether the unsteady sample is to be reduced into a steady-state injection file.
                    """
                class list_settings(TUIMethod):
                    """
                    List all user inputs for the sample picked for data reduction.
                    """
                class all_variables_number_of_bins(TUIMethod):
                    """
                    Set the number of bins to be used for ALL variables in the data reduction.
                    """
                class use_weighting(TUIMethod):
                    """
                    Specify whether to use any weighting in the averaging that is done in each bin in the data reduction.
                    """
                class number_of_bins(TUIMethod):
                    """
                    Set the number of bins to be used for a specific variable in the data reduction.
                    """
                class minimum(TUIMethod):
                    """
                    Set the minimum value of the range to be considered for a specific variable in the data reduction.
                    """
                class maximum(TUIMethod):
                    """
                    Set the maximum value of the range to be considered for a specific variable in the data reduction.
                    """

        class population_balance(TUIMenu):
            """
            Population Balance menu.
            """
            def __init__(self, service, version, mode, path):
                self.number_density = self.__class__.number_density(service, version, mode, path + ["number_density"])
                self.moments = self.__class__.moments(service, version, mode, path + ["moments"])
                super().__init__(service, version, mode, path)
            class number_density(TUIMethod):
                """
                Set number density functions.
                """
            class moments(TUIMethod):
                """
                .
                """

        class heat_exchanger(TUIMenu):
            """
            Enters the heat exchanger menu.
            """
            def __init__(self, service, version, mode, path):
                self.mass_flow_rate = self.__class__.mass_flow_rate(service, version, mode, path + ["mass_flow_rate"])
                self.inlet_temperature = self.__class__.inlet_temperature(service, version, mode, path + ["inlet_temperature"])
                self.computed_heat_rejection = self.__class__.computed_heat_rejection(service, version, mode, path + ["computed_heat_rejection"])
                self.specific_heat = self.__class__.specific_heat(service, version, mode, path + ["specific_heat"])
                self.outlet_temperature = self.__class__.outlet_temperature(service, version, mode, path + ["outlet_temperature"])
                super().__init__(service, version, mode, path)
            class mass_flow_rate(TUIMethod):
                """
                Prints mass flow rate.
                """
            class inlet_temperature(TUIMethod):
                """
                Prints inlet temperature.
                """
            class computed_heat_rejection(TUIMethod):
                """
                Prints total heat rejection.
                """
            class specific_heat(TUIMethod):
                """
                Prints fluid’s specific heat.
                """
            class outlet_temperature(TUIMethod):
                """
                Prints outlet temperature.
                """

        class surface_integrals(TUIMenu):
            """
            Enters the surface integral menu.
            """
            def __init__(self, service, version, mode, path):
                self.area = self.__class__.area(service, version, mode, path + ["area"])
                self.vertex_max = self.__class__.vertex_max(service, version, mode, path + ["vertex_max"])
                self.vertex_min = self.__class__.vertex_min(service, version, mode, path + ["vertex_min"])
                self.standard_deviation = self.__class__.standard_deviation(service, version, mode, path + ["standard_deviation"])
                self.uniformity_index_area_weighted = self.__class__.uniformity_index_area_weighted(service, version, mode, path + ["uniformity_index_area_weighted"])
                self.facet_avg = self.__class__.facet_avg(service, version, mode, path + ["facet_avg"])
                self.uniformity_index_mass_weighted = self.__class__.uniformity_index_mass_weighted(service, version, mode, path + ["uniformity_index_mass_weighted"])
                self.flow_rate = self.__class__.flow_rate(service, version, mode, path + ["flow_rate"])
                self.facet_min = self.__class__.facet_min(service, version, mode, path + ["facet_min"])
                self.facet_max = self.__class__.facet_max(service, version, mode, path + ["facet_max"])
                self.vector_flux = self.__class__.vector_flux(service, version, mode, path + ["vector_flux"])
                self.sum = self.__class__.sum(service, version, mode, path + ["sum"])
                self.vertex_avg = self.__class__.vertex_avg(service, version, mode, path + ["vertex_avg"])
                self.volume_flow_rate = self.__class__.volume_flow_rate(service, version, mode, path + ["volume_flow_rate"])
                self.mass_flow_rate = self.__class__.mass_flow_rate(service, version, mode, path + ["mass_flow_rate"])
                self.vector_weighted_average = self.__class__.vector_weighted_average(service, version, mode, path + ["vector_weighted_average"])
                self.mass_weighted_avg = self.__class__.mass_weighted_avg(service, version, mode, path + ["mass_weighted_avg"])
                self.integral = self.__class__.integral(service, version, mode, path + ["integral"])
                self.area_weighted_avg = self.__class__.area_weighted_avg(service, version, mode, path + ["area_weighted_avg"])
                self.vector_based_flux = self.__class__.vector_based_flux(service, version, mode, path + ["vector_based_flux"])
                super().__init__(service, version, mode, path)
            class area(TUIMethod):
                """
                Prints the area of the selected surfaces.
                """
            class vertex_max(TUIMethod):
                """
                Prints the maximum of the specified quantity over vertices of the selected surfaces.
                """
            class vertex_min(TUIMethod):
                """
                Prints the minimum of the specified quantity over vertices of the selected surfaces.
                """
            class standard_deviation(TUIMethod):
                """
                Prints the standard deviation of the scalar at the facet centroids of the surface.
                """
            class uniformity_index_area_weighted(TUIMethod):
                """
                Prints the area-weighted uniformity index of the specified quantity over the selected surfaces.
                """
            class facet_avg(TUIMethod):
                """
                Prints the facet average of the specified quantity over the selected surfaces.
                """
            class uniformity_index_mass_weighted(TUIMethod):
                """
                Prints the mass-weighted uniformity index of the specified quantity over the selected surfaces.
                """
            class flow_rate(TUIMethod):
                """
                Prints the flow rate of the specified quantity over the selected surfaces.
                """
            class facet_min(TUIMethod):
                """
                Prints the minimum of the specified quantity over facet centroids of the selected surfaces.
                """
            class facet_max(TUIMethod):
                """
                Prints the maximum of the specified quantity over facet centroids of the selected surfaces.
                """
            class vector_flux(TUIMethod):
                """
                Prints the vector flux over the selected surfaces.
                """
            class sum(TUIMethod):
                """
                Prints sum of scalar at facet centroids of the surfaces.
                """
            class vertex_avg(TUIMethod):
                """
                Prints the vertex average of the specified quantity over the selected surfaces.
                """
            class volume_flow_rate(TUIMethod):
                """
                Prints the volume flow rate through the selected surfaces.
                """
            class mass_flow_rate(TUIMethod):
                """
                Prints the mass flow rate through the selected surfaces.
                """
            class vector_weighted_average(TUIMethod):
                """
                Prints the vector-averaged quantity over the selected surfaces.
                """
            class mass_weighted_avg(TUIMethod):
                """
                Prints the mass-averaged quantity over the selected surfaces.
                """
            class integral(TUIMethod):
                """
                Prints the integral of the specified quantity over the selected surfaces. You can include a wildcard (\\*) within the surface names.
                """
            class area_weighted_avg(TUIMethod):
                """
                .
                """
            class vector_based_flux(TUIMethod):
                """
                Prints the vector-based flux of the specified quantity over the selected surfaces.
                """

        class volume_integrals(TUIMenu):
            """
            Enters the volume integral menu.
            """
            def __init__(self, service, version, mode, path):
                self.volume = self.__class__.volume(service, version, mode, path + ["volume"])
                self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                self.volume_avg = self.__class__.volume_avg(service, version, mode, path + ["volume_avg"])
                self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                self.mass_integral = self.__class__.mass_integral(service, version, mode, path + ["mass_integral"])
                self.sum = self.__class__.sum(service, version, mode, path + ["sum"])
                self.mass_avg = self.__class__.mass_avg(service, version, mode, path + ["mass_avg"])
                self.volume_integral = self.__class__.volume_integral(service, version, mode, path + ["volume_integral"])
                self.twopisum = self.__class__.twopisum(service, version, mode, path + ["twopisum"])
                self.mass = self.__class__.mass(service, version, mode, path + ["mass"])
                super().__init__(service, version, mode, path)
            class volume(TUIMethod):
                """
                Prints total volume of specified cell zones.
                """
            class minimum(TUIMethod):
                """
                Prints minimum of scalar over all cell zones.
                """
            class volume_avg(TUIMethod):
                """
                Prints volume-weighted average of scalar over cell zones.
                """
            class maximum(TUIMethod):
                """
                Prints maximum of scalar over all cell zones.
                """
            class mass_integral(TUIMethod):
                """
                Prints mass-weighted integral of scalar over cell zones.
                """
            class sum(TUIMethod):
                """
                Prints sum of scalar over all cell zones.
                """
            class mass_avg(TUIMethod):
                """
                Prints mass-average of scalar over cell zones.
                """
            class volume_integral(TUIMethod):
                """
                Prints integral of scalar over cell zones.
                """
            class twopisum(TUIMethod):
                """
                Prints sum of scalar over all cell zones multiplied by 2π.
                """
            class mass(TUIMethod):
                """
                .
                """

        class system(TUIMenu):
            """
            Enters the system menu.
            """
            def __init__(self, service, version, mode, path):
                self.time_stats = self.__class__.time_stats(service, version, mode, path + ["time_stats"])
                self.sys_stats = self.__class__.sys_stats(service, version, mode, path + ["sys_stats"])
                self.gpgpu_stats = self.__class__.gpgpu_stats(service, version, mode, path + ["gpgpu_stats"])
                self.proc_stats = self.__class__.proc_stats(service, version, mode, path + ["proc_stats"])
                super().__init__(service, version, mode, path)
            class time_stats(TUIMethod):
                """
                Timer information. This is used to report CPU timings for user and kernel processes and detailed solver timings.
                """
            class sys_stats(TUIMethod):
                """
                System information. This is used to report the CPU configuration of the machines where ANSYS Fluent processes have been spawned.
                """
            class gpgpu_stats(TUIMethod):
                """
                Prints information about installed general purpose graphical processing units.
                """
            class proc_stats(TUIMethod):
                """
                Prints ANSYS Fluent process information. This is used to report the memory usage of each of the ANSYS Fluent processes.
                """

        class fluxes(TUIMenu):
            """
            Enters the fluxes menu.
            """
            def __init__(self, service, version, mode, path):
                self.rad_heat_trans = self.__class__.rad_heat_trans(service, version, mode, path + ["rad_heat_trans"])
                self.heat_transfer_sensible = self.__class__.heat_transfer_sensible(service, version, mode, path + ["heat_transfer_sensible"])
                self.electric_current = self.__class__.electric_current(service, version, mode, path + ["electric_current"])
                self.film_mass_flow = self.__class__.film_mass_flow(service, version, mode, path + ["film_mass_flow"])
                self.film_heat_transfer = self.__class__.film_heat_transfer(service, version, mode, path + ["film_heat_transfer"])
                self.mass_flow = self.__class__.mass_flow(service, version, mode, path + ["mass_flow"])
                self.pressure_work = self.__class__.pressure_work(service, version, mode, path + ["pressure_work"])
                self.heat_transfer = self.__class__.heat_transfer(service, version, mode, path + ["heat_transfer"])
                self.viscous_work = self.__class__.viscous_work(service, version, mode, path + ["viscous_work"])
                super().__init__(service, version, mode, path)
            class rad_heat_trans(TUIMethod):
                """
                Prints radiation heat transfer rate at boundaries.
                """
            class heat_transfer_sensible(TUIMethod):
                """
                Prints the sensible heat transfer rate at the boundaries.
                """
            class electric_current(TUIMethod):
                """
                .
                """
            class film_mass_flow(TUIMethod):
                """
                Prints wall film mass flow rate at boundaries. This text command is only available when you enable the Eulerian wall film model.
                """
            class film_heat_transfer(TUIMethod):
                """
                Prints wall film heat transfer rate at boundaries. This text command is only available when you enable the Eulerian wall film model.
                """
            class mass_flow(TUIMethod):
                """
                Prints mass flow rate at inlets and outlets.
                """
            class pressure_work(TUIMethod):
                """
                Prints the pressure work rate at the boundaries. This text command is only available when the energy equation is enabled, the absolute velocity formulation is selected, and zone motion is enabled for a fluid cell zone.
                """
            class heat_transfer(TUIMethod):
                """
                Prints heat transfer rate at boundaries.
                """
            class viscous_work(TUIMethod):
                """
                Prints the viscous work rate at the boundaries. This text command is only available when the energy equation is enabled and the pressure-based solver is selected.
                """

        class simulation_reports(TUIMenu):
            """
            Enter the simulation reports menu.
            """
            def __init__(self, service, version, mode, path):
                self.parametric_study = self.__class__.parametric_study(service, version, mode, path + ["parametric_study"])
                self.export_simulation_report_as_pptx = self.__class__.export_simulation_report_as_pptx(service, version, mode, path + ["export_simulation_report_as_pptx"])
                self.export_simulation_report_as_pdf = self.__class__.export_simulation_report_as_pdf(service, version, mode, path + ["export_simulation_report_as_pdf"])
                self.write_report_names_to_file = self.__class__.write_report_names_to_file(service, version, mode, path + ["write_report_names_to_file"])
                self.generate_simulation_report = self.__class__.generate_simulation_report(service, version, mode, path + ["generate_simulation_report"])
                self.delete_simulation_report = self.__class__.delete_simulation_report(service, version, mode, path + ["delete_simulation_report"])
                self.view_simulation_report = self.__class__.view_simulation_report(service, version, mode, path + ["view_simulation_report"])
                self.add_histogram_to_report = self.__class__.add_histogram_to_report(service, version, mode, path + ["add_histogram_to_report"])
                self.read_simulation_report_template_file = self.__class__.read_simulation_report_template_file(service, version, mode, path + ["read_simulation_report_template_file"])
                self.rename_simulation_report = self.__class__.rename_simulation_report(service, version, mode, path + ["rename_simulation_report"])
                self.write_simulation_report_template_file = self.__class__.write_simulation_report_template_file(service, version, mode, path + ["write_simulation_report_template_file"])
                self.reset_report_to_defaults = self.__class__.reset_report_to_defaults(service, version, mode, path + ["reset_report_to_defaults"])
                self.duplicate_simulation_report = self.__class__.duplicate_simulation_report(service, version, mode, path + ["duplicate_simulation_report"])
                self.export_simulation_report_as_html = self.__class__.export_simulation_report_as_html(service, version, mode, path + ["export_simulation_report_as_html"])
                self.list_simulation_reports = self.__class__.list_simulation_reports(service, version, mode, path + ["list_simulation_reports"])
                super().__init__(service, version, mode, path)
            class export_simulation_report_as_pptx(TUIMethod):
                """
                .
                """
            class export_simulation_report_as_pdf(TUIMethod):
                """
                .
                """
            class write_report_names_to_file(TUIMethod):
                """
                .
                """
            class generate_simulation_report(TUIMethod):
                """
                .
                """
            class delete_simulation_report(TUIMethod):
                """
                .
                """
            class view_simulation_report(TUIMethod):
                """
                .
                """
            class add_histogram_to_report(TUIMethod):
                """
                .
                """
            class read_simulation_report_template_file(TUIMethod):
                """
                .
                """
            class rename_simulation_report(TUIMethod):
                """
                .
                """
            class write_simulation_report_template_file(TUIMethod):
                """
                .
                """
            class reset_report_to_defaults(TUIMethod):
                """
                .
                """
            class duplicate_simulation_report(TUIMethod):
                """
                .
                """
            class export_simulation_report_as_html(TUIMethod):
                """
                .
                """
            class list_simulation_reports(TUIMethod):
                """
                .
                """

            class parametric_study(TUIMenu):
                """
                Enter the parametric study menu.
                """
                def __init__(self, service, version, mode, path):
                    self.generate_design_point_report = self.__class__.generate_design_point_report(service, version, mode, path + ["generate_design_point_report"])
                    self.generate_parametric_report = self.__class__.generate_parametric_report(service, version, mode, path + ["generate_parametric_report"])
                    super().__init__(service, version, mode, path)
                class generate_design_point_report(TUIMethod):
                    """
                    Generate a simulation report for an updated design point.
                    """
                class generate_parametric_report(TUIMethod):
                    """
                    Generate a parametric report for your study.
                    """

        class icing(TUIMenu):
            """
            Icing reports menu.
            """
            def __init__(self, service, version, mode, path):
                self.particles_crystals_collection_eff = self.__class__.particles_crystals_collection_eff(service, version, mode, path + ["particles_crystals_collection_eff"])
                self.icing_energy_of_conduction = self.__class__.icing_energy_of_conduction(service, version, mode, path + ["icing_energy_of_conduction"])
                self.energy_of_water_impinged = self.__class__.energy_of_water_impinged(service, version, mode, path + ["energy_of_water_impinged"])
                self.mass_of_water_impinged = self.__class__.mass_of_water_impinged(service, version, mode, path + ["mass_of_water_impinged"])
                self.energy_of_ice_formation = self.__class__.energy_of_ice_formation(service, version, mode, path + ["energy_of_ice_formation"])
                self.mass_of_ice = self.__class__.mass_of_ice(service, version, mode, path + ["mass_of_ice"])
                self.particles_droplets_collection_eff = self.__class__.particles_droplets_collection_eff(service, version, mode, path + ["particles_droplets_collection_eff"])
                super().__init__(service, version, mode, path)
            class particles_crystals_collection_eff(TUIMethod):
                """
                Print Crystals Collection Efficiency.
                """
            class icing_energy_of_conduction(TUIMethod):
                """
                Print Energy of Conduction.
                """
            class energy_of_water_impinged(TUIMethod):
                """
                Print Energy of Water Impingement.
                """
            class mass_of_water_impinged(TUIMethod):
                """
                Print Mass of Water Impingement.
                """
            class energy_of_ice_formation(TUIMethod):
                """
                Print Energy of Ice Formation.
                """
            class mass_of_ice(TUIMethod):
                """
                Print Mass of Ice Accretion.
                """
            class particles_droplets_collection_eff(TUIMethod):
                """
                Print Droplets Collection Efficiency.
                """

        class forces(TUIMenu):
            """
            Enters the forces menu.
            """
            def __init__(self, service, version, mode, path):
                self.pressure_center = self.__class__.pressure_center(service, version, mode, path + ["pressure_center"])
                self.wall_forces = self.__class__.wall_forces(service, version, mode, path + ["wall_forces"])
                self.wall_moments = self.__class__.wall_moments(service, version, mode, path + ["wall_moments"])
                super().__init__(service, version, mode, path)
            class pressure_center(TUIMethod):
                """
                Prints the center of pressure on wall zones.
                """
            class wall_forces(TUIMethod):
                """
                Computes the forces along the specified force vector for all wall zones.
                """
            class wall_moments(TUIMethod):
                """
                Computes the moments about the specified moment center for all wall zones.
                """

        class modified_setting(TUIMenu):
            """
            Enter the modified settings menu.
            """
            def __init__(self, service, version, mode, path):
                self.write_user_setting = self.__class__.write_user_setting(service, version, mode, path + ["write_user_setting"])
                self.modified_setting = self.__class__.modified_setting(service, version, mode, path + ["modified_setting"])
                super().__init__(service, version, mode, path)
            class write_user_setting(TUIMethod):
                """
                Write the contents of the Modified Settings Summary table to a file.
                """
            class modified_setting(TUIMethod):
                """
                Specify which areas of setup will be checked for non-default settings for generating the Modified Settings Summary table. The table is displayed tabbed with the graphics window.
                """

    class display(TUIMenu):
        """
        Enter the display menu.
        """
        def __init__(self, service, version, mode, path):
            self.raytracer = self.__class__.raytracer(service, version, mode, path + ["raytracer"])
            self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
            self.update_scene = self.__class__.update_scene(service, version, mode, path + ["update_scene"])
            self.define = self.__class__.define(service, version, mode, path + ["define"])
            self.pdf_data = self.__class__.pdf_data(service, version, mode, path + ["pdf_data"])
            self.views = self.__class__.views(service, version, mode, path + ["views"])
            self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
            self.view_sync = self.__class__.view_sync(service, version, mode, path + ["view_sync"])
            self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
            self.flamelet_data = self.__class__.flamelet_data(service, version, mode, path + ["flamelet_data"])
            self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
            self.objects = self.__class__.objects(service, version, mode, path + ["objects"])
            self.set = self.__class__.set(service, version, mode, path + ["set"])
            self.embedded_windows = self.__class__.embedded_windows(service, version, mode, path + ["embedded_windows"])
            self.mesh = self.__class__.mesh(service, version, mode, path + ["mesh"])
            self.annotate = self.__class__.annotate(service, version, mode, path + ["annotate"])
            self.open_window = self.__class__.open_window(service, version, mode, path + ["open_window"])
            self.zone_mesh = self.__class__.zone_mesh(service, version, mode, path + ["zone_mesh"])
            self.reacting_channel_curves = self.__class__.reacting_channel_curves(service, version, mode, path + ["reacting_channel_curves"])
            self.add_custom_vector = self.__class__.add_custom_vector(service, version, mode, path + ["add_custom_vector"])
            self.switch_to_post_processing_volume = self.__class__.switch_to_post_processing_volume(service, version, mode, path + ["switch_to_post_processing_volume"])
            self.surface_mesh = self.__class__.surface_mesh(service, version, mode, path + ["surface_mesh"])
            self.hsf_file = self.__class__.hsf_file(service, version, mode, path + ["hsf_file"])
            self.update_layout = self.__class__.update_layout(service, version, mode, path + ["update_layout"])
            self.display_custom_vector = self.__class__.display_custom_vector(service, version, mode, path + ["display_custom_vector"])
            self.multigrid_coarsening = self.__class__.multigrid_coarsening(service, version, mode, path + ["multigrid_coarsening"])
            self.transient_post_processing = self.__class__.transient_post_processing(service, version, mode, path + ["transient_post_processing"])
            self.switch_to_primary_volume = self.__class__.switch_to_primary_volume(service, version, mode, path + ["switch_to_primary_volume"])
            self.set_window_by_name = self.__class__.set_window_by_name(service, version, mode, path + ["set_window_by_name"])
            self.close_window = self.__class__.close_window(service, version, mode, path + ["close_window"])
            self.grid_outline = self.__class__.grid_outline(service, version, mode, path + ["grid_outline"])
            self.mesh_partition_boundary = self.__class__.mesh_partition_boundary(service, version, mode, path + ["mesh_partition_boundary"])
            self.profile = self.__class__.profile(service, version, mode, path + ["profile"])
            self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
            self.set_list_tree_separator = self.__class__.set_list_tree_separator(service, version, mode, path + ["set_list_tree_separator"])
            self.velocity_vector = self.__class__.velocity_vector(service, version, mode, path + ["velocity_vector"])
            self.close_window_by_name = self.__class__.close_window_by_name(service, version, mode, path + ["close_window_by_name"])
            self.grid = self.__class__.grid(service, version, mode, path + ["grid"])
            self.set_window = self.__class__.set_window(service, version, mode, path + ["set_window"])
            self.clear_annotations = self.__class__.clear_annotations(service, version, mode, path + ["clear_annotations"])
            self.graphics_window_layout = self.__class__.graphics_window_layout(service, version, mode, path + ["graphics_window_layout"])
            self.contour = self.__class__.contour(service, version, mode, path + ["contour"])
            self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
            self.save_picture = self.__class__.save_picture(service, version, mode, path + ["save_picture"])
            self.re_render = self.__class__.re_render(service, version, mode, path + ["re_render"])
            self.mesh_outline = self.__class__.mesh_outline(service, version, mode, path + ["mesh_outline"])
            self.re_scale = self.__class__.re_scale(service, version, mode, path + ["re_scale"])
            super().__init__(service, version, mode, path)
        class mesh(TUIMethod):
            """
            Displays the entire mesh. For 3D, you will be asked to confirm that you really want to draw the entire mesh (not just themesh-outline).
            """
        class annotate(TUIMethod):
            """
            Add a text annotation string to the active graphics window.
            """
        class open_window(TUIMethod):
            """
            Opens a graphics window.
            """
        class zone_mesh(TUIMethod):
            """
            Draws the mesh defined by specified face zones. Zone names can be indicated using wildcards (\\*).
            """
        class reacting_channel_curves(TUIMethod):
            """
            Plots the reacting channel variables.
            """
        class add_custom_vector(TUIMethod):
            """
            Adds new custom vector definition.
            """
        class switch_to_post_processing_volume(TUIMethod):
            """
            Switch to post processing volume.
            """
        class surface_mesh(TUIMethod):
            """
            Draws the mesh defined by the specified surfaces. You can include a wildcard (\\*) within the surface names.
            """
        class hsf_file(TUIMethod):
            """
            Loads an HSF file for viewing.
            """
        class update_layout(TUIMethod):
            """
            Update the fluent layout.
            """
        class display_custom_vector(TUIMethod):
            """
            Displays custom vector.
            """
        class multigrid_coarsening(TUIMethod):
            """
            Displays a coarse mesh level from the last multigrid coarsening.
            """
        class transient_post_processing(TUIMethod):
            """
            Enter transient postprocessing menu.
            """
        class switch_to_primary_volume(TUIMethod):
            """
            Switch to primary volume.
            """
        class set_window_by_name(TUIMethod):
            """
            Sets the specified graphics window as active. The graphics windows specified using this command are "reserved" windows, that is, residual monitors, report plots, and animation definitions. The name will match the name you provided when creating the object (report plots and animation definitions).
            """
        class close_window(TUIMethod):
            """
            Close a "user" graphics window. User windows are specified by number (1-50), with the associated number corresponding to the order, left-to-right, that the windows were created in.
            """
        class grid_outline(TUIMethod):
            """
            Display the mesh boundaries.
            """
        class mesh_partition_boundary(TUIMethod):
            """
            Displays mesh partition boundaries.
            """
        class profile(TUIMethod):
            """
            Displays profiles of a flow variable.
            """
        class surface_cells(TUIMethod):
            """
            Draws the cells on the specified surfaces. You can include a wildcard (\\*) within the surface names.
            """
        class set_list_tree_separator(TUIMethod):
            """
            Set the separator character for list tree.
            """
        class velocity_vector(TUIMethod):
            """
            Prompts for a scalar field by which to color the vectors, the minimum and maximum values, and the scale factor, and then draws the velocity vectors.
            """
        class close_window_by_name(TUIMethod):
            """
            Close a reserved graphics window (windows used for residuals, report plots, and animation definitions).
            """
        class grid(TUIMethod):
            """
            Display the mesh.
            """
        class set_window(TUIMethod):
            """
            Sets a "user" graphics window to be the active window. User windows are specified by number (1-50), with the associated number corresponding to the order, left-to-right, that the windows were created in.
            """
        class clear_annotations(TUIMethod):
            """
            Removes all annotations and attachment lines from the active graphics window.
            """
        class graphics_window_layout(TUIMethod):
            """
            Arranges the graphics window layout.
            """
        class contour(TUIMethod):
            """
            Prompts for a scalar field and minimum and maximum values, and then displays a contour plot.
            """
        class vector(TUIMethod):
            """
            Displays vectors of a space vector variable.
            """
        class save_picture(TUIMethod):
            """
            Generate a "hardcopy" of the active window.
            """
        class re_render(TUIMethod):
            """
            Re-renders the last contour, profile, or vector plot with updated surfaces, meshed, lights, colormap, rendering options, and so on, without recalculating the contour data.
            """
        class mesh_outline(TUIMethod):
            """
            Displays the mesh boundaries.
            """
        class re_scale(TUIMethod):
            """
            Re-renders the last contour, profile, or vector plot with updated scale, surfaces, meshes, lights, colormap, rendering options, and so on, but without recalculating the field data.
            """

        class raytracer(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.background = self.__class__.background(service, version, mode, path + ["background"])
                self.rendering = self.__class__.rendering(service, version, mode, path + ["rendering"])
                self.display_live_preview = self.__class__.display_live_preview(service, version, mode, path + ["display_live_preview"])
                super().__init__(service, version, mode, path)
            class display_live_preview(TUIMethod):
                """
                .
                """

            class background(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.env_light_upvec = self.__class__.env_light_upvec(service, version, mode, path + ["env_light_upvec"])
                    self.view_zoom = self.__class__.view_zoom(service, version, mode, path + ["view_zoom"])
                    self.env_intensity = self.__class__.env_intensity(service, version, mode, path + ["env_intensity"])
                    self.horizontal = self.__class__.horizontal(service, version, mode, path + ["horizontal"])
                    self.env_color = self.__class__.env_color(service, version, mode, path + ["env_color"])
                    self.backplate_image = self.__class__.backplate_image(service, version, mode, path + ["backplate_image"])
                    self.spin = self.__class__.spin(service, version, mode, path + ["spin"])
                    self.hide_environment_keep_effects = self.__class__.hide_environment_keep_effects(service, version, mode, path + ["hide_environment_keep_effects"])
                    self.show_backplate = self.__class__.show_backplate(service, version, mode, path + ["show_backplate"])
                    self.environment_image = self.__class__.environment_image(service, version, mode, path + ["environment_image"])
                    self.vertical = self.__class__.vertical(service, version, mode, path + ["vertical"])
                    self.env_light_dirvec = self.__class__.env_light_dirvec(service, version, mode, path + ["env_light_dirvec"])
                    self.backplate_color = self.__class__.backplate_color(service, version, mode, path + ["backplate_color"])
                    super().__init__(service, version, mode, path)
                class env_light_upvec(TUIMethod):
                    """
                    .
                    """
                class view_zoom(TUIMethod):
                    """
                    .
                    """
                class env_intensity(TUIMethod):
                    """
                    .
                    """
                class horizontal(TUIMethod):
                    """
                    .
                    """
                class env_color(TUIMethod):
                    """
                    .
                    """
                class backplate_image(TUIMethod):
                    """
                    .
                    """
                class spin(TUIMethod):
                    """
                    .
                    """
                class hide_environment_keep_effects(TUIMethod):
                    """
                    .
                    """
                class show_backplate(TUIMethod):
                    """
                    .
                    """
                class environment_image(TUIMethod):
                    """
                    .
                    """
                class vertical(TUIMethod):
                    """
                    .
                    """
                class env_light_dirvec(TUIMethod):
                    """
                    .
                    """
                class backplate_color(TUIMethod):
                    """
                    .
                    """

            class rendering(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.denoiser = self.__class__.denoiser(service, version, mode, path + ["denoiser"])
                    self.thread_count = self.__class__.thread_count(service, version, mode, path + ["thread_count"])
                    self.quality = self.__class__.quality(service, version, mode, path + ["quality"])
                    self.max_rendering_timeout = self.__class__.max_rendering_timeout(service, version, mode, path + ["max_rendering_timeout"])
                    super().__init__(service, version, mode, path)
                class denoiser(TUIMethod):
                    """
                    .
                    """
                class thread_count(TUIMethod):
                    """
                    .
                    """
                class quality(TUIMethod):
                    """
                    .
                    """
                class max_rendering_timeout(TUIMethod):
                    """
                    .
                    """

        class path_lines(TUIMenu):
            """
            Enters the pathlines menu.
            """
            def __init__(self, service, version, mode, path):
                self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
                self.write_to_files = self.__class__.write_to_files(service, version, mode, path + ["write_to_files"])
                self.plot_write_xy_plot = self.__class__.plot_write_xy_plot(service, version, mode, path + ["plot_write_xy_plot"])
                super().__init__(service, version, mode, path)
            class path_lines(TUIMethod):
                """
                Displays pathlines from a surface.
                """
            class write_to_files(TUIMethod):
                """
                Writes pathlines to a file.
                """
            class plot_write_xy_plot(TUIMethod):
                """
                Plots or writes an XY plot of pathlines.
                """

        class update_scene(TUIMenu):
            """
            Enter the scene options menu.
            """
            def __init__(self, service, version, mode, path):
                self.pathline = self.__class__.pathline(service, version, mode, path + ["pathline"])
                self.iso_sweep = self.__class__.iso_sweep(service, version, mode, path + ["iso_sweep"])
                self.transform = self.__class__.transform(service, version, mode, path + ["transform"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.draw_frame = self.__class__.draw_frame(service, version, mode, path + ["draw_frame"])
                self.time = self.__class__.time(service, version, mode, path + ["time"])
                self.set_frame = self.__class__.set_frame(service, version, mode, path + ["set_frame"])
                self.overlays = self.__class__.overlays(service, version, mode, path + ["overlays"])
                self.select_geometry = self.__class__.select_geometry(service, version, mode, path + ["select_geometry"])
                super().__init__(service, version, mode, path)
            class pathline(TUIMethod):
                """
                Change pathline attributes.
                """
            class iso_sweep(TUIMethod):
                """
                Change iso-sweep values.
                """
            class transform(TUIMethod):
                """
                Apply transformation matrix on selected geometries.
                """
            class delete(TUIMethod):
                """
                Delete selected geometries.
                """
            class display(TUIMethod):
                """
                Display selected geometries.
                """
            class draw_frame(TUIMethod):
                """
                Enable/disable drawing of the bounding frame.
                """
            class time(TUIMethod):
                """
                Change time-step value.
                """
            class set_frame(TUIMethod):
                """
                Change frame options.
                """
            class overlays(TUIMethod):
                """
                Enable/disable the overlays option.
                """
            class select_geometry(TUIMethod):
                """
                Select geometry to be updated.
                """

        class define(TUIMenu):
            """
            Enter Display define menu.
            """
            def __init__(self, service, version, mode, path):
                self.material = self.__class__.material(service, version, mode, path + ["material"])
                super().__init__(service, version, mode, path)

            class material(TUIMenu):
                """
                Add, Edit, Remove materials in case file.
                """
                def __init__(self, service, version, mode, path):
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.new = self.__class__.new(service, version, mode, path + ["new"])
                    super().__init__(service, version, mode, path)
                class delete(TUIMethod):
                    """
                    Remove  material.
                    """
                class edit(TUIMethod):
                    """
                    Edit material.
                    """
                class copy(TUIMethod):
                    """
                    Copy to new material.
                    """
                class new(TUIMethod):
                    """
                    Create new material.
                    """

        class pdf_data(TUIMenu):
            """
            Enters the PDF data menu.
            """
            def __init__(self, service, version, mode, path):
                self.draw_number_box = self.__class__.draw_number_box(service, version, mode, path + ["draw_number_box"])
                self.plot_1d_slice = self.__class__.plot_1d_slice(service, version, mode, path + ["plot_1d_slice"])
                self.carpet_plot = self.__class__.carpet_plot(service, version, mode, path + ["carpet_plot"])
                self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                super().__init__(service, version, mode, path)
            class draw_number_box(TUIMethod):
                """
                Enables/disables the display of the numbers box.
                """
            class plot_1d_slice(TUIMethod):
                """
                Enables/disables a plot of the 1D-slice.
                """
            class carpet_plot(TUIMethod):
                """
                Enables/disables the display of a carpet plot of a property.
                """
            class write_to_file(TUIMethod):
                """
                Enables/disables writing the 1D-slice to file instead of plot.
                """

        class views(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.rendering_options = self.__class__.rendering_options(service, version, mode, path + ["rendering_options"])
                self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
                self.camera = self.__class__.camera(service, version, mode, path + ["camera"])
                self.write_views = self.__class__.write_views(service, version, mode, path + ["write_views"])
                self.next_view = self.__class__.next_view(service, version, mode, path + ["next_view"])
                self.read_views = self.__class__.read_views(service, version, mode, path + ["read_views"])
                self.list_views = self.__class__.list_views(service, version, mode, path + ["list_views"])
                self.save_view = self.__class__.save_view(service, version, mode, path + ["save_view"])
                self.last_view = self.__class__.last_view(service, version, mode, path + ["last_view"])
                self.restore_view = self.__class__.restore_view(service, version, mode, path + ["restore_view"])
                self.delete_view = self.__class__.delete_view(service, version, mode, path + ["delete_view"])
                self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                self.default_view = self.__class__.default_view(service, version, mode, path + ["default_view"])
                super().__init__(service, version, mode, path)
            class write_views(TUIMethod):
                """
                Writes views to an external view file.
                """
            class next_view(TUIMethod):
                """
                .
                """
            class read_views(TUIMethod):
                """
                Reads views from an external view file.
                """
            class list_views(TUIMethod):
                """
                Lists all predefined and saved views.
                """
            class save_view(TUIMethod):
                """
                Saves the currently displayed view into the list of stored views.
                """
            class last_view(TUIMethod):
                """
                Returns to the camera position before the last manipulation.
                """
            class restore_view(TUIMethod):
                """
                Sets the current view to one of the stored views.
                """
            class delete_view(TUIMethod):
                """
                Deletes a particular view from the list of stored views.
                """
            class auto_scale(TUIMethod):
                """
                Scales and centers the current scene without changing its orientation.
                """
            class default_view(TUIMethod):
                """
                Resets the view to front and center.
                """

            class rendering_options(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                    self.set_rendering_options = self.__class__.set_rendering_options(service, version, mode, path + ["set_rendering_options"])
                    self.front_faces_transparent = self.__class__.front_faces_transparent(service, version, mode, path + ["front_faces_transparent"])
                    self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                    self.color_map_alignment = self.__class__.color_map_alignment(service, version, mode, path + ["color_map_alignment"])
                    self.device_info = self.__class__.device_info(service, version, mode, path + ["device_info"])
                    self.face_displacement = self.__class__.face_displacement(service, version, mode, path + ["face_displacement"])
                    self.hidden_surface_method = self.__class__.hidden_surface_method(service, version, mode, path + ["hidden_surface_method"])
                    self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                    self.auto_spin = self.__class__.auto_spin(service, version, mode, path + ["auto_spin"])
                    self.hidden_surfaces = self.__class__.hidden_surfaces(service, version, mode, path + ["hidden_surfaces"])
                    self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                    super().__init__(service, version, mode, path)
                class driver(TUIMethod):
                    """
                    .
                    """
                class set_rendering_options(TUIMethod):
                    """
                    .
                    """
                class front_faces_transparent(TUIMethod):
                    """
                    .
                    """
                class double_buffering(TUIMethod):
                    """
                    .
                    """
                class color_map_alignment(TUIMethod):
                    """
                    .
                    """
                class device_info(TUIMethod):
                    """
                    .
                    """
                class face_displacement(TUIMethod):
                    """
                    .
                    """
                class hidden_surface_method(TUIMethod):
                    """
                    .
                    """
                class show_colormap(TUIMethod):
                    """
                    .
                    """
                class auto_spin(TUIMethod):
                    """
                    .
                    """
                class hidden_surfaces(TUIMethod):
                    """
                    .
                    """
                class animation_option(TUIMethod):
                    """
                    .
                    """

            class display_states(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                    self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                    self.read = self.__class__.read(service, version, mode, path + ["read"])
                    self.write = self.__class__.write(service, version, mode, path + ["write"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                    self.new = self.__class__.new(service, version, mode, path + ["new"])
                    self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                    self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                    self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                    self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                    self.restore_state = self.__class__.restore_state(service, version, mode, path + ["restore_state"])
                    super().__init__(service, version, mode, path)
                class use_active(TUIMethod):
                    """
                    .
                    """
                class delete(TUIMethod):
                    """
                    .
                    """
                class read(TUIMethod):
                    """
                    .
                    """
                class write(TUIMethod):
                    """
                    .
                    """
                class list(TUIMethod):
                    """
                    .
                    """
                class list_properties(TUIMethod):
                    """
                    .
                    """
                class new(TUIMethod):
                    """
                    Create a new display-states object.
                    """
                class make_a_copy(TUIMethod):
                    """
                    .
                    """
                class edit(TUIMethod):
                    """
                    Edit display-states object.
                    """
                class copy(TUIMethod):
                    """
                    .
                    """
                class rename(TUIMethod):
                    """
                    Rename display-states object.
                    """
                class restore_state(TUIMethod):
                    """
                    .
                    """

            class camera(TUIMenu):
                """
                Contains commands to set the camera options.
                """
                def __init__(self, service, version, mode, path):
                    self.zoom_camera = self.__class__.zoom_camera(service, version, mode, path + ["zoom_camera"])
                    self.position = self.__class__.position(service, version, mode, path + ["position"])
                    self.orbit_camera = self.__class__.orbit_camera(service, version, mode, path + ["orbit_camera"])
                    self.target = self.__class__.target(service, version, mode, path + ["target"])
                    self.projection = self.__class__.projection(service, version, mode, path + ["projection"])
                    self.field = self.__class__.field(service, version, mode, path + ["field"])
                    self.dolly_camera = self.__class__.dolly_camera(service, version, mode, path + ["dolly_camera"])
                    self.pan_camera = self.__class__.pan_camera(service, version, mode, path + ["pan_camera"])
                    self.roll_camera = self.__class__.roll_camera(service, version, mode, path + ["roll_camera"])
                    self.up_vector = self.__class__.up_vector(service, version, mode, path + ["up_vector"])
                    super().__init__(service, version, mode, path)
                class zoom_camera(TUIMethod):
                    """
                    Adjusts the camera’s field of view. This operation is similar to dollying the camera in or out of the scene. Dollying causes objects in front to move past you. Zooming changes the perspective effect in the scene (and can be disconcerting).
                    """
                class position(TUIMethod):
                    """
                    Sets the camera position.
                    """
                class orbit_camera(TUIMethod):
                    """
                    Enables you to move the camera around the target. Gives the effect of circling around the target.
                    """
                class target(TUIMethod):
                    """
                    Sets the point the camera will look at.
                    """
                class projection(TUIMethod):
                    """
                    Lets you switch between perspective and orthographic views.
                    """
                class field(TUIMethod):
                    """
                    Enables you to set the field of view (width and height) of the scene.
                    """
                class dolly_camera(TUIMethod):
                    """
                    Enables you to move the camera left, right, up, down, in, and out.
                    """
                class pan_camera(TUIMethod):
                    """
                    Gives you the effect of sweeping the camera across the scene. The camera remains at its position but its target changes.
                    """
                class roll_camera(TUIMethod):
                    """
                    Lets you adjust the camera up-vector.
                    """
                class up_vector(TUIMethod):
                    """
                    Sets the camera up-vector.
                    """

        class particle_tracks(TUIMenu):
            """
            Enters the particle tracks menu.
            """
            def __init__(self, service, version, mode, path):
                self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
                self.plot_write_xy_plot = self.__class__.plot_write_xy_plot(service, version, mode, path + ["plot_write_xy_plot"])
                super().__init__(service, version, mode, path)
            class particle_tracks(TUIMethod):
                """
                Calculates and displays particle tracks from defined injections.
                """
            class plot_write_xy_plot(TUIMethod):
                """
                Plots or writes an XY plot of particle tracks.
                """

        class view_sync(TUIMenu):
            """
            Synchronize window views.
            """
            def __init__(self, service, version, mode, path):
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.stop = self.__class__.stop(service, version, mode, path + ["stop"])
                self.remove = self.__class__.remove(service, version, mode, path + ["remove"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.add_all = self.__class__.add_all(service, version, mode, path + ["add_all"])
                self.remove_all = self.__class__.remove_all(service, version, mode, path + ["remove_all"])
                self.start = self.__class__.start(service, version, mode, path + ["start"])
                super().__init__(service, version, mode, path)
            class add(TUIMethod):
                """
                Add list of window ids for synchronization.
                """
            class stop(TUIMethod):
                """
                Stop view synchronization.
                """
            class remove(TUIMethod):
                """
                Remove list of window ids from synchronization.
                """
            class list(TUIMethod):
                """
                Print window ids of open windows.
                """
            class add_all(TUIMethod):
                """
                Synchronize all windows.
                """
            class remove_all(TUIMethod):
                """
                Unsynchronize all windows.
                """
            class start(TUIMethod):
                """
                Start view synchronization.
                """

        class display_states(TUIMenu):
            """
            Enter the display state manipulation menu.
            """
            def __init__(self, service, version, mode, path):
                self.write = self.__class__.write(service, version, mode, path + ["write"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.apply = self.__class__.apply(service, version, mode, path + ["apply"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.read = self.__class__.read(service, version, mode, path + ["read"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                super().__init__(service, version, mode, path)
            class write(TUIMethod):
                """
                Write display states to a file.
                """
            class delete(TUIMethod):
                """
                Delete a display state.
                """
            class create(TUIMethod):
                """
                Create a new display state.
                """
            class apply(TUIMethod):
                """
                Apply a display state to the active window.
                """
            class list(TUIMethod):
                """
                Print the names of the available display states to the console.
                """
            class read(TUIMethod):
                """
                Read display states from a file.
                """
            class edit(TUIMethod):
                """
                Edit a particular display state setting.
                """
            class copy(TUIMethod):
                """
                Create a new display state with settings copied from an existing display state.
                """
            class use_active(TUIMethod):
                """
                Update an existing display state's settings to match those of the active graphics window.
                """

        class flamelet_data(TUIMenu):
            """
            Displays flamelet data.
            """
            def __init__(self, service, version, mode, path):
                self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                self.draw_number_box = self.__class__.draw_number_box(service, version, mode, path + ["draw_number_box"])
                self.plot_1d_slice = self.__class__.plot_1d_slice(service, version, mode, path + ["plot_1d_slice"])
                self.carpet_plot = self.__class__.carpet_plot(service, version, mode, path + ["carpet_plot"])
                super().__init__(service, version, mode, path)
            class write_to_file(TUIMethod):
                """
                Enables/disables writing the 1D-slice to file instead of plot.
                """
            class draw_number_box(TUIMethod):
                """
                Enables/disables display of the numbers box.
                """
            class plot_1d_slice(TUIMethod):
                """
                Enables/disables plot of the 1D-slice.
                """
            class carpet_plot(TUIMethod):
                """
                Enables/disables display of carpet plot of a property.
                """

        class surface(TUIMenu):
            """
            Enters the data surface-manipulation menu. For a description of the items in this menu, see surface/.
            """
            def __init__(self, service, version, mode, path):
                self.post_processing_volume = self.__class__.post_processing_volume(service, version, mode, path + ["post_processing_volume"])
                self.query = self.__class__.query(service, version, mode, path + ["query"])
                self.plane = self.__class__.plane(service, version, mode, path + ["plane"])
                self.plane_view_plane_align = self.__class__.plane_view_plane_align(service, version, mode, path + ["plane_view_plane_align"])
                self.ungroup_surface = self.__class__.ungroup_surface(service, version, mode, path + ["ungroup_surface"])
                self.transform_surface = self.__class__.transform_surface(service, version, mode, path + ["transform_surface"])
                self.quadric_slice = self.__class__.quadric_slice(service, version, mode, path + ["quadric_slice"])
                self.multiple_iso_surfaces = self.__class__.multiple_iso_surfaces(service, version, mode, path + ["multiple_iso_surfaces"])
                self.rendering_priority = self.__class__.rendering_priority(service, version, mode, path + ["rendering_priority"])
                self.plane_surf_aligned = self.__class__.plane_surf_aligned(service, version, mode, path + ["plane_surf_aligned"])
                self.point_array = self.__class__.point_array(service, version, mode, path + ["point_array"])
                self.plane_bounded = self.__class__.plane_bounded(service, version, mode, path + ["plane_bounded"])
                self.point_surface = self.__class__.point_surface(service, version, mode, path + ["point_surface"])
                self.group_surfaces = self.__class__.group_surfaces(service, version, mode, path + ["group_surfaces"])
                self.structural_point_surface = self.__class__.structural_point_surface(service, version, mode, path + ["structural_point_surface"])
                self.ellipsoid_slice = self.__class__.ellipsoid_slice(service, version, mode, path + ["ellipsoid_slice"])
                self.closest_point_search = self.__class__.closest_point_search(service, version, mode, path + ["closest_point_search"])
                self.reset_zone_surfaces = self.__class__.reset_zone_surfaces(service, version, mode, path + ["reset_zone_surfaces"])
                self.iso_surface = self.__class__.iso_surface(service, version, mode, path + ["iso_surface"])
                self.surface_cells = self.__class__.surface_cells(service, version, mode, path + ["surface_cells"])
                self.mouse_line = self.__class__.mouse_line(service, version, mode, path + ["mouse_line"])
                self.plane_slice = self.__class__.plane_slice(service, version, mode, path + ["plane_slice"])
                self.iso_clip = self.__class__.iso_clip(service, version, mode, path + ["iso_clip"])
                self.partition_surface = self.__class__.partition_surface(service, version, mode, path + ["partition_surface"])
                self.imprint_surface = self.__class__.imprint_surface(service, version, mode, path + ["imprint_surface"])
                self.sphere_slice = self.__class__.sphere_slice(service, version, mode, path + ["sphere_slice"])
                self.plane_point_n_normal = self.__class__.plane_point_n_normal(service, version, mode, path + ["plane_point_n_normal"])
                self.line_surface = self.__class__.line_surface(service, version, mode, path + ["line_surface"])
                self.mouse_plane = self.__class__.mouse_plane(service, version, mode, path + ["mouse_plane"])
                self.multiple_plane_surfaces = self.__class__.multiple_plane_surfaces(service, version, mode, path + ["multiple_plane_surfaces"])
                self.create_imprint_surface = self.__class__.create_imprint_surface(service, version, mode, path + ["create_imprint_surface"])
                self.circle_slice = self.__class__.circle_slice(service, version, mode, path + ["circle_slice"])
                self.delete_surface = self.__class__.delete_surface(service, version, mode, path + ["delete_surface"])
                self.iso_clip_multiple = self.__class__.iso_clip_multiple(service, version, mode, path + ["iso_clip_multiple"])
                self.rename_surface = self.__class__.rename_surface(service, version, mode, path + ["rename_surface"])
                self.edit_surface = self.__class__.edit_surface(service, version, mode, path + ["edit_surface"])
                self.multiple_zone_surfaces = self.__class__.multiple_zone_surfaces(service, version, mode, path + ["multiple_zone_surfaces"])
                self.rake_surface = self.__class__.rake_surface(service, version, mode, path + ["rake_surface"])
                self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
                self.mouse_rake = self.__class__.mouse_rake(service, version, mode, path + ["mouse_rake"])
                self.cone_slice = self.__class__.cone_slice(service, version, mode, path + ["cone_slice"])
                self.zone_surface = self.__class__.zone_surface(service, version, mode, path + ["zone_surface"])
                self.expression_volume = self.__class__.expression_volume(service, version, mode, path + ["expression_volume"])
                self.plane_surface = self.__class__.plane_surface(service, version, mode, path + ["plane_surface"])
                self.line_slice = self.__class__.line_slice(service, version, mode, path + ["line_slice"])
                super().__init__(service, version, mode, path)
            class plane(TUIMethod):
                """
                Create a plane given 3 points bounded by the domain.
                """
            class plane_view_plane_align(TUIMethod):
                """
                Create a plane aligned to a view-plane.
                """
            class ungroup_surface(TUIMethod):
                """
                Ungroup the surface(if grouped).
                """
            class transform_surface(TUIMethod):
                """
                Transform surface.
                """
            class quadric_slice(TUIMethod):
                """
                Extract a quadric slice.
                """
            class multiple_iso_surfaces(TUIMethod):
                """
                Create multiple iso-surfaces from the data field at specified spacing.
                """
            class rendering_priority(TUIMethod):
                """
                Define Priority for given surface id.
                """
            class plane_surf_aligned(TUIMethod):
                """
                Create a plane aligned to a surface.
                """
            class point_array(TUIMethod):
                """
                Extract a rectangular array of data points.
                """
            class plane_bounded(TUIMethod):
                """
                Create a bounded surface.
                """
            class point_surface(TUIMethod):
                """
                Define a "point" surface by specifying the coordinates.
                """
            class group_surfaces(TUIMethod):
                """
                Group a set of surfaces.
                """
            class structural_point_surface(TUIMethod):
                """
                Define a "structural point" surface by specifying the coordinates.
                """
            class ellipsoid_slice(TUIMethod):
                """
                Extract a ellipsoid slice.
                """
            class closest_point_search(TUIMethod):
                """
                Enable the point surface algorithm to look for the nearest point instead of reporting a creation failure.
                """
            class reset_zone_surfaces(TUIMethod):
                """
                .
                """
            class iso_surface(TUIMethod):
                """
                Extract an iso-surface (surface, curve, or point) from the curent data field.
                """
            class surface_cells(TUIMethod):
                """
                Extract all cells intersected by a data surface.
                """
            class mouse_line(TUIMethod):
                """
                Define a line surface using the mouse to select two points.
                """
            class plane_slice(TUIMethod):
                """
                Extract a planar slice.
                """
            class iso_clip(TUIMethod):
                """
                Clip a data surface (surface, curve, or point) between two iso-values.
                """
            class partition_surface(TUIMethod):
                """
                Define a data surface on mesh faces on the partition boundary.
                """
            class imprint_surface(TUIMethod):
                """
                Imprint surface.
                """
            class sphere_slice(TUIMethod):
                """
                Extract a spherical slice.
                """
            class plane_point_n_normal(TUIMethod):
                """
                Create a plane from a point and normal.
                """
            class line_surface(TUIMethod):
                """
                Define a "line" surface by specifying the two endpoint coordinates.
                """
            class mouse_plane(TUIMethod):
                """
                Define a plane surface using the mouse to select three points.
                """
            class multiple_plane_surfaces(TUIMethod):
                """
                Create multiple plane surfaces at specified spacing.
                """
            class create_imprint_surface(TUIMethod):
                """
                Imprint surface.
                """
            class circle_slice(TUIMethod):
                """
                Extract a circular slice.
                """
            class delete_surface(TUIMethod):
                """
                Remove a defined data surface.
                """
            class iso_clip_multiple(TUIMethod):
                """
                Clip a data surface (surface, curve, or point) between two iso-values.
                """
            class rename_surface(TUIMethod):
                """
                Rename a defined data surface.
                """
            class edit_surface(TUIMethod):
                """
                Edit a defined data surface.
                """
            class multiple_zone_surfaces(TUIMethod):
                """
                Create multiple data surfaces at a time.
                """
            class rake_surface(TUIMethod):
                """
                Define a "rake" surface by specifying the end points.
                """
            class list_surfaces(TUIMethod):
                """
                List the number of facets in the defined surfaces.
                """
            class mouse_rake(TUIMethod):
                """
                Define a "rake" surface using the mouse to select the end points.
                """
            class cone_slice(TUIMethod):
                """
                Extract a cone slice.
                """
            class zone_surface(TUIMethod):
                """
                Define a data surface on a mesh zone.
                """
            class expression_volume(TUIMethod):
                """
                Create volume with boolean expression.
                """
            class plane_surface(TUIMethod):
                """
                Create a plane from a coordinate plane, point and normal, or three points.
                """
            class line_slice(TUIMethod):
                """
                Extract a linear slice.
                """

            class post_processing_volume(TUIMenu):
                """
                Enter post-processing volume menu.
                """
                def __init__(self, service, version, mode, path):
                    self.create_from_file = self.__class__.create_from_file(service, version, mode, path + ["create_from_file"])
                    self.create_octree = self.__class__.create_octree(service, version, mode, path + ["create_octree"])
                    super().__init__(service, version, mode, path)
                class create_from_file(TUIMethod):
                    """
                    Read post-processing mesh from file.
                    """
                class create_octree(TUIMethod):
                    """
                    Create post-processing octree mesh based on current case.
                    """

            class query(TUIMenu):
                """
                Enter surface query menu.
                """
                def __init__(self, service, version, mode, path):
                    self.named_surface_list = self.__class__.named_surface_list(service, version, mode, path + ["named_surface_list"])
                    self.list_surfaces = self.__class__.list_surfaces(service, version, mode, path + ["list_surfaces"])
                    self.list_queries = self.__class__.list_queries(service, version, mode, path + ["list_queries"])
                    self.delete_query = self.__class__.delete_query(service, version, mode, path + ["delete_query"])
                    self.list_named_selection = self.__class__.list_named_selection(service, version, mode, path + ["list_named_selection"])
                    super().__init__(service, version, mode, path)
                class named_surface_list(TUIMethod):
                    """
                    Create named list of surfaces.
                    """
                class list_surfaces(TUIMethod):
                    """
                    List surfaces.
                    """
                class list_queries(TUIMethod):
                    """
                    List all saved queries.
                    """
                class delete_query(TUIMethod):
                    """
                    Delete saved query.
                    """
                class list_named_selection(TUIMethod):
                    """
                    List named selection of surface type.
                    """

        class objects(TUIMenu):
            """
            Enter to add, edit, delete or display graphics objects.
            """
            def __init__(self, service, version, mode, path):
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.display = self.__class__.display(service, version, mode, path + ["display"])
                self.create = self.__class__.create(service, version, mode, path + ["create"])
                self.add_to_graphics = self.__class__.add_to_graphics(service, version, mode, path + ["add_to_graphics"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                super().__init__(service, version, mode, path)
            class copy(TUIMethod):
                """
                Copy graphics object.
                """
            class display(TUIMethod):
                """
                Display graphics object.
                """
            class create(TUIMethod):
                """
                Create new graphics object.
                """
            class add_to_graphics(TUIMethod):
                """
                Add graphics object to existing graphics.
                """
            class delete(TUIMethod):
                """
                Delete graphics object.
                """
            class edit(TUIMethod):
                """
                Edit graphics object.
                """

        class set(TUIMenu):
            """
            Enter the set menu to set display parameters.
            """
            def __init__(self, service, version, mode, path):
                self.lights = self.__class__.lights(service, version, mode, path + ["lights"])
                self.particle_tracks = self.__class__.particle_tracks(service, version, mode, path + ["particle_tracks"])
                self.rendering_options = self.__class__.rendering_options(service, version, mode, path + ["rendering_options"])
                self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                self.colors = self.__class__.colors(service, version, mode, path + ["colors"])
                self.path_lines = self.__class__.path_lines(service, version, mode, path + ["path_lines"])
                self.velocity_vectors = self.__class__.velocity_vectors(service, version, mode, path + ["velocity_vectors"])
                self.titles = self.__class__.titles(service, version, mode, path + ["titles"])
                self.picture = self.__class__.picture(service, version, mode, path + ["picture"])
                self.contours = self.__class__.contours(service, version, mode, path + ["contours"])
                self.element_shrink = self.__class__.element_shrink(service, version, mode, path + ["element_shrink"])
                self.mesh_zones = self.__class__.mesh_zones(service, version, mode, path + ["mesh_zones"])
                self.mesh_level = self.__class__.mesh_level(service, version, mode, path + ["mesh_level"])
                self.proximity_zones = self.__class__.proximity_zones(service, version, mode, path + ["proximity_zones"])
                self.filled_grid = self.__class__.filled_grid(service, version, mode, path + ["filled_grid"])
                self.nodewt_based_interp = self.__class__.nodewt_based_interp(service, version, mode, path + ["nodewt_based_interp"])
                self.mesh_display_configuration = self.__class__.mesh_display_configuration(service, version, mode, path + ["mesh_display_configuration"])
                self.filled_mesh = self.__class__.filled_mesh(service, version, mode, path + ["filled_mesh"])
                self.mirror_zones = self.__class__.mirror_zones(service, version, mode, path + ["mirror_zones"])
                self.grid_level = self.__class__.grid_level(service, version, mode, path + ["grid_level"])
                self.periodic_instancing = self.__class__.periodic_instancing(service, version, mode, path + ["periodic_instancing"])
                self.zero_angle_dir = self.__class__.zero_angle_dir(service, version, mode, path + ["zero_angle_dir"])
                self.grid_zones = self.__class__.grid_zones(service, version, mode, path + ["grid_zones"])
                self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                self.grid_surfaces = self.__class__.grid_surfaces(service, version, mode, path + ["grid_surfaces"])
                self.overlays = self.__class__.overlays(service, version, mode, path + ["overlays"])
                self.n_stream_func = self.__class__.n_stream_func(service, version, mode, path + ["n_stream_func"])
                self.mesh_surfaces = self.__class__.mesh_surfaces(service, version, mode, path + ["mesh_surfaces"])
                self.reset_graphics = self.__class__.reset_graphics(service, version, mode, path + ["reset_graphics"])
                self.line_weight = self.__class__.line_weight(service, version, mode, path + ["line_weight"])
                self.marker_symbol = self.__class__.marker_symbol(service, version, mode, path + ["marker_symbol"])
                self.periodic_repeats = self.__class__.periodic_repeats(service, version, mode, path + ["periodic_repeats"])
                self.grid_partitions = self.__class__.grid_partitions(service, version, mode, path + ["grid_partitions"])
                self.color_map = self.__class__.color_map(service, version, mode, path + ["color_map"])
                self.duplicate_node_display = self.__class__.duplicate_node_display(service, version, mode, path + ["duplicate_node_display"])
                self.mesh_partitions = self.__class__.mesh_partitions(service, version, mode, path + ["mesh_partitions"])
                self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                super().__init__(service, version, mode, path)
            class element_shrink(TUIMethod):
                """
                Sets shrinkage of both faces and cells. A value of zero indicates no shrinkage, while a value of one will shrink each face or cell to a point.
                """
            class mesh_zones(TUIMethod):
                """
                Sets zone IDs to be drawn as meshes.
                """
            class mesh_level(TUIMethod):
                """
                Sets coarse mesh level to be drawn.
                """
            class proximity_zones(TUIMethod):
                """
                Sets zones to be used for boundary cell distance and boundary proximity.
                """
            class filled_grid(TUIMethod):
                """
                Enable/disable the filled mesh option.
                """
            class nodewt_based_interp(TUIMethod):
                """
                Disables/enables the use of node weights for node-based gradients in postprocessing.
                """
            class mesh_display_configuration(TUIMethod):
                """
                Changes the default mesh display. If set tomeshing, it draws the mesh on edges and faces of the outline surfaces, colored by their zone ID with lighting enabled. If set tosolution, it draws the mesh on edges and faces of the outline surfaces, colored by their zone type with lighting enabled. If set to post-processing, it draws the object outline with lighting disabled. If set toclassic, it draws the mesh on all edges of the outline surfaces.  This only applies for 3D cases.
                """
            class filled_mesh(TUIMethod):
                """
                Determines whether the meshes are drawn as wireframe or solid.
                """
            class mirror_zones(TUIMethod):
                """
                Sets the zones about which the domain is mirrored (symmetry planes).
                """
            class grid_level(TUIMethod):
                """
                Set coarse mesh level to be drawn.
                """
            class periodic_instancing(TUIMethod):
                """
                Sets the number of periodic repetitions.
                """
            class zero_angle_dir(TUIMethod):
                """
                Sets the vector having zero angular coordinates.
                """
            class grid_zones(TUIMethod):
                """
                Set zone IDs to be drawn as mesh.
                """
            class render_mesh(TUIMethod):
                """
                Enables/disables rendering the mesh on top of contours, vectors, and so on.
                """
            class grid_surfaces(TUIMethod):
                """
                Set surface IDs to be drawn as mesh.
                """
            class overlays(TUIMethod):
                """
                Enable/disable overlays.
                """
            class n_stream_func(TUIMethod):
                """
                Sets number of iterations used in computing stream function.
                """
            class mesh_surfaces(TUIMethod):
                """
                Sets surface IDs to be drawn as meshes. You can include a wildcard  (\\*) within the surface names.
                """
            class reset_graphics(TUIMethod):
                """
                Reset the graphics system.
                """
            class line_weight(TUIMethod):
                """
                Set the line-weight factor for the window.
                """
            class marker_symbol(TUIMethod):
                """
                Sets the type of markers used to represent points.
                """
            class periodic_repeats(TUIMethod):
                """
                Sets the number of periodic repetitions.
                """
            class grid_partitions(TUIMethod):
                """
                Enable/disable drawing of the mesh partition boundaries.
                """
            class color_map(TUIMethod):
                """
                Enters the color map menu, which contains names of predefined and user-defined (in the Colormap Editor panel) colormaps that can be selected. It prompts you for the name of the colormap to be used.
                """
            class duplicate_node_display(TUIMethod):
                """
                Set flag to remove duplicate nodes in mesh display.
                """
            class mesh_partitions(TUIMethod):
                """
                Enables/disables option to draw mesh partition boundaries.
                """
            class marker_size(TUIMethod):
                """
                Sets the size of markers used to represent points.
                """

            class lights(TUIMenu):
                """
                Enter the lights menu.
                """
                def __init__(self, service, version, mode, path):
                    self.set_ambient_color = self.__class__.set_ambient_color(service, version, mode, path + ["set_ambient_color"])
                    self.lighting_interpolation = self.__class__.lighting_interpolation(service, version, mode, path + ["lighting_interpolation"])
                    self.lights_on = self.__class__.lights_on(service, version, mode, path + ["lights_on"])
                    self.headlight_on = self.__class__.headlight_on(service, version, mode, path + ["headlight_on"])
                    self.set_light = self.__class__.set_light(service, version, mode, path + ["set_light"])
                    super().__init__(service, version, mode, path)
                class set_ambient_color(TUIMethod):
                    """
                    Set the ambient light color for the scene.
                    """
                class lighting_interpolation(TUIMethod):
                    """
                    Set lighting interpolation method.
                    """
                class lights_on(TUIMethod):
                    """
                    Turn all active lighting on/off.
                    """
                class headlight_on(TUIMethod):
                    """
                    Turn the light that moves with the camera on or off.
                    """
                class set_light(TUIMethod):
                    """
                    Add or modify a directional, colored light.
                    """

            class particle_tracks(TUIMenu):
                """
                Enters the particle-tracks menu to set parameters for display of particle tracks.
                """
                def __init__(self, service, version, mode, path):
                    self.vector_settings = self.__class__.vector_settings(service, version, mode, path + ["vector_settings"])
                    self.filter_settings = self.__class__.filter_settings(service, version, mode, path + ["filter_settings"])
                    self.sphere_settings = self.__class__.sphere_settings(service, version, mode, path + ["sphere_settings"])
                    self.display = self.__class__.display(service, version, mode, path + ["display"])
                    self.arrow_space = self.__class__.arrow_space(service, version, mode, path + ["arrow_space"])
                    self.line_width = self.__class__.line_width(service, version, mode, path + ["line_width"])
                    self.report_default_variables = self.__class__.report_default_variables(service, version, mode, path + ["report_default_variables"])
                    self.particle_skip = self.__class__.particle_skip(service, version, mode, path + ["particle_skip"])
                    self.twist_factor = self.__class__.twist_factor(service, version, mode, path + ["twist_factor"])
                    self.report_type = self.__class__.report_type(service, version, mode, path + ["report_type"])
                    self.report_variables = self.__class__.report_variables(service, version, mode, path + ["report_variables"])
                    self.report_to = self.__class__.report_to(service, version, mode, path + ["report_to"])
                    self.history_filename = self.__class__.history_filename(service, version, mode, path + ["history_filename"])
                    self.sphere_attrib = self.__class__.sphere_attrib(service, version, mode, path + ["sphere_attrib"])
                    self.arrow_scale = self.__class__.arrow_scale(service, version, mode, path + ["arrow_scale"])
                    self.track_single_particle_stream = self.__class__.track_single_particle_stream(service, version, mode, path + ["track_single_particle_stream"])
                    self.radius = self.__class__.radius(service, version, mode, path + ["radius"])
                    self.style = self.__class__.style(service, version, mode, path + ["style"])
                    self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                    self.coarsen_factor = self.__class__.coarsen_factor(service, version, mode, path + ["coarsen_factor"])
                    super().__init__(service, version, mode, path)
                class display(TUIMethod):
                    """
                    Determines whether particle tracks shall be displayed or only tracked.
                    """
                class arrow_space(TUIMethod):
                    """
                    Sets the spacing factor for arrows drawn on particle tracks.
                    """
                class line_width(TUIMethod):
                    """
                    Sets the width for particle track.
                    """
                class report_default_variables(TUIMethod):
                    """
                    Sets the report variables to default.
                    """
                class particle_skip(TUIMethod):
                    """
                    Specifies how many particle tracks should be displayed.
                    """
                class twist_factor(TUIMethod):
                    """
                    Sets the scale factor for twisting (ribbons only).
                    """
                class report_type(TUIMethod):
                    """
                    Sets the report type for particle tracks.
                    """
                class report_variables(TUIMethod):
                    """
                    Sets the report variables.
                    """
                class report_to(TUIMethod):
                    """
                    Specifies the destination for the report (console, file, none).
                    """
                class history_filename(TUIMethod):
                    """
                    Specifies the name of the particle history file.
                    """
                class sphere_attrib(TUIMethod):
                    """
                    Specifies the size and number of slices to be used in drawing spheres.
                    """
                class arrow_scale(TUIMethod):
                    """
                    Sets the scale factor for arrows drawn on particle tracks.
                    """
                class track_single_particle_stream(TUIMethod):
                    """
                    Specifies the stream ID to be tracked.
                    """
                class radius(TUIMethod):
                    """
                    Sets the radius for particle track (ribbon/cylinder only) cross-section.
                    """
                class style(TUIMethod):
                    """
                    Sets the display style for particle track (line/ribbon/cylinder/sphere).
                    """
                class marker_size(TUIMethod):
                    """
                    Sets the size of markers used to represent particle tracks.
                    """
                class coarsen_factor(TUIMethod):
                    """
                    Sets the coarsening factor for particle tracks.
                    """

                class vector_settings(TUIMenu):
                    """
                    Set vector specific input.
                    """
                    def __init__(self, service, version, mode, path):
                        self.color_variable = self.__class__.color_variable(service, version, mode, path + ["color_variable"])
                        self.constant_color = self.__class__.constant_color(service, version, mode, path + ["constant_color"])
                        self.vector_variable = self.__class__.vector_variable(service, version, mode, path + ["vector_variable"])
                        self.length_variable = self.__class__.length_variable(service, version, mode, path + ["length_variable"])
                        self.vector_length_variable = self.__class__.vector_length_variable(service, version, mode, path + ["vector_length_variable"])
                        self.length_to_head_ratio = self.__class__.length_to_head_ratio(service, version, mode, path + ["length_to_head_ratio"])
                        self.scale_factor = self.__class__.scale_factor(service, version, mode, path + ["scale_factor"])
                        self.style = self.__class__.style(service, version, mode, path + ["style"])
                        self.vector_length = self.__class__.vector_length(service, version, mode, path + ["vector_length"])
                        super().__init__(service, version, mode, path)
                    class color_variable(TUIMethod):
                        """
                        Specifies whether the vectors should be colored by variable specified in /display/particle-track/particle-track (if false use a constant color).
                        """
                    class constant_color(TUIMethod):
                        """
                        Specifies a constant color for the vectors.
                        """
                    class vector_variable(TUIMethod):
                        """
                        Selects a particle vector function to specify vector direction.
                        """
                    class length_variable(TUIMethod):
                        """
                        Specifies whether the displayed vectors have length varying with another variable.
                        """
                    class vector_length_variable(TUIMethod):
                        """
                        Selects a particle variable to specify the length of vectors.
                        """
                    class length_to_head_ratio(TUIMethod):
                        """
                        Specifies ratio of length to head for vectors and length to diameter for cylinders.
                        """
                    class scale_factor(TUIMethod):
                        """
                        Specifies a scale factor to enlarge/reduce the length of vectors.
                        """
                    class style(TUIMethod):
                        """
                        Enables and sets the display style for particle vectors (none/vector/centered-vector/centered-cylinder).
                        """
                    class vector_length(TUIMethod):
                        """
                        Specifies the length of constant vectors.
                        """

                class filter_settings(TUIMenu):
                    """
                    Set filter for particle display.
                    """
                    def __init__(self, service, version, mode, path):
                        self.enable_filtering = self.__class__.enable_filtering(service, version, mode, path + ["enable_filtering"])
                        self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                        self.inside = self.__class__.inside(service, version, mode, path + ["inside"])
                        self.filter_variable = self.__class__.filter_variable(service, version, mode, path + ["filter_variable"])
                        self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                        super().__init__(service, version, mode, path)
                    class enable_filtering(TUIMethod):
                        """
                        Specifies whether particle display is filtered.
                        """
                    class minimum(TUIMethod):
                        """
                        Specifies the lower bound for the filter variable.
                        """
                    class inside(TUIMethod):
                        """
                        Specifies whether filter variable must be inside min/max to be displayed (else outside min/max).
                        """
                    class filter_variable(TUIMethod):
                        """
                        Selects a variable used for filtering of particles.
                        """
                    class maximum(TUIMethod):
                        """
                        Specifies the upper bound for the filter variable.
                        """

                class sphere_settings(TUIMenu):
                    """
                    Provide sphere specific input.
                    """
                    def __init__(self, service, version, mode, path):
                        self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                        self.diameter = self.__class__.diameter(service, version, mode, path + ["diameter"])
                        self.scale_factor = self.__class__.scale_factor(service, version, mode, path + ["scale_factor"])
                        self.vary_diameter = self.__class__.vary_diameter(service, version, mode, path + ["vary_diameter"])
                        self.size_variable = self.__class__.size_variable(service, version, mode, path + ["size_variable"])
                        self.smooth_parameter = self.__class__.smooth_parameter(service, version, mode, path + ["smooth_parameter"])
                        self.maximum = self.__class__.maximum(service, version, mode, path + ["maximum"])
                        self.minimum = self.__class__.minimum(service, version, mode, path + ["minimum"])
                        super().__init__(service, version, mode, path)
                    class auto_range(TUIMethod):
                        """
                        Specifies whether displayed spheres should include auto range of variable to size spheres.
                        """
                    class diameter(TUIMethod):
                        """
                        Diameter of the spheres whenvary-diameter is disabled.
                        """
                    class scale_factor(TUIMethod):
                        """
                        Specifies a scale factor to enlarge/reduce the size of spheres.
                        """
                    class vary_diameter(TUIMethod):
                        """
                        Specifies whether the spheres can vary with another variable.
                        """
                    class size_variable(TUIMethod):
                        """
                        Selects a particle variable to size the spheres.
                        """
                    class smooth_parameter(TUIMethod):
                        """
                        Specifies number of slices to be used in drawing spheres.
                        """
                    class maximum(TUIMethod):
                        """
                        Sets the maximum value of the sphere to be displayed.
                        """
                    class minimum(TUIMethod):
                        """
                        Sets the minimum value of the sphere to be displayed.
                        """

            class rendering_options(TUIMenu):
                """
                Enter the rendering options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.front_faces_transparent = self.__class__.front_faces_transparent(service, version, mode, path + ["front_faces_transparent"])
                    self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                    self.set_rendering_options = self.__class__.set_rendering_options(service, version, mode, path + ["set_rendering_options"])
                    self.color_map_alignment = self.__class__.color_map_alignment(service, version, mode, path + ["color_map_alignment"])
                    self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                    self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                    self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                    self.device_info = self.__class__.device_info(service, version, mode, path + ["device_info"])
                    self.auto_spin = self.__class__.auto_spin(service, version, mode, path + ["auto_spin"])
                    self.surface_edge_visibility = self.__class__.surface_edge_visibility(service, version, mode, path + ["surface_edge_visibility"])
                    self.hidden_lines = self.__class__.hidden_lines(service, version, mode, path + ["hidden_lines"])
                    self.help_text_color = self.__class__.help_text_color(service, version, mode, path + ["help_text_color"])
                    self.hidden_surface_method = self.__class__.hidden_surface_method(service, version, mode, path + ["hidden_surface_method"])
                    self.hidden_line_method = self.__class__.hidden_line_method(service, version, mode, path + ["hidden_line_method"])
                    self.face_displacement = self.__class__.face_displacement(service, version, mode, path + ["face_displacement"])
                    self.hidden_surfaces = self.__class__.hidden_surfaces(service, version, mode, path + ["hidden_surfaces"])
                    super().__init__(service, version, mode, path)
                class front_faces_transparent(TUIMethod):
                    """
                    Make the front faces transparent.
                    """
                class show_colormap(TUIMethod):
                    """
                    Enable/Disable colormap.
                    """
                class set_rendering_options(TUIMethod):
                    """
                    Set the rendering options.
                    """
                class color_map_alignment(TUIMethod):
                    """
                    Set the color bar alignment.
                    """
                class driver(TUIMethod):
                    """
                    Change the current graphics driver.
                    """
                class double_buffering(TUIMethod):
                    """
                    Enable/disable double-buffering.
                    """
                class animation_option(TUIMethod):
                    """
                    Using Wireframe / All option during animation.
                    """
                class device_info(TUIMethod):
                    """
                    List information for the graphics device.
                    """
                class auto_spin(TUIMethod):
                    """
                    Enable/disable mouse view rotations to continue to spin the display after the button is released.
                    """
                class surface_edge_visibility(TUIMethod):
                    """
                    Set edge visibility flags for surfaces.
                    """
                class hidden_lines(TUIMethod):
                    """
                    Enable/disable hidden line removal.
                    """
                class help_text_color(TUIMethod):
                    """
                    Set the color of screen help text.
                    """
                class hidden_surface_method(TUIMethod):
                    """
                    Specify the method to perform hidden line and hidden surface rendering.
                    """
                class hidden_line_method(TUIMethod):
                    """
                    Specify the method to perform hidden line rendering.
                    """
                class face_displacement(TUIMethod):
                    """
                    Set face displacement value in Z-buffer units along the Camera Z-axis.
                    """
                class hidden_surfaces(TUIMethod):
                    """
                    Enable/disable hidden surface removal.
                    """

            class windows(TUIMenu):
                """
                .
                """
                def __init__(self, service, version, mode, path):
                    self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                    self.text = self.__class__.text(service, version, mode, path + ["text"])
                    self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                    self.xy = self.__class__.xy(service, version, mode, path + ["xy"])
                    self.main = self.__class__.main(service, version, mode, path + ["main"])
                    self.video = self.__class__.video(service, version, mode, path + ["video"])
                    self.logo_color = self.__class__.logo_color(service, version, mode, path + ["logo_color"])
                    self.close_window = self.__class__.close_window(service, version, mode, path + ["close_window"])
                    self.aspect_ratio = self.__class__.aspect_ratio(service, version, mode, path + ["aspect_ratio"])
                    self.logo = self.__class__.logo(service, version, mode, path + ["logo"])
                    self.set_window_by_name = self.__class__.set_window_by_name(service, version, mode, path + ["set_window_by_name"])
                    self.close_window_by_name = self.__class__.close_window_by_name(service, version, mode, path + ["close_window_by_name"])
                    self.set_window = self.__class__.set_window(service, version, mode, path + ["set_window"])
                    self.ruler = self.__class__.ruler(service, version, mode, path + ["ruler"])
                    self.open_window = self.__class__.open_window(service, version, mode, path + ["open_window"])
                    super().__init__(service, version, mode, path)
                class logo_color(TUIMethod):
                    """
                    .
                    """
                class close_window(TUIMethod):
                    """
                    .
                    """
                class aspect_ratio(TUIMethod):
                    """
                    Sets the aspect ratio of the active window.
                    """
                class logo(TUIMethod):
                    """
                    .
                    """
                class set_window_by_name(TUIMethod):
                    """
                    .
                    """
                class close_window_by_name(TUIMethod):
                    """
                    .
                    """
                class set_window(TUIMethod):
                    """
                    .
                    """
                class ruler(TUIMethod):
                    """
                    Turns the ruler on/off. Note that if you are running Fluent in 3D, then the view must be set toorthographic.
                    """
                class open_window(TUIMethod):
                    """
                    .
                    """

                class axes(TUIMenu):
                    """
                    Enters the axes window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        super().__init__(service, version, mode, path)
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the axes window.
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the axes window.
                        """
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the axes window.
                        """
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the axes window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the axes window.
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the axes window.
                        """
                    class clear(TUIMethod):
                        """
                        Sets the transparency of the axes window.
                        """

                class text(TUIMenu):
                    """
                    Enters the text window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.date = self.__class__.date(service, version, mode, path + ["date"])
                        self.company = self.__class__.company(service, version, mode, path + ["company"])
                        self.alignment = self.__class__.alignment(service, version, mode, path + ["alignment"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        self.application = self.__class__.application(service, version, mode, path + ["application"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        super().__init__(service, version, mode, path)
                    class date(TUIMethod):
                        """
                        Shows or hides the date in the picture.
                        """
                    class company(TUIMethod):
                        """
                        Shows or hides the company name in the picture.
                        """
                    class alignment(TUIMethod):
                        """
                        .
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the text window.
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the text window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the text window.
                        """
                    class clear(TUIMethod):
                        """
                        Enables/disables the transparency of the text window.
                        """
                    class application(TUIMethod):
                        """
                        Shows or hides the application name in the picture.
                        """
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the text window.
                        """
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the text window.
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the text window.
                        """

                class scale(TUIMenu):
                    """
                    Enters the color scale window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.font_size = self.__class__.font_size(service, version, mode, path + ["font_size"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.format = self.__class__.format(service, version, mode, path + ["format"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.margin = self.__class__.margin(service, version, mode, path + ["margin"])
                        self.clear = self.__class__.clear(service, version, mode, path + ["clear"])
                        super().__init__(service, version, mode, path)
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the color scale window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the color scale window.
                        """
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the color scale window.
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the color scale window.
                        """
                    class font_size(TUIMethod):
                        """
                        Sets the font size of the color scale window.
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the color scale window.
                        """
                    class format(TUIMethod):
                        """
                        Sets the number format of the color scale window (for example, percentage0.2e).
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the color scale window.
                        """
                    class margin(TUIMethod):
                        """
                        Sets the margin of the color scale window.
                        """
                    class clear(TUIMethod):
                        """
                        Sets the transparency of the color scale window.
                        """

                class xy(TUIMenu):
                    """
                    Enters the XY plot window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        super().__init__(service, version, mode, path)
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the XY plot window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the XY plot window.
                        """
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the XY plot window.
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the XY plot window.
                        """
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the XY plot window.
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the XY plot window.
                        """

                class main(TUIMenu):
                    """
                    Enters the main view window options menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.border = self.__class__.border(service, version, mode, path + ["border"])
                        self.left = self.__class__.left(service, version, mode, path + ["left"])
                        self.top = self.__class__.top(service, version, mode, path + ["top"])
                        self.right = self.__class__.right(service, version, mode, path + ["right"])
                        self.bottom = self.__class__.bottom(service, version, mode, path + ["bottom"])
                        self.visible = self.__class__.visible(service, version, mode, path + ["visible"])
                        super().__init__(service, version, mode, path)
                    class border(TUIMethod):
                        """
                        Sets whether or not to draw a border around the main viewing window.
                        """
                    class left(TUIMethod):
                        """
                        Sets the left boundary of the main viewing window.
                        """
                    class top(TUIMethod):
                        """
                        Sets the top boundary of the main viewing window.
                        """
                    class right(TUIMethod):
                        """
                        Sets the right boundary of the main viewing window.
                        """
                    class bottom(TUIMethod):
                        """
                        Sets the bottom boundary of the main viewing window.
                        """
                    class visible(TUIMethod):
                        """
                        Controls the visibility of the main viewing window.
                        """

                class video(TUIMenu):
                    """
                    Contains options for modifying a video. This menu is not relevant for the meshing mode.
                    """
                    def __init__(self, service, version, mode, path):
                        self.on = self.__class__.on(service, version, mode, path + ["on"])
                        self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                        self.color_filter = self.__class__.color_filter(service, version, mode, path + ["color_filter"])
                        self.pixel_size = self.__class__.pixel_size(service, version, mode, path + ["pixel_size"])
                        self.background = self.__class__.background(service, version, mode, path + ["background"])
                        super().__init__(service, version, mode, path)
                    class on(TUIMethod):
                        """
                        Enables or disables the video picture settings.
                        """
                    class foreground(TUIMethod):
                        """
                        Sets the foreground (text) color of the graphics window. The color is specified as a string of three comma-separated numbers between 0 and 1, representing red, green, and blue. For example, to change the foreground from white (default) to gray, you would enter ".5,.5,.5" after selecting the foreground command.
                        """
                    class color_filter(TUIMethod):
                        """
                        Sets the video color filter. For example, to change the color filter from its default setting  to PAL video with a saturation of 80percentage and a brightness of 90percentage, you would  enter "video=pal,sat=.8,gain=.9" after selecting the color-filter command.
                        """
                    class pixel_size(TUIMethod):
                        """
                        Sets the window size in pixels.
                        """
                    class background(TUIMethod):
                        """
                        Sets the background color of the graphics window. The color is specified as a string of three comma-separated numbers between 0 and 1, representing red, green, and blue. For example, to change the background from black (default) to gray, you would enter ".5,.5,.5" after selecting the background command.
                        """

            class colors(TUIMenu):
                """
                Enter the color options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.by_surface = self.__class__.by_surface(service, version, mode, path + ["by_surface"])
                    self.by_type = self.__class__.by_type(service, version, mode, path + ["by_type"])
                    self.inlet_faces = self.__class__.inlet_faces(service, version, mode, path + ["inlet_faces"])
                    self.interface_faces = self.__class__.interface_faces(service, version, mode, path + ["interface_faces"])
                    self.axis_faces = self.__class__.axis_faces(service, version, mode, path + ["axis_faces"])
                    self.user_color = self.__class__.user_color(service, version, mode, path + ["user_color"])
                    self.interior_faces = self.__class__.interior_faces(service, version, mode, path + ["interior_faces"])
                    self.grid_inlet = self.__class__.grid_inlet(service, version, mode, path + ["grid_inlet"])
                    self.foreground = self.__class__.foreground(service, version, mode, path + ["foreground"])
                    self.show_user_colors = self.__class__.show_user_colors(service, version, mode, path + ["show_user_colors"])
                    self.list = self.__class__.list(service, version, mode, path + ["list"])
                    self.reset_colors = self.__class__.reset_colors(service, version, mode, path + ["reset_colors"])
                    self.rans_les_interface_faces = self.__class__.rans_les_interface_faces(service, version, mode, path + ["rans_les_interface_faces"])
                    self.grid_interior = self.__class__.grid_interior(service, version, mode, path + ["grid_interior"])
                    self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                    self.skip_label = self.__class__.skip_label(service, version, mode, path + ["skip_label"])
                    self.free_surface_faces = self.__class__.free_surface_faces(service, version, mode, path + ["free_surface_faces"])
                    self.outlet_faces = self.__class__.outlet_faces(service, version, mode, path + ["outlet_faces"])
                    self.background = self.__class__.background(service, version, mode, path + ["background"])
                    self.symmetry_faces = self.__class__.symmetry_faces(service, version, mode, path + ["symmetry_faces"])
                    self.far_field_faces = self.__class__.far_field_faces(service, version, mode, path + ["far_field_faces"])
                    self.reset_user_colors = self.__class__.reset_user_colors(service, version, mode, path + ["reset_user_colors"])
                    self.highlight_color = self.__class__.highlight_color(service, version, mode, path + ["highlight_color"])
                    self.traction_faces = self.__class__.traction_faces(service, version, mode, path + ["traction_faces"])
                    self.wall_faces = self.__class__.wall_faces(service, version, mode, path + ["wall_faces"])
                    self.automatic_skip = self.__class__.automatic_skip(service, version, mode, path + ["automatic_skip"])
                    self.color_by_type = self.__class__.color_by_type(service, version, mode, path + ["color_by_type"])
                    self.overset_faces = self.__class__.overset_faces(service, version, mode, path + ["overset_faces"])
                    self.graphics_color_theme = self.__class__.graphics_color_theme(service, version, mode, path + ["graphics_color_theme"])
                    self.periodic_faces = self.__class__.periodic_faces(service, version, mode, path + ["periodic_faces"])
                    self.internal_faces = self.__class__.internal_faces(service, version, mode, path + ["internal_faces"])
                    super().__init__(service, version, mode, path)
                class inlet_faces(TUIMethod):
                    """
                    Set the color of inlet faces.
                    """
                class interface_faces(TUIMethod):
                    """
                    Set the color of mesh Interfaces.
                    """
                class axis_faces(TUIMethod):
                    """
                    Set the color of axisymmetric faces.
                    """
                class user_color(TUIMethod):
                    """
                    Explicitly set color of display zone.
                    """
                class interior_faces(TUIMethod):
                    """
                    Set the color of interior faces.
                    """
                class grid_inlet(TUIMethod):
                    """
                    Set the color of inlet faces.
                    """
                class foreground(TUIMethod):
                    """
                    Set the foreground (text and window frame) color.
                    """
                class show_user_colors(TUIMethod):
                    """
                    List currently defined user colors.
                    """
                class list(TUIMethod):
                    """
                    List available colors.
                    """
                class reset_colors(TUIMethod):
                    """
                    Reset individual mesh surface colors to the defaults.
                    """
                class rans_les_interface_faces(TUIMethod):
                    """
                    Set the color of RANS/LES interface faces.
                    """
                class grid_interior(TUIMethod):
                    """
                    Set the color of interior faces.
                    """
                class surface(TUIMethod):
                    """
                    Set the color of surfaces.
                    """
                class skip_label(TUIMethod):
                    """
                    Set the number of labels to be skipped in the colopmap scale.
                    """
                class free_surface_faces(TUIMethod):
                    """
                    Set the color of free-surface faces.
                    """
                class outlet_faces(TUIMethod):
                    """
                    Set the color of outlet faces.
                    """
                class background(TUIMethod):
                    """
                    Set the background (window) color.
                    """
                class symmetry_faces(TUIMethod):
                    """
                    Set the color of symmetric faces.
                    """
                class far_field_faces(TUIMethod):
                    """
                    Set the color of far field faces.
                    """
                class reset_user_colors(TUIMethod):
                    """
                    Reset all user colors.
                    """
                class highlight_color(TUIMethod):
                    """
                    Set highlight color.
                    """
                class traction_faces(TUIMethod):
                    """
                    Set the color of traction faces.
                    """
                class wall_faces(TUIMethod):
                    """
                    Set the color of wall faces.
                    """
                class automatic_skip(TUIMethod):
                    """
                    Determine whether to skip labels in the colopmap scale automatically.
                    """
                class color_by_type(TUIMethod):
                    """
                    Determine whether to color meshes by type or by surface (ID).
                    """
                class overset_faces(TUIMethod):
                    """
                    Set the color of overset faces.
                    """
                class graphics_color_theme(TUIMethod):
                    """
                    Enter the graphics color theme menu.
                    """
                class periodic_faces(TUIMethod):
                    """
                    Set the color of periodic faces.
                    """
                class internal_faces(TUIMethod):
                    """
                    Set the color of internal interface faces.
                    """

                class by_surface(TUIMenu):
                    """
                    Enter the surface(s) color and material assignment menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.list_surfaces_by_material = self.__class__.list_surfaces_by_material(service, version, mode, path + ["list_surfaces_by_material"])
                        self.list_surfaces_by_color = self.__class__.list_surfaces_by_color(service, version, mode, path + ["list_surfaces_by_color"])
                        self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                        self.use_inherent_material_color = self.__class__.use_inherent_material_color(service, version, mode, path + ["use_inherent_material_color"])
                        self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                        super().__init__(service, version, mode, path)
                    class list_surfaces_by_material(TUIMethod):
                        """
                        To list the surfaces by its material.
                        """
                    class list_surfaces_by_color(TUIMethod):
                        """
                        To list the surfaces by its color.
                        """
                    class surfaces(TUIMethod):
                        """
                        Select the surface(s) to specify colors and/or materials.
                        """
                    class use_inherent_material_color(TUIMethod):
                        """
                        Use inherent material color for surfaces.
                        """
                    class reset(TUIMethod):
                        """
                        To reset colors and/or materials to the defaults.
                        """

                class by_type(TUIMenu):
                    """
                    Enter the zone type color and material assignment menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.type_name = self.__class__.type_name(service, version, mode, path + ["type_name"])
                        self.use_inherent_material_color = self.__class__.use_inherent_material_color(service, version, mode, path + ["use_inherent_material_color"])
                        self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                        self.only_list_case_boundaries = self.__class__.only_list_case_boundaries(service, version, mode, path + ["only_list_case_boundaries"])
                        super().__init__(service, version, mode, path)
                    class use_inherent_material_color(TUIMethod):
                        """
                        Use inherent material color for boundary zones.
                        """
                    class reset(TUIMethod):
                        """
                        To reset colors and/or materials to the defaults.
                        """
                    class only_list_case_boundaries(TUIMethod):
                        """
                        Only list the boundary types that are assigned in this case.
                        """

                    class type_name(TUIMenu):
                        """
                        Select the boundary type to specify colors and/or materials.
                        """
                        def __init__(self, service, version, mode, path):
                            self.overset = self.__class__.overset(service, version, mode, path + ["overset"])
                            self.interface = self.__class__.interface(service, version, mode, path + ["interface"])
                            self.outlet = self.__class__.outlet(service, version, mode, path + ["outlet"])
                            self.periodic = self.__class__.periodic(service, version, mode, path + ["periodic"])
                            self.axis = self.__class__.axis(service, version, mode, path + ["axis"])
                            self.interior = self.__class__.interior(service, version, mode, path + ["interior"])
                            self.surface = self.__class__.surface(service, version, mode, path + ["surface"])
                            self.far_field = self.__class__.far_field(service, version, mode, path + ["far_field"])
                            self.wall = self.__class__.wall(service, version, mode, path + ["wall"])
                            self.rans_les_interface = self.__class__.rans_les_interface(service, version, mode, path + ["rans_les_interface"])
                            self.free_surface = self.__class__.free_surface(service, version, mode, path + ["free_surface"])
                            self.inlet = self.__class__.inlet(service, version, mode, path + ["inlet"])
                            self.traction = self.__class__.traction(service, version, mode, path + ["traction"])
                            self.internal = self.__class__.internal(service, version, mode, path + ["internal"])
                            self.symmetry = self.__class__.symmetry(service, version, mode, path + ["symmetry"])
                            super().__init__(service, version, mode, path)

                        class overset(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

                        class interface(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

                        class outlet(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

                        class periodic(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

                        class axis(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """

                        class interior(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """

                        class surface(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """

                        class far_field(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """

                        class wall(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """

                        class rans_les_interface(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                super().__init__(service, version, mode, path)
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """

                        class free_surface(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

                        class inlet(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

                        class traction(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

                        class internal(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

                        class symmetry(TUIMenu):
                            """
                            Set the material and/or color for the selected boundary type.
                            """
                            def __init__(self, service, version, mode, path):
                                self.color = self.__class__.color(service, version, mode, path + ["color"])
                                self.material = self.__class__.material(service, version, mode, path + ["material"])
                                super().__init__(service, version, mode, path)
                            class color(TUIMethod):
                                """
                                Set a color for the selected boundary type.
                                """
                            class material(TUIMethod):
                                """
                                Set a material for the selected boundary type.
                                """

            class path_lines(TUIMenu):
                """
                Sets parameters for display of pathlines.
                """
                def __init__(self, service, version, mode, path):
                    self.arrow_space = self.__class__.arrow_space(service, version, mode, path + ["arrow_space"])
                    self.error_control = self.__class__.error_control(service, version, mode, path + ["error_control"])
                    self.line_width = self.__class__.line_width(service, version, mode, path + ["line_width"])
                    self.maximum_steps = self.__class__.maximum_steps(service, version, mode, path + ["maximum_steps"])
                    self.style = self.__class__.style(service, version, mode, path + ["style"])
                    self.sphere_attrib = self.__class__.sphere_attrib(service, version, mode, path + ["sphere_attrib"])
                    self.step_size = self.__class__.step_size(service, version, mode, path + ["step_size"])
                    self.reverse = self.__class__.reverse(service, version, mode, path + ["reverse"])
                    self.maximum_error = self.__class__.maximum_error(service, version, mode, path + ["maximum_error"])
                    self.radius = self.__class__.radius(service, version, mode, path + ["radius"])
                    self.arrow_scale = self.__class__.arrow_scale(service, version, mode, path + ["arrow_scale"])
                    self.relative_pathlines = self.__class__.relative_pathlines(service, version, mode, path + ["relative_pathlines"])
                    self.display_steps = self.__class__.display_steps(service, version, mode, path + ["display_steps"])
                    self.marker_size = self.__class__.marker_size(service, version, mode, path + ["marker_size"])
                    self.twist_factor = self.__class__.twist_factor(service, version, mode, path + ["twist_factor"])
                    self.track_in_phase = self.__class__.track_in_phase(service, version, mode, path + ["track_in_phase"])
                    super().__init__(service, version, mode, path)
                class arrow_space(TUIMethod):
                    """
                    Sets the spacing factor for arrows drawn on pathlines.
                    """
                class error_control(TUIMethod):
                    """
                    Sets error control during pathline computation.
                    """
                class line_width(TUIMethod):
                    """
                    Sets the width for pathlines.
                    """
                class maximum_steps(TUIMethod):
                    """
                    Sets the maximum number of steps to take for pathlines.
                    """
                class style(TUIMethod):
                    """
                    Selects the pathline style (line, point, ribbon, triangle, cylinder).
                    """
                class sphere_attrib(TUIMethod):
                    """
                    Specifies the size and number of slices to be used in drawing spheres.
                    """
                class step_size(TUIMethod):
                    """
                    Sets the step length between particle positions for pathlines.
                    """
                class reverse(TUIMethod):
                    """
                    Sets direction of path tracking.
                    """
                class maximum_error(TUIMethod):
                    """
                    Sets the maximum error allowed while computing the pathlines.
                    """
                class radius(TUIMethod):
                    """
                    Sets the radius for pathline (ribbons/cylinder only) cross-section.
                    """
                class arrow_scale(TUIMethod):
                    """
                    Sets the scale factor for arrows drawn on pathlines.
                    """
                class relative_pathlines(TUIMethod):
                    """
                    Enables/disables the tracking of pathlines in a relative coordinate system.
                    """
                class display_steps(TUIMethod):
                    """
                    Sets the display stepping for pathlines.
                    """
                class marker_size(TUIMethod):
                    """
                    Sets the marker size for particle drawing.
                    """
                class twist_factor(TUIMethod):
                    """
                    Sets the scale factor for twisting (ribbons only).
                    """
                class track_in_phase(TUIMethod):
                    """
                    Selects the phase in which particle pathlines will be computed (Multiphase Eulerian Model only).
                    """

            class velocity_vectors(TUIMenu):
                """
                Enters the menu to set parameters for display of velocity vectors.
                """
                def __init__(self, service, version, mode, path):
                    self.global_range = self.__class__.global_range(service, version, mode, path + ["global_range"])
                    self.constant_length = self.__class__.constant_length(service, version, mode, path + ["constant_length"])
                    self.component_y = self.__class__.component_y(service, version, mode, path + ["component_y"])
                    self.style = self.__class__.style(service, version, mode, path + ["style"])
                    self.relative = self.__class__.relative(service, version, mode, path + ["relative"])
                    self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                    self.color = self.__class__.color(service, version, mode, path + ["color"])
                    self.color_levels = self.__class__.color_levels(service, version, mode, path + ["color_levels"])
                    self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                    self.node_values = self.__class__.node_values(service, version, mode, path + ["node_values"])
                    self.component_x = self.__class__.component_x(service, version, mode, path + ["component_x"])
                    self.scale = self.__class__.scale(service, version, mode, path + ["scale"])
                    self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                    self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                    self.scale_head = self.__class__.scale_head(service, version, mode, path + ["scale_head"])
                    self.component_z = self.__class__.component_z(service, version, mode, path + ["component_z"])
                    self.in_plane = self.__class__.in_plane(service, version, mode, path + ["in_plane"])
                    super().__init__(service, version, mode, path)
                class global_range(TUIMethod):
                    """
                    Turns global range for vectors on/off.
                    """
                class constant_length(TUIMethod):
                    """
                    Sets the option to draw velocity vectors of constant length. This shows only the direction of the velocity vectors.
                    """
                class component_y(TUIMethod):
                    """
                    Sets the option to use only the  component of the velocity vectors during display.
                    """
                class style(TUIMethod):
                    """
                    Specifies the vector style that will be used when the vectors are displayed. You can choose from:3d arrow,3d arrowhead, cone,filled-arrow, arrow,harpoon, or headless.
                    """
                class relative(TUIMethod):
                    """
                    Toggles the display of relative velocity vectors.
                    """
                class auto_scale(TUIMethod):
                    """
                    Auto-scales all vectors so that vector overlap is minimal.
                    """
                class color(TUIMethod):
                    """
                    Sets the color of all velocity vectors to the color specified. The color scale is ignored. This is useful when overlaying a vector plot over a contour plot.
                    """
                class color_levels(TUIMethod):
                    """
                    Sets the number of colors used from the colormap.
                    """
                class surfaces(TUIMethod):
                    """
                    Sets surfaces on which vectors are drawn. You can include a wildcard (\\*) within the surface names.
                    """
                class node_values(TUIMethod):
                    """
                    Enables/disables the plotting of node values. Cell values will be plotted if "no".
                    """
                class component_x(TUIMethod):
                    """
                    Sets the option to use only the  component of the velocity vectors during display.
                    """
                class scale(TUIMethod):
                    """
                    Sets the value by which the vector length will be scaled.
                    """
                class log_scale(TUIMethod):
                    """
                    Toggles whether color scale is logarithmic or linear.
                    """
                class render_mesh(TUIMethod):
                    """
                    Enables/disables rendering the mesh on top of contours, vectors, and so on.
                    """
                class scale_head(TUIMethod):
                    """
                    Sets the value by which the vector head will be scaled.
                    """
                class component_z(TUIMethod):
                    """
                    Sets the option to use only the  component of the velocity vectors during display.
                    """
                class in_plane(TUIMethod):
                    """
                    Toggles the display of velocity vector components in the plane of the surface selected for display.
                    """

            class titles(TUIMenu):
                """
                Set problem title.
                """
                def __init__(self, service, version, mode, path):
                    self.right_middle = self.__class__.right_middle(service, version, mode, path + ["right_middle"])
                    self.left_bottom = self.__class__.left_bottom(service, version, mode, path + ["left_bottom"])
                    self.right_top = self.__class__.right_top(service, version, mode, path + ["right_top"])
                    self.left_top = self.__class__.left_top(service, version, mode, path + ["left_top"])
                    self.right_bottom = self.__class__.right_bottom(service, version, mode, path + ["right_bottom"])
                    super().__init__(service, version, mode, path)
                class right_middle(TUIMethod):
                    """
                    Set the title text for right middle in title segment.
                    """
                class left_bottom(TUIMethod):
                    """
                    Set the title text for left bottom in title segment.
                    """
                class right_top(TUIMethod):
                    """
                    Set the title text for right top in title segment.
                    """
                class left_top(TUIMethod):
                    """
                    Set the title text for left top in title segment.
                    """
                class right_bottom(TUIMethod):
                    """
                    Set the title text for right bottom in title segment.
                    """

            class picture(TUIMenu):
                """
                Enter the hardcopy/save-picture options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                    self.color_mode = self.__class__.color_mode(service, version, mode, path + ["color_mode"])
                    self.set_standard_resolution = self.__class__.set_standard_resolution(service, version, mode, path + ["set_standard_resolution"])
                    self.raytracer_image = self.__class__.raytracer_image(service, version, mode, path + ["raytracer_image"])
                    self.landscape = self.__class__.landscape(service, version, mode, path + ["landscape"])
                    self.x_resolution = self.__class__.x_resolution(service, version, mode, path + ["x_resolution"])
                    self.y_resolution = self.__class__.y_resolution(service, version, mode, path + ["y_resolution"])
                    self.use_window_resolution = self.__class__.use_window_resolution(service, version, mode, path + ["use_window_resolution"])
                    self.dpi = self.__class__.dpi(service, version, mode, path + ["dpi"])
                    self.preview = self.__class__.preview(service, version, mode, path + ["preview"])
                    self.invert_background = self.__class__.invert_background(service, version, mode, path + ["invert_background"])
                    self.jpeg_hardcopy_quality = self.__class__.jpeg_hardcopy_quality(service, version, mode, path + ["jpeg_hardcopy_quality"])
                    super().__init__(service, version, mode, path)
                class set_standard_resolution(TUIMethod):
                    """
                    Select from pre-defined resolution list.
                    """
                class raytracer_image(TUIMethod):
                    """
                    Enable raytracering rendering.
                    """
                class landscape(TUIMethod):
                    """
                    Plot hardcopies in landscape or portrait orientation.
                    """
                class x_resolution(TUIMethod):
                    """
                    Set the width of raster-formatted images in pixels (0 implies current window size).
                    """
                class y_resolution(TUIMethod):
                    """
                    Set the height of raster-formatted images in pixels (0 implies current window size).
                    """
                class use_window_resolution(TUIMethod):
                    """
                    Use the currently active window's resolution for hardcopy (ignores the x-resolution and y-resolution in this case).
                    """
                class dpi(TUIMethod):
                    """
                    Set the DPI for EPS and Postscript files, specifies the resolution in dots per inch (DPI) instead of setting the width and height.
                    """
                class preview(TUIMethod):
                    """
                    Display a preview image of a hardcopy.
                    """
                class invert_background(TUIMethod):
                    """
                    Use a white background when the picture is saved.
                    """
                class jpeg_hardcopy_quality(TUIMethod):
                    """
                    To set jpeg hardcopy quality.
                    """

                class driver(TUIMenu):
                    """
                    Enter the set hardcopy driver menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.post_format = self.__class__.post_format(service, version, mode, path + ["post_format"])
                        self.ppm = self.__class__.ppm(service, version, mode, path + ["ppm"])
                        self.jpeg = self.__class__.jpeg(service, version, mode, path + ["jpeg"])
                        self.tiff = self.__class__.tiff(service, version, mode, path + ["tiff"])
                        self.options = self.__class__.options(service, version, mode, path + ["options"])
                        self.dump_window = self.__class__.dump_window(service, version, mode, path + ["dump_window"])
                        self.hsf = self.__class__.hsf(service, version, mode, path + ["hsf"])
                        self.avz = self.__class__.avz(service, version, mode, path + ["avz"])
                        self.png = self.__class__.png(service, version, mode, path + ["png"])
                        self.glb = self.__class__.glb(service, version, mode, path + ["glb"])
                        self.eps = self.__class__.eps(service, version, mode, path + ["eps"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.vrml = self.__class__.vrml(service, version, mode, path + ["vrml"])
                        self.post_script = self.__class__.post_script(service, version, mode, path + ["post_script"])
                        super().__init__(service, version, mode, path)
                    class ppm(TUIMethod):
                        """
                        Produce PPM output for hardcopies.
                        """
                    class jpeg(TUIMethod):
                        """
                        Produce JPEG output for hardcopies.
                        """
                    class tiff(TUIMethod):
                        """
                        Use TIFF output for hardcopies.
                        """
                    class options(TUIMethod):
                        """
                        Set the hardcopy options. Available options are:
                        "no gamma correction", disables gamma correction of colors,
                        "physical size = (width,height)", where width and height
                        are the actual measurements of the printable area of the page
                        in centimeters.
                        "subscreen = (left,right,bottom,top)", where left,right,
                        bottom, and top are numbers in [-1,1] describing a subwindow on
                        the page in which to place the hardcopy.
                        The options may be combined by separating them with commas.
                        """
                    class dump_window(TUIMethod):
                        """
                        Set the command used to dump the graphics window to a file.
                        """
                    class hsf(TUIMethod):
                        """
                        Use HSF output for hardcopies.
                        """
                    class avz(TUIMethod):
                        """
                        Use AVZ output for hardcopies.
                        """
                    class png(TUIMethod):
                        """
                        Use PNG output for hardcopies.
                        """
                    class glb(TUIMethod):
                        """
                        Use GLB output for hardcopies.
                        """
                    class eps(TUIMethod):
                        """
                        Produce encapsulated PostScript (EPS) output for hardcopies.
                        """
                    class list(TUIMethod):
                        """
                        List the current hardcopy driver.
                        """
                    class vrml(TUIMethod):
                        """
                        Use VRML output for hardcopies.
                        """
                    class post_script(TUIMethod):
                        """
                        Produce PostScript output for hardcopies.
                        """

                    class post_format(TUIMenu):
                        """
                        Enter the PostScript driver format menu.
                        """
                        def __init__(self, service, version, mode, path):
                            self.raster = self.__class__.raster(service, version, mode, path + ["raster"])
                            self.rle_raster = self.__class__.rle_raster(service, version, mode, path + ["rle_raster"])
                            self.vector = self.__class__.vector(service, version, mode, path + ["vector"])
                            self.fast_raster = self.__class__.fast_raster(service, version, mode, path + ["fast_raster"])
                            super().__init__(service, version, mode, path)
                        class raster(TUIMethod):
                            """
                            Use the original raster format.
                            """
                        class rle_raster(TUIMethod):
                            """
                            Use the run-length encoded raster format.
                            """
                        class vector(TUIMethod):
                            """
                            Use vector format.
                            """
                        class fast_raster(TUIMethod):
                            """
                            Use the new raster format.
                            """

                class color_mode(TUIMenu):
                    """
                    Enter the hardcopy color mode menu.
                    """
                    def __init__(self, service, version, mode, path):
                        self.color = self.__class__.color(service, version, mode, path + ["color"])
                        self.mono_chrome = self.__class__.mono_chrome(service, version, mode, path + ["mono_chrome"])
                        self.list = self.__class__.list(service, version, mode, path + ["list"])
                        self.gray_scale = self.__class__.gray_scale(service, version, mode, path + ["gray_scale"])
                        super().__init__(service, version, mode, path)
                    class color(TUIMethod):
                        """
                        Plot hardcopies in color.
                        """
                    class mono_chrome(TUIMethod):
                        """
                        Convert color to monochrome (black and white) for hardcopy.
                        """
                    class list(TUIMethod):
                        """
                        Display the current hardcopy color mode.
                        """
                    class gray_scale(TUIMethod):
                        """
                        Convert color to grayscale for hardcopy.
                        """

            class contours(TUIMenu):
                """
                Enters the contour options menu.
                """
                def __init__(self, service, version, mode, path):
                    self.surfaces = self.__class__.surfaces(service, version, mode, path + ["surfaces"])
                    self.clip_to_range = self.__class__.clip_to_range(service, version, mode, path + ["clip_to_range"])
                    self.n_contour = self.__class__.n_contour(service, version, mode, path + ["n_contour"])
                    self.coloring = self.__class__.coloring(service, version, mode, path + ["coloring"])
                    self.line_contours = self.__class__.line_contours(service, version, mode, path + ["line_contours"])
                    self.log_scale = self.__class__.log_scale(service, version, mode, path + ["log_scale"])
                    self.render_mesh = self.__class__.render_mesh(service, version, mode, path + ["render_mesh"])
                    self.filled_contours = self.__class__.filled_contours(service, version, mode, path + ["filled_contours"])
                    self.global_range = self.__class__.global_range(service, version, mode, path + ["global_range"])
                    self.auto_range = self.__class__.auto_range(service, version, mode, path + ["auto_range"])
                    self.node_values = self.__class__.node_values(service, version, mode, path + ["node_values"])
                    super().__init__(service, version, mode, path)
                class surfaces(TUIMethod):
                    """
                    Sets the surfaces on which contours are drawn. You can include a wildcard (\\*) within the surface names.
                    """
                class clip_to_range(TUIMethod):
                    """
                    Turns the clip to range option for filled contours on/off.
                    """
                class n_contour(TUIMethod):
                    """
                    Sets the number of contour levels.
                    """
                class coloring(TUIMethod):
                    """
                    Specifies whether contours are displayed in bands or with smooth transitions. Note that you can only display smooth contours if node-values are enabled.
                    """
                class line_contours(TUIMethod):
                    """
                    Turns the line contours option on/off (deselects filled-contours?).
                    """
                class log_scale(TUIMethod):
                    """
                    Specifies a decimal or logarithmic color scale for contours.
                    """
                class render_mesh(TUIMethod):
                    """
                    Determines whether or not to render the mesh on top of contours, vectors, and so on.
                    """
                class filled_contours(TUIMethod):
                    """
                    Turns the filled contours option on/off (deselects line-contours?).
                    """
                class global_range(TUIMethod):
                    """
                    Turns the global range for contours on/off.
                    """
                class auto_range(TUIMethod):
                    """
                    Enables/disables auto-computation of the contour range.
                    """
                class node_values(TUIMethod):
                    """
                    Sets the option to use scalar field at nodes when computing the contours.
                    """

        class embedded_windows(TUIMenu):
            """
            Enter the embedded window menu.
            """
            def __init__(self, service, version, mode, path):
                self.update_dimensions = self.__class__.update_dimensions(service, version, mode, path + ["update_dimensions"])
                self.close = self.__class__.close(service, version, mode, path + ["close"])
                self.move_out_all = self.__class__.move_out_all(service, version, mode, path + ["move_out_all"])
                self.move_out = self.__class__.move_out(service, version, mode, path + ["move_out"])
                self.embed_in = self.__class__.embed_in(service, version, mode, path + ["embed_in"])
                self.close_all = self.__class__.close_all(service, version, mode, path + ["close_all"])
                super().__init__(service, version, mode, path)
            class update_dimensions(TUIMethod):
                """
                Update the embedded windows dimensions.
                """
            class close(TUIMethod):
                """
                Close an embedded window.
                """
            class move_out_all(TUIMethod):
                """
                Move all the embedded windows out of the specified parent window.
                """
            class move_out(TUIMethod):
                """
                Move an embedded window out of the parent window, returning the embedded window to a non-embedded state.
                """
            class embed_in(TUIMethod):
                """
                Specify a window to embed and a parent window to receive the embedded window.
                """
            class close_all(TUIMethod):
                """
                Close all the embedded windows within the specified parent window.
                """

    class turbo_workflow(TUIMenu):
        """
        Enter the turbo workflow menu.
        """
        def __init__(self, service, version, mode, path):
            self.workflow = self.__class__.workflow(service, version, mode, path + ["workflow"])
            super().__init__(service, version, mode, path)

        class workflow(TUIMenu):
            """
            Enter the workflow menu.
            """
            def __init__(self, service, version, mode, path):
                self.disable = self.__class__.disable(service, version, mode, path + ["disable"])
                self.reset = self.__class__.reset(service, version, mode, path + ["reset"])
                self.enable = self.__class__.enable(service, version, mode, path + ["enable"])
                super().__init__(service, version, mode, path)
            class disable(TUIMethod):
                """
                Disable the workflow.
                """
            class reset(TUIMethod):
                """
                Reset the workflow.
                """
            class enable(TUIMethod):
                """
                Enable the workflow.
                """

    class adjoint(TUIMenu):
        """
        Adjoint.
        """
        def __init__(self, service, version, mode, path):
            self.multi_objective = self.__class__.multi_objective(service, version, mode, path + ["multi_objective"])
            self.expert = self.__class__.expert(service, version, mode, path + ["expert"])
            self.postprocess_options = self.__class__.postprocess_options(service, version, mode, path + ["postprocess_options"])
            self.observable = self.__class__.observable(service, version, mode, path + ["observable"])
            self.geometry = self.__class__.geometry(service, version, mode, path + ["geometry"])
            self.morphing = self.__class__.morphing(service, version, mode, path + ["morphing"])
            self.methods = self.__class__.methods(service, version, mode, path + ["methods"])
            self.utilities = self.__class__.utilities(service, version, mode, path + ["utilities"])
            self.run = self.__class__.run(service, version, mode, path + ["run"])
            self.reporting = self.__class__.reporting(service, version, mode, path + ["reporting"])
            self.optimizer = self.__class__.optimizer(service, version, mode, path + ["optimizer"])
            self.monitors = self.__class__.monitors(service, version, mode, path + ["monitors"])
            self.controls = self.__class__.controls(service, version, mode, path + ["controls"])
            self.design_tool = self.__class__.design_tool(service, version, mode, path + ["design_tool"])
            super().__init__(service, version, mode, path)
        class multi_objective(TUIMethod):
            """
            Multi-Objective menu.
            """
        class expert(TUIMethod):
            """
            Provides text commands that allow you to undo enhancements to the default adjoint solver behavior.
            """
        class postprocess_options(TUIMethod):
            """
            Postprocess options.
            """
        class observable(TUIMethod):
            """
            Menu to create and configure observables of interest.
            """
        class geometry(TUIMethod):
            """
            Geometry menu.
            """
        class morphing(TUIMethod):
            """
            Morphing menu.
            """
        class methods(TUIMethod):
            """
            Menu to configure adjoint solver settings.
            """
        class utilities(TUIMethod):
            """
            Enters the utilities menu.
            """
        class run(TUIMethod):
            """
            Menu to initialize and compute the adjoint solution.
            """
        class reporting(TUIMethod):
            """
            Menu to report sensitivity data from the adjoint solution.
            """
        class optimizer(TUIMethod):
            """
            Enters the optimizer menu, where you can use a gradient-based optimizer to optimize the geometry to meet multiple goals for multiple observables at multiple operating conditions.
            """
        class monitors(TUIMethod):
            """
            Menu to configure monitors for the adjoint solver.
            """
        class controls(TUIMethod):
            """
            Menu to configure adjoint solver controls.
            """
        class design_tool(TUIMethod):
            """
            Enters the design-tool menu.
            """

    class plot(TUIMenu):
        """
        Enter the XY plot menu.
        """
        def __init__(self, service, version, mode, path):
            self.histogram_set = self.__class__.histogram_set(service, version, mode, path + ["histogram_set"])
            self.cumulative_plot = self.__class__.cumulative_plot(service, version, mode, path + ["cumulative_plot"])
            self.file_set = self.__class__.file_set(service, version, mode, path + ["file_set"])
            self.ansys_sound_analysis = self.__class__.ansys_sound_analysis(service, version, mode, path + ["ansys_sound_analysis"])
            self.datasources = self.__class__.datasources(service, version, mode, path + ["datasources"])
            self.solution_set = self.__class__.solution_set(service, version, mode, path + ["solution_set"])
            self.fft_set = self.__class__.fft_set(service, version, mode, path + ["fft_set"])
            self.flamelet_curves = self.__class__.flamelet_curves(service, version, mode, path + ["flamelet_curves"])
            self.vrx_sound_analysis = self.__class__.vrx_sound_analysis(service, version, mode, path + ["vrx_sound_analysis"])
            self.residuals_set = self.__class__.residuals_set(service, version, mode, path + ["residuals_set"])
            self.change_fft_ref_pressure = self.__class__.change_fft_ref_pressure(service, version, mode, path + ["change_fft_ref_pressure"])
            self.display_profile_data = self.__class__.display_profile_data(service, version, mode, path + ["display_profile_data"])
            self.set_boundary_val_off = self.__class__.set_boundary_val_off(service, version, mode, path + ["set_boundary_val_off"])
            self.solution = self.__class__.solution(service, version, mode, path + ["solution"])
            self.circum_avg_axial = self.__class__.circum_avg_axial(service, version, mode, path + ["circum_avg_axial"])
            self.file = self.__class__.file(service, version, mode, path + ["file"])
            self.circum_avg_radial = self.__class__.circum_avg_radial(service, version, mode, path + ["circum_avg_radial"])
            self.plot_direction = self.__class__.plot_direction(service, version, mode, path + ["plot_direction"])
            self.file_list = self.__class__.file_list(service, version, mode, path + ["file_list"])
            self.label_alignment = self.__class__.label_alignment(service, version, mode, path + ["label_alignment"])
            self.histogram = self.__class__.histogram(service, version, mode, path + ["histogram"])
            self.residuals = self.__class__.residuals(service, version, mode, path + ["residuals"])
            self.fft = self.__class__.fft(service, version, mode, path + ["fft"])
            self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
            super().__init__(service, version, mode, path)
        class change_fft_ref_pressure(TUIMethod):
            """
            Changes reference acoustic pressure.
            """
        class display_profile_data(TUIMethod):
            """
            Plots profile data.
            """
        class set_boundary_val_off(TUIMethod):
            """
            Disables the use of boundary face values when node values are disabled in solution XY plots. This option is disabled by default, that is, boundary face values are used when node values are disabled.
            """
        class solution(TUIMethod):
            """
            Plots solution on surfaces and/or zones. Zone and surface names can be indicated using a  wildcard (\\*).
            """
        class circum_avg_axial(TUIMethod):
            """
            Computes iso-axial band surfaces and plots data vs. axial coordinate on them.
            """
        class file(TUIMethod):
            """
            Plots data from an external file.
            """
        class circum_avg_radial(TUIMethod):
            """
            Computes iso-radial band surfaces and plots data vs. radius on them.
            """
        class plot_direction(TUIMethod):
            """
            Sets plot direction for XY plot.
            """
        class file_list(TUIMethod):
            """
            Plots data from multiple external files.
            """
        class label_alignment(TUIMethod):
            """
            Set the orientation of XY plot axis labels as either horizontal or axis-aligned.
            """
        class histogram(TUIMethod):
            """
            Plots a histogram of the specified solution variable using the defined range and number of intervals.
            """
        class residuals(TUIMethod):
            """
            Contains commands that allow you to select the variables for which you want to display XY plots of residual histories in the active graphics window.
            """
        class fft(TUIMethod):
            """
            Plots fast Fourier transform (FFT) of file data. If you respond yes to Acoustic Analysis?, then additional Y axis functions are made available.
            """
        class plot(TUIMethod):
            """
            Plots solution on surfaces.
            """

        class histogram_set(TUIMenu):
            """
            Sets histogram plot parameters. Sub-menu items are the same as file-set/ above.
            """
            def __init__(self, service, version, mode, path):
                self.get_residuals_window = self.__class__.get_residuals_window(service, version, mode, path + ["get_residuals_window"])
                self.numbers = self.__class__.numbers(service, version, mode, path + ["numbers"])
                self.key = self.__class__.key(service, version, mode, path + ["key"])
                self.rules = self.__class__.rules(service, version, mode, path + ["rules"])
                self.plot_to_file = self.__class__.plot_to_file(service, version, mode, path + ["plot_to_file"])
                self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                self.lines = self.__class__.lines(service, version, mode, path + ["lines"])
                self.markers = self.__class__.markers(service, version, mode, path + ["markers"])
                self.xy_percent_y = self.__class__.xy_percent_y(service, version, mode, path + ["xy_percent_y"])
                self.log = self.__class__.log(service, version, mode, path + ["log"])
                self.background_color = self.__class__.background_color(service, version, mode, path + ["background_color"])
                self.labels = self.__class__.labels(service, version, mode, path + ["labels"])
                self.end_plot_to_file = self.__class__.end_plot_to_file(service, version, mode, path + ["end_plot_to_file"])
                self.file_markers = self.__class__.file_markers(service, version, mode, path + ["file_markers"])
                self.file_lines = self.__class__.file_lines(service, version, mode, path + ["file_lines"])
                super().__init__(service, version, mode, path)
            class get_residuals_window(TUIMethod):
                """
                Get residuals window id.
                """
            class numbers(TUIMethod):
                """
                Set number formats for axes.
                """
            class key(TUIMethod):
                """
                Enable/disable display of curve key and set its window title.
                """
            class rules(TUIMethod):
                """
                Set parameters for display of major and minor rules.
                """
            class plot_to_file(TUIMethod):
                """
                Specify a file to write an xy plot to.
                """
            class windows(TUIMethod):
                """
                X-Y plot window options.
                """
            class auto_scale(TUIMethod):
                """
                Automatically compute x/y-axis extents?.
                """
            class lines(TUIMethod):
                """
                Set parameters for plot lines.
                """
            class markers(TUIMethod):
                """
                Set parameters for data markers.
                """
            class xy_percent_y(TUIMethod):
                """
                Scale xy plot by percentage of total elements.
                """
            class log(TUIMethod):
                """
                Use log scales for one or both axes?.
                """
            class background_color(TUIMethod):
                """
                Set the color of the plot background.
                """
            class labels(TUIMethod):
                """
                Set labels for plot axes.
                """
            class end_plot_to_file(TUIMethod):
                """
                End plot to file.
                """
            class file_markers(TUIMethod):
                """
                Set parameters for data markers.
                """
            class file_lines(TUIMethod):
                """
                Set parameters for plot lines.
                """

        class cumulative_plot(TUIMenu):
            """
            Plot the development of force, force coefficient, moment, or moment coefficient across the specified wall zones.
            """
            def __init__(self, service, version, mode, path):
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                self.write = self.__class__.write(service, version, mode, path + ["write"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.add = self.__class__.add(service, version, mode, path + ["add"])
                self.print = self.__class__.print(service, version, mode, path + ["print"])
                super().__init__(service, version, mode, path)
            class list_properties(TUIMethod):
                """
                Print the properties of the specified cumulative plot object to the console.
                """
            class axes(TUIMethod):
                """
                Set axes options of an object.
                """
            class write(TUIMethod):
                """
                Write a cumulative plot to a file.
                """
            class list(TUIMethod):
                """
                Print the names of the existing cumulative plot objects to the console.
                """
            class curves(TUIMethod):
                """
                Set curves options of an object.
                """
            class edit(TUIMethod):
                """
                Edit an existing cumulative plot object.
                """
            class plot(TUIMethod):
                """
                Plot a cumulative plot in the graphics window.
                """
            class delete(TUIMethod):
                """
                Delete an existing cumulative plot object.
                """
            class add(TUIMethod):
                """
                Create a new cumulative plot.
                """
            class print(TUIMethod):
                """
                Print the value of a cumulative plot to the console.
                """

        class file_set(TUIMenu):
            """
            Sets file plot parameters.
            """
            def __init__(self, service, version, mode, path):
                self.get_residuals_window = self.__class__.get_residuals_window(service, version, mode, path + ["get_residuals_window"])
                self.markers = self.__class__.markers(service, version, mode, path + ["markers"])
                self.numbers = self.__class__.numbers(service, version, mode, path + ["numbers"])
                self.file_markers = self.__class__.file_markers(service, version, mode, path + ["file_markers"])
                self.file_lines = self.__class__.file_lines(service, version, mode, path + ["file_lines"])
                self.lines = self.__class__.lines(service, version, mode, path + ["lines"])
                self.end_plot_to_file = self.__class__.end_plot_to_file(service, version, mode, path + ["end_plot_to_file"])
                self.xy_percent_y = self.__class__.xy_percent_y(service, version, mode, path + ["xy_percent_y"])
                self.log = self.__class__.log(service, version, mode, path + ["log"])
                self.key = self.__class__.key(service, version, mode, path + ["key"])
                self.background_color = self.__class__.background_color(service, version, mode, path + ["background_color"])
                self.plot_to_file = self.__class__.plot_to_file(service, version, mode, path + ["plot_to_file"])
                self.labels = self.__class__.labels(service, version, mode, path + ["labels"])
                self.rules = self.__class__.rules(service, version, mode, path + ["rules"])
                self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                super().__init__(service, version, mode, path)
            class get_residuals_window(TUIMethod):
                """
                Get residuals window id.
                """
            class markers(TUIMethod):
                """
                Sets parameters for data markers.
                """
            class numbers(TUIMethod):
                """
                Sets number formats for axes.
                """
            class file_markers(TUIMethod):
                """
                Sets parameters for data markers.
                """
            class file_lines(TUIMethod):
                """
                Sets parameters for plot lines.
                """
            class lines(TUIMethod):
                """
                Sets parameters for plot lines.
                """
            class end_plot_to_file(TUIMethod):
                """
                End plot to file.
                """
            class xy_percent_y(TUIMethod):
                """
                Scale xy plot by percentage of total elements.
                """
            class log(TUIMethod):
                """
                Uses log scales for one or both axes.
                """
            class key(TUIMethod):
                """
                Enables/disables display of curve key and sets its window title.
                """
            class background_color(TUIMethod):
                """
                Sets the color of the field within the abscissa and ordinate axes.
                """
            class plot_to_file(TUIMethod):
                """
                Specifies a file in which to write XY plot data.
                """
            class labels(TUIMethod):
                """
                Sets labels for plot axes.
                """
            class rules(TUIMethod):
                """
                Sets parameters for display of major and minor rules.
                """
            class auto_scale(TUIMethod):
                """
                Sets the range for the   and   axes. If auto-scaling is not activated for a particular axis, you are prompted for the minimum and maximum data values.
                """
            class windows(TUIMethod):
                """
                XY plot window options. For a description of the items in this menu, see display/set/windows/xy.
                """

        class ansys_sound_analysis(TUIMenu):
            """
            Enter the Ansys sound analysis menu.
            """
            def __init__(self, service, version, mode, path):
                self.print_indicators = self.__class__.print_indicators(service, version, mode, path + ["print_indicators"])
                self.write_files = self.__class__.write_files(service, version, mode, path + ["write_files"])
                super().__init__(service, version, mode, path)
            class print_indicators(TUIMethod):
                """
                Read in a pressure signal or spectrum file, then optionally read in a frequency response function (FRF) or transfer function file, before printing the acoustics indicators.
                """
            class write_files(TUIMethod):
                """
                Read in a pressure signal or spectrum file, then optionally read in a frequency response function (FRF) or transfer function file, before writing a WAV, output pressure, and/or acoustic indicators file.
                """

        class datasources(TUIMenu):
            """
            Enters the menu for creating and modifying plots containing multiple data sources.
            """
            def __init__(self, service, version, mode, path):
                self.add_report_plot = self.__class__.add_report_plot(service, version, mode, path + ["add_report_plot"])
                self.rename_legend = self.__class__.rename_legend(service, version, mode, path + ["rename_legend"])
                self.load_file = self.__class__.load_file(service, version, mode, path + ["load_file"])
                self.remove_data_source = self.__class__.remove_data_source(service, version, mode, path + ["remove_data_source"])
                self.plot = self.__class__.plot(service, version, mode, path + ["plot"])
                self.list_curve_information = self.__class__.list_curve_information(service, version, mode, path + ["list_curve_information"])
                self.list_legend_names = self.__class__.list_legend_names(service, version, mode, path + ["list_legend_names"])
                self.add_xy_plot = self.__class__.add_xy_plot(service, version, mode, path + ["add_xy_plot"])
                self.list_data_sources = self.__class__.list_data_sources(service, version, mode, path + ["list_data_sources"])
                self.properties = self.__class__.properties(service, version, mode, path + ["properties"])
                super().__init__(service, version, mode, path)
            class add_report_plot(TUIMethod):
                """
                Specify an existing report plot to include in this plot.
                """
            class rename_legend(TUIMethod):
                """
                Allows you to rename legend entries. Note that you must re-plot to see the legend name change.
                """
            class load_file(TUIMethod):
                """
                Specify a file to load for plotting. The file must be located in the working directory.
                """
            class remove_data_source(TUIMethod):
                """
                Removes whichever data source (plot or file) you specify.
                """
            class plot(TUIMethod):
                """
                Plots the selected data in the active graphics window.
                """
            class list_curve_information(TUIMethod):
                """
                Prints the names of the variables selected for plotting.
                """
            class list_legend_names(TUIMethod):
                """
                Prints the names of the legends to the console.
                """
            class add_xy_plot(TUIMethod):
                """
                Specify an existing XY plot to include in this plot.
                """
            class list_data_sources(TUIMethod):
                """
                Prints the names of the selected/loaded data sources including the files and in-session plot objects.
                """
            class properties(TUIMethod):
                """
                Prints the properties of whichever plot or file included in the multiple data sources plot that you specify.
                """

        class solution_set(TUIMenu):
            """
            Sets solution plot parameters. Sub-menu items are the same as file-set/ above.
            """
            def __init__(self, service, version, mode, path):
                self.lines = self.__class__.lines(service, version, mode, path + ["lines"])
                self.file_lines = self.__class__.file_lines(service, version, mode, path + ["file_lines"])
                self.file_markers = self.__class__.file_markers(service, version, mode, path + ["file_markers"])
                self.background_color = self.__class__.background_color(service, version, mode, path + ["background_color"])
                self.rules = self.__class__.rules(service, version, mode, path + ["rules"])
                self.end_plot_to_file = self.__class__.end_plot_to_file(service, version, mode, path + ["end_plot_to_file"])
                self.key = self.__class__.key(service, version, mode, path + ["key"])
                self.plot_to_file = self.__class__.plot_to_file(service, version, mode, path + ["plot_to_file"])
                self.labels = self.__class__.labels(service, version, mode, path + ["labels"])
                self.log = self.__class__.log(service, version, mode, path + ["log"])
                self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                self.markers = self.__class__.markers(service, version, mode, path + ["markers"])
                self.numbers = self.__class__.numbers(service, version, mode, path + ["numbers"])
                self.xy_percent_y = self.__class__.xy_percent_y(service, version, mode, path + ["xy_percent_y"])
                self.get_residuals_window = self.__class__.get_residuals_window(service, version, mode, path + ["get_residuals_window"])
                self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                super().__init__(service, version, mode, path)
            class lines(TUIMethod):
                """
                Set parameters for plot lines.
                """
            class file_lines(TUIMethod):
                """
                Set parameters for plot lines.
                """
            class file_markers(TUIMethod):
                """
                Set parameters for data markers.
                """
            class background_color(TUIMethod):
                """
                Set the color of the plot background.
                """
            class rules(TUIMethod):
                """
                Set parameters for display of major and minor rules.
                """
            class end_plot_to_file(TUIMethod):
                """
                End plot to file.
                """
            class key(TUIMethod):
                """
                Enable/disable display of curve key and set its window title.
                """
            class plot_to_file(TUIMethod):
                """
                Specify a file to write an xy plot to.
                """
            class labels(TUIMethod):
                """
                Set labels for plot axes.
                """
            class log(TUIMethod):
                """
                Use log scales for one or both axes?.
                """
            class windows(TUIMethod):
                """
                X-Y plot window options.
                """
            class markers(TUIMethod):
                """
                Set parameters for data markers.
                """
            class numbers(TUIMethod):
                """
                Set number formats for axes.
                """
            class xy_percent_y(TUIMethod):
                """
                Scale xy plot by percentage of total elements.
                """
            class get_residuals_window(TUIMethod):
                """
                Get residuals window id.
                """
            class auto_scale(TUIMethod):
                """
                Automatically compute x/y-axis extents?.
                """

        class fft_set(TUIMenu):
            """
            Enter the menu to set histogram plot parameters.
            """
            def __init__(self, service, version, mode, path):
                self.curves = self.__class__.curves(service, version, mode, path + ["curves"])
                self.axes = self.__class__.axes(service, version, mode, path + ["axes"])
                super().__init__(service, version, mode, path)
            class curves(TUIMethod):
                """
                Set curves options of an object.
                """
            class axes(TUIMethod):
                """
                Set axes options of an object.
                """

        class flamelet_curves(TUIMenu):
            """
            Enters the flamelet curves menu.
            """
            def __init__(self, service, version, mode, path):
                self.write_to_file = self.__class__.write_to_file(service, version, mode, path + ["write_to_file"])
                self.plot_curves = self.__class__.plot_curves(service, version, mode, path + ["plot_curves"])
                super().__init__(service, version, mode, path)
            class write_to_file(TUIMethod):
                """
                Writes curve to a file instead of plot.
                """
            class plot_curves(TUIMethod):
                """
                Plots of a curve property.
                """

        class vrx_sound_analysis(TUIMenu):
            """
            Ansys Sound analysis and specification.
            """
            def __init__(self, service, version, mode, path):
                self.write_files = self.__class__.write_files(service, version, mode, path + ["write_files"])
                self.print_indicators = self.__class__.print_indicators(service, version, mode, path + ["print_indicators"])
                super().__init__(service, version, mode, path)
            class write_files(TUIMethod):
                """
                Write Ansys Sound out files.
                """
            class print_indicators(TUIMethod):
                """
                Print Ansys Sound indicators.
                """

        class residuals_set(TUIMenu):
            """
            Sets residual plot parameters. Sub-menu items are the same as file-set/ above.
            """
            def __init__(self, service, version, mode, path):
                self.markers = self.__class__.markers(service, version, mode, path + ["markers"])
                self.windows = self.__class__.windows(service, version, mode, path + ["windows"])
                self.file_markers = self.__class__.file_markers(service, version, mode, path + ["file_markers"])
                self.log = self.__class__.log(service, version, mode, path + ["log"])
                self.xy_percent_y = self.__class__.xy_percent_y(service, version, mode, path + ["xy_percent_y"])
                self.labels = self.__class__.labels(service, version, mode, path + ["labels"])
                self.key = self.__class__.key(service, version, mode, path + ["key"])
                self.lines = self.__class__.lines(service, version, mode, path + ["lines"])
                self.get_residuals_window = self.__class__.get_residuals_window(service, version, mode, path + ["get_residuals_window"])
                self.plot_to_file = self.__class__.plot_to_file(service, version, mode, path + ["plot_to_file"])
                self.rules = self.__class__.rules(service, version, mode, path + ["rules"])
                self.file_lines = self.__class__.file_lines(service, version, mode, path + ["file_lines"])
                self.numbers = self.__class__.numbers(service, version, mode, path + ["numbers"])
                self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
                self.end_plot_to_file = self.__class__.end_plot_to_file(service, version, mode, path + ["end_plot_to_file"])
                self.background_color = self.__class__.background_color(service, version, mode, path + ["background_color"])
                super().__init__(service, version, mode, path)
            class markers(TUIMethod):
                """
                Set parameters for data markers.
                """
            class windows(TUIMethod):
                """
                X-Y plot window options.
                """
            class file_markers(TUIMethod):
                """
                Set parameters for data markers.
                """
            class log(TUIMethod):
                """
                Use log scales for one or both axes?.
                """
            class xy_percent_y(TUIMethod):
                """
                Scale xy plot by percentage of total elements.
                """
            class labels(TUIMethod):
                """
                Set labels for plot axes.
                """
            class key(TUIMethod):
                """
                Enable/disable display of curve key and set its window title.
                """
            class lines(TUIMethod):
                """
                Set parameters for plot lines.
                """
            class get_residuals_window(TUIMethod):
                """
                Get residuals window id.
                """
            class plot_to_file(TUIMethod):
                """
                Specify a file to write an xy plot to.
                """
            class rules(TUIMethod):
                """
                Set parameters for display of major and minor rules.
                """
            class file_lines(TUIMethod):
                """
                Set parameters for plot lines.
                """
            class numbers(TUIMethod):
                """
                Set number formats for axes.
                """
            class auto_scale(TUIMethod):
                """
                Automatically compute x/y-axis extents?.
                """
            class end_plot_to_file(TUIMethod):
                """
                End plot to file.
                """
            class background_color(TUIMethod):
                """
                Set the color of the plot background.
                """

    class views(TUIMenu):
        """
        .
        """
        def __init__(self, service, version, mode, path):
            self.rendering_options = self.__class__.rendering_options(service, version, mode, path + ["rendering_options"])
            self.display_states = self.__class__.display_states(service, version, mode, path + ["display_states"])
            self.camera = self.__class__.camera(service, version, mode, path + ["camera"])
            self.read_views = self.__class__.read_views(service, version, mode, path + ["read_views"])
            self.last_view = self.__class__.last_view(service, version, mode, path + ["last_view"])
            self.save_view = self.__class__.save_view(service, version, mode, path + ["save_view"])
            self.write_views = self.__class__.write_views(service, version, mode, path + ["write_views"])
            self.auto_scale = self.__class__.auto_scale(service, version, mode, path + ["auto_scale"])
            self.restore_view = self.__class__.restore_view(service, version, mode, path + ["restore_view"])
            self.list_views = self.__class__.list_views(service, version, mode, path + ["list_views"])
            self.next_view = self.__class__.next_view(service, version, mode, path + ["next_view"])
            self.delete_view = self.__class__.delete_view(service, version, mode, path + ["delete_view"])
            self.default_view = self.__class__.default_view(service, version, mode, path + ["default_view"])
            super().__init__(service, version, mode, path)
        class read_views(TUIMethod):
            """
            Reads views from a view file.
            """
        class last_view(TUIMethod):
            """
            Returns to the camera position before the last manipulation.
            """
        class save_view(TUIMethod):
            """
            Saves the current view to the view list.
            """
        class write_views(TUIMethod):
            """
            Writes selected views to a view file.
            """
        class auto_scale(TUIMethod):
            """
            Scales and centers the current scene without changing its orientation.
            """
        class restore_view(TUIMethod):
            """
            Uses a saved view.
            """
        class list_views(TUIMethod):
            """
            Lists predefined and saved views.
            """
        class next_view(TUIMethod):
            """
            .
            """
        class delete_view(TUIMethod):
            """
            Removes a view from the list.
            """
        class default_view(TUIMethod):
            """
            Resets view to front and center.
            """

        class rendering_options(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.device_info = self.__class__.device_info(service, version, mode, path + ["device_info"])
                self.driver = self.__class__.driver(service, version, mode, path + ["driver"])
                self.face_displacement = self.__class__.face_displacement(service, version, mode, path + ["face_displacement"])
                self.hidden_surfaces = self.__class__.hidden_surfaces(service, version, mode, path + ["hidden_surfaces"])
                self.front_faces_transparent = self.__class__.front_faces_transparent(service, version, mode, path + ["front_faces_transparent"])
                self.double_buffering = self.__class__.double_buffering(service, version, mode, path + ["double_buffering"])
                self.set_rendering_options = self.__class__.set_rendering_options(service, version, mode, path + ["set_rendering_options"])
                self.animation_option = self.__class__.animation_option(service, version, mode, path + ["animation_option"])
                self.show_colormap = self.__class__.show_colormap(service, version, mode, path + ["show_colormap"])
                self.color_map_alignment = self.__class__.color_map_alignment(service, version, mode, path + ["color_map_alignment"])
                self.auto_spin = self.__class__.auto_spin(service, version, mode, path + ["auto_spin"])
                self.hidden_surface_method = self.__class__.hidden_surface_method(service, version, mode, path + ["hidden_surface_method"])
                super().__init__(service, version, mode, path)
            class device_info(TUIMethod):
                """
                .
                """
            class driver(TUIMethod):
                """
                .
                """
            class face_displacement(TUIMethod):
                """
                .
                """
            class hidden_surfaces(TUIMethod):
                """
                .
                """
            class front_faces_transparent(TUIMethod):
                """
                .
                """
            class double_buffering(TUIMethod):
                """
                .
                """
            class set_rendering_options(TUIMethod):
                """
                .
                """
            class animation_option(TUIMethod):
                """
                .
                """
            class show_colormap(TUIMethod):
                """
                .
                """
            class color_map_alignment(TUIMethod):
                """
                .
                """
            class auto_spin(TUIMethod):
                """
                .
                """
            class hidden_surface_method(TUIMethod):
                """
                .
                """

        class display_states(TUIMenu):
            """
            .
            """
            def __init__(self, service, version, mode, path):
                self.restore_state = self.__class__.restore_state(service, version, mode, path + ["restore_state"])
                self.delete = self.__class__.delete(service, version, mode, path + ["delete"])
                self.edit = self.__class__.edit(service, version, mode, path + ["edit"])
                self.use_active = self.__class__.use_active(service, version, mode, path + ["use_active"])
                self.list_properties = self.__class__.list_properties(service, version, mode, path + ["list_properties"])
                self.write = self.__class__.write(service, version, mode, path + ["write"])
                self.read = self.__class__.read(service, version, mode, path + ["read"])
                self.list = self.__class__.list(service, version, mode, path + ["list"])
                self.rename = self.__class__.rename(service, version, mode, path + ["rename"])
                self.new = self.__class__.new(service, version, mode, path + ["new"])
                self.copy = self.__class__.copy(service, version, mode, path + ["copy"])
                self.make_a_copy = self.__class__.make_a_copy(service, version, mode, path + ["make_a_copy"])
                super().__init__(service, version, mode, path)
            class restore_state(TUIMethod):
                """
                .
                """
            class delete(TUIMethod):
                """
                .
                """
            class edit(TUIMethod):
                """
                Edit display-states object.
                """
            class use_active(TUIMethod):
                """
                .
                """
            class list_properties(TUIMethod):
                """
                .
                """
            class write(TUIMethod):
                """
                .
                """
            class read(TUIMethod):
                """
                .
                """
            class list(TUIMethod):
                """
                .
                """
            class rename(TUIMethod):
                """
                Rename display-states object.
                """
            class new(TUIMethod):
                """
                Create a new display-states object.
                """
            class copy(TUIMethod):
                """
                .
                """
            class make_a_copy(TUIMethod):
                """
                .
                """

        class camera(TUIMenu):
            """
            Enters the camera menu to modify the current viewing parameters.
            """
            def __init__(self, service, version, mode, path):
                self.up_vector = self.__class__.up_vector(service, version, mode, path + ["up_vector"])
                self.dolly_camera = self.__class__.dolly_camera(service, version, mode, path + ["dolly_camera"])
                self.pan_camera = self.__class__.pan_camera(service, version, mode, path + ["pan_camera"])
                self.zoom_camera = self.__class__.zoom_camera(service, version, mode, path + ["zoom_camera"])
                self.position = self.__class__.position(service, version, mode, path + ["position"])
                self.orbit_camera = self.__class__.orbit_camera(service, version, mode, path + ["orbit_camera"])
                self.projection = self.__class__.projection(service, version, mode, path + ["projection"])
                self.field = self.__class__.field(service, version, mode, path + ["field"])
                self.target = self.__class__.target(service, version, mode, path + ["target"])
                self.roll_camera = self.__class__.roll_camera(service, version, mode, path + ["roll_camera"])
                super().__init__(service, version, mode, path)
            class up_vector(TUIMethod):
                """
                Sets the camera up-vector.
                """
            class dolly_camera(TUIMethod):
                """
                Adjusts the camera position and target.
                """
            class pan_camera(TUIMethod):
                """
                Adjusts the camera target without modifying the position.
                """
            class zoom_camera(TUIMethod):
                """
                Adjusts the camera’s field of view. This operation is similar to dollying the camera in or out of the scene. Dollying causes objects in front to move past you. Zooming changes the perspective effect in the scene (and can be disconcerting).
                """
            class position(TUIMethod):
                """
                Sets the camera position.
                """
            class orbit_camera(TUIMethod):
                """
                Adjusts the camera position without modifying the target.
                """
            class projection(TUIMethod):
                """
                .
                """
            class field(TUIMethod):
                """
                Sets the field of view (width and height).
                """
            class target(TUIMethod):
                """
                Sets the point to be the center of the camera view.
                """
            class roll_camera(TUIMethod):
                """
                Adjusts the camera up-vector.
                """
